--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: acao; Type: SCHEMA; Schema: -; Owner: acao
--

CREATE SCHEMA acao;


ALTER SCHEMA acao OWNER TO acao;

SET search_path = acao, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: alertas; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE alertas (
    id_alerta integer NOT NULL,
    id_consolidacao integer NOT NULL,
    etapa integer NOT NULL,
    log_level character varying NOT NULL,
    datahora timestamp with time zone NOT NULL,
    id_documento_consolidado character varying,
    descricao_alerta character varying NOT NULL
);


ALTER TABLE acao.alertas OWNER TO acao;

--
-- Name: alertas_id_alerta_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE alertas_id_alerta_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.alertas_id_alerta_seq OWNER TO acao;

--
-- Name: alertas_id_alerta_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE alertas_id_alerta_seq OWNED BY alertas.id_alerta;


--
-- Name: alertas_id_alerta_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('alertas_id_alerta_seq', 1, false);


--
-- Name: bairros; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE bairros (
    id integer NOT NULL,
    nome character varying
);


ALTER TABLE acao.bairros OWNER TO acao;

--
-- Name: bairros_id_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE bairros_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.bairros_id_seq OWNER TO acao;

--
-- Name: bairros_id_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE bairros_id_seq OWNED BY bairros.id;


--
-- Name: bairros_id_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('bairros_id_seq', 133, true);


--
-- Name: consolidacao; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE consolidacao (
    id_consolidacao integer NOT NULL,
    id_definicao_consolidacao integer NOT NULL,
    data_ini timestamp with time zone,
    data_fim timestamp with time zone,
    dn character varying NOT NULL,
    status character varying NOT NULL
);


ALTER TABLE acao.consolidacao OWNER TO acao;

--
-- Name: consolidacao_id_consolidacao_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE consolidacao_id_consolidacao_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.consolidacao_id_consolidacao_seq OWNER TO acao;

--
-- Name: consolidacao_id_consolidacao_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE consolidacao_id_consolidacao_seq OWNED BY consolidacao.id_consolidacao;


--
-- Name: consolidacao_id_consolidacao_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('consolidacao_id_consolidacao_seq', 1, false);


--
-- Name: consolidador; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE consolidador (
    id_definicao_consolidacao integer NOT NULL,
    dn character varying NOT NULL
);


ALTER TABLE acao.consolidador OWNER TO acao;

--
-- Name: definicao_consolidacao; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE definicao_consolidacao (
    id_definicao_consolidacao integer NOT NULL,
    id_projeto integer,
    xml_schema character varying,
    nome character varying,
    status character varying,
    data_ini timestamp with time zone,
    data_fim timestamp with time zone
);


ALTER TABLE acao.definicao_consolidacao OWNER TO acao;

--
-- Name: definicao_consolidacao_id_definicao_consolidacao_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE definicao_consolidacao_id_definicao_consolidacao_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.definicao_consolidacao_id_definicao_consolidacao_seq OWNER TO acao;

--
-- Name: definicao_consolidacao_id_definicao_consolidacao_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE definicao_consolidacao_id_definicao_consolidacao_seq OWNED BY definicao_consolidacao.id_definicao_consolidacao;


--
-- Name: definicao_consolidacao_id_definicao_consolidacao_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('definicao_consolidacao_id_definicao_consolidacao_seq', 1, false);


--
-- Name: digitador; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE digitador (
    id_leitura integer NOT NULL,
    dn character varying NOT NULL
);


ALTER TABLE acao.digitador OWNER TO acao;

--
-- Name: dossie; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE dossie (
    id_volume character varying(255) NOT NULL,
    id_dossie character varying(255) NOT NULL,
    nome character varying(255),
    herda_permissoes integer DEFAULT 0 NOT NULL,
    invalidado integer DEFAULT 0 NOT NULL
);


ALTER TABLE acao.dossie OWNER TO acao;

--
-- Name: entrada_consolidacao; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE entrada_consolidacao (
    id_definicao_consolidacao integer NOT NULL,
    id_leitura integer NOT NULL,
    papel_leitura character varying
);


ALTER TABLE acao.entrada_consolidacao OWNER TO acao;

--
-- Name: entries; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE entries (
    entry_id integer NOT NULL,
    volume character varying(255),
    dossie character varying(255),
    documento character varying(255),
    resumo character varying(255),
    herda_permissoes integer DEFAULT 0 NOT NULL,
    invalidado integer DEFAULT 0 NOT NULL
);


ALTER TABLE acao.entries OWNER TO acao;

--
-- Name: entries_entry_id_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE entries_entry_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.entries_entry_id_seq OWNER TO acao;

--
-- Name: entries_entry_id_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE entries_entry_id_seq OWNED BY entries.entry_id;


--
-- Name: entries_entry_id_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('entries_entry_id_seq', 22522, true);


--
-- Name: escolas; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE escolas (
    id integer NOT NULL,
    nome character varying,
    endereco character varying,
    bairro character varying
);


ALTER TABLE acao.escolas OWNER TO acao;

--
-- Name: escolas_id_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE escolas_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.escolas_id_seq OWNER TO acao;

--
-- Name: escolas_id_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE escolas_id_seq OWNED BY escolas.id;


--
-- Name: escolas_id_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('escolas_id_seq', 928, true);


--
-- Name: etapa_coleta_dados; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE etapa_coleta_dados (
    id_definicao_consolidacao integer NOT NULL,
    plugin_coleta_dados character varying NOT NULL,
    ordem_coleta_dados integer
);


ALTER TABLE acao.etapa_coleta_dados OWNER TO acao;

--
-- Name: etapa_transformacao; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE etapa_transformacao (
    id_definicao_consolidacao integer NOT NULL,
    plugin_transformacao character varying NOT NULL,
    ordem_transformacao integer
);


ALTER TABLE acao.etapa_transformacao OWNER TO acao;

--
-- Name: etapa_validacao; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE etapa_validacao (
    id_definicao_consolidacao integer NOT NULL,
    plugin_validacao character varying NOT NULL,
    ordem_validacao integer
);


ALTER TABLE acao.etapa_validacao OWNER TO acao;

--
-- Name: gin_index; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE gin_index (
    key character varying(50),
    value character varying(255),
    entry_id integer,
    label character varying(40)
);


ALTER TABLE acao.gin_index OWNER TO acao;

--
-- Name: hospitais; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE hospitais (
    id integer NOT NULL,
    nome character(255),
    rua character(255)
);


ALTER TABLE acao.hospitais OWNER TO acao;

--
-- Name: hospitais_id_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE hospitais_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.hospitais_id_seq OWNER TO acao;

--
-- Name: hospitais_id_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE hospitais_id_seq OWNED BY hospitais.id;


--
-- Name: hospitais_id_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('hospitais_id_seq', 92, true);


--
-- Name: instrumento; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE instrumento (
    id_projeto integer NOT NULL,
    nome character varying NOT NULL,
    xml_schema character varying NOT NULL,
    campo_controle character varying NOT NULL
);


ALTER TABLE acao.instrumento OWNER TO acao;

--
-- Name: leitura; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE leitura (
    id_leitura integer NOT NULL,
    id_projeto integer NOT NULL,
    nome character varying NOT NULL,
    coleta_ini timestamp with time zone,
    coleta_fim timestamp with time zone,
    digitacao_ini timestamp with time zone,
    digitacao_fim timestamp with time zone,
    revisao_ini timestamp with time zone,
    revisao_fim timestamp with time zone
);


ALTER TABLE acao.leitura OWNER TO acao;

--
-- Name: leitura_id_leitura_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE leitura_id_leitura_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.leitura_id_leitura_seq OWNER TO acao;

--
-- Name: leitura_id_leitura_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE leitura_id_leitura_seq OWNED BY leitura.id_leitura;


--
-- Name: leitura_id_leitura_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('leitura_id_leitura_seq', 1, false);


--
-- Name: logradouros; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE logradouros (
    cod double precision NOT NULL,
    nome text,
    codigo text,
    tipo text,
    titulo text,
    folha text,
    sentido text,
    lei text,
    data text,
    decreto text,
    data2 text,
    codlogini text,
    inicio1 text,
    codlogfim text,
    fim1 text,
    inicio2 text,
    fim2 text,
    utmhinicio text,
    utmvinicio text,
    utmhfim text,
    utmvfim text,
    bairro text,
    nomeanterior text,
    observacoes text
);


ALTER TABLE acao.logradouros OWNER TO acao;

--
-- Name: municipios; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE municipios (
    codmunic integer NOT NULL,
    nome character varying
);


ALTER TABLE acao.municipios OWNER TO acao;

--
-- Name: municipios_codmunic_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE municipios_codmunic_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.municipios_codmunic_seq OWNER TO acao;

--
-- Name: municipios_codmunic_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE municipios_codmunic_seq OWNED BY municipios.codmunic;


--
-- Name: municipios_codmunic_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('municipios_codmunic_seq', 11130, true);


--
-- Name: permissao; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE permissao (
    entry_id integer NOT NULL,
    dn character varying(255)
);


ALTER TABLE acao.permissao OWNER TO acao;

--
-- Name: permissao_dossie; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE permissao_dossie (
    id_volume character varying(255) NOT NULL,
    id_dossie character varying(255) NOT NULL,
    dn character varying(255) NOT NULL
);


ALTER TABLE acao.permissao_dossie OWNER TO acao;

--
-- Name: permissao_entry_id_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE permissao_entry_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.permissao_entry_id_seq OWNER TO acao;

--
-- Name: permissao_entry_id_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE permissao_entry_id_seq OWNED BY permissao.entry_id;


--
-- Name: permissao_entry_id_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('permissao_entry_id_seq', 1, false);


--
-- Name: permissao_volume; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE permissao_volume (
    id_volume character varying(255) NOT NULL,
    dn character varying(255) NOT NULL
);


ALTER TABLE acao.permissao_volume OWNER TO acao;

--
-- Name: projeto; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE projeto (
    id_projeto integer NOT NULL,
    nome text NOT NULL
);


ALTER TABLE acao.projeto OWNER TO acao;

--
-- Name: projeto_id_projeto_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE projeto_id_projeto_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.projeto_id_projeto_seq OWNER TO acao;

--
-- Name: projeto_id_projeto_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE projeto_id_projeto_seq OWNED BY projeto.id_projeto;


--
-- Name: projeto_id_projeto_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('projeto_id_projeto_seq', 1, false);


--
-- Name: regionais; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE regionais (
    id integer NOT NULL,
    nome character varying
);


ALTER TABLE acao.regionais OWNER TO acao;

--
-- Name: regionais_id_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE regionais_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.regionais_id_seq OWNER TO acao;

--
-- Name: regionais_id_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE regionais_id_seq OWNED BY regionais.id;


--
-- Name: regionais_id_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('regionais_id_seq', 1, false);


--
-- Name: revisor; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE revisor (
    id_leitura integer NOT NULL,
    dn character varying NOT NULL
);


ALTER TABLE acao.revisor OWNER TO acao;

--
-- Name: sessions; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE sessions (
    id character(72) NOT NULL,
    session_data text,
    expires integer
);


ALTER TABLE acao.sessions OWNER TO acao;

--
-- Name: unidades_saude; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE unidades_saude (
    id integer NOT NULL,
    nome character varying
);


ALTER TABLE acao.unidades_saude OWNER TO acao;

--
-- Name: unidades_saude_id_seq; Type: SEQUENCE; Schema: acao; Owner: acao
--

CREATE SEQUENCE unidades_saude_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE acao.unidades_saude_id_seq OWNER TO acao;

--
-- Name: unidades_saude_id_seq; Type: SEQUENCE OWNED BY; Schema: acao; Owner: acao
--

ALTER SEQUENCE unidades_saude_id_seq OWNED BY unidades_saude.id;


--
-- Name: unidades_saude_id_seq; Type: SEQUENCE SET; Schema: acao; Owner: acao
--

SELECT pg_catalog.setval('unidades_saude_id_seq', 92, true);


--
-- Name: volume; Type: TABLE; Schema: acao; Owner: acao; Tablespace: 
--

CREATE TABLE volume (
    id_volume character varying(255) NOT NULL,
    nome character varying(255),
    invalidado integer DEFAULT 0 NOT NULL
);


ALTER TABLE acao.volume OWNER TO acao;

--
-- Name: id_alerta; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE alertas ALTER COLUMN id_alerta SET DEFAULT nextval('alertas_id_alerta_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE bairros ALTER COLUMN id SET DEFAULT nextval('bairros_id_seq'::regclass);


--
-- Name: id_consolidacao; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE consolidacao ALTER COLUMN id_consolidacao SET DEFAULT nextval('consolidacao_id_consolidacao_seq'::regclass);


--
-- Name: id_definicao_consolidacao; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE definicao_consolidacao ALTER COLUMN id_definicao_consolidacao SET DEFAULT nextval('definicao_consolidacao_id_definicao_consolidacao_seq'::regclass);


--
-- Name: entry_id; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE entries ALTER COLUMN entry_id SET DEFAULT nextval('entries_entry_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE escolas ALTER COLUMN id SET DEFAULT nextval('escolas_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE hospitais ALTER COLUMN id SET DEFAULT nextval('hospitais_id_seq'::regclass);


--
-- Name: id_leitura; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE leitura ALTER COLUMN id_leitura SET DEFAULT nextval('leitura_id_leitura_seq'::regclass);


--
-- Name: codmunic; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE municipios ALTER COLUMN codmunic SET DEFAULT nextval('municipios_codmunic_seq'::regclass);


--
-- Name: entry_id; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE permissao ALTER COLUMN entry_id SET DEFAULT nextval('permissao_entry_id_seq'::regclass);


--
-- Name: id_projeto; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE projeto ALTER COLUMN id_projeto SET DEFAULT nextval('projeto_id_projeto_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE regionais ALTER COLUMN id SET DEFAULT nextval('regionais_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: acao; Owner: acao
--

ALTER TABLE unidades_saude ALTER COLUMN id SET DEFAULT nextval('unidades_saude_id_seq'::regclass);


--
-- Data for Name: alertas; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY alertas (id_alerta, id_consolidacao, etapa, log_level, datahora, id_documento_consolidado, descricao_alerta) FROM stdin;
\.


--
-- Data for Name: bairros; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY bairros (id, nome) FROM stdin;
1	ALAGADIÇO
2	ALDEOTA
3	ALTO DA BALANÇA
4	ALTO DA BALANÇA
5	ÁLVARO WEYNE
6	ANTÔNIO BEZERRA
7	ANTÔNIO DIOGO
8	AUTRAN NUNES
9	BARRA DO CEARÁ
10	BARROSO
11	BELA VISTA
12	BENFICA
13	BOM FUTURO
14	BOM JARDIM
15	BOM JARDIM (GRANJA LISBOA)
16	BOM JARDIM (SIQUEIRA)
17	BONSUCESSO
18	CACHOEIRINHA
19	CAJAZEIRAS
20	CASTELÃO
21	CENTRO
22	CENTRO
23	CENTRO (VILA UNIÃO)
24	CENTRO (VILA UNIÃO)
25	CIDADE DOS FUNCIONÁRIOS
26	COCÓ
27	COCÓ (BARRA DO CEARÁ)
28	COCÓ (EDSON QUEIROZ)
29	COCÓ  (Eng. Luciano Cavalcante)
30	COCÓ (Eng. Luciano Cavalcante)
31	COCÓ (JARDINS DAS OLIVEIRAS)
32	COCÓ (JOQUEI CLUBE)
33	COCÓ (PREFEITO JOSÉ WALTER)
34	COCÓ (QUINTINO CUNHA)
35	COCÓ (Salinas)
36	CONJUNTO CEARÁ
37	CONJUNTO CEARÁ (JANGURUSSU)
38	CONJUNTO ESPERANÇA
39	CONJUNTO ESPERANÇA (PARQUE DOIS IRMÃOS)
40	CRISTO REDENTOR
41	DEMOCRITO ROCHA
42	DIAS MACEDO
43	DIAS MACEDO
44	DIONISIO TORRES
45	EDSON QUEIROZ (SAPIRANGA/COITÉ)
46	FARIAS BRITO
47	FÁTIMA
48	GENIBAÚ
49	GRANJA PORTUGAL
50	GRANJA PORTUGAL (GENIBAU)
51	HENRIQUE JORGE
52	HENRIQUE JORGE (BOM JARDIM)
53	ITAPERI
54	JACARECANGA
55	JACARECANGA (DAMAS)
56	JANGURUSSU
57	JANGURUSSU (CONJUNTO CEARÁ)
58	JANGURUSSU (PASSARÉ)
59	JARDIM AMÉRICA
60	JARDIM GUANABARA
61	JARDIM IRACEMA
62	JOAQUIM TÁVORA
63	JÓQUEI CLUBE
64	LAGOA REDONDA
65	LAGOA REDONDA (EDSON QUEIROZ)
66	LAGOA REDONDA (SAPIRANGA/COITE)
67	MANUEL SÁTIRO
68	MANUEL SÁTIRO (SANTA ROSA)
69	MARAPONGA
70	MEIRELES
71	MESSEJANA
72	MESSEJANA (ALAGADIÇO NOVO)
73	MESSEJANA (ANCURI)
74	MESSEJANA (BARROSO)
75	MESSEJANA (BARROSO)
76	MESSEJANA (GUAJERU)
77	MESSEJANA (LAGOA REDONDA)
78	MESSEJANA (PARQUE IRACEMA)
79	MESSEJANA (PAUPINA)
80	MESSEJANA (PEDRAS)
81	MONDUBIM
82	MONDUBIM (BARRA DO CEARÁ)
83	MONDUBIM (CANIDEZINHO)
84	MONDUBIM (GRANJA PORTUGAL)
85	MONDUBIM (JARDIM CEARENSE)
86	MONDUBIM (PLANALTO AYRTON SENA )
87	MONDUBIM (PREFEITO JOSÉ WALTER)
88	MONTE CASTELO
89	MONTESE
90	MONTESE
91	MOURA BRASIL
92	MUCURIPE
93	PAPICU
94	PARANGABA
95	PARANGABA (SÃO JOSÉ)
96	PARQUELÂNDIA
97	PARQUE PRESIDENTE VARGAS
98	PARQUE SÃO JOSÉ
99	PARQUE SÃO JOSÉ (BOM JARDIM)
100	PARQUE SÃO JOSÉ (CANINDEZINHO)
101	PARQUE SÃO JOSÉ (CONJUNTO ESPERANÇA)
102	PARQUE SÃO JOSÉ (ENGENHEIRO LUCIANO CAVALCANTE)
103	PARQUE SÃO JOSÉ (GRANJA LISBOA)
104	PARQUE SÃO JOSÉ (LUCIANO CAVALCANTE)
105	PARQUE SÃO JOSÉ (MONDUBIM)
106	PARQUE SÃO JOSÉ (PASSARÉ)
107	PASSARÉ
108	PASSARÉ (CONJUNTO CEARÁ)
109	PASSARÉ (CONJUNTO ESPERANÇA)
110	PASSARÉ (GRANJA LISBOA)
111	PASSARÉ (MATA GALINHA)
112	PASSARÉ (PARQUE DOIS IRMÃOS)
113	PEDRAS
114	PICI
115	PREFEITO JOSÉ WALTER
116	PREFEITO JOSÉ WALTER (DOM LUSTOSA)
117	PREFEITO JOSÉ WALTER (PLANALTO AYTOM SENA)
118	PREFEITO JOSÉ WALTER (VILA VELHA)
119	PRESIDENTE TANCREDO NEVES (JARDIM DAS OLIVEIRAS)
120	RODOLFO TEÓFILO
121	SÃO GERARDO
122	SÃO JOÃO DO TAUAPE
123	SERRINHA
124	TAUAPE
125	VARJOTA
126	VICENTE PINZON
127	VILA ELLERY
128	VILA PERI
129	VILA PERI (CANINDEZINHO)
130	VILA PERI (SIQUEIRA)
131	VILA UNIÃO
132	VILA UNIÃO (AEROPORTO)
133	VILA VELHA
\.


--
-- Data for Name: consolidacao; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY consolidacao (id_consolidacao, id_definicao_consolidacao, data_ini, data_fim, dn, status) FROM stdin;
\.


--
-- Data for Name: consolidador; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY consolidador (id_definicao_consolidacao, dn) FROM stdin;
1	uid=paulo.neto,dc=CTI,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
2	uid=paulo.neto,dc=CTI,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
\.


--
-- Data for Name: definicao_consolidacao; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY definicao_consolidacao (id_definicao_consolidacao, id_projeto, xml_schema, nome, status, data_ini, data_fim) FROM stdin;
1	1	viladomar-cadernoa.xsd	Caderno A	\N	\N	\N
2	1	viladomar-cadernob.xsd	Caderno B	\N	\N	\N
\.


--
-- Data for Name: digitador; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY digitador (id_leitura, dn) FROM stdin;
1	uid=niobe.raposo,dc=GP,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
2	uid=niobe.raposo,dc=GP,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
1	uid=isabel.sinena,dc=GP,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
2	uid=isabel.sinena,dc=GP,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
1	uid=paulo.neto,dc=CTI,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
2	uid=paulo.neto,dc=CTI,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
1	uid=claudio.maia,dc=CTI,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
2	uid=claudio.maia,dc=CTI,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
1	uid=rodolfo.sikora,dc=CTI,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
2	uid=rodolfo.sikora,dc=CTI,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
\.


--
-- Data for Name: dossie; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY dossie (id_volume, id_dossie, nome, herda_permissoes, invalidado) FROM stdin;
volume-CF36F500-FE73-11E0-BCC7-E69700A37246	ECB14658-FE73-11E0-8581-BCB800A37246	PRONTUÁRIO - TESTE	1	0
\.


--
-- Data for Name: entrada_consolidacao; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY entrada_consolidacao (id_definicao_consolidacao, id_leitura, papel_leitura) FROM stdin;
\.


--
-- Data for Name: entries; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY entries (entry_id, volume, dossie, documento, resumo, herda_permissoes, invalidado) FROM stdin;
22522	volume-CF36F500-FE73-11E0-BCC7-E69700A37246	ECB14658-FE73-11E0-8581-BCB800A37246	A9160E32-00D1-11E1-BC94-E6C8D7783ED7	VOLUME - TESTE - PRONTUÁRIO - TESTE - Documento	1	0
\.


--
-- Data for Name: escolas; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY escolas (id, nome, endereco, bairro) FROM stdin;
465	SME-SECRETARIA MUNICIPAL DE EDUCAÇÃO	AV. DESEMBASRGADOR MOREIRA, 2875- DIONISIO TORRES	 DIONISIO TORRES
466	CRP-CENTRO DE REFERENCIA DO PROFESSOR	RUA CONDE DEU, 434- CENTRO	CENTRO
467	CASA DOS CONSELHOS	RUA VISCONDE DE MAUÁ, 2970- DIONISIO TORRES	DIONISIO TORRES
468	CME-CONSELHO MUNICIPAL DE EDUCAÇÃO	AV. DESEMBASRGADOR MOREIRA, 2200- DIONISIO TORRES	DIONISIO TORRES
469	BV MONTESE	RUA ISAIE BORIS, 568- MONTESE	MONTESE
470	ALMOXARIFADO	RUA MONSENHOR SALAZAR, 2324-SÃO JOÃO DO TAUAPE	SÃO JOÃO DO TAUAPE
471	ALMOXARIFADO NOVO	AV. FRANCISCO SÁ, 7878- BARRA DO CEARÁ	BARRA DO CEARÁ
472	CENTRO DE EDUCACAO INTEGRADA A INFANCIA E ADOLECENCIA-CEIA	RUA ALBERTO FERREIRA , 564,CEP -60341140 , JARDIM IRACEMA	 JARDIM IRACEMA
473	CENTRO DE ESTIMULAÇAO E DESENVOLVIMENTO INFANTIL - CEDI	RUA LUÍS GUIMARÃES , 261,CEP -60336160 , ÁLVARO WEYNE	 ÁLVARO WEYNE
474	CMES CASIMIRO JOSÉ DE LIMA FILHO	AVENIDA FRANCISCO SÁ , 6449,CEP -60010450 , BARRA DO CEARÁ	 BARRA DO CEARÁ
475	CMES FRANCISCO DOMINGOS DA SILVA	AVENIDA PRESIDENTE CASTELO BRANCO , 4707,CEP -60010000 , JACARECANGA	 JACARECANGA
476	CMES PROFESSOR JOSÉ REBOUÇAS MACAMBIRA	RUA CARIÚS , 200,CEP -60346270 , JARDIM GUANABARA	 JARDIM GUANABARA
477	CRECHE CONVENIADA AMADEU BARROS LEAL	TRAVESSA SARGENTO HERMÍNIO , S/N,CEP -60326348 , JACARECANGA	 JACARECANGA
478	CRECHE CONVENIADA ARPOADOR	RUA GRITO DE ALERTA , 136,CEP -60332070 , BARRA DO CEARÁ	 BARRA DO CEARÁ
479	CRECHE CONVENIADA FAVO DE MEL	RUA DOUTOR ALMEIDA FILHO , 236,CEP -60320510 , VILA ELLERY	 VILA ELLERY
480	CRECHE CONVENIADA MARTINS DE AGUIAR	RUA BERNARDO PORTO , S/N,CEP -60320570 , VILA ELLERY	 VILA ELLERY
481	CRECHE CONVENIADA PEQUENO POLEGAR	RUA MOACIR , 45,CEP -60332650 , BARRA DO CEARÁ	 BARRA DO CEARÁ
482	CRECHE CONVENIADA SÃO JERÔNIMO EMILIANO	RUA GENERAL CLARINDO DE QUEIROZ , 1865,CEP -60035130 , CENTRO	 CENTRO
483	CRECHE CONVENIADA SONHO DE CRIANÇA - SER I	RUA ENCANTO DA BARRA , 56,CEP -60332390 , BARRA DO CEARÁ	 BARRA DO CEARÁ
484	CRECHE LENIRA MAGALHAES	RUA JACINTO MATOS , 906,CEP -60310210 , JACARECANGA	 JACARECANGA
485	CRECHE MUNICIPAL AGOSTINHO MOREIRA	RUA PERI , 20,CEP -60331270 , BARRA DO CEARÁ	 BARRA DO CEARÁ
486	CRECHE MUNICIPAL ANTONIO MENDES	RUA IRINEU DE SOUSA , 188,CEP -60337180 , ÁLVARO WEYNE	 ÁLVARO WEYNE
487	CRECHE MUNICIPAL ARLENE ALBERES MEDEIROS	RUA MARIA ZENOBIA CARNEIRO , 299,CEP -60345825 , VILA VELHA	 VILA VELHA
488	CRECHE MUNICIPAL CASIMIRO JOSÉ LIMA FILHO	AVENIDA FRANCISCO SÁ , 6449,CEP -60010450 , BARRA DO CEARÁ	 BARRA DO CEARÁ
489	CRECHE MUNICIPAL DOIS DE DEZEMBRO	AVENIDA FRANCISCO SÁ , S/N,CEP -60010320 , BARRA DO CEARÁ	 BARRA DO CEARÁ
490	CRECHE MUNICIPAL DOM HELDER CAMARA	RUA FREI ODILON , 623,CEP -60336190 , ÁLVARO WEYNE	 ÁLVARO WEYNE
491	CRECHE MUNICIPAL JOSÉ REBOUÇAS MACAMBIRA	RUA CARIÚS , 200,CEP -60346270 , JARDIM GUANABARA	 JARDIM GUANABARA
492	CRECHE MUNICIPAL MARISA MENDES	RUA RAIMUNDO CUNHA , 174,CEP -60345151 , VILA VELHA	 VILA VELHA
493	CRECHE MUNICIPAL MOURA BRASIL	RUA ADARIAS DE LIMA , 378;PX IML,CEP -60010130 , MOURA BRASIL	 MOURA BRASIL
494	CRECHE MUNICIPAL TERTULIANO CAMBRAIA	RUA MONSENHOR ROSA , 946,CEP -60310440 , JACARECANGA	 JACARECANGA
495	CRECHE MUNICIPAL VIRGÍLIO TAVORA	AVENIDA MONSENHOR HÉLIO CAMPOS , S/N,CEP -60336800 , CRISTO REDENTOR	 CRISTO REDENTOR
496	EMEIF AGOSTINHO MOREIRA E SILVA	RUA PERI , 20,CEP -60331270 , BARRA DO CEARÁ	 BARRA DO CEARÁ
497	EMEIF ALDEIDES REGES	RUA WALTER POMPEU , 80,CEP -60337120 , ÁLVARO WEYNE	 ÁLVARO WEYNE
498	EMEIF ALDEMIR MARTINS	AVENIDA FRANCISCO SÁ , 7460,CEP -60310003 , BARRA DO CEARÁ	 BARRA DO CEARÁ
499	EMEIF ANTONIO CORREIA LIMA	RUA DESEMBARGADOR HERMES PARAHYBA , 934,CEP -60330140 , JARDIM IRACEMA	 JARDIM IRACEMA
500	EMEIF ANTONIO MENDES	RUA DONA MENDINHA , 682,CEP -60336690 , CRISTO REDENTOR	 CRISTO REDENTOR
501	EMEIF ASSOCIAÇÃO DE CEGOS - ESPECIAL	TRAVESSA ODILON , 39,CEP -60011021 , FARIAS BRITO	 FARIAS BRITO
502	EMEIF CASTELO DE CASTRO	RUA 43 , 1531;CJ BANCÁRIOS,CEP -60348340 , VILA VELHA	 VILA VELHA
503	EMEIF CENTRO DE INTEGRAÇÃO SOCIAL -CIS	AVENIDA E , 314,CEP -60348280 , VILA VELHA	 VILA VELHA
504	EMEIF DOIS DE DEZEMBRO	RUA ARAKEN SILVA , 860,CEP -60170190 , DIONISIO TORRES	DIONISIO TORRES
505	EMEIF DOM ANTONIO BATISTA DE FRAGOSO	AVENIDA FRANCISCO SÁ , 1245,CEP -60010450 , BARRA DO CEARÁ	 BARRA DO CEARÁ
506	EMEIF DOM HELDER CAMARA	RUA FREI ODILON , 623,CEP -60336190 , ÁLVARO WEYNE	 ÁLVARO WEYNE
507	EMEIF FAUSTINO DE ALBUQUERQUE	RUA AMARO CAVALCANTE , 221,CEP -60326130 , MONTE CASTELO	 MONTE CASTELO
508	EMEIF FRANCISCO DAS CHAGAS DE FARIAS	RUA DESEMBARGADOR HERMES PARAHYBA , 135,CEP -60330140 , BARRA DO CEARÁ	 BARRA DO CEARÁ
509	EMEIF FRANCISCO EDILSON PINHEIRO	AVENIDA N , 35,CEP -60349160 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
510	EMEIF FRANCISCO SILVA CAVALCANTE	RUA CONSELHEIRO LAFAYETTE , 205,CEP -60345000 , BARRA DO CEARÁ	 BARRA DO CEARÁ
511	EMEIF FREI LAURO SCHWART	RUA ANTÔNIO POMPEU , 2005,CEP -60040001 , CENTRO	 CENTRO
512	EMEIF GUSTAVO BARROSO	RUA ERETIDES MARTINS , 26,CEP -60320350 , VILA ELLERY	 VILA ELLERY
513	EMEIF HERONDINA LIMA CAVALCANTE	RUA D , 310, VILA VELHA	 VILA VELHA
514	EMEIF HILBERTO SILVA	AVENIDA PRESIDENTE CASTELO BRANCO , 2973,CEP -60010000 , JACARECANGA	 JACARECANGA
515	EMEIF JADER DE FIGUEIREDO CORREIA	RUA TOCANDIRA , 61,CEP -60310120 , BARRA DO CEARÁ	 BARRA DO CEARÁ
516	EMEIF JESUS CRISTO	RUA ALBERTO FERREIRA , 46,CEP -60341140 , BARRA DO CEARÁ	 BARRA DO CEARÁ
517	EMEIF JOSÉ DE ALENCAR	RUA ALBERTO FERREIRA , 248,CEP -60341140 , JARDIM IRACEMA	 JARDIM IRACEMA
518	EMEIF LENIRA JUREMA DE MAGALHÃES	RUA TEÓFILO GURGEL , 111,CEP -60325250 , MONTE CASTELO	 MONTE CASTELO
519	EMEIF LOHRAN MARQUES MEDEIROS	RUA CREUZA ROCHA , S/N,CEP -60346350 , JARDIM GUANABARA	 JARDIM GUANABARA
520	EMEIF LUIZ CARLOS ALBUQUERQUE DE MATOS BRITO	RUA DOUTOR AMADEU SÁ , 708,CEP -60346790 , JARDIM GUANABARA	 JARDIM GUANABARA
521	EMEIF MANOEL RODRIGUES	RUA MARIA CLARA , 1237,CEP -60345290 , BARRA DO CEARÁ	 BARRA DO CEARÁ
522	EMEIF MARIA DALVA SEVERINO MARREIRA	RUA RIO PARAGUAI , 782,CEP -60341270 , BARRA DO CEARÁ	 BARRA DO CEARÁ
523	EMEIF MARIA MARIZA MENDES DE CARVALHO	RUA RAIMUNDO CUNHA , S/N,CEP -60345151 , VILA VELHA	 VILA VELHA
524	EMEIF MARIA ROSELI LIMA MESQUITA	RUA FRANCISCO CALACA , 1791,CEP -60336550 , CRISTO REDENTOR	 CRISTO REDENTOR
525	EMEIF NEUMAR VALENÇA	RUA IRMÃ ANA MARIA , 50,CEP -60332240 , BARRA DO CEARÁ	 BARRA DO CEARÁ
526	EMEIF NOSSA SENHORA DE FATIMA	RUA SÍLVIO ROMERO , 370,CEP -60336100 , ÁLVARO WEYNE	 ÁLVARO WEYNE
527	EMEIF NOSSA SENHORA PERPÉTUO SOCORRO	RUA CONSUL GOUVEIA , 57,CEP -60335390 , ÁLVARO WEYNE	 ÁLVARO WEYNE
528	EMEIF PATATIVA DO ASSARE	RUA FREI TEOBALDO , 646,CEP -60335220 , ÁLVARO WEYNE	 ÁLVARO WEYNE
529	EMEIF PLÁSCIDO ADERALDO CASTELO - ESPECIAL	RUA CARIRIAÇU , 57,CEP -60010460 , JACARECANGA	 JACARECANGA
530	EMEIF PROFESSOR MARTINZ DE AGUIAR	RUA BERNARDO PORTO , 490,CEP -60320570 , VILA ELLERY	 VILA ELLERY
531	EMEIF RACHEL DE QUEIROZ - AV CASTELO BRANCO	AVENIDA PRESIDENTE CASTELO BRANCO , 5010,CEP -60312060 , JACARECANGA	 JACARECANGA
532	EMEIF RAIMUNDO DE SOUZA MANGUEIRA	RUA ALBERTO FERREIRA , 624,CEP -60341140 , BARRA DO CEARÁ	 BARRA DO CEARÁ
533	EMEIF REITOR PEDRO TEIXEIRA BARROSO	AVENIDA PRESIDENTE CASTELO BRANCO , 5201,CEP -60312060 , JACARECANGA	 JACARECANGA
534	EMEIF ROSA MÍSTICA	RUA CREUZA ROCHA , 228,CEP -60346350 , JARDIM GUANABARA	 JARDIM GUANABARA
535	EMEIF SÃO JOSÉ	AVENIDA DOUTOR THEBERGE , S/N,CEP -60335480 , ÁLVARO WEYNE	 ÁLVARO WEYNE
536	EMEIF SECRETARIO PAULO PETROLA	TRAVESSA SARGENTO HERMÍNIO , 415,CEP -60350550 , JACARECANGA	 JACARECANGA
537	EMEIF TERTULIANO CAMBRAIA	RUA MONSENHOR ROSA , 946,CEP -60310440 , JACARECANGA	 JACARECANGA
538	EMEIF VIRGÍLIO TAVORA	AVENIDA MONSENHOR HÉLIO CAMPOS , S/N,CEP -60336800 , CRISTO REDENTOR	 CRISTO REDENTOR
539	ESCOLA CURA D`ARS *	RUA SANTA ELISA , 722,CEP -60311020 , JACARECANGA	 JACARECANGA
540	ESCOLA MOURA BRASIL	RUA PADRE MORORÓ , 189,CEP -60010100 , MOURA BRASIL	 MOURA BRASIL
541	ESCOLA PROF JOSE PARSIFAL BARROSO *	AVENIDA MAJOR ASSIS , 106,CEP -60345150 , BARRA DO CEARÁ	 BARRA DO CEARÁ
542	ESCOLA SANTA TEREZA *	AVENIDA MONSENHOR HÉLIO CAMPOS , 90,CEP -60336800 , CRISTO REDENTOR	 CRISTO REDENTOR
543	ANEXO I FREI TITO	RUA OLIVEIRA FILHO , 3320,CEP -60181810 , VICENTE PINZON	 VICENTE PINZON
544	CEI DARCY RIBEIRO	RUA FAUSTO CABRAL , 357,CEP -60175415 , PAPICU	 PAPICU
545	CEI LUXOU	RUA JÚLIO SILVA , S/N,CEP -60182430 , ANTÔNIO DIOGO	 ANTÔNIO DIOGO
546	CEI MARIA ALICE	AVENIDA ENGENHEIRO SANTANA JÚNIOR , 699,CEP -60175650 , PAPICU	 PAPICU
547	CEI MENINO MALUQUINHO	AVENIDA ENGENHEIRO ALBERTO SÁ , 52,CEP -60175395 , PAPICU	 PAPICU
548	CENTRO DE INTEGRACAO PSICOSOCIAL DO CEARA - BEM-ME-QUER	RUA OLIVEIRA FILHO , 3320,CEP -60181810 , VICENTE PINZON	 VICENTE PINZON
549	CMES PROFESSORA AIDA SANTOS E SILVA	AVENIDA TRAJANO MEDEIROS , 813,CEP -60182080 , VICENTE PINZON	 VICENTE PINZON
550	CRECHE CONVENIADA CAIC VICENTE PIZON	RUA 20 , 480,CEP -60191520 , JANGURUSSU	 JANGURUSSU
551	CRECHE CONVENIADA COMUNITARIA SONHO FELIZ	RUA JOSÉ VILAR , 581,CEP -60331530 , MEIRELES	 MEIRELES
552	CRECHE CONVENIADA SÃO GABRIEL	RUA ANA GONÇALVES , 141,CEP -60130490 , TAUAPE	 TAUAPE
553	CRECHE CONVENIADA SONHO INFANTIL	RUA ESTRELA DO ORIENTE , 151,CEP -60181140 , MUCURIPE	 MUCURIPE
554	CRECHE MARIA ODNILRA CRUZ MOREIRA	RUA ZUCA ACCIOLY , S/N,CEP -60176160 , PAPICU	 PAPICU
555	CRECHE MUNICIPAL ALMERINDA DE ALBUQUERQUE	TRAVESSA LIBERTADORES , 57,CEP -60130720 , TAUAPE	 TAUAPE
556	CRECHE MUNICIPAL ANTONIETA CALS	RUA JÚLIA VASCONCELOS , 67,CEP -60120320 , TAUAPE	 TAUAPE
557	CRECHE MUNICIPAL BELARMINA CAMPOS	RUA DOUTOR MANOEL RODRIGUES MONTEIRO , 840,CEP -60182320 , ANTÔNIO DIOGO	 ANTÔNIO DIOGO
558	CRECHE MUNICIPAL FREI TITO DE ALENCAR LIMA	AVENIDA ZEZE DIOGO , 6470,CEP -60183240 , VICENTE PINZON	 VICENTE PINZON
559	CRECHE MUNICIPAL JOSÉ CARLOS DE PINHO -TIA NANÁ	AVENIDA ROGACIANO LEITE , 1864,CEP -60821070 , COCÓ	 COCÓ
560	CRECHE MUNICIPAL TIA IEDA	RUA ARISTIDES BARCELOS , S/N,CEP -60181830 , VICENTE PINZON	 VICENTE PINZON
561	EMEIF ALBA FROTA	AVENIDA DOM MANUEL , 914,CEP -60861442 , CENTRO	 CENTRO
562	EMEIF ALMERINDA DE ALBUQUERQUE	RUA ANA GONÇALVES , 1105,CEP -60130490 , TAUAPE	 TAUAPE
563	EMEIF CIRCULISTA PADRE PAULINO	RUA FRANKLIN TÁVORA , 742,CEP -60150110 , CENTRO	 CENTRO
564	EMEIF COMPLEXO SÃO VICENTE DE PAULO	AVENIDA ZEZE DIOGO , 1247,CEP -60180000 , VICENTE PINZON	 VICENTE PINZON
565	EMEIF COMUN SÃO VICENTE DE PAULO	AVENIDA DESEMBARGADOR MOREIRA , 2120,CEP -60170000 , ALDEOTA	 ALDEOTA
566	EMEIF DOM ALUISIO LORSCHEIDER	RUA JÚLIO SILVA , 400,CEP -60182430 , ANTÔNIO DIOGO	 ANTÔNIO DIOGO
567	EMEIF ELEAZAR DE CARVALHO	RUA FRANCISCO ALVES PEREIRA , 347,CEP -60180720 , VICENTE PINZON	 VICENTE PINZON
568	EMEIF FREI AGOSTINHO FERNANDES	AVENIDA CÉSAR CALS , 2370,CEP -60182000 , VICENTE PINZON	 VICENTE PINZON
569	EMEIF FREI TITO DE ALENCAR LIMA	AVENIDA DIOGUINHO , 5927,CEP -60181770 , VICENTE PINZON	 VICENTE PINZON
570	EMEIF GODOFREDO DE CASTRO FILHO	AVENIDA JOSÉ SABÓIA , 905,CEP -60180480 , VICENTE PINZON	 VICENTE PINZON
571	EMEIF JOSÉ CARLOS DE PINHO	RUA LUIZA MIRANDA COELHO , 595,CEP -60811110 , COCÓ	 COCÓ (Eng. Luciano Cavalcante)
572	EMEIF JOSÉ RAMOS TORRES DE MELO	AVENIDA DA ABOLIÇÃO , 3984,CEP -60165082 , MUCURIPE	 MUCURIPE
573	EMEIF LUIS ANGELO PEREIRA	RUA OSMUNDO CAVALCANTE DE OLIVEIRA , 90,CEP -60175552 , MUCURIPE	 MUCURIPE 
574	EMEIF MARIA ALICE	RUA PAULO MORAIS , 95,CEP -60175175 , PAPICU	 PAPICU
575	EMEIF NOSSA SENHORA APARECIDA	RUA TERESA CRISTINA , 112,CEP -60511730 , CENTRO	 CENTRO
576	EMEIF NOSSA SENHORA DO SAGRADO CORAÇÃO	RUA ANA GONÇALVES , 1,CEP -60130490 , TAUAPE	 TAUAPE
577	EMEIF PROF MARIA ODNILRA CRUZ MOREIRA	AVENIDA DAS ADENANTERAS , 800,CEP -60190560 , PAPICU	 PAPICU (Coco)
578	EMEIF PROFESSOR ALVARO COSTA	AVENIDA VICENTE DE CASTRO , 6074,CEP -60180410 , VICENTE PINZON	 VICENTE PINZON
579	EMEIF PROFESSOR LUIS COSTA	RUA JAIME LEONEL , 156,CEP -60811320 , COCÓ	 COCÓ  (Eng. Luciano Cavalcante)
580	EMEIF PROFESSORA ANTONIETA CALS	RUA MONSENHOR SALAZAR , 1480,CEP -60130371 , TAUAPE	 TAUAPE
581	EMEIF PROFESSORA BELARMINA CAMPOS	VILA ROQUETE , 840,CEP -60310180 , ÁLVARO WEYNE	 ÁLVARO WEYNE
582	EMEIF PROFESSORA CONSUELO AMORA	RUA JANGADEIRO , 577,CEP -60175553 , MUCURIPE	 MUCURIPE
583	EMEIF PROFESSORA MARIA GONDIM DOS SANTOS	RUA TAVARES COUTINHO , 620,CEP -60160130 , VARJOTA	 VARJOTA
584	EMEIF SAO RAFAEL* ELVIRA PINHO	VILA TABAJARAS , 224,CEP -60337070 , CRISTO REDENTOR	 CRISTO REDENTOR
585	EMEIF SEMENTE DO AMANHA	AVENIDA ZEZE DIOGO , 64,CEP -60183240 , VICENTE PINZON	 VICENTE PINZON
586	ESCOLA DEP JOSE DIAS MACEDO *	RUA NUNES VALENTE , 809,CEP -60125070 , MEIRELES	 MEIRELES
587	ESCOLA ESPECIAL FELIPPO SMALDONE	RUA ADOLFO SIQUEIRA , 273,CEP -60135140 , JOAQUIM TÁVORA	 JOAQUIM TÁVORA
588	ESCOLA ESPECIAL MINHA ESCOLA PROFISSIONALIZANTE - APAE	AVENIDA ROGACIANO LEITE , 2001,CEP -60810000 , COCÓ	 COCÓ (Salinas)
589	ESCOLA ESPECIAL PSICO-PEDAGÓGICA ESPECIAL - RECANTO	RUA ARI BARROSO , 55,CEP -60175705 , PAPICU	 PAPICU
590	CMES PROF LUIS RECAMONDE CAPELO	RUA MARIA QUINTELA , 706,CEP -60520790 , BONSUCESSO	 BONSUCESSO
591	CMES PROFESSOR CLODOALDO PINTO	RUA BANVARTH BEZERRA , 100,CEP -60356400 , CACHOEIRINHA	 CACHOEIRINHA
592	CMES PROFESSOR JOSE SOBREIRA AMORIM	RUA ESTRADA DO PICI , 1083,CEP -60510110 , JÓQUEI CLUBE	 JÓQUEI CLUBE
593	CRECHE CONVENIADA APRISCO	RUA MONSENHOR FURTADO , 759,CEP -60430350 , RODOLFO TEÓFILO	 RODOLFO TEÓFILO
594	CRECHE CONVENIADA CARLOTA TAVORA	RUA MONSENHOR HIPÓLITO BRASIL , 397,CEP -60510410 , HENRIQUE JORGE	 HENRIQUE JORGE
595	CRECHE CONVENIADA CRIANÇA FELIZ	RUA POMAR CARIOCA , 406,CEP -60541660 , BONSUCESSO	 BONSUCESSO
596	CRECHE CONVENIADA FRANCISCA FERNANDES MAGALHAES	RUA VITAL BRASIL , S/N,CEP -60541490 , BONSUCESSO	 BONSUCESSO
597	CRECHE CONVENIADA GENTIL BARREIRA	RUA DOS PESCADORES , 188,CEP -60352640 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
598	CRECHE CONVENIADA JOSE CARLOS RIBEIRO	RUA PIO SARAIVA , 168,CEP -60352470 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
599	CRECHE CONVENIADA NOVA VIDA	AVENIDA GONÇALVES DIAS , 448,CEP -60431140 , RODOLFO TEÓFILO	 RODOLFO TEÓFILO
600	CRECHE CONVENIADA NOVO AMANHECER	RUA MARIA JOSÉ TEIXEIRA , 300,CEP -60351230 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
601	CRECHE CONVENIADA PARAISO	RUA BENJAMIM CONSTANT , 497,CEP -60876260 , MESSEJANA	 MESSEJANA
602	CRECHE CONVENIADA PEQUENA BIA - CAIC AUTRAN NUNES	RUA RAIMUNDO RIBEIRO , 400,CEP -60526500 , AUTRAN NUNES	 AUTRAN NUNES
603	CRECHE CONVENIADA TIA EURICE	RUA DIOGO CORREIA , 684,CEP -60525580 , HENRIQUE JORGE	 HENRIQUE JORGE
604	CRECHE CONVENIADA TIA LANE	RUA VIRIATO RIBEIRO , S/N, , BELA VISTA	 BELA VISTA
605	CRECHE CONVENIADA TIA LORETO	RUA XXIX , 632,CEP -60351670 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
606	CRECHE CONVENIADA TIA TOINHA	VILA BASILÉIA , 321,CEP -60520080 , JÓQUEI CLUBE	 JÓQUEI CLUBE
607	CRECHE MUNICIPAL CÉSAR CALS	RUA CORONEL MATOS DOURADO , S/N,CEP -60360590 , PICI	 PICI
608	CRECHE MUNICIPAL CLODOALDO PINTO	RUA BANVARTH BEZERRA , 100,CEP -60356400 , CACHOEIRINHA	 CACHOEIRINHA
609	CRECHE MUNICIPAL JOAQUIM NOGUEIRA	RUA PADRE PERDIGÃO SAMPAIO , S/N,CEP -60352350 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
610	CRECHE MUNICIPAL SOBREIRA DE AMORIM	RUA PORTO ALEGRE , 381,CEP -60510200 , HENRIQUE JORGE	 HENRIQUE JORGE
611	EMEIF 15 DE OUTUBRO	RUA GUARANI , 2030,CEP -60520660 , HENRIQUE JORGE	 HENRIQUE JORGE
612	EMEIF ABC SANTA LUZIA	RUA CONSELHEIRO ARAÚJO LIMA , 1536,CEP -60510440 , HENRIQUE JORGE	 HENRIQUE JORGE
613	EMEIF ADROALDO TEIXEIRA CASTELO	RUA ALAGOAS , 2267,CEP -60511080 , PICI	 PICI
614	EMEIF ANTONIO DIOGO DE SIQUEIRA	RUA ANSELMO NOGUEIRA , 655,CEP -60545360 , BONSUCESSO	 BONSUCESSO
615	EMEIF ANTONIO SALES	RUA TAVARES IRACEMA , 675,CEP -60430070 , RODOLFO TEÓFILO	 RODOLFO TEÓFILO
616	EMEIF AUTRAN NUNES	RUA PROFESSOR VIRGÍLIO MORAIS , S/N,CEP -60526720 , GENIBAÚ	 GENIBAÚ
617	EMEIF BERGSON GURJÃO FARIAS	AVENIDA SENADOR FERNANDES TÁVORA , 2500,CEP -60510290 , HENRIQUE JORGE	 HENRIQUE JORGE
618	EMEIF BETH SHALOM	RUA SABIÁ , 940,CEP -60520040 , JÓQUEI CLUBE	 JÓQUEI CLUBE
619	EMEIF CESAR CALS	RUA CORONEL MATOS DOURADO , 1270,CEP -60360590 , PICI	 PICI
620	EMEIF CRISTO REI I	AVENIDA BEZERRA DE MENEZES , 1643,CEP -60325005 , SÃO GERARDO	 SÃO GERARDO
621	EMEIF DAGMAR GENTIL	RUA DESEMBARGADOR PEDRO PAULO , 1740,CEP -60510360 , HENRIQUE JORGE	 HENRIQUE JORGE
622	EMEIF DEP GERONCIO BEZERRA	RUA MANUEL NUNES , 42,CEP -60360760 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
623	EMEIF DOLORES ALCANTARA	RUA ARCO VERDE , S/N,CEP -60332100 , BARRA DO CEARÁ	 BARRA DO CEARÁ
624	EMEIF DOM JOSÉ TUPINAMBÁ DA FROTA	RUA VIRIATO RIBEIRO , 1031,CEP -60442640 , BELA VISTA	 BELA VISTA
625	EMEIF FRANCISCA FERNANDES MAGALHAES	RUA VITAL BRASIL , 1020,CEP -60543040 , BONSUCESSO	 BONSUCESSO
626	EMEIF GABRIEL CAVALCANTE	ALAMEDA F , 167,CEP -60357250 , PASSARÉ	 PASSARÉ
627	EMEIF GASPARZINHO	RUA RIO PARAGUAI , 1237,CEP -60341270 , BARRA DO CEARÁ	 BARRA DO CEARÁ
628	EMEIF IRMA DULCE	RUA MANUEL ANTÔNIO LEITE , 703,CEP -60545300 , BONSUCESSO	 BONSUCESSO
629	EMEIF JOAQUIM FRANCISCO SOUZA FILHO	RUA JOAQUIM MARQUES , 13,CEP -60356030 , ALAGADIÇO	 ALAGADIÇO
630	EMEIF JOAQUIM NOGUEIRA	RUA PADRE PERDIGÃO SAMPAIO , 250,CEP -60352350 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
631	EMEIF JOSE CARLOS DA COSTA RIBEIRO	RUA PIO SARAIVA , 168,CEP -60352470 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
632	EMEIF JURANDIR MAGALHAES	RUA BIAS (DIAS) MENDES , 197,CEP -60541610 , BONSUCESSO	 BONSUCESSO
633	EMEIF MARIA CARDOSO	RUA FRANCISQUINHA PORTELA , 1151,CEP -60351840 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
634	EMEIF MARIA DO SOCORRO ALVES CARNEIRO	RUA VERBENA , 1020,CEP -60545350 , BONSUCESSO	 BONSUCESSO
635	EMEIF MONSENHOR LINHARES	RUA PROFESSOR LINO ENCARNAÇÃO , 1130,CEP -60450230 , PARQUELÂNDIA	 PARQUELÂNDIA
636	EMEIF MURILO SERPA	RUA MONSENHOR HIPÓLITO BRASIL , 1400,CEP -60510410 , HENRIQUE JORGE	 HENRIQUE JORGE
637	EMEIF NILSON HOLANDA	RUA VIRIATO RIBEIRO , 890,CEP -60442640 , BELA VISTA	 BELA VISTA
638	EMEIF PADRE JOSEFINO CABRAL	AVENIDA SARGENTO HERMÍNIO SAMPAIO , 5598,CEP -60350502 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
639	EMEIF PRESIDENTE KENNEDY	AVENIDA LINEU MACHADO , 811,CEP -60520380 , JÓQUEI CLUBE	 JÓQUEI CLUBE
640	EMEIF PROF DENIZARD MACEDO	RUA MATOSO FILHO , 450,CEP -60351360 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
641	EMEIF PROF MARIA LIDUINA CORREA LEITE	RUA FERNÃO MAGALHÃES , 120,CEP -60440550 , PICI	 PICI
642	EMEIF PROFESSOR GERARDO MILTON DE SA	RUA VALE COSTA , S/N,CEP -60360720 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
643	EMEIF QUINTINO CUNHA	RUA MARIA CLARA , 1263,CEP -60345290 , BARRA DO CEARÁ	 BARRA DO CEARÁ
644	EMEIF SANTA MARIA	RUA CUIABÁ , 1465,CEP -60510050 , JÓQUEI CLUBE	 JÓQUEI CLUBE
645	EMEIF SANTA TEREZINHA - BOM SUCESSO	RUA SÃO JOÃO , 35,CEP -60340540 , BONSUCESSO	 BONSUCESSO
646	EMEIF SANTO INÁCIO	RUA TENENTE QUEIROS , 999,CEP -60360170 , ANTÔNIO BEZERRA	 ANTÔNIO BEZERRA
647	EMEIF SAO CARLOS	LARGO 6 , 1009,CEP -60352150 , COCÓ (Rua 6 - Cj. Parque Boatã)	COCÓ (QUINTINO CUNHA)
648	EMEIF SÃO RAIMUNDO	RUA ALEXANDRE BARAÚNA , 1450,CEP -60416130 , JARDIM AMÉRICA	 JARDIM AMÉRICA
649	ESCOLA DR JOSE BONIFACIO DE SOUSA	RUA PERNAMBUCO , 600,CEP -60440140 , DEMOCRITO ROCHA	 DEMOCRITO ROCHA
650	ESCOLA JOAO PAULO I - JOAO XXIII	RUA LUÍS DE CASTRO , 254,CEP -60520030 , JÓQUEI CLUBE	 JÓQUEI CLUBE
651	ESCOLA MENINO JESUS DE PRAGA II	RUA MENINO JESUS DE PRAGA , 192,CEP -60540430 , HENRIQUE JORGE (Vila Menino Jesus de Praga, 192)	 HENRIQUE JORGE (BOM JARDIM)
652	CMES PROFESSOR JOSÉ VALDEVINO DE CARVALHO	RUA GUARÁ , S/N,CEP -60740140 , PARANGABA	 PARANGABA
653	CMES PROJETO NASCENTE	RUA CAMPO MAIOR , S/N,CEP -60742410 , ITAPERI	 ITAPERI
654	CRECHE CONVENIADA MARCOS VALENTIM PEREIRA DE SOUZA	RUA FREIRE ALEMÃO , 91,CEP -60742110 , SERRINHA	 SERRINHA
655	CRECHE CONVENIADA SEMEAR	RUA CASSIMIRO DE ABREU , 106,CEP -60733106 , PARQUE SÃO JOSÉ	 PARQUE SÃO JOSÉ (MONDUBIM)
656	CRECHE MUNICIPAL ALGODÃO DOCE	ALAMEDA OXALÁ , 643,CEP -60740560 , PARANGABA	 PARANGABA
657	CRECHE MUNICIPAL CONS JOSÉ BATISTA DE OLIVEIRA	RUA GOIÁS , S/N,CEP -60441000 , BELA VISTA	 BELA VISTA
658	CRECHE MUNICIPAL FILGUEIRAS LIMA	AVENIDA DOS EXPEDICIONÁRIOS , 3910,CEP -60410410 , BENFICA	 BENFICA
659	CRECHE MUNICIPAL HABITAFOR	RUA JOSÉ LEANDRO , S/N,CEP -60420200 , VILA UNIÃO	 VILA UNIÃO (AEROPORTO)
660	CRECHE MUNICIPAL MARIA DE CARVALHO MARTINS	AVENIDA DEDÉ BRASIL , 4300,CEP -60740000 , PARANGABA	 PARANGABA
661	CRECHE MUNICIPAL PAPA JOÃO XXIII	PRACA TREZE DE ABRIL , 595 A,CEP -60416230 , CENTRO (Rua Treze de Abril, 595 A)	 CENTRO (VILA UNIÃO)
662	CRECHE MUNICIPAL PAULO SARASATE	RUA PEDRO MUNIZ , 250,CEP -60440060 , DEMOCRITO ROCHA	 DEMOCRITO ROCHA
663	CRECHE MUNICIPAL PRESIDENTE MEDICI	AVENIDA BORGES DE MELO , 910,CEP -60851195 , FÁTIMA	 FÁTIMA
664	CRECHE MUNICIPAL PROJETO NASCENTE	RUA CAMPO MAIOR , S/N,CEP -60742410 , ITAPERI	 ITAPERI
665	CRECHE MUNICIPAL TEODORICO BARROSO	RUA HELVÉCIO MONTE , 751,CEP -60420040 , VILA UNIÃO	 VILA UNIÃO
666	CRECHE MUNICIPAL VICENTE FIALHO	RUA IRMÃ BAZET , 193,CEP -60420680 , MONTESE	 MONTESE
667	EMEIF CAROLINO SUCUPIRA	RUA MUNDICA PAULA , S/N,CEP -60421410 , PARANGABA	 PARANGABA
668	EMEIF CATULO DA PAIXÃO CEARENSE	RUA LEÃO DO NORTE , S/N,CEP -60730010 , VILA PERI	 VILA PERI
669	EMEIF CLÁUDIO MARTINS	AVENIDA JOÃO PESSOA , 6601,CEP -60425681 , PARANGABA	 PARANGABA
670	EMEIF HAROLDO JORGE BRAUN VIEIRA	TRAVESSA UNIÃO , S/N,CEP -60416290 , VILA UNIÃO	 VILA UNIÃO
671	EMEIF JOSÉ BATISTA DE OLIVEIRA	RUA GOIÁS , S/N,CEP -60441000 , BELA VISTA	 BELA VISTA
672	EMEIF MADRE TEREZA DE CALCUTÁ	RUA GUILHERME MOREIRA , 75,CEP -60040490 , FÁTIMA	 FÁTIMA
673	EMEIF MARCOS VALENTIM PEREIRA DE SOUZA	RUA FREIRE ALEMÃO , 91,CEP -60742110 , SERRINHA	 SERRINHA
674	EMEIF MARIA DE CARVALHO MARTINS	AVENIDA DEDÉ BRASIL , 4300,CEP -60740000 , PARANGABA	 PARANGABA
675	EMEIF MOZART PINTO	RUA JORGE DUMAR , 2078,CEP -60410300 , BENFICA	 BENFICA
676	EMEIF PADRE AMORIM	RUA BARTOLOMEU DE GUSMÃO , 235,CEP -60415170 , FÁTIMA	 FÁTIMA
677	EMEIF PADRE GUIDO MANTOVANI	TRAVESSA NOVA AURORA , 96,CEP -60415590 , JARDIM AMÉRICA	 JARDIM AMÉRICA
678	EMEIF PADRE MARCELINO ZANELLA	RUA INGLATERRA , 222,CEP -60710060 , PARANGABA	 PARANGABA
679	EMEIF PAPA JOÃO XXIII	PRACA TREZE DE ABRIL , 595,CEP -60416230 , CENTRO  (Rua Treze de Abril, 595 A)	 CENTRO (VILA UNIÃO)
680	EMEIF PAULO SARASATE	RUA PEDRO MUNIZ , 250,CEP -60440060 , DEMOCRITO ROCHA	 DEMOCRITO ROCHA
681	EMEIF PRESIDENTE MEDICI	AVENIDA BORGES DE MELO , 910,CEP -60851195 , FÁTIMA	 FÁTIMA
682	EMEIF RAIMUNDO SOARES DE SOUZA	RUA COSTA FREIRE , 550,CEP -60730590 , PARANGABA	 PARANGABA
683	EMEIF SANTA TEREZINHA - JARDIM AMERICA	TRAVESSA SALGADINHO , S/N,CEP -60410480 , JARDIM AMÉRICA	 JARDIM AMÉRICA
684	EMEIF THOMAZ POMPEU SOBRINHO	RUA JOSÉ MENELEU , 531,CEP -60160170 , PARANGABA	 PARANGABA
685	EMEIF VICENTE FIALHO	RUA IRMÃ BAZET , 193,CEP -60420680 , MONTESE	 MONTESE
686	EMEIF WALDEMAR BARROSO	RUA CÔNEGO LIMA SUCUPIRA , 410,CEP -60740350 , PARANGABA	 PARANGABA
687	EMEIF ZAIRA MONTEIRO GONDIM	RUA PEDRO AGUIAR , 315,CEP -60742220 , PASSARÉ	 PASSARÉ
688	ESCOLA DOM MANUEL DA SILVA GOMES *	RUA SAMUEL UCHÔA , 550,CEP -60416170 , BOM FUTURO	 BOM FUTURO
689	ESCOLA ESPECIAL INSTITUTO MOREIRA DE SOUZA - ESPECIAL	AVENIDA DEDÉ BRASIL , 4241,CEP -60740000 , PARANGABA	 PARANGABA
690	ESCOLA MUNDO DA CRIANCA	RUA GUERRA JUNQUEIRO , 527,CEP -60741300 , SERRINHA	 SERRINHA
691	ESCOLA MUNICIPAL FILGUEIRAS LIMA	AVENIDA DOS EXPEDICIONÁRIOS , 3910,CEP -60410410 , BENFICA	 BENFICA
692	ESCOLA MUNICIPAL PADRE FELICE PISTONE	RUA JÚLIO CÉSAR , 1810,CEP -60425351 , JACARECANGA	 JACARECANGA (DAMAS)
693	CMES DOM ANTONIO ALMEIDA LUSTOSA	RUA GERALDO BARBOSA , S/N,CEP -60540340 , BOM JARDIM	 BOM JARDIM
694	CMES FRANCISCO EDMILSON PINHEIRO	AVENIDA H , 2115,CEP -60533660 , CONJUNTO CEARÁ	 CONJUNTO CEARÁ
695	CMES MARIA VIVIANE BENEVIDES GOUVEIA	RUA CREUZA ROQUE , 247,CEP -60713330 , MANUEL SÁTIRO	 MANUEL SÁTIRO
696	CMES MARIA ZELIA CORREIA DE SOUSA	RUA ANTÔNIO PEREIRA , 1495,CEP -60760520 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER (PLANALTO AYTOM SENA)
697	CRECHE COMUNITÁRIA CORAÇÃO DE MARIA	RUA SÃO BASÍLIO , 979,CEP -60762690 , PARQUE PRESIDENTE VARGAS	 PARQUE PRESIDENTE VARGAS
698	CRECHE CONVENIADA AMANHECER FELIZ	AVENIDA FRANCISCA MARIA DA CONCEIÇÃO , 241,CEP -60760320 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
699	CRECHE CONVENIADA CAIC CRIANÇA ESPERANÇA	RUA SARGENTO BARBOSA , S/N,CEP -60545190 , BOM JARDIM	 BOM JARDIM
700	CRECHE CONVENIADA CENTRO DE NUTRIÇÃO	RUA NAO INFORMADO , S/N, , 	 
701	CRECHE CONVENIADA CM PARAISO INFANTIL	RUA RÚBENS MONTE , 201,CEP -60711690 , MONDUBIM	 MONDUBIM
702	CRECHE CONVENIADA DONA CHIQUINHA	RUA 1096 , 34;ET 4º,CEP -60533230 , CONJUNTO CEARÁ	 CONJUNTO CEARÁ
703	CRECHE CONVENIADA IRMÃOS FIRMO	RUA 1096 , 15,CEP -60533230 , CONJUNTO CEARÁ	 CONJUNTO CEARÁ
704	CRECHE CONVENIADA MA DOLORES PETROLA	RUA PAULINO ROCHA , 1000,CEP -60545220 , BOM JARDIM	 BOM JARDIM (GRANJA LISBOA)
705	CRECHE CONVENIADA NOSSA SENHORA DE FATIMA	RUA 1163 , 10;ET 4º,CEP -60533560 , CONJUNTO CEARÁ	 CONJUNTO CEARÁ
706	CRECHE CONVENIADA NOVA ALVORADA	AVENIDA J , S/N,CEP -60810610 , CONJUNTO CEARÁ	 CONJUNTO CEARÁ
707	CRECHE CONVENIADA RACHEL DE QUEIROZ - MIGUEL MARTINS	RUA 41 , S/N,CEP -60348350 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER (VILA VELHA)
708	CRECHE CONVENIADA RAIMUNDO MOREIRA SENA	ACESSO A , S/N,CEP -60763440 , PARQUE SÃO JOSÉ	 PARQUE SÃO JOSÉ (CONJUNTO ESPERANÇA)
709	CRECHE CONVENIADA REITOR ANTº MARTINS FILHO -TIA EULALIA	RUA HUMBERTO LOMEU , 1222,CEP -60541110 , GRANJA PORTUGAL	 GRANJA PORTUGAL
710	CRECHE CONVENIADA ROGACIANO LEITE	AVENIDA J , 1488,CEP -60347790 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
711	CRECHE CONVENIADA SANTA MARIA GORETE	AVENIDA GODOFREDO MACIEL , 522,CEP -60710000 , PARANGABA	 PARANGABA
712	CRECHE CONVENIADA SANTO ANTONIO	RUA JOÃO RAMALHO , 475,CEP -60730290 , PARQUE SÃO JOSÉ	 PARQUE SÃO JOSÉ
713	CRECHE CONVENIADA SEMENTE DA LIBERDADE	RUA MESTRE ANDRÉ , 155,CEP -60534440 , GENIBAÚ	 GENIBAÚ
714	CRECHE CONVENIADA VIVER E APRENDER	RUA E , 187, , MONDUBIM	 MONDUBIM
715	CRECHE ESTANISLAU FAÇANHA	AVENIDA HOLANDA , 870,CEP -60711000 , MARAPONGA	 MARAPONGA
716	CRECHE FUTURO DA CRIANCA	RUA IRINEU , S/N,CEP -60540840 , MONDUBIM (VILA IRINEU)	 MONDUBIM (GRANJA PORTUGAL)
717	CRECHE JACINTO BOTELHO	RUA MANUEL ALBANO , S/N,CEP -60861460 , PASSARÉ	 PASSARÉ
718	CRECHE JOÃO HILDO CARVALHO - PEQUENO BRILHANTES	ACESSO C , S/N,CEP -60734140 , PARQUE SÃO JOSÉ (ACESSO C - CJ. JARDIM FLUMINENSE)	 PARQUE SÃO JOSÉ (CANINDEZINHO)
719	CRECHE MUNICIPAL DOM ALMEIDA LUSTOSA	RUA GERALDO BARBOSA , 3923,CEP -60540340 , BOM JARDIM	 BOM JARDIM (GRANJA LISBOA)
720	CRECHE MUNICIPAL FLORIVAL ALVES SERAINE	LARGO 5 , 1324,CEP -60330785 , COCÓ (Rua 5 - Cj. Padre Santana)	 COCÓ (BARRA DO CEARÁ)
721	CRECHE MUNICIPAL GRACILIANO MUNIZ	RUA 106 , 377,CEP -60763550 , CONJUNTO ESPERANÇA	 CONJUNTO ESPERANÇA
722	CRECHE MUNICIPAL JOÃO MENDES DE ANDRADE	ACESSO B , S/N,CEP -60540662 , PARQUE SÃO JOSÉ (Rua B, s/n)	 PARQUE SÃO JOSÉ (GRANJA LISBOA)
723	CRECHE MUNICIPAL JOAQUIM ALVES	RUA PEDRO GOMES , 45,CEP -60732730 , BOM JARDIM	 BOM JARDIM (SIQUEIRA)
724	CRECHE MUNICIPAL JONATHAN DA ROCHA ALCOFORADO	RUA MARIA GOMES DE SÁ , 1030,CEP -60765170 , MONDUBIM	 MONDUBIM
725	CRECHE MUNICIPAL MANOEL MALVEIRA MAIA	RUA XAVIER DA SILVEIRA , S/N,CEP -60540210 , BOM JARDIM	 BOM JARDIM
726	CRECHE MUNICIPAL MARIA BEZERRA QUEVEDO	RUA 1006 , 114,CEP -60532630 , CONJUNTO CEARÁ	 CONJUNTO CEARÁ
727	CRECHE MUNICIPAL MARIA HERCILIA EVANGELISTA MARTINS	RUA NS 03 , 300,CEP -60762403 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
728	CRECHE MUNICIPAL OSMIRIO BARRETO DE OLIVEIRA	LARGO 10 , S/N,CEP -60330791 , COCÓ (CJ. PADRE SANTANA)	 COCÓ (BARRA DO CEARÁ)
729	CRECHE MUNICIPAL ROSA AMARO CAVALCANTE	RUA SILVINO , S/N,CEP -60763670 , MANUEL SÁTIRO	 MANUEL SÁTIRO
730	CRECHE MUNICIPAL ZELIA CORREIA	RUA ANTÔNIO PEREIRA , 1495,CEP -60760520 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
731	CRECHE RACHEL VIANA MARTINS	RUA TUCUNDUBA , S/N,CEP -60540121 , BOM JARDIM	 BOM JARDIM
732	CRECHE SONHO DE CRIANÇA - SER V	RUA VIDAL DE NEGREIROS , 359,CEP -60711440 , MONDUBIM	 MONDUBIM (JARDIM CEARENSE)
733	EMEIF ADALBERTO STUDART FILHO	RUA DO CAMPO , 25,CEP -60510461 , MONDUBIM	 MONDUBIM
734	EMEIF ADAUTO BEZERRA - MINHA VIDA MEUS AMORES	RUA 69 , S/N,CEP -60510733 , PREFEITO JOSÉ WALTER (CJ. RESIDENCIAL HENRIQUE JORGE)	 PREFEITO JOSÉ WALTER (DOM LUSTOSA)
735	EMEIF ALAIDE AUGUSTO DE OLIVEIRA	RUA SETEMBRINA , 525,CEP -60763700 , MANUEL SÁTIRO	 MANUEL SÁTIRO
736	EMEIF ARY DE SÁ CAVALCANTE	AVENIDA H , 430,CEP -60750070 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
737	EMEIF CASIMIRO MONTENEGRO	AVENIDA DOS EXPEDICIONÁRIOS , 11360, , BENFICA	 BENFICA
738	EMEIF CATARINA LIMA DA SILVA	RUA PEDRO MARTINS , 313,CEP -60540110 , BOM JARDIM	 BOM JARDIM
739	EMEIF COMECINHO DE VIDA	RUA JOSÉ MAURÍCIO , 405,CEP -60830040 , BOM JARDIM	 BOM JARDIM (SIQUEIRA)
740	EMEIF CONCEIÇÃO MOURÃO	RUA DUAS NAÇÕES , S/N,CEP -60545250 , GRANJA PORTUGAL	 GRANJA PORTUGAL
741	EMEIF CREUSA DO CARMO ROCHA	RUA DUAS NAÇÕES , 1055,CEP -60545250 , GRANJA PORTUGAL	 GRANJA PORTUGAL
742	EMEIF CRIANÇA FELIZ	AVENIDA 1 , 1169,CEP -60731160 , MONDUBIM (RUA 1 - CJ. CORAÇÃO DE JESUS, 1169)	 MONDUBIM (CANIDEZINHO)
743	EMEIF CRISTO REI	RUA PADRE ANTÔNIO NUNES GURGEL , 969,CEP -60545500 , GRANJA PORTUGAL	 GRANJA PORTUGAL
744	EMEIF DIOGO VITAL DE SIQUEIRA	AVENIDA L , S/N,CEP -60750110 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
745	EMEIF DOUTOR SERVULO MENDES BARROSO	RUA JOSÉ MARTINS , 2239,CEP -60540540 , PASSARÉ	 PASSARÉ (GRANJA LISBOA)
746	EMEIF EDUCADOR PAULO FREIRE	RUA CORONEL FABRICIANO , 452,CEP -60540830 , GRANJA PORTUGAL	 GRANJA PORTUGAL
747	EMEIF FLORIVAL ALVES SERAINE	RUA ITATIAIA , S/N,CEP -60731690 , PARQUE SÃO JOSÉ	 PARQUE SÃO JOSÉ (CANINDEZINHO)
748	EMEIF FRANCISCA DE ABREU LIMA	RUA HUMBERTO DE ALMEIDA , 535,CEP -60731740 , PARQUE SÃO JOSÉ	 PARQUE SÃO JOSÉ (CANINDEZINHO)
749	EMEIF FRANCISCO NUNES CAVALCANTE	LARGO 2 , 561,CEP -60330782 , COCÓ (CJ. PADRE SANTANA)	 COCÓ (BARRA DO CEARÁ)
750	EMEIF GEISA FIRMO GONÇALVES	RUA ZULEICA PONTES , 1260,CEP -60760420 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
751	EMEIF HENRIQUETA GALENO	RUA MAJOR MONTENEGRO , 917,CEP -60713520 , VILA PERI	 VILA PERI
752	EMEIF HERBERT DE SOUZA	RUA URUCUTUBA , 1599,CEP -60540130 , BOM JARDIM	 BOM JARDIM
753	EMEIF HILZA DIOGO CALS	RUA WALDIR DIOGO , 850,CEP -60764020 , MANUEL SÁTIRO	 MANUEL SÁTIRO
754	EMEIF IRMÃ MARIA EVANETE	ACESSO D , 1015,CEP -60867290 , PARQUE SÃO JOSÉ (RUA D, 1015, CJ. BARROSO II)	 PARQUE SÃO JOSÉ (PASSARÉ)
755	EMEIF IRMA ROCHA	RUA EMÍLIO DE MENEZES , 2515,CEP -60541420 , BONSUCESSO	 BONSUCESSO
756	EMEIF JOAO ESTANISLAU FAÇANHA	RUA SUÍÇA , S/N,CEP -60711030 , MARAPONGA	 MARAPONGA
757	EMEIF JOAO FREDERICO FERREIRA GOMES	RUA JOSÉ MENDONÇA , 1150,CEP -60534090 , GRANJA PORTUGAL	 GRANJA PORTUGAL (GENIBAU)
758	EMEIF JOAO HILDO DE CARVALHO FURTADO	RUA MIGUEL ARAGÃO , S/N,CEP -60762560 , MONDUBIM	 MONDUBIM
759	EMEIF JOÃO MENDES DE ANDRADE	ACESSO B , S/N,CEP -60540662 , PARQUE SÃO JOSÉ (Rua B, s/n)	 PARQUE SÃO JOSÉ (BOM JARDIM)
760	EMEIF JOAO PAULO II	AVENIDA C , 1381, , CONJUNTO CEARÁ	 CONJUNTO CEARÁ
761	EMEIF JOAQUIM ALVES	AVENIDA GENERAL OSÓRIO DE PAIVA , 8030,CEP -60720000 , VILA PERI	 VILA PERI
762	EMEIF JONATHAN DA ROCHA ALCOFORADO	RUA MARIA GOMES DE SÁ , 1030,CEP -60765170 , MONDUBIM	 MONDUBIM
763	EMEIF JOSE AYRTON TEIXEIRA	RUA ALFREDO MAMEDE , S/N,CEP -60763800 , MANUEL SÁTIRO	 MANUEL SÁTIRO
764	EMEIF JOSE CARLOS MATOS	RUA ITAJAÍ , 802,CEP -60545290 , GRANJA PORTUGAL	 GRANJA PORTUGAL
765	EMEIF LISANDRA MARTINS	RUA PEREIRA BARBOSA , 622,CEP -60733600 , BOM JARDIM	 BOM JARDIM
766	EMEIF MANOEL CAETANO DE SOUZA	RUA NOSSA SENHORA DA CONCEIÇÃO , S/N,CEP -60441440 , GENIBAÚ	 GENIBAÚ
767	EMEIF MANOEL MALVEIRA MAIA	RUA MANUEL GALDINO , S/N,CEP -60540120 , BOM JARDIM	 BOM JARDIM
768	EMEIF MARIA BEZERRA QUEVEDO	RUA 103 , 28,CEP -60744410 , CONJUNTO ESPERANÇA (CJ. TUPAM MIRIM)	 CONJUNTO ESPERANÇA (PARQUE DOIS IRMÃOS)
769	EMEIF MARIA DE OLIVEIRA LEMOS	RUA JOÃO XXIII , 1454,CEP -60540660 , BOM JARDIM	 BOM JARDIM
770	EMEIF MARIA DOLORES PETROLA DE MELO JORGE	RUA MIRTES CORDEIRO , S/N,CEP -60540600 , BOM JARDIM	 BOM JARDIM
771	EMEIF MARIETA GUEDES MARTINS	RUA JOSÉ GUEDES MARTINS , 4701,CEP -60731090 , VILA PERI ( RUA WESLEY SARAIVA  ROCHA)	 VILA PERI (SIQUEIRA)
772	EMEIF MONTEIRO LOBATO	RUA 83 , 181,CEP -60751050 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
773	EMEIF MURILO AGUIAR	RUA VINTE E QUATRO DE OUTUBRO , S/N,CEP -60534130 , GENIBAÚ	 GENIBAÚ
774	EMEIF NOELZINDA SATIRO SANTIAGO	RUA DOM XISTO ALBANO , 1298,CEP -60730310 , VILA PERI	 VILA PERI (CANINDEZINHO)
775	EMEIF NOVO MUNDO PIONEIRO I	RUA CORONEL FABRICIANO , 1175,CEP -60540830 , GRANJA PORTUGAL	 GRANJA PORTUGAL
776	EMEIF NOVO MUNDO PIONEIRO II	RUA COSTA FREIRE , 2472,CEP -60730590 , PARANGABA	 PARANGABA (SÃO JOSÉ)
777	EMEIF NOVO RENASCER	RUA VEREADORA ZÉLIA CORREIA DE SOUSA , 140,CEP -60760790 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
778	EMEIF NUPEFOR	RUA ANTÔNIO COSTA MENDES , 1705,CEP -60730640 , VILA PERI	 VILA PERI
779	EMEIF PADRE ANTONIO MONTEIRO DA CRUZ	RUA PEDESTRE III , 25,CEP -60733122 , PARQUE SÃO JOSÉ	 PARQUE SÃO JOSÉ (CANINDEZINHO)
780	EMEIF PADRE CICERO ROMÃO BATISTA	RUA 114 , 460,CEP -60763630 , CONJUNTO ESPERANÇA	 CONJUNTO ESPERANÇA
781	EMEIF PEQUENO PRINCIPE	RUA PRESIDENTE VARGAS , 1235, , MONDUBIM	 MONDUBIM
782	EMEIF PROF AMERICO BARREIRA	RUA RICARDO PONTE , S/N,CEP -60534020 , GRANJA PORTUGAL	 GRANJA PORTUGAL
783	EMEIF PROF IRENE PEREIRA DE SOUSA	RUA ALBERTO SALES , 217,CEP -60764540 , MONDUBIM	 MONDUBIM (PLANALTO AYRTON SENA )
784	EMEIF PROF JOSÉ MARIA MOREIRA CAMPOS	RUA FRANCISCO ALMEIDA , 525,CEP -60764720 , MANUEL SÁTIRO	 MANUEL SÁTIRO (SANTA ROSA)
785	EMEIF PROF OSMIRIO BARRETO DE OLIVEIRA	LARGO 10 , S/N,CEP -60750240 , COCÓ (RUA 10 - CJ. PREFEITO JOSÉ WALTER)	 COCÓ (PREFEITO JOSÉ WALTER)
786	EMEIF PROF VANIA MARIA NEVES FACÓ BARROS	RUA 65 , 250,CEP -60750790 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
787	EMEIF PROFESSORA ANTONIA MARIA DE LIMA	RUA SARGENTO JOÃO PINHEIRO , 1305,CEP -60545210 , BOM JARDIM	 BOM JARDIM
788	EMEIF PROFESSORA LIREDA FACÓ	RUA TRÊS CORAÇÕES , 735,CEP -60545110 , BOM JARDIM	 BOM JARDIM
789	EMEIF PROFº EDILSON BRASIL SOAREZ	RUA URUCUTUBA , S/N,CEP -60540130 , BOM JARDIM	 BOM JARDIM
790	EMEIF PROFº JACINTO BOTELHO	RUA DOUTOR RODRIGO CODES SANDOVAL , 374,CEP -60712070 , MONDUBIM	 MONDUBIM
791	EMEIF RACHEL DE QUEIROZ	RUA C , S/N, , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
792	EMEIF RACHEL VIANA MARTINS	RUA TUCUNDUBA , 2703,CEP -60540121 , BOM JARDIM	 BOM JARDIM 
793	EMEIF RAIMUNDO MOREIRA SENA	ALAMEDA G , S/N,CEP -60533650 , PASSARÉ (AV. G S/N)	 PASSARÉ (CONJUNTO CEARÁ)
794	EMEIF REITOR ANTONIO MARTINS FILHO	RUA TEODORO DE CASTRO , 1175,CEP -60541190 , GRANJA PORTUGAL	 GRANJA PORTUGAL
795	EMEIF ROGACIANO LEITE	RUA 45 , S/N,CEP -60750590 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
796	EMEIF ROSA AMARO CAVALCANTE	RUA ALFREDO MAMEDE , 1064,CEP -60763800 , MANUEL SÁTIRO	 MANUEL SÁTIRO
797	EMEIF SAGRADO CORAÇAO	RUA VIDAL DE NEGREIROS , 359,CEP -60711440 , MONDUBIM	 MONDUBIM (JARDIM CEARENSE)
798	EMEIF SANTA ISABEL - BOM JARDIM	AVENIDA OSCAR ARARIPE , 741,CEP -60543310 , BOM JARDIM	 BOM JARDIM
799	EMEIF SANTOS DUMONT	RUA GERALDO BARBOSA , 240,CEP -60540340 , BOM JARDIM	 BOM JARDIM
800	EMEIF SEBASTIAO DE ABREU	RUA GERALDO BARBOSA , 1065,CEP -60540340 , BOM JARDIM	 BOM JARDIM
801	EMEIF TEREZA D ANA	RUA CORONEL DE QUEIROS , 750,CEP -60760510 , PREFEITO JOSÉ WALTER	 PREFEITO JOSÉ WALTER
802	EMEIF TOMAZ MUNIZ	RUA DOUTORA VANDA CIDADE , 185,CEP -60731785 , BOM JARDIM	 BOM JARDIM
803	EMEIF ULISSES GUIMARAES	RUA TENENTE FRANCISCO PAIVA , 1350,CEP -60545150 , BOM JARDIM	 BOM JARDIM
804	EMEIF VIRGINIA SMITH	RUA CORONEL JAIME ROLEMBERG , 100,CEP -60711510 , MONDUBIM	 MONDUBIM (JARDIM CEARENSE)
805	ESCOLA CRESCER E APRENDER	RUA EDSON MARTINS , 642,CEP -60540500 , BOM JARDIM	 BOM JARDIM
806	ESCOLA MUNICIPAL JOÃO NUNES PINHEIRO	ALAMEDA F , 550,CEP -60867310 , PASSARÉ	 PASSARÉ
807	ESCOLA NARCISO PESSOA DE ARAUJO	TRAVESSA OSÓRIO DE PAIVA , 6741,CEP -60720620 , PARANGABA	 PARANGABA
808	ESCOLA PROF JOSE FERREIRA DE ALENCAR	RUA MARTINS CARVALHO , 779,CEP -60540170 , BOM JARDIM	 BOM JARDIM
809	ESCOLA -UV1- FAUSTINO DE ALBUQUERQUE *	RUA 143 , 155,CEP -60530210 , CONJUNTO CEARÁ	 CONJUNTO CEARÁ
810	ESCOLA- UV11- ADEMAR NUNES BATISTA *	RUA 1159 , 100,CEP -60533540 , CONJUNTO CEARÁ	 CONJUNTO CEARÁ
811	ESCOLA- UV11-B MILITAO DE ALBUQUERQUE *	RUA 1145 , 14,CEP -60533470 , CONJUNTO CEARÁ	 CONJUNTO CEARÁ
812	ESCOLA UV3 - EDILSON BRASIL SOAREZ *	RUA 315 , 111,CEP -60866380 , CONJUNTO CEARÁ (RUA 315 - CJ. SÃO CRISTOVÃO)	 CONJUNTO CEARÁ (JANGURUSSU)
813	ANEXO NOSSO SONHO	RUA ARAGUARI , 10,CEP -60862640 , BARROSO	 BARROSO
814	CEI NOSSA SENHORA DE GUADALUPE	RUA LÚCIA HELENA DO NASCIMENTO , 5,CEP -60864685 , CAJAZEIRAS	 CAJAZEIRAS
815	CMES PROF VICENTINA CAMPOS MARINO LOPES	ACESSO B , 145,CEP -60540662 , PARQUE SÃO JOSÉ (RUA B, 144)	 PARQUE SÃO JOSÉ (BOM JARDIM)
816	CRECHE CONVENIADA CANTINHO FELIZ II	RUA ESPERANÇA , 390,CEP -60520301 , COCÓ (TRAVESSA ESPERANÇA, 390)	 COCÓ (JOQUEI CLUBE)
817	CRECHE CONVENIADA CONJUNTO PALMEIRAS	RUA NAO INFORMADO , 390, , 	 
818	CRECHE CONVENIADA INÊS BRASIL	TRAVESSA MENOR GERÔNIMO , S/N,CEP -60865661 , PASSARÉ	 PASSARÉ
819	CRECHE CONVENIADA MARIA DE LOURDES VASCONCELOS PINTO	RUA NELSON COELHO , 44,CEP -60831410 , LAGOA REDONDA	 LAGOA REDONDA
820	CRECHE CONVENIADA MOZART BEZERRA	RUA RAQUEL FLORÊNCIO , 351,CEP -60832140 , LAGOA REDONDA	 LAGOA REDONDA
821	CRECHE CONVENIADA NOVA ESPERANÇA	RUA B , 611, , MESSEJANA	 MESSEJANA
822	CRECHE CONVENIADA PROF ERNESTO GURGEL DO AMARAL	RUA PEDRO DE SOUSA , 60,CEP -60.872-730 , MESSEJANA	 MESSEJANA (ANCURI)
823	CRECHE CONVENIADA REGINA DE FATIMA	RUA G , 3120, , JANGURUSSU	 JANGURUSSU (PASSARÉ)
824	CRECHE CONVENIADA RENASCER	RUA MANUEL RODRIGUES , 325,CEP -60860800 , CASTELÃO	 CASTELÃO
825	CRECHE CONVENIADA SHIRLENE	RUA CHICO MENDES , 40,CEP -60535050 , MESSEJANA	 MESSEJANA
826	CRECHE CONVENIADA UNIÃO DA PAUPINA	RUA LUIZ FRANCISCO XAVIER , 1113,CEP -60876790 , MESSEJANA	 MESSEJANA (PAUPINA)
827	CRECHE CONVENIADA UNIÃO DO DENDÊ	RUA PRESIDENTE ARTUR BERNARDES , 150,CEP -60833690 , EDSON QUEIROZ	 EDSON QUEIROZ
828	CRECHE MUNICIPAL ANDRE LUIS	AVENIDA PRESIDENTE COSTA E SILVA , 5255,CEP -60761190 , MONDUBIM	 MONDUBIM (PREFEITO JOSÉ WALTER)
829	CRECHE MUNICIPAL ANISIO TEIXEIRA	RUA FRANCISCA MARTINS , 355,CEP -60875260 , MESSEJANA (TRAVESSA RAIMUNDO CARLOS DE ALMEIDA)	 MESSEJANA (PEDRAS)
830	CRECHE MUNICIPAL EVANDRO AIRES DE MOURA	RUA MAIZA , 81,CEP -60870250 , JANGURUSSU	 JANGURUSSU
831	CRECHE MUNICIPAL FRANCISCO DE MELO JABORANDI	AVENIDA DE CONTORNO NORTE , 198 A,CEP -60866190 , JANGURUSSU	 JANGURUSSU
832	CRECHE MUNICIPAL JORNALISTA JOSE BLANCHARD GIRAO DA SILVA	RUA IRACEMA , 1110,CEP -60870020 , JANGURUSSU	 JANGURUSSU
833	CRECHE MUNICIPAL MANUEL LIMA SOARES	RUA 130 , 3490,CEP -60744640 , PASSARÉ (RUA TUPAN MIRIM)	 PASSARÉ (PARQUE DOIS IRMÃOS)
834	CRECHE MUNICIPAL MARIA DAS DORES DE SOUSA SILVA	RUA MARIA MIRTES PEREIRA , 1005,CEP -60867060 , PASSARÉ	 PASSARÉ
835	CRECHE MUNICIPAL MATTOS DOURADO	ACESSO B , 50,CEP -60813020 , PARQUE SÃO JOSÉ (RUA B - LT. PARQUE AMARALINA )	 PARQUE SÃO JOSÉ (ENGENHEIRO LUCIANO CAVALCANTE)
836	CRECHE MUNICIPAL MENINO JESUS	RUA DOM ANTÔNIO LUSTOSA , 191,CEP -60862070 , PASSARÉ	 PASSARÉ (MATA GALINHA)
837	CRECHE MUNICIPAL MOACIR JERONIMO	RUA PEDRO MAMEDE , 121,CEP -60833110 , LAGOA REDONDA	 LAGOA REDONDA
838	CRECHE MUNICIPAL MOREIRA LEITÃO	RUA HONORINA MAIA , 467,CEP -60873000 , MESSEJANA	 MESSEJANA (ANCURI)
839	CRECHE MUNICIPAL NAIR AMARAL BANHOS	AVENIDA ALBERTO CRAVEIRO , S/N,CEP -60860000 , DIAS MACEDO	 DIAS MACEDO
840	CRECHE MUNICIPAL PROFESSORA BERNADETE ORIA	RUA JOSÉ LINHARES , 903,CEP -60870040 , JANGURUSSU	 JANGURUSSU
841	CRECHE MUNICIPAL SONHO DE CRIANCA - SER VI	RUA MANUEL RODRIGUES , 325,CEP -60860800 , CASTELÃO	 CASTELÃO
842	CRECHE MUNICIPAL TEREZINHA PARENTE	RUA NELSON COELHO , 209,CEP -60831410 , LAGOA REDONDA	 LAGOA REDONDA
843	EMEIF ABDENAGO DA ROCHA LIMA	RUA 114 , 75,CEP -60763630 , PASSARÉ	 PASSARÉ (CONJUNTO ESPERANÇA)
844	EMEIF ACOPROMATI	AVENIDA MINISTRO JOSÉ AMÉRICO , 624,CEP -60830070 , MESSEJANA	 MESSEJANA (PARQUE IRACEMA)
845	EMEIF ALVORADA	RUA ANGRA DOS REIS , 234,CEP -60833590 , EDSON QUEIROZ	 EDSON QUEIROZ
846	EMEIF ANDRE LUIS	AVENIDA PRESIDENTE COSTA E SILVA , 5255,CEP -60761190 , MONDUBIM	 MONDUBIM (PREFEITO JOSÉ WALTER)
847	EMEIF ANGELICA GURGEL	RUA DOUTOR PERGENTINO MAIA , 375,CEP -60840040 , MESSEJANA	 MESSEJANA
848	EMEIF ANTONIO FERREIRA MAGALHÃES II	RUA OZÉLIA PONTES , 187,CEP -60830750 , MESSEJANA	 MESSEJANA (ALAGADIÇO NOVO)
849	EMEIF BARBARA DE ALENCAR	RUA CAPITÃO PORFÍRIO , 544,CEP -60872750 , MESSEJANA	 MESSEJANA
850	EMEIF CESAR CALS DE OLIVEIRA NETO	RUA OLÍMPIO RIBEIRO , 20,CEP -60767770 , JANGURUSSU	 JANGURUSSU
851	EMEIF CONEGO FRANCISCO PEREIRA DA SILVA	RUA LUIZ FRANCISCO XAVIER , 256,CEP -60876790 , MESSEJANA	 MESSEJANA (PAUPINA)
852	EMEIF CORONEL TRISTAO ALENCAR	RUA JOSÉ NOGUEIRA , 69,CEP -60874670 , MESSEJANA	 MESSEJANA (PEDRAS)
853	EMEIF DELMA HERMINIA DA SILVA PEREIRA	AVENIDA PRESIDENTE COSTA E SILVA , 2225,CEP -60761190 , MONDUBIM	 MONDUBIM
854	EMEIF DEMOCRITO ROCHA	RUA PADRE PEDRO DE ALENCAR , 2012,CEP -60871185 , MESSEJANA	 MESSEJANA
855	EMEIF DEPUTADO MOREIRA DA ROCHA	AVENIDA ODILON GUIMARÃES , 3860,CEP -60831270 , LAGOA REDONDA	 LAGOA REDONDA
856	EMEIF DOM GERALDO DO NASCIMENTO	RUA LUÍS BENTO , 290,CEP -60874620 , PEDRAS	 PEDRAS
857	EMEIF FRANCISCA ORIA SERPA	RUA JORGE FIGUEIREDO , 3652,CEP -60875000 , MESSEJANA	 MESSEJANA
858	EMEIF FRANCISCO ANDRADE TEOFILO GIRAO	RUA UNIDOS VENCEREMOS , 2040,CEP -60862096 , PASSARÉ	 PASSARÉ
859	EMEIF GUIOMAR DA SILVA ALMEIDA	RUA PEROLINA DE MORAIS , 449,CEP -60873810 , MESSEJANA	 MESSEJANA (PAUPINA)
860	EMEIF IMACULADA CONCEIÇÃO	AVENIDA 1 , 10,CEP -60330781 , MONDUBIM (RUA1 - CJ. PADRE SANTANA)	 MONDUBIM (BARRA DO CEARÁ)
861	EMEIF INFANTE ROSALINA RODRIGUES	LARGO 2 , S/N,CEP -60330782 , COCÓ (RUA 2- CJ. PADRE SANTANA)	 COCÓ (BARRA DO CEARÁ)
862	EMEIF IRMA SIMAS	RUA JOSÉ SOBREIRA , 608,CEP -60833570 , EDSON QUEIROZ	 EDSON QUEIROZ
863	EMEIF IRMA STELLA	RUA VALPARAÍSO , 339,CEP -60870440 , JANGURUSSU	 JANGURUSSU
864	EMEIF ISABEL FERREIRA	RUA ISABEL FERREIRA , 1000,CEP -60831525 , LAGOA REDONDA	 LAGOA REDONDA
865	EMEIF ISMAEL PORDEUS	RUA DESEMBARGADOR FAUSTINO DE ALBUQUERQUE , 511,CEP -60821440 , COCÓ	 COCÓ (JARDINS DAS OLIVEIRAS)
866	EMEIF JOÃO ALVES DE MELO	RUA 2 , 171, , JANGURUSSU	 JANGURUSSU
867	EMEIF JOAO GERMANO DA PONTE NETO	RUA MAIZA , 549,CEP -60870250 , JANGURUSSU	 JANGURUSSU
868	EMEIF JOAO NOGUEIRA JUCA	RUA B , 10, , MESSEJANA	 MESSEJANA
869	EMEIF JOAO SARAIVA LEAO	RUA MANOELITO COSTA , 50,CEP -60831374 , LAGOA REDONDA	 LAGOA REDONDA
870	EMEIF JORNALISTA JOSE BLANCHARD GIRAO DA SILVA	RUA IRACEMA , 1110,CEP -60870020 , JANGURUSSU	 JANGURUSSU
871	EMEIF JOSE BARROS DE ALENCAR - RUA GARDENIA	RUA GARDÊNIA , S/N,CEP -60871540 , MESSEJANA	 MESSEJANA (PAUPINA)
872	EMEIF JOSÉ MOREIRA LEITAO	RUA HONORINA MAIA , 467,CEP -60873000 , MESSEJANA	 MESSEJANA (ANCURI)
873	EMEIF JOSÉ SOBREIRA DE AMORIM	RUA TENENTE TITO BARROS , 330,CEP -60864300 , CAJAZEIRAS	 CAJAZEIRAS
874	EMEIF JOSEFA BARROS DE ALENCAR	RUA DOUTOR JOAQUIM BENTO , 590,CEP -60840200 , MESSEJANA	 MESSEJANA
875	EMEIF LIONS CLUBE DE FORTALEZA - FÁTIMA	RUA DOMINGOS ALVES RIBEIRO , S/N,CEP -60865050 , JANGURUSSU	 JANGURUSSU
876	EMEIF MANUEL LIMA SOARES	RUA 130 , 60,CEP -60744640 , PASSARÉ (RUA 130 - CJ. TUPAN MIRIM)	 PASSARÉ (PARQUE DOIS IRMÃOS)
877	EMEIF MARIA DE JESUS ORIA ALENCAR	RUA 43 , S/N,CEP -60876660 , JANGURUSSU	 JANGURUSSU
878	EMEIF MARIA DE LOURDES	RUA LUÍS MENDES , 174,CEP -60823080 , CIDADE DOS FUNCIONÁRIOS	 CIDADE DOS FUNCIONÁRIOS
879	EMEIF MARIA DE LOURDES RIBEIRO JEREISSATI	RUA REINO UNIDO , 115,CEP -60820140 , PRESIDENTE TANCREDO NEVES	 PRESIDENTE TANCREDO NEVES (JARDIM DAS OLIVEIRAS)
880	EMEIF MARIA HELENILCE CAVALCANTE LEITE MARTINS	RUA MAIZA , S/N,CEP -60870250 , JANGURUSSU	 JANGURUSSU
881	EMEIF MARIETA CALS	RUA VALPARAÍSO , 160,CEP -60870440 , JANGURUSSU	 JANGURUSSU
882	EMEIF MARIO ALENCAR	RUA TENENTE JURANDIR ALENCAR , 40,CEP -60840000 , MESSEJANA	 MESSEJANA
883	EMEIF MARTHA DOS MARTINS COELHO GUILHERME	RUA 313 , 243,CEP -60530620 , JANGURUSSU	 JANGURUSSU (CONJUNTO CEARÁ)
884	EMEIF OTAVIO DE FARIAS	RUA JOÃO FERREIRA , S/N,CEP -60862650 , MESSEJANA	 MESSEJANA (BARROSO)
885	EMEIF PARQUE SAO MIGUEL	RUA LOURDES VIDAL ALVES , 444,CEP -60831160 , LAGOA REDONDA	 LAGOA REDONDA
886	EMEIF PAULO SERGIO DE SOUSA LIRA	RUA ITABORAÍ , 264,CEP -60861830 , PASSARÉ	 PASSARÉ
887	EMEIF PROF ALDACI BARBOSA	RUA OLEGÁRIO MEMÓRIA , 1257,CEP -60834270 , COCÓ	 COCÓ (EDSON QUEIROZ)
888	EMEIF PROF ANTONIO GIRAO BARROSO	RUA 37 , S/N,CEP -60876601 , JANGURUSSU	 JANGURUSSU
889	EMEIF PROF BERNADETE ORIA DE OLIVEIRA	RUA JOSÉ LINHARES , S/N,CEP -60870040 , JANGURUSSU	 JANGURUSSU
890	EMEIF PROF DOLORES ALCANTARA	RUA REINO UNIDO , 191,CEP -60820140 , PRESIDENTE TANCREDO NEVES	 PRESIDENTE TANCREDO NEVES (JARDIM DAS OLIVEIRAS)
891	EMEIF PROF FERNANDA MARIA DE ALENCAR COLARES	AVENIDA RECREIO , 1540,CEP -60831600 , LAGOA REDONDA	 LAGOA REDONDA
892	EMEIF PROF FRANCISCO DE MELO JABORANDI	AVENIDA DE CONTORNO NORTE , 198,CEP -60866190 , JANGURUSSU	 JANGURUSSU
893	EMEIF PROF FRANCISCO MAURICIO DE MATTOS DOURADO	RUA DESEMBARGADOR FLORIANO BENEVIDES MAGALHÃES , 391,CEP -60811690 , EDSON QUEIROZ	 EDSON QUEIROZ
894	EMEIF PROF MONTEIRO DE MORAES	AVENIDA EVILÁSIO ALMEIDA MIRANDA , 1608,CEP -60833760 , EDSON QUEIROZ	 EDSON QUEIROZ (SAPIRANGA/COITÉ)
895	EMEIF PROF OLINDINA CARVALHO DE MORAES	LARGO 5 , 581,CEP -60330785 , COCÓ ( RUA 5, 581 - CJ. PADRE SANTANA)	 COCÓ (BARRA DO CEARÁ)
896	EMEIF PROFª TEREZINHA FERREIRA PARENTE	RUA NELSON COELHO , 209,CEP -60831410 , LAGOA REDONDA	 LAGOA REDONDA
897	EMEIF PROFESSOR ANISIO TEIXEIRA	RUA FRANCISCA MARTINS , 355,CEP -60875260 , MESSEJANA (TRAVESSA RAIMUNDO CARLOS DE ALMEIDA)	 MESSEJANA (PEDRAS)
898	EMEIF PROFESSOR CLODOMIR TEOFILO GIRAO	RUA RUTILO , 108,CEP -60841645 , JACARECANGA	 JACARECANGA
899	EMEIF PROFESSOR ERNESTO GURGEL	RUA OLEGÁRIO MEMÓRIA , 3105,CEP -60834270 , COCÓ	 COCÓ (EDSON QUEIROZ)
900	EMEIF PROFESSOR JOAO HIPOLYTO DE AZEVEDO E SÁ	LARGO 3 , 88,CEP -60330783 , COCÓ ( RUA 3 - CJ. PADRE SANTANA)	 COCÓ (BARRA DO CEARÁ)
901	EMEIF PROFESSOR MANUEL EDUARDO PINHEIRO CAMPOS	RUA SABIAGUABA , 500,CEP -60832321 , LAGOA REDONDA	 LAGOA REDONDA (EDSON QUEIROZ)
902	EMEIF PROFESSOR ODILON GONZAGA BRAVEZA	AVENIDA ALBERTO CRAVEIRO , S/N,CEP -60860000 , DIAS MACEDO	 DIAS MACEDO
903	EMEIF PROFESSORA EDITH BRAGA	RUA CAPITÃO VASCONCELOS , 1061,CEP -60851220 , ALTO DA BALANÇA	 ALTO DA BALANÇA
904	EMEIF PROFESSORA JOSEFINA PARENTE DE ARAUJO	RUA PEDRO MAMEDE , 175,CEP -60833110 , LAGOA REDONDA	 LAGOA REDONDA (SAPIRANGA/COITE)
905	EMEIF PROFESSORA MARIA ANTONEZIA MEIRELES E SA	RUA CORONEL VIRGÍLIO TÁVORA , 1340,CEP -60864280 , MESSEJANA	 MESSEJANA
906	EMEIF PROFESSORA MARIA DO SOCORRO FERREIRA VIRINO	RUA MODESTA , 44,CEP -60870140 , JANGURUSSU	 JANGURUSSU
907	EMEIF PROFESSORA MARIA EVAN DO CARMO	RUA MATEUS ALMEIDA , 71,CEP -60835620 , MESSEJANA	 MESSEJANA (ALAGADIÇO NOVO)
908	EMEIF PROFESSORA MARIA ISOLDA DE SOUSA	RUA CAMPINENSE , S/N,CEP -60870350 , JANGURUSSU	 JANGURUSSU
909	EMEIF PROFESSORA MARIA JOSE MACARIO COELHO	RUA RECANTO DO PASSARÉ , S/N,CEP -60744055 , PASSARÉ	 PASSARÉ
910	EMEIF PROFESSORA MARIA LAURA MOREIRA	RUA BELOS PORTOS , 453,CEP -60862280 , PASSARÉ	 PASSARÉ
911	EMEIF PROFESSORA MARIA STELLA COCHRANE SANTIAGO	RUA ANTÔNIO FARIAS , 121,CEP -60743660 , CASTELÃO	 CASTELÃO
912	EMEIF PROFESSORA RAIMUNDA FELIX DE ALCANTARA	RUA MEM DE SÁ , 384,CEP -60841130 , MESSEJANA	 MESSEJANA
913	EMEIF RAIMUNDO MOURA MATOS	AVENIDA DOIS DE MAIO , 1300,CEP -60861490 , PASSARÉ	 PASSARÉ
914	EMEIF SANTA ISABEL - PARQUE SANTA MARIA	RUA JORGE DA VEIGA , 275,CEP -60872830 , MESSEJANA	 MESSEJANA
915	EMEIF SANTA ROSA	RUA JOSÉ CAETANO , 355,CEP -60872210 , MESSEJANA	 MESSEJANA (LAGOA REDONDA)
916	EMEIF SANTA TEREZINHA - PARQUE DOIS IRMAOS	RUA AFONSO LOPES , 1095,CEP -60742670 , PASSARÉ	 PASSARÉ (PARQUE DOIS IRMÃOS)
917	EMEIF SAO BERNARDO	RUA JONH LENNON , 17,CEP -60841670 , MESSEJANA	 MESSEJANA
918	EMEIF SAO JOAO BATISTA	RUA ANTÔNIO ROCHA , 395,CEP -60331000 , COCÓ	 COCÓ (JARDINS DAS OLIVEIRAS)
919	EMEIF SINÓ PINHEIRO	RUA 14 , 151,CEP -60876430 , JANGURUSSU (RUA 14 - CJ. SÃO JOÃO)	 JANGURUSSU
920	EMEIF SONHO DE ELAINE	RUA MANUEL FIGUEIREDO , 401,CEP -60863020 , MESSEJANA	 MESSEJANA (BARROSO)
921	EMEIF TAIS MARIA BEZERRA NOGUEIRA	AVENIDA DE CONTORNO NORTE , 710,CEP -60866190 , JANGURUSSU	 JANGURUSSU
922	EMEIF VER JOSE BARROS DE ALENCAR	ACESSO B , 48,CEP -60810570 , PARQUE SÃO JOSÉ (RUA B - CL. LUCIANO CAVALCANTE)	 PARQUE SÃO JOSÉ (LUCIANO CAVALCANTE)
923	EMEIF ZELINA GUIMARAES	RUA ANTÔNIO CANDEIA , 89,CEP -60840530 , MESSEJANA	 MESSEJANA (GUAJERU)
924	ESCOLA JOSE CARVALHO	RUA CLODOALDO ARRUDA , S/N,CEP -60830650 , MESSEJANA	 MESSEJANA
925	ESCOLA MENOR TAMBEM CONSTROI	RUA 9 , 279, , JANGURUSSU	 JANGURUSSU
926	ESCOLA REGINA DE FATIMA	RUA REGINA DE FÁTIMA , 3010,CEP -60862460 , PASSARÉ	 PASSARÉ
927	ESCOLA WASHINGTON SOARES*	RUA DO CORRENTE , 400,CEP -60812290 , EDSON QUEIROZ	 EDSON QUEIROZ
928	ESCOLA YOLANDA QUEIROZ *	AVENIDA GENERAL MURILO BORGES , 864,CEP -60035210 , ALTO DA BALANÇA	 ALTO DA BALANÇA
\.


--
-- Data for Name: etapa_coleta_dados; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY etapa_coleta_dados (id_definicao_consolidacao, plugin_coleta_dados, ordem_coleta_dados) FROM stdin;
\.


--
-- Data for Name: etapa_transformacao; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY etapa_transformacao (id_definicao_consolidacao, plugin_transformacao, ordem_transformacao) FROM stdin;
\.


--
-- Data for Name: etapa_validacao; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY etapa_validacao (id_definicao_consolidacao, plugin_validacao, ordem_validacao) FROM stdin;
\.


--
-- Data for Name: gin_index; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY gin_index (key, value, entry_id, label) FROM stdin;
pessoa.nome	Francisco Edilson do Nascimento	22522	\N
pessoa.cpf	98345934	22522	\N
\.


--
-- Data for Name: hospitais; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY hospitais (id, nome, rua) FROM stdin;
1	CSF FRANCISCO WALDO PESSOA DE ALMEIDA                                                                                                                                                                                                                          	CAPITAO HUGO BEZERRA                                                                                                                                                                                                                                           
2	CSF MANOEL CARLOS GOUVEIA                                                                                                                                                                                                                                      	DES FAUSTINO DE ALBUQUERQUE                                                                                                                                                                                                                                    
3	CSF PARQUE SAO JOSE                                                                                                                                                                                                                                            	DESEMBARGADOR FROTA                                                                                                                                                                                                                                            
4	CSF DONA LIBANIA                                                                                                                                                                                                                                               	DOM PEDRO I                                                                                                                                                                                                                                                    
5	CSF BENEDITO ARTHUR DE CARVALHO                                                                                                                                                                                                                                	JAIME LEONEL                                                                                                                                                                                                                                                   
6	CSF DR JOAO ELISIO HOLANDA                                                                                                                                                                                                                                     	JUVENCIO PORFIRIO SALES                                                                                                                                                                                                                                        
7	CSF GEORGE BENEVIDES MEDEIROS                                                                                                                                                                                                                                  	PIO SARAIVA                                                                                                                                                                                                                                                    
8	CSF SANTA LIDUINA                                                                                                                                                                                                                                              	PRO JOAO BOSCO                                                                                                                                                                                                                                                 
9	CSF 4 VARAS                                                                                                                                                                                                                                                    	PROFETA ISAIAS                                                                                                                                                                                                                                                 
10	CSF ODORICO DE MORAES                                                                                                                                                                                                                                          	SAO BERNARDO DE CAMPOS                                                                                                                                                                                                                                         
11	CSF ELIEZER STUDART                                                                                                                                                                                                                                            	TOMAS CAVALCANTE                                                                                                                                                                                                                                               
12	CSF IVANA DE SOUSA PAES                                                                                                                                                                                                                                        	VIRGILIO BRIGIDO                                                                                                                                                                                                                                               
13	CSF EDMAR FUJITA                                                                                                                                                                                                                                               	ALBERTO CRAVEIRO                                                                                                                                                                                                                                               
14	CSF JOAO HIPOLITO DE AZEVEDO                                                                                                                                                                                                                                   	03 CJ RES NAPOLEAO VIANA                                                                                                                                                                                                                                       
15	CSF GRACILIANO MUNIZ                                                                                                                                                                                                                                           	106 (CJ ESPERANCA)                                                                                                                                                                                                                                             
16	CSF PAULO MARCELO MARTINS RODRIGUES                                                                                                                                                                                                                            	25 DE MARCO                                                                                                                                                                                                                                                    
17	CSF FRANCISCO DE MELO JABORANDI                                                                                                                                                                                                                                	315 CJ SAO CRISTOVAO                                                                                                                                                                                                                                           
18	CSF MACIEL DE BRITO                                                                                                                                                                                                                                            	A (CJ CEARA)                                                                                                                                                                                                                                                   
19	CSF FLAVIO MARCILIO                                                                                                                                                                                                                                            	ABOLICAO                                                                                                                                                                                                                                                       
20	CSF JOSE PARACAMPOS                                                                                                                                                                                                                                            	ALFREDO MAMEDE                                                                                                                                                                                                                                                 
21	CSF ZELIA CORREIA                                                                                                                                                                                                                                              	ANTONIO PEREIRA                                                                                                                                                                                                                                                
22	CSF VICENTINA CAMPOS                                                                                                                                                                                                                                           	B(LOT.PARQUE MONTENEGRO)D-68                                                                                                                                                                                                                                   
23	CSF CLODOALDO PINTO                                                                                                                                                                                                                                            	BANVAR BEZERRA                                                                                                                                                                                                                                                 
24	CSF PIO XII                                                                                                                                                                                                                                                    	BELISARIO TAVORA                                                                                                                                                                                                                                               
25	CSF LUIS ALBUQUERQUE MENDES                                                                                                                                                                                                                                    	BENJAMIM FRANKLIN                                                                                                                                                                                                                                              
26	CSF PROJETO NASCENTE                                                                                                                                                                                                                                           	BETEL                                                                                                                                                                                                                                                          
27	CSF ROBERTO DA SILVA BRUNO                                                                                                                                                                                                                                     	BORGES DE MELO                                                                                                                                                                                                                                                 
28	CSF CESAR CALS DE OLIVEIRA                                                                                                                                                                                                                                     	CAP ARAGAO                                                                                                                                                                                                                                                     
29	CSF EVANDRO AYRES DE MOURA                                                                                                                                                                                                                                     	CASTELO DE CASTRO                                                                                                                                                                                                                                              
30	CSF MESSEJANA                                                                                                                                                                                                                                                  	CEL DIONISIO ALENCAR                                                                                                                                                                                                                                           
31	CSF ANTONIO DE ALMEIDA LUSTOSA                                                                                                                                                                                                                                 	CEL JOAO CORREIA                                                                                                                                                                                                                                               
32	CSF CESAR CALS DE OLIVEIRA FILHO                                                                                                                                                                                                                               	CEL MATOS DOURADO                                                                                                                                                                                                                                              
33	CSF JANIVAL DE ALMEIDA VIEIRA                                                                                                                                                                                                                                  	COELHO GARCIA                                                                                                                                                                                                                                                  
34	CSF JOSE REBOUCAS MACAMBIRA                                                                                                                                                                                                                                    	CREUZA ROCHA                                                                                                                                                                                                                                                   
35	CSF RIGOBERTO ROMERO                                                                                                                                                                                                                                           	DAS GRAVIOLAS                                                                                                                                                                                                                                                  
36	CSF JURANDIR PICANCO                                                                                                                                                                                                                                           	DAS NACOES                                                                                                                                                                                                                                                     
37	CSF ANASTACIO MAGALHAES                                                                                                                                                                                                                                        	DELMIRO FARIAS                                                                                                                                                                                                                                                 
38	CSF LUCIANO TORRES DE MELO                                                                                                                                                                                                                                     	DELTA                                                                                                                                                                                                                                                          
39	CSF MAURICIO MATOS DOURADO                                                                                                                                                                                                                                     	DES FLORIANO BENEVIDES                                                                                                                                                                                                                                         
40	CSF JOSE SOBREIRA DE AMORIM                                                                                                                                                                                                                                    	DES LUIS PAULINO                                                                                                                                                                                                                                               
41	CSF MIRIAM PORTO MOTA                                                                                                                                                                                                                                          	DO ROSARIO  (D18)                                                                                                                                                                                                                                              
42	CSF DO SIQUEIRA                                                                                                                                                                                                                                                	DOR LUIS MONTENEGRO                                                                                                                                                                                                                                            
43	CSF FILGUEIRAS LIMA                                                                                                                                                                                                                                            	DOS EXPEDICIONARIOS                                                                                                                                                                                                                                            
44	CSF OCELO PINHEIRO                                                                                                                                                                                                                                             	ELCIAS LOPES                                                                                                                                                                                                                                                   
45	CSF HELIO GOES FERREIRA                                                                                                                                                                                                                                        	ENG LEAL LIMA VERDE                                                                                                                                                                                                                                            
46	CSF MONTEIRO DE MORAES                                                                                                                                                                                                                                         	EVILAZIO MIRANDA                                                                                                                                                                                                                                               
47	CSF CASEMIRO JOSE DE LIMA FILHO                                                                                                                                                                                                                                	FRANCISCO SA                                                                                                                                                                                                                                                   
48	CSF IRMA HERCILIA LIMA ARAGAO                                                                                                                                                                                                                                  	FRE VIDAL                                                                                                                                                                                                                                                      
49	CSF GUIOMAR ARRUDA                                                                                                                                                                                                                                             	GAL COSTA MATOS                                                                                                                                                                                                                                                
50	CSF HERMINIA LEITAO LIMA                                                                                                                                                                                                                                       	GAL JOAO COUTO                                                                                                                                                                                                                                                 
51	CSF PEDRO CELESTINO ROMERO                                                                                                                                                                                                                                     	GASTAO JUSTA                                                                                                                                                                                                                                                   
52	CSF ARGEU HERBET                                                                                                                                                                                                                                               	GERALDO BARBOSA                                                                                                                                                                                                                                                
53	CSF GUARANY MONTALVERNE                                                                                                                                                                                                                                        	GERALDO BARBOSA                                                                                                                                                                                                                                                
54	CSF DE PARANGABA                                                                                                                                                                                                                                               	GERMANO FRANCK                                                                                                                                                                                                                                                 
55	CSF ABEL PINTO                                                                                                                                                                                                                                                 	GOIAIS                                                                                                                                                                                                                                                         
56	CSF TURBAY BARREIRA                                                                                                                                                                                                                                            	GONCALO SOUTO                                                                                                                                                                                                                                                  
57	CSF JOSE VALDEVINO DE CARVALHO                                                                                                                                                                                                                                 	GUARA   D41                                                                                                                                                                                                                                                    
58	CSF ANISIO TEIXEIRA                                                                                                                                                                                                                                            	GUARANI    (D65)                                                                                                                                                                                                                                               
59	CSF FRANCISCO EDMILSON PINHEIRO                                                                                                                                                                                                                                	H (CJ CEARA)                                                                                                                                                                                                                                                   
60	CSF HUMBERTO BEZERRA                                                                                                                                                                                                                                           	HUGO VICTOR                                                                                                                                                                                                                                                    
61	CSF JOAO MEDEIROS                                                                                                                                                                                                                                              	I                                                                                                                                                                                                                                                              
62	CSF PEDRO SAMPAIO                                                                                                                                                                                                                                              	IRACEMA                                                                                                                                                                                                                                                        
63	CSF CARLOS RIBEIRO                                                                                                                                                                                                                                             	JACINTO MATOS                                                                                                                                                                                                                                                  
64	CSF ABNER CAVALCANTE BRASIL                                                                                                                                                                                                                                    	JOANA BATISTA                                                                                                                                                                                                                                                  
65	CSF VIVIANE BENEVIDES GOUVEIA                                                                                                                                                                                                                                  	JOAO AIRES                                                                                                                                                                                                                                                     
66	CSF FREI TITO DE ALENCAR                                                                                                                                                                                                                                       	JOSE CLAUDIO COSTA LIMA                                                                                                                                                                                                                                        
67	CSF JOSE BARROS DE ALENCAR                                                                                                                                                                                                                                     	JOSE NOGUEIRA                                                                                                                                                                                                                                                  
68	CSF JOAO XXIII                                                                                                                                                                                                                                                 	JULIO BRAGA                                                                                                                                                                                                                                                    
69	CSF JOAO LUIZ DE OLIVEIRA POMBO                                                                                                                                                                                                                                	JULIO RIBEIRO                                                                                                                                                                                                                                                  
70	CSF JOSE WALTER                                                                                                                                                                                                                                                	L (CJ JOSE WALTER)                                                                                                                                                                                                                                             
71	CSF FERNANDES TAVORA                                                                                                                                                                                                                                           	MACEIO                                                                                                                                                                                                                                                         
72	CSF LUIZ COSTA                                                                                                                                                                                                                                                 	MAL DEODORO                                                                                                                                                                                                                                                    
73	CSF LUIZ RECAMONDE CAPELO                                                                                                                                                                                                                                      	MARIA QUINTELA                                                                                                                                                                                                                                                 
74	CSF GUTEMBERG BRAUN                                                                                                                                                                                                                                            	MON AGOSTINHO                                                                                                                                                                                                                                                  
75	CSF VIRGILIO TAVORA                                                                                                                                                                                                                                            	MONS HELIO CAMPOS                                                                                                                                                                                                                                              
76	CSF TEREZINHA PARENTE                                                                                                                                                                                                                                          	NELSON COELHO                                                                                                                                                                                                                                                  
77	CSF FRANCISCO PEREIRA DE ALMEIDA                                                                                                                                                                                                                               	PARAGUAI                                                                                                                                                                                                                                                       
78	CSF ALARICO LEITE                                                                                                                                                                                                                                              	PAROARAS                                                                                                                                                                                                                                                       
79	CSF METON DE ALENCAR                                                                                                                                                                                                                                           	PDE PERDIGAO SAMPAIO                                                                                                                                                                                                                                           
80	CSF CELIO BRASIL GIRAO                                                                                                                                                                                                                                         	PROF HENRIQUE FIRMEZA                                                                                                                                                                                                                                          
81	CSF FRANCISCO DOMINGOS DA SILVA                                                                                                                                                                                                                                	PRS CASTELO BRANCO                                                                                                                                                                                                                                             
82	CSF GALBA ARAUJO                                                                                                                                                                                                                                               	RECREIO                                                                                                                                                                                                                                                        
83	CSF MARIA DE LOURDES JERESSATI                                                                                                                                                                                                                                 	REINO UNIDO                                                                                                                                                                                                                                                    
84	CSF FERNANDO FACANHA                                                                                                                                                                                                                                           	RIO TOCANTINS                                                                                                                                                                                                                                                  
85	CSF PAULO MELO MACHADO                                                                                                                                                                                                                                         	RUA BERNARDO PORTO                                                                                                                                                                                                                                             
86	CSF LUIZA TAVORA                                                                                                                                                                                                                                               	SAO JOSE  (D71)                                                                                                                                                                                                                                                
87	CSF JOSE GALBA DE ARAUJO                                                                                                                                                                                                                                       	SENADOR FERNANDES TAVORA                                                                                                                                                                                                                                       
88	CSF WALDEMAR ALCANTARA                                                                                                                                                                                                                                         	SILVEIRA FILHO                                                                                                                                                                                                                                                 
89	CSF FLORESTA                                                                                                                                                                                                                                                   	TEN JOSE BARREIRA                                                                                                                                                                                                                                              
90	CSF FERNANDO CESAR VIEIRA DIOGENES                                                                                                                                                                                                                             	TEODORO DE CASTRO                                                                                                                                                                                                                                              
91	CSF AIDA SANTOS E SILVA                                                                                                                                                                                                                                        	TRAJANO DE MEDEIROS                                                                                                                                                                                                                                            
92	CSF LINEU JUCA                                                                                                                                                                                                                                                 	VILA VELHA                                                                                                                                                                                                                                                     
\.


--
-- Data for Name: instrumento; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY instrumento (id_projeto, nome, xml_schema, campo_controle) FROM stdin;
1	Caderno A	viladomar-cadernoa.xsd	1
1	Caderno B	viladomar-cadernob.xsd	1
\.


--
-- Data for Name: leitura; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY leitura (id_leitura, id_projeto, nome, coleta_ini, coleta_fim, digitacao_ini, digitacao_fim, revisao_ini, revisao_fim) FROM stdin;
1	1	Caderno A	\N	\N	\N	\N	\N	\N
2	1	Caderno B	\N	\N	\N	\N	\N	\N
\.


--
-- Data for Name: logradouros; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY logradouros (cod, nome, codigo, tipo, titulo, folha, sentido, lei, data, decreto, data2, codlogini, inicio1, codlogfim, fim1, inicio2, fim2, utmhinicio, utmvinicio, utmhfim, utmvfim, bairro, nomeanterior, observacoes) FROM stdin;
170	RUA SANTO ANTÔNIO	022532	RUA	SANTO	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001461	002623	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
171	RUA JUVÊNCIO BARROSO	002090	RUA	\N	C10	N-S	1671/60	16/12/1960	\N	\N	002801	RUA PEDRO ARTUR	002181	TENENTE LISBOA	\N	\N	9589505	550138	9589087	550014	JACARECANGA/CARLITO PAMPLONA	\N	\N
172	RUA SÃO JOÃO	001773	RUA	SÃO	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002090	008255	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
174	VILA BRILUX	022615	VILA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	022532	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
175	RUA OLEGÁRIO MARIANO	008294	RUA	\N	C10/D10	N-S	1671/60	16/12/1960	\N	\N	003138	MONS. ROSA	001010	MONS. DANTAS	RUA GOMES PARENTE	\N	9589433	550254	9588947	550160	JACARECANGA	\N	\N
176	VILA JACUTINGA	023401	VILA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	002623	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
177	RUA ODORICO  MORAIS	002623	RUA	\N	C10	L-O	1671/1960	16/12/1960	\N	\N	001724	RUA JACINTO MATOS	008255	RUA SÃO JOSÉ	RUA DO TIROL	RUA SANTA ROSA	9589358	550407	9589366	549603	JACARECANGA/CARLITO PAMPLONA	JOSÉ ODORICO DE MORAIS	\N
178	RUA PADRE CONSTANTINO	000910	RUA	PADRE	C10	L-O	\N	\N	\N	\N	000051	RUA ADRIANO MARTINS	002623	RUA ODORICO DE MORAIS	\N	\N	9589256	550517	9589275	550233	JACARECANGA	\N	\N
180	TRAV. JACINTO MATOS	001725	TRAVESSA	\N	C10	N-S	\N	\N	\N	\N	002623	RUA ODORICO DE MORAIS	\N	EDIFICAÇÕES	\N	\N	9589260	550149	9589143	550115	JACARECANGA	\N	\N
181	RUA PROFESSORA JUREMA	002078	RUA	PROFESSORA	C10	L-O	\N	\N	\N	\N	001724	RUA JACINTO MATOS	008294	OLEGÁRIO MARIANO	\N	\N	9589151	550388	9589166	550210	JACARECANGA	\N	\N
182	VILA BEATRIZ	000494	VILA	\N	C10	N-S	\N	\N	\N	\N	002078	RUA PROFª JUREMA	002181	AV. TENENTE LISBOA	\N	\N	9589156	550336	9589063	550329	JACARECANGA	\N	\N
183	AVENIDA TENENTE LISBOA	002181	AVENIDA	TENENTE	C10/D09	L-O	1671/60	16/12/1960	\N	\N	001291	RUA FILOMENO GOMES	003385	AV. DOUTOR THÉBERGE	\N	RUA DR. JOSÉ ACCIOLY	9589026	550937	9587773	546612	JACAREC/C. PAMPL/ÁLV. WEY/V. ELLERY/FLOREST/PRES. KEN/P. AN	\N	\N
184	TRAV. DO TRILHO	024485	TRAVESSA	\N	C10/D10	N-S	\N	\N	\N	\N	003452	AV. TENENTE LISBOA	001724	RUA JACINTO MATOS	SD	\N	9589035	550309	9588948	550364	JACARECANGA	\N	\N
189	VILA JAGUARIBE	023405	VILA	\N	C10	N-S	\N	\N	\N	\N	008294	OLEGÁRIO MARIANO	\N	MURO	MURO	\N	9589212	550218	9589169	550181	JACARECANGA	\N	SAÍDA NA RUA OLEGÁRIO MARINHO
190	VILA ZILDA	024626	VILA	\N	C10	L-O	\N	\N	\N	\N	040920	SD	\N	EDIFICAÇÕES	AV. TENENTE LISBOA	\N	9589117	550103	9589121	550072	JACARECANGA	\N	\N
191	VILA NEIDE	003781	VILA	\N	C10	L-O	\N	\N	\N	\N	\N	MURO	002090	JUVÊNCIO BARROSO	\N	\N	9589165	550083	9589175	550045	JACARECANGA	\N	\N
192	RUA CLEMENTE SANCHES	000865	RUA	\N	C10/D10	N-S	\N	\N	\N	\N	002181	AV. TENENTE LISBOA (via férrea)	000074	AV MONS. DANTAS	\N	\N	9589086	550032	9588957	550053	JACARECANGA	\N	\N
2	BECO TOMÁS GONZAGA	024470	BECO	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	003414	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
3	RUA IRINEU DE SOUSA	001676	RUA	\N	C09	L-O	1671/60	16/12/1960	\N	\N	\N	003385	\N	000809	003385	001480	\N	\N	\N	\N	CRISTO REDENTOR/ALVAROWEYNE	\N	\N
4	RUA PEDRO AMÉRICO	002799	RUA	\N	C09	N-S	1671/60	16/12/1960	\N	\N	\N	003672	\N	008778	000761	008778	\N	\N	\N	\N	CRISTO REDENTOR/ALVAROWEYNE	\N	\N
5	RUA CLÓVIS FONTENELE	000872	RUA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	040054	040052	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
6	RUA TEODORO CABRAL	003371	RUA	\N	C09	N-S	1671/60	16/12/1960	\N	\N	\N	001676	\N	008778	000872	024452	\N	\N	\N	\N	CRISTO REDENTOR/ ÁLVARO WEYNE	\N	\N
7	TRAVESSA TEODORO CABRAL	024452	TRAVESSA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003385	003371	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
9	RUA VICTOR MEIRELES	003672	RUA	\N	C09/B09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	000761	000690	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
10	RUA MANACÁ	002270	RUA	\N	C09	L-O	1671/60	16/12/1960	\N	\N	\N	001948	\N	003385	001948	003385	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
11	RUA GOMES PASSOS	001463	RUA	\N	C09	L-O	1671/60	16/12/1960	\N	\N	\N	002090	\N	003385	000173	003385	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
13	RUA PROF. JOSÉ BONIFÁCIO	001948	RUA	PROFESSOR	C09/B09	N-S	1671/60	16/12/1960	\N	\N	\N	002319	\N	003360	001154	000974	\N	\N	\N	\N	ÁLVARO WEYNE/CRISTO REDENTOR	\N	\N
16	VILA CAETANO	022655	VILA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002799	PRÓXIMA AO COMERCIAL GERDAU	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
18	RUA FELIPE DOS SANTOS	001263	RUA	\N	C09	N-S	1671/60	16/12/1960	\N	\N	\N	SANTA TERESINHA	\N	002588	001948	000761	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
20	RUA COELHO DA FONSECA	000885	RUA	\N	C09	N-S	1671/60	16/12/1960	\N	\N	\N	001463	\N	PRAÇA FAUSTO BARRETO	000761	002761	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
22	RUA JOÃO TEIXEIRA	001845	RUA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003594	EDIFICAÇÃO	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
23	RUA VICENTE SABÓIA	003594	RUA	\N	C09/B09	N-S	1671/60	16/12/1960	\N	\N	\N	024220	\N	000974	003750	000974	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
26	RUA LUCAS PINTO	007462	RUA	\N	C09	N-S	\N	\N	\N	\N	002319	RUA MARCÍLIO DIAS	002181	AV. TENENTE LISBOA	\N	\N	9589985	549157	9588971	548900	PIRAMBU/CARLITO PAMPLONA	\N	\N
27	TRAVESSA CORAÇÃO DE JESUS	000915	TRAVESSA	\N	C09	L-O	\N	\N	\N	\N	000173	RUA ÁLVARO DE ALENCAR	007462	RUA LUCAS PINTO	\N	\N	9589835	549219	9589858	549128	PIRAMBU	\N	\N
28	VILA MESQUITA	020247	VILA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	003685	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
29	RUA DIANA ARARIPE CABRAL	004597	RUA	\N	C09/C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003685	008778	\N	\N	\N	\N	ÁLVARO WEYNE/CRISTO REDENTOR	\N	\N
30	RUA DOM JOSÉ TUPINAMBÁ	002028	RUA	DOM	C09	L-O	1671/60	16/12/1960	\N	\N	\N	003385	\N	000187	003385	000187	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
32	RUA WALTER POMPEU	003685	RUA	\N	C09	L-O	1671/60	16/12/1960	\N	\N	\N	003371	\N	000809	003371	000809	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
33	VILA ESTRELA	023009	VILA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001676	003685	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
34	RUA LÍRIO	002177	RUA	\N	C09	L-O	1671/60	16/12/1960	\N	\N	\N	003385	\N	003371	003385	003371	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
35	RUA VIOLETA	003654	RUA	\N	C09	L-O	1671/60	16/12/1960	\N	\N	\N	002673	\N	003385	002673	003385	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
36	RUA ANA FACÓ	000230	RUA	\N	C09	L-O	1671/1960	16/12/1960	\N	\N	\N	PRAÇA FAUSTO BARRETO	\N	003385	008778	003385	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
37	RUA DO ORIENTE	002673	RUA	\N	C09	L-O	1671/60	16/12/1960	\N	\N	\N	003594	\N	003385	003594	003385	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
39	RUA ENGENHEIRO JOÃO NOGUEIRA	001830	RUA	ENGENHEIRO	C09	N-O-L (EM DIAGO	1671/60	16/12/1960	\N	\N	\N	000173	\N	002181	000173	002181	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
41	VILA PRAXEDES	020246	VILA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002761	MURO	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
42	RUA DOMINGOS BONIFÁCIO	001076	RUA	\N	C09	N-S	1671/60	16/12/1960	\N	\N	\N	001463	\N	003360	001463	003360	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
43	TRAVESSA DOMINGOS BONIFÁCIO	022917	TRAVESSA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001076	EDIFICAÇÃO	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
45	TRAVESSA ÁLVARO DE ALENCAR	000178	TRAVESSA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000173	000173	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
46	TRAVESSA NOSSA SENHORA DO CARMO	002577	TRAVESSA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000761	001463	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
47	RUA ENGENHEIRO LIMA VERDE	023639	RUA	ENGENHEIRO	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002028	008778	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
49	RUA FRANCISCO SALGADO	001362	RUA	\N	C09	N-S	1671/60	16/12/1960	\N	\N	\N	002177	\N	008778	002177	008778	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
50	RUA RAUL POMPÉIA	003042	RUA	\N	C09	L-O	1671/60	16/12/1960	\N	\N	\N	000974	\N	003385	000974	003385	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
51	VILA SANTA LUZIA	002197	VILA	SANTA	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	003042	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
52	RUA CRUZEIRO DO SUL	000974	RUA	\N	C09	L-O	1671/60	16/12/1960	\N	\N	\N	000173	\N	002761	000173	002761	\N	\N	\N	\N	ÁLVARO WEYNE/CARLITO PAMPLONA	\N	\N
53	RUA FREI TEOBALDO	003360	RUA	FREI	C09	EM SEMICÍRCULO	1671/60	16/12/1960	\N	\N	\N	002639	\N	002761	007462	002761	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
54	VILA JOSÉ ALVES CARVALHO	023514	VILA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001830	EDIFICAÇÃO	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
55	TRAVESSA CIRANDINHA	020473	TRAVESSA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024527	000173	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
56	RUA DA FÉ	001253	RUA	\N	C09	L-O	1671/60	16/12/1960	\N	\N	\N	RUA DA FELICIDADE	\N	000173	024527	000173	\N	\N	\N	\N	CARLITO PAMPLONA	SAÚDE da,  Beco do Sabóia	DEN anterior  escrit  cart m. junior trans6380  3Z
57	TRAVESSA DA FÉ	023060	TRAVESSA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022577	001253	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
58	RUA ANTÔNIO FONTENELE	000303	RUA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000974	003385	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
59	RUA FREDERICO DE ANDRADE	001373	RUA	\N	C09/D09	N-S	1671/60	16/12/1960	\N	\N	\N	003385	\N	002181	003385	002181	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
60	RUA CONSUL GOUVEIA	001478	RUA	CÔNSUL	C09	L-O	1671/60	16/12/1960	\N	\N	\N	PRAÇA FAUSTO BARRETO	\N	003385	008778	003385	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
61	RUA 11 DE JULHO	002666	RUA	\N	C09	L-O	1671/1960	16/12/1960	\N	\N	\N	002639	\N	002761	002665	002761	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
62	TRAV. 11 DE JULHO	002665	TRAVESSA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002639	002666	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
63	RUA IDELFONSO ARAÚJO	001633	RUA	\N	C09	N-S	1671/60	16/12/1960	\N	\N	\N	008778	\N	002181	008778	002644	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
64	VILA BENIGNO	022578	VILA	\N	C09/E08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002666	MURO	\N	\N	\N	\N	CARLITO PAMPLONA/PADRE ANDRADE	\N	\N
67	TRAVESSA JOAQUIM PINTO	001718	TRAVESSA	\N	C08-09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001899	001280	\N	\N	\N	\N	ÁLVARO WEYNE	Na cartografia consta o trecho Rua Joaquim Pinto / Rua Ferreira dos Santos	\N
69	TRAVESSA ÍMPAR	001636	TRAVESSA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001899	001635	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
71	TRAVESSA FERREIRA DOS SANTOS	001281	TRAVESSA	\N	C09/C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001899	001280	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
74	RUA JOÃO RIBEIRO	001842	RUA	\N	C09/D09	N-S	1671/60	16/12/1960	\N	\N	\N	001899	\N	GONÇALO SOUTO	003685	002181	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
75	BECO JOÃO RIBEIRO	023461	BECO	\N	C09/D09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	001842	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
76	VILA POLINEZIA	024183	VILA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001280	EDIFICAÇÃO	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
77	VILA CEL. JOAQUIM DE PAULA	003743	VILA	CORONEL	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	003385	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
78	TRAVESSA JUÁ	023565	TRAVESSA	\N	C09/D09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002659	003385	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
79	RUA OMAR PAIVA	002659	RUA	\N	C09/D09	N-S	1671/60	16/12/1960	\N	\N	\N	000974	\N	002181	001373	002181	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
80	RUA ESTRELA DO NORTE	002657	RUA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	002659	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
81	RUA ASSIS BEZERRA	000411	RUA	\N	C09/D09	L-O	1671/60	16/12/1960	\N	\N	\N	PRAÇA FAUSTO BARRETO	\N	002181	002761	003324	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
82	VILA MARIA BARBOSA	023794	VILA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	000411	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
83	TRAVESSA RAIMUNDO JÚNIOR	003017	TRAVESSA	\N	C09/D09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000974	002181	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
84	VILA ALONSO	022384	VILA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	002761	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
85	VILA DO DEDÉ	022886	VILA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	002761	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
193	RUA PEDRO CLEMENTE FERNANDES	000037	RUA	\N	C10/ D10	N-S	4905/77	\N	\N	\N	002181	TENENTE LISBOA	001360	FRANCISCO SÁ	\N	\N	9589092	549951	9588851	550059	JACARECANGA/CARLITO PAMPLONA	JOAQUIM  LINO	\N
194	RUA PAIOL	002723	RUA	\N	C10	L-O	1671/60	16/12/1960	\N	\N	\N	003169	\N	003400	003169	003139	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
195	RUA RUTILO	003169	RUA	\N	C10	N-S	1671/60	16/12/1960	\N	\N	\N	003400	\N	002181	002723	002181	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
196	TRAVESSA ROSINHA	024312	TRAVESSA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003400	003139	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
197	VILA MANOEL	023729	VILA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024312	MURO	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
198	TRAVESSA AGUIAR	022362	TRAVESSA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002723	002181	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
201	RUA TOPÁZIO	003422	RUA	\N	C10/D10	N-S	1671/60	16/12/1960	\N	\N	\N	002181	\N	001188	002181	000382	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
204	RUA PLÁCIDO DE CARVALHO	002900	RUA	\N	C10/D10	N-S	1671/60	16/12/1960	\N	\N	002181	AV. TENENTE LISBOA	000204	RUA AMARO CAVALCANTE	AV. FRANCISCO SÁ	RUA OSVALDO FIGUEIREDO	9589062	549414	9588392	549354	CARLITO PAMPLONA/MONTE CASTELO	\N	\N
206	RUA VERA CRUZ	003525	RUA	\N	C10	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	000173	RUA ÁLVARO DE ALENCAR	\N	\N	9589892	549413	9589931	549251	PIRAMBU	\N	\N
208	SD	040066	RUA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000761/002181	002801/MURO	\N	\N	\N	\N	CARLITO PAMPLONA/JACARECANGA	\N	\N
210	SD	040064	RUA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002801/000761	003138/002801	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
212	SD	040062	RUA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO/002801	002723/003138	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
216	TRAVESSA CACIMBA DOS POMBOS	022651	TRAVESSA	\N	C11	L-O	\N	\N	\N	\N	\N	MURO	003708	TRAV. DOS POMBOS	\N	\N	9589612	550453	9589675	550388	JACARECANGA	\N	\N
219	RUA JACINTO MATOS	001724	RUA	\N	C11	N-S	1671/60	16/12/1960	\N	\N	001657	TRAV. SANTA INÊS	000074	AV MONS. DANTAS	\N	AV. FRANCISCO SÁ	9589443	550415	9588752	550363	JACARECANGA/CARLITO PAMPLONA	\N	\N
141	RUA RIO NEGRO	003089	RUA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	ASS. DAS ENTIDADES COMUM. PIRAMBU	003139	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
222	RUA ADRIANO MARTINS	000051	RUA	\N	C11	N-S	1671/1960	16/12/1960	\N	\N	000761	AV. PRES. CASTELO BRANCO	001360	AV. FRANCISCO SÁ	\N	AV. CARNEIRO DA CUNHA	9589614	550523	9588349	550586	JACARECANGA	\N	\N
225	RUA SANTO AGOSTINHO	022833	RUA	SANTO	C11	L-O	\N	\N	\N	\N	000051	RUA ADRIANO MARTINS	001724	RUA JACINTO MATOS	\N	\N	9589342	550504	9589348	550407	JACARECANGA	\N	\N
227	RUA SÃO FRANCISCO	009226	RUA	SÃO	C11	L-O	\N	\N	\N	\N	\N	SD	001724	RUA JACINTO MATOS	\N	\N	9589299	550488	9589304	550403	JACARECANGA	\N	\N
230	AVENIDA FILOMENO GOMES	001291	AVENIDA	\N	C11/D11	N-S	1671/1960	16/12/1960	\N	\N	\N	ORLA OCEÂNICA	000742	RUA CARNEIRO DA CUNHA	\N	\N	9589342	550898	9588338	550925	JACARECANGA/CENTRO	\N	\N
231	RUA BRAGA TORRES	000601	RUA	\N	C11	L-O	1671/60	16/12/1960	\N	\N	\N	EDIFICAÇÃO (Av. Presidente Castelo Branco)	001291	AV. FILOMENO GOMES	\N	\N	9589154	551098	9589217	550909	MOURA BRASIL	\N	\N
234	RUA MARIA LUIZA	002348	RUA	\N	C11	L-O	\N	\N	\N	\N	000051	RUA ADRIANO MARTINS	002375	RUA DONA MAROQUINHA	\N	\N	9589019	550650	9588984	550486	JACARECANGA	\N	\N
86	RUA OLÍMPIO PAIVA	002644	RUA	\N	C09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000173	002761	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
87	TRAVESSA OLÍMPIO PAIVA	002645	TRAVESSA	\N	C09/D09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002644	002181	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
88	VILA GEMA GEOVANA	023191	VILA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002644	EDIFICAÇÃO	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
163	VILA SOCORRO	024416	VILA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003139	EDIFICAÇÕES	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
1484	TRAV. POENTE	024180	TRAVESSA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
91	RUA BERNARDO PORTO	000540	RUA	\N	C09/D10	N-S	1671/60	16/12/1960	\N	\N	002181	AV. TENENTE LISBOA	001255	RUA NATURALISTA FEIJÓ	\N	AV. SARG. HERMÍNIO SAMPAIO	9589029	549157	9588231	549311	CARLITO PAMPLONA/MONTE CASTELO	ÁLVARO C.  MENDES	O trecho que vai da Rua Naturalista Feijó até a Av. Sargento Hermínio Sampaio não é oficial.
92	SD	040056	RUA	\N	C09	L-O/N-S	\N	\N	\N	\N	\N	\N	\N	\N	003360/001263	EDIFICAÇÃO/000761	\N	\N	\N	\N	ÁLVARO WEYNE/CRISTO REDENTOR	\N	\N
94	SD	040054	RUA	\N	C09	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	000761/003385	040055040053	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
95	SD	040044	RUA	\N	C09	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO/040046	003685/002799	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
98	SD	040052	RUA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000761/000872	040051/040049	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
100	SD	040050	RUA	\N	C09	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	000872/400050	040049/002799	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
102	SD	040048	RUA	\N	C09	L-O/L-O	\N	\N	\N	\N	\N	\N	\N	\N	003371/003385	040047/002799	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
104	SD	040046	RUA	\N	C09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040048/040049	001676/040045	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
109	RUA FELIPE CAMARÃO	001260	RUA	\N	C10	L-O	1671/60	16/12/1960	\N	\N	003139	RUA SANTA ROSA	002424	RUA DONA MENDINHA	\N	\N	9589901	549675	9590367	547892	PIRAMBU	\N	Na Lei esta Rua termina na Rua da Felicidade (atual Dom Hélio Campos).
112	RUA DOM HÉLIO CAMPOS	001256	RUA	DOM	C10	N-S	5026/78	\N	\N	\N	002588	RUA NOSSA SRA. DAS GRAÇAS	001360	RUA FRANCISCO SÁ	\N	\N	9589980	549511	9589103	549294	PIRAMBU/CARLITO PAMPLONA	\N	\N
113	VILA JOANA	021038	VILA	\N	C10	N-S	\N	\N	\N	\N	002978	RUA DOM QUINTINO	001567	RUA HENRIQUE DIAS	\N	\N	9589816	549566	9589774	549557	PIRAMBU	\N	\N
114	TRAVESSA SANTA ROSA	024303	TRAVESSA	SANTA	C10	L-O	\N	\N	\N	\N	003139	RUA SANTA ROSA	\N	EDIFICAÇÃO	\N	\N	9589880	549672	9589885	549643	PIRAMBU	\N	\N
115	RUA SANTA ROSA	003139	RUA	SANTA	C10	N-S	1671/60	16/12/1960	\N	\N	\N	ORLA MARÍTIMA (PRAIA DO PIRAMBÚ)	002181	AV. TENENTE LISBOA	\N	\N	9590063	549712	9589120	549568	PIRAMBU	\N	\N
116	TRAVESSA NOSSA SENHORA DAS GRAÇAS	002587	TRAVESSA	\N	C10	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	003139	RUA SANTA ROSA	\N	\N	9589875	549720	9589886	549673	PIRAMBU	\N	\N
118	RUA NOSSA SENHORA DAS GRAÇAS	002588	RUA	\N	C10	L-O	\N	\N	\N	\N	021036	TRAV. DEUZIMAR	020506	RUA 1	\N	\N	9590267	548521	9589736	550166	PIRAMBU	\N	Na Lei esta Rua se inicia na Rua Eduardo Studart e termina na Av. Dr. Theberge.
119	RUA HENRIQUE DIAS	001567	RUA	\N	C10	L-O	1671/60	16/12/1960	\N	\N	040919	SD	001256	RUA DOM HÉLIO CAMPOS	RUA SANTA ROSA(003139)	RUA ÁLVARO DE ALENCAR(000173)	9589688	549814	9589835	549219	PIRAMBU	\N	\N
120	TRAV. ALZIRA	022396	TRAVESSA	\N	C10	N-S	\N	\N	\N	\N	002978	RUA DOM QUINTINO	000761	AV. PRES. CASTELO BRANCO	\N	\N	9589724	549842	9589639	549846	PIRAMBU	\N	\N
121	RUA DOS OITIS	002631	RUA	\N	C10	N-S	1671/60	16/12/1960	\N	\N	001655	RUA SANTA INÊS	002319	RUA MARCÍLIO DIAS	\N	\N	9589922	549846	9589796	549811	PIRAMBU	\N	\N
122	VILA OITIS	024009	VILA	\N	C10	L-O	\N	\N	\N	\N	023777	RUA MARCOS AUGUSTO	\N	EDIFICAÇÃO	\N	\N	9589949	549836	9589960	549812	PIRAMBU	\N	\N
124	RUA MARCOS AUGUSTO	023777	RUA	\N	C10	N-S	\N	\N	\N	\N	\N	PRAIA	001655	RUA SANTA INÊS	\N	\N	9590006	549853	9589796	549811	PIRAMBU	\N	\N
126	TRAVESSA DOM BOSCO	022610	TRAVESSA	DOM	C10	O-L/N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO (PRAIA DO PIRAMBU)	001655	RUA SANTA INÊS	\N	\N	\N	\N	\N	\N	PIRAMBU	\N	\N
127	RUA FRANCISCO CORDEIRO	001336	RUA	\N	C10	N-S	1671/60	16/12/1960	\N	\N	002588	RUA NOSSA SRA. DAS GRAÇAS	003138	RUA MONS. ROSA	\N	\N	9589813	549994	9589524	549915	PIRAMBU/CARLITO PAMPLONA	\N	\N
128	TRAVESSA FRANCISCO CORDEIRO	008250	TRAVESSA	\N	C10	N-S	\N	\N	\N	\N	001655	RUA SANTA INÊS	002588	RUA NOSSA SRA. DAS GRAÇAS	\N	\N	9589864	550007	9589813	549994	PIRAMBU/CARLITO PAMPLONA	\N	\N
129	RUA DA PAZ	003782	RUA	\N	C10	L-O	\N	\N	\N	\N	021037	TRAV. SÃO LUIZ	001336	RUA FRANCISCO CORDEIRO	\N	\N	9589599	550144	9589653	549947	PIRAMBU	\N	\N
130	TRAVESSA SÃO LUIZ	021037	TRAVESSA	SÃO	C10	N-S	\N	\N	\N	\N	002978	RUA DOM QUINTINO	000761	AV. PRES. CASTELO BRANCO	\N	\N	9589652	550166	9589554	550132	PIRAMBU	\N	\N
132	TRAVESSA DEUZIMAR	021036	TRAVESSA	\N	C10	N-S	\N	\N	\N	\N	001655	RUA SANTA INÊS	002978	RUA DOM QUINTINO	\N	\N	9589788	550190	9589657	550145	PIRAMBU	\N	\N
133	TRAVESSA QUIXADÁ	002993	TRAVESSA	\N	C10	N-S	\N	\N	\N	\N	002978	RUA DOM QUINTINO	000761	AV. PRESIDENTE CASTELO BRANCO	\N	\N	9589620	550210	9589541	550176	PIRAMBU	\N	\N
134	RUA EDUARDO STUDART	001142	RUA	\N	C10	N-S	1671/60	16/12/1960	\N	\N	\N	ORLA OCEÂNICA	000761	AV. PRES. CASTELO BRANCO	RUA SANTA INÊS	\N	9589706	550326	9589525	550225	JACARECANGA/PIRAMBU	ESTILAC LEAL	\N
135	RUA GENERAL COSTA MATOS	000940	RUA	GENERAL	C10	L-O	1671/60	16/12/1960	\N	\N	001724	RUA JACINTO MATOS	021036	TRAV. DEUZIMAR	\N	\N	9589565	550508	9589709	550159	JACARECANGA/PIRAMBU	\N	\N
136	TRAVESSA DOS POMBOS	003780	TRAVESSA	\N	C10	N-S	\N	\N	\N	\N	001655	RUA SANTA INÊS	022651	TRAV. CACIMBA DOS POMBOS	\N	\N	9589675	550388	9589643	550386	JACARECANGA	\N	\N
137	RUA DA REPÚBLICA	003029	RUA	\N	C10	L-O	\N	\N	\N	\N	001142	RUA EDUARDO STUDART	021036	TRAV. DEUZIMAR	\N	\N	9589683	550314	9589752	550174	PIRAMBU	\N	\N
139	RUA OLAVO DE ANDRADE	002639	RUA	\N	C10	N-S	226/50	\N	\N	\N	\N	\N	\N	\N	003138	002665	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
140	RUA MONSENHOR ROSA	003138	RUA	MONSENHOR	C10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	001724	000173	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
142	RUA PEDRO ARTUR	002801	RUA	\N	C10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	001724	024527	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
143	RUA GOMES PARENTE	001461	RUA	\N	C10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	003400	003139	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
145	TRAV. URANA	024502	TRAVESSA	\N	C10	N-S	\N	\N	\N	\N	003138	RUA MONS. ROSA	001461	RUA GOMES PARENTE	\N	\N	9589433	550254	9589396	550240	CARLITO PAMPLONA	\N	\N
146	TRAV. JOÃO BARBOSA	023440	TRAVESSA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024527	002639	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
147	TRAVESSA MARQUES MESQUITA	023820	TRAVESSA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024527	024622	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
148	TRAVESSA ZORAIDE BARBOSA	006233	TRAVESSA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024527	024662	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
149	TRAV. DAS ORQUÍDEAS	024025	TRAVESSA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024527	002639	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
150	TRAVESSA PATRÍCIA	006232	TRAVESSA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	002587	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
153	VILA AURINA	021707	VILA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	002639	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
155	VILA ÁUREA	004138	VILA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020473	002639	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
156	V. BENÍCIO	022577	VILA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002639	023060	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
157	V. GAÚCHA	023190	VILA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA AO CAMPO DE FUTEBOL	024527	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
158	RUA JOSÉ DE MORAIS	023534	RUA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003400	024527	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
159	TRAV. JOSÉ DE MORAIS	009554	TRAVESSA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003138	023534	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
160	B. DA RAPOSA	024238	BECO	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003139	EDIFICAÇÃO	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
161	TRAV. HOLANDESA	020459	TRAVESSA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	009554	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
162	V. HOLANDESA	023290	VILA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003139	EDIFICAÇÃO	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
164	TRAV. UMUARAMA	024500	TRAVESSA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003400	003139	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
165	TRAV. SÃO CONRADO	020457	TRAVESSA	SÃO	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003400	003139	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
166	TRAVESSA VILA CORDEIRO	024558	TRAVESSA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003400	003139	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
167	RUA TIROL	003400	RUA	\N	C10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	003138	002723	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
168	TRAV. VILA DENISE	020463	TRAVESSA	\N	C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003400	003139	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
169	RUA SÃO JOSÉ	008255	RUA	SÃO	C10/J10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003138	002623	\N	\N	\N	\N	CARLITO PAMPLONA/ITAOCA	\N	\N
235	VILA VALÊNCIA	003530	VILA	\N	C11	N-S	\N	\N	\N	\N	\N	MURO	003975	AV APRENDIZES DE MARINHEIRO	\N	\N	9589114	550973	9589074	550967	MOURA BRASIL	\N	\N
426	VILA NEON	023935	VILA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
236	RUA APRENDIZES MARINHEIRO	003975	RUA	\N	C11/D12	L-O	\N	\N	\N	\N	002502	RUA PADRE MORORÓ	001291	AV. FILOMENOS GOMES	\N	\N	9588890	551599	9589077	550930	MOURA BRASIL	\N	\N
237	RUA SANTO INÁCIO	001638	RUA	SANTO	C11/D11	L-O	\N	\N	\N	\N	002502	RUA PADRE MORORÓ	003975	RUA APRENDIZES DE MARINHEIRO	\N	\N	551613	551613	9589051	551035	MOURA BRASIL	\N	\N
238	TRAVESSA SANTO INÁCIO	003941	TRAV.	SANTO	C11	N-S	\N	\N	\N	\N	000761	AV. PRESIDENTE CASTELO BRANCO	001638	RUA SANTO INÁCIO	\N	\N	9589147	551154	9589087	551128	MOURA BRASIL	\N	\N
239	TRAVESSA DOS NAVEGANTES	003987	TRAV.	\N	C11	N-S	\N	\N	\N	\N	001638	RUA SANTO INÁCIO	003975	APRENDIZES DE MARINHEIRO	\N	\N	9589077	551161	9589026	551144	MOURA BRASIL	\N	\N
241	SD	040070	RUA	\N	C11	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000761/023692	001638/022765	\N	\N	\N	\N	MOURA BRASIL/JACARECANGA	\N	\N
243	RUA PADRE MORORÓ	002502	RUA	PADRE	C12/F11	N-S	1671/1960	16/12/1960	\N	\N	000761	AV. PRES. CASTELO BRANCO	002502	JUSTINIANO DE SERPA	ORLA OCEÂNICA	\N	9589050	551642	9586874	550955	MOURA BRASIL/FARIAS BRITO/BENFICA/CENTRO	SÃO COSMO - N 16	\N
245	RUA VIADUTO MOREIRA DA ROCHA	003566	RUA	\N	C13	N-S	\N	\N	\N	\N	\N	ORLA OCEANICA	003336	RUA DOS TABAJARAS	\N	\N	9589067	553304	9589009	553287	CENTRO	\N	\N
246	RUA DOS TABAJARAS	003336	RUA	\N	C13	O-L	1671/1960	16/12/1960	\N	\N	003345	AV. ALM. TAMANDARÉ	000360	RUA DOS ARARIÚS	\N	\N	9588989	553352	9588861	554069	CENTRO/PRAIA DE IRACEMA	\N	\N
248	RUA ÂNGELO FIGUEIREDO	000256	RUA	\N	C17/ D17	O-L	\N	\N	\N	\N	002135	AV. LEITE BARBOSA	002946	RUA 1° DE NOVEMBRO	\N	\N	9589135	558473	9588904	558787	CAIS DO PORTO	\N	Na Lei, esta Rua tem fim na Av. Zezé Diogo.
252	RUA 28 DE MARÇO	003635	RUA	\N	C17/D17	O-L	\N	\N	\N	\N	\N	\N	\N	\N	021191	000256	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
253	ALAMEDA PEREIRA	002697	ALAMEDA	\N	C17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000256	PRÓXIMA A RUA 10 DE JULHO	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
254	RUA F	021179	RUA	\N	C17	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
255	RUA G	021178	RUA	\N	C17	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
256	RUA H	021177	RUA	\N	C17	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
257	RUA I	021176	RUA	\N	C17	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
258	RUA J	021175	RUA	\N	C17	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
259	AVENIDA JOSÉ SABÓIA	002022	AVENIDA	\N	C17/D18	O-L	1671/60	16/12/1960	\N	\N	003581	AV.  VICENTE DE CASTRO	003709	AV. ZEZÉ DIOGO	AV. LEITE BARBOSA	\N	9589532	558535	9588825	559599	CAIS DO PORTO	\N	Na Lei, esta Rua tem início na Av. Leite Barbosa
262	VILA AELÉIA	022355	VILA	\N	C17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
263	VILA ANTONIA	022433	VILA	\N	C17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
265	RUA ERNESTO IGEL	008169	RUA	\N	C17	O-L	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	003593	ENTRADA DA TEXACO	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
266	TRAVESSA GUARANI	023245	TRAVESSA	\N	C17/J07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021192	003593	\N	\N	\N	\N	CAIS DO PORTO/BONSUCESSO	\N	\N
267	TRAVESSA VARZEA NOVA	021192	TRAVESSA	\N	C17/C18	O-L	\N	\N	\N	\N	003593	RUA VICENTE DE CASTRO	\N	MURO	\N	\N	9589862	558780	9589820	558895	CAIS DO PORTO	\N	\N
268	TRAVESSA AMANCIO FILOMENO	000199	TRAVESSA	\N	C17/ B18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	000198/002135	DEPOIS DA AVENIDA LEITE BARBOSA/ EDIFICAÇÕES	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
270	SD	040072	RUA	\N	C17	O-L	\N	\N	\N	\N	\N	\N	\N	\N	AREIA/AV. VICENTE CASTRO	003581	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
271	RUA VICENTE  DE  CASTRO	003593	RUA	\N	C18/B17	N-S	\N	\N	\N	\N	003581	AV. VICENTE DE CASTRO	\N	PRÓXIMA A VIA FÉRREA DO MUCURIPE (JÁ DESATIVADA)	\N	\N	9590069	558761	9589634	558723	CAIS DO PORTO	\N	\N
274	TRAVESSA FILOMENA	004797	TRAVESSA	\N	C18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	000199	000839	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
275	TRAVESSA ATLÂNTICA	021193	TRAVESSA	\N	C18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
276	TRAVESSA GUARACI	023243	TRAVESSA	\N	C18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000198	021192	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
278	RUA CONEFOR	000904	RUA	\N	C18/B18	O-L	\N	\N	\N	\N	\N	VIA FÉRREA DO MUCURIPE (Atualmente desativada)	003709	AV. ZEZÉ DIOGO	\N	\N	9590086	558794	9589966	559105	CAIS DO PORTO	\N	\N
279	BECO CONEFOR	022788	BECO	\N	C18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PETROLUSA	VIA FÉRREA	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
280	TRAVESSA CONEFOR	000905	TRAVESSA	\N	C18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000904	EDIFICAÇÃO	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
286	TRAVESSA MURILO BORGES	023908	TRAVESSA	\N	C18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003709	PRÓXIMA A ESCOLA ESTADUAL HELENITA MOTA	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
289	RUA OZETE FILOMENO	000657	RUA	\N	C18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023199	DEPOIS DA TRAVESSA NOVA	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
290	TRAVESSA OZETE FILOMENO	024040	TRAVESSA	\N	C18	O-L	\N	\N	\N	\N	003709	AV. ZEZÉ DIOGO	024086	RUA INSPETOR PAULISTA (RETORNO)	\N	\N	9589372	559388	9589433	559539	CAIS DO PORTO	\N	\N
292	RUA SANTO AMARO DO MUCURIPE	022404	RUA	SANTO	C18	N-S	\N	\N	\N	\N	021181	VILA SANTA RITA	024240	RUA DO RASTRO	\N	\N	9589884	559362	9589690	559437	CAIS DO PORTO	\N	\N
293	TRAVESSA SANTO AMARO	021182	TRAVESSA	SANTO	C18	O-L	\N	\N	\N	\N	022404	RUA SANTO AMARO DO MUCURIPE	021185	RUA PONTA MAR	\N	\N	9589861	559373	9589912	559417	CAIS DO PORTO	\N	\N
297	RUA SÃO GERARDO	023199	RUA	SÃO	C18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	002522	021185	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
298	RUA SANTO ANTÔNIO	021180	RUA	SANTO	C18	O-L	\N	\N	\N	\N	002003	RUA JOSÉ MONTEIRO	021185	RUA PONTA MAR	\N	\N	9589893	559319	9589937	559420	CAIS DO PORTO	\N	\N
299	VILA LAMBARI	023614	VILA	\N	C18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
301	TRAVESSA PONTA MAR	021186	TRAVESSA	\N	C18	O-L	\N	\N	\N	\N	003709	AV. ZEZÉ DIOGO	021185	RUA PONTA MAR	\N	\N	9589755	559210	9589845	559438	CAIS DO PORTO	\N	\N
302	VILA PONTA MAR	021183	VILA	\N	C18	N-S	\N	\N	\N	\N	021182	TRAV. SANTO AMARO	021186	TRAV. PONTA MAR	\N	\N	9589876	559406	9589839	559420	CAIS DO PORTO	\N	\N
304	RUA TITÃ	003401	RUA	\N	C18	N-S	\N	\N	\N	\N	021186	TRAV. PONTA MAR	001547	RUA PROF. HENRIQUE FIRMEZA	\N	\N	9589790	559294	9589101	559594	CAIS DO PORTO	\N	\N
306	BECO DA VILALBA	024562	BECO	\N	C18	O-L	\N	\N	\N	\N	003709	AV. ZEZÉ DIOGO	002522	RUA MURILO BORGES	\N	\N	9589702	559235	9589729	559282	CAIS DO PORTO	\N	\N
307	RUA DO RASTRO	024240	RUA	\N	C18	O-L	\N	\N	\N	\N	003709	AV. ZEZÉ DIOGO	024086	RUA INSPETOR PAULISTA (RETORNO)	\N	\N	9589622	559273	9589697	559455	CAIS DO PORTO	\N	\N
308	RUA FRANCISCO MONTE	001350	RUA	\N	C18	N-S	1995/62	\N	\N	\N	003709	AV. ZEZÉ DIOGO	002022	AV. JOSÉ SABÓIA	\N	\N	9589446	559354	9589167	559169	CAIS DO PORTO	\N	Na Lei, esta Rua tem início na Rua Ângelo Figueiredo e fim na Orla Marítima
402	TRAVESSA NOSSA SENHORA DAS MERCEDES	023970	TRAVESSA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023708	002334	\N	\N	\N	\N	VILA VELHA	\N	\N
309	RUA TININHA	021197	RUA	\N	C18	N-S	\N	\N	\N	\N	000897	RUA NEZITA PEREIRA	024040	TRAV. OZETE FILOMENO	\N	\N	9589517	559364	9589389	559429	CAIS DO PORTO	\N	\N
310	VILA COOPER	021196	VILA	\N	C18	O-L	\N	\N	\N	\N	003709	AV. ZEZÉ DIOGO	021197	RUA TININHA	\N	\N	9589414	559369	9589434	559411	CAIS DO PORTO	\N	\N
311	RUA NEZITA PEREIRA	000897	RUA	\N	C18	O-L	\N	\N	\N	\N	003709	AV. ZEZÉ DIOGO	024086	RUA INSPETOR PAULISTA (RETORNO)	\N	\N	9589501	559329	9589581	559483	CAIS DO PORTO	\N	\N
313	RUA INSPETOR PAULISTA	024086	RUA	INSPETOR	C18	N-S	\N	\N	\N	\N	000897	RUA NEZITA PEREIRA	001547	RUA PROF. HENRIQUE FIRMEZA	\N	\N	9589581	559483	9589120	559634	CAIS DO PORTO	\N	\N
314	RUA ERNESTO GURGEL	021187	RUA	\N	C18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001350	001547	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
315	TRAVESSA NOVA	023981	TRAVESSA	\N	C18	O-L	\N	\N	\N	\N	003709	AV. ZEZÉ DIOGO	024086	RUA INSPETOR PAULISTA (RETORNO)	\N	\N	9589217	559456	9589282	559590	CAIS DO PORTO	\N	\N
317	TRAVESSA DIOGUINHO	021199	TRAVESSA	\N	C18	O-L	\N	\N	\N	\N	002650	RUA OLIVEIRA FILHO	002022	AV. JOSÉ SABÓIA	\N	\N	9588999	559117	9589083	559290	CAIS DO PORTO	\N	\N
318	RUA PROF. HENRIQUE FIRMEZA	001547	RUA	PROFESSOR	C18/D18	O-L	\N	\N	\N	\N	002022	AV. DOLOR BARREIRA	\N	ORLA OCEÂNICA (RETORNO DA RUA MURILO BORGES)	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
319	SD	040073	RUA	\N	C18/D05	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A POLIMIX CONCRETO/007160	000199/007169	\N	\N	\N	\N	CAIS DO PORTO/QUINTINO CUNHA	\N	\N
320	AVENIDA MAJOR ASSIS	000410	AVENIDA	MAJOR	D05/ D08	L-O	3505/67	\N	\N	\N	\N	\N	\N	\N	004585	DEPOIS DA AV. L (CONJ. BANCÁRIOS)	\N	\N	\N	\N	VILA VELHA/ FLORESTA	\N	\N
322	TRAVESSA DOM MEYER	023863	TRAVESSA	DOM	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000410	PRÓXIMA CAMPO DE FUTEBOL	\N	\N	\N	\N	VILA VELHA	\N	\N
324	RUA41	008448	RUA	\N	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008453	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
325	RUA43	008449	RUA	\N	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001097	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
326	RUA45	008450	RUA	\N	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004611	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
327	RUA47	008451	RUA	\N	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004611	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
329	RUA MARIA CLARA	002334	RUA	PROFESSORA	D05	L-O	3505/67	\N	\N	\N	\N	\N	\N	\N	003075	003075	\N	\N	\N	\N	VILA VELHA	\N	\N
330	TRAVESSA EDILENE	020068	TRAVESSA	\N	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000410	002334	\N	\N	\N	\N	VILA VELHA	\N	\N
331	VILA MARQUES	023818	VILA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
332	RUA PEDRO SAMPAIO	000402	RUA	\N	D05	L-O	4623/75	\N	\N	\N	\N	\N	\N	\N	001588	003151	\N	\N	\N	\N	VILA VELHA	\N	\N
333	RUA CAMPO MOURÃO	003151	RUA	\N	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000402	023327	\N	\N	\N	\N	VILA VELHA	\N	\N
334	RUA ROSINHA SAMPAIO	003150	RUA	\N	D05	L-O	3284/1966	06/10/1966	\N	\N	\N	\N	\N	\N	003097	003151	\N	\N	\N	\N	VILA VELHA	ALTANEIRA, NO TRECHO  CEL.CARVALHO / HILDEBRANDO MELO	LEI ESPECIFICA
336	RUA I	006712	RUA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006726	006730	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
337	RUA II	006713	RUA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006732	006730	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
338	RUA III	006714	RUA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006732	006730	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
341	RUA 4	006715	RUA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008743	020992	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
342	RUA 6	006716	RUA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008743	006730	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
343	RUA XXIII ( S. PORTELA )	000757	RUA	\N	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023327	006721	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
344	RUA ILHA DOURADA	020992	RUA	\N	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023327	021021	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
345	TRAVESSA SÃO JOSÉ	020428	TRAVESSA	SÃO	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023327	040923	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
346	TRAVESSA DA FELICIDADE	020997	TRAVESSA	\N	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023327	020992	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
347	RUA APOCALIPSE	021009	RUA	\N	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023327	021016	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
348	RUA SANTA MARIA GORETE	006730	RUA	SANTA	D05/E05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023327	007160	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
349	RUA VITÓRIA	003673	RUA	\N	D05/D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006730/001588	020997/MURO	\N	\N	\N	\N	QUNTINO CUNHA/VILA VELHA	\N	\N
350	RUA SÃO LUCAS	021000	RUA	SÃO	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006730	020997	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
351	RUA MOISÉS	021005	RUA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006730	020997	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
352	RUA BARTOLOMEU	021007	RUA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006730	020997	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
353	RUA SÃO JOÃO	020998	RUA	SÃO	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006730	020997	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
355	TRAVESSA SÃO VICENTE DE PAULA	003573	TRAVESSA	SÃO	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021016	006715	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
356	RUA SANTIAGO	024339	RUA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006730	020992	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
357	RUA SANTA EDWIRGES	021016	RUA	SANTA	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006730	020992	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
358	RUA SEMENTE COITÉ	007169	RUA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006730	020992	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
359	RUA HUMAITÁ	007170	RUA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006730	007160	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
360	RUA BAIXA DO MILAGRE	007160	RUA	\N	D05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007169	007184	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
361	RUA ILHA DA PRATA	021021	RUA	\N	D05/E05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020992	007160	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
362	RUA DO MEIO	007176	RUA	\N	D05/E05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007170	007171	\N	\N	\N	\N	QUNTINO CUNHA	\N	\N
366	RUA DR. AMADEU SÁ (CIDADE PALHANO)	000194	RUA	DOUTOR	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008743	MURO	\N	\N	\N	\N	VILA VELHA	\N	\N
368	RUA CARLOS WALRAVEN	000734	RUA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001588	008743	\N	\N	\N	\N	VILA VELHA/ JARDIM GUANABARA	\N	\N
369	RUA CARLOS GONDIM	000721	RUA	\N	D06	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	001588	008743	\N	\N	\N	\N	VILA VELHA/JARDIM GUANABARA	\N	\N
370	RUA CREUSA ROCHA	001589	RUA	\N	D06	L-O	4547/75	\N	\N	\N	\N	\N	\N	\N	001588	008743	\N	\N	\N	\N	VILA VELHA/ JARDIM GUANABARA	\N	\N
371	RUA CARIÚS	000217	RUA	\N	D06	L-O	3548/68	\N	\N	\N	\N	\N	\N	\N	001588	008743	\N	\N	\N	\N	VILA VELHA/ JARDIM GUANABARA	\N	\N
374	RUA CECIL SALGADO	000794	RUA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001588	008743	\N	\N	\N	\N	VILA VELHA/ JARDIM GUANABARA	\N	\N
378	AVENIDA INDEPENDÊNCIA	023327	AVENIDA	\N	D06	L-O	3548/68	\N	\N	\N	\N	\N	\N	\N	001177	020992	\N	\N	\N	\N	VILA VELHA/ JARDIM GUANABARA/QUINTINO CUNHA	\N	\N
380	VILA P. MATOS	024045	VILA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	000721	\N	\N	\N	\N	JARDIM GUANABARA	\N	\N
381	RUA GEORGE CAVALCANTE	001415	RUA	\N	D06 / C06	N-S	3548/68	\N	\N	\N	\N	\N	\N	\N	000017	023327	\N	\N	\N	\N	VILA VELHA/ JARDIM GUANABARA	\N	\N
382	RUA ANTÔNIO ARRUDA	000282	RUA	\N	D06/ C06	N-S	3548/1968	\N	\N	\N	\N	\N	\N	\N	001302	023327	\N	\N	\N	\N	VILA VELHA / JARDIM GUANABARA	\N	\N
383	VILA DANIELE	022882	VILA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	001589	\N	\N	\N	\N	VILA VELHA	\N	\N
384	VILA BANDEIRA	022542	VILA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	001589	\N	\N	\N	\N	VILA VELHA	\N	\N
386	AVENIDA E	008456	AVENIDA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008743	008455	\N	\N	\N	\N	VILA VELHA	\N	\N
387	AVENIDA J	008455	AVENIDA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008453	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
392	RUA 26	008458	RUA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008743	008453	\N	\N	\N	\N	VILA VELHA	\N	\N
394	RUA 28	008457	RUA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008743	008453	\N	\N	\N	\N	VILA VELHA	\N	\N
401	RUA WALT DISNEY	003683	RUA	PADRE	D06/ D07	N-S	8937/2005	15/03/2005	\N	\N	\N	RUA MORAUJO	\N	AV. INDEPENDENCIA	\N	\N	545618	9588877	545393	9588108	VILA VELHA/ JARDIM GUANABARA	WALT DISNEY (LEI 3548/68 - DOM 31/05/1968-VARIAS RUAS	esta lei  ALTERA O NOME DA RUA WALT DISNEY
1486	VILA DO PAULÃO	024082	VILA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
403	TRAVESSA TENENTE MONTEIRO	009519	TRAVESSA	TENENTE	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000410	002334	\N	\N	\N	\N	VILA VELHA	\N	\N
404	TRAVESSA JESUS CRISTO	023418	TRAVESSA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024099	002334	\N	\N	\N	\N	VILA VELHA	\N	\N
405	TRAVESSA M. LÍRIO	023708	TRAVESSA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	009519	023970	\N	\N	\N	\N	VILA VELHA	\N	\N
406	VILA DA PAZ	024099	VILA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	009519	\N	\N	\N	\N	VILA VELHA	\N	\N
407	TRAVESSA IMACULADA CONCEIÇÃO	023320	TRAVESSA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A RUA TENENTE MONTEIRO	002334	\N	\N	\N	\N	VILA VELHA	\N	\N
408	TRAVESSA ZENITH	024623	TRAVESSA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÕES	002334	\N	\N	\N	\N	VILA VELHA	\N	\N
409	TRAVESSA VALDIR AZEVEDO	021245	TRAVESSA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000410	002334	\N	\N	\N	\N	VILA VELHA	\N	\N
412	RUA PEDRO FERREIRA	002809	RUA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000410	000402	\N	\N	\N	\N	VILA VELHA	\N	\N
413	TRAVESSA GEORGINA	021260	TRAVESSA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002809	EDIFICAÇÃO	\N	\N	\N	\N	VILA VELHA	\N	\N
414	TRAVESSA A. BORGES	022333	TRAVESSA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	040075	002809	\N	\N	\N	\N	VILA VELHA	\N	\N
420	RUA XII	006722	RUA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001168	006733	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
421	RUA XIII	006723	RUA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001168	006733	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
424	RUA XXIV	006732	RUA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023327	006721	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
425	RUA XXVI	006733	RUA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023327	000858	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
427	RUA CLÁUDIO GUIMARÃES	000858	RUA	\N	D06/E06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001168	008743	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
428	RUA SOARES GUIMARÃES	024412	RUA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022345	008743	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
429	RUA EMÍLIA GONÇALVES	001168	RUA	\N	D06/E06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008743	024304	\N	\N	\N	\N	VILA VELHA/QUINTINO CUNHA	\N	\N
430	TRAVESSA SANTA MARIA	002331	TRAVESSA	SANTA	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023327	001168	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
431	RUA FRANCISCO MENDES DE OLIVEIRA	001348	RUA	\N	D06	N-S	3556/68	\N	\N	\N	\N	\N	\N	\N	023327	007457	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
432	RUA MARIA JOSÉ TEIXEIRA	002345	RUA	\N	D06/E06	N-S	3556/67	\N	\N	\N	\N	\N	\N	\N	023327	007457	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
433	RUA MOURA DA SILVA	021022	RUA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023327	001168	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
434	RUA ROSALVO QUINDERÉ	008366	RUA	\N	D06/E06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023327	007457	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
435	VILA GOMES	023218	VILA	\N	D06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
436	RUA PADRE MANUEL PRIMO	002296	RUA	PADRE	D06/E07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023327	007457	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
438	RUA DR. JOSÉ GOIANA	001977	RUA	DOUTOR	D06/E06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023327	006741	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
439	RUA CARLOS ARAÚJO	000715	RUA	\N	D06/E07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023327	007457	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
440	SD	040075	RUA	\N	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022333/001589	RUA PEDRO SAMPAIO/MURO	\N	\N	\N	\N	VILA VELHA	\N	\N
442	RUA A	022311	RUA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000746	022632	\N	\N	\N	\N	VILA VELHA	\N	\N
444	RUA E	008233	RUA	\N	D07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024053	MURO	\N	\N	\N	\N	VILA VELHA	\N	\N
449	RUA MORAÚJO	002491	RUA	\N	D07/C06	L-O	3548/68	\N	\N	\N	\N	\N	\N	\N	001588	008743	\N	\N	\N	\N	VILA VELHA	\N	\N
452	RUA PIERRE LUZ	002867	RUA	\N	D07	N-S	3211/66	\N	\N	\N	\N	\N	\N	\N	022311	023327	\N	\N	\N	\N	VILA VELHA/JARDIM GUANABARA	\N	\N
454	RUA ABELARDO FERREIRA	000014	RUA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA BRANCA BILHAR	AV. HILDEBRANDO MELO (001588)	\N	\N	\N	\N	JARDIM IRACEMA/FLORESTA	\N	\N
458	VILA J. VERAS	023391	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
461	VILA OLÍMPICA	024017	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007467	MURO	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
462	VILA PAI COSTA	004466	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	007467	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
465	RUA GUILHERME MENDES	001531	RUA	\N	D07	L-O	3505/67	\N	\N	\N	\N	\N	\N	\N	003094	001588	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
466	RUA ERETIDES DE ALENCAR	001177	RUA	\N	D07/E07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002098	007457	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
468	VILA CASCATINHA	022713	VILA	\N	D07	 ---	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
470	RUA GAUDIOSO CARVALHO	001404	RUA	\N	D07	N-S	3505/67	\N	\N	\N	\N	\N	\N	\N	002098	003150	\N	\N	\N	\N	FLORESTA	\N	\N
471	RUA RIO SOLIMÕES	003094	RUA	\N	D07/C07	N-S	3548/68	\N	\N	\N	\N	\N	\N	\N	002098	003096	\N	\N	\N	\N	FLORESTA/JARDIM IRACEMA	\N	\N
473	TRAVESSA RIO SOLIMÔES	003133	TRAVESSA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003094	001404	\N	\N	\N	\N	FLORESTA	\N	\N
474	TRAVESSA CONS. LAFAYETTE	004637	TRAVESSA	CONSELHEIRO	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003094	003097	\N	\N	\N	\N	FLORESTA	\N	\N
475	TRAVESSA LEVIS DE ARAUJO	023628	TRAVESSA	\N	D07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004637	000014	\N	\N	\N	\N	FLORESTA	\N	\N
477	TRAVESSA RIO TOCANTINS	024270	TRAVESSA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001404	003097	\N	\N	\N	\N	FLORESTA	\N	\N
478	VILA TOCANTINS	003408	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÕES	003097	\N	\N	\N	\N	FLORESTA	\N	\N
479	TRAVESSA SILVEIRA	024403	TRAVESSA	\N	D07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001531	022705	\N	\N	\N	\N	FLORESTA	\N	\N
480	TRAVESSA POPULAR	020527	TRAVESSA	\N	D07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023605	EDIFICAÇÃO	\N	\N	\N	\N	FLORESTA	\N	\N
481	\N	023605	TRAVESSA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003094	001404	\N	\N	\N	\N	FLORESTA	\N	\N
482	RUA CARNAUBAL	022705	RUA	\N	D07	L-O	3548/68	\N	\N	\N	\N	\N	\N	\N	004585	001588	\N	\N	\N	\N	JARDIM GUANABARA/JARDIMIRACEMA	\N	\N
483	RUA MARIO CAMPOS	002357	RUA	\N	D07	N-S	3208/66	\N	\N	\N	\N	\N	\N	\N	001531	023327	\N	\N	\N	\N	JARDIM GUANABARA	\N	\N
484	VILA AFONSO	022356	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002357	MURO	\N	\N	\N	\N	JARDIM GUANABARA	\N	\N
491	VILA BETÂNIA	022589	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002357	MURO	\N	\N	\N	\N	JARDIM GUANABARA	\N	\N
492	VILA JOSÉ JERÔNIMO	023541	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002704	000746	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
493	VILA SÃO JACÓ	023400	VILA	SÃO	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002704	000746	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
494	VILA C. LOPES	022649	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002704	000746	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
495	VILA MANOEL FREIRE	023739	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002704	000746	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
496	VILA VELHA	024528	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM GUANABARA	\N	\N
497	TAVESSA EDNEUZA	004390	TRAVESSA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000225	007467	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
498	VILA A. DA FLORESTA	022335	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	001404	\N	\N	\N	\N	FLORESTA	\N	\N
499	TRAVESSA JOSÉ DE ALENCAR	001959	TRAVESSA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003094	001404	\N	\N	\N	\N	FLORESTA	\N	\N
500	RUA RAIMUNDO BIZARRA	003008	RUA	\N	D07/E07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	022705	007457	\N	\N	\N	\N	FLORESTA	\N	\N
501	VILA RAIMUNDO BIZARRO	024231	VILA	\N	D07	 ---	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
503	VILA JOÃO CANDIDO	023445	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003008	MURO	\N	\N	\N	\N	FLORESTA	\N	\N
506	RUA RIO TIETE	003096	RUA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003094	003097	\N	\N	\N	\N	FLORESTA	\N	\N
507	VILA LIBERATO SALGADO	023631	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
508	TRAVESSA MARIA ALZEMIR	020530	TRAVESSA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003094	000410	\N	\N	\N	\N	FLORESTA	\N	\N
509	VILA JOSÉ NOBRE	023553	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003097	EDIFICAÇÃO	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
510	VILA PORCELANA	024188	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	000225	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
511	VILA LOPES PAES	024627	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002704	MURO	\N	\N	\N	\N	JARDIM GUANABARA	\N	\N
516	RUA GENERAL JOÃO COUTO	001801	RUA	GENERAL	D07/E07	N-S	3548/68	\N	\N	\N	\N	\N	\N	\N	023327	007457	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
517	VILA THEMIS	024458	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000183	EDIFICAÇÃO	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
518	VILA PIONEIRA	003760	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	000225	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
519	VILA DO MELÃO	023847	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000097	EDIFICAÇÃO	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
520	VILA SARAIVA LIMA	024346	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000097	MURO	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
521	VILA JUPURA	023581	VILA	\N	D07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
522	VILA BOCA DO ARO	022602	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003097	003076	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
523	VILA XAVIER	003920	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003076	MURO	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
524	TRAVESSA SANTA INÊS	023330	TRAVESSA	SANTA	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003008	PRÓXIMA A RUA GAUDIOSO CARVALHO	\N	\N	\N	\N	FLORESTA	\N	\N
525	TRAVESSA DOS CAVALOS	020114	TRAVESSA	\N	D07/D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	004585	003008	\N	\N	\N	\N	FLORESTA	\N	\N
703	VILA MODERNA	020474	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
526	VILA DR. CLEBER MORAIS	022773	VILA	DOUTOR	D07	 ---	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
527	VILA JOÃO KELI	023455	VILA	\N	D07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
529	RUA RIO MADEIRA	003088	RUA	\N	D08	N-S	3548/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
530	TRAVESSA RIO MADEIRA	024268	TRAVESSA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
531	VILA NILO	023945	VILA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
532	RUA MARIA DE SOUSA	002339	RUA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A ÁREA ALAGADA	003088	\N	\N	\N	\N	FLORESTA	\N	\N
533	RUA PROF. VALMIR	003532	RUA	PROFESSOR	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002098	PRÓXIMA A CEMAG	\N	\N	\N	\N	FLORESTA	\N	\N
536	VILA CARLOS NOBRE	004392	VILA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	001480	\N	\N	\N	\N	FLORESTA	\N	\N
537	VILA SÃO MIGUEL PAULISTA	023870	VILA	SÃO	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	001480	\N	\N	\N	\N	FLORESTA	\N	\N
539	RUA TENENTE JOSÉ BARREIRA	001943	RUA	TENENTE	D08/C08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	000535	003107	\N	\N	\N	\N	ALVARO WEYNE	\N	\N
540	TRAVESSA TENENTE JOSÉ BARREIRA	001942	TRAVESSA	TENENTE	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001943	002424	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
541	RUA SÃO ROQUE	003134	RUA	SÃO	D08/C08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	003363/001607	003107	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
542	TRAVESSA SÃO ROQUE	004397	TRAVESSA	SÃO	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003296	003134	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
543	RUA TEODOMIRO DE CASTRO	003363	RUA	\N	D08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	001607	000095	\N	\N	\N	\N	ALVARO WEYNE	\N	\N
544	TRAVESSA TEODOMIRO DE CASTRO	024450	TRAVESSA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003363	001943	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
547	RUA JAÇANÃ	001717	RUA	\N	D08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	000888	003363	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
548	RUA ROCHA POMBO	003107	RUA	\N	D08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	002181	002424	\N	\N	\N	\N	ÁLVARO WEYNE/FLORESTA	\N	\N
549	TRAVESSA ROCHA POMBO	024285	TRAVESSA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A TEBASA TEXTIL BAQUIT S/A	040041	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
556	RUA CURIÓ	000984	RUA	\N	D08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	001842	001607	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
557	TRAVESSA CURIÓ	022831	TRAVESSA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	000984	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
558	BECO CURIÓ	022832	BECO	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÕES	000984	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
559	RUA AÇUCENA	000032	RUA	\N	D08	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	003385	001842	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
562	VILA ANA LÚCIA	022417	VILA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002181	EDIFICAÇÃO	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
563	VILA JACIRA	023398	VILA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	002228	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
564	RUA FRANCISCO NOGUEIRA	006208	RUA	\N	D08/D09	L-O	5132/79	\N	\N	\N	\N	\N	\N	\N	003385	003657	\N	\N	\N	\N	PRES.KENNEDY	\N	\N
565	RUA LUÍS GUIMARÃES	002228	RUA	\N	D08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	003385	003296	\N	\N	\N	\N	PRES.KENNEDY/FLORESTA	\N	\N
566	TRAVESSA LUÍS GUIMARÃES	002229	TRAVESSA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003107	002228	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
568	RUA ANTÔNIO MÁRCIO	000864	RUA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	004585	003008	\N	\N	\N	\N	FLORESTA	\N	\N
569	TRAVESSA FRANSQUINHA	020532	TRAVESSA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000864	023466	\N	\N	\N	\N	FLORESTA	\N	\N
570	TRAVESSA PRAIEIRA	024196	TRAVESSA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003075	003008	\N	\N	\N	\N	FLORESTA	\N	\N
571	TRAVESSA JOÃO XIMENES	023466	TRAVESSA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	004585	024196	\N	\N	\N	\N	FLORESTA	\N	\N
572	TRAVESSA RINCÃO	003075	TRAVESSA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023466	PRAÇA LUCIANO CARDOSO	\N	\N	\N	\N	FLORESTA	\N	\N
573	TRAVESSA HAVAI	001553	TRAVESSA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	004585	009564	\N	\N	\N	\N	FLORESTA	\N	\N
574	RUA LUÍS FIRMINO	009564	RUA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	004585	001553	\N	\N	\N	\N	FLORESTA	\N	\N
575	RUA PITANGA	004384	RUA	\N	D08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	004585	002889	\N	\N	\N	\N	FLORESTA	\N	\N
576	TRAVESSA PITANGA	002889	TRAVESSA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	004585	003075	\N	\N	\N	\N	FLORESTA	\N	\N
577	TRAVESSA ANTENOR ALMEIDA	004585	TRAVESSA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022705	020114	\N	\N	\N	\N	FLORESTA	\N	\N
578	VILA MANOEL PASSOS	020533	VILA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002228	002701	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
579	RUA 8 DE JULHO	002701	RUA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002181	020533	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
581	TRAVESSA VIA FÉRREA SOBRAL	003756	TRAVESSA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003657	002181	\N	\N	\N	\N	PRES. KENNEDY	\N	\N
582	RUA VASCO BENÍCIO	003538	RUA	\N	D08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
583	RUA VIRGÍLIO BRÍGIDO	003657	RUA	\N	D08/E08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	002181	001584	\N	\N	\N	\N	PRES.KENEDY	\N	\N
584	TRAVESSA NOVA BRASÍLIA	002594	TRAVESSA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003385	003657	\N	\N	\N	\N	PRES.KENEDY	\N	\N
588	TRAVESSA PIRAÍ	021531	TRAVESSA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003385	003657	\N	\N	\N	\N	PRES.KENEDY	\N	\N
589	VILA KENO	023593	VILA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	002618	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
590	VILA ARTUR SILVEIRA	004587	VILA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003233	MURO	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
591	VILA FREI DAMIÃO	022879	VILA	FREI	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003233	MURO	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
592	VILA VERA LÚCIA	024533	VILA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
593	VILA COROADA	022806	VILA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
594	RUA SINÓ PINHEIRO	004527	RUA	\N	D08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	002181	002618	\N	\N	\N	\N	FLORESTA	\N	\N
595	BECO DOS CANÁRIOS	022682	BECO	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	002181	\N	\N	\N	\N	PRES. KENEDY	\N	\N
596	VILA DA PRATA	024198	VILA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003657	022682	\N	\N	\N	\N	PRES.KENNEDY	\N	\N
597	VILA SÃO JERÔNIMO	021533	VILA	SÃO	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	002181	\N	\N	\N	\N	PRES.KENEDY	\N	\N
598	TRAVESSA MARIA LENICE	021534	TRAVESSA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003657	007472	\N	\N	\N	\N	PRES.KENEDY	\N	\N
599	BECO DA PITOMBA	021537	BECO	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	VILA URUBATAÚ	007472	\N	\N	\N	\N	PRES.KENEDY	\N	\N
600	VILA WENDER	024603	VILA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
601	VILA MICHELE	023865	VILA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
602	VILA RUASILVEIRA	024402	VILA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
603	RUA NOSSA SENHORA DAS DORES	023967	RUA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002618	002181	\N	\N	\N	\N	FLORESTA	\N	\N
604	TRAVESSA NOSSA SENHORA DAS DORES	023966	TRAVESSA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	023967	\N	\N	\N	\N	FLORESTA	\N	\N
605	VILA DO CINCO	022756	VILA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
607	BECO MAJOR ASSIS	022489	BECO	MAJOR	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
608	TRAVESSA MIRAÍNA	020529	TRAVESSA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001553	000410	\N	\N	\N	\N	FLORESTA	\N	\N
609	VILA AGENOR ROCHA	022358	VILA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
610	TRAVESSA SOLAR	020534	TRAVESSA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
612	VILA MACIEIRA	020528	VILA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
613	VILA BELÁGIO	022570	VILA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
615	RUA EVA	001229	RUA	\N	D08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
616	RUA CAMPO BOM	000656	RUA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
618	BECO DOS CAVALOS	020538	BECO	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
619	TRAVESSA VITÓRIA	024589	TRAVESSA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
620	TRAVESSA AMAZONAS	022406	TRAVESSA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
621	TRAVESSA CEMEC	020531	TRAVESSA	\N	D08/E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
622	TRAVESSA LUCIANO CARDOSO	020579	TRAVESSA	\N	D08/E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
623	VILA GERMANO	023202	VILA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
624	VILA DOIS IRMÃOS	022910	VILA	\N	D08/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA/GRANJA PORTUGAL	\N	\N
625	VILA MACIEL LISBOA	023717	VILA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
626	TRAVESSA SARGENTO LUÍS	023674	TRAVESSA	SARGENTO	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
628	VILA CHAGAS	022738	VILA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
629	RUA PEDRO MEIRELES	008006	RUA	\N	D08/E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENEDY	\N	\N
630	RUA CARLINDO CRUZ	004955	RUA	\N	D08/E08	N-S	4989/78	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENEDY	\N	\N
631	TRAV. SANGATI	007791	TRAVESSA	\N	D08/E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
632	TRAVESSA BAIPEND	020537	TRAVESSA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
636	VILA PONTES	003758	VILA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENEDY	\N	\N
637	TRAVESSA URÂNIO	024503	TRAVESSA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENEDY	\N	\N
640	RUA RENATO VIANA	024254	RUA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENEDY	\N	\N
641	RUA PLANALTO	002902	RUA	\N	D08/E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENEDY	\N	\N
642	RUA FREI ODILON	002618	RUA	FREI	D08/E08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENEDY	\N	\N
643	TRAVESSA PONTILÂNDIA	024186	TRAVESSA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENEDY	\N	\N
644	TRAVESSA PAULO ARAÚJO	002775	TRAVESSA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENEDY	\N	\N
646	TRAVESSA FREI ODILON	002619	TRAVESSA	FREI	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007472	002618	\N	\N	\N	\N	PRESIDENTE KENNEDY	\N	\N
647	TRAVESSA CAMPOS	021529	TRAVESSA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
648	RUA SANTA SOFIA	003310	RUA	SANTA	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA/PRES.KENEDY	\N	\N
649	RUA SÃO DAMIÃO	001006	RUA	SÃO	D08/E08	N-S	4335/74	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENNEDY	\N	\N
650	RUA  AUZI SAMPAIO	007472	RUA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENNEDY	\N	\N
651	VILA URUBATAÚ	021538	VILA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENNEDY	\N	\N
652	VILA MARIA JOSÉ	023798	VILA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENNEDY	\N	\N
653	VILA SÃO JOSÉ	021540	VILA	SÃO	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENNEDY	\N	\N
654	VILA KARDEC	023590	VILA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENNEDY	\N	\N
655	TRAVESSA SÃO GONÇALO	001465	TRAVESSA	SÃO	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENEDY	\N	\N
657	PRAÇA PANTANAL	024060	PRAÇA	\N	D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
660	SD	040079	RUA	\N	D08	L-O	\N	\N	\N	\N	\N	TRAV. BAIPENDI	\N	\N	020537	EDIFICAÇÃO	\N	\N	\N	\N	FLORESTA	\N	\N
663	SD	040091	RUA	\N	D08	N-S/L-O	\N	\N	\N	\N	\N	RUA HUGO ROCHA	\N	\N	RUA GONÇALO	\N	\N	\N	\N	\N	ÁLVARO WEYNE/PRESIDENTE KENNEDY	\N	\N
665	SD	040089	RUA	\N	D08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA SÃO SEBASTIÃO	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
667	SD	040087	RUA	\N	D08	L-O	\N	\N	\N	\N	\N	RUA VIRGÍLIO BRÍGIDO/RUA AUZI SAMPAIO	\N	\N	AV. TEM. LISBOA	\N	\N	\N	\N	\N	PRESIDENTE KENNEDY	\N	\N
669	SD	040085	RUA	\N	D08	N-S/L-O	\N	\N	\N	\N	\N	RUA SÃO SEBASTIÃO/AV. TENENTE LISBOA	\N	\N	VILA R. SILVEIRA	\N	\N	\N	\N	\N	ÁLVARO WEYNE/PRESIDENTE KENNEDY	\N	\N
671	SD	040081	RUA	\N	D08	L-O	\N	\N	\N	\N	\N	TRAV. BAIPEND/PRAÇA SD	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA/PRESIDENTE KENNEDY	\N	\N
672	SD	040083	RUA	\N	D08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	TRAV. URÂNIO	TRAV. ZULANI	\N	\N	\N	\N	PRESIDENTE KENNEDY	\N	\N
673	RUA TREVO	003444	RUA	\N	D09/C08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	001842	001607	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
677	VILA SÃO JOSÉ	023503	VILA	SÃO	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
678	VILA FERNANDES	023076	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
679	TRAVESSA CONDOR	009763	TRAVESSA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
684	RUA CRUZ E SOUSA	003324	RUA	\N	D09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
686	VILA SUEIRO	024433	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
687	VILA DUARTE	022921	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
689	PRAÇA ASSIS BEZERRA	022491	PRAÇA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
692	RUA MAJOR VERÍSSIMO	003560	RUA	MAJOR	D09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
693	RUA GILBERTO CÂMARA	001433	RUA	\N	D09/E09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY/ALAGADIÇO	\N	\N
694	RUA VISCONDE DO ICÓ	001625	RUA	VISCONDE	D09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA/VILA ELERY	\N	\N
695	TRAVESSA VISCONDE DO ICÓ	003757	TRAVESSA	VISCONDE	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
696	VILA SÃO RAIMUNDO	024225	VILA	SÃO	D09/G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELLERY/RODOLFO TEÓFILO	\N	\N
697	AVENIDA PASTEUR	002761	AVENIDA	\N	D09/B09	N-S	1671/60	16/12/1960	\N	\N	\N	ORLA  MARÍTIMA (PRAIA DO PIRAMBU)	002181	AV. TENENTE LISBOA	\N	\N	9590376	549193	9588924	548722	PIRAMBÚ/ÁLVARO WEYNE/CARLITO/CRISTO REDENTOR	\N	\N
699	VILA UBATUBA	024498	VILA	SANTO	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
700	VILA SANTO ANTÔNIO	022440	VILA	SANTO	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
701	RUA CAPITÃO NESTOR GOIS	002552	RUA	CAPITÃO	D09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
702	RUA HENRIQUE ELLERY	001568	RUA	\N	D09	N-S	1671/60	16/12/1960	\N	\N	002181	AV. TENENTE LISBOA	001584	AV. SARG. HERMÍNIO SAMPAIO	\N	\N	9588906	548726	9588159	548922	VILA ELERY/MONTE CASTELO	\N	\N
704	RUA DEMÓSTENES CARVALHO	001026	RUA	\N	D09	L-O	1671/60	16/12/1960	\N	\N	002181	AV. TENENTE LISBOA	001584	AV. SARG. HERMÍNIO SAMPAIO	\N	\N	9588926	548802	9588174	549001	CARLITO PAMPLONA/MONTE CASTELO	\N	\N
705	RUA DOUTOR ALMEIDA FILHO	000144	RUA	DOUTOR	D09	N-S	1671/1960	16/12/1960	\N	\N	002181	AV. TENENTE LISBOA	001584	AV. SARG. HERMÍNIO SAMPAIO	VIA FÉRREA PARANGABA-MUCURIPE	\N	9588964	548873	9588189	549079	CARLITO PAMPLONA/MONTE CASTELO	\N	\N
706	TRAVESSA ALMEIDA FILHO	022381	TRAVESSA	\N	D09	L-O	\N	\N	\N	\N	020570	TRAVESSA GONÇALO DE LAGOS	000144	RUA DOUTOR ALMEIDA FILHO	\N	\N	9588523	549056	9588508	548994	MONTE CASTELO	\N	\N
707	RUA RAQUEL HOLANDA	003039	RUA	\N	D09	N-S	1671/60	16/12/1960	\N	\N	002181	AV. TENENTE LISBOA	001584	AV. SARG. HERMÍNIO SAMPAIO	RUA AGOSTINHO	\N	9588955	548959	9588203	549157	CARLITO PAMPLONA/MONTE CASTELO	\N	\N
709	RUA ARISTÓTELES BEZERRA	000382	RUA	\N	D09/ D10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
710	TRAVESSA ARISTÓTELES BEZERRA	022479	TRAVESSA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
711	RUA AGOSTINHO MOTA	020465	RUA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
712	TRAVESSA AGOSTINHO MOTA	021706	TRAVESSA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
713	RUA CATARINA LABOURÉ	000777	RUA	\N	D09/D10	N-S	1671/60	16/12/1960	\N	\N	002181	AV. TENENTE LISBOA	001584	AV. SARG. HERMÍNIO SAMPAIO	\N	\N	9589003	549064	9588217	549228	CARLITO PAMPLONA/MONTE CASTELO	\N	\N
714	RUA ÁLVARO DE ALENCAR	000173	RUA	\N	D09/ B10	N-S	1671/1960	16/12/1960	\N	\N	\N	ORLA MARÍTIMA  (PRAIA DO PIRAMBU)	002181	AV. TENENTE LISBOA	\N	\N	9590278	549358	9589003	549064	PIRAMBU/CARLITO PAMPLONA	\N	\N
716	TRAVESSA BERNARDO PORTO	020569	TRAVESSA	\N	D09/D10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTE CASTELO	\N	\N
717	VILA BETEL	004077	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
718	RUA CRISTAL	000961	RUA	\N	D09/D10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
719	RUA ESMERALDA	001188	RUA	\N	D09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
720	VILA CAMINHA	022668	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
721	VILA FEIJÓ	023061	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
722	RUA NATURALISTA FEIJÓ	001255	RUA	NATURALISTA	D09/D10	L-O	1671/60	16/12/1960	\N	\N	001888	RUA JOAQUIM LINO	000777	RUA CATARINA LABOURÉ	\N	\N	9588465	550125	9588732	549095	JACARECANGA/MONTE CASTELO/CARLITO PAMPLONA	\N	\N
723	RUA BARÃO DO CRATO	000950	RUA	BARÃO	D09	L-O	1671/60	16/12/1960	\N	\N	000777	RUA CATARINA LABOURÉ	002638	AV. OLAVO BILAC	\N	\N	9588732	549095	9588515	548190	VILA ELERY/MONTE CASTELO	\N	\N
724	TRAVESSA M. JOSÉ GOMES	023707	TRAVESSA	\N	D09	L-O	\N	\N	\N	\N	\N	CENTRO DE SAÚDE DR. PAULO MELO MACHADO	000777	RUA CATARINA LABOURÉ	\N	\N	9588685	549152	9588674	549111	MONTE CASTELO	\N	\N
725	RUA DR. ATUALPA	000424	RUA	DOUTOR	D09/D10	L-O	1671/60	16/12/1960	\N	\N	001933	RUA JOSÉ ALEXANDRE	002638	AV. OLAVO BILAC	RUA CATARINA LABOURÉ	\N	9588676	549277	9588395	548233	VILA ELERY/MONTE CASTELO	\N	O trecho que vai da Rua José Alexandre até a Rua Catarina Labouré não é oficial.
726	VILA FELIZARDO	023073	VILA	\N	D09	L-O	\N	\N	\N	\N	001026	RUA DEMÓSTENES CARVALHO	\N	EDIFICAÇÃO	\N	\N	9588645	548875	9588635	548837	MONTE CASTELO	\N	\N
728	VILA RAIMUNDO MENDES	006533	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
729	RUA PROFESSOR JOAQUIM ANTÔNIO	001861	RUA	PROFESSOR	D09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
730	RUA SAFIRA	003186	RUA	\N	D09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
731	RUA POMPEU CAVALCANTE	002913	RUA	\N	D09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
733	RUA CHASTINET GUIMARÃES	000820	RUA	\N	D09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
734	VILA FELIPE	023065	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES KENEDY	\N	\N
735	RUA OLAVO BILAC	002638	RUA	\N	D09/E09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES KENEDY/VILA ELLERY/ALAGADIÇO	\N	\N
737	VILA TEIXEIRA	024448	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
738	VILA CHAVES	000821	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
739	PRAÇA DO CHAFARIZ	022737	PRAÇA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
740	VILA TUPINAMBÁ	020412	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
741	VILA MANOEL SIMÃO	003770	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
742	TRAVESSA CONTINENTAL	001027	TRAVESSA	\N	D09	L-O	\N	\N	\N	\N	000144	RUA DR. ALMEIDA FILHO	001026	RUA DEMÓSTENES CARVALHO	\N	\N	9588549	548983	9588530	548907	MONTE CASTELO	\N	\N
744	RUA GONÇALO DE LAGOS	001467	RUA	\N	D09/D10	L-O	1671/60	16/12/1960	\N	\N	003039	RUA RAQUEL HOLANDA	002638	AV. OLAVO BILAC	\N	\N	9588493	549080	9588276	548276	VILA ELERY/MONTE CASTELO	\N	\N
745	TRAVESSA GONÇALO DE LAGO	020570	TRAVESSA	\N	D09/D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTE CASTELO	\N	\N
747	VILA DO VALE	004933	VILA	\N	D09	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	003039	RUA RAQUEL HOLANDA	\N	\N	9588578	549097	9588568	549060	MONTE CASTELO	\N	\N
748	VILA WILMA	024605	VILA	\N	D09	L-O	\N	\N	\N	\N	003039	RUA RAQUEL HOLANDA	000144	RUA DR. ALMEIDA FILHO	\N	\N	9588580	549057	9588565	548979	MONTE CASTELO	\N	\N
749	RUA RAIMUNDO CORREIA	003011	RUA	\N	D09	L-O	1671/60	16/12/1960	\N	\N	003039	RUA RAQUEL HOLANDA	002638	AV. OLAVO BILAC	\N	\N	9588374	549112	9588176	548312	MONTE CASTELO/VILA ELERY	\N	\N
752	VILA REGINA	003051	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
753	VILA AURENICE	022500	VILA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
754	RUA MARGARIDA MARIA	002329	RUA	\N	D09/E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES.KENEDY	\N	\N
755	RUA DR. MELO VIANA	023848	RUA	DOUTOR	D09/E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
757	RUA CARAMURÚ	000699	RUA	\N	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
758	RUA CEL. MOZART GONDIM	002510	RUA	CORONEL	D09/E09	N-S	3573/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
759	RUA ERETIDES MARTINS	001178	RUA	\N	D09/E09	N-S	2960/65	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
760	SD	040099	RUA	\N	D09/D10	L-O/N-S	\N	\N	\N	\N	\N	SD (040098)/AV. FRANCISCO SÁ	\N	\N	RUA CARIRIAÇÚ	\N	\N	\N	\N	\N	SÃO GERARDO/CARLITO PAMPLONA	\N	\N
762	SD	040097	RUA	\N	D09	L-O/N-S	\N	\N	\N	\N	\N	TRAV. URÂNIO/AV. SARGENTO HERÍNIO	\N	\N	RUA POMPEU CAVALCANTE/TRAV. URÂNIO	\N	\N	\N	\N	\N	VILA ELLERY/SÃO GERARDO	\N	\N
765	SD	040095	RUA	\N	D09	L-O	\N	\N	\N	\N	\N	RUA SAFIRA	\N	\N	RUA PROF. JOAQUIM ANTÔNIO/RUA POMPEU CAVALCANTE	\N	\N	\N	\N	\N	VILA ELLERY	\N	\N
767	SD	040093	RUA	\N	D09	L-O	\N	\N	\N	\N	\N	RUA SAFIRA	\N	\N	RUA PROF. JOAQUIM ANTÔNIO	\N	\N	\N	\N	\N	VILA ELLERY	\N	\N
768	RUA TEÓFILO GURGEL	003375	RUA	\N	D10/D11	N-S	1671/60	16/12/1960	\N	\N	001584	AV. SARG. HERMÍNIO SAMPAIO	000549	AV. BEZERRA DE MENESES	\N	\N	9588334	550433	9587539	550438	ALAGADIÇO/MONTE CASTELO	\N	\N
769	VILA PORTELA	002912	VILA	\N	D10	L-O	\N	\N	\N	\N	003375	RUA TEÓFILO GURGEL	\N	EDIFICAÇÃO	\N	\N	9588085	550400	9588092	550344	MONTE CASTELO	\N	\N
770	RUA JÚLIO PINTO	002067	RUA	\N	D10/D11	L-O	1671/60	16/12/1960	\N	\N	001623	AV. PADRE IBIAPINA	001847	RUA JOÃO TOMÉ	\N	\N	9588193	551051	9588148	550324	JACARECANGA/MONTE CASTELO	LINO DA ENCARNAÇÃO, PROF	INSCRIÇÃO  251, 2 ZONA
771	RUA PROF. ARAÚJO	000365	RUA	PROFESSOR	D10	L-O	\N	\N	\N	\N	003375	RUA TEÓFILO GURGEL	001847	RUA JOÃO TOMÉ	\N	\N	9588183	550413	9588193	550330	MONTE CASTELO	\N	\N
772	RUA ANÍBAL MASCARENHAS	000259	RUA	\N	D10	L-O	1671/1960	16/12/1960	\N	\N	003375	RUA TEÓFILO GURGEL	000521	AV BENJAMIM BARROSO	\N	\N	9588230	550419	9588278	550040	MONTE CASTELO	\N	\N
773	RUA PACOTI	002718	RUA	\N	D10/D11	L-O	1671/60	16/12/1960	\N	\N	003375	RUA TEÓFILO GURGEL	001847	RUA JOÃO TOMÉ	\N	\N	9588276	550425	9588287	550343	MONTE CASTELO	PERDIGÃO, PROF	INSCRIÇÃO 251 - 2 ZONA
774	RUA JOÃO TOMÉ	001847	RUA	\N	D10/E10	N-S	1671/60	16/12/1960	\N	\N	001584	AV. SARG. HERMÍNIO SAMPAIO	000755	RUA CASIMIRO MONTENEGRO	\N	\N	9588340	550350	9587651	550257	MONTE CASTELO/FARIAS BRITO	RODRIGO OTÁVIO	\N
775	VILA MARIA JOSÉ	002366	VILA	\N	D10	L-O	\N	\N	\N	\N	003375	RUA TEÓFILO GURGEL	\N	EDIFICAÇÃO (CSU MARTA CAMBRAIA)	\N	\N	9588025	550392	9588031	550335	MONTE CASTELO	\N	\N
776	VILA BANGÚ	000466	VILA	\N	D10	L-O	\N	\N	\N	\N	003375	RUA TEÓFILO GURGEL	\N	EDIFICAÇÃO (CSU MARTA CAMBRAIA)	\N	\N	9588042	550394	9588050	550338	MONTE CASTELO	\N	\N
777	AV. SGTO HERMÍNIO	001584	AVENIDA	SARGENTO	D10/E07	L-O	1671/60	16/12/1960	\N	\N	001291	RUA FILOMENO GOMES	\N	PRAÇA FAUSTO BARRETO	AV. CORONEL CARVALHO	\N	\N	\N	\N	\N	JACAREC/M.CAST/ALAGAD/VILA ELLER/PRES KENN/PE ANCH/ANT BEZ	HERMINIO AURÉLIO SAMPAIO, SARGENTO	\N
778	RUA PE. FROTA	001379	RUA	PADRE	D10/E10	N-S	1671/60	16/12/1960	\N	\N	001584	AV. SARG. HERMÍNIO SAMPAIO	000549	AV. BEZERRA DE MENEZES	\N	\N	9588347	550232	9587470	550110	MONTE CASTELO/FARIAS BRITO/ALAGADIÇO	\N	\N
779	RUA CONRADO CABRAL	000908	RUA	\N	D10/E10	N-S	1671/60	16/12/1960	\N	\N	001584	AV. SARG. HERMÍNIO SAMPAIO	000549	AV. BEZERRA DE MENEZES	\N	\N	9588348	550136	9587452	550021	MONTE CASTELO/ALAGADIÇO	\N	\N
780	RUA JOSÉ CÂNDIDO	001951	RUA	\N	D10/E10	N-S	1671/60	16/12/1960	\N	\N	001584	AV. SARG. HERMÍNIO SAMPAIO	000549	AV. BEZERRA DE MENEZES	\N	\N	9587414	549840	9588337	549959	MONTE CASTELO/ALAGADIÇO	\N	\N
781	RUA MOZART PINTO	002513	RUA	\N	D10/E10	N-S	1671/60	16/12/1960	\N	\N	001584	AV. SARG. HERMÍNIO SAMPAIO	001998	RUA JOSÉ MARROCOS	\N	\N	9588321	549812	9587647	549726	MONTE CASTELO/ALAGADIÇO	\N	\N
782	RUA PADRE ANCHIETA	000243	RUA	PADRE	D10/ E10	N-S	1671/1960	16/12/1960	\N	\N	001360	AV. FRANCISCO SÁ	000549	AV. BEZERRA DE MENEZES	\N	\N	9588851	550059	9587396	549751	JACARECANGA/CARLITO/MONTE CASTELO/ALAGAD.	\N	\N
783	AV. BENJAMIM BARROSO	000521	AVENIDA	\N	D10/E10	N-S	1671/60	16/12/1960	\N	\N	001584	AV. SARG. HERMÍNIO SAMPAIO	000549	AV. BEZERRA DE MENEZES	\N	\N	9588344	550048	9587433	549931	MONTE CASTELO/ALAGADIÇO	\N	\N
784	RUA HENRIQUE AUTRAN	001564	RUA	\N	D10/E10	L-O	1671/60	16/12/1960	\N	\N	001945	AV.JOSÉ BASTOS	002513	RUA MOZART PINTO	RUA TEÓFILO GURGEL	EDIFICAÇÃO	9587984	550442	9588081	549674	MONTE CASTELO/ALAGADIÇO	\N	Os trechos que vão da Av. José Bastos até a Rua Teófilo Gurgel e da Rua Mozart Pinto até aEdificação não são oficial.
785	RUA DEMÓCRITO ROCHA	001023	RUA	\N	D10	L-O	1671/60	16/12/1960	\N	\N	001847	RUA JOÃO TOMÉ	002513	RUA MOZART PINTO	\N	\N	9588121	550320	9588187	549796	MONTE CASTELO	\N	\N
786	RUA LAVRAS DA MANGABEIRA	002121	RUA	\N	D10/E10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTE CASTELO/ALAGADICO	\N	\N
788	RUA CEL. ANTÔNIO  CRISTIANO	000297	RUA	CORONEL	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
789	RUA ARISTIDES B. NETO	000036	RUA	\N	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
790	RUA ODETE PACHECO	001591	RUA	\N	D10/E10	N-S	5104/1978	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
791	RUA DEP. MANOEL MATOSO FILHO	004501	RUA	DEPUTADO	D10/E10	N-S	3762/70	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
792	RUA CRISPIM ALMEIDA	004502	RUA	\N	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
793	RUA FREI BENÍCIO CRISTIANO	000520	RUA	FREI	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
794	RUA HUMBERTO ELOI DA COSTA	023295	RUA	\N	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
795	RUA PROF. PEDRO BORGES	024132	RUA	PROFESSOR	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
797	RUA ÁLVARO C. MENDES	000185	RUA	\N	D10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTE CASTELO	\N	\N
800	RUA PEDRO RUBI	024146	RUA	\N	D10	L-O	\N	\N	\N	\N	002900	PLÁCIDO DE CARVALHO	000777	RUA CATARINA LABOURÉ	\N	\N	9588436	549359	9588397	549205	MONTE CASTELO	\N	\N
801	RUA JOSÉ ALEXANDRE	001933	RUA	\N	D10	N-S	1101/56	\N	\N	\N	024507	TRAVESSA V. DE SOUZA	001584	AV. SARG. HERMÍNIO SAMPAIO	RUA NATURALISTA FEIJÓ	\N	9588782	549290	9588239	549352	MONTE CASTELO/ALAGADIÇO	\N	O trecho que vai da Travessa V. de Souza até a rua Naturalista Feijó não é oficial. O trecho que vai da Rua Osvaldo Figueiredo até a Av. Sarg. Hermínio Sampaio é chamada de Travessa Susana.
802	TRAV. SANTA   LÚCIA	002205	TRAVESSA	SANTA	D10	L-O	\N	\N	\N	\N	003568	RUA VIANA DE CARVALHO	006982	TRAVESSA SUSANA	\N	\N	9588312	549482	9588338	549369	MONTE CASTELO	\N	\N
803	TRAV. SUZANO	006982	TRAVESSA	\N	D10	N-S	\N	\N	\N	\N	002694	RUA OSVALDO FIGUEIREDO	001584	AV. SARG. HERMÍNIO SAMPAIO	\N	\N	9588392	549354	9588245	549381	MONTE CASTELO	\N	Na Lei, esse trecho pertence à rua José Alexandre, porém a trav. Susana está cadastrada na Sefin.
804	RUA OSVALDO FIGUEIREDO	002694	RUA	\N	D10	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO (RUA FERNANDO WEYNE)	003568	RUA VIANA DE CARVALHO	\N	PLÁCIDO DE CARVALHO	9588347	549566	9588392	549354	MONTE CASTELO	\N	\N
805	RUA AMARO CAVALCANTE	000204	RUA	\N	D10	L-O	1671/1960	16/12/1960	\N	\N	002367	RUA MÁRIO STUDART	002900	RUA PLÁCIDO DE CARVALHO	\N	\N	9588373	549787	9588454	549362	MONTE CASTELO	\N	\N
806	TRAV. VIANA DE CARVALHO	003569	TRAVESSA	\N	D10	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	003568	RUA VIANA DE CARVALHO	\N	\N	9588381	549577	9588402	549491	MONTE CASTELO	\N	\N
807	RUA FERNANDO WEYNE	001274	RUA	\N	D10	N-S	1671/60	16/12/1960	\N	\N	001255	RUA NATURALISTA FEIJÓ	001584	AV. SARG. HERMÍNIO SAMPAIO	\N	EDIFICAÇÃO	9588603	549666	9588306	549618	MONTE CASTELO	\N	O trecho que vai da Rua Amaro Cavalcante até a Av. Sargento Hermínio Sampaio está obstruído.
1010	RUA ADOLFO CAMPELO	000039	RUA	\N	D11	L-O	1671/1960	16/12/1960	\N	\N	\N	RIACHO JACARECANGA	001283	LINHA DE FERRO	\N	AV. JOSÉ BASTOS	9588704	550730	9588820	550372	JACARECANGA	\N	\N
808	RUA VIANA DE CARVALHO	003568	RUA	\N	D10	N-S	1671/60	16/12/1960	\N	\N	001255	RUA NATURALISTA FEIJÓ	000204	RUA AMARO CAVALCANTE	\N	AV. SARG. HERMÍNIO SAMPAIO	9588638	549512	9588263	549486	MONTE CASTELO	\N	O trecho que vai da Rua Amaro Cavalcante até a Av. Sargento Hermínio não é oficial.
814	VILA ODETE	024005	VILA	\N	D10	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	000204	RUA AMARO CAVALCANTE	\N	\N	9588499	549467	9588429	549460	MONTE CASTELO	\N	\N
815	VILA DA LUZ	002249	VILA	\N	D10	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	002900	PLÁCIDO DE CARVALHO	\N	\N	9588603	549432	9588611	549377	MONTE CASTELO	\N	\N
816	VILA MARGARIDA	023778	VILA	\N	D10	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	002900	PLÁCIDO DE CARVALHO	\N	\N	9588495	549406	9588502	549367	MONTE CASTELO	\N	\N
817	VILA RUTH	024317	VILA	\N	D10	N-S	\N	\N	\N	\N	003175	RUA SABINO BATISTA	\N	EDIFICAÇÃO	\N	\N	9588547	549428	9588497	549423	MONTE CASTELO	\N	\N
818	RUA JOSÉ OSVALDO FIGUEIREDO	002007	RUA	\N	D10	O-L/L-O	\N	\N	2889/1967	\N	001274	RUA FERNANDO WEYNE	003568	RUA VIANA DE CARVALHO	\N	\N	9588443	549630	9588472	549497	MONTE CASTELO	\N	\N
819	RUA COMEND. LINS RIBEIRO	023641	RUA	COMENDADOR	D10	L-O	\N	\N	\N	\N	008782	AV. JOSÉ BASTOS	000705	RUA CARIRIAÇU	\N	\N	9588573	550389	9588835	549629	JACARECANGA	\N	\N
821	RUA DR. PEDRO HERBSTER  MENESCAL	007790	RUA	DOUTOR	D10	L-O	4606/75	\N	\N	\N	008781	AV. JOSÉ BASTOS	003490	TRAV. ISAURA	\N	\N	9588500	550402	9588505	550292	JACARECANGA	HARMONIA	\N
822	TRAV. ISAURA	003490	TRAVESSA	\N	D10	N-S	6502/89	\N	\N	\N	007790	RUA DR. PEDRO H. MENESCAL	001584	AV. SARGENTO HERMÍNIO SAMPAIO	\N	\N	9588505	550292	9588346	550251	JACARECANGA	\N	\N
824	RUA FLÁVIO LIMA	001298	RUA	\N	D10/D11	N-S	3420/67	\N	\N	\N	007790	RUA DR. PEDRO H. MENESCAL	001584	AV. SARGENTO HERMÍNIO SAMPAIO	RUA NATURALISTA FEIJÓ	\N	9588500	550384	9588338	550400	JACARECANGA	\N	\N
825	RUA JOSÉ PONTES MEDEIROS	023555	RUA	\N	D10	L-O	\N	\N	\N	\N	003404	RUA TOBIAS	000243	RUA PADRE ANCHIETA	\N	\N	9588452	550048	9588433	549922	MONTE CASTELO	\N	Rua em "L"
826	RUA TOBIAS	003404	RUA	\N	D10	L-O	1671/60	16/12/1960	\N	\N	001888	RUA JOAQUIM LINO	000243	RUA PADRE ANCHIETA	\N	\N	9588437	550120	9588478	549937	MONTE CASTELO	\N	\N
827	RUA S. DO  BONFIM	000509	VILA	SENHOR	D10	N-S	\N	\N	\N	\N	003404	RUA TOBIAS	\N	EDIFICAÇÃO (FECHADA)	\N	\N	9588447	550073	9588384	550056	MONTE CASTELO	\N	Não há Lei
829	RUA MÁRIO STUDART	002367	RUA	\N	D10	N-S	1671/60	16/12/1960	\N	\N	001255	RUA NATURALISTA FEIJÓ	001584	AV. SARG. HERMÍNIO SAMPAIO	\N	\N	9588567	549819	9588315	549777	MONTE CASTELO	\N	\N
830	RUA SABINO BATISTA	003175	RUA	\N	D10	L-O	1671/60	16/12/1960	\N	\N	002367	RUA MÁRIO STUDART	002900	PLÁCIDO DE CARVALHO	\N	RUA JOSÉ ALEXANDRE	9588459	549801	9588576	549302	MONTE CASTELO	\N	O trecho que vai da Rua Plácido de Carvalho até a rua José Alexandre não é oficial.
831	RUA GÉRSON FARIAS	001428	RUA	\N	D10	N-S	1671/60	16/12/1960	\N	\N	001255	RUA NATURALISTA FEIJÓ	001584	AV. SARG. HERMÍNIO SAMPAIO	\N	\N	9588586	549736	9588299	549683	MONTE CASTELO	\N	\N
832	VILA PARAÍBA	024063	VILA	\N	D10	N-S	\N	\N	\N	\N	001255	RUA NATURALISTA FEIJÓ	\N	EDIFICAÇÃO	\N	\N	9588649	549462	9588602	549457	MONTE CASTELO	\N	\N
833	RUA IRMÃ SHEILA	003776	RUA	IRMÃ	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
836	TRAV. V. DE SOUZA	024507	TRAVESSA	\N	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
840	VILA  VIANA CARVALHO	024547	VILA	\N	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
841	VILA MESTRE CARLOS	022695	VILA	MESTRE	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
842	VILA CADETE	022653	VILA	\N	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
843	VILA JOSÉ TEIXEIRA	002025	VILA	\N	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
844	TRAV. S. BERNARDO	022587	TRAVESSA	SÃO	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
846	RUA AMETISTA	000222	RUA	\N	D10	L-O	1671/1960	16/12/1960	\N	\N	001888	RUA JOAQUIM LINO	000243	RUA PADRE ANCHIETA	\N	\N	9588566	550114	9588608	549979	JACARECANGA	\N	\N
848	RUA CARIRIAÇU	008859	RUA	\N	D10/D11	L-O	1971/60	\N	\N	\N	000285	RUA ANTÔNIO BANDEIRAS	001888	RUA JOAQUIM LINO	\N	RUA COMENDADOR LINS RIBEIRO	9588535	550645	9588835	549629	JACARECANGA/CARLITO PAMPLONA	\N	\N
850	PRACA CARLOS JEREISSATI	022702	PRAÇA	\N	D10	\N	\N	\N	\N	\N	\N	AV. JOSÉ BASTOS/ RUA COM. LINS RIBEIRO	\N	\N	\N	\N	9588560	550319	\N	\N	JACARECANGA	\N	\N
852	RUA JOAQUIM LINO	001888	RUA	\N	D10	N-S	1671/60	16/12/1960	\N	\N	002181	TENENTE LISBOA	001584	AV. SARGENTO HERMÍNIO SAMPAIO	AV. FRANCISCO SÁ	\N	9588851	550059	9588347	550099	JACARECANGA/MONTE CASTELO	\N	a lei 495/77 alterou a lei 1671/60
854	SD	040067	RUA	\N	D10	N-S	\N	\N	\N	\N	003452	AV. TENENTE LISBOA	\N	MURO	\N	\N	\N	\N	\N	\N	JACARECANGA	\N	\N
855	VILA MARTA	002435	VILA	\N	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
856	VILA ASSIS	003870	VILA	\N	D10	N-S	\N	\N	\N	\N	002181	AV. TENENTE LISBOA	000074	AV MONS. DANTAS	\N	\N	9589080	550117	9588955	550110	JACARECANGA	\N	\N
858	RUA MONS DANTAS	001010	RUA	MONSENHOR	D10	L-O	1671/60	16/12/1960	\N	\N	000051	RUA ADRIANO MARTINS	\N	VIA FÉRREA	RUA JACINTO MATOS	PEDRO CLEMENTE FERNANDES	9588787	550655	9588962	550012	JACARECANGA	\N	LEI 6007/85  MUDOU  O INÍCIO CONSTANTE DA  1671/60 ( DA VIA FERREA ATÉ
3427	VILA DO CARMO	022704	VILA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
863	RUA JOÃO SALGADO	001843	RUA	\N	D10	N-S	\N	\N	\N	\N	001360	AV. FRANCISCO SÁ	002235	RUA COMENDADOR LUIS RIBEIRO	\N	\N	9588797	550225	9588633	550157	JACARECANGA	\N	\N
864	RUA CARLITO PAMPLONA	000709	RUA	\N	D10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
867	VILA M. CASTELO	023704	VILA	\N	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SÃO GERARDO	\N	\N
1000	RUA MESSIAS FILOMENO	001290	RUA	\N	D11	L-O	1671/60	16/12/1960	\N	\N	000051	RUA ADRIANO MARTINS	001283	VIA FÉRREA	\N	\N	9588973	550656	9588938	550417	JACARECANGA	CORONEL FILOMENO	\N
1001	RUA LEDDA	002132	RUA	\N	D11	N-S	\N	\N	\N	\N	002348	RUA MARIA LUIZA	002343	RUA MARIA ISABEL	\N	\N	9589000	550602	9588902	550616	JACARECANGA	\N	\N
1002	RUA MARIA ISABEL	002343	RUA	\N	D11	L-O	\N	\N	\N	\N	000051	RUA ADRIANO MARTINS	002375	RUA DONA MAROQUINHA	\N	\N	9588906	550665	9588882	550484	JACARECANGA	\N	\N
1003	RUA DONABELA	000500	RUA	\N	D11	L-O	\N	\N	\N	\N	001283	VIA FÉRREA	000051	RUA ADRIANO MARTINS	AV. JOSÉ BASTOS	\N	9588936	550661	9588899	550395	JACARECANGA	\N	\N
1004	RUA  MAROQUINHA	002375	RUA	\N	D11	N-S	1671/60	16/12/1960	\N	\N	002348	RUA MARIA LUIZA	001360	AV. FRANCISCO SÁ	\N	\N	9588984	550486	9588730	550432	JACARECANGA	\N	\N
1005	RUA HÉLIO CARACAS	001558	RUA	\N	D11	L-O	1671/1960	16/12/1960	\N	\N	000051	RUA ADRIANO MARTINS	001337	RUA SÃO FRANCISCO DE ASSIS	\N	AV MONS. DANTAS	9588859	550674	9588848	550547	JACARECANGA	MARIA ISABEL	\N
1006	RUA FRANCISCO DE ASSIS	001337	RUA	SÃO	D11	N-S	\N	\N	\N	\N	002348	RUA MARIA LUISA	000074	AV MONS. DANTAS	\N	\N	9588989	550528	9588826	550549	JACARECANGA	\N	\N
1012	TRAV. 10 DE NOVEMBRO	022051	TRAVESSA	\N	D11	N-S	\N	\N	\N	\N	002772	RUA SÃO PAULO	000039	RUA ADOLFO CAMPELO	\N	\N	9588769	550709	9588718	550688	JACARECANGA	\N	\N
1013	RUA SÃO PAULO	002772	RUA	SÃO	D10/D11/D12	L-O	1671/1960	16/12/1960	\N	\N	003247	RUA SENA MADUREIRA	001291	RUA FILOMENO GOMES	\N	VIA  FÉRREA	9588121	552684	9588787	550655	CENTRO/JACARECANGA	Dantas, Mons (trecho entre a Av. Filomeno Gomes até a Via Ferrea)	lei 6007 de 29/10/1985 prolongou até a Via Férrea
1015	RUA ADRIANÍSIA	000048	RUA	\N	D11	N-S	1671/1960	16/12/1960	\N	\N	001360	AV. FRANCISCO SÁ	000705	RUA CARIRIAÇU	\N	\N	9588725	550449	9588600	550454	JACARECANGA	\N	\N
1016	RUA JOSÉ PINTO DO CARMO	002016	RUA	\N	D11	N-S	3522/68	08/05/68	3917/1968	\N	001360	AV. FRANCISCO SÁ	000742	RUA CARNEIRO DA CUNHA	\N	\N	9588703	550517	9588337	550525	JACARECANGA	CARIRIASSÚ	\N
1020	VILA VALDIR	003546	VILA	\N	D11	L-O	\N	\N	\N	\N	001945	AV. JOSÉ BASTOS	003375	RUA TEÓFILO GURGEL	\N	\N	9588085	550453	9588096	550402	MONTE CASTELO	\N	\N
1023	RUA CASCAVEL	000753	RUA	\N	D11	L-O	1671/60	16/12/1960	\N	\N	001172	RUA EPIFÂNIO LEITE	008781	AV. JOSÉ BASTOS	\N	\N	9588252	550626	9588262	550474	JACARECANGA	SANTO ANDRÉ	\N
1024	TRAV.FCO. ALVES	023130	TRAVESSA	\N	D11	L-O/N-S	\N	\N	\N	\N	001917	RUA JORGE DE SOUSA	\N	MURO	\N	\N	9588323	550571	9588286	550602	JACARECANGA	\N	\N
1025	TRAV.J. MONTEIRO	001904	TRAVESSA	\N	D11	N-S	\N	\N	\N	\N	000742	RUA CARNEIRO DA CUNHA	002067	RUA JÚLIO PINTO	\N	\N	9588334	550509	9588150	550530	JACARECANGA	\N	\N
1026	RUA.INÁCIO PARENTE	001645	RUA	\N	D11	N-S	\N	\N	\N	\N	000742	RUA CARNEIRO DA CUNHA	000753	RUA CASCAVEL	\N	\N	9588339	550535	9588266	550533	JACARECANGA	\N	\N
1027	RUA JORGE DE SOUSA	001917	RUA	\N	D11	N-S	1671/60	16/12/1960	\N	\N	000742	RUA CARNEIRO DA CUNHA	\N	MURO	RUA CASCAVEL	MURO	9588347	550574	9588189	550564	JACARECANGA	\N	\N
1028	RUA EPIFÂNIO LEITE	001172	RUA	\N	D11/E11	N-S	1671/1960	16/12/1960	\N	\N	000742	RUA CEL. CARNEIRO DA CUNHA	000789	AV. DUQUE DE CAXIAS	\N	RUA SALUSTIANO JOSÉ DE MELO	9588364	550663	9587833	550684	JACARECANGA/FARIAS BRITO	\N	\N
1029	RUA CARNEIRO DA CUNHA	000742	RUA	\N	D11	L-O	1671/60	16/12/1960	\N	\N	002706	RUA OTO DE ALENCAR	008781	AV. JOSÉ BASTOS	\N	\N	9588307	551035	9588331	550462	JACARECANGA	\N	\N
1031	AVENIDA DUQUE DE CAXIAS	000789	AVENIDA	DUQUE	D11/E13	L-O	1671/1960	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	\N	VIA FÉRREA FORTALEZA-BATURITÉ	\N	AV. JOSÉ BASTOS	9587358	552827	9588116	550488	JACARECANGA/CENTRO	DO LIVRAMENTO, BOULEVARD;  TRAVESSA Nº 1	\N
1032	TRAV. SENA	003246	TRAVESSA	\N	D11	N-S	\N	\N	\N	\N	002067	RUA JÚLIO PINTO	\N	MURO	\N	\N	9588166	550684	9588080	550696	JACARECANGA	\N	\N
1033	VILA ALICE DINIZ	020704	VILA	\N	D11	N-S	\N	\N	\N	\N	\N	MURO	002067	RUA JULIO PINTO	\N	\N	9588261	550691	9588171	550686	JACARECANGA	\N	\N
1034	RUA LIVREIRO ARLINDO	002111	RUA	LIVREIRO	D11/E11	N-S	6807/1991	08/03/1991	9437/94	\N	000789	AV. DUQUE DE CAXIAS	000019	RUA BOA VIAGEM	\N	\N	9588041	550711	9587674	550721	FARIAS BRITO	LARGA, RUA  POPULARMENTE	\N
1035	TRAV. LARGA	020408	TRAVESSA	\N	D11/E11	N-S	\N	\N	\N	\N	000789	AV. DUQUE DE CAXIAS	020409	RUA LIVREIRO ARLINDO	\N	\N	9588022	550768	9587922	550713	FARIAS BRITO	\N	\N
1036	VILA NAUTILUS	020709	VILA	\N	D11	N-S	\N	\N	\N	\N	000789	AV. DUQUE DE CAXIAS	\N	MURO	\N	\N	9588004	550820	9588087	550844	JACARECANGA	\N	\N
1037	TRAV. NOVA	020713	TRAVESSA	\N	D11	L-O	\N	\N	\N	\N	020715	TRAV. NAUTILUS	020709	VILA NAUTILUS	\N	\N	9588064	550881	9588076	550841	JACARECANGA	\N	\N
1038	RUA NAUTILUS	020714	RUA	\N	D11	N-S	\N	\N	\N	\N	020713	TRAV. NOVA	\N	SD	\N	MURO	9588067	550872	9588031	550860	JACARECANGA	\N	\N
1039	SD	040105	RUA	\N	D11/D13	L-O	\N	\N	\N	\N	\N	RUA TEREZA CRISTINA/BECO DO ESTALEIRO	\N	\N	MURO	\N	\N	\N	\N	\N	CENTRO	\N	\N
1040	TRAV.NAUTILUS	020715	TRAVESSA	\N	D11	N-S	\N	\N	\N	\N	020713	TRAV. NOVA	\N	SD	\N	\N	9588064	550881	9588031	550873	JACARECANGA	\N	\N
1041	RUA OSCAR PEDREIRA	002995	RUA	\N	D11	N-S	5107/78	\N	\N	\N	001360	AV. FRANCISCO SÁ	\N	MURO	\N	\N	9588614	550788	9588510	550754	JACARECANGA	QUIXERAMOBIM	\N
1043	RUA PADRE IBIAPINA	001623	RUA	PADRE	D11/E11	N-S	1671/1960	16/12/1960	\N	\N	000742	RUA CARNEIRO DA CUNHA	000549	AV. BEZERRA DE MENESES	\N	\N	9588307	551035	9587687	551126	CENTRO/JACARECANGA/FARIAS BRITO	DE JACARECANGA,BOULEVARD;   AV. CEL. FILOMENO GOMES	\N
1044	RUA TIJUBANA	003396	RUA	\N	D11	L-O	1671/1960	16/12/1960	\N	\N	002502	RUA PADRE MORORÓ	001291	AV. FILOMENO GOMES	\N	\N	9588665	551527	9588845	550962	CENTRO	CAMUCIM TRAVESSA , RUA FRANCISCO LORDA , TRAVESSA	\N
1045	RUA NOVA OLINDA	002601	RUA	\N	D11	N-S	1671/1960	16/12/1960	\N	\N	003396	RUA TIJUBANA	000119	RUA SENADOR ALENCAR	\N	\N	9588812	551068	9588755	551053	CENTRO	\N	\N
1046	RUA OTO DE ALENCAR	002706	RUA	\N	D11	N-S	1671/1960	16/12/1960	\N	\N	003396	RUA TIJUBANA	000742	RUA CEL. CARNEIRO DA CUNHA	\N	\N	9588777	551175	9588307	551035	CENTRO	NATAL,  RUA  E,   RUA DR. FRANCISCO SALGADO	\N
1047	RUA SENADOR ALENCAR	000119	RUA	SENADOR	D11	L-O	1671/1960	16/12/1960	\N	\N	000551	RUA GENERAL BEZERRIL	001291	AV. FILOMENO GOMES	RUA FLORIANO PEIXOTO	\N	9588244	552670	9588244	552670	CENTRO	DAS HORTAS,  TRAV. Nº 13 , TRAVESSA	\N
1049	RUA GUILHERME ROCHA	001535	RUA	\N	D11/D12	L-O	1671/1960	16/12/1960	\N	\N	000993	RUA CONDE D'EU	001291	AV. FILOMENO GOMES	\N	\N	9587993	552684	9588545	 551002	CENTRO	MUNICIPAL TRAV, RUA MUNICIPAL, N. 9, 24 DE JANEIRO, CEL. GUILHERME ROCHA	\N
1050	RUA LIBERATO BARROSO	002154	RUA	\N	D11/E12	L-O	1671/1960	16/12/1960	\N	\N	001306	RUA FLORIANO PEIXOTO	002706	RUA OTO D E ALENCAR	\N	\N	9587894	552498	9588350	551048	CENTRO	 FORMOSA  TRAV, RUA DAS TRINCHEIRAS, COMENDADOR LUÍS RIBEIRO, Nº7, DR. METON DE ALENCAR E CONSELHEIRO LIBERATO BARROSO	\N
1051	RUA PEDRO PEREIRA	008683	RUA	\N	D11/E12	O-L	1671/1960	16/12/1960	\N	\N	001623	RUA PADRE IBIAPINA	003247	RUA SENA MADUREIRA	\N	\N	9588193	551051	9587670	552727	CENTRO	\N	\N
1551	AVENIDA GODOFREDO PIMENTEL	008763	AVENIDA	\N	E06	N-S	3556/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1052	RUA CONSELHEIRO ESTELITA	001202	RUA	CONSELHEIRO	D11	N-S	1671/1960	16/12/1960	\N	\N	003396	RUA TIJUBANA	002820	RUA PEDRO PEREIRA	\N	MURO	9588741	551289	9588189	551119	CENTRO	N. 20,  RUA	\N
1053	RUA PEDRO I	002823	RUA	\N	D11/E12	L-O	1671/1960	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	001623	RUA PADRE IBIAPINA	\N	\N	9587471	552803	9588023	551075	CENTRO	DA ALEGRIA, DOM PEDRO, TIRADENTES E Nº 3, TRAVESSA	\N
1054	VILA SÃO PEDRO	003976	VILA	SÃO	D11	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
1055	VILA MITRE	023883	VILA	\N	D11	L-O	\N	\N	\N	\N	008683	RUA PEDRO PEREIRA (ENTRADA)	\N	MURO (CASA COM FRENTE P/ RUA CONSELHEIRO ESTELITA)	MURO (CASA COM FRENTE P/ RUA AGAPITO DOS SANTOS)	\N	9588116	551163	9588128	551126	CENTRO	\N	\N
1056	VILA ROSINHA	003146	VILA	\N	D11	N-S	\N	\N	\N	\N	\N	MURO	002820	RUA PEDRO PEREIRA	\N	\N	9588252	551188	9588174	551164	CENTRO	\N	\N
1057	VILA CEARÁ	004378	VILA	\N	D11	O-L	\N	\N	\N	\N	002502	RUA PADRE MORORÓ	\N	MURO	\N	\N	9588081	551347	9588062	551402	CENTRO	\N	\N
1058	RUA TERESA CRISTINA	003381	RUA	\N	D12/F11	N-S	1671/1960	16/12/1960	\N	\N	\N	PARQUE FERROVIÁRIO	002089	JUVENAL GALENO	\N	AV. 13 DE MAIO	9588780	551684	9586837	551106	CENTRO/FARIAS BRITO	DO PAIOL, CONSELHEIRO ESTELITA, COMENDADOR JOAQUIM MENDES, Nº14, D. TERESA E SANTA TERESA	\N
1059	RUA PRINCESA ISABEL	001681	RUA	PRINCESA	D12/E11	N-S	1671/1960	16/12/1960	\N	\N	\N	PARQUE FERROVIÁRIO	000700	RUA. CARAPINIMA	\N	RUA JUVENAL GALENO	9588740	551806	9586767	551231	CENTRO/FARIAS BRITO	Nº 12, SANTA ISABEL, DONA ISABEL, SANTA ISABEL	\N
1061	VILA FORTALEZA	008226	VILA	\N	D11	N-S	\N	\N	\N	\N	000119	RUA SENADOR ALENCAR	\N	MURO	\N	\N	9588631	551445	9588585	551430	CENTRO	\N	\N
1062	VILA SANTA ELIZA	003751	VILA	SANTA	D11	O-L	\N	\N	\N	\N	002502	RUA PADRE MORORÓ	\N	MURO	\N	\N	9588452	551461	9588431	551534	CENTRO/PARQUE ARAXÁ	\N	\N
1067	RUA JÚLIO CESAR	002060	RUA	\N	D11	N-S	\N	\N	\N	\N	002348	RUA MARIA LUIZA	001290	RUA MESSIAS FILOMENO	DONABELA	MARIA ISABEL	9589004	550628	9588903	550641	JACARECANGA	DO MERCADO	\N
1068	RUA CASTRO E SILVA	000769	RUA	\N	D11/D12	L-O	1671/1960	16/12/1960	\N	\N	000993	RUA CONDE D'EU/PRAÇA DA SÉ	002502	RUA PADRE MORORÓ	\N	\N	9588339	552775	9588742	551552	CENTRO	DAS FLORES, TRAVESSA DAS FLORES, Nº15, MANUEL BEZERRA	\N
1069	RUA ESTEFÂNIA SALGADO	001200	RUA	\N	D11/D12	L-O	1671/1960	16/12/1960	\N	\N	001681	RUA PRINCESA ISABEL	003381	RUA TEREZA CRISTINA	\N	\N	9588239	551654	9588274	551538	CENTRO	\N	\N
1071	RUA LUIS HORTÊNCIO	002230	RUA	\N	D11	N-S	1671/1960	16/12/1960	\N	\N	002772	RUA SÃO PAULO	001535	RUA GUILHERME ROCHA	\N	\N	9588536	551420	9588422	551386	CENTRO	CEL. LUÍS HORTÊNCIO	\N
1073	BECO 16 DE SETEMBRO	022095	BECO	\N	D11	L-O	\N	\N	\N	\N	008781	AV. JOSÉ BASTOS	\N	MURO	\N	\N	9588690	550398	9588695	550426	JACARECANGA	\N	\N
1075	SD	040103	RUA	\N	D11	L-O/N-S	\N	\N	\N	\N	\N	RUA SANTO INÁCIO	\N	\N	TRAV. NAUTILUS/RUA APRNDIZES DE MARINHEIROS	\N	\N	\N	\N	\N	CENTRO/JACARECANGA	\N	\N
1079	RUA ALFREDO SALGADO	000136	RUA	\N	D12	N-S	1671/1960	16/12/1960	\N	\N	002772	RUA SÃO PAULO	001535	RUA GUILHERME ROCHA	\N	\N	9588454	551673	9588341	551639	CENTRO	IPU,TRAVESSA	\N
1084	AVENIDA DO IMPERADOR	001637	AVENIDA	\N	D12/F11	N-S	1671/1960	16/12/1960	\N	\N	\N	PARQUE FERROVIÁRIO	000700	RUA CARAPINIMA	\N	\N	9588696	551926	9586955	551407	CENTRO/BENFICA	\N	\N
1086	VILA IDEAL	023310	VILA	\N	D12	S-N	\N	\N	\N	\N	000119	RUA SENADOR ALENCAR	\N	MURO	\N	\N	9588523	551786	9588570	551800	CENTRO	\N	\N
1087	RUA 24  DE MAIO	003639	RUA	\N	D12/E12	N-S	1671/1960	16/12/1960	\N	\N	001828	RUA JOÃO MOREIRA	001081	AV. DOMINGOS OLÍMPIO	\N	\N	9588667	552197	9587160	551647	CENTRO/BENFICA	DO PATROCÍNIO, Nº 6	\N
1088	RUA VISCONDE SABOIA	003183	RUA	VISCONDE	D12/D13	O-L	1671/1960	16/12/1960	\N	\N	000993	RUA CONDE D'EU	001276	RUA CEL. FERRAZ	\N	\N	9588121	552681	9588019	552994	CENTRO	DA CACIMBA, DA ASSEMBLÉIA (TRECHO) E RUA SÃO PAULO (TRECHO),TRAVESSA	\N
1143	TRAV. PEDRA LINDA	024116	TRAVESSA	\N	D13	O-L	\N	\N	\N	\N	001496	BECO DAS GRAVIOLA	001472	RUA GONÇALVES LEDO	\N	\N	9588358	553945	9588336	553998	CENTRO	\N	\N
1089	RUA SEN.ALMIR PINTO	000347	RUA	SENADOR	D12/ D13	O-L	7046/1991	30/12/1991	9133/93	\N	000993	RUA CONDE D'EU	001923	RUA SÃO JOSÉ	\N	\N	9588203	552717	9588139	552931	CENTRO	\N	\N
1090	RUA FLORIANO PEIXOTO	001306	RUA	\N	D12/E12	N-S	1671/1960	16/12/1960	\N	\N	\N	COMANDO DA 10ª	003449	AV. 13 DE MAIO	RUA JOÃO MOREIRA	\N	9588562	552720	9585983	551859	CENTRO/J.BONIFÁCIO/FÁTIMA	DAS BELAS,  DA PITOMBEIRA,  DA ALEGRIA , DA BOA VISTA	\N
1091	TRAV. PARÁ	002744	TRAVESSA	\N	D12	L-O	\N	\N	\N	\N	001243	RUA MAJOR FACUNDO	001306	RUA FLORIANO PEIXOTO	\N	\N	9588092	552494	9588069	552555	CENTRO	\N	\N
1092	RUA MAJOR FACUNDO	001243	RUA	MAJOR	D12/G12	N-S	1671/1960	16/12/1960	\N	\N	001828	RUA  JOÃO MOREIRA	000415	RUA DA ASSUNÇÃO	\N	AV. 13 DE MAIO	9588512	552632	9585951	551937	CENTRO/J.BONIFÁCIO/FÁTIMA	NOVA,  D'EL REI,  DA PALMA ,   DO FOGO.	\N
1093	RUA SENA MADUREIRA	003247	RUA	\N	D12/E12	N-S	1671/1960	16/12/1960	\N	\N	002802	RUA PEDRO BORGES	002820	PEDRO PEREIRA	\N	\N	9587946	552690	9587670	552727	CENTRO	\N	\N
1094	RUA CONDE D'EU	000993	RUA	CONDE	D12	N-S	1671/1960	16/12/1960	\N	\N	003161	RUA RUFINO DE ALENCAR	002802	PEDRO BORGES	PRAÇA DA SÉ	\N	9588394	552804	9587946	552690	CENTRO	NOVA DOS MERCADORES, DOS MERCADORES, DE BAIXO, DO RIACHO, DA PONTE E DA MATRIZ	\N
1095	TRAV.CRATO	001095	TRAVESSA	\N	D12	L-O	1671/1960	16/12/1960	\N	\N	000993	RUA CONDE D'EU	001306	RUA FLORIANO PEIXOTO	\N	\N	9588324	552643	9588289	552754	CENTRO	\N	\N
1096	RUA MORADA NOVA	002489	TRAVESSA	\N	D12	L-O	1671/1960	16/12/1960	\N	\N	001306	RUA FLORIANO PEIXOTO	000551	RUA GENERAL BEZERRIL/PRAÇA GAL TIBÚRCIO	\N	\N	9588130	552576	9588114	552621	CENTRO	MORADA NOVA	\N
1097	RUA SOBRAL	003307	RUA	\N	D12/D13	O-L	1671/1960	16/12/1960	\N	\N	000993	RUA CONDE D'EU	001923	RUA SÃO JOSÉ	\N	\N	9588289	552754	9588262	552924	CENTRO	\N	\N
1099	RUA GENERAL BEZERRIL	000551	RUA	GENERAL	D12/E12	N-S	1671/1960	16/12/1960	\N	\N	001828	RUA JOÃO MOREIRA	002820	RUA PEDRO PEREIRA	\N	\N	9588454	552783	9587697	552639	CENTRO	\N	\N
1100	RUA DR. JOÃO MOREIRA	001828	RUA	\N	D12	L-O	1671/1960	16/12/1960	\N	\N	000102	AV. ALBERTO NEPOMUCENO	003639	RUA 24 DE MAIO	\N	\N	9588435	552827	9588667	552197	CENTRO	NOVA DA FORTALEZA, TRAVESSA DO QUARTEL, DA MISERICÓRDIA, GAL. TIBÚRCIO, Nº17 E DR. JOÃO MOREIRA	\N
1103	RUA ADOLFO CAMINHA	000038	RUA	\N	D12	L-O	1671/1960	16/12/1960	\N	\N	000102	AV. ALBERTO NEPOMUCENO	000761	AV.PRES. CASTELO BRANCO	\N	RUA GAL.   SAMPAIO	9588709	552982	9588744	552412	CENTRO/MOURA BRASIL	PRAIA	CONFORME TRANSCRIÇOES 108, 13033 1 ZONA
1104	RUA SENADOR JAGUARIBE	001729	RUA	SENADOR	D12	L-O	1671/1960	16/12/1960	\N	\N	003078	AV. BARÃO DO RIO BRANCO	001811	TRAV. JOÃO FELIPE	\N	RUA PADRE MORORÓ	9588619	552578	9588794	552048	CENTRO/MOURA BRASIL	DO GASÔMETRO	\N
1105	GALERIA PEDRO JORGE	002812	GALERIA	\N	D12	L-O	\N	\N	\N	\N	002911	RUA SENADOR POMPEU	003202	RUA GAL. SAMPAIO	\N	\N	9588181	552299	9588220	552180	CENTRO	\N	\N
1106	GALERIA PROF. BRANDÃO	000605	GALERIA	PROFESSOR	D12	L-O	\N	\N	\N	\N	002911	RUA SENADOR POMPEU	003202	RUA GAL. SAMPAIO	\N	\N	9588094	552273	9588131	552147	CENTRO	\N	\N
1107	GALERIA SÃO LUIZ	021031	GALERIA	SÃO	D12	L-O	\N	\N	\N	\N	\N	PRAÇA DO FERREIRA	003078	RUA BARÃO DO RIO BRANCO	\N	\N	9588005	552468	9588032	552388	CENTRO	\N	\N
1108	RUA BARÃO DO RIO BRANCO	003078	RUA	BARÃO	D12/F12	N-S	1671/1960	16/12/1960	\N	\N	\N	ORLA OCEÂNICA	003449	AV. 13 DE MAIO	AV PRES. CASTELO BRANCO	\N	9588687	552601	9586071	551754	CENTRO/MOURA BRASIL/J.BONIFÁCIO/FÁTIMA	NOVA, FORMOSA, DOM LUÍS	\N
1111	RUA CRISTANO DE ABREU	020746	RUA	\N	D12	L-O	\N	\N	\N	\N	003476	AV. TRISTÃO GONÇALVES	001637	AV. DO IMPERADOR	\N	\N	9588190	551911	9588232	551786	CENTRO	\N	\N
1115	RUA DO ABC	003984	RUA	\N	D12	L-O	\N	\N	\N	\N	\N	RUA SD	003975	APRENDIZES DE MARINHEIRO	\N	ADARIAS DE LIMA	9588875	551743	9588871	551665	MOURA BRASIL	\N	\N
1116	RUA DA SAUDADE	003227	RUA	\N	D12	O-L	\N	\N	\N	\N	003975	RUA APRENDIZES DE MARINHEIRO	003452	TRAV. DO TRILHO	ADARIAS DE LIMA	\N	9588798	552005	9588944	551646	MOURA BRASIL	\N	\N
1117	RUA ICÓ	023309	RUA	\N	D12/D13	L-O	1671/1960	16/12/1960	\N	\N	000102	AV. ALBERTO NEPOMUCENO	002311	RUA MARANGUAPE	\N	\N	9588618	552932	9588662	552795	CENTRO	POÇO DA DRAGA	\N
1120	TRAV.SÃ0 JANUÁRIO	001749	TRAV.	SÃO	D12	N-S/L-O	\N	\N	\N	\N	002502	RUA PADRE MORORÓ	\N	MURO	MARINHO DE ANDRADE	TRILHO DE FERRO	9588931	551616	9588953	551651	MOURA BRASIL	\N	\N
1122	TRAV. SAUDADE II	024350	TRAV.	\N	D12	N-S	\N	\N	\N	\N	003453	RUA DO TRILHO	003975	RUA APRENDIZES DE MARINHEIRO	\N	ADARIAS DE LIMA	9588905	551859	9588828	551817	MOURA BRASIL	\N	\N
1123	TRAV. SAUDADE I	024349	TRAV.	\N	D12	N-S	\N	\N	\N	\N	003227	RUA DA SAUDADE	003975	RUA APRENDIZES DE MARINHEIRO	\N	ADARIAS DE LIMA	9588846	551915	9588805	551899	MOURA BRASIL	\N	\N
1125	TRAV.JOÃO FELIPE	001811	TRAV.	\N	D12	N-S	\N	\N	\N	\N	003452	RUA DO TRILHO	001729	RUA SENADOR JAGUARIBE	\N	\N	9588847	552041	9588794	552048	MOURA BRASIL	\N	\N
1126	RUA DO TRILHO	003453	RUA	\N	D12	L-O	\N	\N	\N	\N	001811	TRAV. JOÃO FELIPE	003227	RUA DA SAUDADE	GENERAL SAMPAIO	PADRE MORORÓ	9588847	552041	9588937	551683	MOURA BRASIL	RODOLFO BARROSO	O NOME NA LEI É RUA DO TRILHO DE FERRO.
1128	PRACA DO FERREIRA	001278	PRAÇA	\N	D12	\N	1671/1960	16/12/1960	\N	\N	\N	RUA FLORIANO PEIXOTO/ TRAV. PARÁ	\N	\N	\N	\N	9588016	552500	\N	\N	CENTRO	\N	\N
1129	PRAÇA WALDEMAR FALCÃO	004424	PRAÇA	\N	D12	\N	1671/1960	16/12/1960	\N	\N	\N	PALÁCIO DO COMÉRCIO/ RUA GAL. BEZERRIL	\N	\N	\N	\N	9588205	552630	\N	\N	CENTRO	\N	\N
1130	PRACA GENERAL TIBURCIO (DOS LEÕES)	003370	PRAÇA	GENERAL	D12	\N	1671/1960	16/12/1960	\N	\N	\N	RUA CONDE D'EU/ RUA GUILHERME ROCHA	\N	\N	\N	\N	9588078	552652	\N	\N	CENTRO	\N	\N
1131	PRACA JOSÉ DE ALENCAR	023532	PRAÇA	\N	D12	\N	1671/1960	16/12/1960	\N	\N	\N	RUA LIBERATO BARROSO/ RUA GAL. SAMPAIO	\N	\N	\N	\N	9588112	552082	\N	\N	CENTRO	\N	\N
1132	PRACA DOS MÁRTIRES	023828	PRAÇA	\N	D12	\N	1671/1960	16/12/1960	\N	\N	\N	RUA BARÃO DO RIO BRANCO/ RUA JOÃO MOREIRA	\N	\N	\N	\N	9588558	552639	\N	\N	CENTRO	\N	\N
1133	PRACA CASTRO CARREIRA	000766	PRAÇA	\N	D12	\N	1671/1960	16/12/1960	\N	\N	\N	RUA CASTRO E SILVA/RUA GAL SAMPAIO	\N	\N	\N	\N	9588584	552222	\N	\N	CENTRO	\N	\N
1134	PRACA DA LAGOINHA	002106	PRAÇA	\N	D12	\N	\N	\N	\N	\N	\N	RUA GUILHERME ROCHA/ AV. TRISTÃO GONÇALVES	\N	\N	\N	\N	9588234	551854	\N	\N	CENTRO	\N	\N
1135	PRACA PEDRO II	024137	PRAÇA	\N	D12	\N	1671/1960	16/12/1960	\N	\N	\N	RUA COND´EU/ RUACASTRO E SILVA	\N	\N	\N	\N	9588379	552763	\N	\N	CENTRO	\N	\N
1138	RUA COSTA BARROS	000933	RUA	\N	D13/E15	O-L	1671/1960	16/12/1960	\N	\N	001923	RUA SÃO JOSÉ	003390	RUA TIBÚRCIO CAVALCANTI	\N	\N	9588139	552931	9587349	555359	CENTRO/ALDEOTA	AURORA, DO SOL, TRAVESSA Nº 11-A E RUA URUGUAI.	\N
1140	RUA PEREIRA FILGUEIRAS	002844	RUA	\N	D13/E15	O-L	1671/1960	16/12/1960	\N	\N	000062	RUA: AFONSO VISEU	003390	RUA TIBÚRCIO CAVALCANTE	\N	\N	9588269	553065	9587507	555408	CENTRO/ALDEOTA/MEIRELES	DO PAÇO, Nº15-A.	\N
1141	RUA TENENTE BENÉVOLO	000518	RUA	TENENTE	D13/E15	O-L	1671/1960	16/12/1960	\N	\N	003629	RUA 25 DE MARÇO	003390	RUA TIBÚRCIO CAVALCANTE	\N	\N	9588379	553242	9587665	555460	CENTRO/MEIRELES	LADEIRA DA CONCEIÇÃO, TRAV.  DA CONCEIÇÃO E TRAV. Nº 15-B.	\N
1142	RUA ARACOIABA	000350	RUA	VEREADOR	D13	O-L	8524/2000	29/12/2000	10977/2001	22/05/2001	000150	RUA: SENADOR ALMINO	001851	DOM JOAQUIM	\N	\N	9588369	553556	9588327	553735	CENTRO	ARACOIABA, RUA	\N
1487	RUA VOLTA DO RIO	007161	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1144	RUA GRAVIOLA	001496	RUA	\N	D13	N-S	\N	\N	\N	\N	024116	RUA PEDRA LINDA	\N	MURO	\N	\N	9588358	553945	9588214	553900	CENTRO	\N	\N
1145	TRAV.PEDRALINA	024117	TRAVESSA	\N	D13	O-L	\N	\N	\N	\N	002567	RUA NOGUEIRA ACIOLY	001496	BECO DAS GRAVIOLAS	\N	\N	9588266	553851	9588247	553909	CENTRO	\N	\N
1146	RUA NOGUEIRA ACIOLI	002567	RUA	\N	D13/F13	N-S	1671/1960	16/12/1960	\N	\N	003339	AV. MONS. TABOSA	00338	AQUILES BEVILAQUA	TITO ROCHA	JOAQUIM TORRES	9588422	553899	9586267	553251	CENTRO/JOAQUIM TÁVORA	\N	\N
1147	RUA DOM JOAQUIM	001851	RUA	DOM	D13/E13	N-S	1671/1960	16/12/1960	\N	\N	003339	AV. MONSENHOR TABOSA	000933	RUA COSTA BARROS	\N	\N	9588430	553765	9587916	553612	CENTRO	DA SOLEDADE,  J. DA PENHA, O TRECHO, Nº 25, E PARTO.	\N
1148	VILA ODETE	002624	VILA	\N	D13	O-L	\N	\N	\N	\N	002624	RUA DOM JOAQUIM	\N	MURO	\N	\N	9588192	553695	9588174	553755	CENTRO	\N	\N
1149	RUA DONA LEOPOLDINA	002144	RUA	DONA	D13/E13/F13	N-S	1671/1960	16/12/1960	\N	\N	000518	RUA TENENTE BENÉVOLO	000325	AV. ANTÔNIO SALES	\N	\N	9588273	553590	9586726	553072	CENTRO/JOAQUIM TÁVORA	LEOPOLDINA, Nº25,   DOM. JOAQUIM	\N
1150	RUA RODRIGUES JUNIOR	003119	RUA	\N	D13/E13	N-S	1671/1960	16/12/1960	\N	\N	000518	RUA TENTENTE BENÉVOLO	003526	AV. PE. VALDEVINO	\N	\N	9588307	553478	9586942	553026	CENTRO	DA GLÓRIA, Nº21 E CONS. RODRIGUES JÚNIOR.	\N
1151	AVENIDA DOM MANUEL	002278	AVENIDA	DOM	D13/E13	N-S	1671/1960	16/12/1960	\N	\N	003339	AV. MONSENHOR TABOSA	003079	AV. VISCONDE DO RIO BRANCO	\N	\N	9588457	553385	9586983	552897	CENTRO	DA CONCEIÇÃO,BOULEVARD;  AV. DOM MANUEL E DOM LUÍS	\N
1152	RUA 25 DE MARCO	003629	RUA	\N	D13/E13	N-S	1671/1960	16/12/1960	\N	\N	003339	AV. MONSENHOR TABOSA	001578	AV. HERÁCLITO GRAÇA	\N	\N	9588491	553221	9587333	552904	CENTRO	DO OUTEIRO, DO PAJEÚ E Nº17	\N
1153	RUA CEL. FERRAZ	001276	RUA	CORONEL	D13/E13	N-S	1671/1960	16/12/1960	\N	\N	000933	RUA COSTA BARROS	001371	RUA FRANKLIN TÁVORA	\N	\N	9588107	553023	9587815	552929	CENTRO	DO COLÉGIO, TRAV. SÃO LUÍS, TRAVESSA Nº7 - A,  TRAV.	\N
1154	RUA DEP. JOÃO LOPES	001822	RUA	DEPUTADO	D13	N-S	1671/1960	16/12/1960	\N	\N	002844	RUA PEREIRA FILGUEIRAS	000933	RUA COSTA BARROS	\N	\N	9588255	553108	9588096	553055	CENTRO	\N	\N
1155	RUA AFONSO VISEU	000062	RUA	\N	D13	N-S	1671/1960	16/12/1960	\N	\N	003161	RUA RUFINO DE ALENCAR	002844	RUA PEREIRA FILGUEIRAS	\N	\N	9588380	553055	9588270	553065	CENTRO	\N	\N
1156	RUA PEDRO ÂNGELO	002800	RUA	\N	D13	N-S	1671/1960	16/12/1960	\N	\N	003161	RUA RUFINO DE ALENCAR	002844	RUA PEREIRA FILGUEIRAS	\N	\N	9588395	553131	9588243	553145	CENTRO	\N	\N
1157	RUA SÃO JOSÉ	001923	RUA	SÃO	D13	N-S	1671/1960	16/12/1960	\N	\N	003161	RUA RUFINO DE ALENCAR	003183	RUA VISCONDE DE SABÓIA	\N	\N	9588355	552913	9588038	552936	CENTRO	\N	\N
1158	RUA GOVERNADOR SAMPAIO	003203	RUA	GOVERNADOR	D13/E13	N-S	1671/1960	16/12/1960	\N	\N	003307	RUA SOBRAL	002877	RUA PINTO MADEIRA	\N	\N	9588277	552826	9587673	552904	CENTRO	NOVA DO OUTEIRO, BECO DA APERTADA HORA, DO SAMPAIO, Nº7, D. BÁRBARA	\N
1159	RUA RUFINO DE ALENCAR	003161	RUA	\N	D13	O-L	1671/1960	16/12/1960	\N	\N	000102	AV. ALBERTO NEPOMUCENO	002278	AV. DOM MANUEL	\N	\N	9588394	552804	9588346	553351	CENTRO	DA PONTE, TRAV. DA BICA, CORREDOR DO BISPO E Nº15-B	\N
1313	SD	040111	RUA	\N	D16	O-L/N-S	\N	\N	\N	\N	\N	RUA DA PAZ	\N	\N	AV. DA ABOLIÇÃO	\N	\N	\N	\N	\N	MEIRELES/MUCURIPE	\N	\N
1160	RUA PACAJUS	002714	RUA	\N	D13/D14	O-L	1671/60	16/12/1960	\N	\N	001509	RUA DOS GUANACÉS	000360	RUA DOS ARARIÚS	\N	MURO	9588916	553944	9588892	554098	PRAIA DE IRACEMA	\N	\N
1161	RUA ALEGRE	000115	RUA	\N	D13	N-S	1671/1960	16/12/1960	\N	\N	\N	ORLA OCEÂNICA	003336	RUA DOS TABAJARAS	\N	\N	9588955	553899	9588897	553887	PRAIA DE IRACEMA	\N	\N
1162	RUA DOS TREMEMBÉS	003435	RUA	\N	D13	N-S	1671/60	16/12/1960	\N	\N	003336	RUA DOS TABAJARAS	000481	AV. ALMIRANTE BARROSO	\N	\N	9588916	553789	9588813	553773	PRAIA DE IRACEMA	\N	\N
1163	RUA CARIRIS	000706	RUA	\N	D13	N-S	\N	\N	\N	\N	\N	ORLA OCEÂNICA	000481	AV. ALMIRANTE BARROSO	\N	\N	9588995	553671	9588794	553634	PRAIA DE IRACEMA	\N	\N
1164	RUA SEN. ALMINO	000150	RUA	SENADOR	D13	N-S	1671/1960	16/12/1960	\N	\N	021043	TRAV. POTIGUAR	000518	 RUA TENENTE BENÉVOLO	\N	\N	9588859	553579	9588284	553552	PRAIA DE IRACEMA/CENTRO	DO ARRECIFE,  Nº 21-A,  RUA	\N
1165	TRAV.CIDAL	000832	TRAVESSA	\N	D13	O-L	\N	\N	\N	\N	024542	TRAV.  VIADUTO MOREIRA DA ROCHA	003345	AV. ALM TAMANDARÉ	\N	\N	9588825	553253	9588895	553350	CENTRO	\N	\N
1166	TRAV. VIADUTO MOREIRA DA ROCHA	024542	TRAVESSA	\N	D13	N-S	\N	\N	\N	\N	003336	RUA DOS TABAJARES	000589	RUA BORIS	\N	\N	9589009	553276	9588800	553221	CENTRO	\N	\N
1167	BECO DO ESTALEIRO	023003	BECO	\N	D13	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
1168	RUA GERSON GRADVOLH	003454	RUA	\N	D13	O-L	\N	\N	\N	\N	002311	RUA MARANGUAPE	000589	RUA BORIS	\N	\N	9588780	552849	9588800	553221	CENTRO	\N	\N
1170	RUA MARANGUAPE	002311	RUA	\N	D13	N-S	1671/1960	16/12/1960	\N	\N	\N	ORLA OCEÂNICA	001624	RUA ICÓ	(003454) RUA GERSON GRADWOLH	\N	9588780	552849	9588662	552795	CENTRO	\N	\N
1172	AVENIDA ALBERTO NEPOMUCENO	000102	AVENIDA	\N	D13	N-S	1671/1960	16/12/1960	\N	\N	\N	POÇO DA DRAGA	003161	RUA RUFINO DE ALENCAR	\N	\N	9588826	553032	9588394	552804	CENTRO	DA PONTE,  RUA	\N
1173	RUA GUILHERME BLUMH	001529	RUA	\N	D13	N-S	61/1948	\N	\N	\N	\N	RUA SD	002862	RUA PESSOA ANTA	(003454) RUA GERSON GRADWOLH	\N	9588929	553088	9588725	553114	CENTRO	\N	\N
1174	AVENIDA ALMIRANTE TAMANDARÉ	003345	AVENIDA	ALMIRANTE	D13	N-S	1671/1960	16/12/1960	\N	\N	003336	RUA DOS TABAJARAS	001939	AV. JOSÉ AVELINO	\N	\N	9589009	553352	9588587	553350	PRAIA DE IRACEMA/CENTRO	\N	\N
1175	AVENIDA ALMIRANTE BARROSO	000481	AVENIDA	ALMIRANTE	D13/D14	O-L	1671/60	16/12/1960	\N	\N	003345	AV. ALMIRANTE TAMANDARÉ	000360	RUA DOS ARARIÚS	\N	RUA DOS TABAJARAS	9588757	553351	9588855	554105	PRAIA DE IRACEMA	PESSOA ANTA (EM PARTE) AV	\N
1177	B. POTIGUARAS	024193	BECO	\N	D13	O-L	\N	\N	\N	\N	\N	MURO	024046	 RUA DOS POTIGUARAS	\N	\N	9588869	553599	9588880	553647	PRAIA DE IRACEMA	\N	\N
1178	RUA DOS POTIGUARAS	002932	RUA	\N	D13	O-L	1671/60	16/12/1960	\N	\N	000706	RUA CARIRIS / MURO	003435	RUA TREMEMBÉS	RUA CARIÚS	MURO	9588882	553647	9588850	553837	PRAIA DE IRACEMA	DA SAÚDE	\N
1179	TRAV. POTIGUARAS	021043	TRAVESSA	\N	D13	O-L	\N	\N	\N	\N	000150	RUA SENADOR ALMINO	000706	RUA CARIRIS	\N	\N	9588859	553580	9588850	553642	PRAIA DE IRACEMA	\N	\N
1180	RUA GROAÍRAS	001500	RUA	\N	D13	O-L	1671/60	16/12/1960	\N	\N	000150	RUA SENADOR ALMINO	003435	RUA TREMEMBÉS	RUA CARIRIS	\N	9588851	553642	9588830	553775	PRAIA DE IRACEMA	\N	\N
1181	AV. HISTORIADOR RAIMUNDO GIRÃO	000337	AVENIDA	HISTORIADOR	D13/D14	O-L	6528/89	\N	8597/91	\N	000481	AV. ALMIRANTE BARROSO	008790	AV. BARÃO DE STUDART	\N	AV. ABOLIÇÃO	9588817	553796	9588350	555185	PRAIA DE IRACEMA/MEIRELES	AQUIDABÃ,  AV	\N
1182	TRAV. C. JOSÉ PEQUENO	022648	TRAVESSA	\N	D13	O-L	\N	\N	\N	\N	003415	RUA TOMÁS LOPES	022142	RUA JATI / RUA 23 DE OUTUBRO	\N	\N	553817	9588774	9588774	553873	PRAIA DE IRACEMA	\N	\N
1183	RUA TIJIPIÓ	003395	RUA	\N	D13/D14	O-L	1671/60	16/12/1960	\N	\N	001702	RUA ITAPIPOCA	000360	RUA DOS ARARIÚS	\N	\N	9588743	553695	9588729	554036	PRAIA DE IRACEMA	\N	\N
1184	RUA AQUIRÁZ	000341	RUA	PROFESSOR	D13/D14	N-S	DL257/2007	30/05/2007	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	003395	RUA TIJIPIÓ	\N	\N	9588801	554005	9588730	553989	PRAIA DE IRACEMA	AQUIRAZ, TRAV.	\N
1185	RUA 23  DE OUTUBRO	022142	RUA	\N	D13	N-S	1671/60	16/12/1960	\N	\N	000481	AV. ALMIRANTE BARROSO	003395	RUA TIJIPIÓ	AV. HISTORIADOR RAIMUNDO GIRÃO	\N	9588809	553875	9588735	553872	PRAIA DE IRACEMA	23  DE OUTUBRO, RUA	Homenagem ao Município de Jati
1186	RUA TUPI	008418	RUA	\N	D13	N-S	\N	\N	\N	\N	022142	RUA JATI / RUA 23 DE OUTUBRO	\N	MURO	\N	\N	9588735	553872	9588652	553868	PRAIA DE IRACEMA	\N	\N
1187	RUA TOMÁS LOPES	003415	RUA	\N	D13	N-S	1671/60	16/12/1960	\N	\N	000481	AV. ALMIRANTE BARROSO	001939	RUA JOSÉ AVELINO	AV. HISTORIADOR RAIMUNDO GIRÃO	\N	9588814	553819	9588558	553810	PRAIA DE IRACEMA	CABEDELO,  TRAV.	\N
1188	RUA ITAPIPOCA	001702	RUA	\N	D13	N-S	1671/60	16/12/1960	\N	\N	000481	AV. ALMIRANTE BARROSO	001102	RUA DRAGÃO DO MAR	\N	\N	9588803	553698	9588649	553690	PRAIA DE IRACEMA	BECO DO SABÓIA	\N
1189	RUA ALMIRANTE JACEGUAI	001720	RUA	ALMIRANTE	D13	N-S	1671/1960	16/12/1960	\N	\N	000481	AV. ALMIRANTE BARROSO	003339	AV. MONSENHOR TABOSA	\N	\N	9588765	553409	9588455	553401	PRAIA DE IRACEMA/CENTRO	\N	\N
1190	TRAV. TAVARES	024446	TRAVESSA	\N	D13	N-S	\N	\N	\N	\N	003339	AV. MONSENHOR TABOSA	\N	MURO	\N	\N	9588515	553109	9588447	553095	CENTRO	\N	\N
1191	VILA ERNESTINA	003724	VILA	\N	D13	N-S	\N	\N	\N	\N	\N	MURO	002278	AV. DOM MANUEL	\N	\N	\N	\N	9588117	553277	CENTRO	\N	\N
1192	RUA GONÇALVES LEDO	001472	RUA	\N	D13/E13	N-S	1671/1960	16/12/1960	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	002873	RUA PINHO PESSOA	RUA TITO ROCHA	RUA CEL. ALVES TEXEIRA	9588782	554138	9586159	553362	CENTRO/PRAIA DE IRACEMA/JOAQUIM TÁVORA	DOS GUAJERUS,   DEMÉTRIO MENESES	\N
1193	RUA SAO LONGUINHO	003931	RUA	SÃO	D13/D14	O-L	\N	\N	\N	\N	001509	RUA DOS GUANACÉS	000360	RUA DOS ARARIÚS	\N	MURO	9588489	553902	9588537	554044	PRAIA DE IRACEMA	\N	\N
1194	RUA DOS GUANACÉS	001509	RUA	\N	D13	N-S	1671/60	16/12/1960	\N	\N	\N	ORLA MARÍTIMA	003339	RUA MONSENHOR TABOSA	RUA DOS PACAJUS	\N	9588916	553944	9588422	553895	PRAIA DE IRACEMA	\N	\N
1196	RUA JOSÉ AVELINO	001939	RUA	\N	D13	O-L	1671/1960	16/12/1960	\N	\N	000102	AV. ALBERTO NEPOMUCENO	001509	RUA DOS GUANACES	RUA DOS ARARIÚS	\N	9588618	552932	9588550	553909	CENTRO/PRAIA DE IRACEMA	\N	\N
1197	AVENIDA MONSENHOR TABOSA	003339	AVENIDA	MONSENHOR	D13/D14	O-L	1671/1960	16/12/1960	\N	\N	002278	AV. DOM MANUEL	008790	AV. BARÃO DE STUDART	ALBERTO NEPOMUCENO	\N	9588457	553385	9588320	555176	CENTRO/PRAIA DE IRACEMA/MEIRELES	DO SEMINÁRIO, RUA  Nº19-A E DO SEMINÁRIO	\N
1198	RUA BORIS	000589	RUA	\N	D13	N-S	1671/1960	16/12/1960	\N	\N	003454	RUA GERSON GRADWOLH/POÇO DA DRAGA	003161	RUA RUFINO DE ALENCAR	\N	\N	9588800	553221	9588411	553220	CENTRO	\N	\N
1199	RUA BATURITÉ	000488	RUA	\N	D13	N-S	1671/1960	16/12/1960	\N	\N	001939	RUA JOSÉ AVELINO	003161	RUA RUFINO DE ALENCAR	\N	\N	9588609	553020	9588371	553001	CENTRO	DA ESCADINHA	\N
1200	RUA PESSOA ANTA	002862	RUA	\N	D13	O-L	1671/1960	16/12/1960	\N	\N	000102	AV. ALBERTO NEPONUCENO	003345	AV. ALM TAMANDARÉ	\N	\N	9588709	552982	9588757	553351	CENTRO	DA PRAIA, Nº21	\N
1201	SD	040107	RUA	\N	D13/D14	N-S/O-L	\N	\N	\N	\N	\N	RUA PACAJUS/RUA ANTÔNIO AUGUSTO	\N	\N	AV. ALMIRANTE BARROSO	\N	\N	\N	\N	\N	PRAIA DE IRACEMA/MEIRELES	CONJ. IRACEMA	\N
1202	RUA DRAGÃO DO MAR	001102	RUA	\N	D13/D14	O-L	1671/1960	16/12/1960	\N	\N	000589	RUA BORIS	001859	RUA JOAQUIM ALVES	\N	\N	9588642	553224	9588570	554277	CENTRO/PRAIA DE IRACEMA/MEIRELES	DA PRAIA, DA ALFÂNDEGA E TRAV. Nº 19.	\N
1203	RUA PENTECOSTE	002836	RUA	\N	D13/E13	N-S	1671/1960	16/12/1960	\N	\N	002844	RUA PEREIRA FILGUEIRAS	000933	RUA COSTA BARROS	\N	\N	9588055	553721	9587898	553671	CENTRO	\N	\N
1206	PRACA CRISTO REDENTOR	000962	PRAÇA	\N	D13	\N	1671/1960	16/12/1960	\N	\N	\N	AV. MONSENHOR TABOSA/AV. DOM MANUEL	\N	\N	\N	\N	9588436	553316	\N	\N	CENTRO	\N	\N
1207	PRACA DOS PINHÕES	022922	PRAÇA	VISCONDE	D13	\N	1671/1960	16/12/1960	\N	\N	\N	RUA GONÇALVES LEDO/MERCADO DOS PINHÕES	\N	\N	\N	\N	9588084	553905	\N	\N	CENTRO	\N	\N
1212	RUA DOS ARARIÚS	000360	RUA	\N	D14	N-S	1671/60	16/12/1960	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	003931	RUA SÃO LONGUINHO	\N	TITO ROCHA	9588798	554051	9588548	553998	PRAIA DE IRACEMA	\N	\N
1214	RUA XAVIER DE CASTRO	003698	RUA	\N	D14	N-S	1671/60	16/12/1960	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	001102	RUA DRAGÃO DO MAR	\N	\N	9588768	554203	9588617	554159	PRAIA DE IRACEMA	\N	\N
1218	RUA JOAQUIM ALVES	001859	RUA	\N	D14	N-S	1671/60	16/12/1960	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	\N	MURO	\N	\N	9588743	554330	9588446	554254	MEIRELES	DO SEMINÁRIO TRAV	\N
1219	RUA ANTÔNIO AUGUSTO	000283	RUA	\N	D14/ G13	N-S	1671/1960	16/12/1960	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	003329	TRAV. SORIANO ALBUQUERQUE	\N	RUA  SORIANO ALBUQUERQUE	9588721	554392	9585809	553463	MEIRELES/ALDEOTA / JOAQUIM TAVORA	\N	\N
1224	RUA PADRE JUSTINO	002086	RUA	PADRE	D14	O-L	1671/60	16/12/1960	\N	\N	000360	RUA DOS ARARIÚS	001859	RUA JOAQUIM ALVES	RUA GONÇALVES LEDO	\N	9588581	554004	9588549	554203	PRAIA DE IRACEMA/MEIRELES	\N	\N
1225	RUA DOUTOR ATUALPA BARBOSA LIMA	000728	RUA	DOUTOR	D14	O-L	4479/74	\N	\N	\N	001472	RUA GONÇALVES LEDO	00616	AV. MONSENHOR BRUNO	NOGUEIRA ACIOLI	\N	9588427	554821	9588478	554026	PRAIA DE IRACEMA/MEIRELES	RETIRO, BOM JESUS, MEIRELES, TITO ROCHA RUA	\N
1227	RUA BARÃO  DE ARACATI	000348	RUA	BARÃO	D14/G13	N-S	1671/60	16/12/1960	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	003321	RUA SORIANO ALBUQUERQUE	\N	\N	9588616	554616	9585707	553668	MEIRELES/ALDEOTA/JOAQUIM TAVORA	\N	\N
1228	RUA CARLOS VASCONCELOS	000732	RUA	\N	D14/E14	N-S	1671/60	16/12/1960	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	003321	RUA SORIANO ALBUQUERQUE	\N	\N	9588560	554734	9585666	553785	MEIRELES/ALDEOTA/JOAQUIM TÁVORA	\N	\N
1229	RUA CAMOCIM	000652	RUA	\N	D14	N-S	\N	\N	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	000728	RUA DR. ATUALPA LIMA	\N	\N	9588526	554807	9588431	554776	MEIRELES	\N	\N
1230	RUA MONSENHOR BRUNO	000616	RUA	MONSENHOR	D14	N-S	1671/60	16/12/1960	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	003321	RUA SORIANO ALBUQUERQUE	\N	RUA CASTRO ALVES	9588507	554847	9585555	553886	MEIRELES / ALDEOTA / JOAQUIM TÁVORA	\N	\N
1233	RUA FCO. DIAS RIBEIRO	001664	RUA	\N	D14	N-S	4583/75	\N	\N	\N	002092	AV. BEIRA MAR	000021	AV. MONSENHOR TABOSA	\N	\N	9588468	555091	9588348	555053	MEIRELES	IPAUMIRIM	\N
1235	RUA ANTÔNIO LIMA	000314	RUA	\N	D14	N-S	1671/60	16/12/1960	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	002497	RUA DEP. MOREIRA DA ROCHA	\N	\N	9588383	555112	9588062	555008	MEIRELES	\N	\N
1239	RUA ANTONELE BEZERRA	000269	RUA	\N	D14	O-L	1671/1960	16/12/1960	\N	\N	000732	RUA CARLOS VASCONCELOS	008790	RUA BARÃO DE STUDART	\N	\N	9588307	554651	9588258	555157	MEIRELES	\N	\N
1240	TRAV. JACINTO	001722	TRAVESSA	\N	D14	O-L	\N	\N	\N	\N	000348	RUA  BARÃO DE ARACATI	003663	RUA VIRGILIO VASCONCELOS	\N	\N	9588258	554501	9588241	554571	MEIRELES	\N	\N
1241	RUA FCO. VIRGÍLIO DE VASCONCELOS	023157	RUA	\N	D14	N-S	4273/73	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MEIRELES	\N	\N
1242	RUA ILDEFONSO ALBANO	001628	RUA	\N	D14/G13	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	003321	RUA SORIANO ALBUQUERQUE	\N	\N	9588731	554517	9585739	553552	MEIRELES/ALDEOTA/JOAQUIM TAVORA	\N	\N
1243	TRAV. ANTÔNIO AUGUSTO	003930	TRAVESSA	\N	D14	\N	\N	\N	\N	\N	000283	RUA ANTÔNIO AUGUSTO	\N	MURO	\N	\N	9588357	554273	9588326	554334	MEIRELES	\N	\N
1482	RUA MAJOR ADELINO	004403	RUA	MAJOR	E05/F05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1244	RUA PATRIOLINO AGUIAR	002763	RUA	\N	D14	N-S	1671/1960	16/12/1960	\N	\N	003339	AV. MONSENHOR TABOSA	000868	RUA PADRE CLIMÉRIO	\N	\N	9588408	554105	9588270	554098	CENTRO	\N	\N
1245	RUA PADRE CLIMÉRIO	000868	RUA	PADRE	D14	O-L	1671/60	16/12/1960	\N	\N	001472	RUA GONÇALVES LEDO	001628	RUA ILDEFONSO ALBANO	\N	\N	9588308	553989	9588241	554364	MEIRELES	SANTA LUZIA	\N
1246	RUA ALFREDO PRUDENTE	000135	RUA	\N	D14	N-S	1671/1960	16/12/1960	\N	\N	000868	RUA PADRE CLIMÉRIO	000518	RUA TENTENTE BENÉVOLO	\N	\N	9588291	554044	9588148	554000	CENTRO	\N	\N
1247	RUA JOSÉ AGOSTINHO	001929	RUA	\N	D14	L-O	4322/74	\N	\N	\N	002888	RUA PADRE PITA	000283	RUA ANTÔNIO AUGUSTO	\N	MURO	9588211	554130	9588190	554297	MEIRELES	RUI IBIAPINA,  IBIAPINA (LEI 1671/60)	\N
1248	RUA PE. PITA	002888	RUA	PADRE	D14	N-S	4680/76	\N	\N	\N	000868	RUA PADRE CLIMÉRIO	002497	RUA DEP. MOREIRA DA ROCHA	\N	\N	9588266	554127	9588124	554135	MEIRELES	GRANGEIRO	\N
1249	VILA VERA LÚCIA	003554	VILA	\N	D14	O-L	\N	\N	\N	\N	\N	MURO	001797	RUA JOÃO CORDEIRO	\N	\N	9588094	554001	9588079	554053	CENTRO	\N	\N
1250	VILA HELENA	023272	VILA	\N	D14	O-L	\N	\N	\N	\N	001797	RUA JOÃO CORDEIRO	\N	MURO	\N	\N	9588070	554051	9588060	554102	MEIRELES	\N	\N
1251	VILA BACHÁ	000453	VILA	\N	D14	\N	\N	\N	\N	\N	000518	RUA TENENTE BENÉVOLO	\N	MURO	\N	\N	9588093	554152	9588002	554123	MEIRELES	\N	\N
1252	RUA DEPUTADO MOREIRA DA ROCHA	002497	RUA	DEPUTADO	D14/E15	O-L	1671/60	16/12/1960	\N	\N	001797	RUA JOÃO CORDEIRO	003390	RUA TIBÚRCIO CAVALCANTE	\N	\N	9588122	554084	9587955	555554	MEIRELES	\N	\N
1255	RUA TEN. AMAURÍ PIO	000205	RUA	TENENTE	D14/ E15	O-L	1671/1960	16/12/1960	\N	\N	003162	AV. RUI BARBOSA	002029	RUA JOSÉ VILAR	\N	\N	9588034	554821	9587882	555293	MEIRELES	\N	\N
1257	RUA DR. TOMAZ POMPEU SOBRINHO	024471	RUA	DOUTOR	D14/D15	\N	\N	\N	\N	\N	000732	RUA CARLOS VASCONCELOS	003289	RUA SILVA PAULET	\N	MURO	9588216	554621	9588084	555284	MEIRELES	\N	\N
1258	SD	040109	RUA	\N	D14/D15	O-L	\N	\N	\N	\N	\N	RUA IDELFONSO ALBANO	\N	\N	RUA BARÃO DE ARACATI/RUA VISCONDE	\N	\N	\N	\N	\N	MEIRELES	\N	\N
1260	TRAV. CLIMÉRIO	022776	TRAVESSA	\N	D14	O-L	\N	\N	\N	\N	000283	RUA ANTÔNIO AUGUSTO	\N	MURO	\N	\N	9588280	554247	9588261	554314	MEIRELES	\N	\N
1317	RUA 20 DE DEZEMBRO	003625	RUA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1262	RUA JOSE VILAR	002029	RUA	\N	D15/G14	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	003392	RUA CAPITÃO TIBÚRCIO DA FROTA	\N	RUA MONSENHOR SALAZAR	9588339	555436	9585021	554424	MEIRELES/ALDEOTA/DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE	\N	\N
1263	RUA SILVA JATAHY	003286	RUA	\N	D15/E15	O-L	5266/80	\N	\N	\N	008790	AV. BARÃO DE STUDART	001374	RUA FREDERICO BORGES	\N	\N	9588209	555141	9587695	556745	MEIRELES	SILVA JATAÍ	A lei 5266 altera o nome de Silva Jataí para Siva Jatahy
1266	RUA NUNES VALENTE	002616	RUA	\N	D15	N-S	1671/1960	16/12/1960	\N	\N	002092	AV. BEIRA MAR	003188	RUA MONSENHOR SALAZAR	\N	\N	9588309	555547	9584906	554563	MEIRELES/ALDEOTA/DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE	LÍDIA VALENTE	PROSSEGUE COM O NOME DE JOSE JUSTA
1268	RUA JOAQUIM NABUCO	001895	RUA	\N	D15	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	003188	RUA MONSENHOR SALAZAR	\N	\N	9588251	555768	9584920	554687	MEIRELES/ALDEOTA/DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE	\N	\N
1274	RUA BARBOSA DE FREITAS	000474	RUA	\N	D15/G15	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	001685	RUA ISAC AMARAL	\N	\N	9588056	556190	9585161	555258	MEIRELES/ALDEOTA/DIONÍSIO TORRES	\N	\N
1275	AV. ANTÔNIO JUSTA	000312	AVENIDA	\N	D15/ E16	O-L	1671/60	16/12/1960	\N	\N	000021	AV. ABOLIÇÃO	\N	SD	\N	VIA FÉRREA PARANGABA-MUCURIPE	9588039	556079	9587564	557510	MEIRELES/VARJOTA	\N	\N
1276	RUA LEONARDO MOTA	002141	RUA	\N	D15/G15	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	002916	AV. PONTES VIEIRA	\N	VIA FÉRREA PARANGABA-MUCURIPE	9588075	556310	9585391	555448	MEIRELES/ALDEOTA/DIONÍSIO TORRES	\N	\N
1277	RUA JUAZEIRO DO NORTE	002043	RUA	\N	D15/D16	O-L	4690/76	\N	\N	\N	002141	RUA LEONARDO MOTA	002277	RUA FREI MANSUETO	\N	\N	9588036	556298	9588044	556763	MEIRELES	\N	\N
1553	TRAV. CARLOS ARAÚJO	003926	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1280	AVENIDA BEIRA MAR	002092	AVENIDA	\N	D16	\N	6864/1991	28/05/2001	\N	\N	003336	RUA DOS TABAJARAS	000021	AV. DA ABOLIÇÃO	\N	\N	9588855	554105	9588662	557920	PRAIA DE IRACEMA / MEIRELES / MUCURIPE	KENNEDY , PRESIDENTE	Lei específica  trocando o nome da  avenida
1281	RUA MANUEL JACARÉ	002285	RUA	\N	D16	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	000021	AV. ABOLIÇÃO	\N	\N	9588478	556972	9588173	556939	MUCURIPE	\N	\N
1282	RUA SENADOR MACHADO	002261	RUA	SENADOR	D16	O-L	1671/60	16/12/1960	\N	\N	002285	RUA MANUEL JACARÉ	\N	RIACHO MACEIÓ	\N	\N	9588429	556965	9588428	557477	MUCURIPE	\N	\N
1283	RUA TEREZA HINKO	008017	RUA	\N	D16	N-S	6219/87	\N	\N	\N	002092	AV. BEIRA MAR	000021	AV. ABOLIÇÃO	\N	\N	9588488	557308	9588249	557278	MUCURIPE	\N	Continuação da Rua Manuel Jesuíno.
1284	RUA FREI MANSUETO	002277	RUA	FREI	D16/F16	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	003221	AV. SANTOS DUMONT	\N	\N	9588396	556697	9586698	556840	MEIRELES/MUCURIPE/ALDEOTA/VARJOTA	16  DE  MARÇO, RUA	\N
1285	RUA CASTRO MONTE	000770	RUA	\N	D16/F16	N-S	1671/60	16/12/1960	\N	\N	002261	RUA SENADOR MACHADO	002787	RUA DA PAZ	RUA ÁLVARO CORREIA	VIA FÉRREA PARANGABA-MUCURIPE	9588367	557080	9586913	557131	MUCURIPE/VARJOTA	S. GERARDO	\N
1286	TRAV. CAPILÉ	004449	TRAVESSA	\N	D16/D17	\N	\N	\N	\N	\N	\N	EDIFICAÇÕES	003211	RUA SANTANA	\N	\N	9588319	557581	9588279	557685	MUCURIPE	\N	\N
1287	TRAV. VISTA VERDE	020270	TRAVESSA	\N	D16	N-S	\N	\N	\N	\N	\N	MURO	MURO	\N	\N	\N	9588269	557476	9588218	557478	MUCURIPE	\N	\N
1288	TRAV. SAPORÉ	000978	TRAVESSA	\N	D16	\N	\N	\N	\N	\N	000021	AV. DA ABOLIÇÃO	020271	TRAV. SETUBAL	\N	\N	9588315	557454	9588173	557431	MUCURIPE	\N	\N
16435	\N	008825	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
1290	TRAV DO CATAVENTO(VILA ALBA)	008121	TRAVESSA	\N	D16	L-O	5856/84	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MUCURIPE	CATAVENTO, DO - (VILA ALBA)	vila alba - mat.2466 cri 1ª zona - antes Transc. 58196 cri 1ª zona.
1291	RUA UMARI	003508	RUA	\N	D16	N-S	1671/60	16/12/1960	\N	\N	002261	RUA SENADOR MACHADO	007716	RUA CEL. JOÃO ARRUDA	\N	\N	9588341	557384	9588121	557369	MUCURIPE	\N	\N
1292	TRAV. JOSÉ NAPOLEÃO	002005	RUA	\N	D16	N-S	6810/1991	08/03/2001	11631/2004	17/05/2004	002092	AV. BEIRA MAR	000021	AV. ABOLIÇÃO	\N	\N	9588346	556651	9588135	556693	MEIRELES	JOSÉ NAPOLEÃO, TRAV.	\N
1293	RUA JOSÉ NAPOLEÃO	002004	RUA	\N	D16/E16	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	000312	AV. ANTÔNIO JUSTA	\N	\N	9588299	556603	9587833	556691	MEIRELES	Julio Carvalho, antes Eduardo Salgado	informação da certidão CRI 1zona-transc.58844
1294	RUA PAULA BARROS	002766	RUA	\N	D16/E16	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	000312	AV. ANTÔNIO JUSTA	\N	\N	9588210	556394	9587912	556443	MEIRELES	\N	\N
1295	RUA JÚLIO IBIAPINA	002063	RUA	\N	D16/E16	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	000312	AV. ANTÔNIO JUSTA	\N	\N	9588223	556502	9587865	556592	MEIRELES	\N	trecho reduzido pela abert da Av Virgílio Távora
1296	VILA DO ANDRÉ	022429	VILA	\N	D16	N-S	\N	\N	\N	\N	000087	RUA DO CATAVENTO	\N	SD	\N	\N	9588255	556816	9588200	556804	MUCURIPE	\N	\N
1297	SD	040113	RUA	\N	D16/D17	O-L/N-S	\N	\N	\N	\N	\N	SD (040112)/TRAV. CAPILÉ	\N	\N	TRAV. JÚLIO PINTO	\N	\N	\N	\N	\N	MEIRELES/MUCURIPE	\N	\N
1483	TRAV. CAMBURIM	022667	TRAVESSA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1298	RUA JOÃO ARRUDA	007716	RUA	\N	D16	O-L	1671/60	16/12/1960	\N	\N	\N	EDIFICAÇÕES	000681	RUA CANINDÉ	\N	\N	9588161	557181	9588023	557578	MUCURIPE	CATAVENTO DO, RUA	MAT.38055 /38056 CRI 1ZONA -TRANSC 56178/ INSC9114
1299	TRAV. SETUBAL	020271	TRAVESSA	\N	D16	O-L	\N	\N	\N	\N	003508	RUA UMARI	000978	TRAV. SAPORÉ	\N	\N	9588180	557371	9588173	557431	MUCURIPE	\N	\N
1300	RUA MANUEL JESUINO	002286	RUA	\N	D16/E16	N-S	1671/60	16/12/1960	\N	\N	002261	RUA SENADOR MACHADO	003565	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9588344	557290	9587106	557253	MUCURIPE/VARJOTA	\N	\N
1301	TRAV. SÃO GERARDO	001422	TRAVESSA	SÃO	D10	N-S	\N	\N	\N	\N	000021	AV.ABOLIÇÃO	001974	RUA DR. JOSÉ FROTA	\N	\N	9588192	557047	9588087	557038	MUCURIPE	\N	\N
1303	RUA DA PAZ	002787	RUA	\N	D16	O-L	1671/60	16/12/1960	\N	\N	002005	PEDRO NATALE ROSSI	008017	RUA TEREZA HINKO	RUA FREI MANSUETO	\N	9588320	556712	9588275	557282	MUCURIPE/MEIRELES	\N	\N
1304	RUA LITO	002182	RUA	\N	D16/E16	N-S	1671/60	16/12/1960	\N	\N	\N	MURO	\N	TRAV. LITO	\N	\N	9588104	557166	9588001	557151	MUCURIPE	\N	\N
1305	RUA PEDRO RUFINO	002827	RUA	\N	D16/E16	N-S	2726/64	\N	\N	\N	000021	AV. DA ABOLIÇÃO	001988	RUA DR. JOSÉ LINO	\N	AV. ANTÔNIO JUSTA	9588173	556939	9587837	556850	MUCURIPE	\N	\N
1307	RUA VICENTE LEITE	003583	RUA	\N	E16	N-S	1671/60	16/12/1960	\N	\N	002043	JUAZEIRO DO NORTE	\N	VIA FÉRREA PARANGABA-MUCURIPE	\N	PARQUE ADAHIL BARRETO	9588004	556405	9585175	555640	MEIRELES/ALDEOTA/DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE	DOMINGOS OLÍMPIO	\N
1309	TRAV. ALVARO CASTRO CORREIA	022392	TRAVESSA	\N	D16	\N	\N	\N	\N	\N	\N	MURO	022334	TRAV.  ÁLVARO CORREIA	\N	\N	9588025	557011	9587981	557002	MUCURIPE	\N	\N
1310	RUA DOM AMARO	000203	RUA	DOM	D16/ E 16	N-S	\N	\N	\N	\N	001974	RUA JOSÉ FROTA	001988	RUA DR. JOSÉ LINO	\N	\N	9588081	557056	9587790	557018	MUCURIPE	\N	\N
1318	RUA 10 DE JULHO	022050	RUA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1319	RUA 12 DE MAIO	001100	RUA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1320	RUA 10 DE SETEMBRO	004111	RUA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1321	RUA 15 DE OUTUBRO	004114	RUA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1322	RUA 20 DE JULHO	004112	RUA	\N	D17	N-S	8757/2003	28/08/2003	11690/2004	13/08/2004	\N	RUA SD ( INICIO DO LOTEAMENTO)	001691	AV. ISMAEL PORDEUS	\N	\N	9588869	558469	9588523	558987	CAIS DO PORTO	20 DE JULHO	LOTEAMENTO CASTELO ENCANTADO
1323	RUA 7 DE ABRIL	003269	RUA	\N	D17	N-S	\N	\N	\N	\N	004112	RUA JOSÉ SETUBAL PESSOA	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1324	RUA 1º DE NOVEMBRO	002946	RUA	\N	D17	N-S	\N	\N	\N	\N	000256	RUA ÂNGELO FIGUEIREDO	004112	RUA JOSÉ SETUBAL PESSOA	\N	\N	9588910	558791	9588734	558671	CAIS DO PORTO	\N	\N
1325	RUA NOVO IGUAÇU	004107	RUA	\N	D17	N/S	8829/2004	28/04/2004	11693/2004	13/08/2004	\N	LIMITE DO LOTEAMENTO	\N	RUA PROF HÁ FIRMEZA	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	NOVA IGUAÇU	LOT CASTELO ENCANTADO
1326	RUA LINDÓYA	004105	RUA	\N	D17	O-L	\N	\N	\N	\N	\N	SD	001547	RUA PROF. HENRIQUE FIRMEZA	\N	\N	9588800	558369	9588634	558616	CAIS DO PORTO	\N	\N
1327	RUA PEDRO TOLEDO	004109	RUA	\N	D17	O-L	\N	\N	\N	\N	021204	RUA PRAIA MAR	001547	RUA PROF. HENRIQUE FIRMEZA	\N	\N	9588765	558322	9588609	558554	CAIS DO PORTO	\N	\N
1328	RUA ESPERANTINA	004108	RUA	\N	D17	O-L	\N	\N	\N	\N	021204	RUA PRAIA MAR	001547	RUA PROF. HENRIQUE FIRMEZA	\N	\N	9588716	558294	9588576	558497	CAIS DO PORTO	\N	\N
1329	RUA SÃO BERNARDO DOS CAMPOS	004116	RUA	SÃO	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1332	RUA FCO. ALVES PEREIRA	004118	RUA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1337	TRAV. FRANCISCO ALVES PEREIRA III	021188	TRAVESSA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1339	BECO FCO. PEREIRA	023152	BECO	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1341	RUA 22 DE ABRIL	021190	RUA	\N	D17	N-S	\N	\N	\N	\N	004112	RUA JOSÉ SETUBAL PESSOA	004105	RUA LINDÓYA	\N	\N	9588822	558538	9588732	558474	CAIS DO PORTO	\N	\N
1343	RUA PRAIA MAR	021204	RUA	\N	D17	N-S	\N	\N	\N	\N	\N	RUA SD	004108	RUA ESPERANTINA	\N	\N	9588803	558349	9588716	558294	CAIS DO PORTO	\N	\N
16436	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
1388	RUA JUVENCIO VASCONCELOS	001397	RUA	\N	D17	O-L	6196/87	\N	\N	\N	000021	AV. DA ABOLIÇÃO	001745	AV. JANGADEIRO	\N	\N	9588397	557579	9588264	557974	MUCURIPE	GAMELEIRA, CORREGO BONITO	\N
1389	TRAV. SANTANA	003212	RUA	\N	D17	O-L	1671/60	16/12/1960	\N	\N	023587	TRAV. JUVÊNCIO VASCONCELOS	003565	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9588340	557640	9588313	557739	MUCURIPE	SANTANA TRAV	Consta da planta de nomenclatura de 1960
1392	TRAV. JÚLIO PINTO	004732	TRAVESSA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MUCURIPE	\N	\N
1395	RUA SANTANA	003211	RUA	\N	D17	N-S	\N	\N	\N	\N	000021	AV. DA ABOLIÇÃO	003565	VIA FÉRREA PARANGABA-MUCURIPE	RUA JUVÊNCIO VASCONCELOS	RUA OLGA BARROSO	9588505	557738	9588196	557658	MUCURIPE	\N	\N
1397	TRAV. ALTO DA SAÚDE	005231	TRAVESSA	\N	D17	O-L	\N	\N	\N	\N	\N	EDIFICAÇÕES	003565	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9588428	557694	9588406	557761	MUCURIPE	\N	\N
1403	TRAV. BAUXITA	000582	TRAVESSA	\N	D17	\N	\N	\N	\N	\N	000491	RUA BAUXITA	000021	AV. ABOLIÇÃO	\N	\N	9588522	557652	9588444	557647	MUCURIPE	\N	\N
1404	RUA BAUXITA	000491	RUA	\N	D17	O-L	1671/60	16/12/1960	\N	\N	022656	TRAV. CAETANO	000021	AV.  ABOLIÇÃO	\N	\N	9588518	557606	9588562	557809	MUCURIPE	PARTE DA RUA TEVE NOME DE r. DO ALTO (transc 69247-1zona	DEN ANTIGA - R. PRINCESA ISABEL MAT42391 CRI 1 zon
1406	AVENIDA DA ABOLIÇÃO	000021	AVENIDA	\N	D15  D17	O-L	2016/1962	\N	\N	\N	008791	AV. BARÃO DE STUDART	003581	AV. VICENTE DE CASTRO	\N	AV. LEITE BARBOSA (002135)	9588320	555176	9588662	557920	MEIRELES/MUCURIPE	AVAÍ	informação da certidão CRI 1zona-transc.58844
1408	RUA REGINA BRANDÃO	021202	RUA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1409	RUA RIACHÃO	021200	RUA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1410	TRAV. RIACHÃO	021201	TRAVESSA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1411	VILA ELIANA	021189	VILA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1423	TRAV. DA COLONIA	022784	TRAVESSA	\N	D17	N-S	\N	\N	\N	\N	\N	ORLA OCEÂNICA	003581	AV. VICENTE DE CASTRO	\N	\N	9588872	558157	9588835	558179	CAIS DO PORTO	\N	\N
1424	RUA DALMAR	022875	RUA	\N	D17	N-S	\N	\N	\N	\N	\N	ORLA MARÍTIMA	002092	AV. BEIRA MAR	\N	\N	9588722	557860	9588652	557878	CAIS DO PORTO/MUCURIPE	\N	\N
1429	TRAV.CAETANO	022656	TRAVESSA	\N	D17	N-S	\N	\N	\N	\N	002092	AV. BEIRA MAR	000491	RUA BAUXITA	\N	\N	\N	\N	\N	\N	MUCURIPE	\N	\N
1465	TRAV. ALFA	022375	TRAVESSA	\N	D18	O-L	\N	\N	\N	\N	000807	AV. CÉSAR CALS	002022	AV. JOSÉ SABÓIA	\N	\N	9588870	559446	9588919	559541	CAIS DO PORTO	\N	\N
1466	TRAV. LUIZ ROLIM	021198	TRAVESSA	\N	D18	O-L	\N	\N	\N	\N	004155	RUA PINTOR ANTÔNIO BANDEIRA	000807	AV. CÉSAR CALS	\N	\N	9588828	559328	9588879	559442	CAIS DO PORTO	\N	\N
1470	AVENIDA DIOGUINHO	001058	AVENIDA	\N	D18/i20	N-S	1671/60	16/12/1960	\N	\N	004160	AV. COM FRANCISCO DE FRANCESCO DI ÂNGELO	021101	RUA JAMAICA	\N	\N	9587474	560182	9583278	562339	PRAIA DO FUTURO I/PRAIA DO FUTURO II	\N	Na Lei, esta Rua tem início na Av. Zezé Diogo e término na Cerca.
1475	TRAV. ERNESTO IGEL	022987	TRAVESSA	\N	D18	N-S	\N	\N	\N	\N	001547	RUA PROF. HENRIQUE FIRMEZA	002022	AV. JOSÉ SABÓIA	\N	\N	9589048	559485	9588927	559529	CAIS DO PORTO	\N	\N
1477	RUA 20 DE JULHO	004112	RUA	\N	D18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
1481	TRAV. J. ALFREDO	023380	TRAVESSA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1488	RUA BARCA VELHA	007162	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1489	RUA DO PESCADOR	024159	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1490	RUA JANGADINHA	007163	RUA	\N	E05/E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1491	RUA DO CARANGUEIJO	007164	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1492	RUA MANGUEIRA	023724	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1493	RUA DO CAMARÃO	007166	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1494	RUA ILHA DO BOTE	007165	RUA	\N	E05/E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1496	RUA DO ALTO	007171	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1497	RUA RIO NOVO	007172	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1499	RUA DOS AMORES	007173	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1500	RUA BARRINHA	007174	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1501	RUA ARAPUCA	007175	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1503	RUA 7	009491	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1504	RUA 6	006716	RUA	\N	E05/E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1505	RUA XXIII	000757	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1506	RUA 7	009492	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1507	RUA GENIPO FERNANDES (RUA IX)	006719	RUA	\N	E05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	IX  LOT CIDADE OESTE	\N
1508	RUA DO TRABALHADO	006721	RUA	DONA	E05/E06	L-O	7796/1995	04/10/1995	10021/1997	09/01/1997	\N	R XX, DO LOT. CIDADE LESTE	\N	BAIXA DOS MILAGRES	\N	\N	544799	9587495	544041	9587705	QUINTINO CUNHA	TRABALHADOR, DO	NO DEC. O INÍC.  RUA ESTÁ NA  ILHA DOURADA
1509	RUA LUIS COSTA FILHO (RUA X)	006720	RUA	\N	E05/E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1514	RUA XXIV (CIDADE OESTE)	006732	RUA	\N	E06	N-S	5889/84	12/11/1984	\N	\N	\N	AV. INDEPENDENCIA	\N	RUA XI - CIDADE OESTE	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	XXIV  LOT CIDADE OESTE	 localização definida na lei
1515	RUA VII (CIDADE OESTE)	006717	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1516	RUA 7 (CIDADE OESTE)	006718	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1520	TRAV. ABRIGO	021752	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1521	TRAV. ALVIM	021753	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1523	RUA XXVII (CIDADE OESTE)	006735	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1524	RUA XXV (CIDADE OESTE)	006734	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1526	TRAV. C. GUIMARÃES (FAVELA DAS MALVINAS)	022345	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1527	TRAV. SENA (FAVELA DAS MALVINAS)	021755	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1528	TRAV. PIRAÍ (FAVELA DAS MALVINAS)	024173	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1530	TRAV. MORIENCE (FAVELA DAS MALVINAS)	021756	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1531	TRAV. AURIFAMA  (FAVELA DAS MALVINAS)	021751	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1532	BECO  PIRAÍ  (FAVELA DAS MALVINAS)	024172	BECO	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1533	RUA TILIA (FAVELA DAS MALVINAS)	021757	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1534	TRAV. TIMBUCA   (FAVELA DAS MALVINAS)	021759	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1535	TRAV. NOTREDAME  (FAVELA DAS MALVINAS)	021754	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1536	VILA VALDÍVIA  (FAVELA DAS MALVINAS)	021761	VILA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1537	TRAV. TESALIA (FAVELA DAS MALVINAS)	021750	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1538	TRAV. ANA (FAVELA DAS MALVINAS)	021758	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1541	TRAV. CAETÉ  (FAVELA DAS MALVINAS)	022657	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1542	RUA FELISTEU  (FAVELA DAS MALVINAS)	021030	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1543	BECO TRAVINA  (FAVELA DAS MALVINAS)	021029	BECO	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1544	RUA XVI (CIDADE OESTE)	006726	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1545	RUA XVII (CIDADE OESTE)	006728	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1546	RUA XXVIII (CIDADE OESTE)	006736	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1547	TRAV. JOÃO ALVES	023433	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1549	RUA JOAO TINÔCO	001846	RUA	\N	E06/E07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1554	RUA GAL. OLÍMPIO DOS SANTOS	024018	RUA	GENERAL	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1556	RUA ANDRÉ FILHO	022427	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1557	VILA BUENO	022620	VILA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1561	RUA DO CARANGUEIJO  (CJ. SÃO FCO)	007164	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1562	RUA BAIXA DO MILAGRE (CJ. SÃO FCO)	007160	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1564	SD	040119	RUA	\N	E06/E07	L-O/N-S	\N	\N	\N	\N	\N	RUA SÃO JORGE/AV. TENENTE LISBOA	\N	\N	TRAV. MOACIR	\N	\N	\N	\N	\N	QUINTINO CUNHA/PADRE ANDRADE	\N	\N
1566	TRAV. IPIRANGA (COM.S. GERARDO)	023339	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1567	RUA IPIRANGA (CJ. SÃO FCO)	007184	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1569	RUA BARCA  VELHA  (CJ. SÃO FCO)	007162	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1570	RUA 1	008071	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	conferir com o loteamento Parque Boatan
1571	RUA 2	008321	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	conferir com o loteamento
1572	RUA 3	008318	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	conferir com o loteamento
1573	RUA 4	008319	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	conferir com o loteamento
1574	RUA 5	008150	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	conferir com o loteamento
1575	RUA 6	008317	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	conferir com o loteamento
1576	RUA XIX (CIDADE OESTE)	006729	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1577	RUA XX (CIDADE OESTE)	006738	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1578	RUA XXI (CIDADE OESTE)	006731	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1579	VILA DO NEUDO	023937	VILA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1580	VILA  RAIMUNDO BARROS	024230	VILA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1581	RUA ALINE VIEIRA COLARES	007957	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1582	RUA DEPUTADO MATOSO FILHO	002397	RUA	DEPUTADO	E06/E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1583	RUA QUATRO (CONJ. MANGUEIRAL)	024207	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1584	RUA SANTO ANTÔNIO  (CONJ. MANGUEIRAL)	021762	RUA	SANTO	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1585	TRAV. STA. RITA (CONJ. MANGUEIRAL)	024279	TRAVESSA	SANTA	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1586	TRAV. DAS  TRAVES (CONJ. MANGUEIRAL)	021764	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1587	RUA SANTA ROSA (CONJ. MANGUEIRAL)	024304	RUA	SANTA	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1588	TRAV. DOM EXPEDITO (CONJ. MANGUEIRAL)	023026	TRAVESSA	DOM	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1589	RUA DOMINGOS BRAGA	004402	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1590	RUA PIO SARAIVA	004406	RUA	\N	E06/F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1592	TRAV. BRASIL	008201	TRAVESSA	\N	E06/F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1593	TRAV. 1	022001	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1594	TRAV 3	022158	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1595	TRAV. SÃO JOÃO DO OESTE (CONJ. MANGUEIRAL)	023448	TRAVESSA	SÃO	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1596	TRAV. SÃO JOSÉ (CONJ. MANGUEIRAL)	020428	TRAVESSA	SÃO	E06	\N	5488/81	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1597	TRAV. V. TÁVORA  (FAVELA DO SOSSEGO)	024585	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1598	TRAV. BOM JESUS  (FAVELA DO SOSSEGO)	022605	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1599	RUA CARLOS DE JESUS (FAVELA DO SOSSEGO)	022700	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1600	RUA M. DO CARMO (FAVELA DO SOSSEGO)	023706	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1601	SD (FAVELA DO SOSSEGO)	040117	RUA	\N	E06	N-S	\N	\N	\N	\N	\N	RUA CARLOS DE JESUS	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1602	RUA SÃO JORGE (FAVELA DO SOSSEGO)	023488	RUA	SÃO	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1603	RUA DOM LUIZ (FAVELA DO SOSSEGO)	023678	RUA	DOM	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1607	RUA PADRE PERDIGÃO SAMPAIO	008870	RUA	PADRE	E06/F06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA/ANTONIO BEZERRA	\N	\N
1608	VILA BIA	022595	VILA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1609	RUA MENDES JUNIOR	008338	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1610	RUA ANÁRIO BRAGA	000242	RUA	\N	E06/ F07	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1611	RUA TOMAS  RODRIGUES	003418	RUA	\N	E06/F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1612	TRAV. ANÁRIO BRAGA	004960	TRAVESSA	\N	E06/F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA/ANTONIO BEZERRA	\N	\N
1613	RUA PROF. RAIMUNDA   ADÉLIA	003915	RUA	PROFESSORA	E06/F06	N-S	4872/77	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1614	RUA PANAMÁ	002738	RUA	\N	E06/F06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1615	RUA ANA JULIÃO	000234	RUA	\N	E06/ F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1616	TRAV.  ANTÔNIO  JOAQUIM	000310	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1617	RUA DOUTOR JOSÉ ACCIOLY	007457	RUA	DOUTOR	E06/E07	L-O	411/1951	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/QUINTINO CUNHA	\N	PARALELA A VIA FERREA  FORTALEZA- SOBRAL,  LADO SUL
1619	VILA MISTERIO	023882	VILA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1620	TRAV. MARIA JOSÉ	003919	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1622	TRAV. MANOEL NUNES	002294	RUA	\N	E06/F06	\N	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1623	TRAV. IPANEMA	023334	TRAVESSA	\N	E06/E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1624	RUA CANDIDO MAIA	000679	RUA	\N	E06/F06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1625	VILA PRUDENTE	024204	VILA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1626	TRAV. SARGENTO JOSÉ PINTO	002015	TRAVESSA	SARGENTO	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1627	RUA NEÁPOLES	023929	RUA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1628	TRAV. BOA VISTA (FAVELA DO SOSSEGO)	022601	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1629	RUA SÃO JOAQUIM  (FAVELA DO SOSSEGO)	005479	RUA	SÃO	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1630	TRAV. CHICO ANÍSIO (FAVELA DO SOSSEGO)	022741	TRAVESSA	\N	E06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1632	RUA XXIX (CIDADE OESTE)	006741	RUA	\N	E06	\N	6966/1991	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	( 29 (CIDADE OESTE)	\N
1633	RUA DIVINO SALVADOR	002576	RUA	\N	E07/E08	L-O	2654/64	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1634	RUA LICURGO MONTENEGRO	002438	RUA	\N	E07/E08	L-O	5586/82	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1635	RUA JOAQUIM ALBANO	001855	RUA	\N	E07/E08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1636	RUA DRÁCON BARRETO	001101	RUA	\N	E07/F08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1637	RUA BANVARTH BEZERRA	000467	RUA	\N	E07/F07	\N	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1638	RUA GUATEMALA	001521	RUA	\N	E07/F07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1639	RUA BALDUÍNO FREIRE	000459	RUA	\N	E07/E08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1640	RUA GENERAL GÓIS MONTEIRO	001454	RUA	GENERAL	E07/E08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/PADRE ANDRADE	\N	\N
1641	RUA BOM SUCESSO	000574	RUA	\N	E07	L-O	1671/60	16/12/1960	\N	\N	\N	DRACON  BARRETO	\N	HERMÍNIO  SARGENTO	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1642	RUA EUCLIDES DA CUNHA	001213	RUA	\N	E07	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1643	RUA ALCÂNTARA BILHAR	000109	RUA	\N	E07	N-S	1671/1960	16/12/1960	\N	\N	\N	AV. SARGENTO HERMÍNIO SAMPAIO	\N	(001610) AV. MISTER HULL	\N	\N	\N	\N	\N	\N	PADRE ANDRADE/JARDIM IRACEMA	\N	\N
1645	RUA ANTÔNIO GUALBERTO DE SALES	001549	RUA	\N	E07/F07	\N	6763/90	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1646	RUA OSASCO	002680	RUA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1647	TRAV. BALDUÍNO FREIRE	003913	TRAVESSA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1649	RUA DOUTOR JOAO  GUILHERME	001818	RUA	DOUTOR	E07/F07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1650	RUA SERRO CORÁ	003917	RUA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1651	RUA DR. MOZART VIANA AMARAL	007527	RUA	DOUTOR	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1652	BECO BALDUÍNO FREIRE	022536	BECO	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE/ANTONIO BEZERRA	\N	\N
1653	RUA CAPITÃO BRASIL	000605	RUA	CAPITÃO	E07/F07	N-S	9143/2007	12/02/2007	\N	\N	\N	HERMINIO, SARGENTO	\N	HULL, MISTER	\N	\N	545965	9587284	545980	9586782	ANTONIO BEZERRA	\N	\N
1654	RUA ENGENHEIRO SERAINE	003252	RUA	ENGENHEIRO	E07/F07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1659	RUA RAIMUNDO PINHEIRO BASTOS	003023	RUA	\N	E07	\N	3556/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1660	RUA LINDOLFO FREIRE	002169	RUA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1661	RUA GONÇALO BEZERRA	001466	RUA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1663	RUA RAIMUNDO ROCHA  MENESES	003028	RUA	\N	E07	\N	3556/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1665	RUA OTÁVIO PARANHOS	002704	RUA	\N	E07/C07	N-S	3277/66	\N	\N	\N	\N	\N	\N	\N	002098	023327	\N	\N	\N	\N	JARDIM GUANABARA/JARDIM IRACEMA	\N	\N
1667	RUA MISERICÓRDIA	007467	RUA	\N	E07/C07	N-S	3548/68	\N	\N	\N	\N	\N	\N	\N	002098	023327	\N	\N	\N	\N	JARDIM GUANABARA/JARDIM IRACEMA	\N	\N
1668	RUA GENERAL ALÍPIO DOS SANTOS	000142	RUA	GENERAL	E07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1669	VILA EMÍLIA CORDEIRO	022977	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1781	VILA JOSÉ A. DE ARAÚJO	023512	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1670	AVENIDA CORONEL CARVALHO (PERIMETRAL)	000746	AVENIDA	CORONEL	E07/B06	N-S	3327/66	26/12/66	\N	\N	\N	\N	\N	\N	001987	001584	\N	\N	\N	\N	QUINTINOCUNHA/JARDIMIRACEMA/VILAVELHA/BC	\N	\N
1671	RUA RIO PARAGUAI	000183	RUA	\N	E07/ C07	N-S	3548/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
1675	RUA PRÍNCIPE DE NASSAU	020486	RUA	PRÍNCIPE	E07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
1676	RIO ARAGUAIA	003076	RUA	\N	E07/C07	N-S	3548/68	\N	\N	\N	\N	\N	\N	\N	002098	007457	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
1677	RIO TOCANTINS	003097	RUA	\N	E07/C07	N-S	3548/68	\N	\N	\N	\N	\N	\N	\N	002098	007457	\N	\N	\N	\N	FLORESTA/JARDIM IRACEMA	\N	\N
1678	TRAV. REGIONAL	008322	TRAVESSA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
1679	RUA POMAR	002908	RUA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
1682	RUA CIDADE ALTANEIRA	022751	RUA	\N	E07	L-O	3548/1966	30/05/1968	\N	\N	\N	RUA  BRANCA BILHAR	\N	AV. CORONEL CARVALHO  (PERIMETRAL )	\N	\N	\N	\N	\N	\N	FLORESTA	\N	LEI ESPECIFICA, PONTO FINAL ALTERADO PELA LEI  3284/66(ROSINHA SAMPAIO)
1684	TRAV. SANTA MARIA	023782	TRAVESSA	SANTA	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1685	VILA MATEUS	023831	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1686	VILA JOSÉ MARIA	023544	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1687	VILA STA. BRÍGIDA	022614	VILA	SANTA	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1688	VILA JOSÉ INÁCIO	023540	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1689	VILA STA. ANA	022414	VILA	SANTA	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1690	VILA NOVA EUROPA	023988	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1691	VILA COELHO XAVIER	022779	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
1692	RUA TAGUATINGA	024438	RUA	\N	E07/C18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	003709	002522	\N	\N	\N	\N	ANTONIO BEZERRA/CAIS DO PORTO	\N	\N
1694	TRAV. SÃO JOSÉ	009218	TRAVESSA	SÃO	E07/E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1695	TRAV. MOACIR	009217	TRAVESSA	\N	E07/E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1696	VILA M. SARAIRA	023711	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1698	SD	040121	RUA	\N	E07/E08	N-S/L-O	\N	\N	\N	\N	\N	TRAV. ANTÔNIO MENDES	\N	\N	VIA FÉRREA/ÁRVORE	\N	\N	\N	\N	\N	QUINTINO CUNHA/PRES. KENEDY	\N	\N
1699	VILA MOACIR	023885	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1700	VILA FCO. BIZARRIA	023134	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
1702	VILA   ROCHA	024283	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1703	VILA ELIZABETH	022969	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1704	TRAV. L. FREIRE	008178	TRAVESSA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1706	RUA ROSA LEITE OLIVEIRA	003142	RUA	\N	E07/C07	N-S	3206/66	\N	\N	\N	\N	\N	\N	\N	002098	023327	\N	\N	\N	\N	JARDIM GUANABARA/JARDIM IRACEMA	\N	\N
1708	TRAV.C. ARAÚJO	022340	TRAVESSA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
1709	RUA DEMÉTRIO MENEZES	001021	RUA	\N	E07/F07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1712	AV. BEZERRA DE MENEZES	000549	AVENIDA	\N	E08/E11	L-O	1671/60	16/12/1960	\N	\N	001623	AV. PADRE IBIAPINA	000349	AV. GOV. PARSIFAL BARROSO	\N	RUA JOAQUIM MARQUES	9587687	551126	9587015	547894	PRES. KENEDY/PICI/FARIAS BRITO	no trecho praça do mercado até a Rua Justiniano de Serpa teve o nome de Rua Juvenal Galeno (ver planta de 1948)	\N
1713	AVENIDA MISTER HULL	001610	AVENIDA	MISTER	E08/F08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY / PICI/PADRE ANDRADE	\N	\N
1714	RUA JOAQUIM MARQUES	001891	RUA	\N	E08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1715	TRAV. SANTA ISABEL	001682	TRAVESSA	SANTA	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1716	RUA MENDES GUIMARÃES	002423	RUA	\N	E08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1717	RUA TENENTE MARQUES	002376	RUA	TENENTE	E08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1718	RUA MATIAS  BECK (1)	002391	RUA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1720	RUA ITAMARATI	001699	RUA	\N	E08/F08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY/PADRE ANDRADE	\N	\N
1721	RUA CANADÁ	022678	RUA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1723	RUA MÉXICO	002406	RUA	\N	E08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1724	RUA ANTÔNIO LAFAYETTE	000313	RUA	\N	E08/ F08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY/ PADRE ANDRADE	\N	\N
1725	RUA OURO BRANCO	002709	RUA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1726	BECO TEN. MARQUES	023817	BECO	TENENTE	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1727	RUA PE. MARCIO FEITOSA	023771	RUA	PADRE	E08/F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY / PADRE ANDRADE	\N	\N
1728	RUA EDGAR FALCÃO	001118	RUA	\N	E08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1732	RUA EVANDRO LUZ	001230	RUA	\N	E08/F08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1735	RUA EMÍLIA FREITAS	001164	RUA	\N	E08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1737	RUA PADRE GUILHERME	001525	RUA	PADRE	E08/F08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE / PRES KENEDY	\N	\N
1738	RUA SENADOR ÁLVARO ADOLFO	000172	RUA	SENADOR	E07  E08	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE / PRES KENEDY	\N	\N
1739	RUA AROLDO LEÃO	001551	RUA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1740	TRAV. EVANDRO LUZ	001231	TRAVESSA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1742	RUA DOUTOR JOÃO POMBO	001839	RUA	DOUTOR	E08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1744	RUA DES. GUIMARÃES	001536	RUA	DESEMBARGADOR	E08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1745	RUA PADRE MÁXIMO FEITOSA	002404	RUA	PADRE	E08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1751	RUA FREI DAMIÃO	022877	RUA	FREI	E08/G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY/PICI	\N	\N
1756	RUA PEDRO PONCIANO	002823	RUA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1757	RUA DOM MAURÍCIO	002400	RUA	DOM	E08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE/ PRES. KENEDY	\N	\N
1764	RUA A.  ANDRADE	022332	RUA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
1765	RUA ANTÔNIO MOREIRA	022456	RUA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
1768	RUA 1 LOT. SINCOL	006703	RUA	\N	E08/E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1769	RUA 2 LOT. SINCOL	006702	RUA	\N	E08/E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1770	AVENIDA GOVERNADOR PARSIFAL BARROSO	000349	AVENIDA	GOVERNADOR	E08/F08	N-S	6720/1990	\N	9521/1994	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY/PICI/PARQUELANDIA	\N	\N
1771	RUA 3 LOT. SINCOL	006701	RUA	\N	E08/E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1772	RUA 5 LOT. SINCOL	006699	RUA	\N	E08 -E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1773	RUA MARIA  MIRIAM  F.  DE  SOUZA	006700	RUA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1774	RUA 6 LOT. SINCOL	021522	RUA	\N	E08/E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1777	PRACA GOMES DE FREITAS	023219	PRAÇA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENNEDY	\N	\N
1778	TRAV. ANTÔNIO MENDES	000319	TRAVESSA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1779	RUA MARINGÁ	004377	RUA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1780	TRAV. EDINÓPOLIS	022947	TRAVESSA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1783	VILA FREIRE	023162	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1784	VILA ALDENIR	022368	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1785	VILA SOUSA	024427	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1786	VILA NATÁLIA	023925	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
1788	TRAV. ARAÚJO	022471	TRAVESSA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1789	TRAV. ANTÔNIO MESQUITA	009365	TRAVESSA	\N	E08	\N	3650/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1791	VILA EVALIA	023021	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1792	VILA CANDIDO	022684	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1793	VILA FCA.CONCEICÃO	023101	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1794	VILA IGAPORÉ	023312	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1795	QD. O - CONJ. CASTELO BRANCO	024000	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1796	QD. N - CONJ. CASTELO BRANCO	023914	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1797	QD. M - CONJ. CASTELO BRANCO	023699	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1798	QD. J - CONJ. CASTELO BRANCO	023371	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1799	QD. L - CONJ. CASTELO BRANCO	023596	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1800	RUA HAROLDO TORRES (1)	001552	RUA	\N	E08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1801	QD. H - CONJ. CASTELO BRANCO	023258	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1802	QD. P - CONJ. CASTELO BRANCO	024041	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1803	QD. F - CONJ. CASTELO BRANCO	023030	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1804	QD. E - CONJ. CASTELO BRANCO	022932	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1805	QD. D CONJ. CASTELO BRANCO	022854	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1806	QD. A - CONJ. CASTELO BRANCO	022309	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1807	QD. G - CONJ. CASTELO BRANCO	023167	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1808	QD. B - CONJ. CASTELO BRANCO	022530	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1810	RUA SALGUEIRO	021542	RUA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1814	VILA DO MAURO	023837	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1815	VILA LARA	023615	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1816	VILA LURDES	023686	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1817	VILA KENNEDY	004391	VILA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1818	TRAV. SÃO FRANCISCO DAS CHAGAS	023136	TRAVESSA	SÃO	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1820	VILA PROF. ARAÚJO	022470	VILA	PROFESSOR	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1821	SD	040123	RUA	\N	E08/E09	N-S	\N	\N	\N	\N	\N	RUA HAROLDO TORRES/MURO	\N	\N	RUA SEM. A'LVARO ADOLFO/AV. BEZERRA DE MENEZES	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1822	QD. I - CONJ. CASTELO BRANCO	023303	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1823	QD. C - CONJ. CASTELO BRANCO	022631	QUADRA	\N	E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1824	PRACA ZÉLIA G. FONTENELE	024622	PRAÇA	\N	E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1826	TRAV. HOSPEDARIA	001603	TRAVESSA	\N	E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SÃO GERARDO	\N	\N
1828	SD COND. RES. NOVA AURORA	040126	RUA	\N	E09	L-O	\N	\N	\N	\N	\N	RUA ERITIDES MARTINS	\N	\N	RUA ERITIDES MARTINS	\N	\N	\N	\N	\N	SÃO GERARDO	\N	\N
1831	SD COND. RES. NOVA AURORA	040129	RUA	\N	E09/F09	N-S	\N	\N	\N	\N	\N	RUA GUSTAVO SAMPAIO	\N	\N	MURO	\N	\N	\N	\N	\N	PARQUELÂNDIA	\N	\N
1834	RUA SÃO JUDAS TADEU	002048	RUA	SÃO	E09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1837	RUA MARIA MIRIAM FERREIRA  DE SOUZA	006700	RUA	\N	E09	L-O	6994/1991	09/10/1991	8798/92	\N	\N	BRAZ DE FRANCESCO	\N	PARSIFAL BARROSO	\N	\N	\N	\N	\N	\N	PRESIDENTE  KENNEDY	RUA 04     DO LOTEAMENTO  SINCOL	\N
1842	RUA ARMANDO OLIVEIRA	000387	RUA	\N	E09/ F09	N-S	\N	\N	\N	\N	000549	AV. BEZERRA DE MENEZES	001615	AV. HUMBERTO MONTE	\N	\N	9587053	548088	9586573	548043	PARQUELANDIA	\N	\N
1843	RUA MOREIRA  DE  SOUSA	002498	RUA	\N	E09/F09	N-S	\N	\N	\N	\N	000549	AV. BEZERRA DE MENEZES	001615	AV. HUMBERTO MONTE	\N	\N	9587070	548169	9586464	548124	PARQUELANDIA	\N	\N
1844	RUA RAIMUNDO VITOR	003032	RUA	\N	E09/F09	N-S	1671/60	16/12/1960	\N	\N	000549	AV. BEZERRA DE MENEZES	001615	AV. HUMBERTO MONTE	\N	\N	9587077	548202	9586218	548383	PARQUELANDIA	\N	\N
1845	RUA TIPÓGRAFO SALES	003192	RUA	TIPÓGRAFO	E09/F09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA / AMADEU FURTADO	\N	\N
1847	RUA ÉRICO MOTA	001179	RUA	\N	E09/F09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA/AMADEU FURTADO	\N	\N
1848	TRAV. ÉRICO MOTA	022986	TRAVESSA	\N	E09	L-O	\N	\N	\N	\N	\N	VEGETAÇÃO	001179	RUA ÉRICO MOTA	\N	\N	9587097	548661	9587081	548578	PARQUELANDIA	\N	\N
1849	RUA PROFº. LINO ENCARNACÃO	002175	RUA	PROFESSOR	E09/G09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA/AMADEU FURTADO	\N	\N
1850	RUA PEDRO DE QUEIRÓS	002824	RUA	\N	E09/G09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA/AMADEU FURTADO	\N	\N
1851	BECO PEDRO DE  QUEIRÓS	024134	BECO	\N	E09	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	002824	RUA PEDRO DE QUEIROZ	\N	\N	9587022	548926	9587010	548844	PARQUELANDIA	\N	\N
1852	RUA DOM JOSÉ LOURENÇO	001990	RUA	DOM	E09/G09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA/AMADEU FURTADO	\N	\N
1853	RUA GENERAL PIRAGIBE	002885	RUA	GENERAL	E09/F10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA/AMADEU FURTADO	\N	\N
1854	RUA 2 DE OUTUBRO	001071	RUA	\N	E09	N-S	\N	\N	\N	\N	001543	RUA GUSTAVO SAMPAIO	000444	RUA AZEVEDO BOLÃO	\N	\N	9587128	549119	9587009	549144	PARQUELANDIA	\N	\N
1856	RUA DOM LINO	002174	RUA	DOM	E09/F10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA/AMADEU FURTADO	\N	\N
2024	TRAV.SÃO CAMILO	000771	TRAVESSA	SÃO	E11	L-O	\N	\N	\N	\N	008705	RUA PADRE MORORÓ	\N	MURO	\N	\N	9587477	551165	9587457	551222	FARIAS BRITO	\N	\N
1857	VILA  GUSTAVO  SAMPAIO	023250	VILA	\N	E09	N-S	\N	\N	\N	\N	001543	AV. BEZERRA DE MENEZES	\N	EDIFICAÇÃO	MURO	MURO	9587134	549135	9587170	549093	PARQUELANDIA	\N	A vila apresenta duas vias perpendiculares. Um formato em "T"
1858	RUA FRANCISCO CARVALHO E SILVA	003872	RUA	\N	E09	L-O	5181/79	\N	\N	\N	002885	RUA GENERAL PIRAGIBE	001990	RUA DOM JOSÉ LOURENÇO	\N	\N	9587172	549062	9587148	 548940	PARQUELANDIA	\N	\N
1861	RUA SÃO JUDAS TADEU (2)	002048	RUA	SÃO	E09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1862	RUA IPÊ	001665	RUA	\N	E09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1867	RUA HERÁCLITO DOMINGUES	001577	RUA	\N	E09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1868	RUA SOARES BULCÃO	008811	RUA	\N	E09/E10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1869	RUA DR. HÉLIO VIANA	001559	RUA	DOUTOR	E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1871	RUA JUVENAL DE CARVALHO	023586	RUA	\N	E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1873	RUA CEL. VIRGILIO NOGUEIRA PAES	003661	RUA	CORONEL	E09	N-S	3998/72	28/04/1972	\N	\N	\N	SÃO JUDAS TADEU	\N	IPÊ	\N	\N	\N	\N	\N	\N	ALAGADIÇO	MEI MEI - ARTERIA CONHECIDA COMO	LEI ESPECIFICA CONJ.RESID. PLANALTO MONTE CASTELO
1874	RUA CARMEN CINIRA	000738	RUA	\N	E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1876	RUA CAP. ISRAEL PINHEIRO	004954	RUA	CAPITÃO	E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1878	RUA PROF. EDUARDO BARROS LEAL	006691	RUA	PROFESSOR	E09	\N	6892/91	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1879	RUA PE. LEOPOLDO FERNANDES	002148	RUA	PADRE	G12	N-S	1671/60	16/12/1960	\N	\N	003449	AV. 13 DE MAIO	001135	AV. EDUARDO GIRÃO (AV. DO CANAL)	\N	\N	9585509	552416	9585131	552100	FÁTIMA	\N	\N
1880	RUA MONS. JOÃO DANTAS	008428	RUA	MONSENHOR	E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1885	RUA 10 DE AGOSTO	001034	RUA	TABELIÃO	E09	L/O	5287/1980	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	10 DE AGOSTO	\N
1887	RUA BRAZ DE FRANCESCO	007717	RUA	\N	E09	S-N	5542/82	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1893	RUA INTERNACIONAL	004382	RUA	\N	E09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRES. KENEDY	\N	\N
1895	RUA PIO RODRIGUES	002472	RUA	\N	E10	L-O	4759/76	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1897	RUA MORENINHA IRINEU	002501	RUA	\N	E10/F09	L-O	1671/60	16/12/1960	\N	\N	003007	RUA PROF. RAIMUNDO ARRUDA	\N	EDIFICAÇÃO	\N	\N	9587081	549830	9586975	549316	PARQUELANDIA	\N	Na lei a via termina na Rua Cons. Álvaro de Oliveira, mas ela se estede por mais alguns metros e  termina sem saída.
1900	RUA LUIS CARLOS FELIX	000141	RUA	\N	E10	L-O	\N	\N	9138/93	\N	020331	RUA ESCRIVÃO  PEDRO FRANCISCO DE ASSIS	002565	RUA PROFESSOR NOGUEIRA	\N	\N	9587281	550167	9587257	550047	PARQUELANDIA	\N	Na lei a via inici-se na Rua Prof. Castelo Branco.
1901	TRAV. CRUZ SALDANHA	000973	TRAVESSA	\N	E10	L-O	\N	\N	\N	\N	000237	RUA PROF. ANACLETO	000972	RUA CRUZ SALDANHA	\N	\N	9587180	549686	9587155	549567	PARQUELANDIA	\N	\N
1902	RUA CONEGO  PINTO  MENDONCA	002878	RUA	CÔNEGO	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1905	RUA CONSELHEIRO ALVARO DE OLIVEIRA	000186	RUA	CONSELHEIRO	E10	N-S	\N	\N	\N	\N	020424	TRAV. DONA TICHA CARVALHO	001471	RUA GONÇALVES DIAS	\N	\N	9587429	549251	9586288	549486	PARQUELANDIA	\N	Na lei a via inicia-se na Av. Bezerra de Menezes, mas houve uma extensão de duas quadras até a Trav. Dona Ticha Carvalho.
7097	RUA SANTABAYA	003209	RUA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
1906	RUA CONSELHEIRO VIEIRA DA SILVA	003611	RUA	CONSELHEIRO	E10	N-S	1671/60	16/12/1960	\N	\N	000549	AV. BEZERRA DE MENEZES	\N	EDIFICAÇÃO	\N	\N	9587325	549406	9586493	549579	PARQUELANDIA	\N	Na lei a via termina na Rua Gonçalves Dias, mas a via não se estende até a mesma, terminando assim  numa edificação (Rua sem saída)
1907	RUA CRUZ SALDANHA	000972	RUA	\N	E10/F10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA/ AMADEU FURTADO	\N	\N
1908	RUA PROFESSOR ANACLETO	000237	RUA	PROFESSOR	E10/ F10	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA/ PARQUE ARAXÁ	\N	\N
1909	RUA PROFESSOR RAIMUNDO ARRUDA	003007	RUA	PROFESSOR	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA/PARQUE ARAXÁ	\N	\N
1911	VILA MEIRELLES	023846	VILA	\N	E10	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	001543	RUA GUSTAVO SAMPAIO	\N	\N	9587283	549582	9587226	549595	PARQUELANDIA	\N	\N
1912	VILA  J. NOGUEIRA	023388	VILA	\N	E10	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	000237	RUA PROF. ANACLETO	\N	\N	9587296	549726	9587283	549666	PARQUELANDIA	\N	\N
1913	RUA JOSÉ BARCELOS	023525	RUA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA/PARQUE ARAXÁ	\N	\N
1915	TRAV. PROFº. NOGUEIRA	002566	TRAVESSA	PROFESSOR	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1916	RUA PROFESSOR NOGUEIRA	002565	RUA	PROFESSOR	E10/F10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA/PARQUE ARAXÁ/RODOLFO TEOFIL	\N	\N
1917	RUA PROF. CASTELO BRANCO	000762	RUA	PROFESSOR	E10/F10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1918	RUA OTÁVIO JUSTA	002702	RUA	\N	E10/F10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1919	VILA NESTOR GURGEL	002529	VILA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1921	VILA  STA  MARIA	023784	VILA	SANTA	E10/F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ/RODOLFO TEÓFILO	\N	\N
1922	RUA ESCRITOR PEDRO PEREIRA DE ASSIS	024144	RUA	ESCRITOR	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ/PARQUELANDI	\N	\N
1923	TRAV. CARIOCA	000703	TRAVESSA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1924	RUA JOSÉ SOMBRA	002024	RUA	\N	E10/F11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1925	RUA COREAÚ	000918	RUA	\N	E10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1926	VILA FORTALEZA	001256	VILA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1927	VILA  BECO   NOVO	000346	VILA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1928	VILA IRIS	001677	VILA	\N	E10/E11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1929	TRAV. SEN. CARLOS JEREISSATI	022701	TRAVESSA	SENADOR	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1930	RUA DONATÍLIA CARVALHO	001084	RUA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1931	RUA ADOLFO SILVEIRA	000008	RUA	\N	E10	L-O	723/1953	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1932	RUA AGEU ROMERO	001094	RUA	\N	E10	L-O	5182/1979	31/08/79	6026/82	\N	\N	FIM DO LOT ESPÓLIO ESTEFÂNIA MENDES MOTA	\N	(001199) RUA ESTEFÂNIA	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1933	RUA VINÍCIUS DE MORAIS	004508	RUA	\N	E10/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO/SIQUEIRA	\N	\N
1934	SD	040127	RUA	\N	E10/E09	L-O/N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA ERITIDES/RUA HAROLDO	\N	\N	\N	\N	\N	SÃO GERARDO	\N	\N
1936	TRAV. DONATILIA CARVALHO	001084	TRAVESSA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1937	RUA ESTEFÂNIA MENDES MOTA	001199	RUA	\N	E10	N-S	4599/1975	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	1  ,RUA  - Lot. ESTEFANIA MENDES MOTA	\N
1938	RUA ANTÔNIO DRUMOND	000301	RUA	\N	E10	L-O	1671/60	16/12/1960	\N	\N	001945	AV.JOSÉ BASTOS/VIA FÉRREA	002835	RUA PENAFORTE	\N	SD	9587927	550522	9587975	549384	FARIAS BRITO / MONTE CASTELO / ALAGADIÇO	\N	\N
1940	RUA LEIRIA DE ANDRADE	002150	RUA	\N	E10	L-O	1671/60	16/12/1960	\N	\N	003375	RUA TEÓFILO GURGEL	000271	ANTONINA DO NORTE	\N	ALAGADO SÃO GERALDO	9587745	550399	9587861	549323	FARIAS BRITO/ALAGADIÇO	\N	\N
1941	RUA PROF. PARENTE	024070	RUA	PROFESSOR	E10	L-O	7680/95	\N	9700/95	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1942	RUA CASIMIRO MONTENEGRO	000755	RUA	\N	E10	L-O	1671/60	16/12/1960	\N	\N	003375	RUA TEÓFILO GURGEL	000271	ANTONINA DO NORTE	\N	RUA DEP. MANUEL MATOSO FILHO	9587683	550411	9587736	549528	FARIAS BRITO/ALAGADIÇO	\N	\N
2025	VILA  SÃO  LUIZ	002212	VILA	SÃO	E11	N-S	\N	\N	\N	\N	\N	MURO	023677	RUA SÃO LUIZ	\N	\N	9587303	551581	9587248	551566	BENFICA	\N	\N
1943	TRAV. TIJUCA	003397	RUA	\N	E10	L-O	1671/60	16/12/1960	\N	\N	003071	RUA CEL. RIBEIRO DA SILVA	001379	RUA PADRE FROTA	\N	\N	9587706	550220	9587713	550143	FARIAS BRITO	TIJUCA  TV  ( AERO 1995) CONHECIDA COMO	\N
1945	RUA JOSÉ MARROCOS	001998	RUA	\N	E10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1946	RUA DR. HENRIQUE NOGUEIRA	023283	RUA	DOUTOR	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1947	TRAV.  SOARES BULCÃO	020419	TRAVESSA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1951	RUA RIBEIRO DA SILVA	003071	RUA	CORONEL	E10	N-S	1671/60	16/12/1960	\N	\N	001584	AV. SARG. HERMÍNIO SAMPAIO	000549	AV. BEZERRA DE MENESES	\N	\N	9588344	550292	9587500	550253	FARIAS BRITO/MONTE CASTELO	NITERÓI	\N
1960	VILA DOUTOR ALENCAR	000118	VILA	DOUTOR	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1961	RUA PENAFORTE	001074	RUA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	SÃO DOMIGOS  (TRANSCRIÇÃO 88312 - 3 ZONA	\N
1962	RUA ANTONINA DO NORTE	000271	RUA	\N	E10	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1965	ALAMEDA GIRASSOL CJ.NOVO TEMPO II	020420	ALAMEDA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1966	ALAMEDA VITÓRIA CJ.NOVO TEMPO II	020421	ALAMEDA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1967	ALAMEDA MANDACARU CJ.NOVO TEMPO II	020422	ALAMEDA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1968	ALAMEDA SERTANEJO CJ.NOVO TEMPO II	020423	ALAMEDA	\N	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
1971	SD	040130	RUA	\N	E10	L-O	\N	\N	\N	\N	\N	MURO/RUA JOSÉ CÂNDIDO	\N	\N	RUA JOSÉ BARCELOS/MURO	\N	\N	\N	\N	\N	PARQUE ARAXÁ/SÃO GERARDO	\N	\N
1972	SD	040132	RUA	\N	E10/E11	L-O	\N	\N	\N	\N	003071	RUA CORONEL RIBEIRO DA SILVA	\N	\N	MURO/RUA CARVALHO MOTA	\N	\N	\N	\N	\N	FARIAS BRITO/PARQUE ARAXÁ	\N	\N
1973	VILA  SÃO PEDRO	024122	VILA	SÃO	E10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
1975	RUA EDÍLIA REGO BARROS	001121	RUA	\N	E10	\N	\N	\N	\N	\N	002565	RUA PROFESSOR NOGUEIRA	000444	RUA AZEVEDO BOLÃO	\N	\N	9587273	550044	9587180	549984	PARQUELANDIA	\N	\N
1976	VILA S. BENEDITO	000471	VILA	SÃO	E10	L-O	\N	\N	\N	\N	003375	TEÓFILO GURGEL	\N	MURO	\N	\N	9587834	550384	9587826	550319	FARIAS BRITO	\N	\N
1979	RUA JOAQUIM NOGUEIRA	023475	RUA	\N	E11	N-S	\N	\N	\N	\N	000789	AV. DUQUE DE CAXIAS	000859	RUA GENERAL CLARINDO DE QUEIROZ	\N	\N	550925	9587970	550951	9587845	FARIAS BRITO	\N	\N
1980	RUA AGAPITO DOS SANTOS	000067	RUA	\N	E11	N-S	1671/1960	16/12/1960	\N	\N	003396	 RUA TIJUBANA	000789	 AV. DUQUE DE CAXIAS	\N	\N	9588704	551406	9587893	551162	CENTRO	FILGUEIRAS, CONCÓRDIA, Nº18  E CONCÓRDIA.	\N
1985	VILA AZUL	003982	VILA	\N	E11	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
1987	RUA JARDIM PRINCESA IZABEL	001762	RUA	\N	E11	N-S	\N	\N	\N	\N	002823	PEDRO I	000789	AV DUQUE DE CAXIAS	\N	\N	9587893	551487	9587797	551460	CENTRO	\N	\N
1988	VILA DIOGO	001055	VILA	\N	E11/E12	N-S	\N	\N	\N	\N	002823	PEDRO I	000789	AV DUQUE DE CAXIAS	\N	\N	9587855	551604	9587759	551576	CENTRO	\N	\N
1990	TRAV. EPIFÂNIO LEITE	020407	TRAVESSA	\N	E11	L-O	\N	\N	\N	\N	001172	RUA EPIFÂNIO LEITE	001945	AV. JOSÉ BASTOS	\N	\N	9587945	550665	9587920	550533	FARIAS BRITO	\N	\N
1991	RUA SALUSTIANO JOSÉ DE MELO	007306	RUA	\N	E11	L-O	5464/81	22/10/1981	\N	\N	001172	RUA EPIFÂNIO LEITE	001945	AV. JOSÉ BASTOS	\N	\N	9587833	550684	9587808	550553	FARIAS BRITO	\N	LEI ESPECIFICA
1992	RUA OTHON DE NORÕES	003902	RUA	\N	E11	L-O	4874/77	\N	\N	\N	000704	RUA CARIRÉ	002085	RUA JUSTINIANO DE SERPA	\N	\N	9587811	550907	9587810	550797	FARIAS BRITO	\N	\N
1993	TRAV. DAVI PASCOAL	\N	TRAVESSA	\N	E11	L-O	\N	\N	\N	\N	002085	RUA JUSTINIANO DE SERPA	020408	TRAV. LARGA	\N	\N	9587908	550807	9587917	550745	FARIAS BRITO	\N	\N
1995	SD	040140	RUA	\N	E11/E12	N-S/L-O	\N	\N	\N	\N	\N	RUA JOSÉ ALEXANDRE/RUA SENADOR POMPEU	\N	\N	RUA GENERAL SAMPAIO	\N	\N	\N	\N	\N	CENTRO/FARIAS BRITO	\N	\N
1996	RUA DO CORRENTE	022808	RUA	\N	E11	N-S	\N	\N	\N	\N	002085	RUA JUSTINIANO DE SERPA	002085	RUA JUSTINIANO DE SERPA	\N	\N	9587887	550805	9587829	550799	FARIAS BRITO	\N	\N
1997	RUA GENERAL CLARINDO DE QUEIROZ	000859	RUA	GENERAL	E11/E13	L-O	1671/1960	16/12/1960	\N	\N	003079	VISCONDE DO RIO BRANCO	002085	RUA JUSTINIANO DE SERPA	\N	\N	9587236	552851	9587891	550805	CENTRO/FARIAS BRITO	GENERAL CLARINDO ??	\N
1998	RUA ODILON SOARES	002621	RUA	\N	E11	L-O	\N	\N	\N	\N	002085	RUA JUSTINIANO DE SERPA	001223	RUA ENRICO FACÓ	\N	\N	9587728	550789	9587773	551008	FARIAS BRITO	\N	\N
1999	RUA JUSTINIANO DE SERPA	002085	RUA	\N	E11/F11	N-S	1671/60	16/12/1960	\N	\N	000789	AV. DUQUE DE CAXIAS	003449	AV. 13 DE MAIO	\N	\N	9588005	550817	9586726	550986	FARIAS BRITO/BENFICA	ESTRADA DO GADO	\N
2000	VILA MOTA	002466	VILA	\N	E11	L-O	\N	\N	\N	\N	001945	AV. JOSÉ BASTOS	\N	MURO	\N	\N	9587715	550569	9587726	550637	FARIAS BRITO	\N	\N
2001	RUA BOA VIAGEM	000019	RUA	\N	E11	L-O	1671/60	16/12/1960	\N	\N	002085	RUA JUSTINIANO DE SERPA	001945	AV. JOSÉ BASTOS	\N	\N	9587682	550787	9587647	550581	FARIAS BRITO	\N	\N
2002	TRAV. BOA VIAGEM	020406	TRAVESSA	\N	E11	N-S	\N	\N	\N	\N	023950	TRAV. SANTA NORMA	000019	RUA BOA VIAGEM	\N	\N	9587735	550753	9587679	550762	FARIAS BRITO	\N	\N
2004	RUA EURICO FACÓ	001223	RUA	\N	E11	N-S	1671/60	16/12/1960	\N	\N	000789	AV. DUQUE DE CAXIAS	000549	AV. BEZERRA DE MENESES	\N	\N	9587955	550970	9587664	551031	FARIAS BRITO	\N	\N
2006	TRAV. ISMENIA	001693	TRAVESSA	\N	E11	L-O	\N	\N	\N	\N	002502	RUA PADRE MORORÓ	003381	RUA TEREZA CRISTINA	\N	\N	9587791	551258	9587752	551381	CENTRO	\N	\N
2007	RUA CARIRÉ	000704	RUA	\N	E11	N-S	1671/60	16/12/1960	\N	\N	000789	AV. DUQUE DE CAXIAS	000549	AV. BEZERRA DE MENEZES	\N	\N	9587988	550868	9587646	550943	FARIAS BRITO	\N	\N
2008	TRAV. STA. NORMA	023950	TRAVESSA	SANTA	E11	L-O	\N	\N	\N	\N	002085	RUA JUSTINIANO DE SERPA	020409	RUA LIVREIRO ARLINDO	\N	\N	9587741	550790	9587740	550790	FARIAS BRITO	\N	\N
2009	RUA BORGES DA FONSECA	000587	RUA	\N	E11	L-O	1671/60	16/12/1960	\N	\N	020409	RUA LIVREIRO ARLINDO	001945	AV. JOSÉ BASTOS	\N	\N	9587776	550717	9587749	550563	FARIAS BRITO	S. LOURENÇO	\N
2011	TRAV. ROSITA	003153	TRAVESSA	\N	E11	N-S	\N	\N	\N	\N	001693	TRAV. ISMÊNIA	000859	RUA GENERAL CLARINDO DE QUEIRÓS	\N	\N	9587778	551299	9587739	551285	CENTRO	\N	\N
2012	RUA METON DE ALENCAR	002436	RUA	\N	E11/E13	L-O	1671/1960	16/12/1960	\N	\N	003079	RUA VISCONDE DO RIO BRANCO	000549	AV. BEZERRA DE MENEZES	\N	\N	9587105	552876	9587687	551126	CENTRO	4 ,  RUA  RUA S. SEBASTIÃO	\N
2013	RUA ÂNGELO RATTACASO	000257	RUA	\N	E11	N-S	\N	\N	\N	\N	002436	RUA METON DE ALENCAR	000321	RUA ANTÔNIO POMPEU	\N	\N	9587661	551165	9587541	551123	CENTRO	\N	\N
2014	TRAV. ITAPAJÉ	001701	TRAVESSA	\N	E11	N-S	1671/1960	16/12/1960	\N	\N	002436	RUA METON DE ALENCAR	000321	RUA ANTÔNIO POMPEU	\N	\N	9587634	551245	9587515	551205	CENTRO	\N	\N
2015	RUA RUBIA SAMPAIO	000649	RUA	\N	E11	N-S	5055/1978	\N	\N	\N	000549	AV.BEZERRA DE MENEZES	003091	RAIMUNDO LOPES	\N	\N	9587679	551098	9587091	550955	CENTRO/FARIAS BRITO	DAS CAMBIRIMBAS	\N
2018	AVENIDA JOSÉ BASTOS	001945	AVENIDA	\N	E11/G11	N-S	1671/60	16/12/1960	\N	\N	001360	AV. FRANCISCO SÁ	001836	AV. JOÃO PESSOA	AV. CARAPINIMA	AV. AUGUSTO DOS ANJOS	9588744	550388	9583654	548926	JACAR/FBRITO/MONTCAS/BENF/PARAXA/DAMAS/RTEOF/BVISTA/PAN AMER	\N	\N
2019	RUA PADRE GRAÇA	001479	RUA	PADRE	E11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2020	RUA BARÃO DE IBIAPABA	001620	RUA	BARÃO	E11	L-O	430/51	\N	\N	\N	008705	RUA PADRE MORORÓ	000649	RUA RUBIA SAMPAIO	\N	\N	9587498	551171	9587470	551031	FARIAS BRITO	PARAÍSO,  TRAVESSA	\N
2022	VILA DAS VIRGENS	020404	VILA	\N	E11	\N	\N	\N	\N	\N	000649	RUA RUBIA SAMPAIO	\N	MURO	\N	\N	9587455	551027	9587392	551078	FARIAS BRITO	\N	\N
2023	RUA JÚLIO BARBOSA DE CARVALHO	001542	RUA	\N	E11	L-O	4627/77	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2026	RUA SÃO LUIZ	023677	RUA	SÃO	E11	L-O	\N	\N	\N	\N	003476	AV. TRISTÃO GONÇALVES	001637	AV. DO IMPERADOR	\N	\N	9587231	551621	9587270	551501	BENFICA	\N	\N
2027	TRAV. COM. ACIOLY	022785	TRAVESSA	COMENDADOR	E11	N-S	\N	\N	\N	\N	000231	RUA ANTÔNIO POMPEU	\N	MURO	\N	\N	9587464	551361	9587338	551323	FARIAS BRITO	\N	\N
2028	RUA CARLOS SEVERO	000729	RUA	\N	E11	N-S	1671/60	16/12/1960	\N	\N	000549	AV. BEZERRA DE MENEZES	001081	AV. DOMINGOS OLÍMPIO	\N	\N	9587634	550890	9587387	550938	FARIAS BRITO	ANTÔNIO, SANTO	\N
2029	RUA GUSTAVO SAMPAIO	001543	RUA	\N	E11/F09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ/PARQUELANDIA	\N	\N
2031	VILA BEATRIZ SIQUEIRA	002072	VILA	\N	E11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2033	PRACA MANOEL RODRIGUES DA SILVA	023749	PRAÇA	\N	E11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2034	VILA JÚLIO SIQUEIRA	023579	VILA	\N	E11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2035	VILA  PROCÓPIO	024202	VILA	\N	E11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2616	RUA MARIA CARMO	023795	RUA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
2038	SD	040136	RUA	\N	E11	L-O	\N	\N	\N	\N	\N	RUA TEREZA CRISTINA	\N	\N	RUA PADRE MORORÓ	\N	\N	\N	\N	\N	FARIAS BRITO	\N	\N
2039	RUA AZEVEDO BOLÃO	000444	RUA	\N	E11/F08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ/PARQUELANDIA	\N	\N
2040	RUA CARVALHO MOTA	008812	RUA	\N	E11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2041	SD	040134	RUA	\N	E11	L-O	\N	\N	\N	\N	\N	RUA DOM JERÔNIMO/RUA DO CORRENTE	\N	\N	TRAV. LARGA	\N	\N	\N	\N	\N	FARIAS BRITO	\N	\N
2042	RUA BELA CRUZ	000501	RUA	\N	E11	L-O	1671/60	16/12/1960	\N	\N	000649	RUA RUBIA SAMPAIO	001767	RUA DOM JERÔNIMO	\N	\N	9587319	550991	9587272	550757	FARIAS BRITO	\N	\N
2043	AVENIDA DOMINGOS OLÍMPIO	001081	AVENIDA	\N	E11/E12	L-O	1671/60	16/12/1960	\N	\N	003079	AV. VISC. RIO BRANCO	001945	AV. JOSÉ BASTOS	\N	\N	9587376	550655	9586795	552939	FARIAS BRITO/BENFICA/JOSÉ BONIFÁCIO	\N	\N
2045	VILA ALERTA L/O	020405	VILA	\N	E11	L-O	\N	\N	\N	\N	003381	RUA TERESA CRISTINA	002502	RUA PADRE MORORÓ	\N	\N	9587217	551218	9587252	551100	FARIAS BRITO	\N	\N
2046	VILA ALERTA N/S	020405	VILA	\N	E11	N-S	\N	\N	\N	\N	\N	MURO/VILA ALERTA	\N	MURO	\N	\N	9587270	551154	9587209	551136	FARIAS BRITO	\N	\N
2048	VILA MARIA DAS GRACAS	002338	VILA	\N	E11	L-O	\N	\N	\N	\N	002085	RUA JUSTINIANO DE SERPA	\N	MURO	\N	\N	9587259	550874	9587268	550919	FARIAS BRITO	\N	\N
2049	RUA JOAQUIM BARBOSA DOS SANTOS	001863	RUA	\N	E11	N-S	\N	\N	\N	\N	000501	RUA BELA CRUZ	020403	TRAV. DAS GRAÇAS	\N	\N	9587283	550813	9587133	550844	FARIAS BRITO	\N	\N
2050	RUA DOM JERONIMO	001767	RUA	DOM	E11/F11	N-S	1671/60	16/12/1960	\N	\N	000549	AV. BEZERRA DE MENESES	000700	RUA CARAPINIMA	\N	\N	9587592	550693	9586467	550918	FARIAS BRITO/BENFICA	ALTO ALEGRE	\N
2052	VILA DA ANITA	022431	VILA	\N	E11	L-O	\N	\N	\N	\N	001945	AV.JOSÉ BASTOS/VIA FÉRREA	\N	MURO	\N	\N	9587198	550664	9587203	550708	FARIAS BRITO	\N	\N
2054	VILA REBOUÇAS	003045	VILA	\N	E11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2056	RUA TORRES PORTUGAL	003429	RUA	\N	E11/F11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2057	RUA DOM MANUEL DE MEDEIROS	002283	RUA	DOM	E11/F08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ/PICI	\N	\N
2058	VILA BEZERRA	022593	VILA	\N	E11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2059	TRAV. CAMBIRIMBAS	022666	TRAVESSA	\N	E11	L-O	\N	\N	\N	\N	008257	RUA JOSÉ ALEXANDRE	000649	RUA RUBIA SAMPAIO	\N	\N	9587170	551004	9587192	550962	FARIAS BRITO	\N	\N
2060	RUA GIL AMORA	001432	RUA	\N	E11	L-O	1671/60	16/12/1960	\N	\N	001637	AV. DO IMPERADOR	003381	RUA TERESA CRISTINA	\N	RUA JOSÉ ALEXANDRE	9587099	551448	\N	\N	FARIAS BRITO	QUINTINO BOCAIUVA	\N
2061	RUA MARCONI	002323	RUA	\N	E11	L-O	1671/60	16/12/1960	\N	\N	003381	RUA TERESA CRISTINA	008705	RUA PADRE MORORÓ	\N	\N	9587129	551192	9587165	551074	FARIAS BRITO	\N	\N
2062	AVENIDA TRISTÃO GONCALVES	003476	AVENIDA	\N	D12/F11	N-S	1671/1960	16/12/1960	\N	\N	\N	PÁTIO FERROVIÁRIO	000700	AV. CARAPINIMA	\N	AV. DOMINGOS OLÍMPIO	9588640	552045	9586955	551407	CENTRO/BENFICA	DA LAGOINHA, 14 DE MAIO, TRILHO DE FERRO	\N
2063	RUAQUIXADÁ	002992	RUA	\N	E11/E12	L-O	8344/99	08/11/1999	\N	\N	003509	AV. DA UNIVERSIDADE	003476	AV. TRISTÃO GONÇALVES	\N	\N	9587029	551671	9587114	551577	BENFICA	\N	\N
2064	SD	040138	RUA	\N	E11	L-O/N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA PRINCESA ISABEL/RUA GENERAL CLARINDO DE QUEIRO	\N	\N	\N	\N	\N	FARIAS BRITO	\N	\N
2065	RUA CAMPOS SALES	000662	RUA	\N	E11	L-O	1671/60	16/12/1960	\N	\N	001681	RUA PRINCESA ISABEL	003381	RUA TERESA CRISTINA	\N	MURO	9587021	551294	9587083	551101	FARIAS BRITO	\N	\N
2066	RUA GERVÁSIO DE CASTRO	001429	RUA	\N	E11/F11	N-S	1671/60	16/12/1960	\N	\N	001432	RUA GIL AMORA	002089	RUA JUVENAL GALENO	\N	\N	9586790	551160	9587156	551268	FARIAS BRITO/BENFICA	\N	\N
2067	VILA FRANCISCO GERARDO	001315	VILA	\N	E11	N-S/L-O	\N	\N	\N	\N	\N	SD	003381	RUA TERESA CRISTINA	\N	\N	9587025	551081	9587002	551154	FARIAS BRITO	\N	\N
2069	TRAV. RAIMUNDO LOPES	003019	TRAVESSA	\N	E11	\N	\N	\N	\N	\N	002085	RUA JUSTINIANO DE SERPA	\N	MURO	\N	\N	9587084	550911	9587096	551004	FARIAS BRITO	\N	\N
2070	TRAV.DAS GRACAS	023230	TRAVESSA	\N	E11	L-O	\N	\N	\N	\N	002085	RUA JUSTINIANO DE SERPA	001945	AV. JOSÉ BASTOS	\N	\N	9587144	550899	9587091	550680	FARIAS BRITO	\N	\N
2071	VILA MORADA JOSÉ DIDIMO	020764	VILA	\N	E11	L-O	\N	\N	\N	\N	002085	RUA JUSTINIANO DE SERPA	001767	RUA DOM JERÔNIMO	\N	\N	9587100	550908	9587074	550796	FARIAS BRITO	\N	\N
2072	RUA PADRE GUERRA	001522	RUA	PADRE	E11/F09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2073	RUA BEBERIBE	000496	RUA	\N	E11	L-O	1671/60	16/12/1960	\N	\N	001767	RUA DOM JERÔNIMO	001945	AV. JOSÉ BASTOS	\N	\N	9587074	550796	9587053	550687	FARIAS BRITO	N. S. DAS GRAÇAS	\N
2075	RUA ITAPAGÉ	023357	RUA	\N	E11	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
2077	PRACA ALEXANDRE	022372	PRAÇA	\N	E11	\N	\N	\N	\N	\N	\N	RUA ALEXANDRE/RUA GIL AMORA	\N	\N	\N	\N	9587236	551032	\N	\N	FARIAS BRITO	\N	\N
2078	PRACA FARIAS BRITO	023059	PRAÇA	\N	E11	\N	\N	\N	\N	\N	\N	AV. BEZERRA DE MENESES/JUSTINIANO DE SERPA	\N	\N	\N	\N	9587559	550754	\N	\N	FARIAS BRITO	\N	\N
2079	PRACA DO MERCADO SAO SEBASTIAO	023857	PRAÇA	\N	E11	\N	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
2081	AVENIDA DA UNIVERSIDADE	003509	AVENIDA	\N	E12/G11	N-S	\N	\N	\N	\N	000321	ANTÔNIO POMPEU	000266	RUA JOSÉ ALBANO (HOJE RUA ANTENOR F. WANDERLEY)	\N	AV. EDUARDO GIRÃO	9587291	551904	9585942	550677	BENFICA	VISCONDE DE CAUÍPE	\N
2084	RUA MANUELITO MOREIRA	002308	RUA	\N	E12	L-O	1671/60	16/12/1960	\N	\N	002911	RUA SENADOR POMPEU	003509	AV. DA UNIVERSIDADE	\N	\N	9587171	551991	9587217	551842	BENFICA	ADOLFO  HÉRBSTER, TRAV. JUAZEIRO	\N
2087	RUA DA ALIANÇA	000140	RUA	\N	E12	L-O	1671/1960	16/12/1960	\N	\N	003315	RUA SOLON PINHEIRO	000415	RUA DA ASSUNÇÃO	\N	\N	9587002	552404	9587040	552308	JOSÉ BONIFÁCIO	\N	\N
2093	RUA GENERAL SAMPAIO	003202	RUA	GENERAL	E12	N-S	1671/1960	16/12/1960	\N	\N	\N	ORLA OCEÂNICA	000321	RUA ANTÔNIO POMPEU	AV. PRES. CASTELO BRANCO	\N	9588863	552108	9587291	551904	MOURA BRASIL/CENTRO	DA CADEIA, Nº14.	\N
2094	VILA BARÃO DE CAMOCIM	000666	VILA	BARÃO	E12	L-O	\N	\N	\N	\N	003202	RUA GAL. SAMPAIO	003639	RUA 24 DE MAIO	\N	\N	9587456	551953	9587500	551815	CENTRO	\N	\N
2102	RUA EDGAR BORGES	001117	RUA	\N	E12	N-S	1671/1960	16/12/1960	\N	\N	002838	RUA PERBOYRE SILVA	002820	RUA PEDRO PEREIRA	\N	\N	9587857	552542	9587730	552539	CENTRO	\N	\N
2103	RUA PERBOYRE E SILVA	002838	RUA	\N	E12	O-L	\N	\N	\N	\N	003247	RUA SENA MADUREIRA	001306	RUA FLORIANO PEIXOTO	\N	\N	9587878	552698	9587894	552498	CENTRO	\N	\N
2683	VILA INACIA	023324	VILA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2237	RUA ARGEMIRO VALENTE	000372	RUA	\N	E14	O-L	\N	\N	\N	\N	003289	RUA SILVA PAULET	002029	RUA JOSÉ VILAR	\N	\N	9587019	554882	9586979	555000	ALDEOTA	\N	\N
2104	RUA PEDRO BORGES	002802	RUA	\N	E12	O-L	1671/1960	16/12/1960	\N	\N	003247	RUA SENA MADUREIRA	001243	RUA MAJOR FACUNDO	\N	\N	9587945	552689	9587954	552452	CENTRO	DO CAJUEIRO, Nº7-B E DR. PEDRO BORGES.	\N
2170	RUA  MILAGRES	002448	RUA	\N	E13	O-L	1671/60	16/12/1960	\N	\N	000283	RUA ANTÔNIO AUGUSTO	001828	RUA ILDEFONSO ALBANO	\N	\N	9587090	553868	9587053	553987	ALDEOTA	\N	\N
2106	RUA DO ROSÁRIO	001065	RUA	\N	E12	N-S	1671/1960	16/12/1960	\N	\N	\N	PRAÇA GAL. TIBÚRCIO (PRAÇA DOS LEÕES)	002820	RUA PEDRO PEREIRA	RUA GUILHERME ROCHA	\N	9588014	552626	9587691	552671	CENTRO	\N	\N
2107	RUA DO POCINHO	002905	RUA	\N	E12/E13	O-L	1671/1960	16/12/1960	\N	\N	003247	RUA SENA MADUREIRA	003203	RUA GOV. SAMPAIO	\N	\N	9587946	552690	9587966	552864	CENTRO	BECO DO POCINHO.	\N
2108	RUA MELVIN JONES	002419	RUA	\N	E12/E13	O-L	3209/1966	14/06/1966	\N	\N	003247	RUA SENA MADUREIRA	003203	RUA GOV. SAMPAIO	\N	\N	9587855	552701	9587879	552876	CENTRO	\N	\N
2110	RUA MONS. LUIS ROCHA	002236	RUA	MONSENHOR	E12	L-O	1671/1960	16/12/1960	\N	\N	003247	RUA SENA MADUREIRA	000551	RUA GAL. LUÍS ROCHA	\N	\N	9587774	552621	9587785	552709	CENTRO	\N	\N
2111	RUA PINTO MADEIRA	002877	RUA	\N	E12/E14	O-L	1671/1960	16/12/1960	\N	\N	003079	RUA VISCONDE DO RIO BRANCO	000732	RUA CARLOS VASCONCELOS	\N	\N	9587654	552761	9587272	554314	CENTRO/ALDEOTA	Nº5-A, RUA DO CÓRREGO, DA CAVALARIA	\N
2113	RUA DA ASSUNCÃO	000415	RUA	\N	E12/ G12	N-S	1671/1960	16/12/1960	\N	\N	002820	RUA PEDRO PEREIRA	003449	AV. 13 DE MAIO	\N	\N	9587730	552539	9585925	551928	CENTRO/JOSÉ BONIFÁCIO/FÁTIMA	\N	\N
2115	RUA SOLON PINHEIRO	003315	RUA	\N	E12/G12	N-S	1671/1960	16/12/1960	\N	\N	002820	RUA PEDRO PEREIRA	003449	AV. 13 DE MAIO	\N	\N	9587697	552639	9585853	552011	CENTRO/JOSÉ BONIFÁCIO/FÁTIMA	DA TRINDADE, E N.9	\N
2116	RUA JAIME BENÉVOLO	001735	RUA	\N	E12/G12	N-S	1671/1960	16/12/1960	\N	\N	002823	RUA PEDRO I	003449	AV. 13 DE MAIO	\N	AV. LUCIANO CARNEIRO	9587494	552734	9585740	552144	CENTRO/JOSÉ BONIFÁCIO/FÁTIMA	\N	\N
2117	RUA CONS. TRISTÃO	003475	RUA	CONSELHEIRO	E12/G12	N-S	1671/1960	16/12/1960	\N	\N	000859	RUA GAL. CLARINDO DE QUEIROZ	003449	AV. 13 DE MAIO	\N	\N	9587260	552778	9585669	552228	CENTRO/JOSÉ BONIFÁCIO/FÁTIMA	DA CRUZ, N - 25	Esta rua se divide na altura da praça Argentina Castelo Branco.
2122	VILA ROMERO	003128	VILA	\N	E12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
2126	AVENIDA SANTOS DUMONT	003221	AVENIDA	\N	E13/G19	O-L	1671/60	16/12/1960	4623/76 E	29/01/76 E	003203	RUA GOVERNADOR SAMPAIO	001058	AV. DIOGUINHO	\N	RUA ÁLVARO CORREIA	9587967	552864	9585854	561063	CENTRO/PAPICU/MANUEL DIAS BRANCO/VARJOTA/COCÓ/DE LOURDES	\N	\N
2128	TRAV. GOVERUA FAUSTINO	020741	TRAVESSA	GOVERNADOR	E13	L-O	\N	\N	\N	\N	003203	RUA GOVERNADOR SAMPAIO	\N	MURO	\N	\N	9587777	552890	9587759	552948	CENTRO	\N	\N
2130	VILA ROMERO 1	024296	VILA	\N	E13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
2131	VILA ROMERO 2	024297	VILA	\N	E13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
2132	VILA ROMERO 3	024298	VILA	\N	E13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
2133	VILA ROMERO 4	024299	VILA	\N	E13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
2134	VILA JOANA	020748	VILA	\N	E13	L-O	\N	\N	\N	\N	\N	MURO	003119	RUA RODRIGUES JÚNIOR	\N	\N	9587686	553208	9587672	553266	CENTRO	\N	\N
2135	VILA ARCOS DE  VALDEVEZ	000368	VILA	\N	E13	L-O	\N	\N	\N	\N	003119	RUA RODRIGUES JÚNIOR	\N	MURO	\N	\N	9587662	553263	9587638	553325	CENTRO	\N	\N
2136	VILA CESAR CALS	000808	VILA	\N	E13	L-O	\N	\N	\N	\N	\N	MURO	002144	RUA DONA LEPOLDINA	\N	\N	9587647	553330	9587627	553395	CENTRO	\N	\N
2137	RUA MOISÉS FERREIRA	002919	RUA	\N	E13	N-S	977/1955	\N	\N	\N	002877	RUA PINTO MADEIRA	001874	RUA JOAQUIM DEODATO	\N	\N	9587581	553304	9587486	553273	CENTRO	\N	\N
2138	RUA JOAQUIM DEODATO	001874	RUA	\N	E13	O-L	1671/1960	16/12/1960	\N	\N	003119	RUA RODRIGUES JÚNIOR	001712	RUA J. DA PENHA	\N	\N	9587504	553215	9587430	553462	CENTRO	\N	\N
2139	RUA UBAJARA	003495	RUA	\N	E13	N-S	1671/1960	16/12/1960	\N	\N	002877	RUA PINTO MADEIRA	001874	RUA JOAQUIM DEODATO	\N	\N	9587546	553420	9587451	553391	CENTRO	\N	\N
2140	RUA FRANKLIN TÁVORA	001371	RUA	\N	E13	O-L	1671/1960	16/12/1960	\N	\N	003203	RUA GOVERNADOR SAMPAIO	002567	RUA NOGUEIRA ACIÓLI	\N	\N	9587831	552883	9587604	553642	CENTRO	S. LUÍS, TRECHO.	\N
2141	RUA RUSSAS	003168	RUA	\N	E13	O-L	1671/1960	16/12/1960	\N	\N	003119	RUA RODRIGUES JÚNIOR	002144	RUA D. LEOPOLDINA	\N	\N	9587937	553354	9587898	553477	CENTRO	ODILON NESTOR,   PROF.  RUA ,  Santo Albino, Vila (mat 42697 do CRI 2ª Zona)	\N
2142	VILA PROF. GONCALVES DOS SANTOS	001473	VILA	PROFESSOR	E13	N-S	\N	\N	\N	\N	\N	MURO	003168	RUA RUSSAS	\N	MURO	9587944	553428	9587917	553419	CENTRO	\N	\N
2144	V. SOC. SÃO VICENTE DE PAULA	024415	VILA	\N	E13	N-S	\N	\N	\N	\N	002844	RUA PEREIRA FILGUEIRAS	\N	MURO	\N	\N	9587975	553972	\N	\N	CENTRO	\N	\N
2145	RUA PADRE LUIS FIGUEIRA	002227	RUA	PADRE	E13/E14	O-L	1671/1960	16/12/1960	\N	\N	002567	RUA NOGUEIRA ACIOLI	000732	RUA CARLOS VASCONCELOS	\N	\N	9587582	553637	9587354	554341	CENTRO/ALDEOTA	PADRE FIGUEIRA	\N
2146	VILA TAVARES	003361	VILA	\N	E13	N-S	\N	\N	\N	\N	002227	RUA PADRE LUIZ FIGUEIRA	\N	MURO	\N	\N	9587519	553829	9587487	553772	CENTRO	\N	\N
2151	TRAV. CASTRO ALVES	000765	TRAVESSA	\N	E13	N-S	\N	\N	\N	\N	002844	RUA PEREIRA FILGUEIRAS	000933	RUA COSTA BARROS	\N	\N	9588018	553836	9587866	553788	CENTRO	\N	\N
2153	RUA JOÃO CORDEIRO	001797	RUA	\N	E13/G13	N-S	1671/1960	16/12/1960	\N	\N	002092	AV. BEIRA MAR	003321	RUA SORIANO ALBUQUERQUE	\N	PARQUE RIO BRANCO	9588819	554292	9585767	553397	CENTRO/MEIRELES/ALDEOTA/JOAQUIM TÁVORA	DO CAUÍPE, SÃO GABRIEL (conf. Matr 4772 - 1 zona - transc53016,52995,52969)	o trecho que vai da Av. Soriano Albuquerque até o Parque Rio Branco não é oficial
2155	VILA JULIETA	002051	VILA	\N	E13/F13	N-S	\N	\N	\N	\N	000933	RUA COSTA BARROS	\N	MURO	\N	\N	9587866	553788	9587808	553767	CENTRO	\N	\N
2156	RUA PERO COELHO	002856	RUA	\N	E13	O-L	1671/1960	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	000283	RUA ANTÔNIO AUGUSTO	\N	\N	9587471	552803	9587127	553880	CENTRO/ALDEOTA	D. PEDRO, PARTE.	\N
2158	AVENIDA HERÁCLITO GRACA	001578	AVENIDA	\N	E13/F14	O-L	1671/1960	16/12/1960	\N	\N	003079	RUA VISCONDE DO RIO BRANCO	000732	RUA CARLOS VASCONCELOS	\N	AV. BARÃO DE STUDART	9587358	552827	9586903	554194	CENTRO/ALDEOTA	\N	\N
2159	VILA RIBEIRO	020750	VILA	\N	E13	N-S	\N	\N	\N	\N	001578	AV. HERÁCLITO GRAÇA	\N	MURO	\N	\N	9587247	553174	9587185	553154	CENTRO	\N	\N
2160	RUA J. DA PENHA	001712	RUA	\N	E13/F13	N-S	1671/1960	16/12/1960	\N	\N	001371	FRANKLIN TÁVORA	000325	AV. ANTÔNIO SALES	\N	\N	9587639	553525	9586688	553187	CENTRO/JOAQUIM TÁVORA	\N	\N
2162	RUA ROCHA LIMA	003106	RUA	\N	E13/F14	O-L	1671/1960	16/12/1960	\N	\N	003079	RUA VISCONDE DO RIO BRANCO	002029	RUA JOSÉ VILAR	\N	\N	9587105	552875	9586469	554833	CENTRO/ALDEOTA	DR. METON DE ALENCAR	\N
2164	VILA JOÃO BARRETO	001783	VILA	\N	E13	N-S	\N	\N	\N	\N	\N	MURO	003106	RUA ROCHA LIMA	\N	\N	9587136	553027	9587064	553002	CENTRO	\N	\N
7577	PRAÇA VILLAGE	024580	PRAÇA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
2165	RUA ITATIRA	001705	RUA	\N	E13	O-L	1671/1960	16/12/1960	\N	\N	003119	RUA RODRIGUES JÚNIOR	002144	RUA D. LEOPOLDINA	\N	\N	9587106	553083	9587070	553201	CENTRO	VILA CORTEZ	\N
2166	VILA CORTEZ	001596	VILA	\N	E13	N-S	\N	\N	\N	\N	001705	RUA ITATIRA	\N	MURO	\N	\N	9587091	553131	9587065	553122	CENTRO	\N	\N
2167	VILA HOLANDA	001605	VILA	\N	E13	N-S	\N	\N	\N	\N	001705	RUA ITATIRA	003106	RUA ROCHA LIMA	\N	\N	9587084	553155	9588010	553136	CENTRO	\N	\N
2169	RUA JAGUARETAMA	001726	RUA	\N	E13/F13	O-L	1671/1960	16/12/1960	\N	\N	001472	RUA GONÇALVES LEDO	000283	RUA ANTÔNIO AUGUSTO	RUA JOÃO CORDEIRO	RUA IDELFONSO ALBANO	9587065	553583	9586978	553807	CENTRO/ALDEOTA	BARÃO DE GOIANA	\N
2172	RUA JOVINO GUEDES	002038	RUA	\N	E13/E14	O-L	1671/60	16/12/1960	\N	\N	000283	RUA ANTÔNIO AUGUSTO	000348	RUA BARÃO DE ARACATI	\N	\N	9587184	553898	9587110	554133	ALDEOTA	\N	\N
2173	RUA FIÚZA DE PONTES	001294	RUA	\N	E13/E14	O-L	1671/1960	16/12/1960	\N	\N	001712	RUA J. DA PENHA	000732	RUA CARLOS VASCONCELOS	\N	\N	9587410	553455	9587144	554273	CENTRO/ALDEOTA	\N	\N
2174	VILA CRISTO REI	000963	VILA	\N	E13	N-S	\N	\N	\N	\N	001294	RUA FIÚZA DE PONTES	\N	MURO	\N	\N	9587319	553726	9587220	553695	CENTRO	\N	\N
2175	VILA PINHEIRO PEIXOTO	020747	VILA	\N	E13	O-L	\N	\N	\N	\N	\N	MURO	001797	RUA JOÃO CORDEIRO	\N	\N	9587337	553765	9587321	553816	CENTRO	\N	\N
2176	RUA BÁRBARA DE ALENCAR	000472	RUA	\N	E13/F14	O-L	1671/1960	16/12/1960	\N	\N	003079	RUA VISCONDE DO RIO BRANCO	003390	RUA TIBÚRCIO CAVALCANTE	\N	\N	9587236	552851	9586499	555082	CENTRO/ALDEOTA	D. BÁRBARA	\N
2177	SD	040142	RUA	\N	E13	N-S	\N	\N	\N	\N	\N	RUA BÁRBARA DE ALENCAR/RUA COSTA BARROS	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO/ALDEOTA	\N	\N
2178	RUA SÃO JOÃO DO JAGUARIBE	001806	RUA	SÃO	E13	O-L	1671/1960	16/12/1960	\N	\N	001712	RUA J. DA PENHA	002567	RUA NOGUEIRA ACIOLI	\N	\N	9587332	553432	9587295	553549	CENTRO	SÃO JOÃO, TRAV.	\N
2185	PRACA DA BANDEIRA	000462	PRAÇA	\N	E13	\N	1671/1960	16/12/1960	\N	\N	\N	AV. SANTOS DUMONT/ R. NOGUEIRA ACIOLY	\N	\N	\N	\N	9587690	553538	\N	\N	CENTRO	\N	\N
2186	PARQUE PAJEU	024050	PARQUE	\N	E13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
2188	RUA O. NESTOR	024004	RUA	\N	E14	O-L	\N	\N	\N	\N	\N	MURO	000348	RUA  BARÃO DE ARACATI	\N	\N	9587065	554057	9587047	554113	ALDEOTA	\N	\N
2189	RUA JOÃO CARVALHO	001795	RUA	\N	E14/F14	O-L	1671/60	16/12/1960	\N	\N	000348	RUA BARÃO DE ARACATI	003390	RUA TIBÚRCIO CAVALCANTI	\N	\N	9587090	554127	9586750	555164	ALDEOTA	\N	\N
2193	RUA GAL. JOAQUIM DE ANDRADE	001871	RUA	GENERAL	E14	N-S	1671/60	16/12/1960	\N	\N	001141	RUA EDUARDO SALGADO	000058	RUA AFONSO CELSO	\N	\N	9587319	554524	9587089	554449	ALDEOTA	GUARAMIRANGA TRAV	\N
2195	AVENIDA RUI BARBOSA	003162	AVENIDA	\N	E14/G14	N-S	1671/60	16/12/1960	\N	\N	\N	ORLA OCEÂNICA	000531	RUA FREI BERNARDINO	AV. BEIRA MAR	\N	9588511	554980	9585465	553987	MEIRELES/ALDEOTA/JOAQUIM TAVORA	BELÉM	\N
2196	RUA ALFREDO SEVERO	000137	RUA	\N	E14	N-S	1671/1960	16/12/1960	\N	\N	001141	RUA EDUARDO SALGADO	000058	RUA AFONSO CELSO	\N	\N	9587275	554660	9587046	554582	ALDEOTA	EDSON TRAV	\N
2197	RUA DR. JOSÉ LOURENÇO	001992	RUA	DOUTOR	E14/G14	N-S	1671/60	16/12/1960	\N	\N	002497	RUA DEP. MOREIRA DA ROCHA	002916	AV. PONTES VIEIRA	\N	\N	9588073	554964	9585229	554053	MEIRELES/ALDEOTA/JOAQUIM TÁVORA	\N	\N
2198	RUA JÚLIO VENTURA	002074	AVENIDA	\N	E14/F14	N-S	7148/92	24/06/1992	8914/1992	10/09/1992	003331	AV. BARÃO DE STUDART	003390	RUA TIBÚRCIO CAVALCANTE	\N	\N	9586739	554667	9586569	555106	ALDEOTA	\N	No decreto o inicio é na Avenida Rui Barbosa
2199	AVENIDA BARÃO DE STUDART	003331	AVENIDA	BARÃO	E14/G14	N-S	1671/60	16/12/1960	\N	\N	\N	ORLA OCEÂNICA	002916	AV. PONTES VIEIRA	AV. BEIRA MAR	\N	9588414	555209	9585245	554185	MEIRELES/ALDEOTA/DIONÍSIO TORRES/JOAQUIM TÁVORA	\N	\N
2200	SD	040143	RUA	\N	E14	N-S/O-L	\N	\N	\N	\N	\N	RUA COSTA BARROS/RUA MAJOR BRUNO	\N	\N	RUA GENERAL SAMPAIO	\N	\N	\N	\N	\N	MEIRELES/ALDEOTA	\N	\N
2202	RUA TORRES CÂMARA	003427	RUA	\N	E14/F15	O-L	1671/60	16/12/1960	\N	\N	000732	RUA CARLOS VASCONCELOS	002693	RUA OSVALDO CRUZ	\N	AV. DESEMBARGADOR MOREIRA	9587272	554314	9586834	555671	ALDEOTA	\N	\N
2204	RUA JORGE DA ROCHA	001915	RUA	\N	E14/E15	O-L	1671/60	16/12/1960	\N	\N	003331	AV. BARÃO DE STUDART	003390	RUA TIBÚRCIO CAVALCANTI	\N	\N	9587154	554798	9587046	555259	ALDEOTA	MOURA,  ESTRADA DO  -   conforme matricula 26610 do CRI 4ª zona	\N
2210	RUA CAP. A. AGUIAR	000280	RUA	CAPITÃO	E14	O-L	\N	\N	\N	\N	000348	RUA BARÃO DE ARACATI	000732	RUA CARLOS VASCONCELOS	\N	\N	9587235	554173	9587199	554290	ALDEOTA	\N	\N
2211	RUA EDUARDO SALGADO	001141	RUA	\N	E14	O-L	1671/60	16/12/1960	\N	\N	000732	RUA CARLOS VASCONCELOS	003289	RUA SILVA PAULET	\N	\N	9587377	554349	9587186	554936	ALDEOTA	\N	\N
2213	RUA D. BRÍGIDO	001025	RUA	\N	E14	O-L	\N	\N	\N	\N	000283	RUA ANTÔNIO AUGUSTO	001628	RUA IDELFONSO ALBANO	\N	\N	9587534	554009	9587495	554129	ALDEOTA	\N	\N
2216	RUA SILVA PAULET	003289	RUA	\N	E14	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	003177	RUA SABINO DO MONTE	AV. ABOLIÇÃO	EDIFICAÇÃO	9588282	555292	9585026	554300	MEIRELES/ALDEOTA/DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE	\N	2 TRECHOS
2219	RUA ACARAÚ	000025	RUA	\N	E14	N-S	1671/1960	16/12/1960	\N	\N	000518	RUA TENENTE BENÉVOLO	002844	RUA PEREIRA FILGUEIRAS	\N	MURO	9588061	554242	9587863	554178	MEIRELES/ALDEOTA	\N	\N
2221	RUA ISAC MEYER	001686	RUA	\N	E14	N-S	1671/60	16/12/1960	\N	\N	000518	RUA TENENTE BENÉVOLO	003221	AV. SANTOS DUMONT	MURO	\N	9587918	554331	9587550	554211	MEIRELES/ALDEOTA	\N	\N
2223	RUA IRACEMA	023341	RUA	\N	E14/G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALDEOTA/AMADEU FURTADO	\N	\N
2225	RUA AGOES	002158	RUA	\N	E14	O-L	4687/1976	\N	\N	\N	000348	RUA BARÃO DE ARACATI	\N	MURO	\N	\N	9587608	554294	9587585	554357	ALDEOTA	\N	\N
2228	RUA JAGUARUANA	001732	RUA	\N	E14	O-L	1671/60	16/12/1960	\N	\N	000616	RUA MONSENHOR BRUNO	003162	AV. RUI BARBOSA	\N	\N	9587535	554529	9587496	554646	ALDEOTA	GUARANI TRAV	\N
2230	RUA MELQUÍADES PINTO	002418	RUA	\N	E14	N-S	1671/60	16/12/1960	\N	\N	000518	RUA TENENTE BENÉVOLO	002844	RUA PEREIRA FILGUEIRAS	\N	\N	9587869	554831	9587710	554783	MEIRELES	\N	\N
2232	RUA DOUTOR MEDEIRINHO	002407	RUA	DOUTOR	E14/E15	O-L	\N	\N	\N	\N	003162	AV. RUI BARBOSA	002029	RUA JOSÉ VILAR	\N	RUA TIBÚRCIO CAVALCANTE	9587961	554799	9587808	555270	MEIRELES	REPÚBLICA DO LÍBANO	\N
2235	RUA EDGAR DAMASCENO	001670	RUA	\N	E14	O-L	7398/93	\N	\N	\N	008791	AV. BARÃO DE STUDART	002029	RUA JOSÉ VILAR	\N	\N	9587734	554990	9587657	555221	MEIRELES	IPUEIRAS	\N
2236	RUA CARVALHO LIMA	000749	RUA	\N	E14	O-L	1671/60	16/12/1960	\N	\N	002029	RUA JOSÉ VILAR	002616	RUA NUNES VALENTE	\N	\N	9587372	555128	9587333	555235	ALDEOTA	\N	\N
2238	RUA MOMBAÇA	002478	RUA	\N	E14	O-L	1671/60	16/12/1960	\N	\N	001797	RUA JOÃO CORDEIRO	001828	RUA ILDEFONSO ALBANO	\N	\N	9587882	553993	9587801	554224	ALDEOTA	OTÁVIO FROTA TRAV	\N
2239	SD	040146	RUA	\N	E14	N-S	\N	\N	\N	\N	\N	RUA TORRES CÂMARA	\N	\N	\N	\N	\N	\N	\N	\N	ALDEOTA	\N	\N
2240	RUA MARCOS MACEDO	002325	RUA	\N	E15/F16	L-O	1671/60	16/12/1960	\N	\N	003390	RUA TIBÚRCIO CAVALCANTI	001374	RUA FREDERICO BORGES	\N	RUA FREI MANSUETO	9587414	555380	9586958	556830	ALDEOTA	D. ESTER	\N
2242	RUA SABINO PIRES	003179	RUA	\N	E15/F15	N-S	\N	\N	\N	\N	001323	RUA DES. LEITE ALBUQUERQUE	003427	RUA TORRES CÂMARA	\N	\N	9587036	555416	9586927	555379	ALDEOTA	\N	\N
2243	RUA NORVINDA PIRES	002572	RUA	\N	E15	N-S	\N	\N	\N	\N	001323	RUA DES. LEITE ALBUQUERQUE	003427	RUA TORRES CÂMARA	\N	\N	9587025	555448	9586916	555414	ALDEOTA	\N	\N
2244	RUA JOAQUIM SIQUEIRA	001901	RUA	\N	E15	O-L	1736/61	\N	\N	\N	002141	RUA LEONARDO MOTA	003583	RUA VICENTE LEITE	\N	\N	9587046	555980	9587013	556088	ALDEOTA	\N	\N
2247	RUA MARIA TOMÁSIA	002351	RUA	\N	E15/F16	O-L	1671/60	16/12/1960	\N	\N	003390	RUA TIBÚRCIO CAVALCANTI	001374	RUA FREDERICO BORGES	\N	\N	9587304	555345	9586841	556776	ALDEOTA	D. ALMERINDA e D. MARIA TOMÁSIA	\N
2248	AVENIDA DOM LUIS	002211	AVENIDA	DOM	E15/E16	O-L	1671/60	16/12/1960	\N	\N	003390	RUA TIBÚRCIO CAVALCANTE	001374	RUA FREDERICO BORGES	\N	\N	9587521	555414	9587088	556765	MEIRELES/ALDEOTA	\N	\N
2251	TRAV. AMORA	020661	TRAVESSA	\N	E15	N-S	\N	\N	\N	\N	\N	MURO	000933	RUA COSTA BARROS	\N	\N	9587449	555211	9587403	555194	ALDEOTA	\N	\N
2252	RUA JAGUARIBE	001728	RUA	\N	E15	O-L	1671/60	16/12/1960	\N	\N	003298	RUA SILVA PAULET	002029	RUA JOSÉ VILAR	\N	MURO	9587537	555052	9587484	555216	ALDEOTA	\N	\N
2253	TRAVESSA JOSÉ VILAR	023559	TRAVESSA	\N	E15	\N	\N	\N	\N	\N	000518	RUA TENENTE BENÉVOLO	002029	RUA JOSÉ VILAR	\N	\N	9587717	555304	9587635	555215	MEIRELES	\N	\N
2254	TRAV. SEN.JAGUARIBE	001730	TRAVESSA	SENADOR	E15	O-L	\N	\N	\N	\N	002029	RUA JOSÉ VILAR	002616	RUA NUNES VALENTE	\N	\N	9587537	555181	9587502	555289	ALDEOTA	\N	\N
2258	RUA TIBÚRCIO CAVALCANTI	003390	RUA	\N	E15	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	003188	RUA MONSENHOR SALAZAR	\N	\N	9588280	555658	9584916	554642	MEIRELES/ALDEOTA/DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE	\N	\N
2260	RUA OSVALDO CRUZ	002693	RUA	\N	E15/G14	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	003188	RUA MONSENHOR SALAZAR	\N	\N	9588222	555880	9584930	554809	MEIRELES/ALDEOTA/DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE	\N	\N
2261	RUA VISCONDE DE MAUÁ	002399	RUA	VISCONDE	E15	N-S	1671/60	16/12/1960	\N	\N	002092	AV. BEIRA MAR	003188	RUA MONSENHOR SALAZAR	\N	\N	9588198	555990	9584941	554942	MEIRELES/ALDEOTA/DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE	\N	\N
2262	AVENIDA DES. MOREIRA	002494	AVENIDA	DESEMBARGADOR	E15	N-S	1671/60	16/12/1960	\N	\N	002092	ORLA OCEÂNICA (BEIRA MAR)	003563	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9588175	556103	9584959	555058	MEIRELES/ALDEOTA/DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE	OTO ALENCAR	REVER  O LIMITE FINAL  POIS A VIA FERREA NÃO ESTÁ MAIS EM NIVEL
2266	RUA REPÚBLICA DO LÍBANO	003062	RUA	\N	E15/E16	O-L	4454/74	13/11/1974	\N	\N	003162	AV. RUI BARBOSA	003181	RUA DR. ALISIO MAMEDE	RUA NUNES VALENTE	VIA FÉRREA PARANGABA-MUCURIPE	9587777	555376	9587345	557358	MEIRELES/VARJOTA	\N	\N
2270	RUA ANA BILHAR	000227	RUA	\N	E15 /E16	O-L	1671/1960	16/12/1960	\N	\N	003390	RUA TIBÚRCIO CAVALCANTE	001374	RUA FREDERICO BORGES	\N	RUA MANOEL JESUÍNO	9587955	555554	9587583	557223	MEIRELES/VARJOTA	D. GENOVEVA	\N
2273	RUA FRANCISCO PORFÍRIO DA  PONTE	001353	RUA	\N	E15	O-L	\N	\N	\N	\N	002141	RUA LEONARDO MOTA	003583	RUA VICENTE LEITE	\N	\N	9587802	556222	9587765	556329	MEIRELES	\N	\N
2274	RUA CORONEL LINHARES	002172	RUA	CORONEL	E15/E16	N-S	1671/60	16/12/1960	\N	\N	000312	AV. ANTÔNIO JUSTA	003070	RUA FOTÓGRAFO RIBEIRO	\N	VIA FÉRREA PARANGABA-MUCURIPE	9587897	556492	9585536	555734	MEIRELES/ALDEOTA/DIONÍSIO TORRES	\N	\N
2276	RUA PEREIRA VALENTE	002847	RUA	\N	E15/E16	O-L	1671/60	16/12/1960	\N	\N	003390	RUA TIBÚRCIO CAVALCANTE	001374	RUA FREDERICO BORGES	\N	RUA MANOEL JESUÍNO	9587633	555450	9587224	557239	MEIRELES/VARJOTA	JOSÉ ALBANO	\N
2278	SD	040147	RUA	\N	E15	N-S/O-L	\N	\N	\N	\N	\N	SD (040148)/SD (040147)	\N	\N	RUA PEREIRA VALENTE/RUA VICENTE	\N	\N	\N	\N	\N	MEIRELES	\N	\N
2279	BECO JOSÉ VILAR	023560	BECO	\N	E15	O-L	\N	\N	\N	\N	002029	RUA JOSÉ VILAR	\N	MURO	\N	\N	9587772	555258	9587761	555310	MEIRELES	\N	\N
2280	TRAV.CASTRO MEDEIROS	022718	TRAVESSA	\N	E15	\N	\N	\N	\N	\N	002407	RUA DR. MEDEIRINHOS	\N	MURO	\N	\N	9587808	555270	9587795	555354	MEIRELES	\N	\N
2281	BECO TEN. AMAURÍ PIO	022405	BECO	TENENTE	E15	O-L	\N	\N	\N	\N	002029	RUA JOSÉ VILAR	\N	MURO	\N	\N	9587862	555287	9587828	555364	MEIRELES	\N	\N
2282	RUA CANUTO DE AGUIAR	000686	RUA	\N	E15/E16	O-L	1671/60	16/12/1960	\N	\N	002029	RUA JOSÉ VILAR	001374	RUA FREDERICO BORGES	\N	\N	9587919	555305	9587450	556753	MEIRELES	ANTÔNIO, SANTO	\N
2284	PRACA PORTUGAL	002927	PRAÇA	\N	E15	\N	\N	\N	\N	\N	\N	AV. DESEMBARGADOR MOREIRA/AV. DOM LUÍS	\N	\N	\N	\N	9587383	555849	\N	\N	ALDEOTA	\N	\N
2285	CAMPO DO AMÉRICA	022411	CAMPO	\N	E15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MEIRELES	\N	\N
2287	RUAMONS. CATÃO	000772	RUA	MONSENHOR	E16/G15	N-S	1671/60	16/12/1960	\N	\N	002211	AV. DOM LUÍS	001342	RUA PROF. FRANCISCO GONÇALVES	\N	VIA FÉRREA PARANGABA-MUCURIPE	9587104	556713	9585622	556224	ALDEOTA/DIONÍSIO TORRES	CAMPO GRANDE	\N
2290	TRAV. VIRGÍLIO TÁVORA	024510	TRAVESSA	\N	E16	\N	\N	\N	\N	\N	001198	AV. SEN. VIRGÍLIO TÁVORA	\N	MURO	\N	\N	9587263	556408	9587236	556487	MEIRELES	\N	\N
2297	RUA BARBALHA	000470	RUA	\N	E16	O-L	1671/60	16/12/1960	\N	\N	000312	AV. ANTÔNIO JUSTA	002277	RUA FREI MANSUETO	RUA SD	RUA PEDRO RUFINO	9587886	556526	9587964	556885	MEIRELES/MUCURIPE	\N	\N
2304	RUA PROF. DIAS DA ROCHA	001051	RUA	PROFESSOR	E16/G16	N-S	1671/60	16/12/1960	\N	\N	000312	AV. ANTÔNIO JUSTA	001695	RUA ISRAEL BEZERRA	\N	\N	9587827	556706	9585581	555984	MEIRELES/ALDEOTA/DIONÍSIO TORRES	ANTIGA AVAÍ	\N
2305	RUA FREDERICO BORGES	001374	RUA	\N	E16/F16	N-S	1671/60	16/12/1960	\N	\N	000312	AV. ANTÔNIO JUSTA	003221	AV. SANTOS DUMONT	\N	\N	9587811	556735	9586722	556781	MEIRELES/ALDEOTA	CLOVIS BEVILÁQUA, AV.	\N
2306	RUA CORONEL JUCÁ	002045	RUA	CORONEL	E16/G15	N-S	1671/60	16/12/1960	\N	\N	001374	RUA FREDERICO BORGES	001695	RUA ISRAEL BEZERRA	MURO	VIA FÉRREA PARANGABA-MUCURIPE	9587520	556723	9585550	556090	MEIRELES/ALDEOTA/DIONÍSIO TORRES	CORRIENTES	\N
2309	RUA DELMIRO GOUVEIA	001016	RUA	\N	E16/F16	N-S	1671/60	16/12/1960	\N	\N	001988	DR. JOSÉ LINO	003221	AV. SANTOS DUMONT	\N	\N	9587837	556850	9586679	556898	MUCURIPE/VARJOTA	\N	\N
2311	TRAV.  A. CORREIA	022334	TRAVESSA	\N	E16	\N	\N	\N	\N	\N	022392	TRAV. ÁLVARO CASTRO CORREIA	000176	RUA ÁLVARO CORREIA	\N	\N	9587975	556997	9587940	556990	MUCURIPE	\N	\N
2613	RUA MARANGUAPINHO	004426	RUA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2313	RUA TAVARES COUTINHO	003354	RUA	\N	E16	O-L	1671/60	16/12/1960	\N	\N	001374	RUA FREDERICO BORGES	000103	AV. ENG. ALBERTO SÁ	\N	VIA FÉRREA PARANGABA-MUCURIPE	9587450	556753	9587478	557456	MEIRELES/VARJOTA	\N	termina na Via Ferrea
2316	RUA JÚLIO ABREU	002053	RUA	\N	E16	O-L	1671/60	16/12/1960	\N	\N	001374	RUA FREDERICO BORGES	003565	VIA FÉRREA PARANGABA-MUCURIPE	RUA FREI MANSUETO	\N	9587088	556764	9587106	557253	MEIRELES/VARJOTA	\N	\N
2317	TRUADELMIRO GOUVEIA	020550	TRAVESSA	\N	E16	O-L	\N	\N	\N	\N	001016	RUA DELMIRO GOUVEIA	\N	MURO	\N	\N	9587149	556880	9587151	556934	VARJOTA	\N	\N
2318	TRUAINDEPENDENCIA	023328	TRAVESSA	\N	E16	O-L	\N	\N	\N	\N	001016	RUA DELMIRO GOUVEIA	\N	MURO	\N	\N	9587382	556869	9587377	556918	VARJOTA	\N	\N
2319	RUA OITO DE SETEMBRO	002636	RUA	\N	E16/F16	N-S	1671/60	16/12/1960	\N	\N	000227	RUA ANA BILHAR	003565	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9587573	556982	9586725	557011	VARJOTA	\N	\N
2321	TRUACASTRO MONTE	022719	TRAVESSA	\N	E16	N-S	\N	\N	\N	\N	003297	RUA IRMÃ SIMAS	000176	RUA ÁLVARO CORREIA	\N	\N	9587968	557085	9587919	557088	MUCURIPE	\N	\N
2327	VILA SÃO BENTO	022583	VILA	SÃO	E16	O-L	\N	\N	\N	\N	000770	RUA CASTRO MONTE	\N	MURO	\N	\N	9587886	557085	9587874	557135	MUCURIPE	\N	\N
2328	RUA JAIME VASCONCELOS	001738	RUA	\N	E16	O-L	1671/60	16/12/1960	\N	\N	000770	RUA CASTRO MONTE	004446	RUA DES. COLOMBO DE SOUZA	\N	VIA FÉRREA PARANGABA-MUCURIPE	9587856	557086	9587688	557587	MUCURIPE	\N	\N
2329	RUA DOUTOR JOSÉ LINO	001988	RUA	DOUTOR	E16	O-L	1671/60	16/12/1960	\N	\N	001016	RUA DELMIRO GOUVEIA	\N	SD	\N	VIA FÉRREA PARANGABA-MUCURIPE	9587837	556850	9587636	557555	MUCURIPE/VARJOTA	\N	\N
2330	RUA GENERAL DUTRA	001109	RUA	GENERAL	E16	N-S	\N	\N	\N	\N	000227	RUA ANA BILHAR	002847	RUA PEREIRAVALENTE	\N	\N	9587574	557039	9587216	557054	VARJOTA	ALECRIM	\N
2669	RUA COSTA RICA	000943	RUA	\N	F07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2332	RUA HILTON SANTOS	001593	RUA	\N	E16	N-S	\N	\N	\N	\N	000227	RUA ANA BILHAR	003062	RUA REPÚPLICA DO LÍBANO	\N	\N	9587580	557162	9587340	557172	VARJOTA	\N	\N
3369	RUA DR. TRAV. BARREIRA	022548	RUA	DOUTOR	F18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAPICU	\N	\N
2333	TRAVESSA  CARLOS JATAI	006189	TRAVESSA	\N	E16	N-S	5063/78	\N	\N	\N	\N	EDIFICAÇÕES	002847	RUA PEREIRAVALENTE	\N	\N	9587294	557173	9587221	557179	VARJOTA	\N	\N
2336	RUA PROFº. SILA RIBEIRO	000818	RUA	PROFESSOR	E16/F17	O-L	4831/1997	\N	5002/1977	20/12/2007	\N	VIA FÉRREA PARANGABA-MUCURIPE	002055	JÚLIO AZEVEDO	\N	\N	9587056	557222	9586710	557779	PAPICU	CHAMARION	COORDENADA DA CONFLUENCIA COM O TRILHO
2338	RUA PAULO MORAIS	008036	RUA	\N	E16/F17	O-L	1671/60	16/12/1960	\N	\N	\N	VIA FÉRREA PARANGABA-MUCURIPE	000485	RUA DR. BATISTA DE OLIVEIRA	EDIFICAÇÃO	\N	9586663	558003	9587202	557353	PAPICU	\N	Na Lei esta rua tem início na Rua Frederico Borges e fim na Via Férrea Parangaba-Mucuripe
2339	RUA HELENA MARIA	001556	RUA	\N	E16	N-S	\N	\N	\N	\N	008036	RUA PAULO MORAIS	002055	RUA EDUARDO SABOIA	\N	\N	9587183	557408	9587103	557359	PAPICU	\N	\N
2341	RUA CANINDÉ	000681	RUA	\N	E16	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MUCURIPE	\N	\N
2342	RUA DR. ALISIO MAMEDE	003181	RUA	DOUTOR	E16	N-S	4507/1975	\N	\N	\N	\N	TERRENO	003062	RUA REPÚPLICA DO LÍBANO	RUA ÁLVARO CORREIA	\N	9587840	557362	9587345	557358	MUCURIPE/VARJOTA	\N	\N
2344	SD	040149	RUA	\N	E16	O-L/N-S	\N	\N	\N	\N	\N	\N	\N	\N	SD (040150)/RUA ÁLVARO CORREIA/AV.ANTONIO JUSTA	\N	\N	\N	\N	\N	MEIRELES/MUCURIPE	\N	\N
2345	AVENIDA ÁLVARO CORREIA	000176	AVENIDA	\N	E16	O-L	1671/1960	16/12/1960	\N	\N	\N	MURO	004446	RUA DES. COLOMBO DE SOUZA	\N	VIA FÉRREA PARANGABA-MUCURIPE	9587944	556970	9587752	557632	MUCURIPE	\N	\N
2348	RUA IRMÃ SIMAS	003297	RUA	IRMÃ	E16/E17	\N	\N	\N	\N	\N	003297	TRAV. CASTRO MONTE	004446	RUA DES. COLOMBO DE SOUZA	\N	VIA FÉRREA PARANGABA-MUCURIPE	9587971	557086	9587829	557680	MUCURIPE	\N	\N
2349	RUA DR. JOSÉ FROTA	001974	RUA	DOUTOR	E16/E17	O-L	1671/60	16/12/1960	\N	\N	001422	TRAV. SÃO GERARDO	003565	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9588087	557038	9587920	557749	MUCURIPE	\N	\N
2350	\N	002410	TRAVESSA	\N	E16	\N	\N	\N	\N	\N	\N	MURO	001198	AV. SEN. VIRGÍLIO TÁVORA	\N	\N	9587614	556432	9587587	556512	MEIRELES	\N	\N
2352	RUA MESTRE JERONIMO	006904	RUA	MESTRE	E16/E17	\N	3484/67	\N	\N	\N	\N	TERRENO	001738	JAIME VASCONCELOS	\N	\N	9588024	557679	9587707	557544	MUCURIPE	\N	\N
2355	RUA RAMOS	024237	RUA	\N	E16	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAPICU	\N	\N
2357	AVENIDA ENG. SANTANA JUNIOR	003219	AVENIDA	ENGENHEIRO	E16	N-S	2767/64	12/11/64	\N	\N	002417	AV. ENG. MELO NUNES	\N	PONTE DO RIO COCÓ	\N	\N	9587844	558008	9585271	556591	PAPICU/SÃO JOÃO DO TAUAPE/COCÓ/SALINAS/EDSON QUEIROZ	\N	\N
2360	RUA DES. COLOMBO DE SOUZA	004446	RUA	DESEMBARGADOR	E17	N-S	\N	\N	\N	\N	001974	DR. JOSÉ FROTA	001988	DR. JOSÉ LINO	\N	\N	9587925	557724	9587636	557555	MUCURIPE	\N	\N
2367	RUA E. DE OLIVEIRA	002479	RUA	\N	E17	N-S	\N	\N	\N	\N	000441	RUA ÁVILA GOULART	003035	RUA RAMOS BOTELHO	\N	\N	9587302	557793	9587228	557746	PAPICU	\N	\N
2368	RUA EMANUEL	000106	RUA	\N	E17	N-S	\N	\N	\N	\N	000441	RUA ÁVILA GOULART	003035	RUA RAMOS BOTELHO	\N	\N	9587272	557834	9587197	557789	PAPICU	\N	\N
2369	RUA ANDRÉ LUIZ	000104	RUA	\N	E17	N-S	8328/1999	18/10/99	\N	\N	000441	RUA ÁVILA GOULART	003035	RUA RAMOS BOTELHO	\N	\N	9587331	557753	9587256	557705	PAPICU	\N	DIÁRIO NA PASTA
2370	RUA RAMOS BOTELHO	003035	RUA	\N	E17/F17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAPICU	\N	\N
2371	TRAV. RIO CLARO	004145	TRAVESSA	\N	E17	O-L	\N	\N	\N	\N	003219	AV. ENG. SANTANA JÚNIOR	003678	RUA VALDETÁRIO MOTA	\N	\N	9587263	557642	9587164	557822	PAPICU	\N	\N
2372	TRAV. PELOTAS	004146	TRAVESSA	\N	E17	O-L	\N	\N	\N	\N	003219	AV. ENG. SANTANA JÚNIOR	003678	RUA VALDETÁRIO MOTA	\N	\N	9587234	557624	9587116	557793	PAPICU	\N	\N
2383	RUA ÁVILA GOULART	000441	RUA	\N	E17/ F17	O-L	\N	\N	\N	\N	003219	AV. ENG. SANTANA JÚNIOR	000210	RUA AMÉLIA BENEBIÉN	\N	\N	9587364	557706	9586909	558274	PAPICU	\N	\N
2399	RUA CARLOS BARBOSA	000717	RUA	\N	E17/F17	O-L	2191/63	\N	\N	\N	000441	RUA ÁVILA GOULART	000210	RUA AMÉLIA BENEBIÉN	\N	\N	9587159	557950	9586960	558663	PAPICU	\N	Na Lei esta rua tem início na Rua Valdetário Mota
2400	RUA TARCISIO BONFIM	002318	RUA	\N	E17	O-L	1807/61	\N	\N	\N	000441	RUA ÁVILA GOULART	000210	RUA AMÉLIA BENEBIÉN	\N	\N	9587058	558042	9586935	558462	PAPICU	MARCÍLIO BONFIM	\N
2443	RUA ALFEU ABOIM	000128	RUA	\N	E17	O-L	1344/1958	\N	\N	\N	003678	RUA VALDETÁRIO MOTA	007943	RUA NOVA PETRÓPOLIS	\N	\N	9587259	557881	9587023	558701	PAPICU	\N	Na Lei esta rua tem início na Rua Ávila Goulart e fim na Amélia Benebién
2454	RUA MANAGUA	007190	RUA	\N	E17	N-S	\N	\N	\N	\N	000441	RUA ÁVILA GOULART	003035	RUA RAMOS BOTELHO	\N	\N	9587165	557944	9587087	557895	PAPICU	\N	\N
2481	AVENIDA PROF EUCLIDES CESAR	004172	AVENIDA	PROFESSOR	E18	O-L	4722/1976	\N	\N	\N	001944	AV CEL. JOSÉ AURÉLIO CÂMARA	003433	AV. TRAJANO DE MEDEIROS	\N	\N	9587230	559135	9587336	559646	DE LOURDES	A   AV ( LOT  VEREDA ATLANTICA)	\N
8825	RUA N.S 9	020340	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
2482	RUA VLADIMIR DIOGENES	004179	RUA	\N	E18	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	004172	RUA  PROFESSOR EUCLIDES CESAR	\N	\N	9587383	559520	9587288	559515	DE LOURDES	\N	\N
2485	RUA GERÔNCIO BRÍGIDO NETO	009736	RUA	\N	E18/E19	O-L	3956/71	\N	\N	\N	002291	RUA MANUEL RODRIGUES MONTEIRO	003709	AV. ZEZÉ DIOGO	TERRENO	\N	9587217	559931	9587418	560350	PRAIA DO FUTURO I	PRES. MANUEL FERRAZ	\N
2493	RUA CORREIA SEABRA	000568	RUA	GAL	E18 / E19	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO (A LESTE DA AV. TRAJANO DE MEDEIROS)	003709	AV. ZEZÉ DIOGO	\N	\N	9587104	559999	9587310	560410	PRAIA DO FUTURO I	\N	\N
2494	RUA DEP. FLÁVIO MARCÍLIO	005012	RUA	DEPUTADO	E18/F18	O-L	\N	\N	9067/93	\N	001072	AV. DOLOR BARREIRA	003433	AV. TRAJANO DE MEDEIROS	\N	\N	9586729	559138	9587034	559792	DE LOURDES	H (LOT. OUTEIRO)	\N
2495	RUA DOUTOR PEDRO SAMPAIO	006993	RUA	PROFESSOR	E18/F18	N-S	5789/1983	\N	6570/1983	\N	004160	RUA COM. FRANCISCO DE FRANCESCO DI ÂNGELO	004162	AV. PROFESSOR MOZART SOLON	\N	\N	9587182	559581	9586500	559911	DE LOURDES	A    RUA - LOT OUTEIRO  -   DOUTOR PEDRO SAMPAIO	\N
2496	RUA DR. MIRANDA LEÃO	009132	RUA	PROFESSOR	E18/F18	N-S	6682/1990	\N	9131/1993	\N	004160	RUA COM. FRANCISCO DE FRANCESCO DI ÂNGELO	004859	RUA OSWALDO ARAÚJO	\N	\N	9587100	559411	9586208	559829	DE LOURDES	C (LOT. OUTEIRO)	Na Lei, esta Rua termina na Av. Prof Mozart Solon
2497	RUA PROF. AMARÍLIO CARTAXO	006994	RUA	PROFESSOR	E18/F18	N-S	5794/1983	\N	\N	\N	004160	RUA COM. FRANCISCO DE FRANCESCO DI ÂNGELO	004162	AV. PROFESSOR MOZART SOLON	\N	\N	9587141	559496	9586460	559827	DE LOURDES	\N	\N
2499	RUA COMERCIANTE ASSIS VIEIRA	022492	RUA	COMERCIANTE	E18	O-L	5311/1980	\N	\N	\N	004172	RUA PROFESSOR EUCLIDES CÉSAR	004160	RUA COM. FRANCISCO DE FRANCESCO DI ÂNGELO	\N	\N	9587234	559355	9587174	559563	DE LOURDES	\N	\N
2501	RUA ISAIAS DOMINGOS  SILVEIRA	001689	RUA	\N	E18	O-L	4132/1972	\N	5667/1980	\N	004175	RUA DR. FRANCISCO ARAÚJO	004160	RUA COM. FRANCISCO DE FRANCESCO DI ÂNGELO	\N	\N	9587133	559150	9587114	559440	DE LOURDES	E ( LOT. VEREDA ATLANTICA)	\N
2502	RUA TEATRÓLOGO  SILVANO  SERRA	006996	RUA	TEATRÓLOGO	E18/F18	N-S	5843/1984	\N	\N	\N	004160	RUA COM. FRANCISCO DE FRANCESCO DI ÂNGELO	004859	RUA OSWALDO ARAÚJO	\N	\N	9587057	559325	9586174	559758	DE LOURDES	D- LOT. OUTEIRO	Na Lei, esta Rua termina na Av. Prof Mozart Solon
2670	VILA COSTA RICA	004035	VILA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2505	RUA CELESTINO VASCONCELOS	020269	RUA	\N	E18	O-L	6964/91	\N	\N	\N	020268	RUA MARIA DOS SANTOS	001072	AV. DOLOR BARREIRA	\N	\N	9586972	558917	9587014	559005	PAPICU	\N	\N
2521	AV. TRAJANO DE MEDEIROS	003433	AVENIDA	\N	E18/I20	N-S	2945/1965	\N	\N	\N	\N	RUA  ISMAEL PORDEUS	\N	PEDRO ANTONIO CAVALCANTE	\N	\N	\N	\N	\N	\N	DE LOURDES/V.PINZON/PRAIA FUTURO I/MANUEL DIAS BRANCO	\N	\N
2529	RUA. DR. FCO. ARAÚJO	004175	RUA	DOUTOR	E18/F18	N-S	\N	\N	\N	\N	004172	AV CEL. JOSÉ AURÉLIO CÂMARA	005012	RUA DEP. FLÁVIO MARCÍLIO	\N	\N	9587217	559109	9586772	559253	DE LOURDES	B ( LOT  VEREDA ATLANTICA)	Na Lei, esta Rua termina na Av. Francisco de Francesco di Ângelo
2531	RUA NICÁCIO PINTO	006591	RUA	\N	E19/F19	O-L	4958/1977	30/11/1977	5046/1978	\N	003433	AV. TRAJANO DE  MEDEIROS	003709	AV. ZEZÉ DIOGO	RUA PINTOR ANTÔNIO BANDEIRA	\N	9586961	560247	9587099	560525	PRAIA DO FUTURO I	GOMES DE SOUZA	O trecho "Av. Trajano de Medeiros até a Rua Pintor Antônio Bandeira" está obstruído pela vegetação.
2537	RUA COM. FRANCISCO DE FRANCESCO  DI ÂNGELO	004160	AVENIDA	COMENDADOR	E19/F18	O-L	4762/1976	\N	\N	\N	001072	AV. DOLOR BARREIRA	003709	AV. ZEZÉ DIOGO	\N	\N	9586923	559047	9587528	560290	DE LOURDES/PRAIA DO FUTURO I	\N	lei especifica
2538	RUA DR. ELIZEU HOLANDA	004165	RUA	DOUTOR	E19	L-O	4676/76	30/04/76	\N	\N	001058	AV. DIOGUINHO	003709	AV. ZEZÉ DIOGO	\N	\N	9587148	560360	9587203	560469	PRAIA DO FUTURO I	rua Visconde de cairu	lei especifica - entre as quadras  26 e 27 do lot Antonio Diogo
2545	TRAV. PIO SARAIVA	004405	TRAVESSA	\N	F05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
2546	TRAV.15 DE JANEIRO	021767	TRAVESSA	\N	F05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
2548	TRAV. OLARIA	004950	TRAVESSA	\N	F05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
2549	TRAV. JUVENTUS	004951	TRAVESSA	\N	F05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
2550	RUA TENENTE LIRA	004404	RUA	TENENTE	F05/F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
2551	RUA PEDRO ANTÔNIO	009787	RUA	\N	F05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
2582	SD	040165	RUA	\N	F06	L-O/N-S	\N	\N	\N	\N	\N	AV. TENENTE QUEIROZ	\N	\N	GINÁSIO SÃO VICENTE/RUA PADRE JOSÉ ARTEIRO	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2583	SD	040164	RUA	\N	F06	N-S	\N	\N	\N	\N	\N	RUA 4	\N	\N	RUA 5	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2585	SD	040160	RUA	\N	F06	L-O/N-S	\N	\N	\N	\N	\N	RUA PIO SARAIVA	\N	\N	RUA GENERAL SAMPAIO	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2586	SD	040162	RUA	\N	F06	N-S	\N	\N	\N	\N	\N	RUA 1/RUA 2	\N	\N	RUA 2/RUA 3	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2589	RUA 1	008024	RUA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2590	RUA 2	008025	RUA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2591	RUA 3	008026	RUA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2592	RUA 4	008027	RUA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2593	RUA 5	008028	RUA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2594	RUA PEDRO MELO	002815	RUA	\N	F06/F07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2595	RUA CAPITÃO AFRANIO	022357	RUA	CAPITÃOOUMAJOR	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
2596	RUA PRES. PRUDENTE	002949	RUA	PRESIDENTE	F06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2597	RUA SÃO JOAQUIM	005479	RUA	SÃO	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
2598	RUA CANTOR CARLOS AUGUSTO	000716	RUA	CANTOR	F06	L-O	4811/76	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2599	RUA FROTA PESSOA	001380	RUA	\N	F06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2600	RUA SALGADO FILHO	003195	RUA	\N	F06/G06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/BEZERRA DE MENEZES	\N	\N
2601	RUA CEL. JOAQUIM FRANKLIN	001881	RUA	CORONEL	F06	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2603	RUA ALTO DAS PEDRINHAS	020675	RUA	\N	F06/G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/GENIBAÚ	\N	\N
2604	RUA PROF. JOAQUIM NOGUEIRA	003916	RUA	PROFESSOR	F06/F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2606	RUASÃO DOMINGOS	001073	RUA	SÃO	F06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2608	RUA HUGO VITOR	001609	RUA	\N	F06/G06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/BEZERRA DE MENEZES	\N	\N
2619	RUA MAJOR CELESTINO	000799	RUA	MAJOR	F06/G06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/BEZERRA DE MENEZES	\N	\N
2620	RUA MARTINS NETO	002381	RUA	\N	F06/F07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/PADRE ANDRADE	\N	\N
2621	RUA PROFESSOR JOSE LEITE GONDIM	001985	RUA	PROFESSOR	F06/F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/PADRE ANDRADE	\N	\N
2623	RUA BERTOLDO MOTA	000541	RUA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2624	RUA JOAQUIM LEITÃO	001886	RUA	\N	F06/G06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/BEZERRA DE MENEZES	\N	\N
2626	RUA SÃO VICENTE DE PAULA	009168	RUA	SÃO	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2627	RUA HIPÓLITO PAMPLONA	008767	RUA	\N	F06/G06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/AUTRAN NUNES	\N	\N
2630	TRAV. PROF. J. NOGUEIRA	000345	TRAVESSA	PROFESSOR	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2631	TRAV. CARLOS AUGUSTO	003926	TRAVESSA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2632	TRAV. PRES. PRUDENTE	024205	TRAVESSA	PRESIDENTE	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2633	TRAV. MURITINGA	023910	TRAVESSA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2635	TRAV. DO BEC	022557	ALAMEDA	DOUTOR	F06	N-S	8854/2004	07/06/2004	11695/2004	16/08/2004	\N	AV. MISTER HULL	\N	RUA MARTINS NETO	\N	\N	555436	9586669	545441	9586567	ANTONIO BEZERRA	BEC,do TRAVESSA DO	\N
2636	TRAV. TOMAZ RODRIGUES	003402	TRAVESSA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2638	TRAV. BRITO BARBOSA	022617	TRAVESSA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2639	TRAV. MARANGUAPINHO	023762	TRAVESSA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2641	PRAÇA IPIRANGA	023337	PRAÇA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2642	VILA FLORÊNCIO	023087	VILA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2644	SD	040171	RUA	\N	F07/F09	N-S/L-O	\N	\N	\N	\N	\N	RUA MOREIRA SOUSA	\N	\N	AV. MISTER HULL/RUA ARMANDO OLIVEIRA	\N	\N	\N	\N	\N	PADRE ANDRADE/PARQUELANDIA	\N	\N
2647	SD	040167	RUA	\N	F07	N-S/L-O	\N	\N	\N	\N	\N	RUA ANTÔNIO GUALBERTO DE SALES	\N	\N	RUA ANÁRIO BRAGA	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2648	SD	040169	RUA	\N	F07	N-S	\N	\N	\N	\N	\N	RUA PROF. JOSÉ/RUA DEMÉTRIO MENEZES	\N	\N	RUA CETAMA/AV. MISTER RULL	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2650	RUA CEL. MATOS DOURADO (PERIMETRAL)	008148	AVENIDA	CORONEL	F07/G07	N-S	4697/76	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA /PADRE AND/DOM LUSTO/PIC	PERIMETRAL	\N
2655	RUA DR. CATUNDA GONDIM	000332	RUA	DOUTOR	F07	L-O	3769/70	09/07/1970	9508/94	14/10/1994	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2658	RUA PROF. DAVID FELINTO	021122	RUA	PROFESSOR	F07/F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
2661	VILA N. S. DA GLÔRIA	023961	VILA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2662	VILA CONCORDIA	022787	VILA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2665	TRAV. ANTÔNIO GUALBERTO DE SALES	009318	TRAVESSA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2666	TRAV. BOATAN	004964	TRAVESSA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2667	TRAV. GUINE	020452	TRAVESSA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2671	RUA NICARAGUA	007473	RUA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2672	TRAV. CONGO	020453	TRAVESSA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2673	TRAV. QUENIA	020451	TRAVESSA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2674	TRAV. SÃO JORGE	020450	TRAVESSA	SÃO	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2675	RUA HONDURAS	001599	RUA	\N	F07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2676	RUA PATRÍCIA	020425	RUA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2677	RUA SOLON NETO	020426	RUA	\N	F07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2681	\N	022594	VIADUTO	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE / ANTONIO BEZERRA	\N	\N
2682	VILA LUZANIRA	023690	VILA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2685	RUA CUBA	000976	RUA	\N	F07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2686	RUA DOUTOR PERIGUARI	002853	RUA	DOUTOR	F07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2688	TRAV. RUI MONTE	003167	TRAVESSA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2689	TRAV. MENDONEA	023850	TRAVESSA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2691	RUA RUI MONTE	003166	RUA	\N	F07/G07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/DOM LUSTOSA	\N	\N
2692	RUA VALE COSTA	003528	RUA	\N	F07/G07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/BEZERRA DE MENEZES	\N	\N
2693	VILA BEZERRA	020355	VILA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2695	RUA TENENTE  QUEIRÓS	002974	RUA	TENENTE	F07/G06	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA/BEZERRA DE MENEZES	\N	\N
2696	TRAVESSA TENENTE QUEIRÓS	024212	TRAVESSA	TENENTE	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2697	VILA FLORIANO	023095	VILA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2698	TRAV. SILVA DO CARMO	024400	TRAVESSA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2699	RUA 8 DE DEZEMBRO	002649	RUA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2700	TRAV.  NELSON  MACHADO	023930	TRAVESSA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2701	VILA SANTO ANTÔNIO	022439	VILA	SANTO	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2702	TRAV. M. SOARES	023750	TRAVESSA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2703	RUA SÃO SALVADOR SERRAINE	024330	RUA	SÃO	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2704	V. SOARES MOTA	004496	VILA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2705	V. DIAS MOTA	022898	VILA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2707	BECO RUI MONTE	024316	BECO	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2708	RUA CETAMA	000815	RUA	\N	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2711	TRAV.TEN. LOURIVAL DE AGUIAR	003529	TRAVESSA	TENENTE	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2712	PRAÇA PROF. SERRANO BEZERRA	024396	PRAÇA	PROFESSOR	F07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	\N	\N
2713	RUA FRANCISCO ALVES	001332	RUA	\N	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2717	RUA FREI JOSÉ MARIA	001995	RUA	FREI	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
2720	RUA REITOR PEDRO BARBOSA	024131	RUA	REITOR	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
2724	RUA PROFº. JAIME NASCIMENTO	021123	RUA	PROFESSOR	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
2725	RUA PROFº. ARMANDO	022480	RUA	PROFESSOR	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
2726	RUA PROFº. DARIO SOARES	022883	RUA	PROFESSOR	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
2727	RUA PROFESSOR ANTÔNIO PINHEIRO	021166	RUA	PROFESSOR	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
2728	AVENIDA PROFº. ANDRADE FURTADO	022424	AVENIDA	PROFESSOR	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
2730	RUA MANOEL BESSA	021234	RUA	\N	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
2732	RUA PROFº. A. CÁMARA	004468	RUA	PROFESSOR	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
2733	AV. PROFº. MÁRIO ROCHA	023816	AVENIDA	PROFESSOR	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
2734	RUA GUSTAVO  SAMPAIO	008710	RUA	\N	F08	L-O	\N	\N	\N	\N	001945	AV. JOSÉ BASTOS	001615	AV. ENG.  HUMBERTO MONTE	\N	\N	9587435	550599	9586879	547882	PARQUELANDIA	\N	\N
2735	AV. PROFº. AURELIO CÂMARA	022498	AVENIDA	PROFESSOR	F08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
2738	\N	002017	RUA	\N	F08	N-S	\N	\N	\N	\N	001543	AV. BEZERRA DE MENEZES	001522	RUA PE. GUERRA	\N	\N	9587031	547971	9586513	547930	PARQUELANDIA	\N	\N
2739	SD	040173	RUA	\N	F09	L-O	\N	\N	\N	\N	\N	RUA TIPÓGRAFO SALES/HIPER MERCANTIL	\N	\N	MURO/RUA PROF. LINO DA ENCARNAÇÃO	\N	\N	\N	\N	\N	PARQUELANDIA/AMADEU FURTADDO	\N	\N
2741	SD	040175	RUA	\N	F09	N-S	\N	\N	\N	\N	\N	HIPER MERCANTIL/DJL III	\N	\N	RUA NELSON MACHADO/DJL IV	\N	\N	\N	\N	\N	AMADEU FURTADO/PARQUELANDIA	\N	\N
2744	SD	040177	RUA	\N	F09/F10	N-S	\N	\N	\N	\N	\N	DJL I	\N	\N	DJL II/RUA MAJOR WEYNE	\N	\N	\N	\N	\N	PARQUELANDIA/RODOLFO TEÓFILO	\N	\N
2747	RUA NESTOR BARBOSA	002551	RUA	\N	F09/F10	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2748	RUA NELSON MACHADO	002544	RUA	\N	F09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2749	RUA ROTARY	003155	RUA	\N	F09/F10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2750	RUA ABÍLIO MARTINS	000018	RUA	\N	F09	L-O	1671/1960	16/12/1960	\N	\N	\N	AV. GONÇALVES DIAS (001471)	\N	\N	RUA HUMBERTO MONTE (001615)	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2751	RUA DAMIÃO FERNANDES	001007	RUA	\N	F09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2753	AVENIDA JOVITA FEITOSA	008715	AVENIDA	\N	F09/F11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI /PARQUEL /AMAD FURT/ROD TEOF/PQ ARA	\N	\N
2760	TRAV. DJL I	020470	TRAVESSA	\N	F09	L-O	\N	\N	\N	\N	020477	TRAV. AZEVEDO BOLÃO	001990	RUA DOM JOSÉ LOURENÇO	\N	\N	9586944	549075	9586927	548986	PARQUELANDIA	INDUSTRIÁRIOS  I	\N
2761	TRAV. DJL II	020470	TRAVESSA	\N	F09	L-O	\N	\N	\N	\N	020477	TRAV. AZEVEDO BOLÃO	001990	RUA DOM JOSÉ LOURENÇO	\N	\N	9586922	549079	9586903	548991	PARQUELANDIA	INDUSTRIÁRIOS  II	\N
2762	TRAV. DJL III	020470	TRAVESSA	\N	F09	L-O	\N	\N	\N	\N	020469	TRAV. MANUEL DE MEDEIROS	003053	RUA DOM REGO MEDEIROS	\N	\N	9586823	549098	9586786	548925	PARQUELANDIA	INDUSTRIÁRIOS  III	A Rua Dom Rego de Medeiros está classificada na cartografia com Travessa Dom Rego de Medeiros
2763	TRAV. DJL IV	020470	TRAVESSA	\N	F09	L-O	\N	\N	\N	\N	020469	TRAV. MANUEL DE MEDEIROS	003053	RUA DOM REGO MEDEIROS	\N	\N	9586799	549103	9586765	548929	PARQUELANDIA	INDUSTRIÁRIOS  IV	A Rua Dom Rego de Medeiros está classificada na cartografia com Travessa Dom Rego de Medeiros
2764	RUA URUOCA	003516	RUA	\N	F09	L-O	1671/60	16/12/1960	\N	\N	000192	RUA AMADEU FUTADO	003032	RUA PROF. RAIMUNDO VITOR	\N	\N	9586695	548533	9586644	548293	PARQUELANDIA	\N	Na lei a via termina na  Rua Tipógrafo Sales.
2765	RUA CRATEÚS	000946	RUA	\N	F09	L-O	1671/60	16/12/1960	\N	\N	001179	RUA ÉRICO MOTA	003032	RUA PROF. RAIMUNDO VITOR	\N	\N	9586838	548628	9586763	548268	PARQUELANDIA	\N	Na Lei a via inicia-se na Rua Amadeu Furtado e termina na Av. Humberto Monte.
2769	TRAV. DOM RECO DE MEDEIROS	024243	TRAVESSA	DOM	F09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA	\N	Segundo Seglog a via está classificada como Rua e não como Travessa.
2771	RUA AMADEU FURTADO	000192	RUA	\N	E09/F09/ G09	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA /AMADEU FURTADO	\N	\N
2774	RUA MARIA FÉLIX RODRIGUES	003896	RUA	\N	F09	N-S	7686/95	25/04/95	9137/95	05/05/95	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDI	\N	\N
2777	RUA MARIO DE ANDRADE	002360	RUA	\N	F09/H10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI/BELA VISTA	\N	\N
2778	RUA 21 DE ABRIL	003649	RUA	\N	F09/G09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI/ BELA VISTA	\N	\N
2779	RUA BOLÍVIA	000572	RUA	\N	F09/G09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI / BELA VISTA	\N	\N
2780	RUA CHILE	000827	RUA	\N	F09/G08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BELA VISTA/PICI	\N	\N
2781	RUA HUMBERTO MONTE	001615	AVENIDA	\N	F09/G10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUEL. /AMAD FURT/ PICI/ROD TEO/BEVIST	\N	\N
2782	RUA VIRIATO RIBEIRO	003665	RUA	\N	F09/H10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI / BELA VISTA	\N	\N
2783	RUA HORACIO NUNES	008120	RUA	\N	F09	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	002175	RUA LINO DA ENCARNAÇÃO	\N	\N	9587004	548823	9586985	548724	PARQUELANDIA	\N	\N
2784	RUA DOM REGO DE MEDEIROS	003053	RUA	DOM	F09	N-S	\N	\N	\N	\N	002283	RUA MANUEL DE MEDEIROS	001522	RUA PADRE GUERRA	\N	\N	9586836	548915	9586717	548939	PARQUELANDIA	\N	Na cartografia a via é classificada como Travessa enquanto que no SEGLOG como Rua.
2786	RUA FRECHEIRINHA	001372	RUA	\N	F09	L-O	1671/60	16/12/1960	\N	\N	003032	RUA RAIMUNDO VITOR	001179	RUA ÉRICO MOTA	\N	\N	9586598	548677	9586522	548319	PARQUELANDIA	\N	Na lei a via inicia-se na Rua Amadeu Furtado e temina na rua Érico Mota.
2787	PRAÇA NATANAEL CORTEZ	023926	PRAÇA	\N	F09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2788	TRAV. AZEVEDO BOLÃO	020477	TRAVESSA	\N	F09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELÂNDIA	\N	\N
2789	TRAV. DOM MANUEL DE MEDEIROS	023751	TRAVESSA	DOM	F09	L-O	\N	\N	\N	\N	001945	AV. JOSÉ BASTOS	\N	LOGRADOURO SEM NOME	\N	\N	9587186	550618	9586631	547871	PARQUELANDIA	\N	Na lei a via termina na Av. Humberto Monte, mas na cartografia se estende por mais duas quadras até uma via sem nomeclatura.
2790	RUA GAL. BERNARDO FIGUEIREDO	000536	RUA	GENERAL	F09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2894	RUA EDSON ALVES DE OLIVEIRA	007708	RUA	\N	F11	O-L	5155/79	\N	\N	\N	001639	RUA INÁCIO BARROSO	000700	RUA CARAPINIMA	\N	\N	9586714	551292	9586767	551231	BENFICA	VILA SANTA FÉ	\N
2791	RUA FRANCISCA RANGEL	001322	RUA	\N	F09/F10	L-O	\N	\N	\N	\N	001523	TRAV. PE. GUERRA	002824	RUA PEDRO DE QUEIROZ	\N	\N	9586806	549718	9586650	548919	PARQUELANDIA	\N	Na lei a via inicia-se na Rua Professor Anacleto. Trav. Padre Guerra é classificada de acordo com a cartografia como Trav. Francisca Rangel.
2793	SD	040179	RUA	\N	F10/F11	L-O	\N	\N	\N	\N	\N	AV. JOSÉ BASTOS	\N	\N	RUA MAJOR WEYNE	\N	\N	\N	\N	\N	RODOLFO TEÓFILO/PARQUE ARAXÁ	\N	\N
2795	RUA CONEGO PENNAFORT	002835	RUA	CÔNEGO	F10/G09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2796	RUA MINERVINO DE CASTRO	002454	RUA	\N	F10/F11	O-L	1510/60	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2799	RUA PROFº. MORAIS CORREIA	002490	RUA	PROFESSOR	F10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA / P. ARAXÁ	\N	\N
2800	RUA BARÃO DE VASCONCELOS	003541	RUA	BARÃO	F10/G10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2807	RUA CAPISTRANO	000689	RUA	\N	F10/F11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2809	RUA FREI MARCELINO	002315	RUA	FREI	F10/G10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2811	RUA TIRADENTES	003399	RUA	\N	F10/F11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2813	RUA MAJOR PEDRO SAMPAIO	008719	RUA	MAJOR	F10/G10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2814	PRAÇA ARI DE SÁ	022476	PRAÇA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2817	RUA MAJOR WEYNE	003693	RUA	MAJOR	F10/G11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO/JARDIM AMERICA/DAMAS	\N	\N
2818	RUA PROFº. JOÃO BOSCO	001786	RUA	PROFESSOR	F10/F11	O-L	2064/62	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2819	RUA PAPI JUNIOR	002739	RUA	\N	F10/G10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2820	RUA ANA NÉRI	000236	RUA	\N	F10/ H11	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO/ JARDIM AMÉRICA	\N	\N
2822	VILA DOURINO	020493	VILA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2823	RUA SÃO PANTALEÃO	020492	RUA	SÃO	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2824	RUA IDELZUITE CORREIA LIMA	001692	RUA	\N	F10	L-O	4857/77	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2826	VILA FIALHO	023082	VILA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2827	VILA TIZA	024468	VILA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2828	VILA ORIENTE	002671	VILA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2833	RUA PORFÍRIO SAMPAIO	002921	RUA	\N	F10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2835	RUA DOM JOAQUIM DE MELO	001872	RUA	DOM	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2836	RUA MONS. FURTADO	001381	RUA	MONSENHOR	F10/G10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2838	RUA DR. EDSON BRAGA	022954	RUA	DOUTOR	F10	\N	6207/87	28/07/87	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2839	RUA CEL. NUNES DE MELO	002615	RUA	CORONEL	F10/H09	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO/BELA VISTA	\N	\N
2840	TRAV. FCA. RANGEL	023103	TRAVESSA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUELANDIA	\N	Travessa Francisca Rangel está classificada segundo SEGLOG como Trav. Padre Guerra.
2844	RUA VIOLEIRO ADERALDO	006790	RUA	VIOLEIRO	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
2847	VILA BETE	022591	VILA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2849	\N	001471	AVENIDA	\N	F10/G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO / RODOLFO TEÓFILO	\N	\N
2851	RUA PADRE CICERO	000830	RUA	PADRE	F10/F11	L-O	1671/60	16/12/1960	\N	\N	001135	AV. EDUARDO GIRÃO	000536	RUA GENERAL BERNARDO FIGUEIREDO	\N	\N	9585846	550906	9586707	549961	RODOLFO TEÓFILO/BENFICA	\N	\N
2852	RUA DELMIRO DE FARIAS	001015	RUA	\N	F10/G10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO / RODOLFO TEÓFILO/DAMAS	\N	\N
2853	RUA ANTERO COELHO	000267	RUA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
2855	RUA CANDIDO JUCÁ	000678	RUA	\N	F10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2857	SD	040181	RUA	\N	F11	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA INSTITUTO DO CEARÁ/RUA CONFUCIO PAMPLONA	\N	\N	\N	\N	\N	BENFICA	\N	\N
2861	RUA RAIMUNDO FAÇANHA	000180	RUA	\N	F11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2866	VILA SANTA FÉ	020495	VILA	SANTA	F11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2867	VILA CONDESSA	000903	VILA	\N	F11	L-O/N-S	\N	\N	\N	\N	001681	RUA PRINCESA ISABEL	\N	MURO	\N	\N	9586996	551293	9586975	551376	FARIAS BRITO	\N	\N
2868	VILA JORGE MIRANDA	023490	VILA	\N	F11	N-S	1671/60	16/12/1960	\N	\N	\N	MURO	003476	AV. TRISTÃO GONÇALVES	\N	\N	9586966	551525	9587005	551479	BENFICA	\N	\N
2869	VILA MEZITA	023864	VILA	\N	F11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2870	VILA DOS ARTISTAS	022485	VILA	\N	F11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2871	VILA ZEZINHO	024625	VILA	\N	F11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2873	V. RUFINO COELHO	003160	VILA	\N	F11	L-O	\N	\N	\N	\N	\N	MURO	000718	RUA CARLOS CÂMARA	\N	\N	9586074	551042	9586113	551000	BENFICA	\N	\N
2951	RUA PADRE ROMA	003123	RUA	PADRE	F12	L-O	1671/60	16/12/1960	\N	\N	001258	RUA FELINO BARROSO	002911	RUA SENADOR POMPEU	\N	\N	9586028	552406	9586249	551710	FATIMA	\N	\N
2874	AVENIDA 13 DE MAIO	003449	AVENIDA	\N	F11/G12	L-O	1671/1960	16/12/1960	\N	\N	000078	AV. AGUANAMBI	000638	RUA CAIO CARLOS	AV. VISCONDE DO RIO BRANCO	AV. JOSÉ BASTOS/VIA FÉRREA	9585140	553282	9586939	550706	FARIAS BRITO/BENFICA/FÁTIMA	CARNEIRO DE MENDONÇA, AV. (lot parque ubirajara)	\N
2876	RUA SÃO CAETANO	000636	RUA	SÃO	F11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2878	RUA TEODORO SOUTO	024453	RUA	\N	F11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2882	RUA LUIZ MIRANDA	002224	RUA	\N	F11	L-O	\N	\N	\N	\N	000700	AV. CARAPINIMA	001945	AV. JOSÉ BASTOS	\N	\N	9586844	551320	9586857	550711	FARIAS BRITO/BENFICA	\N	TRECHO DA RUA SENADOR CATUNDA E RUA SANTA FÉ
2883	TRAV. BATOQUE	000486	TRAVESSA	\N	F11	L-O	\N	\N	\N	\N	003381	RUA TERESA CRISTINA	002085	RUA JUSTINIANO DE SERPA	\N	\N	9586771	551059	9586857	550959	BENFICA	\N	\N
2884	RUA JUVENAL GALENO	002089	RUA	\N	F11	L-O	1671/60	16/12/1960	\N	\N	001030	RUA MARECHAL DEODORO	002502	RUA PADRE MORORÓ	\N	RUA LUIS DE MIRANDA	9586448	551564	9586939	550985	BENFICA	IGUATU TRAV	\N
2889	RUA CARAPINIMA	000700	RUA	\N	F11	N-S	1671/60	16/12/1960	\N	\N	001637	AV. DO IMPERADOR	000266	RUA ANTENOR FROTA WANDERLEY	AV. DOMINGOS OLÍMPIO	\N	9586955	551407	9586258	550730	FARIAS BRITO/BENFICA	\N	\N
2893	RUA SENADOR CATUNDA	000779	RUA	SENADOR	F11/F12	L-O	1671/60	16/12/1960	\N	\N	001030	RUA MARECHAL DEODORO	000700	RUA CARAPINIMA	\N	\N	9586572	551620	9586845	551320	BENFICA	\N	\N
2897	AV. EDUARDO GIRÃO	001135	AVENIDA	\N	F11/H13	L-O	3135/65	\N	\N	\N	000078	AV. AGUANAMBI	001945	AV. JOSÉ BASTOS	\N	\N	9584849	552937	9586066	550527	BENFICA/FÁTIMA	DO CANAL	\N
2899	RUA JOAQUIM FEIJÃO	001877	RUA	\N	F11	N-S	1671/60	16/12/1960	\N	\N	000638	RUA CAIO CARLOS	001356	RUA PADRE FRANCISCO PINTO	\N	\N	9586796	550799	9586492	550850	BENFICA	\N	\N
2900	VILA ROYAL	007044	VILA	\N	F11	L-O	\N	\N	\N	\N	000907	RUA CONFÚCIO PAMPLONA	\N	MURO	\N	\N	9586622	551463	9586657	551419	BENFICA	\N	\N
2901	VILA GURGEL	023248	VILA	\N	F11/K05	N-S	\N	\N	\N	\N	000779	RUA SENADOR CATUNDA	\N	MURO	\N	\N	9586694	551485	9586684	551451	BENFICA/GRANJA PORTUGAL	\N	\N
2902	VILA. VITORIA	003605	VILA	\N	F11	L-O	\N	\N	\N	\N	001030	RUA MARECHAL DEODORO	002635	TRAV. 8 DE MAIO	\N	\N	9586515	551595	9586608	551496	BENFICA	\N	\N
2904	VILA SANTA CECILIA	000798	VILA	SANTA	F11	N-S	\N	\N	\N	\N	002771	RUA PAULINO NOGUEIRA	\N	MURO	\N	\N	9586328	551213	9586257	551149	BENFICA	\N	\N
2905	RUA PAULINO NOGUEIRA	002771	RUA	\N	F11/G12	L-O	1671/60	16/12/1960	\N	\N	001235	AV. DOS EXPEDICIONÁRIOS	003509	AV. DA UNIVERSIDADE	\N	\N	9585978	551624	9586418	551111	BENFICA	\N	\N
2906	RUA NOSSA SENHORA DOS REMEDIOS	002579	RUA	\N	F11	N-S	1671/60	16/12/1960	\N	\N	003449	AV. 13 DE MAIO	001356	RUA PADRE FRANCISCO PINTO	\N	\N	9586412	551357	9586204	551167	BENFICA	\N	\N
2907	RUA SANTO ANTÔNIO	000277	RUA	SANTO	F11	N-S	\N	\N	\N	\N	003449	AV. 13 DE MAIO	002771	RUA PAULINO NOGUEIRA	\N	\N	9586312	551472	9586197	551367	BENFICA	\N	\N
2908	RUA JULIO CESAR	002059	RUA	\N	F11/G11	N-S	1671/60	16/12/1960	\N	\N	001356	RUA PADRE FRANCISCO PINTO	002936	RUA DESEMBARGADOR PRAXEDES	\N	RUA EUGÊNIO PRAXEDES	9586081	551303	9584337	549802	BENFICA/JARDIM AMERICA	\N	TRECHO DA RUA DESEMBARGADOR PRAXEDES ATÉ A RUA EUGÊNIO GADELHA NÃO É OFICIAL.
2910	RUA PE. MIGUELINO	002446	RUA	PADRE	F11/F12	L-O	1671/60	16/12/1960	\N	\N	001258	RUA FELINO BARROSO	002911	RUA SENADOR POMPEU	\N	RUA MARECHAL DEODORO	9586166	552391	9586448	551564	BENFICA/JOSÉ BONIFÁCIO/FÁTIMA	\N	\N
2911	RUA ARATUBA	000363	RUA	\N	F11/ F12	N-S	1671/60	16/12/1960	\N	\N	\N	MURO	003449	AV. 13 DE MAIO	RUA AURORA	\N	9586352	551618	9586242	551555	BENFICA	ANAÍDE	\N
2912	RUA PROFº. MENDES	002000	RUA	PROFESSOR	F11	L-O	\N	\N	\N	\N	001030	RUA MARECHAL DEODORO	\N	MURO	\N	\N	9586100	551406	9586150	551331	BENFICA	\N	\N
2913	VILA SÃO VICENTE	024548	VILA	SÃO	F11/D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000402	003150	\N	\N	\N	\N	BENFICA/VILA VELHA	\N	\N
2916	RUA CAPITÃO FRANCISCO PEDRO	001354	RUA	CAPITÃO	F11/G10	N-S	6161/86	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
2917	RUA PADRE FRANCISCO PINTO	001356	RUA	PADRE	F11	L-O	1671/60	16/12/1960	\N	\N	001030	RUA MARECHAL DEODORO	001945	AV. JOSÉ BASTOS	\N	\N	9586023	551370	9586560	550776	BENFICA	N. S. DOS REMÉDIOS	\N
2918	RUA ANTENOR FROTA WANDERLEY	000266	RUA	\N	F11/ G11	L-O	4476/1974	\N	\N	\N	001030	RUA MARECHAL DEODORO	001945	AV. JOSÉ BASTOS	\N	\N	9585779	551261	9586258	550730	BENFICA	JOSÉ ALBANO	\N
2919	RUA MARTINÓPOLE	002380	RUA	\N	F11	N-S	1671/60	16/12/1960	\N	\N	000042	RUA ADOLFO HÉRBSTER	000266	RUA ANTENOR FROTA WANDERLEY	\N	MURO	\N	\N	\N	\N	BENFICA	WEYNE TRAV	\N
2920	TRAV. 8 DE MAIO	002635	TRAVESSA	\N	F11	N-S	\N	\N	\N	\N	003605	VILA VITÓRIA	002089	RUA JUVENAL GALENO	\N	\N	9586608	551496	9586541	551451	BENFICA	\N	\N
2924	RUA INSTITUTO DO CEARÁ	001661	RUA	\N	F11	L-O	1671/60	16/12/1960	\N	\N	000907	RUA CONFÚCIO PAMPLONA	000700	;	\N	\N	9586741	551572	9586915	551384	BENFICA	LUÍS DE MIRANDA	\N
2925	RUA CAIO CARLOS	000638	RUA	\N	F11	L-O	1671/60	16/12/1960	\N	\N	002085	RUA JUSTINIANO DE SERPA	001945	AV. JOSÉ BASTOS	\N	\N	9586862	550958	9586770	550738	BENFICA	\N	\N
2927	PRAÇA GENTILÂNDIA	023195	PRAÇA	\N	F11	\N	\N	\N	\N	\N	\N	AV 13 DE MAIO/RUA JOÃO GENTIL	\N	\N	\N	\N	9586296	551367	\N	\N	BENFICA	\N	\N
2928	RUA REDENÇÃO	003050	RUA	\N	F11	N-S	1671/60	16/12/1960	\N	\N	001356	RUA PADRE FRANCISCO PINTO	000042	RUA ADOLFO HÉRBSTER	\N	\N	9586264	551102	9586170	551015	BENFICA	SOBRAL TRAV	\N
2931	RUA JOÃO GENTIL	001817	RUA	\N	F11/G11	N-S	1671/60	16/12/1960	\N	\N	003449	AV. 13 DE MAIO	001135	AV. EDUARDO GIRÃO	\N	\N	9586340	551441	9585840	550993	BENFICA	São José do Tauape	\N
2932	VILA ARTEIRO	000398	VILA	\N	F11	L-O	\N	\N	\N	\N	001030	RUA MARECHAL DEODORO	002635	TRAV. 8 DE MAIO	\N	\N	9586483	551581	9586577	551475	BENFICA	\N	\N
2933	RUA WALDERY UCHÔA	003676	RUA	\N	F11/H10	N-S	2994/65	\N	\N	\N	\N	MURO DA BIBLIOTECA DO CENTRO DE HUMANIDADE	000181	RUA DR. ÁLVARO FERNANDES	\N	\N	9586432	551454	9584349	549555	BENFICA/MONTESE/BOM FUTURO	MINAS GERAIS - RODOLFO TEÓFILO	\N
2940	SD	040183	RUA	\N	F12	L-O	\N	\N	\N	\N	\N	AV. 13 DE MAIO/AV. DOMINGOS OLÍMPIO	\N	\N	AV. DOS EXPEDICIONÁRIOS/RUA DOM SEBASTIÃO LEME	\N	\N	\N	\N	\N	JOSÉ BONIFÁCIO/FÁTIMA	\N	\N
2941	AVENIDA DOS EXPEDICIONARIOS	001235	AVENIDA	\N	F12/I11	N-S	1671/60	16/12/1960	\N	\N	003449	AV. 13 DE MAIO	005152	RUA SAUDADE	\N	VIA FÉRREA PARANGABA MUCURIPE	9586139	551674	9583212	550779	FÁTIMA/BENFICA/MONTESE/VILA UNIÃO	\N	\N
2943	RUA DEPUTADO JOÃO PONTES	001840	RUA	DEPUTADO	F12/G12	L-O	1671/60	16/12/1960	\N	\N	001258	AV. FELINO BARROSO	003078	RUA BARÃO  DO RIO BRANCO	\N	\N	9585893	552424	9586104	551767	FATIMA	\N	\N
2946	RUA DOUTOR JOÃO DE DEUS	001805	RUA	DOUTOR	F12/F13	L-O	2870/64	\N	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	001258	AV. FELINO BARROSO	EDIFICAÇÃO	\N	9586100	553022	9586028	552406	FATIMA	PE. ROMA  TRECHO DA	\N
2947	RUA ARACATI	000371	RUA	\N	F12	L-O	1671/60	16/12/1960	\N	\N	002911	RUA SENADOR POMPEU	001030	RUA MARECHAL DEODORO	\N	\N	9586403	551757	9586483	551581	BENFICA	\N	\N
2949	V.  D.  MARIA	023786	VILA	DONA	F12	L-O	\N	\N	\N	\N	\N	MURO	003235	RUA DOM SEBASTIÃO LEME	\N	\N	9586118	552665	9586112	552616	FÁTIMA	\N	\N
2950	\N	001679	TRAVESSA	\N	F12	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	003235	RUA DOM SEBASTIÃO LEME	\N	\N	9586271	552639	9586266	552589	FÁTIMA	\N	\N
2952	VILA TRICOLOR	024484	VILA	\N	F12	N-S	\N	\N	\N	\N	003123	RUA PADRE ROMA	\N	MURO	\N	\N	9586059	552306	9586019	552293	FATIMA	\N	\N
2953	VILA AILA	000228	VILA	\N	F12	N-S	\N	\N	\N	\N	002446	RUA PADRE MIGUELINHO	003123	RUA PADRE ROMA	\N	\N	9586167	552354	9586057	552315	FATIMA	\N	\N
2955	RUA J. VIANA DE ARAÚJO	009360	RUA	\N	F12	N-S	1671/60	16/12/1960	\N	\N	002656	RUA OLÍVIO CÂMARA	001890	RUA JOAQUIM MAGALHÃES	\N	\N	9586922	551811	9586862	551784	BENFICA	RECIFE TRAV	\N
2957	RUA JOAQUIM MAGALHÃES	001890	RUA	\N	F12/F13	L-O	1671/60	16/12/1960	\N	\N	002118	RUA LAURO MAIA	003509	AV. DA UNIVERSIDADE	RUA SOUSA GIRÃO	\N	9586551	552864	9586961	551606	JOSÉ BONIFÁCIO/BENFICA	\N	\N
3471	RUA FRANCISCO RAMOS	006558	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
2958	RUA MESTRE ROSA	003137	RUA	MESTRE	F12/F13	L-O	1671/60	16/12/1960	\N	\N	002118	RUA LAURO MAIA	001735	RUA JAIME BENÉVOLO	\N	\N	9586478	552879	9586418	552377	JOSÉ BONIFÁCIO	SILVA JARDIM   TRECHO DA	\N
2960	RUA CARLOS GOMES	000720	RUA	\N	F12	L-O	1671/60	16/12/1960	\N	\N	003137	RUA MESTRE ROSA	001243	RUA MAJOR FACUNDO	\N	RUA SENADOR POMPEU	9586451	552677	9586714	551851	JOSÉ BONIFÁCIO	\N	\N
2961	AVENIDA FELINO BARROSO	001258	AVENIDA	\N	F12/G12	N-S	1671/60	16/12/1960	\N	\N	001735	RUA JAIME BENÉVOLO	003449	AV. 13 DE MAIO	\N	\N	9586378	552364	9585462	552471	JOSÉ BONIFÁCIO/FÁTIMA	DO LAGO, ESTRADA DO OPAIA	\N
2963	RUA SILVA JARDIM	003285	RUA	\N	F12	L-O	1671/60	16/12/1960	\N	\N	001735	RUA JAIME BENÉVOLO	002911	RUA SENADOR POMPEU	\N	\N	9586418	552377	9586596	551816	JOSÉ BONIFÁCIO	\N	\N
2966	RUA QUINTINO BOCAIUVA	002979	RUA	\N	F12	L-O	1671/60	16/12/1960	\N	\N	001735	RUA JAIME BENÉVOLO	001030	RUA MARECHAL DEODORO	\N	\N	9586751	552489	9586981	551803	JOSÉ BONIFÁCIO/BENFICA	\N	\N
2969	RUA ARI DA SILVA MARINHO	002648	RUA	\N	F12	N-S	\N	\N	8603/91	\N	002656	RUA OLÍVIO CÂMARA	001890	RUA JOAQUIM MAGALHÃES	\N	\N	9586900	551874	9586838	551856	BENFICA	OLINDA TRAV	\N
2970	RUA MARECHAL DEODORO	001030	RUA	MARECHAL	F12/G11	N-S	1671/60	16/12/1960	\N	\N	001081	AV. DOMINGOS OLÍMPIO	001135	AV. EDUARDO GIRÃO	\N	\N	9587097	551854	9585635	551200	BENFICA	\N	\N
2971	VILA ROSINHA 1	024311	VILA	\N	F12	L-O	\N	\N	\N	\N	002911	RUA SENADOR POMPEU	001030	RUA MARECHAL DEODORO	\N	\N	9586753	551863	9586807	551726	BENFICA	\N	\N
2972	RUA DO SERENO	003250	RUA	\N	F12	L-O	1671/60	16/12/1960	\N	\N	001306	RUA FLORIANO PEIXOTO	001243	RUA MAJOR FACUNDO	\N	\N	9586669	552090	9586686	552037	JOSÉ BONIFÁCIO	\N	\N
2973	RUA S. MARIA	002332	RUA	\N	F12	L-O	1671/60	16/12/1960	\N	\N	001306	RUA FLORIANO PEIXOTO	001243	RUA MAJOR FACUNDO	\N	\N	9586704	552102	9586722	552048	JOSÉ BONIFÁCIO	\N	\N
2974	TRAV. MAJOR FACUNDO	023056	TRAVESSA	MAJOR	F12	L-O	\N	\N	\N	\N	001306	RUA FLORIANO PEIXOTO	003078	RUA BARÃO DO RIO BRANCO	\N	\N	9586734	552112	9586775	551986	JOSÉ BONIFÁCIO	\N	\N
2976	RUA LEANDRO MONTEIRO	002124	RUA	\N	F12	N-S	1671/60	16/12/1960	\N	\N	002446	RUA PADRE MIGUELINO	003449	AV. 13 DE MAIO	\N	\N	9586376	551721	9586178	551629	BENFICA	\N	\N
2977	VILA NAZIRA	002540	VILA	\N	F12	N-S	\N	\N	\N	\N	\N	MURO	002446	RUA PADRE MIGUELINO	\N	\N	9586442	551823	9586349	551795	JOSÉ BONIFÁCIO	\N	\N
2978	RUA ARARIPE	000357	RUA	\N	F12/ G12	N-S	1671/60	16/12/1960	\N	\N	001840	RUA DEP. JOÃO PONTES	000932	RUA DR. COSTA ARAÚJO	\N	\N	9586024	552017	9585910	551979	FÁTIMA	\N	\N
2980	V. SANTA RITA	024274	VILA	SANTA	F12	\N	\N	\N	\N	\N	003235	RUA DOM SEBASTIÃO LEME	\N	MURO	\N	\N	9586387	552569	9586379	552510	JOSÉ BONIFÁCIO	\N	\N
2981	RUA AURORA	000436	RUA	\N	F12	L-O	1671/60	16/12/1960	\N	\N	002124	RUA LEANDRO MONTEIRO	000363	RUA ARATUBA	\N	\N	9586292	551682	9586318	551600	BENFICA	Vila Nádia	\N
2982	RUA JOSÉ GOMES MOURA	001979	RUA	\N	F12	N-S	\N	\N	\N	\N	000321	RUA ANTÔNIO POMPEU	001081	AV. DOMINGOS OLÍMPIO	\N	\N	9587015	552790	9586814	552742	JOSÉ BONIFÁCIO	LOURENÇO FEITOSA,  mat.24241	\N
2988	RUA BARÃO DE ARATANHA	000362	RUA	BARÃO	F12/G12	N-S	1671/1960	16/12/1960	\N	\N	000789	AV. DUQUE DE CAXIAS	003449	AV. 13 DE MAIO	\N	\N	9587420	552629	9585796	552078	CENTRO/J.BONIFÁCIO/FÁTIMA	\N	\N
2989	RUA SOUZA GIRÃO	003325	RUA	\N	F12/G13	N-S	1671/60	16/12/1960	\N	\N	000078	AV. AGUANAMBI	002030	RUA DR. JOSÉ VITOR	\N	\N	9586537	552750	9585808	552871	JOSÉ BONIFÁCIO/FÁTIMA	\N	\N
2990	V. MARIA JOSÉ	002366	VILA	\N	F12	L-O	\N	\N	\N	\N	003315	RUA SOLON PINHEIRO	\N	MURO	\N	\N	9586743	552316	9586749	552267	JOSÉ BONIFÁCIO	\N	\N
2991	RUA MONSENHOR OTAVIO DE CASTRO	002699	RUA	MONSENHOR	F12/G12	N-S	1671/60	16/12/1960	\N	\N	003475	RUA CONSELHEIRO TRISTÃO	003449	AV. 13 DE MAIO	\N	\N	9586376	552468	9585311	552649	JOSÉ BONIFÁCIO/FÁTIMA	\N	\N
2992	RUA LOURENÇO FEITOSA	002198	RUA	\N	F12	N-S	1671/60	16/12/1960	\N	\N	001890	RUA JOAQUIM MAGALHÃES	003137	RUA MESTRE ROSA	\N	\N	9586559	552699	9586451	552677	JOSÉ BONIFÁCIO	EUSÉBIO DE SOUSA	\N
2993	RUA EUZÉBIO DE SOUSA	008721	RUA	\N	G12	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FÁTIMA	\N	ver numeração.
2996	VILA DEMETRIO	001022	VILA	\N	F12	N-S/O-L	\N	\N	\N	\N	001890	RUA JOAQUIM MAGALHÃES	\N	EDIFICAÇÃO	\N	\N	9586910	551665	9586853	551690	BENFICA	\N	Termina em uma edificação com a frente para a Rua Joaquim Magalhães. Vila em forma de U
2997	VILA SANTOS	020321	VILA	\N	F12	N-S	\N	\N	\N	\N	001890	RUA JOAQUIM MAGALHÃES	\N	MURO	\N	\N	9586598	552588	9586560	552575	JOSÉ BONIFÁCIO	\N	\N
2998	VILA ARRUDA	022484	VILA	\N	F12	N-S	\N	\N	\N	\N	\N	MURO	001890	RUA JOAQUIM MAGALHÃES	\N	\N	9586619	552702	9586565	552685	JOSÉ BONIFÁCIO	\N	\N
2999	PRAÇA GAL. SAMPAIO	024332	PRAÇA	GENERAL	F12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FÁTIMA	\N	\N
3000	RUA CONFÚCIO PAMPLONA	000907	RUA	\N	F11	N-S	1671/60	16/12/1960	\N	\N	\N	MURO	002089	RUA JUVENAL GALENO	RUA INSTITUTO DO CEARÁ	\N	9586817	551633	9586570	551416	BENFICA	DA BOTIJA E 8 DE MAIO	\N
3002	RUA DOM BOSCO	000590	RUA	DOM	F12/F13	L-O	1671/60	16/12/1960	\N	\N	003079	AV. VISC. RIO BRANCO	001979	RUA JOSÉ GOMES DE MOURA	\N	\N	9586887	552920	9586863	552746	JOSÉ BONIFÁCIO	\N	\N
3003	V. JUVENIL	003753	VILA	\N	F12	N-S	\N	\N	\N	\N	001890	RUA JOAQUIM MAGALHÃES	\N	MURO	\N	\N	9586628	552501	9586601	552492	JOSÉ BONIFÁCIO	\N	\N
3004	V. C. DE JESUS	024574	VILA	\N	F12	N-S/L-O	\N	\N	\N	\N	\N	MURO	001890	RUA JOAQUIM MAGALHÃES	\N	\N	9586706	552364	9586682	552348	JOSÉ BONIFÁCIO	\N	\N
3005	\N	003190	RUA	\N	F12	L-O	1671/60	16/12/1960	\N	\N	001258	RUA FELINO BARROSO	003078	RUA BARÃO DO RIO BRANCO	\N	\N	9586289	552376	9586449	551879	JOSÉ BONIFÁCIO/FÁTIMA	\N	\N
3090	SD	040190	RUA	\N	F14/F13	O-L	\N	\N	\N	\N	\N	RUA IDELFONSO ALBANO	\N	\N	RUA BARÃO DE ARACATI	\N	\N	\N	\N	\N	ALDEOTA/JOAQUIM TÁVORA	\N	\N
3092	RUA LUIZ ALVES MAIA	002219	RUA	\N	F14/F13	O-L	3961/71	\N	\N	\N	000732	RUA CARLOS VASCONCELOS	003162	AV. RUI BARBOSA	\N	\N	9586151	553945	9586103	554194	JOAQUIM TAVORA	\N	\N
3094	RUA ROBERTO TÁVORA	003103	RUA	\N	F14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOAQUIM TÁVORA	\N	\N
3095	RUA ASSIS CHATEAUBRIANO	000414	RUA	\N	F14/ G15	O-L	4948/1977	29/11/1977	\N	\N	003331	AV. BARÃO DE STUDART ??????	008729	AV. DESEMBARGADOR MOREIRA	\N	\N	9586188	554489	9585897	555369	DIONÍSIO TORRES	GILBERTO RÔLA	o trecho que vai da Av. Barão de Studart até a Rua Tibúrcio Cavalcante não é oficial
3096	RUA DOUTOR WALDER STUDART	002613	RUA	DOUTOR	F14	O-L	4975/78	\N	\N	\N	003390	RUA TIBÚRCIO CAVALCANTI	001895	RUA JOAQUIM NABUCO	\N	\N	9586077	554947	9586044	555055	DIONÍSIO TORRES	ORIENTE	\N
3164	TRAV. DO ROSARIO	020659	TRAVESSA	\N	F15	O-L	\N	\N	\N	\N	007778	RUA SANTA CATARINA LABORE	007779	RUA DA FELICIDADE	\N	\N	9586113	555886	9586096	555937	ALDEOTA	\N	\N
3097	RUA JOAQUIM TORRES	001902	RUA	\N	F14/F13	O-L	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	000732	RUA CARLOS VASCONCELOS	\N	TRAV. CONDE BONFIM	9586526	552996	9586368	554053	JOAQUIM TÁVORA	\N	o trecho que vai da Av. Visconde do Rio Branco até a Trav. Conde Bonfim  não é oficial
3099	RUA JOÃO BRÍGIDO	001788	RUA	\N	F14/F13	O-L	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	003331	AV. BARÃO DE STUDART	\N	\N	9586792	552949	\N	\N	DIONÍSIO TORRES/JOAQUIM TÁVORA	S. TORQUATO, DA BOMBA	o trecho que vai da Av. Barão de Studart até Av. Desembargador Moreira não é oficial
3100	VILA VICENTINA	024553	VILA	\N	F14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIONÍSIO TORRES	\N	\N
3102	RUA PADRE VALDEVINO	003526	RUA	PADRE	F14/F13	O-L	1671/1960	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	003526	AV. DESEMBARGADOR MOREIRA	\N	\N	9586983	552897	9586183	555460	CENTRO/JOAQUIM TÁV/DIO TOR/ALDEOTA	DR. ANTÔNIO POMPEU, TRECHO	\N
3103	PRAÇA JOÃO DO MAR	001809	PRAÇA	\N	F14	\N	\N	\N	\N	\N	\N	AV. ANTÔNIO SALES/OSVALDO CRUZ	\N	\N	\N	\N	9586109	555192	\N	\N	DIONÍSIO TORRES	\N	\N
3104	RUA BENEDITO PRATA	000517	RUA	\N	F14	O-L	4127/72	\N	\N	\N	000732	RUA CARLOS VASCONCELOS	000616	RUA MONSENHOR BRUNO	MURO	\N	9586535	554112	9586509	554196	JOAQUIM TÁVORA	\N	\N
3105	TRAV. NUNES VALENTE	023998	TRAVESSA	\N	F14	O-L	\N	\N	\N	\N	002616	RUA NUNES VALENTE	\N	EDIFICAÇÃO	\N	\N	958630	554902	9586285	554961	DIONÍSIO TORRES	\N	\N
3106	TRAV.  T. CAVALCANTE	024460	TRAVESSA	\N	F14	O-L	\N	\N	\N	\N	003390	RUA TIBÚRCIO CAVALCANTE	\N	MURO (POSTO DE GASOLINA)	\N	\N	9586270	555009	9586250	555073	DIONÍSIO TORRES	\N	\N
3108	VILA DONA ROSA	008197	VILA	DONA	F14	O-L	\N	\N	\N	\N	000348	RUA BARÃO DE ARACATI	\N	MURO	\N	\N	9586802	554035	9586783	554075	ALDEOTA	\N	\N
3425	TRAV. GENOVA	020686	TRAVESSA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3109	RUA GENERAL MACHADO	002458	RUA	GENERAL	F14	N-S/O-L	\N	\N	\N	\N	003298	RUA SILVA PAULET	002616	RUA NUNES VALENTE	\N	\N	9586563	554733	9586413	554937	ALDEOTA	\N	\N
3110	RUA ROCITA LIMA	024288	RUA	\N	F14	O-L	\N	\N	\N	\N	002616	RUA NUNES VALENTE	003390	RUA TIBÚRCIO CAVALCANTE	\N	\N	9586439	554946	9586403	555051	ALDEOTA	\N	\N
3111	RUA GAL. TERTULIANO POTYGUARA	002931	RUA	GENERAL	F14/G16	O-L	4473/74	\N	\N	\N	003390	RUA TIBÚRCIO CAVALCANTE	\N	VIA FÉRREA PARANGABA-MUCURIPE	\N	AV. ENGENHEIRO SANTANA JR.	9586430	555060	9585978	556728	ALDEOTA/COCÓ	ITORORÓ, GAL. POTIGUARA	\N
3113	RUA VICENTE LINHARES	003585	RUA	\N	F14/F16	O-L	1671/60	16/12/1960	\N	\N	003390	RUA TIBÚRCIO CAVALCANTE	003132	RUA  MARECHAL RONDON	\N	VIA FÉRREA PARANGABA-MUCURIPE	9586538	555095	9586072	556546	ALDEOTA/COCÓ	LOMAS VALENTINA	\N
3114	RUA CATÃO MAMEDE	000775	RUA	\N	F14	O-L	1671/60	16/12/1960	\N	\N	000348	RUA BARÃO DE ARACATI	003390	RUA TIBÚRCIO CAVALCANTE	RUA CARLOS VASCONCELOS	\N	9586986	554094	9586647	555132	ALDEOTA	LUÍS DE CAMÕES	\N
3115	RUACAROLINA SUCUPIRA	000744	RUA	\N	F14/F16	O-L	1671/60	16/12/1960	\N	\N	003390	RUA TIBÚRCIO CAVALCANTE	003132	RUA MARECHAL RONDOM	\N	VIA FÉRREA PARANGABA-MUCURIPE	9586647	555132	9586165	556618	ALDEOTA	\N	\N
3118	RUA PADRE QUIDERÉ	002977	RUA	PADRE	F14	O-L	1671/60	16/12/1960	\N	\N	002029	RUA JOSÉ VILAR	003390	RUA TIBÚRCIO CAVALCANTE	\N	\N	9586958	554993	9586888	555209	ALDEOTA	VISCONDE DE CAIRU	\N
3133	TRAV. CONDE BONFIM	000575	TRAVESSA	CONDE	F14	N-S	\N	\N	\N	\N	001902	RUA JOAQUIM TORRES	003409	RUA TOMÁS ACIÓLI	\N	\N	9586368	554053	9586239	554030	JOAQUIM TÁVORA	\N	\N
3134	RUA CEL. LEOCÁDIO	002137	RUA	CORONEL	F14	N-S	4221/73	\N	\N	\N	003106	RUA ROCHA LIMA	003526	RUA PE. VALDEVINO	\N	\N	9586671	554217	9586579	554178	ALDEOTA	\N	\N
3136	RUA LIMOEIRO DO NORTE	002167	RUA	\N	F14	N-S	1671/60	16/12/1960	\N	\N	003106	RUA ROCHA LIMA	\N	MURO	\N	AV. ANTÔNIO SALES	9586728	554041	9586428	554016	ALDEOTA/JOAQUIM TÁVORA	BATURITÉ TRAV	\N
3140	RUA C. ALBERTO GALVÃO	000713	RUA	\N	F14	O-L	4272/73	\N	\N	\N	000616	RUA MONS. BRUNO	003162	AV. RUI BARBOSA	\N	\N	9586811	554294	9586774	554412	ALDEOTA	\N	\N
3142	SD	040192	RUA	\N	F15	O-L	\N	\N	\N	\N	\N	AV. SENADOR VIRGÍLIO TÁVORA	\N	\N	RUA PROF. DIAS DA ROCHA/SD (040194)	RUA DR. MÁRIO NOBRE COELHO	\N	\N	\N	\N	ALDEOTA	\N	\N
3144	SD	040195	RUA	\N	F15	N-S	\N	\N	\N	\N	\N	SD (040193)	\N	\N	RUA DR. MÁRIO NOBRE COELHO	\N	\N	\N	\N	\N	ALDEOTA	\N	\N
3148	RUA DESEMBARGADOR LEITE ALBUQUERQUE	001323	RUA	DESEMBARGADOR	E14/F15	O-L	4813/76	\N	\N	\N	002029	RUA JOSÉ VILAR	\N	MURO	\N	VIA FÉRREA PARANGABA-MUCURIPE	9587152	555055	9586563	556879	ALDEOTA	SÃO FRANCISCO	\N
3150	VILA MILITAR	023873	VILA	\N	F15	O-L	\N	\N	\N	\N	002693	RUA OSVALDO CRUZ	\N	MURO	\N	\N	9586952	555468	9586939	555510	ALDEOTA	\N	\N
3151	RUA AFONSO CELSO	000058	RUA	\N	F15	O-L	1671/1960	16/12/1960	\N	\N	000732	RUA CARLOS VASCONCELOS	002693	RUA OSVALDO CRUZ	\N	\N	9587144	554273	9586778	555411	ALDEOTA	\N	\N
3152	RUA PAULA NEY	002767	RUA	\N	F15/F16	O-L	1671/60	16/12/1960	\N	\N	008734	RUA BARBOSA DE FREITAS	003132	RUA  MARECHAL RONDON	\N	\N	9586693	555747	9586378	556715	ALDEOTA	\N	\N
3153	RUA EDUARDO GARCIA	001134	RUA	\N	F15/F16	O-L	1671/60	16/12/1960	\N	\N	002494	AV. DESEMBARGADOR MOREIRA	\N	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9586834	555671	9586445	556834	ALDEOTA	\N	\N
3154	AVENIDA PADRE ANTÔNIO TÓMAZ	000328	AVENIDA	PADRE	F15/ G19	O-L	1671/60	16/12/1960	10073/1997	07/05/1997	003390	RUA TIBÚRCIO CAVALCANTE	\N	VIA FÉRREA PARANGABA-MUCURIPE	\N	RUA PROF. FRANCISCA ALMEIDA DE SOUSA	9586758	555167	9584994	560638	ALDEOTA/MANUEL DIAS BRANCO/COCÓ	\N	Decreto 10073 /1997 prolongou a dnominação ate  a Rua Nertan Macedo, o trecho que se segue não tem denominação oficial
3155	RUA SANTA INÊS	007789	RUA	SANTA	F15	O-L	\N	\N	\N	\N	003583	RUA VICENTE LEITE	001198	AV. SEN. VIRGÍLIO TÁVORA	\N	\N	9586104	555792	9586035	556011	ALDEOTA	\N	\N
3156	BECO DO MEIO	023844	BECO	\N	F15	\N	\N	\N	\N	\N	007775	TRAV. ANTÔNIO SOUTO	024353	TRAV. VERDES MARES	\N	\N	9586124	555831	9586105	555883	ALDEOTA	\N	\N
3157	RUA CATARINA LABOURÉ	007778	RUA	SANTA	F15	N-S	1671/60	16/12/1960	\N	\N	002931	RUA GAL. TERTULIANO POTYGUARA	000519	RUA BENI DE CARVALHO	\N	\N	9586158	555900	9586052	555866	ALDEOTA	\N	\N
3158	TRAV. JOÃO PAULO II	023459	TRAVESSA	\N	F15	N-S	\N	\N	\N	\N	007774	RUA SANTA CECÍLIA	007783	RUA SANTA INÊS	\N	\N	9586140	555867	9586085	555852	ALDEOTA	\N	\N
3160	RUA DA ALEGRIA	022371	RUA	\N	F15	N-S	\N	\N	\N	\N	007774	RUA SANTA CECÍLIA	007783	RUA SANTA INÊS	\N	\N	9586109	555966	9586054	555949	ALDEOTA	\N	\N
3161	RUA DR. MARIO NOBRE COELHO	002365	RUA	DOUTOR	F15	O-L	\N	\N	\N	\N	001198	AV. SEN. VIRGÍLIO TÁVORA	001051	RUA PROF. DIAS DA ROCHA	\N	\N	9586165	556054	9586131	556162	ALDEOTA	\N	\N
3162	RUA SANTA CECILIA	007774	RUA	SANTA	F15	O-L	\N	\N	\N	\N	003583	RUA VICENTE LEITE	001198	AV. SEN. VIRGÍLIO TÁVORA	\N	\N	9586159	555809	9586088	556029	ALDEOTA	\N	\N
3163	RUA DA FELICIDADE	007779	RUA	\N	F15	\N	8317/1999	18/10/1999	\N	\N	002931	RUA GAL. TERTULIANO POTYGUARA	000519	RUA BENI DE CARVALHO	\N	\N	9586142	555952	9586036	555917	ALDEOTA	\N	\N
3165	BECO SÃO VICENTE	020662	BECO	SÃO	F15	O-L	\N	\N	\N	\N	007778	RUA SANTA CATARINA LABORE	007779	RUA DA FELICIDADE	\N	\N	9586099	555881	9586073	555929	ALDEOTA	\N	\N
3167	RUA MONS. ANTÔNIO SOUTO	007775	RUA	MONSENHOR	F15	N-S	\N	\N	\N	\N	007774	RUA SANTA CECÍLIA	007783	RUA SANTA INÊS	\N	\N	9586149	555838	9586099	555824	ALDEOTA	\N	\N
3168	BECO DA PAIZINHA	020660	BECO	\N	F15	N-S	\N	\N	\N	\N	007774	RUA SANTA CECÍLIA	020659	TRAV. DO ROSÁRIO	\N	\N	9586124	555919	9586104	555913	ALDEOTA	\N	\N
3169	RUA ANA FRANK	000231	RUA	\N	F15	N-S	\N	\N	\N	\N	000328	AV.  PADRE ANTÔNIO TOMÁS	000744	RUA CAROLINA SUCUPIRA	\N	\N	9586667	555445	9586555	555409	ALDEOTA	\N	\N
3170	RUA JORNALISTA OLAVO ARAUJO	002994	RUA	JORNALISTA	F15	N-S	6630/1990	\N	8783/1992	\N	002931	RUA GAL. TERTULIANO POTIGUARA	000519	RUA BENI DE CARVALHO	\N	\N	9586237	555657	9586129	555624	ALDEOTA	QUIXADÁ FELÍCIO	\N
3171	RUA BARBOSA	022546	RUA	\N	F15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALDEOTA	\N	\N
3172	TRAV. VERDES MARES	024535	TRAVESSA	\N	F15	\N	\N	\N	\N	\N	007774	RUA SANTA CECÍLIA	007783	RUA SANTA INÊS	\N	\N	9586099	555995	9586045	555978	ALDEOTA	\N	\N
3232	SD	040197	RUA	\N	F16	O-L	\N	\N	\N	\N	\N	RUA MONSENHOR CATÃO	\N	\N	\N	\N	\N	\N	\N	\N	ALDEOTA	\N	\N
3234	TRAV. VICENTE LINHARES	003586	TRAVESSA	\N	F16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ	\N	\N
3239	RUA ANDRADE FURTADO	000246	RUA	\N	F16/ G17	O-L	\N	\N	\N	\N	024734	AV. ALM. HENRIQUE SABÓIA (VIA EXPRESSA)	001295	AV. DOS FLAMBOYANTS	\N	\N	\N	\N	9585817	558378	COCÓ	\N	\N
3241	RUA BENTO ALBUQUERQUE	000528	RUA	\N	F16/G19	O-L	1739/61	\N	\N	\N	024734	AV. ALMIRANTE HENRIQUE SABÓIA	020983	RUA CEL. FRANCISCO CRUZ	\N	\N	9586411	556831	9585380	560045	COCÓ/MANUEL DIAS BRANCO	\N	Na Lei, esta Rua  termina na Av. Trajano de Medeiros.
3243	RUA DOUTOR GILBERTO STUDART	001435	RUA	DOUTOR	F16/G18	O-L	3758/70	\N	\N	\N	003219	AV. ENG. SANTANA JR.	004875	RUA CEL. FRANCISCO CRUZ	\N	\N	\N	\N	9585470	560074	COCÓ/MANUEL DIAS BRANCO	\N	Na Lei esta Rua se iniciaria na Via Férrea Parangaba-Mucuripe e terminaria na Rua Manuel Queirós.
3246	TRAV. 31 DE OUTUBRO	003474	TRAVESSA	\N	F16	\N	\N	\N	\N	\N	002042	RUA CORONEL JUCÁ	\N	MURO	\N	\N	9586880	556522	9586898	556466	ALDEOTA	\N	\N
3247	RUA ARQ. JOÃO BRAGA DE  LIMA	001787	RUA	ARQUITETO	F16	O-L	\N	\N	\N	\N	00772	RUA MONSENHOR CATÃO	001312	RUA FONSECA LOBO	\N	\N	9586831	556625	9586796	556731	ALDEOTA	BRAGUINHA	\N
3248	RUA GENERAL EURICO	001222	RUA	GENERAL	F16	O-L	\N	\N	\N	\N	001016	RUA DELMIRO GOUVEIA	002636	RUA OITO DE SETEMBRO	\N	\N	9586781	556894	9586785	557009	VARJOTA	\N	\N
3249	RUA PADRE ALUÍSIO	000164	RUA	PADRE	F16	O-L	\N	\N	\N	\N	001016	RUA DELMIRO GOUVEIA	002636	RUA OITO DE SETEMBRO	\N	\N	9586723	556896	9586725	557011	VARJOTA	\N	\N
3250	RUA JOAQUIM LIMA	001887	RUA	\N	F16/F18	O-L	1509/60	\N	\N	\N	\N	VIA FÉRREA PARANGABA-MUCURIPE	003068	RUA DR. RIBAMAR LOBO	\N	\N	9586736	557020	9586051	559152	PAPICU	\N	\N
3252	RUA ALFREDO LADISLAU	000132	RUA	\N	F16	O-L	1671/1960	16/12/1960	\N	\N	001374	RUA FREDERICO BORGES	003565	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9586835	556776	9586845	557088	ALDEOTA/VARJOTA	\N	\N
3253	RUA PEREIRA DE MIRANDA	002845	RUA	\N	F16	O-L	2656/64	\N	\N	\N	\N	VIA FÉRREA PARANGABA-MUCURIPE	003068	RUA DR. RIBAMAR LOBO	\N	\N	9586824	557075	9586146	559187	PAPICU	\N	\N
3255	RUA OSORIO PALMELLA	002690	RUA	\N	F16	O-L	4487/75	\N	\N	\N	002277	RUA FREI MANSUETO	000770	RUA CASTRO MONTE	\N	\N	9586959	556830	9586974	557128	VARJOTA	JOSÉ ROLA  (LEI 1671/60) , CONTINUAÇÃO DA MARCOS MACEDO	LEI ESPECÍFICA MUDANDO O NOME DA RUA
3256	RUA AUGUSTA AZEVEDO	006833	RUA	\N	F16	O-L	\N	\N	\N	\N	001016	RUA DELMIRO GOUVEIA	002636	RUA OITO DE SETEMBRO	\N	\N	9586896	556890	9586903	557006	VARJOTA	\N	\N
3257	RUA LAURO NOGUEIRA	002119	RUA	\N	F16/F18	O-L	\N	\N	\N	\N	\N	VIA FÉRREA PARANGABA-MUCURIPE	003068	RUA DR. RIBAMAR LOBO	\N	\N	9586896	557121	9586219	559207	PAPICU	\N	\N
3263	RUA FONSECA LOBO	001312	RUA	\N	F16	N-S	1671/60	16/12/1960	\N	\N	001374	RUA FREDERICO BORGES	002767	RUA PAULA NEY	\N	RUA GAL. TERTULIANO POTYGUARA	9586924	556774	9585978	556466	ALDEOTA	\N	\N
3265	RUA MARECHAL RONDOM	003132	RUA	MARECHAL	F16	N-S	1671/60	16/12/1960	\N	\N	003221	RUA SANTOS DO DUMONT	000519	RUA BENI DE CARVALHO	\N	VIA FÉRREA PARANGABA-MUCURIPE	9586705	556819	9585877	556414	ALDEOTA	\N	\N
3268	RUA TOMAS RODRIGUES	003418	RUA	\N	F16	N-S	\N	\N	\N	\N	003221	RUA SANTOS DUMONT	001134	RUA EDUARDO GARCIA	\N	\N	9586686	556878	9586474	556783	ALDEOTA	\N	\N
3271	RUA JOAQUIM GENU	001884	RUA	\N	F16	N-S	4280/73	\N	\N	\N	003221	AV. SANTOS DUMONT	003621	RUA VILEBALDO AGUIAR	\N	\N	9586549	557302	9586465	557250	COCÓ	\N	\N
3273	RUA JOSE CARNEIRO DA SILVEIRA	004911	RUA	\N	F16	N-S	4770/76	\N	\N	\N	003621	RUA VILEBALDO AGUIAR	001435	RUA DR. GILBERTO STUDART	\N	\N	9586397	557460	9586319	557411	COCÓ	\N	\N
3274	RUA CEL. JOÃO SALVIANO LOPES	023463	RUA	CORONEL	F16	N-S	\N	\N	\N	\N	001887	RUA JOAQUIM LIMA	003221	AV. SANTOS DUMONT	\N	\N	9586576	557533	9586492	557480	PAPICU	\N	\N
3275	RUA CEL. JOÃO GIRÃO	001796	RUA	CORONEL	F16	N-S	\N	\N	\N	\N	001887	RUA JOAQUIM LIMA	003221	AV. SANTOS DUMONT	\N	\N	9586554	557601	9586471	557547	PAPICU	\N	\N
3276	RUA RIO ANIL	021026	RUA	\N	F16	N-S	\N	\N	\N	\N	000246	RUA ANDRADE FURTADO	000328	AV. PADRE ANTÔNIO TOMÁS	\N	\N	9586097	557513	9586015	557461	COCÓ	\N	\N
3278	TRAV. LAVINIA	023620	TRAVESSA	\N	F16/H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ/BELA VISTA	\N	\N
3279	TRAV. JATAI	001761	TRAVESSA	\N	F16	\N	\N	\N	\N	\N	003586	TRAVESSA VICENTE LINHARES	003585	RUA VICENTE LINHARES	\N	\N	9586146	556677	9586042	556632	COCÓ	\N	\N
3280	TRAV. CIANORTE	022748	TRAVESSA	\N	F16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ	\N	\N
3282	TRAV. MAL. RONDOM	024300	TRAVESSA	MARECHAL	F16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALDEOTA	\N	\N
3283	RUA DO TRILHO	024486	RUA	\N	F16/F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ/QUINTINO CUNHA	\N	\N
3288	TRAV. PARIS	004143	TRAVESSA	\N	F16	O-L	\N	\N	\N	\N	003219	AV. ENG. SANTANA JÚNIOR	003678	RUA VALDETÁRIO MOTA	\N	\N	9586891	557407	9586774	557576	PAPICU	\N	\N
3290	SD	040199	RUA	\N	F17	N-S	\N	\N	\N	\N	\N	RUA VILEBALDO AGUIAR	\N	\N	RUA GILBERTO STUDART	\N	\N	\N	\N	\N	COCÓ	\N	\N
3291	SD	040198	RUA	\N	F17	N-S	\N	\N	\N	\N	000210	RUA AMÉLIA BENEBIEN	\N	\N	RUA BATISTA DE OLIVEIRA	\N	\N	\N	\N	\N	PAPICU	\N	\N
3294	RUA NOVA PETRÓPOLIS	007943	RUA	\N	F17	N-S	\N	\N	\N	\N	000103	AV. ENG. ALBERTO SÁ	000210	RUA AMÉLIA BENEBIÉN	\N	\N	9587092	558743	9586960	558663	PAPICU	\N	\N
3295	RUA PROFº. TITO MIRANDA	004814	RUA	PROFESSOR	F17/F18	O-L	\N	\N	\N	\N	000210	RUA AMÉLIA BENEBIÉN	040929	RUA PRISCO BEZERRA	\N	\N	9586965	558705	9586919	558847	PAPICU	\N	\N
3296	AVENIDA SEN. CARLOS JEREISSATI	000722	AVENIDA	SENADOR	F17/G19	O-L	5038/1978	\N	\N	\N	003221	AV. SANTOS DUMONT	003709	AV. ZEZÉ DIOGO	\N	\N	9585670	560035	9586347	560936	DE LOURDES/PRAIA DO FUTURO I	GAL. JOÃO M. DE MORAIS	\N
3663	RUA BAURU	000490	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3298	TRAV. TERRA DO SOL	024455	TRAVESSA	\N	F17	N-S	\N	\N	\N	\N	001887	RUA JOAQUIM LIMA	003221	AV. SANTOS DUMONT	\N	\N	9586266	558490	9586176	558462	PAPICU	\N	\N
3299	RUA EDUARDO SABÓIA	001140	RUA	\N	F17	O-L	1671/60	16/12/1960	\N	\N	\N	VIA FÉRREA PARANGABA-MUCURIPE	002055	RUA JÚLIO AZEVEDO	\N	\N	9587134	557272	9586772	557818	PAPICU	\N	Na Lei esta rua tem início na Rua Frederico Borges e fim na Via Férrea Parangaba-Mucuripe
3303	RUA VILEBALDO AGUIAR	003621	RUA	\N	F17/G19	O-L	3251/66	\N	\N	\N	024734	AV. ALMIRANTE HENRIQUE SABÓIA	004875	RUA CEL. FRANCISCO CRUZ	\N	\N	9586560	556941	9585558	560103	COCÓ /MANUEL DIAS BRANCO	\N	Na Lei esta Rua se iniciaria na Via Férrea Parangaba-Mucuripe e terminaria na Rua Sd.
3307	RUA EMIDIO LOBO	001163	RUA	\N	F17	O-L	2132/63	\N	\N	\N	000145	RUA ALMEIDA PRADO	001072	AV.  DOLOR BARREIRA	\N	\N	9586936	558547	9586687	559158	PAPICU	\N	Na Lei esta Rua termina no fim do Loteamento (Rua Prisco Bezerra).
3309	RUA ALMEIDA PRADO	000145	RUA	\N	F17  G17	N-S	1492/1960	\N	\N	\N	000210	RUA AMÉLIA BENEBIÉN	000246	RUA ANDRADE FURTADO	\N	\N	9586943	558549	9585875	558205	PAPICU/COCÓ	ORLANDO DE ALMEIDA PRADO,  DR	Na Lei esta Rua termina na Av. Pe. Antônio Tomás.
3312	RUA ANDRÉ DALL'OLIO	020266	RUA	\N	E17/F17	O-L	7594/1994	26/07/94	9493/94	06/08/94	\N	VIA FÉRREA PARANGABA-MUCURIPE	002703	RUA PROFESSOR OTÁVIO LOBO	EDIFICAÇÃO	LAURO NOGUEIRA	9587262	557459	9586566	558177	PAPICU	TAVARES COUTINHO	Esta Rua inicia-se numa Edificação em virtude de invações nas proximidades da Via Férrea.
3313	RUA RIACHUELO	023770	RUA	\N	F17	O-L	3048/65	\N	\N	\N	000210	RUA AMÉLIA BENEBIÉN	000145	RUA ALMEIDA PRADO	RUA PROF. OTÁVIO LOBO	\N	9586887	558154	9586634	558449	PAPICU	\N	Na Lei esta Rua tem início na Rua Prof. Otávio Lobo.
3314	RUA AMÉLIA BENEBIÉN	000210	RUA	\N	F17/ F18	L-O	\N	\N	\N	\N	002055	RUA JÚLIO AZEVEDO	040929	RUA PRISCO BEZERRA	\N	\N	9586851	557869	9586981	558828	PAPICU	\N	\N
3315	RUA IVANOEL BACCHIEGA	004815	RUA	\N	F17	O-L	\N	\N	\N	\N	000210	RUA AMÉLIA BENEBIÉN	000485	RUA DR. BATISTA DE OLIVEIRA	\N	\N	9586908	558280	9586816	558343	PAPICU	\N	\N
3317	RUA JOSÉ RANGEL	002019	RUA	\N	F17/F18	O-L	\N	\N	\N	\N	003314	RUA SOLON ONOFRE	040929	RUA PRISCO BEZERRA	\N	\N	9586891	558421	9586731	558915	PAPICU	\N	\N
3318	RUA JOSÉ FERREIRA PONTES	007109	RUA	\N	F17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAPICU	\N	\N
3319	RUA JUIZ RENATO SILVA	003060	RUA	JUIZ	F17	O-L	4295/73	\N	\N	\N	002703	RUA PROF. OTÁVIO LOBO	000145	RUA ALMEIDA PRADO	\N	\N	9586622	558234	9586560	558425	PAPICU	\N	\N
3320	RUA ARY BARROSO	000374	RUA	\N	F17	O-L	2958/65	\N	\N	\N	\N	SD	000145	RUA ALMEIDA PRADO	\N	\N	9586775	558271	9586712	558473	PAPICU	\N	\N
3322	RUA FRANCISCO BOMFIM	023135	RUA	\N	F17	O-L	\N	\N	\N	\N	000441	RUA ÁVILA GOULART	000210	RUA AMÉLIA BENEBIÉN	\N	\N	9587058	558042	9586935	558462	PAPICU	\N	\N
3325	RUA CUNHA BARBOSA	000982	RUA	\N	F17	O-L	\N	\N	\N	\N	002055	RUA JÚLIO AZEVEDO	000210	RUA AMÉLIA BENEBIÉN	\N	\N	9586950	557928	9586862	557985	PAPICU	\N	\N
3326	TRAV. GUARANI	009782	TRAVESSA	\N	F17	O-L	\N	\N	\N	\N	002055	RUA JÚLIO AZEVEDO	000210	RUA AMÉLIA BENEBIÉN	\N	\N	9586975	557944	9586873	558029	PAPICU	\N	\N
3328	RUA OLIVEIRA MARTINS	004150	RUA	\N	F17	O-L	\N	\N	\N	\N	002055	RUA JÚLIO AZEVEDO	000441	RUA ÁVILA GOULART	\N	\N	9587040	557986	9586961	558126	PAPICU	\N	\N
3329	TRAV. MIRIM	004151	TRAVESSA	\N	F17	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	000210	RUA AMÉLIA BENEBIÉN	\N	\N	9586939	558106	9586880	558089	PAPICU	\N	\N
3332	VILA PE. GOES	023215	VILA	PADRE	F17	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	002119	RUA LAURO NOGUEIRA	\N	\N	9586784	557634	9586738	557616	PAPICU	\N	\N
3333	VILA DORES	022920	VILA	\N	F17	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	002119	RUA LAURO NOGUEIRA	\N	\N	9586794	557649	9586736	557623	PAPICU	\N	\N
3335	RUA DR. BATISTA DE OLIVEIRA	000485	RUA	DOUTOR	F17/G16	N-S	1997/1962	\N	\N	\N	003314	RUA SOLON ONOFRE	000328	RUA PE. ANTÔNIO TOMÁS	\N	RUA ENG. SAMIR HILUY	9585811	557460	9586835	558462	PAPICU/COCÓ	\N	o trecho que vai da Rua Pe. Antônio Tomás até a Rua Eng. Samir Hiluy não é oficial
3336	RUA COMANDANTE HAROLDO ARUEIRA	001550	RUA	COMANDANTE	F17	\N	\N	\N	\N	\N	003621	RUA VILEBALDO AGUIAR	003621	RUA DR. GILBERTO STUDART	\N	\N	9586268	557866	9586188	557816	COCÓ	\N	\N
3338	VILA MADUREIRA	009369	VILA	\N	F17	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	002119	RUA LAURO NOGUEIRA	\N	\N	9586663	558068	9586602	558038	PAPICU	\N	\N
3339	FAVELA VERDES MARES	024536	FAVELA	\N	F17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAPICU	\N	\N
3340	RUA PROFº. OTAVIO LOBO	002703	RUA	PROFESSOR	F17/G17	N-S	2044/62	\N	\N	\N	003067	RUA RIACHUELO	000328	AV. PADRE ANTÔNIO TOMÁS	\N	\N	9586686	558301	9585916	557769	PAPICU/COCÓ	\N	Na Lei esta Rua tem início na Rua Ávila Goulart.
3344	RUA CÉSAR FONSECA	000810	RUA	\N	F17/G17	N-S	\N	\N	\N	\N	004814	RUA PROF. TITO MIRANDA	002570	RUA CEL. NOGUEIRA PAES	RUA LAURO NOGUEIRA	\N	9586943	558772	9585805	558406	PAPICU/COCÓ	\N	Na Lei esta rua tem início na Rua Lauro Nogueira.
3345	RUA NOVA METROPOLIS	023989	RUA	\N	F17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAPICU	\N	\N
3346	RUA JOSÉ BORBA VASCONCELOS	004148	RUA	\N	F17/G17	N-S	2594/64	19/05/1964	\N	\N	002119	RUA LAURO NOGUEIRA	002570	RUA CEL. NOGUEIRA PAES	\N	\N	9586355	558807	9585739	558609	PAPICU/COCÓ	\N	Na Lei esta Rua termina  na Av. Pe. Antônio Tomás.
3350	TRAV. JOAQUIM LIMA	023473	TRAVESSA	\N	F18	N-S	\N	\N	\N	\N	002845	RUA PEREIRA DE MIRANDA	\N	EDIFICAÇÃO	\N	\N	9586303	558672	9586243	558652	PAPICU	\N	\N
3352	TRAV. PEREIRA DE MIRANDA	024155	TRAVESSA	\N	F18	O-L	\N	\N	\N	\N	002845	RUA PEREIRA DE MIRANDA	001887	RUA JOAQUIM LIMA	\N	\N	9586289	558716	9586205	558688	PAPICU	\N	\N
3354	RUA DOUTOR RIBAMAR LOBO	003068	RUA	DOUTOR	F18/G18	N-S	2894/65	\N	\N	\N	002119	RUA LAURO NOGUEIRA	002570	RUA CEL. NOGUEIRA PAES	\N	\N	9586219	559207	9585609	559012	PAPICU/COCÓ	\N	Na Lei esta Rua termina na Av. Pe. Antônio Tomás.
3359	RUA EMIDIO MACHADO	022975	RUA	\N	F18	O-L	\N	\N	\N	\N	020268	RUA MARIA DOS SANTOS	001072	AV.  DOLOR BARREIRA	\N	\N	9586788	559003	9586830	559089	PAPICU	\N	Conhecida popularmente como Emídio Machado
3361	RUA MARIA DOS SANTOS	020268	RUA	\N	F18	N-S	\N	\N	\N	\N	020269	RUA CELESTINO RODRIGUES DE VACONCELOS	022975	RUA EMÍDIO MACHADO	\N	\N	9586972	558917	559003	559003	PAPICU	\N	\N
3366	RUA ENGENHEIRO LUIS ALCANTARA	023675	RUA	ENGENHEIRO	F18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DE LOURDES	\N	\N
3367	AVENIDA PROFESSOR MOZART SOLON	004162	AVENIDA	PROFESSOR	F18/F19	O-L	4758/1976	\N	\N	\N	001072	AV. DOLOR BARREIRA	003709	AV. ZEZÉ DIOGO	\N	\N	9586257	559408	9586556	560024	DE LOURDES/PRAIA DO FUTURO I	PRES. RODRIGUES ALVES	\N
3368	RUA OSVALDO ARAUJO	004859	RUA	\N	F18/F19	O-L	5383/81	\N	\N	\N	001072	AV. DOLOR BARREIRA	003709	AV. ZEZÉ DIOGO	\N	\N	9586040	559486	9586668	560760	DE LOURDES/ PRAIA DO FUTURO I	\N	Na Lei, esta Rua tem início na Av. Trajano de Medeiros
3370	RUA ALBERTO ASSAD BARDAWIL	022365	RUA	\N	F18	N-S	7376/1993	05/07/93	\N	\N	004162	AV. PROFESSOR MOZART SOLON	004859	RUA OSWALDO ARAÚJO	\N	\N	9586312	559524	9586107	559622	DE LOURDES	\N	\N
3374	RUA F	021028	RUA	\N	F18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAPICU	\N	\N
3375	RUA G	023178	RUA	\N	F18	N-S	\N	\N	\N	\N	004162	AV. PROFESSOR MOZART SOLON	004859	RUA OSWALDO ARAÚJO	\N	\N	9586478	559865	9586273	559964	DE LOURDES	\N	\N
3376	RUA H	023267	RUA	\N	F18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DE LOURDES	\N	\N
3377	RUA J	004688	RUA	\N	F18	O-L	\N	\N	\N	\N	001072	AV. DOLOR BARREIRA (PARQUE PAPICU)	006997	RUA ALEXANDRE ANTÔNIO FURTADO	\N	\N	9586662	559227	9586739	559375	DE LOURDES	\N	\N
3378	RUA K	004550	RUA	\N	F18	O-L	\N	\N	\N	\N	001072	AV. DOLOR BARREIRA (PARQUE PAPICU)	006997	RUA ALEXANDRE ANTÔNIO FURTADO	\N	\N	9586598	559298	9586739	559375	DE LOURDES	\N	\N
3379	RUA L	004551	RUA	DESEMBARGADOR	F18	O-L	7008/1991	07/11/1991	11861/2005	11/07/2005	001072	AV. DOLOR BARREIRA (PARQUE PAPICU)	006997	RUA ALEXANDRE ANTÔNIO FURTADO	\N	\N	\N	\N	\N	\N	DE LOURDES	L  (LOT  OUTEIRO )	\N
3380	RUA M	004561	RUA	\N	F18	O-L	\N	\N	\N	\N	001072	AV. DOLOR BARREIRA (PARQUE PAPICU)	006997	RUA ALEXANDRE ANTÔNIO FURTADO	\N	\N	9586363	559419	9586419	559531	DE LOURDES	\N	\N
3382	RUA DOUTOR ALEXANDRE ANTÔNIO	022374	RUA	DOUTOR	F18	N-S	5427/1981	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DE LOURDES	\N	\N
3511	TRAV. SGT SOARES	024411	TRAVESSA	SARGENTO	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3513	RUA PADRE JOSÉ ARTEIRO	001938	RUA	PADRE	G06/G07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3389	RUA DR.TURBAY BARREIRA	004857	RUA	DOUTOR	F19/F18	L-O	5285/80	06/06/1980	5801/81	\N	003433	AV. TRAJANO DE  MEDEIROS	003709	AV. ZEZÉ DIOGO	\N	\N	9586242	560173	9586561	560819	PRAIA DO FUTURO I	LOT. PRAIA ANTONIO DIOGO	Rua Invadida.
3399	RUA FRANCISCO TEIXEIRA ALCÂNTARA	004163	RUA	\N	F-18 / F19	O-L	4959/1977	\N	\N	\N	003433	AV. TRAJANO DE  MEDEIROS	003709	ZEZÉ DIOGO	\N	\N	9586693	559958	9586992	560583	DE LOURDES/PRAIA DO FUTURO I	ANTONIO  JOÃO	LEI  ESPECIFICA A LOCALIZAÇÃO- ENTRE AS Q 28 E 29.
3401	RUA DOUTOR ZELITO PAMPLONA	004860	RUA	DOUTOR	F19	O-L	4783/1976	16/11/1976	5211/78	\N	003433	AV. TRAJANO DE  MEDEIROS	003709	AV. ZEZÉ DIOGO	\N	\N	9586461	560069	9586774	560703	PRAIA DO FUTURO I	VENCESLAU  BRÁS  PEREIRA  GOMES	\N
3403	RUA PAULO MENDES	004161	RUA	\N	F19/G18	O-L	5024/1978	26/05/1978	5146/1978	31/07/1978	001072	Av. TRAJANO DE MEDEIROS	003709	AV. ZEZÉ DIOGO	\N	\N	\N	\N	9586456	560876	DE LOURDES/PRAIA DO FUTURO I	ENG. SAMIR	NO decreto esta Rua tem início na Av. Trajano de Medeiros, limite das quaras33,81,81a,137,192,241 e 34,82,82a,138,139,193,142 do lot.antonio Diogo.
3405	RUA JULIO SILVA	004159	RUA	\N	F19/G19	O-L	3568/1968	\N	\N	\N	000722	AV. SENADOR CARLOS JEREISSATI	003709	AV. ZEZÉ DIOGO	\N	\N	9585753	560001	9586234	560996	DE LOURDES/PRAIA DO FUTURO I	ALMEIDA ROSA	\N
3406	RUA JOÃO NOGUEIRA BORGES	001831	RUA	\N	F19/G19	O-L	4782/1976	16/11/1976	5216/78	\N	004864	RUA TÂMISA	003709	AV. ZEZÉ DIOGO	\N	\N	9585701	560184	9586130	561054	DE LOUDES/PRAIA DO FUTURO I	VITAL BRASIL	\N
3410	SD	040202	RUA	\N	G05	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA FRANCISCO RAMOS	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3413	SD	040200	RUA	\N	G05	L-O	\N	\N	\N	\N	\N	RUA BOA ESPERANÇA	\N	\N	MURO	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3415	RUA FRANÇA MARTINS	020689	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3416	AVENIDA SENADOR FERNANDES TÁVORA	001268	AVENIDA	SENADOR	G05/H06	L-O	4455/74	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ/AUTRAN NUNES	\N	\N
3417	RUA GONÇALO COELHO	009083	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3418	TRAV. AREIA BRANCA	020688	TRAVESSA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3419	TRAV. LUIZ UCHÔA	020682	TRAVESSA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3420	TRAV. JOSÉ MENDONÇA	020700	TRAVESSA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3421	TRAV. GOIANEZA	020683	TRAVESSA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3422	VILA RAMOS	020687	VILA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3423	RUA TRÊS LAGOAS	009215	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3424	VILA VERDE	020685	VILA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3428	RUA SÃO CRISANTE	022818	RUA	SÃO	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3429	RUA DA SAUDADE	020679	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3430	RUA 19 DE JANEIRO	022104	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3431	TRAV. DA PAZ	020690	TRAVESSA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3442	TRAV. VICENTE PAULINO	020677	TRAVESSA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3443	RUA FRATERNIDADE	020674	RUA	\N	G05/G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3444	RUA DA LIBERDADE	020673	RUA	\N	G05/G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ/AUTRAN NUNES	\N	\N
3445	RUA GRACO CARDOSO	001484	RUA	\N	G05/G06	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3446	PRAÇA SÃO MIGUEL	023867	PRAÇA	SÃO	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3447	RUA MINERVA	002453	RUA	\N	G05/G06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3448	RUA PANORAMA	020668	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3449	RUA DA AMIZADE	006212	RUA	\N	G05/G06	\N	8338/1999	26/10/1999	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3453	RUA SÃO MATEUS	023833	RUA	SÃO	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3457	TRAV. SANTO ANDRE	022425	TRAVESSA	SANTO	G05/C10	N-S	\N	\N	\N	\N	003004	RUA SÃO RAIMUNDO	001655	RUA SANTA INÊS	\N	\N	9589949	549925	9589901	549910	PIRAMBU	\N	\N
3458	TRAV. VERONA	024540	TRAVESSA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3460	TRAV. SÃO PAULO	024088	TRAVESSA	SÃO	G05/K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ/SERRINHA	\N	\N
3461	RUA SÃO PEDRO	024123	RUA	SÃO	G05/N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ/SABIAGUABA	\N	\N
3462	RUA GOIANESA	008311	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3463	RUA JOSÉ MENDONÇA	006220	RUA	\N	G05/H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3464	RUA PERILIO TEIXERA	006219	RUA	\N	G05/G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3465	VILA SÃO JORGE	023485	VILA	SÃO	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3466	TRAV. VITORIA DA CONQUISTA	020672	TRAVESSA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3467	RUA MESTRE ANDRE	020671	RUA	MESTRE	G05/G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3468	RUA CARIACICA	022692	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3469	TRAV. DA AMIZADE	020670	TRAVESSA	\N	G05/H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3470	TRAV. DA JUVENTUDE	020669	TRAVESSA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3757	TRAV. MACIEL	023715	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3472	RUA 24 DE OUTUBRO	006223	RUA	\N	G05/H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3473	RUA ANASTACIO BRAGA	006222	RUA	\N	G05/H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3474	RUA BOA ESPERANÇA	006224	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3475	TRAV. FRANCISCO RAMOS	020676	TRAVESSA	\N	G05/H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3477	RUA VERONA	024539	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3478	RUA SANTO ANDRE	006802	RUA	SANTO	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3480	RUA DAS NAÇOES	023921	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3481	RUA DA PAZ	020691	RUA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3482	RUA TRÊS IRMÃOS	009646	RUA	\N	G05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA TRÊS LAGOAS	AV. SENADOR FERNANDES TÁVORA	\N	\N	\N	\N	GENIBAÚ	\N	\N
3483	TRAV. CHICO MENDES	020699	TRAVESSA	\N	G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3498	RUA BELÉM	000504	RUA	\N	G06/H06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/AUTRAN NUNES	\N	\N
3499	RUA PROF EDGAR ARRUDA	002559	RUA	PROFESSOR	G06/H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3500	RUA PROFº. PAULO LOPES	000841	RUA	PROFESSOR	G06/G07	L-O	4711/76	11/06/1976	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	ESTADO DE SÃO PAULO	LEI ESPECIFICA A RUA
3501	RUA CORONEL FRANCISCO BENTO	023133	RUA	CORONEL	G06	N-S	5167/79	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3502	RUA RORAIMA	003136	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3503	RUA ELESBÃO VELOSO	001149	RUA	\N	G06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA / AUTRAN NUNES	\N	\N
3504	RUA DR. LUIS MORAIS CORREIA	002258	RUA	DOUTOR	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3506	RUA MACAPÁ	002256	RUA	\N	G06/H06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/AUTRAN NUNES	\N	\N
3507	RUA CONS. ARAÚJO LIMA	000366	RUA	CONSELHEIRO	G06/H07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/HERIQUE JORGE	\N	\N
3508	RUA BEIRA RIO	020702	RUA	\N	G06/I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/GENIBAÚ	\N	\N
3509	TRAV. 6 DE JANEIRO	022252	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3510	TRAV. RIO BELO	024263	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3627	RUA ITUBIARA	006410	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3515	RUA DOUTOR MANUEL SOARES	002306	RUA	DOUTOR	G06/G07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3520	RUA JOAQUIM RODRIGUES	023479	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTÔNIO BEZERRA	\N	\N
3521	RUA 1	020354	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3522	RUA 2	020353	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3523	RUA 3	020352	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3524	RUA 4	020351	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3525	RUA 5	020358	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3526	RUA FRANCISCO DAS CHAGAS	023137	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3527	PRAÇA DOLORES	022912	PRAÇA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3528	PARQUE GENIBAÚ	023193	PARQUE	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3529	VILA IVONETE	023363	VILA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3531	RUA GRÃO PARÁ	020665	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3532	RUA MURITINGA	008402	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3533	TRAV. BOTAFOGO	020667	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3534	TRAVESSA PANORAMA	024059	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3540	BECO RIO AVENTURA	024262	BECO	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3543	RUA T. MAL.	024435	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3544	TRAV. STO. ANTÔNIO	020681	TRAVESSA	SANTO	G06/H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3546	RUA ALVES BATISTA	022836	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3547	VILA EUDÓCIA	023014	VILA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3548	TRAV. 5	022229	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3549	TRAV. 4	022209	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3550	TRAV. 3	022173	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3551	TRAV. 2	022120	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3552	TRAV. 1	022020	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3553	TRAV. CURITIBA	022846	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3556	TRAV. PAU D'ALHO	024078	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3557	TRAV. TORIAÇU	024473	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3558	RUA PROFESSOR VIRGÍLIO MORAIS	003659	RUA	PROFESSOR	G06/H06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3559	BECO TORIAÇU	024474	BECO	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3560	RUA SOUZA LEÃO	024430	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3561	TRAV. CHAPADA	022739	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3562	RUA BARÃO DE COTERGIPE	003927	RUA	BARÃO	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3563	PRAÇA DRUAALMIR PINTO	022382	PRAÇA	DOUTOR	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3564	RUA CAETANO SILVA	005672	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3565	RUA JOSÉ DE CARVALHO	001953	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3567	TRAV. 25 DE AGOSTO	008877	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3568	RUA ORIENTE	021589	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3569	RUA INÁCIO ROMÃO	021593	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3571	TRAV. GENIBAÚ	009716	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3572	RUA DESEMBARGADOR FELISMINO	006216	RUA	DESEMBARGADOR	G06/H06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3573	RUA SÃO FRANCISCO	005832	RUA	SÃO	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3574	TRAV. NOVA VENEZA	009718	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3575	RUA DANIEL DE CASTRO	009313	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3576	RUA DOS PINHAIS	021576	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3578	RUA 4 DE MARÇO	021577	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3579	RUA A. C. DA SILVA	000641	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3580	RUA CHUÍ	000828	RUA	\N	G06/I07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES/JOÃO XXIII	\N	\N
3581	RUA RESISTÊNCIA	021580	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3582	RUA MOSCOU	021581	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3583	RUA AZEVEDO BARRETO	000443	RUA	\N	G06	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3584	RUA 1 (RESID.BOA VISTA)	022027	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3585	RUA 2 (RESID.BOA VISTA)	008679	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3586	RUA 3 (RESID.BOA VISTA)	008680	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3589	RUA TOMÁS CAVALCANTE	003412	RUA	\N	G06/H06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3591	RUA TEN. MACEDO	009789	RUA	TENENTE	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3592	RUA CURITIBA	000985	RUA	\N	G06/H06	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES/DOM LUSTOSA	\N	\N
3593	V. GRACO CARDOSO	023231	VILA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3594	RUA PANFILIA	020680	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3595	TRAV. 2 DE JUNHO	022128	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3596	B. 2 DE JUNHO	022127	BECO	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3597	TRAV. NATIVIDADE	009719	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3599	TRAV. VANA	024517	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3600	RUA PROFESSOR VIEIRA	003610	RUA	PROFESSOR	G06/H06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3601	RUA RIO AVENTURA	024261	RUA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3603	TRAV. 02 DE OUTUBRO	022130	TRAVESSA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3604	VILA AMARANTE	022400	VILA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3605	VILA MIRANDA	023876	VILA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3606	VILA PACIÊNCIA	024048	VILA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3607	VILA STA. BÁRBARA	022544	VILA	SANTA	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3609	VILA GORETE	023225	VILA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3610	VILA LÚCIA	023657	VILA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3611	VILA PAULÃO	024081	VILA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3612	VILA SÃO LUIZ	023676	VILA	SÃO	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3613	VILA ZÉLIA	024621	VILA	\N	G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
3615	VILA DO CAMUDO	022676	VILA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3617	RUA PROFº. JOAQUIM  NOGUEIRA	003916	RUA	PROFESSOR	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3618	RUA VIENA	003612	RUA	TENENTE	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3620	TRAVESSA MANOEL SOARES	023750	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BEZERRA DE MENEZES	\N	\N
3622	RUA 129	022072	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3623	RUA 101	022052	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3624	RUA 69	020758	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3625	RUA 37	022187	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3626	RUA A	007731	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3628	RUA ÁGUA VERDE	006411	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3629	RUA CRAVILÂNDIA	006412	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3630	RUA PAU BRASIL	002764	RUA	\N	G07/J08	N-S	7399/93	05/10/1993	9642/1995	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/PARANGABA	\N	\N
3633	RUA JÚLIO BRÍGIDO	007071	RUA	\N	G07	\N	5354/80	\N	6119/82	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3634	RUA GUIMARÃES PASSOS	004034	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3635	RUA ANA STUDART	021157	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3636	RUA JOSÉ ANTÔNIO	004394	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3637	BECO A	022330	BECO	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3638	BECO B	022527	BECO	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3639	BECO C	022646	BECO	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3640	BECO D	022870	BECO	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3641	TRAVESSA DOS  MONARCAS	021150	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3642	RUA SÃO FRANCISCO	021206	RUA	SÃO	G07/G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3643	RUA ABÍLIO FARIAS	021126	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3644	RUA SANTA MARGARIDA	002327	RUA	SANTA	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3646	TRAVESSA TANCREDO NEVES	021205	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3647	RUA LUIZ GONZAGA	021152	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3648	TRAVESSA PARAÍSO	021148	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3649	RUA NOEL ROSA	002563	RUA	\N	G07/I07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI/JOÃO XXIII	\N	\N
3650	TRAV. SINUOSA	004219	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3651	RUA JOAQUIM MANUEL MACEDO	001409	RUA	\N	G07/I07	\N	3828/70	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI/JOÃO XXIII/HERIQUE JORGE	\N	\N
3652	RUA TIBÚRCIO ALBANO	003389	RUA	\N	G07/H08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3653	RUAPROFº. ERIBALDO COSTA	005102	RUA	PROFESSOR	G07	N-S	\N	\N	\N	\N	\N	SD	\N	\N	RUA FRANCO ROCHA	\N	\N	\N	\N	\N	PICI	\N	\N
3654	SD	040204	RUA	\N	G07	L-O/N-S	\N	\N	\N	\N	\N	SD (040205)/CERC	\N	\N	RUA MANAUS/MURO	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3655	RUA DAS ANTENAS	022432	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3656	TRAV. DAS ANTENAS	000089	TRAVESSA	\N	G07	\N	1427/1953	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3657	RUA VITÓRIA (PERIMETRAL)	003562	RUA	\N	G07/I07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUST/PICI/'HENR JORG/JOÃO XXIII	\N	\N
3658	BECO TRANQUILO	021135	BECO	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3659	RUA PIRACICABA	009402	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3660	RUA GÁVEA	000248	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3661	RUA BAGÉ	000458	RUA	\N	G07	\N	7434/93	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3662	RUA ENTRADA DA LUA	002202	RUA	\N	G07	\N	7418/93	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3664	RUA MAJOR SUCUPIRA	003332	RUA	MAJOR	G07	L-O	1671/60 E 	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3665	RUA FRANCO ROCHA	001367	RUA	\N	G07/H07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI/HENRIQUE JORGE	\N	\N
3667	RUACASTELO DE CASTRO	021167	RUA	\N	G07/G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3669	TRAV. TIAGO	021163	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3670	RUA MONTEIRO LOBATO	002486	RUA	\N	G12	N-S	1671/60	16/12/1960	\N	\N	003449	AV. 13 DE MAIO	002364	RUA MÁRIO MEMEDE	\N	\N	9585437	552501	9585323	552406	FÁTIMA	\N	\N
3671	TRAV. TRÊS CORAÇÕES	024479	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3672	RUA 6 DE JANEIRO	005916	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3673	RUA29 DE MAIO	021212	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3674	RUA 8 DE JUNHO	021162	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3676	TRAV. QUINTINO CUNHA	002982	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3677	RUA SEN. CARLOS JEREISSATI	024568	RUA	\N	G07	N-S	4651/76	17/12/1981	11325/2003	03/02/2003	\N	 PERNAMBUCO	\N	PLANALTO DO PICI	\N	\N	546704	9585564	546537	9585383	PICI	CARLOS JEREISSATI), SEN.	localizada no conjunto planato do pici
3678	RUA CHAVAL	021124	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3679	TRAV.PARANÁ	021216	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3680	TRAV. EUCLIDES WILCAR	023013	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3681	TRAV. BASÍLICA	021229	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3682	TRAV. CASTELO  BRANCO	021161	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3683	RUA TEN. LAURO	009579	RUA	TENENTE	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3684	TRAV. JOSÉ GOMES	009570	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3685	RUA JOSÉ VELOSO JUCÁ	021219	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3686	RUA MADRE TEREZA DE CALCUTÁ	000534	RUA	MADRE	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3687	TRAV. PE. CÍCERO	021144	TRAVESSA	PADRE	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3688	TRAV. GROATÁ	021129	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3691	RUA GREGÓRIO RODRIGUES	021130	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3692	RUA 4 DE DEZEMBRO	021168	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3695	RUA EURICO MEDINA	001224	RUA	\N	G07	N-S	4527/75	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3696	RUA ARACAJÚ	000344	RUA	\N	G07/ I06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/ HERIQUE JORGE	\N	\N
3697	RUA MACEIO	002259	RUA	\N	G07/H06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/HENRIQUE JORGE	\N	\N
3698	RUA AUDÍZIO PINHEIRO	003047	RUA	\N	G07/I06	N-S	4636/75	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/JOÃO XXIII/HENRIQUE JORGE	RECIFE,	LEI ESPECIFICA
3699	RUA SILVA BAIMA	003284	RUA	\N	G07/H07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/HENRIQUE JORGE	\N	\N
3701	RUA PAU BRANCO	009367	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3702	RUA PAU D'ARCO	006630	RUA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3705	TRAV.MARA	020760	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3706	RUA MANAUS	002271	RUA	\N	G07/H06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/AUTRAN NUNES	\N	\N
3708	RUA DOS MONARCAS	021131	RUA	\N	G07/G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/PICI	\N	\N
3710	SD	040208	RUA	\N	G07/G08	L-O	\N	\N	\N	\N	\N	RUA SÃO DE PAULA/RUA SANTO AMARO	\N	\N	RUA PLANALTO DO PICI/MURO	\N	\N	\N	\N	\N	PICI	\N	\N
3711	VILA LENA	009116	VILA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3712	VILA SOUTO	024429	VILA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
3714	RUA MONS. HIPOLITO BRASIL	001594	RUA	MONSENHOR	G07/H08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA/JOQUEI CLUB	\N	\N
3716	SD	040206	RUA	\N	G07	N-S/L-O	\N	\N	\N	\N	\N	TRAV. SINUOSA	\N	\N	RUA NOEL ROSA/PROF.ERIBALDO COSTA	\N	\N	\N	\N	\N	PICI	\N	\N
3717	TRAV. CENÁRIO	022732	TRAVESSA	\N	G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3719	RUA PIRAPITINGA	024175	RUA	\N	G08/H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3720	TRAV. SAMUEL	021228	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3721	TRAV. PANTANAL	021232	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3722	TRAV. CATUENSE	021222	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3723	TRAV. SÃO LUIZ	021230	TRAVESSA	SÃO	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3724	TRAV. SÃO JOÃO	021233	TRAVESSA	SÃO	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3725	TRAV. SÃO CARLOS	009565	TRAVESSA	SÃO	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3726	RUA IGUATU	023315	RUA	\N	G08/H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3727	RUA TAITINGA	024441	RUA	\N	G08/H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3729	TRAV. BOM AMIGOS	021170	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3730	TRAV. N. S. APARECIDA	023952	TRAVESSA	\N	G08/Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI/CONJUNTO PALMEIRAS	\N	\N
3731	TRAV. ARACOIABA	022463	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3732	TRAV. PICI	021214	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3733	TRAV. ALECRIM	004089	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3734	RUA 7 DE NOVEMBRO	021235	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3735	RUA2 DE MAIO	022129	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3736	RUA DEP. JOEL MARQUES	021226	RUA	DEPUTADO	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3740	RUA PLANALTO DO PICI	000664	RUA	\N	G08/H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3741	RUA SÃO VICENTE DE PAULA	023403	RUA	SÃO	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3744	TRAV. SOROCABA	021227	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3745	RUA CAMPESTRE	000663	RUA	\N	G08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3746	TRAV. PAULA RODRIGUES	024080	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3749	RUA PIAULINO	009345	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3750	TRAV. PINHEIRO	024163	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3751	TRAV. G. A. RODRIGUES	023222	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3752	RUA RENATO ROCHA	021154	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3753	TRAV. A. SANTOS	021164	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3754	TRAV. E. PAC.	022944	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3755	TRAV. CLAUDIO MANOEL	021138	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3756	TRAV. M. REIS	021137	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3759	RUA MARANHÃO	002312	RUA	\N	G08/H09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAN AMERICANO/COUTO FERNANDES	\N	\N
3760	RUA ESPÍRITO SANTO	001192	RUA	\N	G08/H08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI / PAN AMERICANO	\N	\N
3761	RUA URUGUAIANA	003515	RUA	\N	G08/H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3762	RUA GASPAR LEMOS	001402	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3763	RUA LORENA	002192	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3764	RUA FERNÃO MAGALHÃES	001275	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3765	RUA DOMINGOS LOPES	001080	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3766	TRAVESSA DOMINGOS LOPES	004033	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3767	RUA PROFº. ARMANDO FARIAS	021121	RUA	PROFESSOR	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3768	RUA PROFº. RÔMULO PROENÇA	021207	RUA	PROFESSOR	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3770	SD	040210	RUA	\N	G08	L-O	\N	\N	\N	\N	\N	SD (040211)/RUA PROF. RÔMULO PROENÇA	\N	\N	SD (040212)	\N	\N	\N	\N	\N	PICI	\N	\N
3772	RUA PIAUÍ	002864	RUA	\N	G08/H08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI/PAN AMERICANO	\N	\N
3773	TRAV. PIAUÍ	004036	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3774	RUA IRECÊ	023346	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3775	BECO URUGUAIANA	024504	BECO	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3776	RUA PARÁ	002743	RUA	\N	G08/G09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI/PAN AMERICANO	\N	\N
3777	TRAV. PARÁ	024062	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3778	RUA TIMBAÚBA	003398	RUA	\N	G08/H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3779	TRAV. IPÊ	023336	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3780	RUA 2	007500	RUA	\N	G08/G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3781	RUA 1	007499	RUA	\N	G08/G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3782	RUA AMAZONAS	000206	RUA	\N	G08/ H09	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI/PAN AMERICANO/ BELA VISTA	\N	\N
3783	TRAV. FERNÃO MAGALHÃES	021771	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3784	RUA AMÉRICO FACÓ	000215	RUA	\N	G08/ G09	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3785	TRAV. A. FACÓ	022339	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3787	RUA BENJAMIM CONSTANT	001093	RUA	\N	G08/G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
3788	TRAV. SANTA ANASTÁCIA	022419	TRAVESSA	SANTA	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3789	TRAV. STA. MARTA	023821	TRAVESSA	SANTA	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3790	RUA SANTA CLARA	022764	RUA	SANTA	C11	L-O	\N	\N	\N	\N	000051	RUA ADRIANO MARTINS	001724	RUA JACINTO MATOS	\N	\N	9589282	550512	9589285	550401	JACARECANGA	\N	\N
3791	BECO STA. CLARA	022766	BECO	SANTA	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3792	B. G. A. RODRIGUES	023223	BECO	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3793	RUA ALVARES MACIEL	000235	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3795	RUA CLAUDIO MANOEL	000860	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3796	RUA GONÇALVES ALVES RODRIGUES	023221	RUA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3797	TRAV. MARANHÃO	003999	TRAVESSA	\N	G08/H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI/COUTO FERNANDES	\N	\N
3798	SD	040212	RUA	\N	G08	N-S	\N	\N	\N	\N	\N	RUA PROF. RÔMULO PROENÇA	\N	\N	RUA GONÇALVES ALVES	\N	\N	\N	\N	\N	PICI	\N	\N
3802	SD	040214	RUA	\N	G08	N-S	\N	\N	\N	\N	\N	RUA PIAULINO	\N	\N	RUA GONÇALVES ALVES	\N	\N	\N	\N	\N	PICI	\N	\N
3803	TRAV. CONSELHEIRO	021210	TRAVESSA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3804	SD	040215	RUA	\N	G08	N-S	\N	\N	\N	\N	\N	RUA PROF. ARMANDO FARIAS	\N	\N	RUA PIAULINO	\N	\N	\N	\N	\N	PICI	\N	\N
3805	VILA ZÉ NEGUINHO	024619	VILA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3806	VILA SIGMA	024397	VILA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3807	VILA DA SAUDADE	024351	VILA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3808	VILA FERNANDA I	023074	VILA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3809	VILA FERNANDA II	023075	VILA	\N	G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3810	VILA VIANA	024545	VILA	\N	G09	N-S	\N	\N	\N	\N	\N	MURO	003665	RUA VIRIATO RIBEIRO	\N	\N	9585923	548394	9585899	548371	BELA VISTA	\N	\N
3811	V. DO FONSECA	023098	VILA	\N	G09	N-S	\N	\N	\N	\N	\N	MURO	003665	RUA VIRIATO RIBEIRO	\N	\N	9585961	548363	9585937	548335	BELA VISTA	\N	\N
3812	TRAV. CÔNEGO PENAFORTE	002834	TRAVESSA	CÔNEGO	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
3813	TRAV. MARAVILHA	023764	TRAVESSA	\N	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
3814	V. RACINE	024217	VILA	\N	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3815	VILA GENÉZIA	023192	VILA	\N	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3816	VILA COSTA	022811	VILA	\N	G09	N-S	\N	\N	\N	\N	001197	RUA DOS ESTADOS	\N	MURO	\N	\N	9585429	548349	9585399	548331	BELA VISTA	\N	\N
3817	VILA STA. LÚCIA	004002	VILA	SANTA	G09	N-S	\N	\N	\N	\N	001197	RUA DOS ESTADOS	\N	MURO	\N	\N	9585417	548369	9585386	548350	BELA VISTA	\N	\N
3818	VILA ISABEL	023351	VILA	\N	G09	N-S	\N	\N	\N	\N	001615	AV. HUMBERTO MONTE	\N	MURO	\N	\N	9585310	549094	9585274	549051	BELA VISTA	\N	\N
3819	V.N.S. DE LURDES	023976	VILA	\N	G09	N-S	\N	\N	\N	\N	001615	AV. HUMBERTO MONTE	\N	MURO	\N	\N	9585210	549184	9585187	549163	BELA VISTA	\N	\N
3820	V. MARCOLINO	023774	VILA	\N	G09	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	EDIFICAÇÃO	\N	\N	9585330	548598	9585291	548561	BELA VISTA	\N	\N
3821	VILA PAULINO GOMES	024085	VILA	\N	G09	N-S	\N	\N	\N	\N	\N	MURO	001197	RUA DOS ESTADOS	\N	\N	9585484	548375	9585434	548350	BELA VISTA	\N	\N
3822	VILA BELO HORIZONTE	022572	VILA	\N	G09	N-S	\N	\N	\N	\N	\N	LOGRADOURO NÃO DEFINIDO	001197	RUA DOS ESTADOS	\N	\N	9585502	548412	9585420	548372	BELA VISTA	\N	\N
3823	TRAV. PARANÁ	024066	TRAVESSA	\N	G09	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	002754	RUA PARANÁ	\N	\N	9585340	548391	9585361	548371	BELA VISTA	\N	\N
3824	VILA GOIÁS	020314	VILA	\N	G09	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	001452	RUA GOIÁS	\N	\N	9585085	548631	9585115	548583	BELA VISTA	\N	\N
3825	VILA DRUAMENEZES	023851	VILA	DOUTOR	G09	N-S	\N	\N	\N	\N	002360	RUA MÁRIO DE ANDRADE	\N	EDFICAÇÃO	\N	\N	9585201	548933	9585161	548894	BELA VISTA	\N	\N
3830	RUA 3 DE MAIO	003439	RUA	\N	G09	L-O	1671/60	16/12/1960	\N	\N	003077	RUA RIO BRANCO	000572	RUA BOLÍVIA	\N	\N	9585123	548906	9585915	548107	BELA VISTA	\N	\N
3831	RUA MIGUEL GONÇALVES	008840	RUA	\N	G09/H09	L-O	1671/60	16/12/1960	\N	\N	001813	RUA JOÃO FIRMINO	\N	VEGETAÇÃO	\N	\N	9584333	549718	9585131	548825	BELA VISTA	\N	Segundo a Lei a via inicia-se na Rua Senador Sá e termina na Rua Rio Branco.
4012	VILA BEATRIZ	000487	VILA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
3834	RUA MATO GROSSO	002393	RUA	\N	G09/H09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BELA VISTA /PAN AMERICANO/DEMOCRITO ROCH	\N	\N
3835	RUA GOIÁS	001452	RUA	\N	G09/H08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BELA VISTA /PAN AMERICANO/JOQ. CLU/DEMÓC	\N	\N
3836	RUA MINAS GERAIS	002451	RUA	\N	G09/I08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BELA VISTA /PAN AMERICANO/JOQUEI CLUBE	\N	\N
3839	RUA JÚLIO RIBEIRO	023578	RUA	\N	G09	L-O	\N	\N	\N	\N	003086	RUA RIO GRANDE DO SUL	000776	RUA SANTA CATARINA	\N	\N	9584989	548303	9585025	548245	PANAMERICANO	\N	\N
3842	RUA ESTADO DO RIO	001196	RUA	\N	G09/H08	N-S	1671/60	16/12/1960	\N	\N	001093	RUA BENJAMIM CONSTANTE	000743	AV. CARNEIRO DE MENDONÇA	\N	\N	9585465	548248	9584308	547518	PAN AMERICANO/DEMOCRITO ROCHA	AMAZONAS	\N
3843	RUA RIO GRANDE DO SUL	003086	RUA	\N	G09/I08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BELA VISTA /PAN AMERICANO/JOQUEI CLUBE	\N	\N
3845	RUA DOS ESTADOS	001197	RUA	\N	G09	L-O	1671/60	16/12/1960	\N	\N	\N	VEGETAÇÃO	001506	RUA GUANABARA	\N	\N	9585129	548679	9585444	548328	BELA VISTA	\N	\N
3846	RUA GUANABARA	001506	RUA	\N	G09/H09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BELA VISTA/PAN AMERICANO	\N	\N
3848	RUA BAHIA	000455	RUA	\N	G09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3851	RUA XAVIER DE OLIVEIRA	003699	RUA	\N	G09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
3852	RUA CÉSAR FONTENELE	000811	RUA	\N	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
3854	RUA RUBI	003157	RUA	\N	G09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
3855	VILA JOÃO FREITAS	023450	VILA	\N	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
3858	RUA ÉRICO MOTA	001179	RUA	\N	G09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
3859	RUA ZÉ MARIO MAMEDE	024618	RUA	\N	G09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
3860	RUA LOPES FILHO	002190	RUA	\N	G09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AMADEU FURTADO	\N	\N
3864	RUA TAVARES IRACEMA	003355	RUA	\N	G09/G10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEOFILO	\N	\N
3865	TRAV. NOVA RUSSAS	002603	TRAVESSA	\N	G09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEOFILO	\N	\N
3866	RUA VALDEMIRO CAVALCANTE	003523	RUA	\N	G09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEOFILO	\N	\N
3868	RUA ANTÔNIO MARTINS	000317	RUA	\N	G09/ H10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEOFILO/ DAMAS	\N	\N
3870	RUA JOSÉ FAÇANHA	001971	RUA	\N	G09/H10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEOFILO/DAMAS	\N	\N
3871	RUA FRANCISCA CLOTILDE	001319	RUA	\N	G09/G10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEOFILO/ AMADEU FURTADO	\N	\N
3873	RUA PARAGUAI	002749	RUA	\N	G09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3875	RUA OSCAR LOPES	002686	RUA	\N	G09	N-S	1671/60	16/12/1960	\N	\N	001615	AV. HUMBERTO MONTE	003439	RUA TRÊS DE MAIO	\N	\N	9585747	548748	9585510	548526	BELA VISTA	\N	\N
3877	RUA URUGUAI	003513	RUA	\N	G09	N-S	1671/60	16/12/1960	\N	\N	001615	AV. HUMBERTO MONTE	003439	RUA TRÊS DE MAIO	\N	\N	9585857	548654	9585623	548413	BELA VISTA	\N	Segundo a Lei a via inicia-se na Rua Vinte e Um de Abril.
3880	RUA LEBRE	002131	RUA	\N	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3881	TRAV. PRUDENTE DE MORAES	002951	TRAVESSA	\N	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3882	RUA PRUDENTE DE MORAES	024206	RUA	\N	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3885	RUA ARGENTINA	000373	RUA	\N	G09	N-S	1671/60	16/12/1960	\N	\N	001615	AV. HUMBERTO MONTE	002131	RUA LEBRE	\N	\N	9585976	548552	9585646	548217	BELA VISTA	\N	Segundo a Lei a via termina na Rua Paraguai
3886	SD	040216	RUA	\N	G09	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA ESPÍRITO SANTO/RUA PAPI JÚNIOR	\N	\N	\N	\N	\N	BELA VISTA/RODOLFO TEÓFILO	\N	\N
3887	VILA MADEIRA	020316	VILA	\N	G09	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	003077	RUA RIO BRANCO	\N	\N	9585000	548837	9585026	548810	BELA VISTA	\N	\N
3889	RUA 5	007503	RUA	\N	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3890	RUA 4	007502	RUA	\N	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3891	TRAV. BEIRA RIO	022564	TRAVESSA	\N	G09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
3893	RUA JOÃO SORONGO	001844	RUA	\N	G10/G11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO / DAMAS/JARDIM AMERICA	\N	\N
3895	TRAV. AMARAL	000213	TRAVESSA	\N	G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DAMAS	\N	\N
3897	RUA ALEXANDRE BARAÚNA	000124	RUA	\N	G10 G11	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO / DAMAS / JD AMÉRICA	\N	\N
3898	TRAV. MAURITY	002402	TRAVESSA	\N	G10	L-O	\N	\N	\N	\N	002401	RUA MAURITI	001945	AV. JOSÉ BASTOS	\N	\N	9585566	550100	9585594	550069	DAMAS	\N	\N
3899	RUA DES. GARCIA	001399	RUA	DESEMBARGADOR	G10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3900	RUA PROFº. COSTA MENDES	000941	RUA	PROFESSOR	G10/H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO / DAMAS/ BOM FUTURO	\N	\N
3902	RUA JOSÉ  MONTEIRO	023551	RUA	\N	G10	L-O	4065/72	\N	\N	\N	001836	AV JOÃO PESSOA	001945	AV. JOSÉ BASTOS	\N	\N	9585338	550131	9585484	549959	DAMAS	\N	Na cartografia a via  está nomeada de JOSÉ MONTEIRO DOS SANTOS.
3903	RUA ARMANDO MONTEIR0S DOS SANTOS	022481	RUA	\N	G10	L-O	\N	\N	\N	\N	001836	AV. JOSÉ MONTEIRO DOS SANTOS	001945	AV. JOSÉ BASTOS	\N	\N	9585338	550131	9585484	549959	DAMAS	\N	\N
3904	SD	040221	RUA	\N	G10	L-O	\N	\N	\N	\N	\N	RUA SAMUEL UCHÔA	\N	\N	RUA JOSÉ BASTOS	\N	\N	\N	\N	\N	DAMAS	\N	\N
3906	VILA AMÉRICA	003950	VILA	\N	G10/G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DAMAS/JARDIM AMÉRICA	\N	\N
3907	RUA PEDRO MACHADO	002813	RUA	\N	G10/H11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DAMAS/BOM FUTURO	\N	\N
3910	RUA DONDON FEITOSA	001085	RUA	\N	G10	L-O	\N	\N	\N	\N	001836	AV JOÃO PESSOA	002396	RUA MATOS VASCONCELOS	\N	\N	9585033	549854	9585137	549711	DAMAS	\N	\N
3911	RUA APOLO	000333	RUA	\N	G10/H10	L-O	\N	\N	\N	\N	001826	RUA JOÃO MELO	001836	AV. JOÃO PESSOA	\N	\N	9585037	549742	9584976	549805	DAMAS	\N	Na Lei a via  termina na Av. Capistrano de Abreu, atual  Av. João Pessoa.
3912	RUA JOÃO MELO	001826	RUA	\N	G10	N-S	1671/60	16/12/1960	\N	\N	001085	RUA DONDON FEITOSA	\N	VEGETAÇÃO	COLÉGIO SALESIANO	RUA BARÃO DE SOBRAL	9585084	549784	9583972	548961	DAMAS	\N	A Lei indica a rua ainda não aberta. A Rua  continua incompleta. A parte  sul  é um pequeno trecho que não se liga ao  inicial. Neste  final  tinha  o nome  em pequena parte  (parece loteamento) de  8 de abril (transc 31618 do CRI 2ª Zona.
4013	SD	040229	RUA	\N	G11	L-O	\N	\N	\N	\N	\N	\N	\N	\N	SD (040228)	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4024	VILA AZUL	020327	VILA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4579	TRAV. BELISÁRIO	022571	TRAVESSA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
3915	RUA MACHADO DE ASSIS	002262	RUA	\N	G10/G11	N-S	1671/60	16/12/1960	\N	\N	003693	RUA MAJOR WEYNE	002396	RUA MATOS VASCONCELOS	\N	\N	9585855	550433	9585197	549764	DAMAS	\N	Na lei a via termina na  Rua Prof. Costa Mendes. Mas na cartogrfia a via se estende atá a Rua Matos Vasconcelos.
3916	AVENIDA JOÃO PESSOA	001836	AVENIDA	\N	G11/J09	N-S	4614/75	\N	\N	\N	000266	RUA ANTENOR FROTA WANDERLEY	003270	RUA 7 DE SETEMBRO	\N	\N	9586142	550859	9582978	548643	BENFICA/DAMAS/PARANGABA	\N	\N
3921	RUA GUSTAVO BRAGA	001540	RUA	\N	G10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3922	RUA DR. BEZERRINHA	000552	RUA	DOUTOR	G10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3923	VILA PARANAGUÁ	024067	VILA	\N	G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3924	TRAV.UBAJARA	003496	TRAVESSA	\N	G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3934	RUA MAURITI	002401	RUA	\N	G10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DAMAS	\N	\N
3939	RUA QUINTINO CUNHA	002981	RUA	\N	G10/H10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DAMAS / JARDIM AMERICA/MONTESE	\N	\N
3941	RUA FILGUEIRAS LIMA	001288	RUA	\N	G10/G11	N-S	3144/65	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DAMAS/JARDIM AMÉRICA	\N	\N
3942	RUA CARLOS CÂMARA	000718	RUA	\N	G10/G11	N-S	1671/60	16/12/1960	\N	\N	000042	RUA ADOLFO HÉRBSTER	\N	SD	\N	RUA PEDRO MACHADO	9586151	551036	9585110	550091	DAMAS/BENFICA	CONFUNCIO PAMPLONA - PARTE	\N
3943	VILA SÃO FRANCISCO	023115	VILA	SÃO	G10	N-S	\N	\N	\N	\N	000124	RUA ALEXANDRE BARAÚNA	\N	MURO	\N	\N	9585374	550241	9585325	550203	DAMAS	\N	\N
3944	VILA CORAÇÃO DE JESUS	000916	VILA	\N	G10	N-S	\N	\N	\N	\N	003207	RUA SAMUEL UCHOA	000941	RUA PROF. COSTA MENDES	\N	\N	9585149	550197	9585224	550257	DAMAS	\N	\N
3945	SD	040220	RUA	\N	G10	N-S	\N	\N	\N	\N	\N	RUA DELMIRO DE FARIAS	\N	\N	MURO	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3946	VILA BARROS	000578	VILA	\N	G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DAMAS	\N	\N
3948	RUA V. VIRGEM SANTÍSSIMO	024511	RUA	\N	G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3951	VILA SÃO JOÃO	023425	VILA	SÃO	G10/G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO/GENIBAÚ	\N	\N
3952	VILA DA GAVETA	020494	VILA	\N	G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3953	VILA SÃO FRANCISCO	001328	VILA	SÃO	G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3954	VILA LEILA CRISTINA	023622	VILA	\N	G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3956	PRAÇA CLELIA TELES	022775	PRAÇA	\N	G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3957	SD	040218	RUA	\N	G10	L-O	\N	\N	\N	\N	\N	RUA CORONEL NUNES DE MELO/RUA MATOS VASCONCELOS	\N	\N	RUA JOSÉ BASTOS	\N	\N	\N	\N	\N	RODOLFO TEÓFILO/DAMAS	\N	\N
3959	VILA ADOLFO TAVARES	022353	VILA	\N	G10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
3960	PRAÇA FRANKLIN DELANO ROOSEVELT	023161	PRAÇA	\N	G11	\N	\N	\N	\N	\N	\N	RUA CARLOS CÂMARA/ RUA DELMIRO FARIAS	\N	\N	\N	\N	9585412	550495	\N	\N	DAMAS	\N	\N
3961	PRAÇA DO P.V.	024199	PRAÇA	PRESIDENTE	G11	\N	\N	\N	\N	\N	\N	RUA MARECHAL DEODORO/RUA COSTA SOUSA	\N	\N	\N	\N	9585965	551356	\N	\N	BENFICA	\N	\N
3970	RUA ÁLVARO MARTINS	000184	RUA	\N	G11	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMERICA /DAMAS	\N	\N
3971	RUA PADRE JOÃO WASSEN	001849	RUA	PADRE	G11	N-S	1671/60	16/12/1960	\N	\N	000944	RUA COSTA SOUSA	000042	RUA ADOLFO HÉRBSTER	\N	RUA PADRE CÍCERO	9586170	551111	9585880	550871	BENFICA	o trecho que vai da rua Antenor Wanderley a rua Padre Cícero não é oficial	\N
3976	RUA ADOLFO HÉRBSTER	000042	RUA	\N	G11	L-O	1671/1960	16/12/1960	\N	\N	001030	RUA MARECHAL DEODORO	003509	AV. DA UNIVERSIDADE	\N	\N	9585897	551314	9586235	550944	BENFICA	PARAÍBA, RUA	\N
3977	RUA MAJOR LAURINDO	002116	RUA	MAJOR	G11	N-S	5130/79	\N	\N	\N	000042	RUA ADOLFO HÉRBSTER	000323	RUA ANTÔNIO RODRIGUES	\N	\N	9585933	551273	9585619	550999	BENFICA/JARDIM AMERICA	\N	\N
3979	RUA COSTA SOUSA	000944	RUA	\N	G11	L-O	1671/60	16/12/1960	\N	\N	001235	AV. DOS EXPEDICIONÁRIOS	001030	RUA MARECHAL DEODORO	\N	\N	9585782	551568	9585959	551342	BENFICA	N. S. DE LOURDES, EM PARTE	\N
3980	SD	040227	RUA	\N	G11	N-S	\N	\N	\N	\N	\N	AV. BORGES DE MELO	\N	\N	RUA SALGADINHO	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
3981	RUA JORGE DUMAR	001906	RUA	\N	G11/H11	N-S	1671/60	16/12/1960	\N	\N	001030	RUA MARECHAL DEODORO	002990	RUA STA. QUITÉRIA	\N	\N	9585794	551268	9584549	551023	BENFICA/JARDIM AMERICA/PARREÃO	\N	\N
3984	VILA ESTELA	001201	VILA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	9585752	550675	9585794	550627	DAMAS	\N	A vila apresenta um formato de duas retas perpendiculares. Na cartografia a vila é nomeada de SANTA ISABEL.
4134	RUA ANA BEZERRA	002677	RUA	\N	G13	N-S	4594/1975	\N	\N	\N	003321	RUA SORIANO ALBUQUERQUE	000764	RUA CASTRO ALVES	\N	\N	9585676	553753	9585561	553770	JOAQUIM TAVORA	ORÓS	\N
3985	TRAV. ABGAIL BANDEIRA	000883	TRAVESSA	\N	G11	L-O	5029/1978	\N	\N	\N	003693	RUA MAJOR WEYNE	\N	EDIFICAÇÃO	\N	\N	9585716	550584	9585756	550619	DAMAS	\N	Na lei a via apresenta sentido L-O. Enquanto que na cartografia o sentido é de N-S (Paralela a Av. João Pessoa).
3989	VILA CORDEIRO	000774	VILA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
3991	SD	040223	RUA	\N	G11	N-S/L-O	\N	\N	\N	\N	\N	RUA ANTÔNIO MENDES	\N	\N	SD (040224)/SD (040223)	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
3993	SD	040225	RUA	\N	G11	N-S	\N	\N	\N	\N	\N	MURO/RUA MARECHAL DEODORIO	\N	\N	RUA JOÃO SORANGO/RUA COST. SOUSA	\N	\N	\N	\N	\N	JARDIM AMÉRICA/BENFICA	\N	\N
3995	RUA ANTÔNIO RODRIGUES	000323	RUA	\N	G11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
3996	RUA DAMASCENO GIRÃO	001005	RUA	\N	G11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
3997	TRAV. DAMASCENO GIRÃO	022876	TRAVESSA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
3998	TRAV. JORGE DUMAR	001918	TRAVESSA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
3999	TRAV. MATADOR	023829	TRAVESSA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4000	TRAV. SÃO LUIZ	002215	TRAVESSA	SÃO	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4001	TRAV. CRUZEIRO DO SUL	000975	TRAVESSA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4002	TRAV. ESTRELA DO MAR	001209	TRAVESSA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4003	TRAV. BELA VISTA	000503	TRAVESSA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4004	TRAV. AÇORES	000029	TRAVESSA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4005	RUA NOVA AURORA	002593	RUA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4007	RUA ANTÔNIO MENDES	000318	RUA	\N	G11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4008	VILA SALGUEIRO	024327	VILA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4009	TRAV. MAGALHÃES	002263	TRAVESSA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4010	TRAVESSA SANTOS	024342	TRAVESSA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4011	VILA ESTEIRA	020326	VILA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4014	RUA GRIJALVA COSTA	001499	RUA	\N	G11/H11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4016	VILA HELENA	020325	VILA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4018	RUA DELMIRO DE FARIAS	001015	RUA	\N	G11/H11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4020	RUA SAMUEL UCHÔA	003207	RUA	\N	G11/H11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA / BOM FUTURO	\N	\N
4021	VILA MOREIRA	023898	VILA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4022	RUA ANDRÉ CHAVES	000249	RUA	\N	G11/ H11	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4023	RUA FREI ORLANDO	002676	RUA	FREI	G11/H10	N-S	3611/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
4025	VILA JOÃO FURTADO DE MACEDO	020324	VILA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4026	VILA STO. ANTÔNIO	020328	VILA	SANTO	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4027	VILA VASCONCELOS	003871	VILA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4028	RUA ITAPIÚNA	023359	RUA	\N	G11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4029	RUA EDITE BRAGA	001125	RUA	\N	G11/I10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA/MONTESE	\N	\N
4032	TRAV. LAVANERIS	002107	TRAVESSA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4033	RUA PRE-9	002937	RUA	\N	G11/H11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4034	RUA VIÇOSA	003601	RUA	\N	G11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4035	VILA PAISSANDÚ	024049	VILA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4036	BECO SALGADINHO	024326	BECO	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4037	RUA SALGADINHO	021779	RUA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4038	TRAV. SALGADINHO	003194	TRAVESSA	\N	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4039	SD	040228	RUA	\N	G11	N-S	\N	\N	\N	\N	\N	SD (040229)	\N	\N	RUA ANTÔNIO MENDES	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4040	RUA CARLOS ARGEMIRO DE CAMARGO	000712	RUA	\N	G11/H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREÃO	\N	\N
4041	AVENIDA BORGES DE MELO	000588	AVENIDA	\N	G11/H13	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FÁTIMA/PARREÃO/JARDIM AMÉRICA/AEROPORT/ALTODA BALANÇA	PINTO MARTINS AV	\N
4042	TRAV. MONSENHOR TABOSA	003338	TRAVESSA	MONSENHOR	G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4043	RUA COMENDADOR MACHADO	002260	RUA	COMENDADOR	G11	N-S	3611/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
4045	RUA CAMPO AMOR ROCHA	000661	RUA	\N	G12/H12	N-S	2580/64	\N	\N	\N	003449	AV. 13 DE MAIO	001135	AV. EDUARDO GIRÃO	\N	\N	9585159	552826	9584898	552607	FÁTIMA	\N	\N
4046	RUA MARTINHO RODRIGUES	002379	RUA	\N	G12	N-S	1671/60	16/12/1960	\N	\N	003449	AV. 13 DE MAIO	007043	RUA MINISTRO JOAQUIM BASTOS	\N	AV. BORGES DE MELO	9585219	552757	9584491	552150	FÁTIMA	\N	\N
4047	RUA PAULA RODRIGUES	002768	RUA	\N	G12	N-S	1671/60	16/12/1960	\N	\N	003449	AV. 13 DE MAIO	001135	AV. EDUARDO GIRÃO (AV. DO CANAL)	\N	\N	9585281	552684	9584886	552347	FÁTIMA	\N	\N
4048	AV  DEP. OSWALDO STUDART	002698	AVENIDA	DEPUTADO	G12	N-S	4605/75	\N	\N	\N	003449	AV. 13 DE MAIO	000588	AV. BORGES DE MELO	\N	\N	9585340	552614	9584632	551988	FÁTIMA	\N	\N
4050	RUA DR. RATISBONA	003040	RUA	DOUTOR	G12	N-S	1671/60	16/12/1960	\N	\N	002364	RUA MÁRIO MAMEDE	000588	AV. BORGES DE MELO	\N	\N	9584999	552195	9584685	551928	FÁTIMA	\N	\N
4051	RUA AMARELA	000202	RUA	CORONEL	G12	L-O	1671/60	16/12/1960	\N	\N	002698	AV. DEP. OSVALDO STUDART	003040	RUA DR. RATISBONA	\N	\N	9585174	552473	9585239	552396	FÁTIMA	VER AMARELA	\N
4052	RUA JAIME CALADO	006188	RUA	\N	G12	N-S	\N	\N	\N	\N	003449	AV. 13 DE MAIO	002364	RUA MÁRIO MEMEDE	\N	\N	9585392	552553	9585280	552457	FÁTIMA	\N	\N
4054	RUA ZÓZIMO BARROSO	003712	RUA	\N	G12	N-S	1671/60	16/12/1960	\N	\N	003449	AV. 13 DE MAIO	002364	RUA MÁRIO MAMEDE	\N	\N	9585481	552449	9585369	552351	FÁTIMA	\N	\N
4055	PRAÇA DOM JOSÉ	023504	PRAÇA	DOM	G12	\N	\N	\N	\N	\N	\N	AV. 13 DE MAIO/RUA CONS. TRISTÃO	\N	\N	\N	\N	9585695	552216	\N	\N	FÁTIMA	\N	\N
4056	PRAÇA SÃO CRISTOVÃO	022822	PRAÇA	SÃO	G12	\N	\N	\N	\N	\N	\N	RUA DOM SEBASTIÃO LEME/RUA CARLOS RIBEIRO	\N	\N	\N	\N	9585946	552620	\N	\N	FÁTIMA	\N	\N
4057	PRAÇA ARGENTINA CASTELO BRANCO	000324	PRAÇA	\N	G12	\N	\N	\N	\N	\N	\N	RUA CONSELHEIRO TRISTÃO/RUA DEP. JOÃO PONTES	\N	\N	\N	\N	9585870	552296	\N	\N	FÁTIMA	\N	\N
4058	PRAÇA PIO IX	024166	PRAÇA	\N	G12	\N	\N	\N	\N	\N	\N	AV. 13 DE MAIO/RUA DOM SEBASTIÃO LEME	\N	\N	\N	\N	9585321	552699	\N	\N	FÁTIMA	\N	EM FRENTE À IGREJA DE FÁTIMA
4059	RUA GAL. SILVA JÚNIOR	003287	RUA	GENERAL	G12	N-S	1671/60	16/12/1960	\N	\N	002364	RUA MÁRIO MAMEDE	000588	AV. BORGES DE MELO	\N	\N	9585344	552382	9584735	551867	FÁTIMA	PARANÁ,  TRAV	\N
4062	RUA JUVENAL DE CARVALHO	002088	RUA	\N	G12/G13	N-S	1671/60	16/12/1960	\N	\N	000078	AV. AGUANAMBI	003449	AV. 13 DE MAIO	\N	\N	9585930	552751	9585125	552881	FÁTIMA	\N	\N
4063	RUA CARLOS RIBEIRO	000727	RUA	\N	G12/G13	L-O	1321/58	\N	\N	\N	000110	RUA ALCÂNTARAS	001258	AV. FELINO BARROSO	\N	\N	9585950	552912	9585893	552424	FÁTIMA	\N	\N
4064	RUA DR. JOSÉ VITOR	002030	RUA	DOUTOR	G12/G13	L-O	1671/60	16/12/1960	\N	\N	002118	RUA LAURO MAIA	001258	AV. FELINO BARROSO	RUA ALCÂNTARAS	\N	9585826	553017	9585759	552439	FÁTIMA	\N	\N
4065	RUA CORONEL PERGENTINO FERREIRA	002850	RUA	CORONEL	G12/G13	L-O	1792/61	\N	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	001258	AV. FELINO BARROSO	\N	\N	9585797	553150	9585631	552453	FÁTIMA	\N	\N
4348	RUA A.VIANA	022346	RUA	\N	G17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ	\N	\N
4507	RUA 1163	007288	RUA	\N	H04/H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4066	RUA  JOSÉ EUCLIDES	001970	RUA	\N	G12/G13	L-O	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	003235	RUA DOM SEBASTIÃO LEME	\N	PRAÇA PIO IX	9585319	553247	9585260	552758	FÁTIMA	JOSÉ ACIÓLI	\N
4067	RUA BONFIM SOBRINHO	000579	RUA	\N	G12/G13	L-O	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	003449	AV. 13 DE MAIO	\N	\N	9585460	553220	9585373	552576	FÁTIMA	\N	\N
4068	RUA GUILHERME MOREIRA	001532	RUA	\N	G12/G13	L-O	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	001258	AV. FELINO BARROSO	RUA LAURO MAIA	\N	9585602	553191	9585495	552468	FÁTIMA	\N	\N
4069	RUA PE. BARBOSA DE JESUS	000476	RUA	PADRE	G12	L-O	1671/60	16/12/1960	\N	\N	001258	AV. FELINO BARROSO	003449	AV. 13 DE MAIO	\N	\N	9585631	552453	9585720	552168	FÁTIMA	\N	\N
4078	RUA DR. COSTA ARAÚJO	000932	RUA	\N	G12	L-O	1671/60	16/12/1960	\N	\N	001258	AV. FELINO BARROSO	003449	AV. 13 DE MAIO	\N	\N	9585759	552439	9585925	551928	FÁTIMA	COSTA ARAUJO, DOUTOR	\N
4079	RUA APUIARÉS	000335	RUA	\N	G12	L-O	1671/60	16/12/1960	\N	\N	002153	RUA CONSELHEIRO TRISTÃO	001735	RUA JAIME BENÉVOLO	\N	\N	9585757	552258	9585790	552161	FÁTIMA	\N	\N
4083	RUA GRACILIANO RAMOS	001482	RUA	\N	G12/H12	L-O	1671/60	16/12/1960	\N	\N	001135	AV. EDUARDO GIRÃO	002531	RUA NAPOLEÃO LAUREANO	\N	\N	9584861	552529	9585238	552093	FÁTIMA	\N	O trecho da Av Eduardo Girão até a Rua Gal. Silva Jr. não é oficial.
4084	RUA MIN. JOAQUIM BASTOS	007043	RUA	MINISTRO	G12/H12	L-O	1671/60	16/12/1960	\N	\N	001135	AV. EDUARDO GIRÃO	002207	AV. LUCIANO CARNEIRO	\N	\N	9584920	552652	9585494	551980	FÁTIMA	LEONARDO DA VINCI	\N
4086	RUA ANA CARTAXO	000163	RUA	\N	G12	O-L	4624/1975	\N	\N	\N	002153	RUA MONS. LIBERATO	001735	RUA JAIME BENÉVOLO	\N	\N	9585604	552178	9585680	552096	FÁTIMA	\N	\N
4087	RUA MONS. LIBERATO	002153	RUA	MONSENHOR	G12	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FÁTIMA	\N	\N
4088	RUA DOM SEBASTIÃO LEME	003235	RUA	DOM	G12	N-S	1671/60	16/12/1960	\N	\N	003137	RUA MESTRE ROSA	003449	AV. 13 DE MAIO	\N	\N	9586441	552560	9585219	552757	JOSÉ BONIFÁCIO/FÁTIMA	\N	\N
4091	RUA CAROLINO DE AQUINO	000745	RUA	\N	G12	N-S	1671/60	16/12/1960	\N	\N	000727	RUA CARLOS RIBEIRO	003449	AV. 13 DE MAIO	\N	\N	9585899	552487	9585392	552553	FÁTIMA	\N	\N
4092	RUA NAPOLEÃO LAUREANO	002531	RUA	\N	G12	N-S	1671/60	16/12/1960	\N	\N	001258	RUA FELINO BARROSO	001482	RUA GRACILIANO RAMOS	\N	\N	9585759	552439	9585238	552093	FÁTIMA	PIAUÍ	\N
4093	AVENIDA LUCIANO CARNEIRO	002207	AVENIDA	\N	G12/I11	N-S	1671/60	16/12/1960	\N	\N	003449	AV. 13 DE MAIO	\N	VIA FÉRREA PARANGABA MUCURIPE	\N	\N	9585796	552078	9583082	551237	FÁTIMA/VILA UNIÃO	3 DE OUTUBRO	\N
4095	RUA MÁRIO MAMEDE	002364	RUA	\N	G12/H13	L-O	1671/60	16/12/1960	\N	\N	000078	AV. AGUANAMBI	002207	AV. LUCIANO CARNEIRO	RUA MARTINHO RODRIGUES	\N	9584885	552927	9585650	552023	FÁTIMA	\N	\N
4096	VILA PIRAGIBE	024171	VILA	\N	G13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOAQUIM TÁVORA	\N	\N
4099	RUA ALCÂNTARAS	000110	RUA	\N	G13	N-S	1671/1960	16/12/1960	\N	\N	000400	 RUA ARTUR TEMÓTEO	002030	RUA DR. JOSÉ VITOR	\N	\N	9586012	552899	9585817	552941	FATIMA	CIRILO DE FREITAS  CONFORME  TRANSCR. 36632 - CRI 2 ZONA  DE 23/04/1971	\N
4101	RUA DR. PEDRO TELES	002506	RUA	DOUTOR	G13	L-O	4449/74	\N	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	000110	RUA ALCÂNTARAS	\N	\N	9585901	553128	9585855	552933	FATIMA	AIUABA ALM. MOURA	\N
4102	RUA MARILEIDE	020005	RUA	\N	G13/F13	O-L	\N	\N	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	001573	RUA HENRIQUE RABELO	\N	\N	9585990	553109	9586009	553215	JOAQUIM TÁVORA	\N	\N
4104	RUA CÔNEGO BESSA	000542	RUA	CÔNEGO	G13	O-L	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	001797	RUA JOÃO CORDEIRO	\N	\N	9585706	553169	9585730	553396	JOAQUIM TAVORA	\N	\N
4105	RUA MILTON E.PINHEIRO	020418	RUA	\N	G13	L-O	7772/95	\N	\N	\N	002118	RUA LAURO MAIA	000078	AV. AGUANAMBI	\N	\N	9585665	553050	9585623	552908	FATIMA	\N	\N
4108	PRAÇA JOÃO TÁVORA	023464	PRAÇA	\N	G13	\N	\N	\N	\N	\N	\N	RUA CAPITÃO GUSTAVO/AV. PONTES VIEIRA	\N	\N	\N	\N	9585249	553678	\N	\N	JOAQUIM TÁVORA	\N	\N
4110	SD	040230	RUA	\N	G13	L-O	\N	\N	\N	\N	\N	AV. VISCONDE DO RIO BRANCO/MURO	\N	\N	MURO/RUA LAURO MAIA	\N	\N	\N	\N	\N	FÁTIMA	\N	\N
4111	VIADUTO 13 DE MAIO	022078	VIADUTO	\N	G13	\N	\N	\N	\N	\N	001821	RUA JOÃO LOBO FILHO	000661	RUA CAMPO AMOR ROCHA	\N	\N	9585117	553076	9585159	552826	FATIMA	\N	\N
4112	TRAV. VICENTE DE AGUIAR	024551	TRAVESSA	\N	G13	N-S	\N	\N	\N	\N	003576	RUA VICENTE AGUIAR	002364	RUA MÁRIO MAMEDE	\N	\N	9585064	552875	9584984	552805	FATIMA	\N	\N
4114	RUA CORONEL JOSÉ CARNEIRO	023529	RUA	CORONEL	G13	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FATIMA	\N	\N
4117	RUA EDUARDO BEZERRA	001133	RUA	\N	G13	O-L	1671/60	16/12/1960	\N	\N	\N	RODOVIA SANTOS DUMONT (BR 116 (BR13)	002616	RUA NUNES VALENTE	RUA BARROS LEAL (000479)	RUA VISC. DE MAUÁ	9585047	553427	9585189	555002	SÃO JOÃO DO TAUAPE	GUANABARA, TRAV.	OS TRECHOS BR116-RUA BARROS LEAL E R. NUNES VALENTE-R. VISC. DE MAUÁ NÃO SÃO OFICIAIS.
4118	TRAV. SÃO MATEUS	003767	TRAVESSA	SÃO	G13	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO	001539	RUA CAPITÃO  GUSTAVO	\N	\N	9585000	553614	9585009	553688	SÃO JOÃO DO TAUAPE	\N	\N
4119	B. CÂNDIDO G. DO REGO	000676	BECO	\N	G13	N-S	\N	\N	\N	\N	002916	AV. PONTES VIEIRA	\N	MURO	\N	\N	9585191	553719	9585109	553729	SÃO JOÃO DO TAUAPE	\N	\N
4120	PARQUE RIO BRANCO	024265	PARQUE	\N	G13	\N	\N	\N	\N	\N	\N	AV. PONTES VIEIRA/AV. VISCONDE DO RIO BRANCO	\N	\N	\N	\N	9585367	553430	\N	\N	JOAQUIM TAVORA	\N	\N
4121	RUA RUI GURGEL	003768	RUA	\N	G13	N-S	\N	\N	\N	\N	001133	RUA EDUARDO BEZERRA	\N	EDIFICAÇÃO	\N	RUA TIBÚRCIO FROTA	9585079	553734	9584990	553748	SÃO JOÃO DO TAUAPE	\N	\N
4123	TRAV. N. SRA. DE FÁTIMA	004029	TRAVESSA	\N	G13	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	001133	RUA EDUARDO BEZERRA	\N	\N	9585174	553850	9585092	553860	SÃO JOÃO DO TAUAPE	\N	\N
4124	AVENIDA PONTES VIEIRA	002916	AVENIDA	\N	G13	O-L	1671/60	16/12/1960	\N	\N	\N	BR 116	001685	ISAC AMARAL	AV. VISCONDE DO RIO BRANCO	AV. SENADOR VIRGÍLIO TÁVORA (001198)	9585140	553282	9585436	555822	SÃO JOÃO DO TAUAPE/JOAQUIM TAVORA/DIONISIO TORRES	\N	\N
4125	RUA PROFº. MÁRIO ROCHA	004520	RUA	PROFESSOR	G13	O-L	4645/75	\N	\N	\N	001539	RUA CAPITÃO GUSTAVO	000747	RUA PROF. CARVALHO	RUA FISCAL VIEIRA	\N	9585273	553638	9585283	553884	JOAQUIM TAVORA	\N	\N
4126	RUA ANTÔNIO FURTADO	000305	RUA	\N	G13/ G14	O-L	1671/60	16/12/1960	\N	\N	001539	RUA CAPITÃO GUSTAVO	003331	RUA BARÃO DE STUDART	\N	RUA SILVA PAULET	9585300	553633	9585377	554349	JOAQUIM TAVORA/DIONISIO TORRES	Travessa D. Mundoca TRAV	\N
4127	SD	040232	RUA	\N	G13	O-L	\N	\N	\N	\N	\N	RUA FISCAL VIEIRA	\N	\N	RUA JOÃO CORDEIRO/MURO	\N	\N	\N	\N	\N	JOAQUIM TÁVORA	\N	\N
4128	RUA FREI BERNARDINO	000531	RUA	FREI	G13/G14	O-L	1671/60	16/12/1960	\N	\N	001539	RUA CAPITÃO GUSTAVO	001982	RUA DR. JOSÉ LOURENÇO	\N	\N	9585425	553608	9585475	554130	JOAQUIM TAVORA	\N	\N
4130	VILA ROMCY	020545	VILA	\N	G13	O-L	\N	\N	\N	\N	003608	RUA FISCAL VIEIRA	\N	MURO	\N	\N	9585509	553719	9585517	553778	JOAQUIM TAVORA	\N	\N
4131	RUA CASTRO ALVES	000764	RUA	\N	G13	O-L	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	003162	AV. RUI BARBOSA	\N	\N	9585530	554009	9585518	553208	JOAQUIM TAVORA	CastroAlves tv- rua luiz josé de matos	nomes anteriores conf.transcr.45422  1zona
4132	TRAV. SÃO GABRIEL	023180	TRAVESSA	SÃO	G13	N-S/O-L	\N	\N	\N	\N	001386	RUA SÃO GABRIEL	\N	MURO	\N	\N	9585582	553479	9585560	553552	JOAQUIM TAVORA	\N	\N
4133	RUA SÃO GABRIEL	001386	RUA	SÃO	G13/G15	O-L	3942/71	\N	\N	\N	001797	RUA JOÃO CORDEIRO	001539	RUA CAPITÃO GUSTAVO	\N	\N	9585577	553395	9585594	553577	JOAQUIM TAVORA	\N	\N
4508	RUA 1161	007287	RUA	\N	H04/H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4139	RUA MARCONDES PEREIRA	002322	RUA	\N	G13/G14	O-L	1671/60	16/12/1960	\N	\N	000348	RUA BARÃO DE ARACATI	008729	AV. DESEMBARGADOR MOREIRA	RUA MONSENHOR BRUNO	RUA TIBÚRCIO CAVALCANTE	9585933	553741	9585451	555227	JOAQUIM TAVORA/DIONISIO TORRES	PROF.  VIEIRA E RUA HILDENÍSIO TRAV	\N
4140	RUA PADRE CHEVALIER	000822	RUA	PADRE	G13/G14	O-L	1671/60	16/12/1960	\N	\N	001573	RUA HENRIQUE RABELO	003162	AV. RUI BARBOSA	RUA PADRE ANTONINO	\N	9585935	553282	9585699	554064	JOAQUIM TAVORA	S. JORGE E TRAV. SÃO FRANCISCO	\N
4141	RUA SORIANO ALBUQUERQUE	003321	RUA	\N	G13/G14	O-L	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	003289	RUA SILVA PAULET	\N	RUA ADOLFO PINHEIRO	9585797	553150	9585474	554409	JOAQUIM TAVORA/DIONISIO TORRES	\N	\N
4142	RUA PE. SAMUEL DE FRANÇA BARROS	020546	RUA	PADRE	G13	O-L	6372/88	23/12/88	\N	\N	001628	RUA ILDEFONSO ALBANO	\N	MURO	\N	RUA BARÃO DE ARACATI	9585992	553629	9585974	553699	JOAQUIM TAVORA	\N	\N
4143	RUA PROFº. ONÉLIO PORTO	020547	RUA	PROFESSOR	G13	O-L	\N	\N	\N	\N	001628	RUA ILDEFONSO ALBANO	\N	MURO	\N	\N	9585964	553620	9585947	553681	JOAQUIM TAVORA	\N	\N
4144	TRAV. ILDEFONSO ALBANO	023316	TRAVESSA	\N	G13	O-L	\N	\N	\N	\N	001628	RUA ILDEFONSO ALBANO	\N	MURO	\N	\N	9585926	553609	9585907	553684	JOAQUIM TAVORA	\N	\N
4146	RUA IRAUÇUBA	001674	RUA	\N	G13	N-S	1671/60	16/12/1960	\N	\N	000822	RUA PADRE CHEVALIER	003321	RUA SORIANO ALBUQUERQUE	\N	\N	9585834	553644	9585720	553608	JOAQUIM TAVORA	\N	\N
4148	TRAV. MANOEL MAIA	000724	TRAVESSA	\N	G13	N-S	\N	\N	\N	\N	000822	RUA PADRE CHEVALIER	003321	RUA SORIANO ALBUQUERQUE	\N	\N	9585795	553761	9585684	553727	JOAQUIM TAVORA	\N	\N
4149	TRAV. PE. CHEVALIER	000823	TRAVESSA	PADRE	G13	N-S	\N	\N	\N	\N	\N	PRAÇA SÃO LUCAS	000822	RUA PADRE CHEVALIER	\N	\N	9585989	553585	9585904	553569	JOAQUIM TAVORA	\N	\N
4151	BECO ANTÔNIO AUGUSTO	022442	BECO	\N	G13	L-O	\N	\N	\N	\N	000283	RUA ANTÔNIO AUGUSTO	\N	MURO	\N	\N	9585869	553473	9585863	553521	JOAQUIM TAVORA	\N	\N
4152	TRAV. SORIANO ALBUQUERQUE	003329	TRAVESSA	\N	G13	O-L	\N	\N	\N	\N	001797	RUA JOÃO CORDEIRO	001539	RUA ILDEFONSO ALBANO	\N	\N	9585824	553398	9585783	553565	JOAQUIM TAVORA	\N	\N
4154	SD	040234	RUA	\N	G13	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA FREI BERNARDINO/RUA MARCONDES PEREIRA	\N	\N	\N	\N	\N	JOAQUIM TÁVORA	\N	\N
4156	RUA LAURO MAIA	002118	RUA	\N	G13/F13	N-S	1671/60	16/12/1960	\N	\N	001081	AV. DOMINGOS OLÍMPIO	003449	AV. 13 DE MAIO	\N	\N	9586783	552823	9585128	553161	JOSÉ BONIFÁCIO/FÁTIMA	\N	\N
4157	RUA JOÃO LOBO FILHO	001821	RUA	\N	G13/H13	N-S	2894/65	\N	\N	\N	020418	RUA MILTON ESPÍNDOLA PINHEIRO	003579	RUA VICENTE NOGUEIRA BRAGA	\N	\N	9585644	552982	9584881	553122	FATIMA	\N	\N
4161	RUA CAPITÃO GUSTAVO	001539	RUA	CAPITÃO	G13	N-S	1671/60	16/12/1960	\N	\N	003321	RUA SORIANO ALBUQUERQUE	003563	VIA FERREA PARANGABA-MUCURIPE	\N	\N	9585739	553552	9584372	553812	JOAQUIM TAVORA/SÃO JOÃO DO TAUAPE	SÃO JORGE, fonte Transc.37679 ,  8095 e 38614   CRI 1 zona	\N
4163	RUA PADRE ANTONINO	000272	RUA	PADRE	G13/ F13	N-S	1671/1960	16/12/1960	\N	\N	000325	AV. ANTÔNIO SALES	000764	RUA CASTRO ALVES/PARQUE RIO BRANCO	\N	\N	9586632	553365	9585496	553327	JOAQUIM TAVORA	\N	\N
4164	RUA FISCAL VIEIRA	003608	RUA	FISCAL	G13	N-S	1671/60	16/12/1960	\N	\N	003321	RUA SORIANO ALBUQUERQUE	003563	VIA FERREA PARANGABA-MUCURIPE	\N	RUA DO CANAL	9585697	553684	9584205	553954	JOAQUIM TAVORA/SÃO JOÃO DO TAUAPE	\N	o trecho que vai da Via Férrea Parangaba-Mucuripe até a Rua do Canal não é oficial
4166	RUA HENRIQUE RABELO	001573	RUA	\N	G13/F13	N-S	1671/60	16/12/1960	\N	\N	000325	AV. ANTÔNIO SALES	000272	RUA PADRE ANTONINO	\N	RUA PADRE CHEVALIER	9586688	553187	9585923	553282	JOAQUIM TAVORA	DA GLÓRIA, N.21	\N
4167	VILA SANTOS	003752	VILA	\N	G13/H05	O-L	\N	\N	\N	\N	001539	RUA CAPITÃO GUSTAVO	\N	MURO	\N	\N	9585391	553615	9585412	553703	JOAQUIM TÁVORA	\N	\N
4173	PRAÇA DOS ELETRICITÁRIOS	022963	PRAÇA	\N	G14	\N	\N	\N	\N	\N	\N	AV. BARÃO DE STUDART/RUA ADOLFO PINHEIRO	\N	\N	\N	\N	9585764	554373	\N	\N	DIONISIO TORRES	\N	\N
4176	TRAV. EUNETE	023015	TRAVESSA	\N	G14	N-S	\N	\N	\N	\N	002613	RUA DR. WALDER STUDART	003409	RUA TOMÁS ACIÓLI	\N	\N	9586066	554984	9585954	554947	DIONISIO TORRES	\N	\N
4177	TRAV. POTIGUAR	002930	TRAVESSA	\N	G14	N-S	\N	\N	\N	\N	002613	RUA DR. WALDER STUDART	003409	RUA TOMÁS ACIÓLI	\N	\N	9586056	555016	9585943	554980	DIONISIO TORRES	\N	\N
4178	RUA BENJAMIN TORRES	000525	TRAVESSA	\N	G14	N-S	\N	\N	\N	\N	003409	RUA TOMÁS ACIÓLI	008822	RUA CEL. ALVES TEIXEIRA	\N	\N	9585951	554957	9585844	554920	DIONISIO TORRES	\N	\N
4181	RUA FRANCISCO HOLANDA	001343	RUA	\N	G14	O-L	1671/60	16/12/1960	\N	\N	00333	AV. BARÃO DE STUDART	002141	RUA LEONARDO MOTA	\N	\N	9585534	555492	9585886	554392	DIONISIO TORRES	\N	\N
4185	RUA PINHO PESSOA	002873	RUA	\N	G14/F13	O-L	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	003331	AV. BARÃO DE STUDART	\N	RUA JOSÉ VILAR	9586137	553077	9585971	554671	DIONÍSIO TORRES/JOAQUIM TÁVORA	\N	\N
4189	RUA JOAQUIM SÁ	001900	RUA	\N	G14/G15	O-L	1671/60	16/12/1960	\N	\N	001992	RUA DR. JOSÉ LOURENÇO	003390	RUA TIBÚRCIO CAVALCANTI	\N	AV. DESEMBARGADOR MOREIRA	9585851	554250	9585526	555251	JOAQUIM TÁVORA/DIONISIO TORRES	HILDEMAR	o trecho que vai da Rua Tibúrcio Cavalcanti até Av. Desembargador Moreira não é oficial
4190	RUA JÚLIO SIQUEIRA	002070	RUA	\N	G14	O-L	1671/60	16/12/1960	\N	\N	003162	AV. RUI BARBOSA	008729	AV. DESEMBARGADOR MOREIRA	\N	\N	9585741	554077	9585377	555202	JOAQUIM TÁVORA/DIONISIO TORRES	\N	\N
4191	RUA LÍVIO BARRETO	002185	RUA	\N	G14/G15	O-L	1671/60	16/12/1960	\N	\N	003162	AV.  RUI BARBOSA	023646	TRAV. LÍVIO BARRETO	\N	VIA FERREA PARANGABA-MUCURIPE	9585667	554054	9585287	555297	JOAQUIM TÁVORA/DIONISIO TORRES	HILDEGARDO,   (conforme transcrição 55110 do CRI 1ª Zona   datada de 18 / 06 / 1968	\N
4193	RUA DOS CAMPEÕES	000653	RUA	\N	G14	N-S	1671/60	16/12/1960	\N	\N	002070	RUA JÚLIO SIQUEIRA	001685	RUA ISAC AMARAL	\N	\N	9585606	554490	9585388	554480	DIONISIO TORRES	\N	\N
4196	RUA ISAC AMARAL	001685	RUA	\N	G14	O-L	1671/60	16/12/1960	\N	\N	003289	RUA SILVA PAULET	\N	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9585377	554349	9585133	555321	DIONISIO TORRES	\N	\N
4197	SD	040236	RUA	\N	G14	N-S	\N	\N	\N	\N	\N	RUA MARCONDES PEREIRA	\N	\N	RUA JÚLIO SIQUEIRA	\N	\N	\N	\N	\N	DIONÍSIO TORRES	\N	\N
4199	RUA PACUJÁ	002720	RUA	\N	G14	N-S	1671/60	16/12/1960	\N	\N	002399	RUA VISCONDE DE MAUÁ	008921	AV. DR. RAUL BARBOSA	\N	VIA FERREA PARANGABA-MUCURIPE	9585060	554975	9584959	555058	SÃO JOÃO DO TAUAPE	\N	\N
4202	RUA TIBÚRCIO FROTA	003392	RUA	\N	G14	O-L	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	002399	RUA VISCONDE DE MAUÁ	\N	\N	9584927	553325	9585068	554977	SÃO JOÃO DO TAUAPE	nº 3 , beco (transc. 8095 e  38614  CRI  1ª Zona)	\N
4203	RUA CAPITÃO MELO	002413	RUA	CAPITÃO	G14/H14	N-S	1671/60	16/12/1960	\N	\N	000531	RUA FREI BERNARDINO	003563	VIA FERREA PARANGABA-MUCURIPE	\N	\N	9585465	553987	9584331	554202	JOAQUIM TAVORA/SÃO JOÃO DO TAUAPE	\N	\N
4204	AVENIDA SABINO DO MONTE	003177	AVENIDA	\N	G14	N-S	1671/1960	16/12/1960	\N	\N	002916	AV. PONTES VIEIRA	003563	VIA FÉRREA PARANGABA-MUCURIPE	\N	RUA DO CANAL	9584167	554339	9585241	554152	SÃO JOÃO DO TAUAPE	MESSEJANA, RUA  ( TRANSC. 68221 - 1974  CRI 1 ZONA)	\N
4205	RUA CAPITÃO SAMPAIO ROCHA	003204	RUA	CAPITÃO	G14	L-O	4325/74	13/03/74	\N	\N	003289	RUA SILVA PAULET	002029	RUA JOSÉ VILAR	\N	\N	9585056	554295	9585066	554418	SÃO JOÃO DO TAUAPE	\N	\N
4206	RUADEMÓSTENES BRÍGIDO	001025	RUA	\N	G14	O-L	\N	\N	\N	\N	\N	MURO	002616	RUA NUNES VALENTE	\N	\N	9585069	554465	9585078	554540	SÃO JOÃO DO TAUAPE	\N	\N
5361	VIA 22	021010	VIA	\N	H18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
4209	RUA ADOLFO PINHEIRO	000043	RUA	\N	G14	N-S	1671/1960	16/12/1960	\N	\N	003331	AV. BARÃO DE STUDART	000305	RUA ANTÔNIO FURTADO	\N	\N	9585848	554381	9585383	554411	DIONÍSIO TORRES	\N	\N
4210	RUA ISABEL SIDNEY	001684	RUA	\N	G14	O-L	4193/1973	01/06/1973	\N	\N	003390	RUA TIBÚRCIO CAVALCANTI	001895	RUA JOAQUIM NABUCO	\N	\N	9585101	554634	9585110	554746	SÃO JOÃO DO TAUAPE	\N	LEI ESPECIFICA O LOCAL
4212	PRAÇA DA IMPRENSA	023323	PRAÇA	\N	G15	\N	\N	\N	\N	\N	\N	RUA ANTÔNIO SALES/AV. DESEMBARGADOR MOREIRA	\N	\N	\N	\N	9585969	555328	\N	\N	DIONÍSIO TORRES	\N	\N
4215	RUA TOMÁS ACIÓLI	003409	RUA	\N	G15/F13	O-L	1671/60	16/12/1960	\N	\N	000283	RUA ANTÔNIO AUGUSTO	003526	AV. DESEMBARGADOR MOREIRA	RUA ILDEFONSO ALBANO	\N	9586340	000283	9585804	555340	DIONÍSIO TORRES/JOAQUIM TÁVORA	CONDE DO BONFIM	\N
4216	RUA CEL ALVES TEIXEIRA	008822	RUA	CORONEL	G15/F13	O-L	1671/1960	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	008729	AV. DESEMBARGADOR MOREIRA	\N	\N	9586046	553097	9585719	555313	DIONÍSIO TORRES / JOAQUIM TÁVORA	\N	\N
4219	RUA ARAKEN SILVA	000353	RUA	\N	G15	O-L	4415/74	\N	\N	\N	000474	RUA BARBOSA DE FREITAS	000923	RUA BRIGADEIRO CORRÊA MELO	\N	\N	9585490	555360	9585489	555792	DIONÍSIO TORRES	\N	\N
4220	RUA FOTÓGRAFO RIBEIRO	003070	RUA	FOTÓGRAFO	G15	O-L	4408/74	\N	\N	\N	001810	RUA EMÍDIO DA SILVEIRA	000923	RUA BRIG. CORREIA DE MELO	\N	\N	9585517	555552	9585544	555802	DIONÍSIO TORRES	\N	\N
4222	RUA LIVREIRO EDÉSIO	001115	RUA	LIVREIRO	G15	O-L	1735/61	\N	\N	\N	000474	RUA BARBOSA DE FREITAS	\N	PORTÃO DE SAÍDA DO COLÉGIO CHRISTUS	\N	\N	9585650	555410	9585475	555951	DIONÍSIO TORRES	\N	o trecho oficial vai da Av. Desembargador Moreira a Rua João Emídio da Silveira.
4223	RUA ISRAEL BEZERRA	001695	RUA	\N	G15	O-L	1671/60	16/12/1960	\N	\N	008729	AV. DESEMBARGADOR MOREIRA	003563	VIA FÉRREA PARANGABA-MUCURIPE	\N	AV. ENG. SANTANA JÚNIOR	9585804	555340	9585372	556612	DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE	\N	\N
4224	RUA RAIMUNDO REZENDE	004521	RUA	\N	G15	O-L	\N	\N	\N	\N	002141	RUA LEONARDO MOTA	003583	RUA VICENTE LEITE	\N	\N	9585881	555602	9585846	555711	DIONÍSIO TORRES	\N	\N
4226	RUA HENRIQUETA GALENO	001574	RUA	\N	G15/G16	O-L	2861/64	\N	\N	\N	000474	RUA BARBOSA DE FREITAS	003219	AV. ENG. SANTANA JÚNIOR	\N	\N	9586071	555547	9585718	556687	DIONÍSIO TORRES/COCÓ	CURUZU, RUA	\N
4227	RUA BENI CARVALHO	000519	RUA	\N	F15/G16	O-L	1671/60	16/12/1960	\N	\N	002494	AV. DESEMBARGADOR MOREIRA	\N	VIA FÉRREA PARANGABA-MUCURIPE	\N	AV. ENG. SANTANA JR.	9586183	555460	9585789	556703	ALDEOTA/DIONÍSIO TORRES/COCÓ	\N	\N
4228	RUA AÉCIO  CABRAL	005390	RUA	\N	G15	O-L	DL441/2010	18/06/2010	\N	\N	005338	RUA JUCÁ	007480	RUA DOS MANGUEZAIS	\N	\N	9585447	556118	9585310	556289	SÃO JOÃO DO TAUAPE	AÉCIO CABRAL	\N
4229	RUA DR. EDMILSON BARROS DE  OLIVEIRA	005335	RUA	DOUTOR	G15	O-L	4604/1975	21/11/1975	\N	\N	005333	RUA PLÍNIO CÂMARA	022354	RUA AÉCIO CABRAL	\N	\N	9585215	555976	9585339	556188	SÃO JOÃO DO TAUAPE	\N	REVER OS LIMITES DA RUA INCLUINDO O SEGMENTO AO NORTE
4231	RUA PLÍNIO CÂMARA	005333	RUA	\N	G15	N-S	\N	\N	\N	\N	000034	RUA PROF. ADERBAL NUNES FREIRE	005335	RUA DR. EDMILSON BARROS DE OLIVEIRA	\N	\N	9585376	555965	9585215	555976	SÃO JOÃO DO TAUAPE	\N	\N
4232	RUA JUCÁ	005338	RUA	\N	G15	N-S	\N	\N	\N	\N	004090	TRAVESSA PESSOA	000034	RUA PROF. ADERBAL NUNES FREIRE	\N	\N	9585328	556051	9585446	556117	SÃO JOÃO DO TAUAPE	\N	\N
4233	RUA OLAVO DE OLIVEIRA ALBUQUERQUE	005339	RUA	\N	G15	O-L	5005/1978	20/04/1978	\N	\N	000034	AV. PROF. ADERBAL NUNES FREIRE	023147	\N	\N	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
4234	RUA PROFº. F. GONÇALVES	001342	RUA	PROFESSOR	G15	O-L	1671/60	16/12/1960	\N	\N	000474	RUA BARBOSA DE FREITAS	003563	VIA FÉRREA PARANGABA-MUCURIPE	\N	AV. ENG. SANTANA JÚNIOR	9585863	555479	9585490	556637	DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE/COCÓ	PASSO DA PÁTRIA, ALAN KADEC - TRANSCR.61914 CRI 1ª ZONA	Na Lei, essa Rua tem início na Rua Joaquim Nabuco - o trecho é denominado Rua Assis Chateaubriand pela Lei 4948/77.
4235	PRAÇA SD	024381	PRAÇA	\N	E-13	\N	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO/DIONÍSIO TORRES	\N	\N
4236	RUA MAJOR VIRGILIO BORBA	005329	RUA	MAJOR	G15	O-L	4961/77	\N	\N	\N	\N	PRAÇA DO CONTORNO	003583	PROLONGAMENTO DA RUA VICENTE LEITE	\N	\N	9585115	555416	9585175	555640	SÃO JOÃO DO TAUAPE	B - LOT. MARIA DA GLÓRIA PESSOA	\N
4237	TRAV. MAJ. VIRGILIO BORBA	024583	TRAVESSA	MAJOR	G15	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	006436	RUA MAJOR VIRGILIO BORBA	\N	\N	9585213	555369	9585115	555416	SÃO JOÃO DO TAUAPE	\N	\N
4238	RUA SÍTIO MEL	005330	RUA	\N	G15	O-L	\N	\N	\N	\N	005328	RUA SÍTIO CEDRO	003583	RUA VICENTE LEITE	\N	\N	9585259	555597	9585276	555588	SÃO JOÃO DO TAUAPE	\N	\N
4239	RUA SANTA ESMERALDA	008101	RUA	SANTA	G15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
4241	TRAV.  BARBOSA  DE  FREITAS	000475	VILA	\N	G15	O-L	\N	\N	\N	\N	001685	RUA ISAC AMARAL	\N	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9585220	555285	9585194	555374	DIONÍSIO TORRES	\N	\N
4242	TRAV. LÍVIO BARRETO	023646	TRAVESSA	\N	G15	O-L	\N	\N	\N	\N	002185	RUA LÍVIO BARRETO	003452	TRAV. DO TRILHO	\N	\N	9585287	555297	9585270	555376	DIONÍSIO TORRES	\N	\N
4246	RUA ISAÚ BENÍCIO	023353	RUA	\N	G15	N-S	\N	\N	\N	\N	001342	RUA PROFESSOR FRANCISCO GONÇALVES	001695	RUA ISRAEL BEZERRA	\N	\N	9585608	556267	9585494	556232	SÃO JOÃO DO TAUAPE/COCÓ	\N	\N
4248	AVENIDA PROFESSOR ADERBAL N.FREIRE	000034	AVENIDA	PROFESSOR	G15	O-L	7108/1992	05/05/1992	9487/94	30/08/94	\N	AV. PONTES VIEIRA/AV. SENADOR VÍRGILIO TÁVORA	000325	LADO SUL DA AV. ANTÔNIO SALES	\N	\N	9585436	555822	9585713	556334	DIONÍSIO TORRES/SÃO JOÃO DO TAUAPE/COCÓ	\N	\N
4252	AVENIDA SENADOR VIRGILIO TÁVORA	001198	AVENIDA	SENADOR	D16-G15	N-S	6862/91	28/0/1991	\N	\N	000312	AV. ANTÔNIO JUSTA	002916	AV. PONTES VIEIRA	AV. DA ABOLIÇÃO	VIA FÉRREA PARANGABA-MUCURIPE	9587865	556592	9585436	555822	MEIRELES/ALDEOTA/DIONÍSIO TORRES	ESTADOS UNIDOS, AV , RODOLFO TEOFILO AV	trecho retirado da R. Pe. Ibiapina
4430	RUACESAR CALS	004888	RUA	\N	G19	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO I	\N	\N
4254	RUA OTONI FAÇANHA DE SÁ	002708	RUA	\N	G15	N-S	4395/74	\N	\N	\N	003583	RUA VICENTE LEITE	003070	RUA FOTÓGRAFO RIBEIRO	\N	\N	9585649	555648	9585529	555664	DIONÍSIO TORRES	\N	\N
4258	SD	040237	RUA	\N	G15	N-S	\N	\N	\N	\N	\N	RUA FOTÓGRAFO RIBEIRO	\N	\N	RUA ARAKEM SILVA	\N	\N	\N	\N	\N	ALDEOTA	\N	\N
4260	RUA DOS MANGUEZAIS	007480	RUA	\N	G15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005338	005337	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
4261	TRAV.DO TRILHO	003452	TRAVESSA	\N	G15	N-S	\N	\N	\N	\N	023646	TRAV. LÍVIO BARRETO	\N	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9585270	555376	9585220	555364	DIONÍSIO TORRES	\N	\N
4262	RUA BRIG. CORREIA DE MELO	000923	RUA	BRIGADEIRO	G15	N-S	3912/74	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIONÍSIO TORRES	\N	\N
4265	RUA ENG. SAMIR HILUY	004548	RUA	ENGENHEIRO	G16/G17	O-L	5537/81	\N	\N	\N	000485	RUA BATISTA DE OLIVEIRA	003234	AV. SEBASTIÃO DE ABREU	\N	\N	9585811	557460	9585725	557704	COCÓ	"C" RUA DO LOTEAMENTO CONSTRUTORA WALDIR DIOGO LTDA	Na Lei esta Rua se iniciaria na Rua N e terminaria na Rua Lígia Monte.
4270	TRAVESSA POTYGUARA	024194	TRAVESSA	\N	G16	\N	\N	\N	\N	\N	002931	RUA TERTULIANO POTYGUARA	000519	RUA BENI DE CARVALHO	\N	\N	9585920	556659	9585812	556631	COCÓ	\N	\N
4275	TRAV. FRANCISCO GONÇALVES	023147	TRAVESSA	\N	G16	N-S	\N	\N	\N	\N	001342	RUA PROFESSOR FRANCISCO GONÇALVES	001695	RUA ISRAEL BEZERRA	\N	005339	9585534	556502	9585419	556465	SÃO JOÃO DO TAUAPE	\N	\N
4324	AL. ELIANE LUCIA	001150	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585606	558750	9585479	559141	CIDADE 2000	\N	\N
4278	RUA SEBASTIÃO DE ABREU	005452	RUA	\N	G16/H16	N-S	5236/79	\N	\N	\N	000328	AV. PADRE ANTÔNIO TOMÁS	001963	RUA JOSÉ FERNANDES OLIVEIRA	\N	\N	9585911	557785	9584506	557435	COCÓ/EDSON QUEIROZ	\N	Na Lei, esta Rua tem início na Confluência da Av. Washington Soares com a Rua Raimundo Cela - Rua Milton Lavôr (Rua 03 do Loteamento citado).
4279	RUA JOÃO ADOLFO GURGEL	007691	RUA	\N	G16/G17	N-S	\N	\N	7181/85	\N	000328	AV. PADRE ANTÔNIO TOMÁS	004548	RUA ENG. SAMIR HILLUY	\N	\N	9585957	557643	9585781	557535	COCÓ	ANTIGA RUA P - JARDIM FORTALEZA	\N
4280	SD	040238	RUA	\N	G16	N-S	\N	\N	\N	\N	\N	RUA GAL. TERTULIANO POTIGUARA	\N	\N	RUA BENI CARVALHO	\N	\N	\N	\N	\N	ALDEOTA	\N	\N
4281	PARQUE ECOLÓGICO DO COCÓ	022946	PARQUE	\N	G16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ	\N	\N
4283	RUA VEREADOR PAULO MAMEDE	006680	RUA	VEREADOR	G17	N-S	5453/81	\N	\N	\N	000328	AV. PADRE ANTÔNIO TOMÁS	\N	PARQUE DO COCÓ	\N	\N	9585930	557725	9585717	557592	COCÓ	\N	\N
4289	RUA CORONEL NOGUEIRA PAES	002570	RUA	CORONEL	G17/G18	O-L	\N	\N	\N	\N	001295	AV DOS FLAMBOYANTS	\N	LAGOA DO GENGIBRE	\N	\N	9585815	558378	9585507	559344	COCÓ/CIDADE 2000/MANUEL DIAS BRANCO	\N	\N
4292	RUA ZAMENHOF	003704	RUA	\N	F17/G17	N-S	\N	\N	\N	\N	002119	RUA LAURO NOGUEIRA	000246	RUA ANDRADE FURTADO	\N	\N	9586521	558293	9585909	558097	PAPICU/COCÓ	\N	Na Lei esta Rua terminaria na Av. Pe. Antônio Tomás.
4293	RUA VASQUES FILHO	024524	RUA	\N	G17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ	\N	\N
4295	RUA S	024319	RUA	\N	G17	\N	7102/ 1992	\N	9540/1994	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ	\N	\N
4297	ALAMEDA DAS ANGÉLICAS	000254	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	\N	\N	9585783	558368	9585667	558742	CIDADE 2000	\N	\N
4298	ALAMEDA DAS AÇUCENAS	000033	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV. DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	\N	\N	9585758	558360	9585638	558732	CIDADE 2000	\N	\N
4573	RUA PASSO FUNDO	020696	RUA	\N	H05/H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4574	VILA MUTIRÃO	023911	VILA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4299	ALAMEDA DAS BEGONIAS	000498	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	\N	\N	9585733	558352	9585614	558724	CIDADE 2000	\N	\N
4300	ALAMEDA DAS BENEDITAS	000514	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	\N	\N	9585709	558344	9585589	558717	CIDADE 2000	\N	\N
4301	ALAMEDA DAS BOAS NOITES	000567	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	PASSEIO DAS GOIABEIRAS	\N	9585674	558366	9585566	558706	CIDADE 2000	\N	\N
4302	ALAMEDA DAS BONINAS	000581	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	PASSEIO DAS GOIABEIRAS	\N	9585649	558364	9585546	558684	CIDADE 2000	\N	\N
4303	ALAMEDA DOS BOGARIS	000570	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	PASSEIO DAS GOIABEIRAS	\N	9585625	558357	9585523	558676	CIDADE 2000	\N	\N
4304	ALAMEDA DAS BORBOLETAS	000584	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	PASSEIO DAS GOIABEIRAS	\N	9585602	558350	9585498	558668	CIDADE 2000	\N	\N
4305	ALAMEDA DAS CAMÉLIAS	000651	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	\N	\N	9585576	558342	9585473	558661	CIDADE 2000	\N	\N
4306	ALAMEDA DAS CECÍLIAS	000796	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	PASSEIO DAS GOIABEIRAS	\N	9585553	558333	9585450	558655	CIDADE 2000	\N	\N
4307	ALAMEDA DAS CHANANAS	000819	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	PASSEIO DAS GOIABEIRAS	\N	9585529	558322	9585423	558647	CIDADE 2000	\N	\N
4308	ALAMEDA DAS CRAVINAS	000953	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	000806	AV CENTRAL OESTE	PASSEIO DAS GOIABEIRAS	\N	9585510	558305	9585398	558639	CIDADE 2000	\N	\N
4309	ALAMEDA DOS CRAVOS	000954	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	001495	AV DAS GRAVIOLAS	\N	\N	9585403	558543	9585492	558274	CIDADE 2000	\N	\N
4310	ALAMEDA DOS CRISÂNTEMOS	000958	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	001495	AV DAS GRAVIOLAS	\N	\N	9585467	558265	9585383	558524	CIDADE 2000	\N	\N
4311	ALAMEDA DAS DÁLIAS	001003	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	001495	AV DAS GRAVIOLAS	\N	\N	9585419	558250	9585341	558487	CIDADE 2000	\N	\N
4312	ALAMEDA DAS EXTREMOSAS	001238	ALAMEDA	\N	G17	O-L	7412/1993	13/10/193	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	001495	AV DAS GRAVIOLAS	\N	\N	9585395	558242	9585319	558468	CIDADE 2000	\N	\N
4435	PRAÇA 31 DE MARÇO	004880	PRAÇA	\N	G19/G20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
11216	RUA D PASSARÉ)	020027	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
4313	ALAMEDA DOS GIRASSÓIS	001438	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	001495	AV DAS GRAVIOLAS	\N	\N	9585371	558234	9585299	558450	CIDADE 2000	\N	\N
4314	ALAMEDA DAS GRACIOLAS	001483	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	001495	AV DAS GRAVIOLAS	\N	\N	9585345	558226	9585278	558432	CIDADE 2000	\N	\N
4315	ALAMEDA DAS HORTÊNCIAS	001602	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	001495	AV DAS GRAVIOLAS	\N	\N	9585322	558219	9585257	558415	CIDADE 2000	\N	\N
4316	ALAMEDA DAS IRIS	001678	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	001495	AV DAS GRAVIOLAS	\N	\N	9585297	558211	9585236	558397	CIDADE 2000	\N	\N
4317	ALAMEDA DAS ONZE HORAS	002668	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	001495	AV DAS GRAVIOLAS	\N	\N	9585215	558379	9585272	558204	CIDADE 2000	\N	\N
4318	AVENIDA DAS GRAVIOLAS	001495	AVENIDA	\N	G17	N-S E O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000156	AV. DAS ACÁCIAS	000156	AV. DAS ACÁCIAS	\N	\N	9585190	558359	9585085	558684	CIDADE 2000	\N	AVENIDA  COM FORMA  DE  "U"
4319	RUA GISELDA CISNE	006566	RUA	\N	G17	O-L	5619/1982	\N	\N	\N	001495	AV DAS GRAVIOLAS (OESTE)	001495	AV DAS GRAVIOLAS (LESTE)	\N	\N	9585312	558462	9585230	558706	CIDADE 2000	\N	Na Lei esta Rua terminaria da grande Praça Central
4320	BECO SOLON DE CARVALHO	024421	BECO	\N	G17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE 2000	\N	\N
4321	AVENIDA CENTRAL OESTE	000806	AVENIDA	\N	G17	N-S	7412/1993	13/10/1993	9507/1994	14/10/1994	002570	RUA CORONEL NOGUEIRA PAES	001495	AV DAS GRAVIOLAS	ALAMEDA DAS ANGÉLICAS	\N	9585667	558742	9585398	558639	CIDADE 2000	\N	\N
4322	AVENIDA CENTRAL LESTE	000805	AVENIDA	\N	G17	N-S	7412/1993	13/10/1993	9507/1994	14/10/1994	002570	RUA CORONEL NOGUEIRA PAES	001495	AV DAS GRAVIOLAS	ALAMEDA AMÁLIA MARIA	\N	9585659	558768	9585381	558695	CIDADE 2000	\N	\N
4323	AL. ANA ELISA	000229	ALAMEDA	\N	G17/ G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585629	558758	9585504	559148	CIDADE 2000	\N	\N
4505	RUA 1107	007259	RUA	\N	H04 /I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4326	AL. MARIA DA GLÓRIA	002337	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000645	PASSEIO DOS CAJUEIROS	\N	AV DAS CASTANHOLEIRAS	9585556	558736	9585442	559088	CIDADE 2000	\N	\N
4327	AL. MARIA TEREZA	002350	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000645	PASSEIO DOS CAJUEIROS	\N	AV DAS CASTANHOLEIRAS	9585528	558741	9585420	559073	CIDADE 2000	\N	\N
4328	AL. NADJA	002527	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000645	PASSEIO DOS CAJUEIROS	\N	AV DAS CASTANHOLEIRAS	9585502	558736	9585397	559063	CIDADE 2000	\N	\N
4330	AL. SANDRA MARA	003208	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585452	558721	9585348	559049	CIDADE 2000	\N	Na Lei este logradouro chama-se Alameda Sandra.
4331	ALAMEDA TELMA	003358	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000645	PASSEIO DOS CAJUEIROS	\N	AV DAS CASTANHOLEIRAS	9585428	558713	9585323	559043	CIDADE 2000	\N	\N
4332	ALAMEDA DAS VIOLETAS	003655	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000645	PASSEIO DOS CAJUEIROS	\N	AV DAS CASTANHOLEIRAS	9585406	558704	9585299	559038	CIDADE 2000	\N	\N
4333	ALAMEDA DAS VERBENAS	003555	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000645	PASSEIO DOS CAJUEIROS	\N	AV DAS CASTANHOLEIRAS	9585381	558695	9585269	559044	CIDADE 2000	\N	\N
4575	TRAV. DAS MUDANÇAS	023905	TRAVESSA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4334	ALAMEDA DAS TULIPAS	003485	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001495	AV DAS GRAVIOLAS	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585341	558731	9585236	559064	CIDADE 2000	\N	\N
4335	ALAMEDA DAS ROSAS	003147	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001495	AV DAS GRAVIOLAS	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585317	558726	9585212	559056	CIDADE 2000	\N	\N
4337	ALAMEDA DAS PACAVIRAS	002716	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001495	AV DAS GRAVIOLAS	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585267	558714	9585164	559040	CIDADE 2000	\N	\N
4338	ALAMEDA DAS ORQUÍDEAS	002678	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001495	AV DAS GRAVIOLAS	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585243	558709	9585139	559032	CIDADE 2000	\N	\N
4339	ALAMEDA DAS NOVE HORAS	002606	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001495	AV DAS GRAVIOLAS	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585216	558703	9585115	559024	CIDADE 2000	\N	\N
4340	ALAMEDA DAS MIOSÓTIS	002456	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001495	AV DAS GRAVIOLAS	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585192	558699	9585091	559016	CIDADE 2000	\N	\N
4341	ALAMEDA DAS MARGARIDAS	002330	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001495	AV DAS GRAVIOLAS	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585165	558695	9585067	559008	CIDADE 2000	\N	\N
4342	ALAMEDA DOS LIRIOS	002178	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001495	AV DAS GRAVIOLAS	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585142	558692	9585042	559000	CIDADE 2000	\N	\N
4343	ALAMEDA DOS JASMINS	001763	ALAMEDA	\N	G17/G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001495	AV DAS GRAVIOLAS	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585114	558688	9585018	558992	CIDADE 2000	\N	\N
4345	RUA F	023029	RUA	\N	G17	O-L	\N	\N	\N	\N	004558	RUA NAPOLEÃO VIANA	004557	RUA  JORNALISTA NERTAM MACEDO	\N	\N	9585741	558279	9585758	558215	COCÓ	\N	\N
4346	RUA H	020311	RUA	\N	G17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ	\N	\N
4347	TRAV. MARIA  ISABEL	023792	TRAVESSA	\N	G17	O-L	\N	\N	\N	\N	004558	RUA NAPOLEÃO VIANA	001295	AV. DOS FLAMBOYANTS	\N	\N	9585651	558251	9585630	558318	COCÓ	\N	\N
4350	RUA JORNALISTA NERTAN MACEDO	004557	RUA	JORNALISTA	G17	N-S	6797/90	\N	8833/92	\N	000328	AV. PADRE ANTÔNIO TOMÁS	000325	AV. ANTÔNIO SALES	\N	\N	9585846	558244	9585285	558065	COCÓ	\N	Na Lei esta Rua terminaria na Rua Andrade Furtado.
4351	RUA NAPOLEÃO VIANA	004558	RUA	\N	G17	N-S	7344/93	17/05/1993	\N	\N	000246	RUA ANDRADE FURTADO	000325	AV. ANTÔNIO SALES	\N	\N	9585840	558311	9585263	558126	COCÓ	\N	\N
4355	SD	040239	RUA	\N	G17	O-L	\N	\N	\N	\N	\N	AV. SEBASTIÃO DE ABREU	\N	\N	RUA S	\N	\N	\N	\N	\N	COCÓ	\N	\N
4356	RUA SOLON DE CARVALHO	007304	RUA	\N	G17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE 2000	\N	\N
4357	ALAMEDA DAS CRISADÁLIAS	000957	ALAMEDA	\N	G17	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001295	AV DOS FLAMBOYANTS	001495	AV DAS GRAVIOLAS	\N	\N	9585442	558257	9585362	558505	CIDADE 2000	\N	\N
4358	PRAÇA MARTINS DOURADO	023825	PRAÇA	\N	G17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ	\N	\N
4367	RUA DR.FRANCISCO MATOS	001347	RUA	DOUTOR	G18	N-S	2894/65	\N	\N	\N	002119	RUA LAURO NOGUEIRA	002570	RUA CEL. NOGUEIRA PAES	\N	\N	9586289	559005	9585673	558812	COCÓ/PAPICU	\N	Na Lei esta Rua terminaria na Av. Pe. Antônio Tomás.
4368	PRAÇA DOS PINHEIROS	024164	PRAÇA	\N	G18	\N	7412/1993	13/10/1993	9507/1994	14/10/1994	\N	RUA CORONEL NOGUEIRA PAES / AV CENTRAL LESTE	\N	\N	\N	\N	9585675	558769	\N	\N	CIDADE 2000	\N	\N
4369	PRAÇA OFICINA DO SENHOR	024007	PRAÇA	\N	G18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ	\N	\N
4370	PRAÇA FRANCISCO RODRIGUES SANCHO	023151	PRAÇA	\N	G18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ	\N	\N
4371	PRAÇA DA MAÇONARIA	023718	PRAÇA	\N	G18	\N	\N	\N	\N	\N	\N	PASSEIO DOS CAJUEIROS/AV DAS CASTANHOLEIRAS	\N	\N	\N	\N	9585362	559077	\N	\N	CIDADE 2000	\N	\N
4372	ALAMEDA SOARES DUTRA	020308	ALAMEDA	\N	G18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DE LOURDES	\N	\N
4374	TRAVESSA GILBERTO STUDART	023209	TRAVESSA	\N	G18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCÓ	\N	\N
4376	TRAV. M. DAS FLORES	023705	TRAVESSA	\N	G18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
4377	TRAV. B. DE ALBUQUERQUE	022531	TRAVESSA	\N	G18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
4378	RUA 20	007575	RUA	\N	G18/H18	N-S	\N	\N	\N	\N	003221	AV. SANTOS DUMONT	003621	RUA VILEBALDO AGUIAR	\N	\N	9585849	559484	9585757	559456	MANUEL DIAS BRANCO	\N	\N
4379	RUA 19	007574	RUA	\N	G18	N-S	\N	\N	\N	\N	003221	AV. SANTOS DUMONT	\N	\N	TRAV. M. DAS FLORES	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
4380	VIA 5	007581	VIA	\N	G18-H18	O-L	\N	\N	\N	\N	007573	RUA DEZOITO	007572	RUA DEZESETE	\N	\N	9585671	559661	9585635	559770	MANUEL DIAS BRANCO	\N	\N
4381	RUA 17	007572	RUA	\N	G18	N-S	\N	\N	\N	\N	003221	AV. SANTOS DUMONT	007581	RUA CINCO	\N	\N	9585744	559805	9585635	559770	MANUEL DIAS BRANCO	\N	\N
4382	RUA DEZOITO	007573	RUA	\N	G18	N-S	\N	\N	\N	\N	003221	AV. SANTOS DUMONT	007581	RUA CINCO	\N	\N	9585781	559694	9585671	559661	MANUEL DIAS BRANCO	\N	\N
4384	RUA 1	009185	RUA	PROFESSOR	G18 -19	O-L	7980/1995	19/09/1995	10079/97	20/05/1997	040935	RUA SÉRVULO MENDES BARROSO	020984	RUA TAMARAS	\N	\N	559754	9585180	560189	9585042	MANUEL DIAS BRANCO	VIA LOCAL 01 - LOT ALTO DA ALDEOTA - GLEBA 6S)	\N
4385	RUA 6	020985	RUA	\N	G18/G19	\N	\N	\N	\N	\N	024696	RUA VEREADOR WILLIAM SÁ	\N	TERRENO	\N	\N	9585064	559827	9585003	560017	MANUEL DIAS BRANCO	VIA LOCAL 27 DO LOTEAMENTO ALTO DA ALDEOTA I	\N
4387	RUA ANDRÉ FURTADO	022428	RUA	\N	G18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
4388	RUA CLOVIS ROLIM	004874	RUA	\N	G18	L-O	6293/88	\N	\N	\N	003221	AV. SANTOS DUMONT	000328	AV PE. ANTÔNIO TOMÁS	\N	\N	9585711	559911	9585271	559772	MANUEL DIAS BRANCO	NÃO SERIA  A MESMA  RUA  NINITA  LEITÃO ???	CONSTA LEI 8335/1999 DE 26/10/1999-DOM 08/11/1999
4506	RUA 1165	007289	RUA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4389	RUA MANUEL QUEIRÓS	002297	RUA	\N	G18	N-S	\N	\N	\N	\N	003221	AV. SANTOS DUMONT	002570	RUA CEL. NOGUEIRA PAES	\N	\N	9585922	559255	9585566	559154	COCÓ/MANUEL DIAS BRANCO	\N	Na Lei esta Rua se iniciaria na Av. Dolor Barreira e terminaria na Av. Pe. Antônio Tomás.
4392	ALAMEDA AMÁLIA MARIA	000196	ALAMEDA	\N	G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585659	558768	9585528	559156	CIDADE 2000	\N	\N
4395	ALAMEDA MARIA DORALICE	002341	ALAMEDA	\N	G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000756	PASSEIO DOS CAJUEIROS	\N	AV DAS CASTANHOLEIRAS	9585580	558742	9585456	559133	CIDADE 2000	\N	\N
4399	ALAMEDA ROSA MARIA	003143	ALAMEDA	\N	G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	000805	AV CENTRAL LESTE	000645	PASSEIO DOS CAJUEIROS	\N	AV DAS CASTANHOLEIRAS	9585478	558729	9585373	559055	CIDADE 2000	\N	\N
4406	ALAMEDA DAS PAPOULAS	002740	ALAMEDA	\N	G18	O-L	7412/1993	13/10/1993	9507/1994	14/10/1994	001495	AV DAS GRAVIOLAS	000756	AV DAS CASTANHOLEIRAS	\N	\N	9585293	558721	9585188	559048	CIDADE 2000	\N	\N
4414	AVENIDA DAS ADENANTERAS	000156	AVENIDA	\N	G -17-18	O-L	7412/1993	13/09/1993	9507/1994	14/10/1994	001295	AV. DOS FLAMBOYANTS	000756	AV. DAS CASTANHOLEIRAS	\N	\N	558196	9585244	558982	9584989	COCÓ/CIDADE 2000	ADENANTERAS, DAS	\N
4576	RUA PORTO DAS ROSAS	020697	RUA	\N	H05/H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4578	VILA NOVA	023982	VILA	\N	H05/E11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ/PARQUE ARAXÁ	\N	\N
4415	RUA DAS CASTANHOLEIRAS	000756	AVENIDA	\N	G18	N-S	7412/1993	13/10/1993	9507/1994	14/10/1994	002570	RUA CORONEL NOGUEIRA PAES	000156	AV. DAS ACÁCIAS	\N	\N	9585563	559166	9584987	558980	CIDADE 2000/MANUEL DIAS BRANCO	\N	\N
4416	TRAVESSA P	024043	TRAVESSA	\N	G18	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	003221	AV. SANTOS DUMONT	\N	\N	9585918	559891	9585744	559808	DE LOURDES	\N	\N
4418	RUA MAL. MASCARENHAS DE MORAIS	020307	RUA	MARECHAL	G18	N-S	6005/1985	29/10/1985	7230	28/11/85	004161	RUA PAULO MENDES	004159	RUA JÚLIO SILVA	\N	\N	9585979	559904	9585761	560011	DE LOURDES	“N” RUA do Loteamento Outeiro, João Batista Mascarenhas de Morais	\N
4419	RUA DOS CAJUEIROS	000645	PASSEIO	\N	G18	N-S	7412/1993	13/10/1993	9507/1994	14/10/1994	\N	AV DAS CASTANHOLEIRAS / ALAMEDA  MARIA DORALICE	\N	AV DAS CASTANHOLEIRAS/  ALAMEDA  DAS TULIPAS	\N	\N	9585456	559133	9585236	559064	CIDADE 2000	\N	\N
4420	SD	040241	RUA	\N	G18	N-S	\N	\N	\N	\N	\N	AV. PE. ANTÔNIO TÓMAS	\N	\N	ENCONTRO DAS VIAS 4 E 21 (DUNAS)	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
4422	RUA CEL. FCO CRUZ	004875	RUA	CORONEL	G18/G19	N-S	\N	\N	\N	\N	003221	AV. SANTOS DUMONT	000328	AV PE. ANTÔNIO TOMÁS	\N	\N	9585641	560128	9585202	559988	MANUEL DIAS BRANCO	\N	\N
4423	SD	040242	RUA	\N	G18/G19	O-L	\N	\N	\N	\N	\N	SD (040241)	\N	\N	VIA 12	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
4424	SD	040243	RUA	\N	G18	N-S	\N	\N	\N	\N	\N	SD (040242)	\N	\N	RUA 6	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
4425	SD	040244	RUA	\N	G18	N-S	\N	\N	\N	\N	\N	AV. PE ANTÔNIO TÓMAS	\N	\N	SD (040242)	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
4427	RUA TÂMISA	004864	RUA	\N	G19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DE LOURDES	\N	\N
4436	RUA ANTÔNIO ATUALPA RODRIGUES	000278	RUA	\N	G19/ G20	O-L	4670/1976	14/04/76	\N	\N	004863	RUA PROF. FRANCISCA DE ALMEIDA	003709	AV. ZEZÉ DIOGO	\N	\N	9585193	560560	9585579	561356	MANUEL DIAS BRANCO / PRAIA DO FUTURO II	\N	Na Lei, esta Rua  termina na Av. Trajano de Medeiros.
4437	TRAV. GRITO DO IPIRANGA	021100	TRAVESSA	\N	G19	\N	\N	\N	\N	\N	022842	RUA ANTÔNIO BANDEIRA	\N	RUA IPAMERIM	\N	\N	9585393	561000	9585340	561151	PRAIA DO FUTURO II	\N	\N
4438	RUA CONDE DE IRAJÁ	023345	RUA	\N	G19/G20	O-L	6184/87	19/02/1987	10797/2000	19/06/2000	\N	AV. TRAJANO DE MEDEIROS	\N	AV. ZEZÉ DIOGO	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	IRAJÁ DE,  CONDE	ENTRE AS Q 251,202,148,149,93A,93,39 E 252,203,150,94A,94,40
4439	VIA 14	020984	VIA	\N	G19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
4440	RUA EDMUNDO FALCÃO	001127	RUA	\N	G19/G20	O-L	4740/76	\N	\N	\N	004863	RUA PROF. FRANCISCA DE ALMEIDA	003709	AV. ZEZÉ DIOGO	\N	\N	9585298	560509	9585685	561302	MANUEL DIAS BRANCO/PRAIA DO FUTURO II	B,      AV  -   LOT. VEREDA ATLÂNTICA	Na Lei, esta Rua tem início na Av. Trajano de Medeiros.
4441	RUA ANTÔNIO BANDEIRA	022842	RUA	\N	G19/H20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO I/PRAIA DO FUTURO II	\N	\N
4442	RUA IPALMERIM	021118	RUA	\N	G19/G20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
4444	RUA PROFESSORA FRANCISCA ALMEIDA DE SOUZA	004863	RUA	PROFESSORA	G19	N-S	6944/91	\N	8728/92	\N	004161	RUA PAULO MENDES	000328	AV PE. ANTÔNIO TOMÁS	\N	\N	9584994	560638	9586087	560129	DE LOURDES/MANUEL DIAS BRANCO	TAPAJÓS	\N
4446	RUA CEL. JOÃO ALENCAR	004158	RUA	CORONEL	G19/G20	O-L	4805/1976	06/12/1976	5215/78	\N	004863	RUA PROF. FRANCISCA DE ALMEIDA	003709	AV. ZEZÉ DIOGO	\N	\N	9585410	560454	9585791	561247	MANUEL DIAS BRANCO/PRAIA DO FUTURO II	ALMEIDA JÚNIOR	Na Lei, esta Rua  termina na Av. Trajano de Medeiros.
4450	AVENIDA DIOGUINHO	001058	AVENIDA	\N	G19/G20	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
4455	SD	040245	RUA	\N	G19	N-S	\N	\N	\N	\N	\N	RUA ANTÔNIO ATUALPA/SD (040245)	\N	\N	RUA IPALMIRIM	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
4465	RUA FCO. MOREIRA	001352	RUA	\N	G19	O-L	4737/1976	\N	\N	\N	003221	AV. SANTOS DUMONT	003709	AV. ZEZÉ DIOGO	\N	\N	9585605	560240	9586030	561107	DE LOURDES/PRAIA DO FUTURO I	\N	\N
4469	RUA GRITO DO IPIRANGA	004856	RUA	\N	G20	O-L	4675/1976	30/04/1976	7577/1987	\N	\N	AV TRAJANO DE MEDEIROS	003709	AV. ZEZÉ DIOGO	\N	\N	9585345	561175	9585470	561410	PRAIA DO FUTURO II	GRITO DO IPIRANGA	\N
4471	RUA JOSÉ SALUSTIANO DE AGUIAR	004854	RUA	\N	G20	O-L	5509/81	24/11/1981	6497/1983	\N	001058	AV. TRAJANO DE MEDEIROS	003709	AV. ZEZÉ DIOGO	\N	\N	9585191	561405	9585248	561518	PRAIA DO FUTURO II	LOT. PRAIA ANTº DIOGO	Na Lei, esta Rua se inicia  na Av. Trajano de Medeiros.
4472	RUA PROFESSOR M. CARNEIRO	021093	RUA	PROFESSOR	G20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
4478	RUA WALDEMIR ROSA	024599	RUA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4482	AVENIDA J	007255	AVENIDA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4485	RUA 1139	007275	RUA	\N	H04/H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4486	RUA 1137	007274	RUA	\N	H04/H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4487	RUA 1135	007273	RUA	\N	H04/H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4488	RUA 1133	007272	RUA	\N	H04/H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4489	RUA 1131	007271	RUA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4490	RUA 1129	007270	RUA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4491	RUA 1127	007269	RUA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4492	RUA 1125	007268	RUA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4493	RUA 1123	007267	RUA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4494	RUA 1159	007286	RUA	\N	H04/H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4495	RUA 1119	007265	RUA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4496	RUA 1117	007264	RUA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4497	RUA 1121	007266	RUA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4500	RUA 1115	007263	RUA	\N	H04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4501	RUA 1113	007262	RUA	\N	H04/I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4502	RUA 1111	007261	RUA	\N	H04/I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4503	RUA 1109	007260	RUA	\N	H04/I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
4504	SD	040249	RUA	\N	H04	L-O	\N	\N	\N	\N	\N	RUA 1109	\N	\N	RUA 1111	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4510	SD	040247	RUA	\N	H04	N-S	\N	\N	\N	\N	\N	RUA 1135/RUA 1123	\N	\N	RUA 1159/RUA 1117	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4563	RUA VALDEMIR ROSA	020705	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4564	PRAÇA DEMOCRACIA	022097	PRAÇA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4565	RUA ALMIRANTE TAMANDARÉ	024442	RUA	ALMIRANTE	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4566	RUA CAZUZA FERREIRA	020706	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4567	RUA MENDES PIMENTEL	020707	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4568	RUA DELMIRO GOUVEIA	001016	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4569	RUA RIO VERDE	006179	RUA	\N	H05/N05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AV. SENADOR VIRGÍLIO TÁVORA	AVENIDA E	\N	\N	\N	\N	GENIBAÚ/CANINDEZINHO	\N	\N
4570	RUA GRADIENTE	020720	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4571	RUA TAILÂNDIA	020712	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4580	TRAV. TRÊS PANTERAS	024481	TRAVESSA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4585	RUA NOSSA SENHORA APARECIDA	023955	RUA	\N	H05/H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4586	SD	040265	RUA	\N	H05	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA ALVES BATISTA	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4587	VILA SÃO BENTO	000529	VILA	SÃO	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4588	V. FLORIANÓPOLIS	023097	VILA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4590	SD	040266	RUA	\N	H05	L-O	\N	\N	\N	\N	\N	SD (040252)	\N	\N	CAMPO DE FUTEBOL	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4591	TRAV.HILDETH	023288	TRAVESSA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4592	RUA CARDEAL ARCOVERDE	000369	RUA	CARDEAL	H05	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4593	RUA DAMASCO	020718	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4594	TRAV.MESQUITA	020719	TRAVESSA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4595	RUA POLAR	020695	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4596	RUA SETE BARRA	020716	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4597	RUA POPULAR	020694	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4598	RUA CAMPO VERDE	020693	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4599	RUA BARRA VERDE	009761	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4600	TRAVESSA VIRGÍLIO TÁVORA	020710	TRAVESSA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4608	RUA 1139 A	007276	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4609	RUA 1141	007277	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4610	RUA 1143	007278	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4611	RUA 1145	007279	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4614	RUA 1147	007280	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4620	AVENIDA E	004301	AVENIDA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4621	RUA 416	004304	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4622	RUA 414	004368	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4623	RUA 412	004369	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4624	RUA 418	004302	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4625	RUA 420	004303	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4626	RUA 422	004311	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4628	RUA BARRA DO TURNO	020717	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4629	RUA 424	004310	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4630	RUA 426	004312	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4631	RUA 428	004313	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4632	SD	040252	RUA	\N	H05	N-S	\N	\N	\N	\N	\N	RUA 1143/RUA 1139	\N	\N	RUA 1147/RUA 1135	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4633	TRAV. 24 DE OUTUBRO	020711	TRAVESSA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4634	BECO ANASTÁCIO BRAGA	022420	BECO	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4635	TRAV. RENATA	024252	TRAVESSA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4636	RUA SANTA DÉLIA	022890	RUA	SANTA	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4638	VILA PATRÍCIA	024076	VILA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4639	TRAV. WAGNER TEIXEIRA	024595	TRAVESSA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4640	AVENIDA GENIBAÚ	008328	AVENIDA	\N	H05/H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4641	RUA HUMAITÁ	006217	RUA	\N	H05/H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4642	RUA LUIZ MARIANO	008327	RUA	\N	H05/H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4644	AVENIDA D	004315	AVENIDA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4645	RUA 30 DE MAIO	005821	RUA	\N	H05/H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4646	RUA 430	004314	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4647	RUA 432	004316	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4648	RUA 434	004329	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4649	RUA 448 F	004307	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4651	RUA 448 D	004308	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4652	RUA 448 C	004309	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4654	RUA 410	004371	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4655	RUA 408	004372	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4656	RUA 406	004370	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4657	RUA 404	004353	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4659	RUA 1149	007281	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4660	RUA 1151	007282	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4661	RUA 1153	007283	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4662	RUA 1155	007284	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4663	SD	040250	RUA	\N	H05	N-S	\N	\N	\N	\N	\N	AVENIDA F/RUA 1141	\N	\N	RUA 1141/RUA 1143	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4664	RUA 1157	007285	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4669	AVENIDA C	004220	AVENIDA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4670	RUA 402	004352	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4671	AVENIDA F	004319	AVENIDA	\N	H05/I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I / GENIBAÚ	\N	\N
4672	RUA 216	004354	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4673	RUA 214	004355	RUA	\N	H05/I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4674	SD	040263	RUA	\N	H05	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA 24 DE OUTUBRO	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4676	RUA 218	004341	RUA	\N	H05/I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4677	RUA 448 A	006191	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4678	RUA 446	004331	RUA	\N	H05/I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4679	RUA 448 B	004335	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4682	RUA 448 E	004306	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4684	SD	040264	RUA	\N	H05	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA JOSÉ MENDONÇA	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4685	SD	040262	RUA	\N	H05	L-O	\N	\N	\N	\N	\N	RUA NASTÁCIO BRAGA	\N	\N	RUA TAILÂNDIA	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4986	RUA TUCURI	021091	RUA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4686	SD	040254	RUA	\N	H05	L-O/N-S	\N	\N	\N	\N	\N	SD (040252)/RUA 1135	\N	\N	RUA 1139/RUA 1133	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4687	RUA 436	004328	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4688	RUA 440	004326	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4689	RUA 442	004325	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4690	RUA 444	004324	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4691	AVENIDA B	004221	AVENIDA	\N	H05/I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I/CONJ. CEARÁ II	\N	\N
4692	RUA 438	004327	RUA	\N	H05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4694	SD	040258	RUA	\N	H05	N-S	\N	\N	\N	\N	\N	AVENIDA F/RUA 416	\N	\N	RUA 208/RUA 414	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4696	SD	040256	RUA	\N	H05	N-S	\N	\N	\N	\N	\N	RUA 412/RUA 448 B	\N	\N	AVENIDA F/RUA 448 A	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4699	SD	040260	RUA	\N	H05	N-S	\N	\N	\N	\N	\N	RUA 448 E/RUA 442	\N	\N	RUA 448 D/RUA 446	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
4703	TRAV. PASSO FUNDO	020698	TRAVESSA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4706	B. FERNANDES TÁVORA	023077	BECO	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4709	RUA JOSÉ AUGUSTO	023521	RUA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4710	RUA VIRGÍLIO BRANDÃO	003656	RUA	\N	H06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4713	RUA RAIMUNDO RIBEIRO	003030	RUA	\N	H06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4718	VILA VIANA	024543	VILA	\N	H06/C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008778	000961	\N	\N	\N	\N	DOM LUSTOSA/CARLITO PAMPLONA	\N	\N
4719	VILA TEREZINHA	008466	VILA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
4721	RUA SÃO LUIS	002216	RUA	SÃO	H06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
4725	TRAV. CARANDI	022690	TRAVESSA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4726	RUA NOVO ORIENTE	023995	RUA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4728	TRAV. LAVRAS DO SUL	021602	TRAVESSA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4729	RUA GLÓRIA DE DOURADOS	021603	RUA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4730	TRAV.MICHELÂNGELO	021604	TRAVESSA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4731	RUA PORTO ALEGRE	002925	RUA	\N	H06/I07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES/JOÃO XXIII/HENRIQUE JORGE	\N	\N
4733	TRAV. S. JORGE	020684	TRAVESSA	SÃO	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4734	RUA SANTA TEREZINHA	021566	RUA	SANTA	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4737	B. RICARDO PONTES	024260	BECO	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAU	\N	\N
4739	RUA DAS PEDRINHAS	005075	RUA	\N	H06/K04	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA PORTO DAS ROSAS	AVENIDA I	\N	\N	\N	\N	GENIBAU/GRANJA LISBOA	\N	\N
4740	TRAV. DAS PEDRINHAS	024118	TRAVESSA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAU	\N	\N
4741	RUA STA. ADÉLIA	008329	RUA	SANTA	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAU	\N	\N
4743	RUA MOÇAMBIQUE	006209	RUA	\N	H06/I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4746	RUA 21 DE NOVEMBRO	022139	RUA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4747	TRAV. S. FCO.	003929	TRAVESSA	SÃO	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4748	TRAV. S. JOÃO	023427	TRAVESSA	SÃO	H06/G06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ/AUTRAN NUNES	\N	\N
4750	TRAV. A. RIBEIRO	022344	TRAVESSA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4751	TRAV. N. SRA. DE FÁTIMA	023971	TRAVESSA	\N	H06/N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ/PARQUE DOIS IRMÃOS	\N	\N
4752	TRAV. SÃO VICENTE	024550	TRAVESSA	SÃO	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4753	TRAV.SANTA RITA	024275	TRAVESSA	SANTA	H06/M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	023584	\N	\N	\N	\N	GENIBAÚ/CANINDEZINHO	\N	\N
4754	RUA SÃO DOMINGOS	022913	RUA	SÃO	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4755	RUA SÃO JOSÉ	023509	RUA	SÃO	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4756	TRAV. SÃO JOSÉ	023506	TRAVESSA	SÃO	D09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTE CASTELO	\N	\N
4757	TRAV. SÃO DOMINGOS	022915	TRAVESSA	SÃO	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4758	RUA NOVA JERUSALÉM	006856	RUA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4759	SD	040269	RUA	\N	H06	L-O	\N	\N	\N	\N	\N	RUA PROF. VIGIRA	\N	\N	RUA NOVO ORIENTE	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4760	RUA GOIÂNIA	001451	RUA	\N	H06/I08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES / HENRIQUE JORGE	\N	\N
4761	VILA TRÊS IRMÃOS	024480	VILA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4762	RUA SANTA FILOMENA	001837	RUA	SANTA	H06/H07	N-S	4614/75	05/12/1975	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE/DOM LUSTOSA	JOÃO PESSOA	LeI ESPECIFICA A RUA
4764	PRAÇA DOM BOSCO	022609	PRAÇA	DOM	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4766	RUA NSA. SRA. DAS GRAÇAS	023969	RUA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4767	RUA CIDADE RIO BRANCO	000840	RUA	\N	H06/I07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE/JOÃO XXIII	\N	\N
4768	TRAV. RIO BRANCO	024266	TRAVESSA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4769	RUA PAULO MOTA	021606	RUA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4770	TRAV. MICHELE	021599	TRAVESSA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4772	TRAV. SÃO TOMAS CAVALCANTE	024469	TRAVESSA	SÃO	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4773	RUA TERESINA	003380	RUA	\N	H06/I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4775	RUA CUIABÁ	000977	RUA	\N	H06/H07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4776	TRAV. STA. LÚCIA	023659	TRAVESSA	SANTA	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4777	TRAV. JACI	023396	TRAVESSA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4778	RUA SANTA LÚCIA	023658	RUA	SANTA	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4779	VILA OLÍMPIA DO GENIBAÚ	024016	VILA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4780	VILA POREROSA	024179	VILA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4781	TRAV. SANDRA	024334	TRAVESSA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4783	SD	040268	RUA	\N	H06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA SANTA GENIBAÚ	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4784	TRAV. TAPERUABA	024445	TRAVESSA	\N	H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
4785	SD	040267	RUA	\N	H06	L-O	\N	\N	\N	\N	\N	RUA TOMAS CAVALCANTE	\N	\N	MURO	\N	\N	\N	\N	\N	AUTRAN NUNES	\N	\N
4786	RUA BRIGADEIRO TORRES	003426	RUA	BRIGADEIRO	H07/I07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII/ HENRIQUE JORGE	\N	\N
4787	RUA DES. LUÍS PAULINO	002234	RUA	DESEMBARGADOR	H07/I07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
11781	RUA CASARIM	022712	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
4789	RUA TUPI	003487	RUA	\N	H07/H08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE/PICI	\N	\N
4790	TRAV.PACHECO	004621	TRAVESSA	\N	H07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4794	RUA FLORIANÓPOLIS	001307	RUA	\N	H07/I07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4796	RUA LUCIANO	023663	RUA	\N	H07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4797	RUA PROFESSOR EDGARD DE ARRUDA	002559	RUA	PROFESSOR	H07/H08	O-L	4711/76	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE / DOM LUSTOSA/JOQUEI CLUB	IRMÃ AGOSTINHA,   NITERÓI	 LEI  ESPECIFICA A RUA
4798	VILA ZILDA	020436	VILA	\N	H07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4799	VILA LEONIRA	020437	VILA	\N	H07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4800	VILA FRANCISCO.QUELY	023153	VILA	\N	H07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4801	RUA RENATO VIANA	008334	RUA	\N	H07/H08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE/JOQUEI CLUBE	\N	\N
4802	PRAÇA DOM LUSTOSA	023688	PRAÇA	DOM	H07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4803	RUA PROFESSOR HERIBALDO COSTA	003083	RUA	PROFESSOR	H07/I07	N-S	4711/76	11/06/1976	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII/ HENRIQUE JORGE	RIO DE JANEIRO	LEI ESPECIFICA  A  RUA
4804	VILA OLÍMPIA	024015	VILA	\N	H07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4805	VILA DES. PEDRO PAULO	002818	VILA	DESEMBARGADOR	H07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4806	VILA HOLANDA	023289	VILA	\N	H07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DOM LUSTOSA	\N	\N
4807	RUA PROFESSOR MIRAMAR DA PONTE	000511	RUA	PROFESSOR	H07/I07	N-S	4711/76	11/06/1976	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE/JOÃO XXIII	BELO HORIZONTE	LEI ESPECIFICA A RUA
4809	RUA LUCIANO QUEIRÓS	002209	RUA	\N	H07/J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE/JOÃO XXIII	\N	\N
4811	PRAÇA PAULO NEY	024095	PRAÇA	\N	H07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4812	RUA ANTÔNIO IVO	000308	RUA	\N	H07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4820	RUA NATAL	002536	RUA	\N	H07	N-S	1671/60	16/12/1960	\N	\N	\N	RUA CIDADE DE SÃO PAULO	\N	002926	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE / DOM LUSTOSA	\N	\N
4821	AV. SENADOR FERNANDES TÁVORA	001268	AVENIDA	SENADOR	H07	L-O	4455/74	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE / DOM LUSTOSA	\N	\N
4823	RUA CURITIBA	000985	RUA	\N	H07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE / DOM LUSTOSA	\N	\N
4824	SD	040270	RUA	\N	H07	L-O	\N	\N	\N	\N	\N	RUA PROF. MIRAMAR DA PONTE	\N	\N	RUA VITÓRIA	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4825	TRAV. SEN. FERNANDES TÁVORA	020414	TRAVESSA	SENADOR	H07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	BRASILIA tv (   conhecida tambem como	fornecida informação a COELCE  sobre esta denominação em dezembro de 2008
4828	RUA JOCKEY CLUB	001907	RUA	\N	H07/H08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE/JOQUEI CLUBE	\N	\N
4832	RUA SANTO AMARO	022838	RUA	SANTO	H08/G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE / PICI	\N	\N
4835	TRAV. LUCIANO QUEIRÓZ	023666	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
4836	TRAV. SERRA DOURADA	024395	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4837	RUA SERRA DOURADA	021218	RUA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4839	RUA PARANAPANEMA	001557	RUA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4844	RUA TABATINGA	024436	RUA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4846	RUA STO. ANTÔNIO	021225	RUA	SANTO	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4847	TRAV. LAURENTINA	021223	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4848	RUA PADRE GALVÃO	021213	RUA	PADRE	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4849	RUA SÃO BENEDITO	021211	RUA	SÃO	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4850	RUA SÃO GABRIEL	021231	RUA	SÃO	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4851	TRAV. JOÃO SALDANHA	023462	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4854	RUA ERNESTO PEDRO DOS SANTOS	001183	RUA	\N	H08/I08	\N	611/63	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUB	\N	\N
4855	RUA RIBEIRO LEITÃO	003073	RUA	\N	H08/I08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUB	\N	\N
4856	ESTRADA DO PICI	002865	ESTRADA	\N	H08/I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUB /HENRIQUE JORGE	\N	\N
4859	RUA GUARANI	001518	RUA	\N	H08/J07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUB/BONSUCESSO	\N	\N
4863	AVENIDA CARNEIRO DE MENDONÇA	000743	AVENIDA	\N	H08/I09	L-O	\N	\N	\N	\N	\N	\N	1836	AV. JOÃO PESSOA	\N	\N	\N	\N	\N	\N	JOQUEI CLUB / PICI/DEMOCRITO ROCHA/PARAN	DA LIBERDADE	\N
4864	RUA HILDA XAVANTE	023286	RUA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4865	VILA DAS FLORES	020368	VILA	\N	H08/I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
4866	RUA DIAMANTINA	001049	RUA	\N	H08/I08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUB	\N	\N
4870	RUA PAULO FRONTIM	002778	RUA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUB / DEMÓCRITO ROCHA	\N	\N
4871	RUA NETUNO	002553	RUA	\N	H08	N-S	1671/60	16/12/1960	\N	\N	003251	RUA SERGIPE	000743	AV. CARNEIRO DE MENDONÇA	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
4872	RUA SERGIPE	003251	RUA	\N	H08/H09	L-O	1671/60	16/12/1960	\N	\N	001945	AV. JOSÉ BASTOS	000743	AV. CARNEIRO DE MENDONÇA	\N	\N	9584017	548170	9584367	547362	DEMOCRITO ROCHA	RUA CARIOCA	Na Lei, essa Rua tem iníco na Av. Carneiro de Mendonça.
4873	BECO SERGIPE	024394	BECO	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
4874	RUA EDILSON GOMES	003953	RUA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4875	TRAV. E. GOMES I	021238	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4876	TRAV. E. GOMES II	022943	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4877	TRAV. CAPIABA	000688	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4878	TRAV. NICODEMOS	023942	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4879	RUA N. S. DA CONCEIÇÃO	023959	RUA	\N	H08/H06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI/GENIBAÚ	\N	\N
4880	RUA ESTRELA DO NORTE	023011	RUA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4881	RUA DOM GERÔNIMO	021239	RUA	DOM	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4882	TRAV. D. GERÔNIMO	021240	TRAVESSA	DOM	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4883	RUA 8 DE DEZEMBRO	022287	RUA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4885	RUA BRASÍLIA	009408	RUA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4887	RUA PARAÍBA	002750	RUA	\N	H08/H09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
4888	RUA RIO GRANDE DO NORTE	003085	RUA	\N	H08/H09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
4889	RUA CEARÁ	008738	RUA	\N	H08/H09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMÓCRITO ROCHA / PAN AMERICANO/COUTO FE	\N	\N
4890	TRAV. PARANÁ	020333	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMÓCRITO ROCHA / PAN AMERICANO	\N	\N
4891	RUA SANTA CATARINA	000776	RUA	SANTA	H08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMÓCRITO ROCHA / PAN AMERICANO	\N	\N
4892	RUA PARANÁ	002754	RUA	\N	H08/H09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMÓCRITO ROCHA / PAN AMERICANO	\N	\N
4897	BECO CEARÁ	022729	BECO	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4898	TRAV. GLACIAL	023211	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4899	TRAV. TIMOM	024465	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4900	TRAV. TIMBAÚBA	024464	TRAVESSA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4902	PRAÇA MAUÁ	023834	PRAÇA	\N	H08	\N	\N	\N	\N	\N	\N	RUA PARANÁ/TRAV. PARANÁ	\N	\N	\N	\N	9584849	547991	\N	\N	PANAMERICANO	\N	\N
4905	SD	040271	RUA	\N	H08	N-S	\N	\N	\N	\N	\N	RUA PERNAMBUCO	\N	\N	RUA ALAGOAS	\N	\N	\N	\N	\N	PICI	\N	\N
4906	RUA EX-COMBATENTE	005308	RUA	\N	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4907	SD	040272	RUA	\N	H08	N-S	\N	\N	\N	\N	\N	RUA PERNAMBUCO	\N	\N	RUA BRASÍLIA	\N	\N	\N	\N	\N	PICI	\N	\N
4908	RUA SÃO FELIX DO PICI	023072	RUA	SÃO	H08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PICI	\N	\N
4917	VILA SÃO DOMINGOS	022914	VILA	SÃO	H09	L-O	\N	\N	\N	\N	003086	RUA RIO GRANDE DO SIUL	\N	MURO	\N	\N	9584836	548219	9584818	548248	PANAMERICANO	\N	\N
4918	SD	040275	RUA	\N	H09	L-O	\N	\N	\N	\N	\N	VIA FÉRREA	\N	\N	MURO	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4920	TRAV. ACRE	000031	TRAVESSA	\N	H09	L-O	\N	\N	\N	\N	003077	RUA RIO BRANCO	000030	RUA ACRE	\N	\N	9584770	548646	9584811	548579	PANAMERICANO	\N	\N
4921	RUA ACRE	000030	RUA	\N	H09	N-S	1671/1960	16/12/1960	\N	\N	\N	CANAL	000792	RUA CEARÁ	\N	\N	9585036	548719	9584476	548364	PANAMERICANO	\N	Na lei a rua inicia-se na Rua dos Estados com término na Rua das Jandais.
4922	VILA GIOCONDA	023210	VILA	\N	H09	L-O	\N	\N	\N	\N	000030	RUA ACRE	\N	MURO	\N	\N	9584959	548672	9584979	548640	PANAMERICANO	\N	\N
4924	PRAÇA PIO X	024167	PRAÇA	\N	H09	\N	\N	\N	\N	\N	\N	RUA RIO BRANCO/RUA PARÁ	\N	\N	\N	\N	9584861	548660	\N	\N	PANAMERICANO	\N	\N
4926	TRAV.JOSÉ GUILHARDO	008580	TRAVESSA	\N	H09	N-S	\N	\N	\N	\N	000206	RUA AMAZONAS	\N	MURO	\N	\N	9584865	548876	9584773	548782	PANAMERICANO	\N	\N
4928	TRAV. PAPI JÚNIOR	005134	TRAVESSA	\N	H09	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	002739	RUA PAPI JUNIOR	\N	\N	9584919	548905	9584965	548861	BELA VISTA	\N	\N
4934	RUA 19 DE NOVEMBRO	004023	RUA	\N	H09	L-O	\N	\N	\N	\N	001340	TRAV. FRANCISCO FRANCO	002615	RUA CEL.NUNES DE MELO	\N	\N	9584819	548979	9584859	548940	BELA VISTA	\N	\N
4935	TRAV. 1º DE AGOSTO	022032	TRAVESSA	\N	H09	L-O	\N	\N	\N	\N	001340	TRAV. FRANCISCO FRANCO	002615	RUA CEL.NUNES DE MELO	\N	\N	9584836	548995	9584873	548960	BELA VISTA	\N	\N
4936	TRAV.C.GOMES	022342	TRAVESSA	\N	H09	N-S	\N	\N	\N	\N	\N	LOGRADOURO NÃO DEFINIDO	\N	TRAV. 1º DE AGOSTO	\N	\N	9584889	549016	9584853	548979	BELA VISTA	\N	\N
4941	TRAV. TABULEIRO	024437	TRAVESSA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4944	TRAV.MONTE VERDE	023892	TRAVESSA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4945	RUA GOIÁS	001452	RUA	\N	H09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAN AMERICANO / DEMOCRITOROCHA	\N	\N
4949	TRAV. GOIÁS	009735	TRAVESSA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
4951	RUA BELO HORIZONTE	004459	RUA	\N	H09/I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA/JOQUEI CLUBE	\N	\N
5319	RUA ELLERY BEZERRA	022973	RUA	\N	H16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES	\N	\N
4952	PRAÇA ABEL PINTO	022348	PRAÇA	\N	H09	\N	\N	\N	\N	\N	\N	RUA GOIÁS/RUA ALAGOAS	\N	\N	\N	\N	9584295	548016	\N	\N	DEMOCRITO ROCHA	\N	\N
4953	PRAÇA TIBIRIÇÁ	024459	PRAÇA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4954	TRAV.TIBIRIÇÁ	003056	TRAVESSA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4955	SD	040273	RUA	\N	H09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANAMERICANO	\N	\N
4956	SD	040274	RUA	\N	H09	N-S	\N	\N	\N	\N	\N	RUA TELES DE SOUSA	\N	\N	MURO	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4962	RUA AMAPÁ	000200	RUA	\N	H09	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
4963	RUA RODRIGUES DE ANDRADE	003118	RUA	\N	H09/I09	N-S	1671/60	16/12/1960	\N	\N	003308	RUA BARÃO DE SOBRAL	000743	CARNEIRO DE MENDONÇA	\N	\N	9584248	548585	9583874	548338	DEMOCRITO ROCHA	COPACABANA	\N
4964	RUAPEDRO MUNIZ	002816	RUA	\N	H09/I09	N-S	1671/60	16/12/1960	\N	\N	002750	RUA PARAÍBA	000743	AV. CARNEIRO DE MENDONÇA	\N	\N	9584073	548648	9583807	548489	DEMOCRITO ROCHA	CAJUÍ	\N
4965	RUA PE. ANTÔNIO VIEIRA	022459	RUA	PADRE	H09/ I09	N-S	1671/60	16/12/1960	\N	\N	000792	RUA CEARÁ	000743	AV. CARNEIRO DE MENDONÇA	\N	\N	9584258	548694	9583840	548411	DEMOCRITO ROCHA	\N	\N
4966	RUA CORREIA LIMA	000924	RUA	\N	H09 / I09	N-S	1671/60	16/12/1960	\N	\N	002750	RUA PARAÍBA	000743	AV. CARNEIRO DE MENDONÇA	\N	\N	9584020	548717	9583778	548559	DEMOCRITO ROCHA	AMANARÍ	\N
4967	TRAV. CORREIA LIMA	000413	TRAVESSA	\N	H09 / I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
4968	TRAV.ANDRADE	022423	TRAVESSA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
4969	TRAV. PE. ANTÔNIO VIEIRA	022459	TRAVESSA	PADRE	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
4970	RUAROMEU MARTINS	003130	RUA	\N	H09/I10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
4973	RUA MATOS VASCONCELLOS	002396	RUA	\N	H09/H10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES/ DEMOCRITO ROCHA/BEL VIS	\N	\N
4974	RUA 1º DE JULHO	002942	RUA	\N	H09	N-S	7494/93	\N	9365/94	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES/ DEMOCRITO ROCHA	\N	\N
4975	RUA BARÃO DE SOBRAL	003308	RUA	BARÃO	H09/I10	L-O	1671/60	16/12/1960	\N	\N	001945	AV. JOSÉ BASTOS	001458	AV. PROF. GOMES DE MATOS	\N	\N	9583507	549805	9584367	548397	DEMOCRITO ROCHA/MONTESE	\N	\N
4976	RUA OSCAR BEZERRA ARAÚJO	001946	RUA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4977	RUATEN. MOACIR MATOS	002469	RUA	TENENTE	H09/I10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
4978	TRAV. TAMOIO	003995	TRAVESSA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4979	RUA TIBIRIÇÁ	005263	RUA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4980	TRAV. SISAL	024408	TRAVESSA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4981	TRAV. GOIABEIRA	001446	TRAVESSA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4982	TRAV. TRIÂNGULO	024483	TRAVESSA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4983	RUA TABULEIRO DO NORTE	003340	RUA	\N	H09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4984	RUA GÂNDOLA	001475	RUA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4985	RUA CASTAN.	022715	RUA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4987	RUA TELES DE SOUSA	003357	RUA	\N	H09/H10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES/BELA VISTA	\N	\N
4988	PRAÇA COUTO FERNANDES	022815	PRAÇA	\N	H09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COUTO FERNANDES	\N	\N
4992	TRAV. FRANCISCO FRANCO	001340	TRAVESSA	\N	H09	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	002444	RUA MIGUEL GONÇALVES	\N	\N	9584965	549130	9584896	549060	BELA VISTA	\N	\N
4999	SD	040278	RUA	\N	H10	N-S	\N	\N	\N	\N	\N	RUA SÁTIRO DIAS	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	MONTESE	\N	\N
5000	TRAV.MATOS VASCONCELOS	002395	TRAVESSA	\N	H10	L-O	\N	\N	\N	\N	002396	RUA MATOS VASCONSELOS	001945	AV. JOSÉ BASTOS	\N	\N	9584759	549367	9584828	549295	BELA VISTA	\N	\N
5001	SD	040277	RUA	\N	H10	N-S	\N	\N	\N	\N	\N	RUA DES. PRAXEDES	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5005	BECO JÚLIO CÉSAR	023574	BECO	\N	H10	N-S	\N	\N	\N	\N	\N	MURO	\N	MURO	\N	\N	9584938	549964	9584881	549913	DAMAS	\N	\N
5006	TRAVESSA JÚLIO CÉSAR	003951	TRAVESSA	\N	H10	L-O	\N	\N	\N	\N	002059	RUA JULIO CÉSAR	\N	VEGETAÇÃO	\N	\N	9584778	550153	9584918	549923	DAMAS	\N	\N
5010	RUA PADRE MACEDO	002257	RUA	PADRE	H10/H11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5011	RUA AFRODÍSIO GONDIM	000065	RUA	\N	H10	L-O	1671/1960	16/12/1960	\N	\N	\N	AV. 14 DE JULHO	\N	(001945) AV. JOSÉ BASTOS	(008836) AV. PROF. GOMES DE MATOS	(008742) RUA JÚLIO CESAR	\N	\N	\N	\N	BOM FUTURO	\N	\N
5012	RUA DULCINÉIA GONDIM	001107	RUA	\N	H10/H11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO/PARREÃO	\N	\N
5013	TRAV.SANTA ROSA	003141	TRAVESSA	SANTA	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5014	RUA SÃO PORTEIRAS	003948	RUA	SÃO	H10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5016	RUA AQUIRÁS	000340	RUA	\N	H10/H11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5017	RUA MARCO	002321	RUA	\N	H10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5018	BECO DO MARCO	023773	BECO	\N	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5019	TRAV.SÃO JOSÉ	023502	TRAVESSA	SÃO	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DAMAS	\N	\N
5020	RUA CAMPOS NOVOS	007049	RUA	\N	H10	L-O	\N	\N	\N	\N	020263	RUA 3	002059	RUA JULIO CÉSAR	\N	\N	9584607	550013	9584755	549774	DAMAS	\N	Na cartografia a Rua 3 é classificada como Travessa São Pedro.
5021	RUA STA.EDWIRGES	022957	RUA	SANTA	H10	N-S	\N	\N	\N	\N	007049	RUA CAMPOS NOVOS	002936	RUA DESEMBARGADOR PRAXEDES	\N	\N	9584736	549805	9584674	549752	DAMAS	\N	\N
5022	TRAV.SÃO PEDRO	024124	TRAVESSA	SÃO	H10/O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DAMAS/MONDUBIM 2	\N	\N
5023	SD	040276	RUA	\N	H10	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA JOSÉ BASTOS	\N	\N	\N	\N	\N	DAMAS	\N	\N
5024	TRAV.DES.PRAXEDES	020663	TRAVESSA	DESEMBARGADOR	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO / MONTESE	\N	\N
5025	VILA BILAC	022597	VILA	\N	H10	L-O	\N	\N	\N	\N	001836	AV JOÃO PESSOA	001826	RUA JOÃO MELO	\N	\N	9584625	549481	9584679	549420	BELA VISTA	\N	\N
5027	TRAV. SÔNIA MARIA	003320	TRAVESSA	\N	H10	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	002396	RUA MATOS VASCONCELOS	\N	\N	9584742	549530	9584829	549434	BELA VISTA	\N	\N
5030	RUA SÃO GONÇALO DO AMARANTE	001468	RUA	SÃO	H10	N-S	1671/60	16/12/1960	\N	\N	\N	VEGETAÇÃO	000181	RUA ALVARO FERNANDES	\N	\N	9584578	549606	9584420	549475	MONTESE	\N	Na lei a via termina na Rua Guaraciba do Norte mas ela se estende por mais uma quadra tendo seu fim em uma vegetação.
5031	RUA GUARACIABA DO NORTE	001513	RUA	\N	H10	L-O	1671/60	16/12/1960	\N	\N	003170	RUA SENADOR SÁ	001468	RUA SÃO GONÇALO DO AMARANTE	\N	\N	9584478	549642	9584529	549566	MONTESE	\N	\N
5032	RUA SENADOR SÁ	003170	RUA	SENADOR	H10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5033	RUA VALDERY UCHÔA	003676	RUA	\N	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5035	RUA VASCO DA GAMA	003539	RUA	\N	H10/I11	L-O	1671/60	16/12/1960	\N	\N	001966	AV. JOSÉ DO PATROCINIO	003676	WALDERY UCHOA	\N	\N	9583909	550496	9584523	549722	MONTESE	\N	Na lei a via inicia-se na Av. 14 de Julho e termina na Rua Eusébio de  Queiroz.
5037	RUA RAUL UCHÔA	003043	RUA	\N	H10/H11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO/PARREÃO	\N	\N
5038	RUA EUSÉBIO DE QUEIRÓS	001228	RUA	\N	H10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE / BOM FUTURO	\N	\N
5039	VILA SÃO PAULO	004452	VILA	SÃO	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5041	RUA ALMIRANTE RUBIM	003158	RUA	ALMIRANTE	H10/J09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE/ITAOCA	\N	\N
5042	RUA SÁTIRO DIAS	003225	RUA	\N	H10/I11	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5043	BECO SÁTIRO DIAS	024348	BECO	\N	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5044	RUA EUGÊNIO GADELHA	001218	RUA	\N	H10	L-O	3953/71	\N	\N	\N	003225	RUA SÁTIRO DIAS	001813	RUA JOÃO FIRMINO	\N	\N	9584235	550239	9584354	549735	MONTESE	\N	Na lei a via termina na Rua Álvaro Fernandes.
5045	RUA BARÃO DE CANINDÉ	000682	RUA	BARÃO	H10/J09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE/ITAOCA	\N	\N
5046	AVENIDA PROFESSOR GOMES DE MATOS	008836	AVENIDA	PROFESSOR	H10/I10	N-S	3566/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	14 DE JULHO- lei 1671/60)	\N
5048	RUA EDUARDO ANGELIM	001131	RUA	\N	H10/I11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	VASCO DA GAMA (certidão do cartorio)	\N
5049	RUA ALFREDO DE CASTRO	000130	RUA	\N	H10   I10	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5050	RUA DR. ÁLVARO FERNANDES	000181	RUA	DOUTOR	H10 / I10	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE / BELA VISTA	\N	\N
5051	VILA MOURA	023903	VILA	\N	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5052	VILA LUCIANE	023662	VILA	\N	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5053	VILA DELES CARVALHO	022888	VILA	\N	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5054	VILA PINHEIRO	007489	VILA	\N	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5056	RUA ZACARIAS GONDIM	003703	RUA	\N	H10/J09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE/ITAOCA	\N	\N
5057	RUA CEL. ALEXANDRINO	000126	RUA	CORONEL	H10   I10	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5058	RUA IRMÃ BAZET	000492	RUA	IRMÃ	H10/I10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5059	RUA DESEMBARGADOR JOÃO FIRMINO	001813	RUA	DESEMBARGADOR	H10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5060	RUA ALAN KARDEC	000085	RUA	\N	H10	L-O	1671/1960	16/12/1960	\N	\N	\N	001688	\N	001813	\N	\N	\N	\N	\N	\N	MONTESE	\N	Obs - transcrição 22.282 CRI 2ª Zona datada de de 1960 - Avenida Mons. Lima
5063	RUA MANOEL GONÇALVES	023742	RUA	\N	H10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE / BELA VISTA	\N	\N
5064	SD	040279	RUA	\N	H10	L-O	\N	\N	\N	\N	\N	RUA MATOS VASCONCELOS	\N	\N	RUA JOSÉ BASTOS	\N	\N	\N	\N	\N	DAMAS	\N	\N
5065	SD	040280	RUA	\N	H11	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA QUEIROZ RIBEIRO	\N	\N	\N	\N	\N	PARREÃO	\N	\N
5066	SD	040281	RUA	\N	H11	L-O	\N	\N	\N	\N	\N	RUA JORGE DUMAR	\N	\N	RUA PE. JOÃO PIAMARTA	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
5067	SD	040282	RUA	\N	H11	L-O	\N	\N	\N	\N	\N	RUA CEL. AMÂNCIO CAVALCANTE	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
5071	TRAV. PROFº. COSTA MENDES	000942	TRAVESSA	PROFESSOR	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5073	RUA FELIPE CAMARÃO	023066	RUA	\N	H11/I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO/MONTESE	\N	\N
5075	RUA EUGENIA	001216	RUA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5076	RUA ALBERTO MAGNO	000099	RUA	\N	H11	N-S	1671/1960	16/12/1960	\N	\N	\N	001005	\N	VIA FÉRREA PARANGABA-MUCURIPE	001005	001147	\N	\N	\N	\N	BOM FUTURO	14 DE ABRIL; COSTA MENDES PROF, TRAV;  PRAXEDES DES, AVENIDA;	Transc. 27110 do CRI  2ª ZONA - AV  DES PRAXEDES PROC SEINF 10344/2008
5078	RUA PACATUBA	002715	RUA	\N	H11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREÃO	\N	\N
5079	RUA QUEIRÓS RIBEIRO	002975	RUA	\N	H11/I10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO/MONTESE	\N	\N
5080	RUA URUBURETAMA	003512	RUA	\N	H11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO	\N	\N
5081	AVENIDA JOSE DO PATROCINIO	001966	AVENIDA	\N	H11/I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5082	RUA EDUCADOR PADRE JOÃO PIAMARTA	007335	RUA	EDUCADOR PADRE	H11	N-S	4098/72	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO	\N	\N
5083	RUA JOAQUIM PIMENTA	001898	RUA	\N	H11/I11	N-S	2859/64	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5084	RUA CUNEGUNDES RODRIGUES	000906	RUA	\N	H11/I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO/MONTESE	\N	\N
5085	RUA PADRE GERMANO	001424	RUA	PADRE	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO	\N	\N
5087	RUA ANTÔNIO CORREIA LIMA	022448	RUA	\N	H11/I11	N-S	2660/1964	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO/MONTESE	\N	\N
5088	RUA FREI VICENTE SALVADOR	003596	RUA	FREI	H11/I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO/MONTESE	\N	\N
5089	RUA TOBIAS BARRETO	003405	RUA	\N	H11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO	\N	\N
5091	RUA TIANGUÁ	003386	RUA	\N	H11/I11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO/VILA UNIÃO	FRANCISCO PARREÃO (LOTEAMENTO DE TERRENOS DO SR. PERGENTINO FERREIRA	\N
5093	RUA C	000625	RUA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO	\N	\N
5094	RUA D	022872	RUA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO	\N	\N
5096	RUA ESPERANTO	001191	RUA	\N	H11/I11	N-S	2565/64	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO/VILA UNIÃO	\N	\N
5097	RUA SÃO MATEUS	002386	RUA	SÃO	H11/I11	N-S	2865/64	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO/VILA UNIÃO	\N	\N
5098	RUA PROFº. VICENTE SILVEIRA	003597	RUA	PROFESSOR	H11/I11	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO / VILA UNIÃO	\N	\N
5099	RUA VICENTE PADILHA	003591	RUA	\N	H11/I11	N-S	4414/74	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
5102	RUA BENJAMIN GIRÃO	022560	RUA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
5103	RUA DESEMBARGADOR PRAXERES	002936	RUA	DESEMBARGADOR	H11/I11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO / MONTESE/VILA UNIÃO	\N	\N
5104	RUA ARMANDO MONTEIRO	000386	RUA	\N	H11/ I12	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO/VILA UNIÃO	\N	\N
5105	TRAV. SÃO MATEUS	002428	TRAVESSA	SÃO	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO	\N	\N
5106	RUA PADRE AMBRÓSIO MACHADO	000208	RUA	PADRE	H11/ I12	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO/ VILA UNIÃO	\N	\N
5107	RUA SANTA LUZIA	023691	RUA	SANTA	C11	L-O	\N	\N	\N	\N	000051	RUA ADRIANO MARTINS	001724	RUA JACINTO MATOS	\N	\N	9589319	550507	9589323	550405	JACARECANGA	\N	\N
5108	RUA JOSE TEIXEIRA REGO	002026	RUA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO	\N	\N
5109	BECO SÃO MATEUS	023835	BECO	SÃO	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO	\N	\N
5110	RUA NERY NELSON	002550	RUA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREAO	\N	\N
5112	TRAV. QUEIRÓZ RIBEIRO	002976	TRAVESSA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREÃO	\N	\N
5114	VILA VESCOSA	003557	VILA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5115	TRAV. LIDECE	002160	TRAVESSA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5116	TRAV. SOLUNOPOLIS	003316	TRAVESSA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	\N
5117	RUA BELA FLOR	000502	RUA	\N	H11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREÃO	\N	\N
5118	VILA CARDOSO	003955	VILA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREÃO	\N	\N
5119	RUA SANTA QUITERIA	002990	RUA	SANTA	H11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREÃO	\N	\N
5120	RUA JULIO DA SILVEIRA	002073	RUA	\N	H11/H12	L-O	4563/75	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREÃO	24 DE JANEIRO,  TRECHO DA  RUA SAMUEL UCHOA	\N
5121	RUA CEL. AMÂNCIO CAVALCANTE	000197	RUA	CORONEL	H11/ H12	L-O	4450/1974	\N	5063/1978	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREÃO	\N	\N
5122	TRAV. CEL. AMÂNCIO CAVALCANTE	020330	TRAVESSA	CORONEL	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREÃO	\N	\N
5124	TRAV. SANTANA DO CARMO	024338	TRAVESSA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
5126	TRAV. ALBERTO MAGNO	000100	TRAVESSA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA / BOM FUTURO	\N	\N
5133	PRAÇA NOSA SENHORA DE NAZARE	023977	PRAÇA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM AMÉRICA	\N	\N
5135	RUA A	007328	RUA	\N	H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARREÃO	\N	\N
5138	SD	040283	RUA	\N	H12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	VIA FÉRREA	\N	\N	\N	\N	AEROPORTO	\N	\N
5140	TRAV. ARTUR DE CARVALHO	020487	TRAVESSA	\N	H12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
5142	RUA ABELARDO MARINHO	000015	RUA	\N	H12	L-O	\N	\N	\N	\N	\N	VIA FÉRREA PARANGABA-MUCURIPE (003565)	\N	\N	RUA ALBERTO MONTEZUMA (000101)	\N	\N	\N	\N	\N	VILA UNIÃO	COELHO. MIN (mat.71306 2ª Zona)	\N
5144	RUA FRANCISCO LORDA	001344	RUA	\N	H12	L-O	3047/65	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO / PARREÃO	\N	\N
5147	RUA VICENTE AGUIAR	003576	RUA	\N	H12/H13	N-S	\N	\N	\N	\N	003449	AV. 13 DE MAIO	000078	AV. AGUANAMBI	\N	\N	9585126	552881	9584933	552925	FÁTIMA	\N	\N
5148	RUA PROFº. GUILHON	004431	RUA	PROFESSOR	H12	L-O	4079/72	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5149	RUA SIGEFREDO PINHEIRO	007769	RUA	\N	H12	\N	\N	\N	\N	\N	004529	RUA SUZETE PINTO	001368	RUA FRANÇOIS TELES DE MENEZES	\N	\N	9584800	552801	9584782	552670	FÁTIMA	\N	\N
5150	RUA BARTOLOMEU DE GUSMÃO	000484	RUA	\N	H12/H13	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5590	RUA 1066	007239	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
13759	TRAVESSA MIRIAM	023880	TRAVESSA	\N	Q16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
5151	AVENIDA DOUTOR ALFREDO WEYNE	002817	AVENIDA	DOUTOR	H12	L-O	4904/1977	\N	\N	\N	002698	AV. DEP. OSVALDO STUDART	002207	AV. LUCIANO CARNEIRO	\N	\N	9584779	552112	9585015	551831	FÁTIMA	SITIO GAMELEIRA	\N
5155	TRAV. GUARARAPES	020632	TRAVESSA	\N	H12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5156	RUA FRANÇOIS TELES DE MENESES	001368	RUA	\N	H12	N-S	4556/75	\N	5542/80	\N	001135	AV. EDUARDO GIRÃO (Rua do Canal)	000484	RUA BARTOLOMEU DE GUSMÃO	\N	VIA FÉRREA PARANGABA MUCURIPE	9584648	552658	9584902	552673	FÁTIMA	QUÍSIO DE CARVALHO	\N
5157	RUA VALDEMAR PINHO	004528	RUA	\N	H12	N-S	5105/78	\N	\N	\N	007769	RUA SIGEFREDO PINHEIRO	000484	RUA BARTOLOMEU DE GUSMÃO	\N	VIA FÉRREA PARANGABA-MUCURIPE	9584789	552734	9584687	552740	FÁTIMA	\N	\N
5162	RUA SUZETE PINTO	004529	RUA	\N	H13	N-S	5321/80	\N	\N	\N	007769	RUA SIGEFREDO PINHEIRO	000484	RUA BARTOLOMEU DE GUSMÃO	\N	\N	9584800	552801	9584718	552808	FÁTIMA	\N	\N
5163	AV. AGUANAMBI	000078	AVENIDA	\N	H13	N-S	\N	\N	\N	\N	003526	RUA PADRE VALDEVINO	000588	AV. BORGES DE MELO	\N	\N	9586983	552897	9584324	552905	JOSÉ BONIFÁCIO/FÁTIMA	\N	\N
5165	TRAVESSA GALEÃO	001392	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5166	RUA CEL. JOÃO CARNEIRO	001794	RUA	CORONEL	H13	L-O	\N	\N	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	000596	BR 116	\N	\N	9584982	553314	9584943	552946	FÁTIMA	\N	\N
5167	RUA VICENTE BRAGA	003579	RUA	\N	H13/J08	O-L	\N	\N	\N	\N	\N	BR 116	003079	AV. VISCONDE DO RIO BRANCO	\N	\N	9584858	553071	9584908	553328	FÁTIMA	\N	\N
5168	RD BR-116	007189	RODOVIA	\N	H13	N-S	LFED.11363/2006	23/10/2006	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO/ALTO DA BALANCA	\N	\N
5170	SD	040287	RUA	\N	H13	O-L	\N	\N	\N	\N	\N	\N	\N	\N	RUA FREI VIDAL	TERRENO	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5171	SD	040288	RUA	\N	H13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	RUA TIBÚRCIO FROTA	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5172	TRAVESSA CAROLINA	022708	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5173	TRAVESSA IRIS	023347	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5174	TRAVESSA MARAVILHOSA	023766	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5175	TRAVESSA SANTA CRUZ	022824	TRAVESSA	SANTA	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5176	TRAVESSA AFONSO	000056	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5178	AVENIDA VISCONDE DO RIO BRANCO	003079	AVENIDA	VISCONDE	H13	N-S	1671/1960	16/12/1960	\N	\N	002820	RUA PEDRO PEREIRA	003449	AV. 13 DE MAIO	\N	BR-116	9587654	552761	9584573	55340	CENTRO/J.BONIFÁCIO/J.TÁVORA/FÁTIMA/SÃO JOÃO DO TAUAPE	\N	\N
5179	TRAVESSA A (CONJ. MARAVILHA)	022313	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5180	TRAVESSA B (CONJ. MARAVILHA)	022514	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5181	TRAVESSA C (CONJ. MARAVILHA)	022635	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5182	TRAVESSA D (CONJ. MARAVILHA)	022857	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5183	TRAV. E (CONJ. MARAVILHA)	022935	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5184	TRAVESSA F (CONJ. MARAVILHA)	023034	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5185	TRAVESSA G (CONJ. MARAVILHA)	023170	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5186	TRAVESSA GRAVATAÍ	001494	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5188	RUA CUMBICA	020625	RUA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
5190	RUA BARROS LEAL	000479	RUA	\N	H13	N-S	1671/60	16/12/1960	\N	\N	002916	AV. PONTES VIEIRA	003394	RUA TIBÚRCIO RODRIGUES	\N	\N	9585154	553407	9584569	553513	SÃO JOÃO DO TAUAPE	MIGUEL LEITE E J. P. BARROS LEAL	 TAUAPE, CONFORME MAT. 46.352 -  CRI 1ª ZONA
5191	VILA SÃO PEDRO	002794	VILA	SÃO	H13	N-S	\N	\N	\N	\N	003188	RUA MONSENHOR SALAZAR	002777	RUA PAULO FIRMEZA	\N	\N	9584798	553418	9584683	553428	SÃO JOÃO DO TAUAPE	\N	\N
5192	VILA SÃO FRANCISCO	003722	VILA	SÃO	H13	O-L	\N	\N	\N	\N	000479	RUA BARROS LEAL	\N	EDIFICAÇÃO	\N	\N	9584726	553491	9584734	553550	SÃO JOÃO DO TAUAPE/AUTRAN NUNES	\N	\N
5193	SD	040284	RUA	\N	H13	O-L	\N	\N	\N	\N	\N	\N	\N	\N	003079	003604	\N	\N	\N	\N	FÁTIMA	\N	\N
5194	RUA TIBÚRCIO RODRIGUES	003394	RUA	\N	H13	O-L	1671/60	16/12/1960	\N	\N	\N	BR 116	001539	RUA CAPITÃO GUSTAVO	RUA SD	\N	9584559	553438	9584594	553774	SÃO JOÃO DO TAUAPE	SÃO JOÃO TRAV	\N
5195	SD	040285	RUA	\N	H13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	LINHA VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	\N	\N	FÁTIMA	\N	\N
5196	RUA HUMBERTO DE CAMPOS	001613	RUA	\N	H13/H14	O-L	\N	\N	\N	\N	001539	RUA CAPITÃO GUSTAVO	002693	RUA OSVALDO CRUZ	\N	\N	553708	9584902	9584994	554833	SÃO JOÃO DO TAUAPE	\N	\N
5197	VILA VIDAL	003603	VILA	\N	H13	O-L	\N	\N	\N	\N	001539	RUA CAPITÃO GUSTAVO	003608	RUA FISCAL VIEIRA	\N	\N	9584860	553717	9584873	553841	SÃO JOÃO DO TAUAPE	\N	\N
5198	RUA MONSENHOR SALAZAR	003188	RUA	MONSENHOR	H13	O-L	1671/60	16/12/1960	\N	\N	\N	BR 116 (BR 13)	003563	VIA FÉRREA PARANGABA-MUCURIPE	\N	PRÓXIMA AO RIO COCÓ	9584789	553160	9584867	555342	SÃO JOÃO DO TAUAPE/FÁTIMA	\N	\N
5199	RUA PAULO FIRMEZA	002777	RUA	\N	H13	O-L	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	008921	AV. DR. RAUL BARBOSA	\N	\N	9584685	553372	9584818	555055	SÃO JOÃO DO TAUAPE	PRIMÁRIA	\N
5201	RUA CARVALHO JÚNIOR	000748	RUA	\N	H13	O-L	1671/60	16/12/1960	\N	\N	\N	INÍCIO DE LOTEAMENTO	008921	AV. DOUTOR RAUL BARBOSA	RUA CAPITÃO GUSTAVO	\N	9584526	553694	9584647	555050	SÃO JOÃO DO TAUAPE	BENTO COLARES	\N
5202	RUA FREI VIDAL	003604	RUA	FREI	H13	N-S	1671/1960	16/12/1960	\N	\N	003321	RUA SORIANO ALBUQUERQUE	003394	RUA TIBÚRCIO RODRIGUES	AV. PONTES VIEIRA (002916)	RUA SD (040284)	9585169	553532	9584495	553620	SÃO JOÃO DO TAUAPE	da Paz, Rua  (transcrição 8095 e 38614  CRI 1ª Zona)	O Trecho que vai da Rua Tibúrcio Rodrigues até a Rua Sd não é oficial.
5203	SD	040286	RUA	\N	H13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA PAULO FIRMEZA	RUA FREI VIDAL	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5205	TRAVESSA PIRAPORA	004086	TRAVESSA	\N	H13	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO	004085	TRAVESSA ZENIR	RUA DO CANAL	\N	9584349	553684	9584324	553782	SÃO JOÃO DO TAUAPE	\N	\N
5206	TRAVESSA ZENIR	004085	TRAVESSA	\N	H13	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	001063	RUA DO CANAL	\N	\N	9584374	553793	9584265	553775	SÃO JOÃO DO TAUAPE	\N	\N
5207	RUA DO CANAL	001063	RUA	\N	H13	L-O	1671/60	16/12/1960	\N	\N	\N	002207	\N	001945	003563	008921	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5208	VILA NOVA	004075	VILA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
5209	RUA CAPITÃO OLAVO	002637	RUA	CAPITÃO	H13/J14	N-S	1671/60	16/12/1960	\N	\N	003326	RUA SOUSA PINTO	001464	RUA CEL. GONÇALO	\N	\N	9584175	553735	9582871	553959	ALTO DA BALANCA/AEROLANDIA	\N	Parece haver um prolongamento desta Rua em "S" além da Rua cel. Gonçalo por 3 Quarteirões.
5210	RUA CAPITÃO VASCONCELOS	003543	RUA	CAPITÃO	H13/I13	N-S	1671/60	16/12/1960	\N	\N	003326	RUA SOUSA PINTO	001734	RUA TENENTE JAIME ANDRADE	\N	\N	9584221	553597	9583136	553782	ALTO DA BALANCA/AEROLANDIA	\N	\N
5211	TRAVESSA ROCINE	024286	TRAVESSA	\N	H13	O-L	\N	\N	\N	\N	024432	TRAV. SOUSA PINTO	002637	RUA CAPITÃO OLAVO	\N	\N	9584136	553653	9584139	553736	ALTO DA BALANCA	\N	\N
5213	RUA CAPITÃO NOGUEIRA	002564	RUA	CAPITÃO	H13/H14	O-L	1671/60	16/12/1960	\N	\N	007189	BR 116 (BR13)	001001	RUA CAPITÃO DAKIR	\N	\N	9583997	553501	9584098	554106	ALTO DA BALANCA	\N	\N
5214	RUA SOUZA PINTO	003326	RUA	\N	H13/H14	O-L	1671/60	16/12/1960	\N	\N	003543	RUA CAPITÃO VASCONCELOS	001001	RUA CAPITÃO DAKIR	\N	SD	9584221	553597	9584095	554593	ALTO DA BALANCA	\N	\N
5217	TRAVESSA JAQUELINE	001755	TRAVESSA	\N	H13	N-S	\N	\N	\N	\N	003188	RUA MONSENHOR SALAZAR	002777	RUA PAULO FIRMEZA	\N	\N	9584846	553909	9584726	553934	SÃO JOÃO DO TAUAPE	\N	\N
5218	RUA CRUZ ABREU	000969	RUA	\N	H13	O-L	1671/60	16/12/1960	\N	\N	001539	RUA CAPITÃO GUSTAVO	008921	AV. DOUTOR RAUL BARBOSA	\N	\N	9584623	553769	9584734	555052	SÃO JOÃO DO TAUAPE	PERI E TRAVESSA LARGA TRAV	\N
5219	RUA ANA GONÇALVES	000232	RUA	\N	H13	O-L	1671/1960	16/12/1960	\N	\N	\N	INÍCIO DO LOTEAMENTO (RUA SD)	000508	RUA BELISÁRIO TÁVORA	RUA CAPITÃO GUSTAVO	\N	9584541	554934	9584434	553657	SÃO JOÃO DO TAUAPE	\N	\N
5220	TRAVESSA SANTA MARGARIDA	002324	TRAVESSA	SANTA	H13	N-S	\N	\N	\N	\N	000232	RUA ANA GONÇALVES	003563	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9584460	553953	9584357	553970	SÃO JOÃO DO TAUAPE	\N	\N
5221	RUA SINGELA	009119	RUA	\N	H13	N-S	1671/60	16/12/1960	\N	\N	002564	RUA CAPITÃO NOGUEIRA	000352	RUA CAPITÃO ARAGUÃO	\N	\N	9584076	553941	9583865	553988	ALTO DA BALANÇA	\N	\N
5222	RUA ASPIRANTE MENDES	002421	RUA	ASPIRANTE	H13	N-S	\N	\N	\N	\N	003326	RUA SOUSA PINTO	000434	RUA AURÉLIO SAMPAIO	\N	\N	9584143	553854	9582994	554063	ALTO DA BALANCA/AEROLANDIA	\N	Na Lei esta Rua tem início na Via Férrea Parangaba-Mucuripe.Parece haver um prolongamento desta Rua até a rua Téofilo Cordeiro
5223	TRAVESSA DAS OLIVEIRAS	002655	TRAVESSA	\N	H13	N-S	7668/94	30/12/94	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	024036	RUA OURO BRANCO	\N	\N	9584360	553923	9584250	553911	SÃO JOÃO DO TAUAPE	\N	\N
5225	RUA OURO BRANCO	002709	RUA	\N	H13	N-S	1671/60	16/12/1960	\N	\N	002421	RUA ASPIRANTE MENDES	\N	TERRENO ALAGADO	O-002421	L-022995	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5226	TRAVESSA OURO BRANCO	002710	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5227	TRAVESSA SOUZA PINTO	024432	TRAVESSA	\N	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
5228	TRAVESSA SANTA LÚCIA	004092	TRAVESSA	SANTA	H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
5229	\N	003300	RUA	\N	H13/I13	\N	\N	\N	\N	\N	\N	\N	\N	CAPITÃO ARAGÃO	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
5230	SD	040292	RUA	\N	H14/i14	N-S	\N	\N	\N	\N	\N	RUA SOUSA PINTO	\N	\N	RUA CAPITÃO ARAGÃO	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
5231	SD	040291	RUA	\N	H14	N-S	\N	\N	\N	\N	\N	RUA CARVALHO JÚNIOR	\N	\N	MURO	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5232	SD	040290	RUA	\N	H14	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA CARVALHO JÚNIOR	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5233	SD	040293	RUA	\N	H14	N-S	\N	\N	\N	\N	\N	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	MURO	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5234	SD	040289	RUA	\N	H14	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA MONSENHOR SALAZAR	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5238	RUA JOSE BUSON	001949	RUA	\N	H14	O-L	3987/72 E 	\N	\N	\N	003543	RUA CAPITÃO VASCONCELOS	001585	RUA HERMÍNIO BARROSO	\N	\N	9583926	553642	9584033	554435	ALTO DA BALANCA	\N	Na Lei esta Rua tem fim nas Salinas.
5239	RUA BOM RETIRO	022607	RUA	\N	H14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
5240	RUA GUARUJA	023244	RUA	\N	H14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
5241	TRAV. BOM RETIRO	022606	TRAVESSA	\N	H14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
5242	RUA SIQUEIRA CAMPOS	024407	RUA	\N	H14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
5243	AVENIDA DOUTOR RAUL BARBOSA	008921	AVENIDA	DOUTOR	H14	N-S	4728/76	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	\N	BR 116 (VIADUTO AEROLÂNDIA)	\N	\N	9584959	555058	9582293	553935	ALTO DA BALANCA/SÃO JOÃO DO TAUAPE/AEROLANDIA	PARTE  FOI ANTES DENOMINADA POMPÍLIO CRUZ	REVER  O LIMITE  DO INICIO POIS A VIA FERREA  NÃO ESTÁ EM NIVEL.
5244	RUA TUBARÃO	003480	RUA	\N	H14	O-L	1671/60	16/12/1960	\N	\N	002871	RUA ESCRIVÃO PINHEIRO	002050	RUA JÚLIA VASCONCELOS	\N	RUA BELISÁRIO TÁVORA	9584342	554692	9584356	554940	SÃO JOÃO DO TAUAPE	\N	O Trecho que vai da Rua Júlia Vasconcelos até a Rua Belisário Távorar não é oficial.
5245	PRAÇA MARIA JESUS JOSÉ	023797	PRAÇA	\N	H14	\N	\N	\N	\N	\N	\N	AV. DR. RAUL BARBOSA/RUA EVARISTO REIS	\N	\N	\N	\N	9584246	554649	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5246	RUA AVARISTO REIS	001233	RUA	\N	H14	O-L	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	002871	RUA ESCRIVÃO PINHEIRO	\N	AV. DR. RAUL BARBOSA	9584315	554427	9584257	554694	SÃO JOÃO DO TAUAPE	\N	\N
5247	RUA VIA FERREA	003563	RUA	\N	H14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5248	RUA FLORO BARTOLOMEU	001311	RUA	\N	H14	O-L	1671/60	16/12/1960	\N	\N	000747	RUA PROFESSOR CARVALHO	008921	AV. DR. RAUL BARBOSA	\N	\N	9584380	554063	9584456	555043	SÃO JOÃO DO TAUAPE	\N	\N
5249	BECO ELIZIANE	022970	BECO	\N	H14	O-L	\N	\N	\N	\N	004074	TRAV. LIBERTADOR	001001	RUA CAPITÃO DAKIR	\N	\N	9584222	554020	9584221	554087	SÃO JOÃO DO TAUAPE	\N	\N
5255	VILA ROTA NETO	024313	VILA	\N	H14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5258	RUA POTENGI	002928	RUA	\N	H14	N-S	1671/60	16/12/1960	\N	\N	001133	RUA EDUARDO BEZERRA	002777	RUA PAULO FIRMEZA	\N	\N	9585105	553982	9584738	554054	SÃO JOÃO DO TAUAPE	O Trecho que vai da Rua Eduardo Bezerra até a Rua Monsenhor Salazar não é oficial.	\N
5259	RUA PROFESSOR CARVALHO	000747	RUA	PROFESSOR	G13	N-S	1671/60	16/12/1960	\N	\N	003321	RUA SORIANO ALBUQUERQUE	003563	VIA FERREA PARANGABA-MUCURIPE	\N	\N	9585656	553818	9584346	554070	JOAQUIM TÁVORA/SÃO JOÃO DO TAUAPE	\N	\N
5260	RUA CAPITÃO DAKIR	001001	RUA	CAPITÃO	H14	N-S	1671/60	16/12/1960	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	000352	RUA CAPITÃO ARAGÃO	\N	\N	9584346	554070	9583890	554142	SÃO JOÃO DO TAUAPE/ALTO DA BALANCA	\N	\N
5261	RUA DA ASA	001419	RUA	\N	H14/I14	N-S	1671/60	16/12/1960	\N	\N	002564	RUA CAPITÃO NOGUEIRA	001734	RUA TEN. JAIME ANDRADE	\N	\N	9584090	554027	9583214	554181	ALTO DA BALANCA/AEROLANDIA	GERALDO MENDES, MAJOR	Na Lei esta Rua tem fim na Rua Aurélio Sampaio.
5362	VIA 23	021014	VIA	\N	H18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5263	RUA PEREIRO	002848	RUA	\N	H14	N-S	1671/60	16/12/1960	\N	\N	002777	RUA PAULO FIRMEZA	000748	RUA CARVALHO JÚNIOR	\N	\N	9584749	554178	9584569	554161	SÃO JOÃO DO TAUAPE	José Lourenço, Dr.       Transcrição 55578 cri 1 zona	Refazer  a numeração.
5264	RUA TENENTE BARROSO	022552	RUA	TENENTE	H14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
5265	TRAV. LIBERTADO	004074	TRAVESSA	\N	H14	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	001063	RUA DO CANAL	\N	\N	9584351	554030	9584195	554017	SÃO JOÃO DO TAUAPE	\N	\N
5266	TRAV. ORIENTE	002672	TRAVESSA	\N	H14	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	001063	RUA DO CANAL	\N	\N	9584352	554013	9584197	553999	SÃO JOÃO DO TAUAPE	\N	\N
5267	TRAV. ELIZIANE	020620	TRAVESSA	\N	H14	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	001063	RUA DO CANAL	\N	\N	9584347	554055	9584194	554044	SÃO JOÃO DO TAUAPE	\N	\N
5269	TRAV. PROGRESSO	004083	TRAVESSA	\N	H14	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	001063	RUA DO CANAL	\N	\N	9584335	554163	9584186	554150	SÃO JOÃO DO TAUAPE	\N	\N
5270	TRAV. QUEFLEX	024211	TRAVESSA	\N	H14	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	001063	RUA DO CANAL	\N	\N	9584330	554202	9584191	554193	SÃO JOÃO DO TAUAPE	\N	\N
5271	TRAV. SOCIAL	004457	TRAVESSA	\N	H14	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	001063	RUA DO CANAL	\N	\N	9584329	554227	9584179	554233	SÃO JOÃO DO TAUAPE	\N	\N
5381	RUA L	023600	RUA	\N	H19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5272	TRAV. LISBOA	004099	TRAVESSA	\N	H14	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	001063	RUA DO CANAL	\N	\N	9584327	554247	9584176	554256	SÃO JOÃO DO TAUAPE	\N	\N
5273	TRAV. SOLANGE	004095	TRAVESSA	\N	H14	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	\N	EDIFICAÇÃO (CSU JÚLIO VENTURA)	\N	\N	9584324	554276	9584263	554273	SÃO JOÃO DO TAUAPE	\N	\N
5274	TRAV. FORMOSA	004096	TRAVESSA	\N	H14	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	\N	EDIFICAÇÃO (CSU JÚLIO VENTURA)	\N	\N	9584321	554301	9584263	554298	SÃO JOÃO DO TAUAPE	\N	\N
5275	V. AMACIO	022398	VILA	\N	H14	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO (CSU JÚLIO VENTURA)	001063	RUA DO CANAL	\N	\N	9584233	554297	9584172	554296	SÃO JOÃO DO TAUAPE	\N	\N
5276	V. CASCAVEL	022714	VILA	\N	H14	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO (CSU JÚLIO VENTURA)	001063	RUA DO CANAL	\N	\N	9584233	554283	9584173	554285	SÃO JOÃO DO TAUAPE	\N	\N
5277	V. CHACINHA	022736	VILA	\N	H14	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO (CSU JÚLIO VENTURA)	\N	EDIFICAÇÃO	\N	\N	9584232	554314	9584211	554314	SÃO JOÃO DO TAUAPE	\N	\N
5278	V. GRAVINO	023236	VILA	\N	H14	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO (CSU JÚLIO VENTURA)	001063	RUA DO CANAL	\N	\N	9584232	554266	9584175	554268	SÃO JOÃO DO TAUAPE	\N	\N
5279	RUA JAIME AUGUSTO	023406	RUA	\N	H15/H16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES	\N	\N
5280	RUA JOSÉ OTOCH	008657	RUA	\N	H15	N-S	4574/75	\N	\N	\N	000423	RUA ATILANO DE MOURA	001492	RUA GONTRAN GIFFONI	\N	\N	9584417	556489	9583736	556082	GUARARAPES	 I - LOTEAMENTO GRANDE ALDEOTA	\N
5281	VILA FAISÃO	023058	SERVIDÃO	\N	H15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SALINAS	\N	\N
5283	RUA JORN. CESAR MAGALHÃES	000005	RUA	JORNALISTA	H15   H16	N-S	4525/75	\N	\N	\N	003121	AV. ROGACIANO LEITE	001492	RUA GONTRAN GIFFONI	\N	\N	9584311	556329	9583380	556764	GUARARAPES	\N	\N
5284	RUA EDMUNDO RODRIGUES	009714	RUA	\N	H15	O-L	5999/1985	29/09/1985	\N	\N	\N	PARQUE DO COCÓ	003121	AV.  ROGACIANO LEITE	\N	\N	9584470	556221	9584350	556352	SALINAS	\N	A  Lei  especifica  a localização.
5287	SD	040295	RUA	\N	H16	O-L	\N	\N	\N	\N	\N	AV. SEBASTIÃO ABREU	\N	\N	RUA JUAREZ BARROSO	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
5292	RUA CARLOTA PINHEIRO	005283	RUA	\N	H16	O-L	5247/80	\N	\N	\N	001158	RUA ELISEU UCHÔA BECCO	003690	AV. WASHINGTON SOARES	\N	\N	9584191	557089	9584220	557457	GUARARAPES	3ª RUA DOS TERRENOS DA IMOBILIÁRIA CARLOS BRAGA	Na Lei esta Rua se inicia na Rua Eliseu Uchoa Becco e termina na Av. Washington Soares.
5293	RUA CAP. MANOEL AFONSO DE CARVALHO	002314	RUA	CAPITÃO	H16	O-L	6824/2001	03/04/1991	8921/1992	18/09/1992	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES	E - LOTEAMENTO IMOB.DIAS BRANCO	\N
5294	RUA PROFº. WILSON AGUIAR	006983	RUA	PROFESSOR	H16/H17	O-L	5654/82	\N	\N	\N	003690	AV. WASHINGTON SOARES (numa extensão de 451 m)	\N	SD	\N	\N	9584314	557449	9584351	557932	EDSON QUEIROZ	\N	\N
5295	RUA MANOEL FIRMINO SAMPAIO	005291	RUA	\N	H16	O-L	4655/80	05/08/1980	5631/1980	\N	001158	RUA ELISEU UCHÔA BECCO	007526	RUA MINISTRO EDUARDO ELLERY BARREIRA	\N	\N	9584332	557081	9584351	557346	GUARARAPES	\N	Na Lei esta Rua se inicia na Av. Perimetral e termina na Rua Francsico Xerez..
5296	RUA JUIZ FCO. AUGUSTO DE OLIVEIRA	007973	RUA	JUIZ	H16	O-L	7407/93	05/10/1993	\N	\N	002443	AV. CEL. MIGUEL DIAS	001158	RUA ELISEU UCHÔA BECCO	\N	\N	9584351	556887	9584367	557073	GUARARAPES	XXI -21  LOTEAMENTO GRANDE ALDEOTA	\N
5297	RUA ALTAIR FARIAS	006639	RUA	\N	H16	O-L	5646/1982	\N	\N	\N	000423	RUA ATILANO DE MOURA	002443	AV. CEL.  MIGUEL DIAS	\N	\N	9584217	556667	9584225	556902	GUARARAPES	F e Antônio Guedes do Loteamento Jardim Encantado	\N
5298	RUA CLAUDIO M. DIAS LEITE	007486	RUA	\N	H16	O-L	5171/79	08/06/79	5541/1980	17/03/1980	000423	RUA ATILANO DE MOURA	002443	AV. CEL. MIGUEL DIAS	\N	\N	9584374	556526	9584391	556883	GUARARAPES	E LOT. JARDIM ENCANTADO). NO DECRETO OS LIMITES ESTÃO INCORRETOS.	\N
5299	RUA ATILANO DE MOURA	000423	RUA	\N	H16	O-L	4699/76	\N	\N	\N	003121	AV. ROGACIANO LEITE	002443	AV. CEL.  MIGUEL DIAS	\N	\N	9584485	556429	9584012	556923	GUARARAPES	\N	\N
5300	RUA JUSTINO CAFÉ NETO	005303	RUA	\N	H16	O-L	6974/1991	20/09/1991	8711/92	03/01/1992	003121	AV. ROGACIANO LEITE	002443	AV. CEL. MIGUEL DIAS	\N	\N	9584535	556459	9584575	556862	GUARARAPES	Caminho do Joca – Loteamento Jardim Encantado	\N
5301	RUA JAIME PINHEIRO	003888	RUA	\N	H16	O-L	5316/80	\N	\N	\N	002443	AV. CEL. MIGUEL DIAS	001158	RUA ELISEU UCHÔA BECCO	\N	\N	9584427	556878	9584444	557065	GUARARAPES	\N	\N
5302	RUA CEL. HELDER BENEVIDES	003887	RUA	CORONEL	H16	O-L	5047/78	\N	5933/81	\N	002443	AV. CEL. MIGUEL DIAS	001158	RUA ELISEU UCHÔA BECCO	\N	\N	9584506	556869	9584522	557057	GUARARAPES	XXIII - LOTEAMENTO GRANDE ALDEOTA	\N
5305	RUA JOSÉ F. DE OLIVEIRA	001963	RUA	\N	H16	O-L	7175/92	16/07/92	8951/92	22/10/1992	003234	AV. SEBASTIÃO DE ABREU	005345	RUA PROF. ELÁDIO MAGALHÃES	\N	\N	9584506	557435	9584523	557626	EDSON QUEIROZ	\N	SITUADA AO SUL DA RUA EXPEDITO MENDES CHAVES
5306	RUA DR. EXPEDITO MENDES CHAVES	005343	RUA	DOUTOR	H16	O-L	5236/79	\N	\N	\N	003234	AV. SEBASTIÃO DE ABREU	005345	RUA PROF. ELÁDIO MAGALHÃES	\N	\N	9584642	557424	9584659	557615	EDSON QUEIROZ	2 - PLANALTO ÁGUA FRIA	\N
5307	RUA DR. HERMES LIMA	005342	RUA	DOUTOR	H16	O-L	5236/79 E 	\N	\N	\N	003234	AV. SEBASTIÃO DE ABREU	005345	RUA PROF. ELÁDIO MAGALHÃES	\N	\N	9584693	557420	9584711	557610	EDSON QUEIROZ	1 - LOT. PLANALTO ÁGUA FRIA	\N
5309	AVENIDA WASHINGTON SOARES	003690	AVENIDA	\N	H16/P16	N-S	3373/67	\N	\N	\N	003121	AV. ROGACIANO LEITE	001534	RUA GUILHERME PESSOA	\N	\N	556503	9584801	557539	9576920	GUAR/ENG. L. CAV/ED. QUE/MÊS./P. MANI/CAMB/SAPI/ALA NOV/CURI	\N	Na Lei esta Rua se inicia no rio Cocó e termina no parque José de Alencar.
5310	AVENIDA JUAREZ BARROSO	001548	AVENIDA	\N	H16/H17	O-L	5236/79	7/12/790	\N	\N	003234	AV. SEBASTIÃO DE ABREU	006985	AV. DR. JOSÉ  MARTINS RODRIGUES	\N	\N	9584747	557416	9584517	557982	EDSON QUEIROZ	A do   loteamento	Na Lei esta Rua tem inicio na Rua Professor Eládio Magalhães e fim na Rua Poeta Sidney Neto
5312	RUA PROFº. JACINTO BOTELHO	001723	RUA	PROFESSOR	H16	N-S	4475/1974	10/12/1974	\N	\N	003690	AV. WASHINGTON SOARES	001492	RUA GONTRAN GIFFONI	\N	\N	9584731	556608	9583655	556216	GUARARAPES	9 do conj. Guararapes, RUA C - LOT. Jardim encantado, e Rua III do Lot. Grande Aldeota	Na Lei esta Rua se  localiza no Loteamento Grande Aldeota.
5313	RUA AUGUSTO JAIME BENEVIDES	003876	RUA	\N	H16/I-16L19	O-L	4185/197373	\N	5600/1980	\N	000423	RUA ATILANO DE MOURA	001492	RUA GONTRAN GIFFONI	\N	\N	9584217	556671	9583615	556281	GUARARAPES	 IV -  LOTEAMENTO GRANDE ALDEOTA	Esta Rua se apresenta aberta somente no trecho Av. Atilano de Moura até o final da Quadra 14.
5314	RUA CEL.GUSTAVO AUGUSTO LIMA	003877	RUA	CORONEL	H16	O-L	5231/79	\N	\N	\N	000423	RUA ATILANO DE MOURA	001492	RUA GONTRAN GIFFONI	\N	\N	9584185	556713	9583576	556346	GUARARAPES	V - 5  LOTEAMENTO  GRANDE ALDEOTA	\N
5315	RUA FRANCISCO FARIAS FILHO	005273	RUA	\N	H16	N-S	5263/80	\N	\N	\N	005303	RUA JUSTINO CAFÉ NETO	000423	RUA  ATILANO DE MOURA	\N	\N	9584552	556785	9584104	556806	GUARARAPES	A DO LOTEAMENTO JARDIM ENCANTADO,  RUA ANTÔNIO MACEDO	\N
5317	RUA FRANCISCO XEREZ	005284	RUA	\N	H16	N-S	\N	\N	\N	\N	\N	MURO(SHOPPING IGUATEMI)	003898	AV. FIRMINO ROCHA AGUIAR	\N	\N	9584710	557134	9584065	557192	EDSON QUEIROZ/GUARARAPES	\N	\N
5318	RUA DR. MARILO FERNANDES	000289	RUA	DOUTOR	H16	N-S	7255/92	14/12/1992	9004/93	30/12/1993	\N	MURO(SHOPPING IGUATEMI)	003898	AV. FIRMINO ROCHA AGUIAR	\N	\N	9584768	557220	9584072	557286	EDSON QUEIROZ/GUARARAPES	MARTA MARIA, (CIDADE BODOCÓ mat6776 cri 1 zona)	Na Lei esta Rua se inicia na Av. Perimetral e termina na Rua Carlota Pinheiro.
5321	RUA ELIZEU UCHÔA BECCO	001158	RUA	\N	H16	N-S	4488/75	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES	\N	\N
5322	RUA CEL. MIGUEL DIAS	002443	RUA	CORONEL	H16/I16	N-S	4503/75	\N	\N	\N	003690	AV. WASHINGTON SOARES	004206	RUA DR. THOMPSON BULCÃO	\N	\N	9583227	556895	9584674	556852	GUARARAPES	\N	Na Lei esta Av. terminaria no Fim do Loteamento (Grande Aldeota)
5323	RUA PAULO ROBERTO PINHEIRO	005279	RUA	\N	H16	N-S	5714/83	\N	\N	\N	003690	AV. WASHINGTON SOARES	005303	RUA JUSTINO CAFÉ NETO	\N	\N	9584689	556797	9584562	556812	GUARARAPES	\N	\N
5324	RUA MARINHA HOLANDA	002355	RUA	\N	H16	N-S	4348/74	\N	\N	\N	005303	RUA JUSTINO CAFÉ NETO (CAMINHO DO JOCA)	000423	RUA ATILANO DE MOURA	\N	\N	9584547	556691	9584188	556710	GUARARAPES	B - JARDIM ENCANTADO	\N
5325	RUA JOSÉ ALVES CAMPOS	003874	RUA	\N	H16	N-S	\N	\N	\N	\N	005303	RUA JUSTINO CAFÉ NETO	000423	RUA ATILANO DE MOURA	\N	\N	9584538	556504	9584388	556513	GUARARAPES	\N	\N
5328	RUA PROFESOR JURACI MAGALHÃES	005344	RUA	PROFESSOR	H16	N-S	5245/80	\N	\N	\N	001548	AV. JUAREZ BARROSO	001963	RUA JOSÉ FERNANDES DE OLIVEIRA	\N	\N	9584754	557517	9584514	557535	EDSON QUEIROZ	\N	Na Lei esta Rua tem inicio na Rua Milton Lavor e fim na Quadra 12 do Conjunto Planalto Água Fria.
5330	RUA PROFº. ELÁDIO MAGALHÃES	005345	RUA	PROFESSOR	H17	N-S	5236/79	7/12/790	\N	\N	001548	AV. JUAREZ BARROSO	006985	AV. DR. JOSÉ  MARTINS RODRIGUES	\N	\N	9584745	557607	9584487	557629	EDSON QUEIROZ	5 do Loteamento Jardim Três Marias – COHBEM	\N
5331	RUA PROFº. ISAÍAS GOMES	005346	RUA	PROFESSOR	H17	N-S	5236/79 E 	7/12/790	\N	\N	001548	RUA JUAREZ BARROSO	006985	AV. DR. JOSÉ  MARTINS RODRIGUES	\N	\N	9584719	557660	9584492	557682	EDSON QUEIROZ	6 - PLAN. ÁGUA FRIA	\N
5332	RUA POETA SIDNEY NETO	005347	RUA	POETA	H17	N-S	5236/1979	7/12/1979	\N	\N	001548	AV. JUAREZ BARROSO	006985	AV. DR. JOSÉ  MARTINS RODRIGUES	\N	\N	9584691	557716	9584497	557734	EDSON QUEIROZ	10 - PLAN. ÁGUA FRIA	\N
5333	PRAÇA LUCIANO MAGALHÃES	023664	PRAÇA	\N	H17	\N	5236/79	7/12/79	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
5334	RUA IACO FERNANDES	005348	RUA	\N	H17	N-S	5236/79 E 	7/12/790	\N	\N	000245	RUA POETA ALUÍSIO DE MEDEIROS	006985	AV. DR. JOSÉ  MARTINS RODRIGUES	\N	\N	9584619	557775	9584501	557786	EDSON QUEIROZ	8 - PLANALTO ÁGUA FRIA	Na Lei esta Rua tem fim na Av Dr. José Martins Rodrigues.
5335	RUA DOUTOR GONDIM DE OLIVEIRA	005349	RUA	DOUTOR	H17	N/S	5236/79	17/12/790	\N	\N	000245	RUA POETA ALUÍSIO DE MEDEIROS	006985	AV. DR. JOSÉ  MARTINS RODRIGUES	\N	\N	9584624	557826	9584507	557838	EDSON QUEIROZ	09 RUA	Na Lei esta Rua tem inicio na Av Dr. José Martins Rodrigues e fim na Av. Juarez Barroso.
5336	RUA ESTEVÃO DE MIRANDA	005350	RUA	\N	H17	N-S	5245/80	21/03/1980	\N	\N	001548	AV. JUAREZ BARROSO	006985	AV. DR. JOSÉ  MARTINS RODRIGUES	\N	\N	9584607	557879	9584514	557888	EDSON QUEIROZ	10 (LOT JD 3 MARIAS), POETA SIDNEY NETO (LEI 5236/80)	LEI ESPECÍFICA ALTERA A LEI 5236/80
5337	RUA POETA ALUÍSIO DE MEDEIROS	000245	RUA	POETA	H17	O-L	5236/1979	7/12/790	\N	\N	005345	RUA PROF. ELÁDIO MAGALHÃES	001548	RUA JUAREZ BARROSO	\N	\N	9584602	557620	9584626	557843	EDSON QUEIROZ	\N	\N
5338	AVENIDA DEPUTADO MARTINS RODRIGUES	006985	AVENIDA	DR.	H17	O-L	5236/79	\N	\N	\N	003234	AV. SEBASTIÃO DE ABREU	001548	AV. JUAREZ BARROSO	\N	\N	9584469	557440	9584517	557982	EDSON QUEIROZ	\N	\N
5340	RUA SALINAS	024328	RUA	\N	H17	O-L	\N	\N	\N	\N	003690	AV. WASHINGTON SOARES	\N	SD	\N	\N	9584096	557473	9584132	557937	EDSON QUEIROZ	\N	\N
5341	SD	040296	RUA	\N	H17	N-S	\N	\N	\N	\N	\N	RUA PROF. WILSON AGUIAR	\N	\N	CERCA	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
5343	SD	040297	RUA	\N	H18	N-S	\N	\N	\N	\N	\N	VIA 4	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5344	SD	040240	RUA	\N	H18	N-S	\N	\N	\N	\N	\N	AV. PE. ANTÔNIO TÓMAS	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5345	VIA 2	020986	VIA	\N	H18	O-L	\N	\N	\N	\N	020985	RUA SEIS	020984	VIA 14	\N	\N	9585064	559827	9584859	560131	MANUEL DIAS BRANCO	\N	\N
5346	VIA 3	020987	VIA	\N	H18/H19	\N	\N	\N	\N	\N	\N	RUA SD	020984	VIA 14	\N	\N	9585015	559735	9584749	560096	MANUEL DIAS BRANCO	\N	\N
5347	VIA 4	020989	VIA	\N	H18/H19	O-L	\N	\N	\N	\N	020990	VIA LOCAL 21	020984	VIA 14	\N	\N	9584999	559696	9584702	560081	MANUEL DIAS BRANCO	\N	\N
5349	VIA 6	021002	VIA	\N	H18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5350	VIA 7	021013	VIA	\N	H18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5351	VIA 8	021012	VIA	\N	H18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5352	VIA 9	021011	VIA	\N	H18	O-L	\N	\N	\N	\N	020990	VIA LOCAL 21	020984	RUA TAMARAS	\N	\N	9584045	559339	9583726	559771	MANUEL DIAS BRANCO	\N	\N
5591	RUA 1068	007240	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5353	VIA 10	021004	VIA	\N	H18	N-S	\N	\N	\N	\N	020986	RUA VEREADOR WILLIAM SÁ	040935	RUA SÉRVULO BARROSO	\N	\N	9584998	559843	9584929	559790	MANUEL DIAS BRANCO	\N	\N
5354	VIA 14	020984	RUA	\N	H18/H19	N-S	\N	\N	\N	\N	\N	RUA SD	021011	VIA 9	\N	\N	9585044	560192	9583726	559771	MANUEL DIAS BRANCO	VIA LOCAL 14 DO LOTEAMENTO  ALTO DA ALDEOTA I	\N
5355	VIA 16	022092	VIA	\N	H18	N-S	\N	\N	\N	\N	024690	RUA WALTER FERNANDES	020991	AV. SALVADOR DE FRANCESCO	\N	\N	9584807	559876	9584769	559852	MANUEL DIAS BRANCO	\N	\N
5356	VIA 17	020995	VIA	\N	H18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5357	VIA 18	021003	VIA	\N	H18	N-S	\N	\N	\N	\N	\N	TERRENO	009191	RUA NEIDE MAIA	\N	\N	9584476	559698	9584409	559675	MANUEL DIAS BRANCO	\N	\N
5358	VIA 19	021008	VIA	\N	H18	N-S	\N	\N	\N	\N	009190	AV. JORNALISTA DURVAL AIRES	009191	RUA NEIDE MAIA	\N	\N	9584509	559823	9584355	559769	MANUEL DIAS BRANCO	\N	\N
5360	VIA 21	009207	RUA	DESEMBARGADOR	H18	N-S	8859/2004	25/06/2004	12678/2010	14/06/2010	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	VIA LOCAL 21 (LOT ALTO DA ALDEOTA 1	\N
5363	VIA 24	020996	VIA	\N	H18	O-L	\N	\N	\N	\N	020990	VIA LOCAL 21	020995	VIA LOCAL 17	\N	\N	9584569	559517	9584541	559600	MANUEL DIAS BRANCO	\N	\N
5364	AVENIDA VIA ARTERIAL	020991	AVENIDA	\N	H18/H19	O-L	4498/75	10/04/1975	220/2006	07/06/2006	020990	VIA 21 DO CITADO LOTEAMENTO	020984	 RUA TAMARAS	\N	\N	9584780	559591	9584627	560057	MANUEL DIAS BRANCO	ARTERIAL DO LOT ALTO DA ALDEOTA I , AV	DECRETO LEGISLATIVO No. 220/2006 DE 07/06/2006
5365	AVENIDA VIA COLETORA	022781	AVENIDA	\N	H18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5366	SD	040298	RUA	\N	H19	O-L	\N	\N	\N	\N	\N	VIA 14	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5370	VIA 12	020988	VIA	\N	H19	N-S	\N	\N	\N	\N	009185	RUA PROF. OSMIRIO BARRETO	040935	RUA SÉRVULO BARROSO	\N	\N	9585071	560105	9584797	560016	MANUEL DIAS BRANCO	\N	\N
5372	RUA A	004015	RUA	\N	H19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5373	RUA B	004016	RUA	\N	H19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5374	RUA C	004017	RUA	\N	H19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5375	RUA E	007511	RUA	\N	H19	O-L	8088/1997	06/11/1997	10799/2000	19/06/2000	\N	LOTES 32 DA QUADRA A E LOTE 01 DA QUADRA B	024700	AV. PROF. ADROALDO TEIXEIRA CASTELO	\N	\N	9584995	560343	9584932	560543	MANUEL DIAS BRANCO	E DO  LOTEAMENTO DO  PQ ATLÂNTICO.	\N
5376	RUA F	004177	RUA	\N	E18	N-S/O-L	\N	\N	\N	\N	001944	AV CEL. JOSÉ AURÉLIO CÂMARA	004175	RUA DR. FRANCISCO ARAÚJO	\N	\N	9587177	559027	9587052	559134	DE LOURDES	F ( LOT  VEREDA ATLANTICA)	\N
5378	RUA H	004022	RUA	\N	H19	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO (TERRENO)	024700	AV. PROF. ADROALDO TEIXEIRA CASTELO	\N	\N	9584718	560395	9584693	560465	MANUEL DIAS BRANCO	\N	Esta rua está totalmente invadida pela vegetação  local.
5379	RUA J	023374	RUA	\N	H19	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO (TERRENO)	024700	AV. PROF. ADROALDO TEIXEIRA CASTELO	\N	\N	9584451	560314	9584410	560450	MANUEL DIAS BRANCO	\N	\N
5380	RUA K	021001	RUA	\N	H19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
5383	RUA MANUEL RODRIGUES (PROJ.)	023754	RUA	\N	H19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
5384	RUA CORONEL FRANCISCO MONTEIRO	004842	RUA	CORONEL	G19/G20	O-L	5283/1980	\N	5802/1981	\N	003433	AV. TRAJANO DE MEDEIROS	003709	AV. ZEZÉ DIOGO	\N	\N	9584693	560920	9585033	561624	PRAIA DO FUTURO II	Loteamento Praia Antônio Diogo	ENTRE AS QUADRAS 254,206,152,96A,96,42 E PRAÇA,207,153,97A,97,43
5387	RUA PROFº. FRANCISCO DELGADO PERDIGÃO	004834	RUA	PROFESSOR	H20	O-L	6099/86	\N	\N	\N	\N	TERRENO	003709	AV. ZEZÉ DIOGO	\N	\N	9584029	561804	9584152	562065	PRAIA DO FUTURO II	\N	Na Lei, esta Rua tem início na Av. Trajano de Medeiros.
5388	RUA VEREADOR GUIMARÃES	004833	RUA	VEREADOR	H20	O-L	\N	\N	\N	\N	001058	AV. DIOGUINHO	003709	AV. ZEZÉ DIOGO	\N	\N	9583988	561991	9584055	562123	PRAIA DO FUTURO II	\N	\N
5389	RUA JANDER  F. CORREIA	004835	RUA	DOUTOR	H20	O-L	5924/84	\N	7865/88	\N	001058	AV. DIOGUINHO	003709	AV. ZEZÉ DIOGO	\N	\N	9584201	561887	9584260	562006	PRAIA DO FUTURO II	\N	Na Lei, esta Rua  termina na Av. Trajano de Medeiros.
5390	RUA HILDEBRANDO POMPEU	004836	RUA	\N	H20	O-L	6074/86	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	Curupati  AV.– L-4/3	\N
5391	RUA NOVE	004837	RUA	\N	H20	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO (FAVELA)	003709	AV. ZEZÉ DIOGO	\N	\N	9584329	561572	9584481	561890	PRAIA DO FUTURO II	\N	\N
5392	RUA ONZE	004839	RUA	\N	H20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
5393	RUA DEZ	004838	RUA	\N	H20	O-L	\N	\N	\N	\N	003433	AV. TRAJANO DE MEDEIROS	003709	AV. ZEZÉ DIOGO	\N	\N	9584376	561081	9584587	561837	PRAIA DO FUTURO II	\N	\N
5394	RUA TEREZINHA MESQUITA	004840	RUA	\N	H20	O-L	\N	\N	5672/80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
5396	RUA DOZE	004841	RUA	\N	H20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
5397	RUA ITAPEMIRIM	023358	RUA	\N	H20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
5571	RUA 1167	007290	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5576	RUA 1105	007258	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5577	RUA 1103	007257	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5578	RUA 1101	007256	RUA	\N	I04 / I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5579	RUA 1046	007229	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5580	RUA 1048	007230	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5581	RUA 1050	007231	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5582	RUA 1052	007232	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5583	RUA 1054	007233	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5584	RUA 1056	007234	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5585	RUA 1058	007235	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5586	RUA 1060	007236	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5588	RUA 1062	007237	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5589	RUA 1064	007238	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5592	RUA 1070	007241	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5593	RUA 1072	007242	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5594	RUA 1074	007243	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5595	RUA 1076	007244	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5596	RUA 1078	007245	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5597	RUA 1080	007246	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5598	RUA 1082	007247	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5599	RUA 1084	007248	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5600	RUA 1086	007249	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5601	RUA 1088	007250	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5602	RUA 1090	007251	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5603	RUA 1092	007252	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5604	RUA 1094	007253	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5605	RUA 1096	007254	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5606	RUA 1044	007228	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5607	RUA 1042	007227	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5608	RUA 1040	007226	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5609	RUA 1038	007225	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5610	RUA 1036	007224	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5611	RUA 1034	007223	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5612	RUA 1032	007222	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5613	RUA 1030	007221	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5614	RUA 1028	007220	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5615	RUA 1026	007219	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5616	RUA 1024	007218	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5617	RUA 1022	007217	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5618	RUA 1018	007215	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5619	RUA 1016	007214	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5620	RUA 1014	007213	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5621	RUA 1012	007212	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5622	RUA 1010	007211	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5623	RUA 1008	007210	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5624	RUA 1006	007209	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5625	RUA 1004	007208	RUA	\N	I04/J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5628	SD	040308	RUA	\N	I04	L-O	\N	\N	\N	\N	\N	RUA 329	\N	\N	RUA 319	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5629	SD	040306	RUA	\N	I04	N-S	\N	\N	\N	\N	\N	RUA 1088	\N	\N	RUA 1092	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5631	SD	040302	RUA	\N	I04	N-S	\N	\N	\N	\N	\N	RUA 1074	\N	\N	RUA 1076	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5632	SD	040303	RUA	\N	I04	N-S	\N	\N	\N	\N	\N	RUA 1078	\N	\N	RUA 1084	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5633	SD	040304	RUA	\N	I04	L-O	\N	\N	\N	\N	\N	SD (040299)	\N	\N	SD (040305)	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5634	SD	040305	RUA	\N	I04	N-S	\N	\N	\N	\N	\N	RUA 1084	\N	\N	RUA 1095	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5635	SD	040314	RUA	\N	I04	N-S	\N	\N	\N	\N	\N	SD (040310)	\N	\N	RUA 523	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5636	SD	040307	RUA	\N	I04	N-S	\N	\N	\N	\N	\N	AVENIDA G	\N	\N	RUA 321	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5637	SD	040301	RUA	\N	I04	N-S	\N	\N	\N	\N	\N	RUA 1062	\N	\N	RUA 1074	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5638	SD	040300	RUA	\N	I04	N-S	\N	\N	\N	\N	\N	RUA 1044	\N	\N	RUA 1042	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5639	SD	040299	RUA	\N	I04/J04	N-S	\N	\N	\N	\N	\N	RUA 1036	\N	\N	AVENIDA 1000	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5640	SD	040309	RUA	\N	I04	N-S	\N	\N	\N	\N	\N	RUA 1078	\N	\N	RUA 1084	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5641	SD	040310	RUA	\N	I04	N-S	\N	\N	\N	\N	\N	RUA 535	\N	\N	AVENIDA G	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5642	SD	040311	RUA	\N	I04	L-O	\N	\N	\N	\N	\N	RUA 541 E	\N	\N	RUA 531	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5643	SD	040312	RUA	\N	I04	L-O	\N	\N	\N	\N	\N	RUA 523	\N	\N	SD (040313)	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5644	SD	040313	RUA	\N	I04/i05	N-S	\N	\N	\N	\N	\N	RUA 523	\N	\N	RUA 517	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5667	RUA 537	004271	RUA	\N	I04/I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5668	RUA 535	004270	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5669	RUA 533	004269	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5670	RUA 529	004267	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5671	RUA 527	004266	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5672	RUA 525	004265	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5673	RUA 523	004264	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5674	RUA 521	004263	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5675	RUA 519	004262	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5676	RUA 517	004261	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5677	RUA 515	004260	RUA	\N	I04/I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5679	AVENIDA G	004222	AVENIDA	\N	I04/J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5680	RUA 327	004234	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5681	RUA 325	004233	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5682	RUA 323	004232	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5683	RUA 321	004231	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5684	RUA 319	004230	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5685	RUA 329	004235	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5686	RUA 331	004236	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5687	RUA 333	004237	RUA	\N	I04/J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5688	RUA 541	004273	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5689	PRAÇA LUÍZA TÁVORA	023683	PRAÇA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5691	RUA 1020	007216	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5698	RUA BATAIPORÃ	022555	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II  OU FORA	\N	\N
5700	RUA BARRINHA	022550	RUA	\N	I04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II  OU FORA	\N	\N
5723	SD	040336	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 830	\N	\N	RUA 832	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5725	SD	040338	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 854	\N	\N	RUA 852	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5730	SD	040335	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 826	\N	\N	RUA 828	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5731	SD	040334	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 816	\N	\N	RUA 824	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5732	SD	040333	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	RUA 620	\N	\N	AV. A	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5733	SD	040341	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	RUA 220	\N	\N	RUA 222	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5734	SD	040340	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 755	\N	\N	RUA 753	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5735	SD	040339	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 715	\N	\N	RUA 753	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5736	SD	040331	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	RUA 616	\N	\N	RUA 618	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5737	SD	040345	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	RUA 151	\N	\N	RUA 147	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5739	SD	040344	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	RUA 234	\N	\N	AV. MINISTRO ALBUQUERQUE LIMA	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5742	SD	040343	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	SD (040344)	\N	\N	SD (040342)	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5743	SD	040346	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	SD (040347)	\N	\N	AVENIDA B	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5744	SD	040342	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	RUA 234	\N	\N	AV. MINISTRO ALBUQUERQUE LIMA	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5745	SD	040330	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	RUA 610	\N	\N	RUA 604	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5746	SD	040315	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	RUA 539	\N	\N	RUA 537	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5747	SD	040316	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	RUA 541 A	\N	\N	RUA 541 E	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5748	SD	040317	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	AV. MINISTRO ALBUQUERQUE LIMA	\N	\N	RUA 541 E	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5749	SD	040318	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	AVENIDA B	\N	\N	RUA 127	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5750	SD	040319	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 147	\N	\N	SD (040318)	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5753	SD	040325	RUA	\N	I05/J05	N-S	\N	\N	\N	\N	\N	RUA 729	\N	\N	RUA 733	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5754	SD	040323	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	RUA 723	\N	\N	RUA 729	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5755	SD	040322	RUA	\N	I05/J05	N-S	\N	\N	\N	\N	\N	AV. MINISTRO ALBUQUERQUE LIMA	\N	\N	RUA 119	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5756	SD	040321	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	RUA 218 A	\N	\N	218 B	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5757	SD	040320	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 218	\N	\N	AV. MINISTRO ALBUQUERQUE LIMA	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5758	SD	040327	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 719	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5760	SD	040347	RUA	\N	I05	N-S	\N	\N	\N	\N	\N	ÁRVORE	\N	\N	AV. MINISTRO ALBUQUERQUE LIMA	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5767	SD	040329	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 842	\N	\N	RUA 840	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5768	SD	040328	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 834	\N	\N	RUA 836	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5769	SD	040332	RUA	\N	I05/I06	N-S	\N	\N	\N	\N	\N	RUA 614	\N	\N	RUA 612	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5783	RUA 131	004257	RUA	\N	I05/J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5784	RUA 133	004258	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5785	RUA 135	004293	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5786	RUA 137	004292	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5787	RUA 139	004291	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5788	RUA 141	004290	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5789	RUA 143	004289	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5790	RUA 145	004288	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5792	RUA 517	004261	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5793	RUA 513	004259	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ IICONJUNTO CEARÁ II	\N	\N
5795	RUA 147	004287	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5796	RUA 149	004285	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5797	RUA 151	004286	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5798	RUA 109	004299	RUA	\N	I05/J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5799	RUA 107	004300	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5800	RUA 105	004337	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5801	RUA 103	004362	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5802	RUA 101	004366	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5804	RUA 733	003819	RUA	\N	I05/J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5805	RUA 731	003818	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5806	RUA 729	003817	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5807	RUA 727	003816	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5808	RUA 725	003815	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5809	RUA 723	003814	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5810	RUA 721	003800	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5811	RUA 719	003799	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5812	RUA 717	003798	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5813	RUA 715	003797	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5814	RUA 753	003807	RUA	\N	I05/J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5815	RUA 713	003796	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5816	RUA 854	003853	RUA	\N	I05/I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5817	RUA 852	003854	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5818	RUA 850	003855	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5819	RUA 848	003856	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5820	RUA 846	003857	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5821	RUA 844	003858	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5822	RUA 842	003859	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5823	RUA 840	003860	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5824	RUA 838	003843	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5825	RUA 836	003842	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5826	RUA 834	003841	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5827	RUA 832	003840	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5828	RUA 830	003839	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5829	RUA 828	003838	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5830	RUA 826	003837	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5831	RUA 824	003836	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5832	RUA 822	003835	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5833	RUA 820	003834	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5834	RUA 818	003833	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5835	RUA 816	003832	RUA	\N	I05/I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5836	AV. MINISTRO ALBUQUERQUE LIMA	003866	AVENIDA	MINISTRO	I05/I04	L-O	5520/1981	09/12/81	\N	\N	\N	(004220) AV. C	\N	(003899) AV. A	(003901) AV. I	(007255) AV. J	\N	\N	\N	\N	CONJUNTO CEARÁ II /CONJUNTO CEARÁ I	\N	\N
5837	AVENIDA A	003899	AVENIDA	\N	I05/J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I/CONJ.CEARÁ II	\N	\N
5838	RUA 602	004361	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5840	RUA 541 E	004278	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5841	RUA 511	004279	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5842	RUA 509	004280	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5843	RUA 507	004281	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5844	RUA 505	004282	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5845	RUA 503	004283	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5846	RUA 501	004284	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5847	RUA 541 D	004277	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5848	RUA 541 C	004276	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5849	RUA 541 B	004275	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5850	RUA 541 A	004274	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5852	RUA 539	004272	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ II	\N	\N
5853	RUA 204	008607	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5854	RUA 206	004340	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5855	RUA 208	004347	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5856	RUA 210	004357	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5857	RUA 212	004367	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5860	RUA 1167	007290	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5862	RUA 202 A	004345	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5863	RUA 202 B	004346	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5864	RUA 202 C	004351	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5865	RUA 202 D	004373	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5866	RUA 202	004339	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5868	RUA 218 B	004342	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5870	RUA 218 A	004344	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5871	RUA 218 C	004343	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5874	RUA 220	004350	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5875	RUA 222	004317	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5876	RUA 224	004318	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5877	RUA 226	004349	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5878	RUA 228	004356	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5879	RUA 230	004358	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5880	RUA 232	004359	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5881	RUA 234	004360	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5885	RUA 614	004322	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5886	RUA 612	004323	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5887	RUA 610	004320	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5888	RUA 616	006190	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5889	RUA 608	004321	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5890	RUA 618	004334	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5891	RUA 606	004364	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5892	RUA 620	004348	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5893	RUA 604	004365	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5894	RUA 622	004363	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5895	AVENIDA D	004315	AVENIDA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I /GENIBAU	\N	\N
5896	RUA ALVES BATISTA	006218	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAU	\N	\N
5897	RUA ITAPERUNA	005822	RUA	\N	I05/I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAU	\N	\N
5898	RUA HUMAITA	006217	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
5899	RUA DAS BALSAS	022538	RUA	\N	I05/I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAU	\N	\N
5901	RUA 1165	007289	RUA	\N	I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5902	AVENIDA I	003901	AVENIDA	\N	I05/i06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I /GENIBAU	\N	\N
5906	SD	040351	RUA	\N	I06	L-O	\N	\N	\N	\N	\N	RUA 872	\N	\N	RUA 870	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5907	SD	040348	RUA	\N	I06	L-O	\N	\N	\N	\N	\N	RUA 866	\N	\N	RUA 854	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5908	SD	040349	RUA	\N	I06	L-O	\N	\N	\N	\N	\N	ENCONTRO DAS RUAS 802 E 872	\N	\N	RUA 810	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5914	SD	040353	RUA	\N	I06	L-O	\N	\N	\N	\N	\N	RUA MEDINA	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
5915	SD	040350	RUA	\N	I06	L-O	\N	\N	\N	\N	\N	RUA 870	\N	\N	RUA 866	\N	\N	\N	\N	\N	CONJUNTO CEARÁ I	\N	\N
5916	SD	040352	RUA	\N	I06	L-O	\N	\N	\N	\N	\N	RUA MACEIÓ	\N	\N	MURO	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
5917	RUA PADRE ANTÔNIO NUNES GURGEL	007591	RUA	PADRE	I06/J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII / GENIBAÚ	\N	\N
5918	RUA SÃO JOÃO	009136	RUA	SÃO	I06/J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII / GENIBAÚ/BONSUCESSO	\N	\N
5919	RUA DR. SEIXAS	008243	RUA	DOUTOR	I06/J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII / GENIBAÚ/BONSUCESSO	\N	\N
5920	RUA DONZELA	020376	RUA	\N	I06/J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII/BONSUCESSO	\N	\N
5921	RUA E	009299	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
5922	RUA B	009302	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
5923	RUA C	009301	RUA	\N	I06	\N	\N	\N	\N	\N	\N	5	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
5924	RUA A	022325	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
5925	AV. DIOGO CORREIA	022901	AVENIDA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
5926	RUA E	009299	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
5927	TRAV. DIOGO CORREIA	003907	TRAVESSA	\N	I06	L-O	\N	\N	\N	\N	001056	RUA DIOGO CORREIA	004624	RUA SÃO GREGÓRIO	\N	\N	9583133	545592	9583098	545521	JOÃO XXIII	\N	\N
5928	TRAV. SÃO GREGERIO	023240	TRAVESSA	SÃO	I06	L-O	\N	\N	\N	\N	001056	RUA DIOGO CORREIA	004624	RUA SÃO GREGÓRIO	\N	\N	9583121	545598	9583087	545527	JOÃO XXIII	\N	\N
5929	RUA SÃO GREGERIO	001490	RUA	SÃO	I06/J06	N-S	\N	\N	\N	\N	003899	AV. A CJ. CEARÁ	008584	RUA VALDEMAR HOLANDA	\N	\N	9583134	545502	9582946	545598	JOÃO XXIII	\N	\N
5931	RUA WALDEMAR HOLANDA	008584	RUA	\N	I06/J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII / BONSUCESSO	\N	\N
5932	RUA DÉCIO DE CASTRO	007081	RUA	\N	I06/J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII/BOMSUCESSO	\N	\N
5933	RUA MANOEL ANTÔNIO LEITE	004480	RUA	\N	I06/J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII / BONSUCESSO	\N	\N
5934	RUA BUENO	000448	RUA	\N	I06	N-S	\N	\N	\N	\N	008584	RUA VALDEMAR HOLANDA	\N	VEGETAÇÃO	\N	\N	9583198	545277	9582884	545037	JOÃO XXIII	\N	\N
5936	RUASEBASTIÃO DE SOUSA	009396	RUA	\N	I06/J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO/GRANJA PORTUGAL	\N	\N
5937	RUA TAUBATÉ	003353	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
5938	RUA CACHOEIRA DOURADA	009358	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO / GENIBAÚ	\N	\N
5939	RUA 701	003790	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5940	RUA 703	003791	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5941	RUA 705	003792	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5942	RUA 707	003793	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5943	RUA 709	003799	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5944	RUA 711	003795	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5945	RUA 713	003796	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5946	RUA 755	003806	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5947	RUA 757	003805	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5948	RUA 761	003803	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5949	RUA 759	003804	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5950	RUA 763	003802	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5951	RUA 765	003809	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5952	RUA 767	003801	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
5953	TRAV. CUNHA	022829	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
5954	RUA CACILDA BECKER	000634	RUA	\N	I06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
5955	TRAV. SUCUPIRA	020701	TRAVESSA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
5956	RUA VALDEMAR HOLANDA	008584	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ / JOÃO XXIII	\N	\N
5957	TRAV. WALDER HOLANDA	024600	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
5958	BECO DA LURDES	023687	BECO	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
5959	RUA BORBA GATO	000583	RUA	\N	I06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
5961	RUA 864	003848	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5962	RUA 862	003849	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5963	RUA 860	003850	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5964	RUA 858	003851	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5965	RUA 856	003852	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5968	VILA ELÍPIA	022965	VILA	\N	I06	L-O	\N	\N	\N	\N	003047	RUA AUDISIO PINHEIRO	\N	EDIFICAÇÃO	\N	\N	9583640	545195	9583650	545141	JOÃO XXIII	\N	\N
5969	TRAV. GÉNOVA	023194	TRAVESSA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
5970	RUA 872	003844	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5972	RUA 866	003847	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5973	RUA 868	003846	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5974	RUA 870	003845	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5978	TRAV. GATO BORBA	022608	TRAVESSA	\N	I06	L-O	\N	\N	\N	\N	001056	RUA DIOGO CORREIA	\N	FIM DO LOTEAMENTO	\N	\N	9583561	545387	9583429	545113	JOÃO XXIII	Na Lei a via inicia-se na Rua Calcida Becker.	\N
5979	VILA JAGUAR	023404	VILA	\N	I06	L-O	\N	\N	\N	\N	003047	RUA AUDISIO PINHEIRO	\N	VIA NÃO DEFINIDA	\N	\N	9583532	545216	9583496	545146	JOÃO XXIII	\N	\N
5980	VILA IDEAL	001626	VILA	\N	I06	L-O	\N	\N	\N	\N	003047	RUA AUDISIO PINHEIRO	\N	EDIFICAÇÃO	\N	\N	9583577	545197	9583574	545160	JOÃO XXIII	\N	\N
5982	RUA ARACRUZ	022464	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XIII	\N	\N
5983	TRAV. MARÍLIA	023807	TRAVESSA	\N	I06	L-O	\N	\N	\N	\N	\N	RUA RAPOSO LINHARES	\N	TRAV. ARACRUZ	\N	\N	9583411	545197	9583384	545159	JOÃO XXIII	\N	\N
5984	VILA PENHA	024150	VILA	\N	I06	L-O	\N	\N	\N	\N	002259	RUA MACEIÓ	\N	EDIFICAÇÃO	\N	\N	9583427	545352	9583401	545328	JOÃO XXIII	\N	\N
5985	RUA DIOGO CORREIA	001056	RUA	\N	I06/I07	N-S	\N	\N	\N	\N	000828	RUA CHUÍ	000111	RUA MARIA QUINTELA	\N	\N	9583611	545398	9582717	545795	JOÃO XXIII	\N	\N
15915	\N	040914	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	022472	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
5987	TRAV.COREADO	022804	TRAVESSA	\N	I06	N-S	\N	\N	\N	\N	\N	TRAV. MARILIA	\N	VIA NÃO DEFINIDA	\N	\N	9583388	545186	9583350	545200	JOÃO XXIII	\N	\N
5988	TRAV. RAPOSO	024239	TRAVESSA	\N	I06	L-O	\N	\N	\N	\N	020376	RUA DONZELA	\N	RUA RAPOSO TAVARES	\N	\N	9583335	545187	9583344	545158	JOÃO XXIII	\N	\N
5990	RUA 814	003831	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5991	RUA 812	003830	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5992	RUA 810	003829	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5993	RUA 808	003828	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5994	RUA 806	003827	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5995	RUA 804	003826	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5996	RUA 802	003825	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
5997	RUA QUINTELA	024213	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAU	\N	\N
5999	RUA BOA VISTA	000563	RUA	\N	I06/I07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE/JOÃO XXIII	\N	\N
6000	VILA VANDA	024518	VILA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6001	VILA JACINTO	023397	VILA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6004	TRAV. EURICO MEDINA	023017	TRAVESSA	\N	I06	L-O	\N	\N	\N	\N	003562	RUA VITÓRIA (PERIMETRAL)	003167	RUA EURICO MEDINA	\N	\N	9583555	545564	9583591	545491	JOÃO XXIII	\N	\N
6005	TRAV. VIRNA	024587	TRAVESSA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
6011	RUA SANTA FILOMENA	001837	RUA	SANTA	I06	N-S	4614/75	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6012	VILA RAIMUNDO	024234	VILA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6013	VILA ROSA	024302	VILA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6015	TRAV. BEIRA RIO	022567	TRAVESSA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAÚ	\N	\N
6016	AVENIDA PORTO VELHO	002926	RUA	\N	I06/I07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE/JOÃO XXIII	\N	\N
6017	V. ALEXANDRE	022373	VILA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6020	RUA GENTIL CARDOSO	006210	RUA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GENIBAU	\N	\N
6022	RUA RICARDO PONTES	006211	RUA	\N	I06	N-S	\N	\N	\N	\N	\N	RUA PORTO DAS ROSAS	\N	\N	AVENIDA I	\N	\N	\N	\N	\N	GENIBAU	\N	\N
6029	TRAV. PORTO VELHO	024191	TRAVESSA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6030	VILA ANGÉLICA LIMA	022430	VILA	\N	I06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6031	SD	040355	RUA	\N	I07	L-O	\N	\N	\N	\N	\N	RUA NOEL ROSA	\N	\N	MURO	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
6032	SD	040356	RUA	\N	I07	N-S	\N	\N	\N	\N	\N	RUA PORTO VELHO	\N	\N	RUA BOA VISTA	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
6033	SD	040357	RUA	\N	I07	L-O	\N	\N	\N	\N	\N	SD (040356)	\N	\N	MURO	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
6034	SD	040358	RUA	\N	I07	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	SD (040357)	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
6035	SD	040359	RUA	\N	I07	L-O	\N	\N	\N	\N	\N	RUA GUARANI	\N	\N	RUA TUPI	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6037	SD	040360	RUA	\N	I07	L-O	\N	\N	\N	\N	\N	RUA PROF. MIRANDA DA PONTE	\N	\N	MURO	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
6039	SD	040354	RUA	\N	I07	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA JOAQUIM MANOEL MACEDO	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
6040	RUA ALVARO DE ANDRADE	000179	RUA	\N	I07 J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII / BONSUCESSO	\N	\N
6042	RUA PADRE SÁ LEITÃO	003171	RUA	PADRE	I07	N-S	1671/60	16/12/1960	\N	\N	002865	ESTRADA DO PICI	000977	RUA CUIABÁ	RUA BOA VISTA	RUA JOSÉ GASPAR	9584758	546805	9583015	545881	JOÃO XXIII	\N	Na lei a via termina na Av. Brasília
6047	RUA MENINO JESUS DE PRAGA	007466	RUA	\N	I07/J07	N-S	5230/79	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII/BONSUCESSO	\N	\N
6048	RUA PEDRO DE ARAUJO	002806	RUA	\N	I07/J07	N-S	\N	\N	\N	\N	000563	RUA BOA VISTA	002056	RUA JULIO BRAGA	\N	\N	9583199	546435	9582909	546266	JOÃO XXIII	\N	\N
6050	RUA MONSENHOR VICENTE MARTINS	003588	RUA	MONSENHOR	I07/J07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII/ HENRIQUE JORGE	\N	\N
6161	PRAÇA NEY REBOUÇAS	023941	PRAÇA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6051	AVENIDA LINEU MACHADO	002171	AVENIDA	\N	I07/J07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII  / JOQUEI CLUBE/BOM SUCESSO	\N	\N
6052	RUA DES. FELIX CÂNDIDO	001266	RUA	DESEMBARGADOR	I07/J07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBEBONSUCESSO/JOÃO XXIII	\N	\N
6053	VILA JOÃO XXIII	020375	VILA	\N	I07	N-S	\N	\N	\N	\N	\N	MURO	000358	RUA ARARIPE MACEDO	\N	\N	9583335	546500	9583288	546475	JOÃO XXIII	\N	\N
6059	TRAV. SÃO JOSE	023494	TRAVESSA	SÃO	I07/O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE/MESSEJANA	\N	\N
6061	TRAV. BRUSQUE	000781	TRAVESSA	\N	I07	N-S	\N	\N	\N	\N	003459	RUA 30 DE OUTUBRO	002509	RUA MOZART FIRMEZA	\N	\N	9583730	546641	9583623	546587	JOÃO XXIII	A via não se encontra no Bairro João XXIII e sim no Bairro Henrique Jorge.	\N
6062	RUA DR. JULIO MACIEL	008396	RUA	DOUTOR	I07	N-S	4568/75	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII/ HENRIQUE JORGE	\N	\N
6064	RUA PROCION	002948	RUA	\N	I07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6065	TRAV. 30 DE OUTUBRO	003460	TRAVESSA	\N	I07/I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6066	RUA DATIVA BARRETO	006399	RUA	\N	I07	N-S	5009/78	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6070	RUA CACILDA BECKER (PERIMETRAL)	000634	RUA	\N	I07	N-S	\N	\N	\N	\N	000828	RUA CHUÍ	003556	RUA VERBENA	\N	\N	9583555	545477	9582715	545874	JOÃO XXIII	\N	Na Lei a via termina na Rua Júlio Braga.
6071	RUA ELIZEU VIANA	001975	RUA	\N	I07/J07	N-S	\N	\N	\N	\N	001409	RUA JOAQUIM M DE MACEDO	002056	RUA JULIO BRAGA	\N	\N	9583233	545713	9582889	545888	JOÃO XXIII	\N	\N
6072	AVENIDA VISCONDE DE CAUIPE	000784	AVENIDA	VISCONDE	I07/J07	N-S	1671/60	16/12/1960	D.O.M- 3.2	28/05/65	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII / JOQUEI CLUBE	\N	\N
6073	VILA EDSON	022953	VILA	\N	I07	L-O	\N	\N	\N	\N	\N	CONSTRUÇÃO	003487	RUA TUPI	\N	\N	9583032	546116	9583049	546081	JOÃO XXIII	\N	\N
6074	RUA 12 DE JULHO	001099	RUA	\N	I07/J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII/BONSUCESSO	\N	\N
6075	TRAV. PEDRO DE ARAUJO	003903	TRAVESSA	\N	I07	L-O	\N	\N	\N	\N	008396	RUA JULIO MACIEL	003426	RUA TORRES	\N	\N	9583100	546471	9583135	546400	JOÃO XXIII	\N	\N
6077	RUA DES. GOMES PARENTE	001462	RUA	DESEMBARGADOR	I07/J07	\N	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII /JOQUEI CLUBE	\N	\N
6078	RUA ARARIPE MACEDO	000358	RUA	\N	I07/ J08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII / JOQUEI	\N	\N
6079	RUA ALUÍSIO AZEVEDO	000165	RUA	\N	I07/ I08	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6081	RUA PERDIGÃO DE OLIVEIRA	002842	RUA	\N	I07/J08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII/JOQUEI CLUBE	\N	\N
6184	RUA DR. JOÃO MORAIS	001827	RUA	DOUTOR	I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6083	TRAV. RIO DE JANEIRO	003081	TRAVESSA	\N	I07	L-O	\N	\N	\N	\N	001409	RUA JOAQUIM M DE MACEDO	002259	RUA MACEIÓ	\N	\N	9583329	545762	9583381	545383	JOÃO XXIII	\N	\N
6086	VILA TEREZA CRISTINA	024454	VILA	\N	I07	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	003487	RUA TUPI	\N	\N	9583466	546347	9583482	546318	JOÃO XXIII	\N	\N
6087	V. PADRE CICERO	022749	VILA	PADRE	I07	L-O	\N	\N	\N	\N	001518	RUA GUARANI	\N	EDIFICAÇÃO	\N	\N	9583446	546376	9583462	546345	JOÃO XXIII	\N	\N
6089	V. PADRE MAXIMILIANO	020438	VILA	PADRE	I07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6091	RUA MOZART FIRMEZA	002509	RUA	\N	I07/I08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE/JOQUEI CLUBE	\N	\N
6092	RUA 30 DE OUTOBRO	003459	RUA	\N	I07/I08	L-O	5378/1981	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6093	TRAV. ROSINHA	003149	TRAVESSA	DONA	I07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6094	TRAV. MINEIRO	023874	TRAVESSA	\N	I07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6095	TRAV. LUCIANO DE QUEIROS	020415	TRAVESSA	\N	I07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6096	VILA JOÃO OSTERNA	023457	VILA	\N	I07	L-O	\N	\N	\N	\N	\N	VEGETAÇÃO	001409	JOAQUIM M DE MACEDO	\N	\N	9583637	545973	9583659	545932	JOÃO XXIII	\N	\N
6101	TRAV. BRIGADEIRO TORRES	020413	TRAVESSA	BRIGADEIRO	I07/I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6104	SD	040363	RUA	\N	I08	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA RIO GRANDE DO SUL	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6105	SD	040362	RUA	\N	I08	L-O	\N	\N	\N	\N	\N	RUA LEONEL CHAVES	\N	\N	RUA SILVEIRA FILHO	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6106	SD	040361	RUA	\N	I08	L-O	\N	\N	\N	\N	\N	ESTRADA DO PICI	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
6107	RUA SDO. FELIX CANDIDO	024386	RUA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6108	VILA BERTOLO	020366	VILA	\N	I08/J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6109	RUA AUGUSTO DE ARAÚJO	000426	RUA	\N	I08	L-O	4686/76	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6111	TRAV. BELO HORIZONTE	020365	TRAVESSA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6113	RUA GUSTAVO CORREIA LIMA	003973	RUA	\N	I08/I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6118	TRAV. D. FELIX CANDIDO	023068	TRAVESSA	DESEMBARGADOR	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6120	RUA MONTE CLARO	002483	RUA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6121	TRAV. MONTE CLARO	009148	TRAVESSA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6122	RUA LEONEL CHAVES	002143	RUA	\N	I08/J09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE/PARANGABA	\N	\N
6123	RUA RIO BRANCO (JOSÉ BASTOS)	003077	RUA	\N	I08/I09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA / JOQUEI	\N	\N
6126	TRAV. DANIEL DE MENDONÇA	009220	TRAVESSA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6127	TRAV. HELENA MARIA	008469	TRAVESSA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6128	TRAV. DONA ESTER BATISTA	023007	TRAVESSA	DONA	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6129	TRAV. MANOEL ESTRADA	023737	TRAVESSA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6130	VILA CRISTINA	020364	VILA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6131	VILA WALDEMAR MOURA	024597	VILA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6134	TRAV. GUILHERME PERDIGÃO	008152	TRAVESSA	\N	I08/J08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
6137	RUA MATIAS DE ALBUQUERQUE	002390	RUA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6139	RUA WALTER SÁ	003687	RUA	\N	I08	L-O	\N	\N	\N	\N	\N	MOZART FIRMEZA	\N	MURO	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	VILA  VALTER SÁ  (mat. 65.356 do CRI 3ª Zona )	\N
6140	RUA JANDAIA	001740	RUA	\N	I08/J09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
6141	RUA GOMES BRASIL	001457	RUA	\N	I08/J09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
6143	RUA AGUAPE	000079	RUA	\N	I08	N-S	1671/1960	16/12/1960	\N	\N	\N	ESTRADA DE CAUCAIA	\N	002865	000977	000358	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6146	RUA MARACANÃ	002309	RUA	\N	I08/J08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
6149	RUA CÂNDIDO HOLANDA	000677	RUA	\N	I08/J08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
6150	RUA REGINOPOLIS	003570	RUA	\N	I08/J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6151	AV. AUGUSTO DOS ANJOS	000427	AVENIDA	\N	I08/ K07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQ. CLUBE / PARANG./ BONSUCES./ VILA PERI	\N	\N
6152	RUA ARARIPE PRATA	000359	RUA	\N	I08/ J08	L-O	4757/76	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE/PARANGABA	\N	\N
6153	RUA MÁRIO DA SILVEIRA	002359	RUA	\N	I08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6154	RUA BENTO LOUSADA	000530	RUA	\N	I08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6155	RUA PLUTÃO	002904	RUA	\N	I08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6157	RUA MELO OLIVEIRA	002416	RUA	\N	I08/J08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6158	RUA RIBEIRO JÚNIOR	007715	RUA	\N	I08/J08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	19 de outubro  conforme a planta de loteamento	\N
6160	RUA SILVEIRA FILHO	003291	RUA	\N	I08/J08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE/PARANGABA	\N	\N
6163	VILA PUMA	003957	VILA	\N	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6165	RUA DIAMANTINA	001049	RUA	\N	I09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
6169	RUA ALAGOAS	000084	RUA	\N	I09	L-O	1671/1960	16/12/1960	\N	\N	\N	(001945) AV. JOSÉ BASTOS	\N	(000455) RUA BAHIA	(001945) AV. JOSÉ BASTOS	(021148) TRAV. PARAÍSO	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
6174	RUA ÚRSULA GARCIA	003511	RUA	\N	I09	N-S	1671/60	16/12/1960	\N	\N	003721	ESTRADA DE FERRO BATURITÉ	000743	AV. CARNEIRO DE MENDONÇA	\N	\N	9583984	548792	9583747	548633	DEMOCRITO ROCHA	\N	\N
6175	RUA JOÃO CAPOTE	001792	RUA	\N	I09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	000743	AV. CARNEIRO DE MENDONÇA	\N	\N	9583948	548864	9583715	548709	DEMOCRITO ROCHA	\N	\N
6176	RUA JOÃO NEPOMUCENO	001829	RUA	\N	I09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
6179	RUA PACAEMBU	009329	RUA	\N	I09	L-O	\N	\N	\N	\N	001792	RUA JOÃO CAPOTE	001836	AV. JOÃO PESSOA	\N	\N	9583842	549003	9583924	548847	DEMOCRITO ROCHA	\N	\N
6180	RUA TEN. MOACIR BASTOS	023886	RUA	TENENTE	I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6182	RUA GENEZARÉ	001405	RUA	\N	I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6183	RUA ELVIRA PINHO	001161	RUA	\N	I09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6185	RUA PROFº TEODORICO	003366	RUA	PROFESSOR	I09/I10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6188	RUA 15 DE NOVEMBRO	002989	RUA	\N	I09/I10	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE / ITAOCA	\N	\N
6190	RUA DOM CARLOTO TÁVORA	000735	RUA	DOM	I09/I10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6191	RUA ELCIAS LOPES	001147	RUA	\N	I09/I10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6192	RUA LÍVINO DE CARVALHO	002183	RUA	\N	I09/J10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6195	RUA CABRAL DE ALENCAR	000630	RUA	\N	I09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6196	RUA PARQUE IPIRANGA	007719	RUA	\N	I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6197	RUA VILA LOBOS	003614	RUA	\N	I09/I10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA / PARANGABA	\N	\N
6198	RUA D. PEDRO II	002829	RUA	DOM	I09/K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
6199	AVENIDA GAL. OSÓRIO DE PAIVA	002689	AVENIDA	GENERAL	I09/O04	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA/CANINDEZINHO/SIQUEIRA	\N	\N
6200	RUA MONS. LEOPOLDO FEITOSA	002146	RUA	MONSENHOR	I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
6201	RUA MUNDICA PAULA	002518	RUA	\N	I09/J10	L-O	4688/76	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6202	RUA JOAQUIM MOREIRA	004027	RUA	\N	I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
6203	RUA CAIO PRADO	008845	RUA	\N	I09/J09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
6337	VILA LETÍCIA	023626	VILA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6207	RUA WILSON PINHEIRO	003697	RUA	\N	I09	\N	3749/70	\N	\N	\N	003308	RUA BARÃO DE SOBRAL	\N	\N	\N	\N	9584030	548877	9583956	548823	DEMOCRITO ROCHA	\N	\N
6209	TRAV. W. DE LIMA	024593	TRAVESSA	\N	I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
6210	TRAV. NEUMA	023938	TRAVESSA	\N	I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
6211	TRAV. S. CLARA	022769	TRAVESSA	SANTA	I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DEMOCRITO ROCHA	\N	\N
6212	VILA NOSSA SRA. DE FÁTIMA	002586	VILA	\N	I09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6218	RUA RAUL CABRAL	003041	RUA	\N	I10/I11	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE/VILA UNIÃO	\N	\N
6221	RUA VENEZUELA	003549	RUA	\N	I10/I11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6234	RUA ELVIRA PINHO	001161	RUA	\N	I10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6236	RUA ISAIE BORIS	001688	RUA	\N	I10/I11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6237	RUA PERU	002860	RUA	\N	I10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE / ITAOCA	\N	\N
6238	RUA TUIUTI	003483	RUA	\N	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6240	RUA ANTÔNIO FIÚZA	000302	RUA	\N	I10/ J10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA / MONTESE	\N	\N
6241	RUA EQUADOR (EXPEDICONÁRIOS)	001175	RUA	\N	I10/J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA/PARANGABA	\N	\N
6247	RUA CÉSAR ROSSAS	000813	RUA	\N	I10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE /ITAOCA	\N	\N
6248	RUA TRÊS MARIAS	003443	RUA	\N	I10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6249	RUA PEDRO MEDEIROS	002814	RUA	\N	I10/I11	N-S	4769/76	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA/MONTESE	\N	\N
6250	RUA JAPÃO	023413	RUA	\N	I10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE / ITAOCA	\N	\N
6251	RUA SORRISO DE MARIA	003322	RUA	\N	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6252	RUA BOA-NOITE	000560	RUA	\N	I10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6253	RUA DA SAUDADE (EXPEDICIONÁRIOS)	005152	RUA	\N	I10/I11	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA / MONTESE	\N	\N
6254	RUA AQUILES BORIS (EXPEDICIONÁRIOS)	000339	RUA	\N	I10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6255	TRAV. SÃO LUCAS	023654	TRAVESSA	SÃO	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6256	TRAV. 19 MARÇO	022105	TRAVESSA	\N	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6257	TRAV. STO. AMARO	022403	TRAVESSA	SANTO	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6258	VILA MACEDO	023713	VILA	\N	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6259	TRAV. VILA AZUL	022505	TRAVESSA	\N	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6260	TRAV.BOA NOITE	003630	TRAVESSA	\N	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6261	VILA STA. INES	001658	VILA	SANTA	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6263	SD	040364	RUA	\N	I10	L-O	\N	\N	\N	\N	\N	RUA ALMIRANTE RUBIM	\N	\N	MURO	\N	\N	\N	\N	\N	MONTESE	\N	\N
6264	SD	040371	RUA	\N	I10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA IRMÃ BAZET	\N	\N	\N	\N	\N	MONTESE	\N	\N
6265	SD	040366	RUA	\N	I10	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA ELCIAS LOPES	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6266	SD	040367	RUA	\N	I10	N-S	\N	\N	\N	\N	\N	RUA DOM CARLOTO TÁVORA	\N	\N	MURO	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6267	SD	040368	RUA	\N	I10	N-S	\N	\N	\N	\N	\N	RUA TUIUTI	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	MONTESE	\N	\N
6268	SD	040369	RUA	\N	I10	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA PEDRO MEDEIROS	\N	\N	\N	\N	\N	MONTESE	\N	\N
6269	SD	040370	RUA	\N	I10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA PEDRO MEDEIROS	EDIFICAÇÃO	\N	\N	\N	\N	MONTESE	\N	\N
6270	RUA DAS PAINEIRAS	002722	RUA	\N	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6271	TRAV. EQUADOR	022985	TRAVESSA	\N	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6272	TRAV. EDMUNDO LINHARES	022950	TRAVESSA	\N	I10/I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6273	TRAV. ISAIAS BORIS	004024	TRAVESSA	\N	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6274	TRAV. VILA LUMINÁ	023685	TRAVESSA	\N	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6276	TRAV. FLAMISTA	001713	TRAVESSA	\N	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6278	PRAÇA N.S. APARECIDA	023953	PRAÇA	\N	I10/I07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE/HERIQUE JORGE	\N	\N
6282	RUA ARTUR FERREIRA	000399	RUA	\N	I11	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6283	TRAV. JOSÉ DO PATROCÍNIO	023535	TRAVESSA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6295	RUA DOMINGOS JAGUARIBE	001079	RUA	\N	I11/I12	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6296	RUA HELVÉCIO MONTE	001560	RUA	\N	I11/I12	L-O	1793/61	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6297	RUA LINEU JUCÁ	002170	RUA	\N	I11/I12	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6298	RUA LIVREIRO GUALTER	001505	RUA	LIVREIRO	I11/I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6299	RUA JORGE SEVERIANO	001920	RUA	\N	I11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6393	VILA ANTÔNIO FERNANDES	004461	VILA	\N	I13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6300	RUA ABEL GARCIA	000012	RUA	\N	I11	N-S	1671/1960	16/12/1960	\N	\N	\N	RUA PADRE AMBRÓSIO MACHADO (000208)	\N	\N	VIA FÉRREA PARANGABA-MUCURIPE (003565)	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6302	RUA ALMIRANTE RUFINO	003159	RUA	ALMIRANTE	I11/I12	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE / VILA UNIÃO	\N	\N
6303	SD	040374	RUA	\N	I11	N-S	\N	\N	\N	\N	\N	RUA HELVÉLCIO MONTE	\N	\N	MURO	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6304	SD	040373	RUA	\N	I11	N-S	\N	\N	\N	\N	\N	RUA ALMIRANTE RUFINO	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6305	RUA MOREIRA GOMES	002500	RUA	\N	I11/I12	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6306	RUA THEODORICO BARROSO	003367	RUA	\N	I11	L-O	1994/62	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE / VILA UNIÃO	\N	\N
6307	RUA VICENTE SPINDOLA	003600	RUA	\N	I11	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE / VILA UNIÃO	\N	\N
6309	AVENIDA LAURO VIEIRA CHAVES	002120	AVENIDA	\N	I11/J12	L-O	3215/66	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE / VILA UNIÃO / ITAOCA/AEROPORTO	\N	\N
6310	TRAV. MOREIRA GOMES	004524	TRAVESSA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6311	RUA FELÍCIO DE SOUZA	023064	RUA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6316	RUA EDMUNDO LINHARES	001751	RUA	\N	I11	N-S	7826/95	29/11/95	10742/1995	29/11/1995	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6317	SD	040372	RUA	\N	I11	N-S	\N	\N	\N	\N	\N	RUA EDUARDO ANGELIM	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6318	TRAV. MARIANA	002499	TRAVESSA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6319	RUA OTONI LOPES DE OLIVEIRA	009330	RUA	VEREADOR	I11	N-S	7837/1995	29/11/1995	9597/95	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	ANTES  HOUVE A LEI 7611/1994 COM A DENOMINAÇÃO DE OTONI LOPES DE OLIVEIRA A TUAL QUE ACRESCENTOU O TITULO DE VEREADOR.	\N
6320	TRAV. EDUARDO ANGELIM	001132	TRAVESSA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6321	TRAV. LAURO VIEIRA CHAVES	023618	TRAVESSA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6322	RUA MIMOSA	002450	RUA	\N	I11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE /ITAOCA	\N	\N
6323	TRAV. VILA CASTILHO	005154	TRAVESSA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6324	TRAV. IBITINGA	000070	TRAVESSA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6325	TRAV. LUIZ OLIVEIRA	023680	TRAVESSA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6326	TRAV. MILITAR	000054	TRAVESSA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6330	TRAV. VENEZUELA	024531	TRAVESSA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6331	BECO VENEZUELA	024530	BECO	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6332	BECO SÃO FRANCISCO	023126	BECO	SÃO	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6335	TRAV. VILA MEDEIROS	002408	TRAVESSA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6338	VILA MARIANA	002499	VILA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6339	PRAÇA JOSÉ FCO. CADETE	023538	PRAÇA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	\N
6340	PRAÇA DO VAQUEIRO (BRIGADEIRO EDUARDO GOMES)	024519	PRAÇA	\N	I11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
6341	RUA ALBERTO MONTEZUMA	000101	RUA	\N	I12	N-S	1671/1960	16/12/1960	\N	\N	\N	(000208) RUA PE. AMBRÓSIO MACHADO	\N	VIA FÉRREA PARANGABA-MUCURIPE	(001714) RUA JAÚ	(001920) RUA JORGE SEVERIANO	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6343	RUA JORGE ACURCIO	001914	RUA	\N	I12	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6345	RUA ENG. EDMUNDO ALMEIDA FILHO	001130	RUA	ENGENHEIRO	I12	N-S	4346/74	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6347	SD	040377	RUA	\N	I12	L-O	\N	\N	\N	\N	\N	CAMINHO	\N	\N	RUA MOACIR MACHADO	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6348	RUA 13 DE ABRIL	003448	RUA	\N	I12	L-O	3729/69	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO/VILA UNIÃO	\N	\N
6349	RUA GONÇALO SOUTO	001469	RUA	\N	I12	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6353	RUA EPAMINONDAS FROTA	001171	RUA	\N	I12	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6354	TRAV. CAMARI	022665	TRAVESSA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6355	RUA MOACIR MACHADO	002468	RUA	\N	I12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6359	RUA JOÃO CÂMARA	001790	RUA	\N	I12	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6360	TRAV. MARTINS SALES (RUA VIA FÉRREA)	004422	TRAVESSA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6363	RUA LAURO VIEIRA	023617	RUA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6364	RUA JOSÉ SEVERIANO	023557	RUA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6365	VILA MUNICIPAL	004423	VILA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6366	TRAV. VALADO	020489	TRAVESSA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6367	TRAV. ACURCIO	023489	TRAVESSA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6369	SD	040375	RUA	\N	I12	L-O	\N	\N	\N	\N	\N	RUA ALBERTO MONTEZEUMA	\N	\N	MURO	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6370	SD	040376	RUA	\N	I12	L-O	\N	\N	\N	\N	\N	RUA MOACIR MACHADO	\N	\N	RUA ALMIRANTE RUFINO	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6372	TRAV. DA FELICIDADE	023063	TRAVESSA	\N	I12/J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO/AEROPORTO	\N	\N
6373	RUA 1	022019	RUA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6374	RUA 2	022119	RUA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6375	RUA 3	022172	RUA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6376	RUA 4	022208	RUA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6377	RUA 5	022228	RUA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6378	RUA 6	022246	RUA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6379	RUA 7	022262	RUA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6380	RUA 8	022281	RUA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6381	BECO DO QUARENTA	024210	BECO	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6383	TRAV. EDNA	022951	TRAVESSA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6384	TRAV. D'ARC	022873	TRAVESSA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6385	TRAV. EPAMINONDAS	022984	TRAVESSA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6387	PRAÇA JORGE VIEIRA	023491	PRAÇA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6388	PARQUE LAGOA DO OPAIA	023611	PARQUE	\N	I12/J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
6389	VILA ZÉ ALVES	024615	VILA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6390	VILA UNIÃO ATLÉTICO CLUBE	024501	VILA	\N	I12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	\N
6394	RUA CAPITÃO ARAGÃO	000352	RUA	CAPITÃO	I13/I14	O-L	1671/60	16/12/1960	\N	\N	007189	BR 116 (BR 13)	008921	AV. DR. RAUL BARBOSA	\N	\N	9583794	553534	9583986	554579	ALTO DA BALANCA	\N	Na Lei esta Rua tem fim na Rua Tenente Barbosa.
6397	SD	040378	RUA	\N	I13	O-L	\N	\N	\N	\N	\N	MURO	\N	\N	RUA CAPITÃO VASCONCELOS	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6398	RUA DJALMA PETIT	001061	RUA	\N	I13/I14	O-L	1671/60	16/12/1960	\N	\N	007189	BR 116 (BR 13)	008921	AV. DR. RAUL BARBOSA	\N	\N	9583687	553559	9583886	554560	ALTO DA BALANCA	\N	Na Lei esta Rua tem fim nas Salinas.
6399	RUA CAPITÃO URUGUAI	003514	RUA	CAPITÃO	I13/I14	O-L	1671/60	16/12/1960	\N	\N	007189	BR 116 (BR 13)	000547	RUA TENENTE BEZERRA	\N	\N	9583598	553579	9583792	554486	ALTO DA BALANCA	\N	Na Lei esta Rua tem fim na Rua Lagamar.
6400	SD	040379	RUA	\N	I13	L-O	\N	\N	\N	\N	\N	AV. VISCONDE DO RIO BRANCO	\N	\N	RUA ZEROMÃO ARAÚJO	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
6401	TRAV.  SANTOS DUMONT	004100	TRAVESSA	\N	I13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	acesso pelo número 163 da Rua Tenente Roma
6402	RUA TENENTE ROMA	003124	RUA	TENENTE	I13/I14	O-L	1671/60	16/12/1960	\N	\N	007189	BR 116 (BR 13)	008921	AV. DR. RAUL BARBOSA	\N	\N	9583497	553604	9583682	554553	ALTO DA BALANCA	\N	Na Lei esta Rua tem fim nas Salinas.
6403	TRAV. VILA ÍCARO	004421	TRAVESSA	\N	I13	O-L	\N	\N	\N	\N	003543	RUA CAPITÃO VASCONCELOS	\N	EDIFICAÇÃO (MERCADO MUNICIPAL DA AEROLÂNDIA)	\N	\N	9583469	553724	9583482	553777	ALTO DA BALANCA	\N	\N
6404	TRAV. VASCONCELOS	024523	TRAVESSA	\N	I13	O-L	\N	\N	\N	\N	003543	RUA CAPITÃO VASCONCELOS	\N	EDIFICAÇÃO (MERCADO MUNICIPAL DA AEROLÂNDIA)	\N	\N	9583469	553724	9583455	553665	ALTO DA BALANCA	\N	\N
6474	RUA WE 2	008989	RUA	\N	I15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6405	RUA CAPITÃO CLOVIS MAIA	000875	RUA	CAPITÃO	I13	O-L	1671/60	16/12/1960	\N	\N	007189	BR 116 (BR 13)	008921	AV. DR. RAUL BARBOSA	\N	\N	9583398	553630	9583582	554504	ALTO DA BALANCA	\N	Na Lei esta Rua tem fim na Rua Lagamar.
6406	TRAV. FLAMENGO	001296	TRAVESSA	\N	I13	O-L	1671/60	16/12/1960	\N	\N	003543	RUA CAPITÃO VASCONCELOS	002637	RUA CAPITÃO OLAVO	\N	\N	9583288	553756	9583296	553882	AEROLANDIA	\N	\N
6407	TRAV. PESSOA	024160	TRAVESSA	\N	I13	O-L	\N	\N	\N	\N	007189	BR 116	003543	RUA CAPITÃO VASCONCELOS	\N	\N	9583266	553668	9583302	553754	AEROLANDIA	\N	\N
6409	TRAV. BRASÍLIA	008202	TRAVESSA	\N	I13	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003079	024631	\N	\N	\N	\N	AEROLANDIA	\N	\N
6410	BR - 116	007189	RODOVIA	\N	I13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA/AEROLANDIA/AEROPORTO	\N	\N
6411	RUA AUGUSTO SEVERO	004008	RUA	\N	I13	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001672	024631	\N	\N	\N	\N	AEROLANDIA	\N	\N
6412	RUA ZEROMÃO ARAÚJO	001672	RUA	\N	I13/J13	\N	5837/84	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
6413	VILA GOMES	024631	VILA	\N	I13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA/AEROPORTO	\N	\N
6415	RUA TENENTE JOÃO ALBANO	001776	RUA	TENENTE	I13	O-L	1671/60	16/12/1960	\N	\N	007189	BR 116	008921	AV. DR. RAUL BARBOSA	\N	\N	9583030	553733	9583137	554291	AEROLANDIA	\N	Na Lei esta Rua tem fim na Rua da Asa.
6416	RUA TENENTE JAIME ANDRADE	001734	RUA	TENENTE	I13	O-L	1671/60	16/12/1960	\N	\N	007189	BR 116	008921	AV. DR. RAUL BARBOSA	\N	\N	9583119	553709	9583245	554353	AEROLANDIA/ALTO DA BALANCA	\N	Na Lei esta Rua tem fim na Rua Lagamar.
6419	SD	040380	RUA	\N	I13	O-L	\N	\N	\N	\N	\N	RUA ASPIRANTE MENDES	\N	\N	MURO	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6420	SD	040381	RUA	\N	I13	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA TENENTE ROMA	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6421	RUA PINDORAMA	002869	RUA	\N	I14/J15	O-L	\N	\N	\N	\N	\N	MARGEM DO RIO COCÓ	003121	AV.  ROGACIANO LEITE	\N	\N	\N	\N	\N	\N	SALINAS/ENG. LUCIANO CAVALCANTE	\N	Na Lei esta Av. inicia-se na Rua Thompson Bulcão e termina na Rua Luiza Miranda Coelho (Rua Galiléia)
6422	RUA 5	000844	RUA	\N	I14 -I15	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO(PARQUE DO COCÓ)	005298	RUA JULIA SALES	\N	\N	9583167	555102	9583121	555331	SALINAS	\N	\N
6599	RUA I	023298	RUA	\N	I17/I18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6423	AVENIDA 1	006494	AVENIDA	\N	I14/I15	N-S	\N	\N	\N	\N	001346	RUA FRANCISCO MARQUES	007120	RUA PINDEREMIRIM	\N	\N	9583298	555227	9582908	555147	SALINAS	\N	Esta Rua se apresenta parcialmente invadida pela vegetação.
6424	RUA 6	020448	RUA	\N	I14/I15	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO(PARQUE DO COCÓ)	005298	RUA JULIA SALES	\N	\N	9583249	555088	9583201	555347	SALINAS	\N	\N
6425	RUA FRANCISCO MARQUES	001346	RUA	\N	I14/I15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SALINAS	\N	\N
6426	TRAV. SÃO RAIMUNDO	024226	TRAVESSA	SÃO	I14/M06	N-S	\N	\N	\N	\N	000875	RUA CAPITÃO CLÓVIS MAIA	003694	RUA TENENTE WILSON	\N	\N	9583552	554349	9583445	554362	ALTO DA BALANCA/CANINDEZINHO	\N	\N
6427	VILA DOMINICA	022918	VILA	\N	I14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6428	TRAV. S. JOSÉ	001924	TRAVESSA	SÃO	I14	N-S	\N	\N	\N	\N	003514	RUA CAPITÃO URUGUAI	003124	RUA TENENTE ROMA	\N	\N	9583762	554399	9583665	554418	ALTO DA BALANCA	\N	\N
6429	TRAV. PARAJURU	004094	TRAVESSA	\N	I14	N-S	\N	\N	\N	\N	000352	RUA CAPITÃO ARAGUÃO	001061	RUA DJALMA PETIT	\N	\N	9583895	554172	9583817	554188	ALTO DA BALANCA	\N	\N
6432	AVENIDA GENERAL MURILO BORGES	002522	AVENIDA	GENERAL	I14/I15	O-L	5875/84	\N	\N	\N	008921	AV. RAUL BARBOSA	003121	AV.  ROGACIANO LEITE	\N	\N	9583986	554579	9583564	555893	ENG. LUCIANO CAVALCANTE/SALINAS	\N	\N
6433	SD	040382	RUA	\N	I14	N-S	\N	\N	\N	\N	\N	RUA TENENTE ROMA	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6437	RUA PURIFICAÇÃO	020877	RUA	\N	I14	O-L	\N	\N	\N	\N	001733	TRAV. JAIME ANDRADE	008921	AV. DR. RAUL BARBOSA	\N	\N	9583162	554087	9583214	554339	AEROLANDIA	\N	\N
6438	TRAV. JAIME ANDRADE	001733	TRAVESSA	\N	I14	N-S	\N	\N	\N	\N	001734	RUA TEN. JAIME ANDRADE	001776	RUA TEN. JOÃO ALBANO	\N	\N	9583195	554082	9583101	554098	AEROLANDIA	\N	\N
6439	BECO DO ESCORREGO	022990	BECO	\N	I14	O-L	\N	\N	\N	\N	002421	RUA ASPIRANTE MENDES	001419	RUA DA ASA	\N	\N	9583222	554021	9583260	554175	AEROLANDIA	\N	\N
6440	TRAV. ALEGRETE	004087	TRAVESSA	\N	I14	N-S	\N	\N	\N	\N	022990	BECO DO ESCORREGO	001734	RUA TEN. JAIME ANDRADE	\N	\N	9583242	554090	9583198	554099	AEROLANDIA	\N	\N
6441	TRAV. DA ALEGRIA	022298	TRAVESSA	\N	I14	O-L	\N	\N	\N	\N	002421	RUA ASPIRANTE MENDES	008921	AV. DR. RAUL BARBOSA	\N	\N	9583031	554056	9583043	554191	AEROLANDIA	\N	\N
6442	RUA AURÉLIO SAMPAIO	000434	RUA	\N	I14	O-L	1671/60	16/12/1960	\N	\N	007189	BR 116 (BR-13)	008921	AV. DR. RAUL BARBOSA	\N	\N	9582934	553762	9583019	554170	AEROLANDIA	\N	Na Lei esta Rua tem fim na Rua da Asa.
6444	RUA BRIGADEIRO VILELA	003622	RUA	BRIGADEIRO	I14	O-L	1671/60	16/12/1960	\N	\N	007189	BR 116 (BR 13)	001419	RUA DA ASA	\N	\N	9583212	553683	9583312	554168	AEROLANDIA	ANT. RUA DO AVIADOR	\N
6445	RUA TENENTE WILSON	003694	RUA	TENENTE	I14	O-L	1671/60	16/12/1960	\N	\N	007189	BR 116 (BR 13)	008921	AV. DR. RAUL BARBOSA	\N	\N	9583318	553653	9583458	554438	AEROLANDIA/ALTO DA BALANCA	\N	Na Lei esta Rua tem fim na Rua Lagamar.
6447	TRAV. MILANO	004076	TRAVESSA	\N	I14	O-L	\N	\N	\N	\N	001419	RUA DA ASA	008921	AV. DR. RAUL BARBOSA	\N	\N	554163	554163	9583337	554391	AEROLANDIA	\N	\N
6876	VILA MENEZES	023852	VILA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6448	VILA MILANO	004076	VILA	\N	I14	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	004076	TRAV. MILANO	\N	\N	9583380	554216	9583341	554213	AEROLANDIA	\N	\N
6449	TRAV. RAUL BARBOSA	020876	TRAVESSA	\N	I14	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO	008921	AV. DR. RAUL BARBOSA	\N	\N	9583393	554300	9583371	554405	AEROLANDIA	\N	\N
6455	RUA PILOTO	000591	RUA	\N	I14	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6458	RUA TENENTE BARBOSA	000473	RUA	TENENTE	I14	N-S	1671/60	16/12/1960	\N	\N	003326	RUA SOUSA PINTO	003694	RUA TEN. WILSON	\N	\N	9584107	554187	9583434	554300	ALTO DA BALANCA	\N	Na Lei esta Rua tem início na Rua Campo Verde(Hoje Rua José Buson) e fim na Rua Lagamar
6459	TRAV. ARAGÃO	000351	TRAVESSA	\N	I14	N-S	\N	\N	\N	\N	001949	RUA JOSÉ BUSON	000352	RUA CAPITÃO ARAGUÃO	\N	\N	9584025	554277	9583917	554296	ALTO DA BALANCA	\N	\N
6460	RUA ALECRIM	000113	RUA	\N	I14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6461	RUA HERMÍNIO BARBOSA	023285	RUA	\N	I14	N-S	1671/60	16/12/1960	\N	\N	\N	003188	\N	RUA CAMPO VERDE	003563	000352	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6462	RUA MUNDAÚ	002517	RUA	\N	I14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6463	SD	040383	RUA	\N	I14	N-S	\N	\N	\N	\N	\N	RUA MUNDAÚ	\N	\N	RUA CAPITÃO ARAGÃO	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6464	RUA CURUPI	022847	RUA	\N	I14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6465	V. INTEGRAL	023332	VILA	\N	I14	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6466	RUATEN. BEZERRA	000547	RUA	TENENTE	I14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6467	RUA T. B.	024434	RUA	\N	I14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6468	VILA REAL	024241	VILA	\N	I14	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6469	VILA RAÍZ	024236	VILA	\N	I14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DA BALANCA	\N	\N
6470	PRAÇA DA MANGUEIRA	023725	PRAÇA	ARBITRO	I15	\N	8430/2000	12/04/2000	10791/2000	\N	\N	\N	\N	\N	\N	\N	556136	9583345	\N	\N	ENG. LUCIANO CAVALCANTE	MANGUEIRA, da	\N
6471	PRAÇA 3	022168	PRAÇA	\N	I15	\N	8760/2003	01/09/2003	11516/2003	04/11/2003	\N	\N	\N	\N	\N	\N	9583285	556335	\N	\N	ENG. LUCIANO CAVALCANTE	A, PRAÇA  OU PRAÇA 03	 (ZÉ BARBEIRO)  3 (CONJ. SANTA LUZIA DO COCÓ)
6472	PRAÇA SD	024380	PRAÇA	FOTOGRAFO	I15	\N	8432/2000	12/04/2000	10792/2000	\N	\N	\N	\N	\N	\N	\N	9583315	556236	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6473	RUA MARIA LUIZA MIRANDA COELHO	023803	RUA	\N	I15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6475	RUA TEODORO DE PAIVA	005195	RUA	\N	I15/J15	N-S	\N	\N	\N	\N	001393	RUA LUIZA MIRANDA COELHO	000322	RUA ANTÔNIO ROCHA	\N	\N	9583086	556116	9582222	555837	ENG. LUCIANO CAVALCANTE	\N	\N
6476	RUA S	004199	RUA	\N	I15	N-S	\N	\N	\N	\N	004194	RUA B	004192	RUA C	\N	\N	9583292	556389	9583241	556372	ENG. LUCIANO CAVALCANTE	\N	\N
6477	RUA R	004204	RUA	\N	I15	N-S	\N	\N	\N	\N	004194	RUA B	004193	RUA DORALICE COSTA	\N	\N	9583304	556353	9583213	556323	ENG. LUCIANO CAVALCANTE	\N	\N
6478	RUA Q	004209	RUA	\N	I15	N-S	\N	\N	\N	\N	004206	RUA DR. THOMPSON BULCÃO	004192	RUA C	\N	\N	9583363	556343	9583262	556310	ENG. LUCIANO CAVALCANTE	\N	\N
6479	RUA P	004203	RUA	\N	I15	N-S	8771/2003	03/10/2003	11708/2004	27/08/2004	004206	RUA THOMPSON BULCÃO	004192	RUA  C	\N	\N	9583378	556308	9583274	556273	ENG. LUCIANO CAVALCANTE	P  - CONJ. SANTA LUZIA DO COCÓ	\N
6480	RUA O	024002	RUA	\N	I15	N-S	\N	\N	\N	\N	004206	RUA DR. THOMPSON BULCÃO	004193	RUA DORALICE COSTA	\N	\N	9583394	556273	9583246	556225	ENG. LUCIANO CAVALCANTE	\N	\N
6481	RUA M	004198	RUA	\N	I15	N-S	\N	\N	\N	\N	004206	RUA DR. THOMPSON BULCÃO	004194	RUA B	\N	\N	9583410	556237	9583349	556217	ENG. LUCIANO CAVALCANTE	\N	\N
6482	RUA K	004208	RUA	\N	I15	N-S	\N	\N	\N	\N	004206	RUA DR. THOMPSON BULCÃO	004194	RUA B	\N	\N	9583425	556202	9583361	556181	ENG. LUCIANO CAVALCANTE	\N	\N
6483	RUA I	004190	RUA	\N	I15	N-S	\N	\N	\N	\N	004206	RUA DR. THOMPSON BULCÃO	004194	RUA B	\N	\N	9583440	556168	9583373	556145	ENG. LUCIANO CAVALCANTE	\N	\N
6484	RUA G	004189	RUA	\N	I15	N-S	\N	\N	\N	\N	004206	RUA DR. THOMPSON BULCÃO	004194	RUA B	\N	\N	9583456	556133	9583385	556110	ENG. LUCIANO CAVALCANTE	\N	\N
6485	RUA F	004191	RUA	\N	I15	N-S	\N	\N	\N	\N	004194	RUA B	004192	RUA C	\N	\N	9583389	556096	9583338	556079	ENG. LUCIANO CAVALCANTE	\N	\N
6486	RUA H	004195	RUA	\N	I15	N-S	\N	\N	\N	\N	004194	RUA B	004192	RUA C	\N	\N	9583377	556133	9583326	556116	ENG. LUCIANO CAVALCANTE	\N	\N
6487	RUA J	004200	RUA	\N	I15	N-S	\N	\N	\N	\N	004194	RUA B	004193	RUA DORALICE COSTA	\N	\N	9583370	556153	9583278	556127	ENG. LUCIANO CAVALCANTE	\N	\N
6488	RUA L	004196	RUA	\N	I15	N-S	\N	\N	\N	\N	004194	RUA B	004192	RUA C	\N	\N	9583356	556195	9583305	556178	ENG. LUCIANO CAVALCANTE	\N	\N
6489	RUA N	004201	RUA	\N	I15	N-S	\N	\N	\N	\N	004194	RUA B	004192	RUA C	\N	\N	9583344	556232	9583293	556215	ENG. LUCIANO CAVALCANTE	\N	\N
6490	RUA GENÁRIO TEIXEIRA	007766	RUA	\N	I15	N-S	\N	\N	\N	\N	006828	RUA DRA. SOCORRO AZEVEDO	004206	RUA DR. THOMPSON BULCÃO	\N	\N	9583433	556408	9583350	556371	ENG. LUCIANO CAVALCANTE	\N	\N
6491	RUA JOÃO NONATO COSTA	007765	RUA	\N	I15	N-S	\N	\N	\N	\N	006828	RUA DRA. SOCORRO AZEVEDO	004206	RUA THOMPSON BULCÃO	\N	\N	9583470	556339	9583383	556298	ENG. LUCIANO CAVALCANTE	\N	\N
6492	RUA VIRGILIO BASTOS DOS SANTOS	007764	RUA	\N	I15	N-S	5289/80	\N	\N	\N	006828	RUA DRA. SOCORRO AZEVEDO	004206	RUA DR. THOMPSON BULCÃO	\N	\N	9583513	556263	9583417	556220	ENG. LUCIANO CAVALCANTE	FRANCISCO PAIXÃO	\N
6493	RUA MANOEL CRUZ	008435	RUA	\N	I15	N-S	5333/80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6494	VILA JOÃO BASTO	023441	VILA	\N	I15	N-S	\N	\N	\N	\N	001492	RUA GONTRAN GIFFONI	006828	RUA DRA. SOCORRO AZEVEDO	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6495	RUA GONTRAN GIFFONI	001492	RUA	\N	I15/I16	O-L	4406/74	\N	\N	\N	003121	AV. ROGACIANO LEITE	002443	AV. CEL.  MIGUEL DIAS	\N	\N	9583789	555994	9583314	556929	GUARARAPES/ENG. LUCIANO CAVALCANTE	\N	\N
6496	RUA DRA. SOCORRO AZEVEDO	006828	RUA	DOUTORA	I15/I16	O-L	4837/77	\N	\N	\N	\N	PARQUE DO COCÓ	004205	RUA REV. BOLIVAR PINTO BANDEIRA	\N	\N	9583751	555807	9583399	556476	SALINAS/ENG. LUCIANO CAVALCANTE	\N	\N
6497	RUA DR. THOMPSON BULCÃO	004206	RUA	DOUTOR	I15/I16	O-L	4393/1974	26/08/1974	\N	\N	003121	AV. ROGACIANO LEITE	004205	RUA REV. BOLIVAR PINTO BANDEIRA	\N	\N	9583564	555893	9583319	556444	ENG. LUCIANO CAVALCANTE	A - CONJUNTO SANTA LUZIA DO COCÓ ,   RUA  FRANCISCO PAIXÃO	 LEI 4169/1973 - GENÉRICA
6877	VILA HÉLIO	023273	VILA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6498	RUA B	004194	RUA	\N	I15	O-L	\N	\N	\N	\N	009501	RUA PEDRO FORTUNATO	004205	RUA REV. BOLIVAR PINTO BANDEIRA	\N	\N	9583511	555919	9583280	556428	ENG. LUCIANO CAVALCANTE	\N	\N
6499	RUA E	005304	RUA	\N	I15	O-L	\N	\N	\N	\N	003121	AV. ROGACIANO LEITE	008344	RUA CLAUDIO BRASIL	\N	\N	9583475	555853	9583435	555932	ENG. LUCIANO CAVALCANTE	\N	\N
6500	AVENIDA ROGACIANO LEITE	003121	AVENIDA	\N	I15/K15	N-S	3819/70	\N	\N	\N	003690	AV. WASHINGTON SOARES	006859	AV. JOSÉ LEON	\N	AV. DESEMBARGADOR GONZAGA	9584801	556503	9581270	555126	LUC CAV/GUARARAPE/ SALINAS./J.OLIVEIRAS/C.FUNCIONARIOS	\N	\N
6501	RUA PEDRO FORTUNATO	009501	RUA	\N	I15	N-S	\N	\N	\N	\N	004206	RUA DR. THOMPSON BULCÃO	005265	RUA JOSIAS MENDES	\N	\N	9583544	555934	9583363	555856	ENG. LUCIANO CAVALCANTE	\N	\N
6502	RUA D	008344	RUA	\N	I15	N-S	7208/92	21/09/1992	10880/2000	\N	004206	RUA DR. THOMPSON BULCÃO	005265	RUA JOSIAS MENDE	\N	\N	9583528	555969	9583363	555856	ENG. LUCIANO CAVALCANTE	D - CONJ DAS PIONEIRAS	\N
6503	TRAV. AFONSO DE SOUSA	005299	RUA	LIVREIRO	I15	N-S	8155/98	\N	10405/98	\N	\N	RUA DORALICE (JOSIAS MENDES)	000742	AV.MONS CARNEIRO DA CUNHA	\N	\N	555884	9583353	\N	\N	ENG. LUCIANO CAVALCANTE	AFONSO DE SOUSA - TRAV A LOT PLANALTO DA GALILEIA II	A COORD. DE FIM VER 2001-  CADSEFIN  COD 10007
6504	RUA LUIZ GAMA	005300	RUA	\N	I15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6505	RUA JAIME LEONEL	005276	RUA	\N	I15	\N	\N	\N	\N	\N	\N	THOMPSON BULCÃO	\N	DORALICE COSTA	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6506	RUA IVO REBOUÇAS	005278	RUA	\N	I15	N-S	\N	\N	\N	\N	004193	RUA DORALICE COSTA	006638	RUA DES. WALTEMAR ALVES PEREIRA	\N	\N	9583285	556109	9583165	556067	ENG. LUCIANO CAVALCANTE	\N	\N
6507	RUA EUFRÁSIO FEITOSA	007142	RUA	\N	I15	O-L	\N	\N	\N	\N	\N	RUA SD	007141	RUA GERALDO SEPÚLVEDA	\N	\N	9583213	556323	9583099	556286	ENG. LUCIANO CAVALCANTE	\N	\N
6508	RUA CEL. DUARTE COUTINHO	007143	RUA	CORONEL	I15	O-L	\N	\N	\N	\N	\N	SD	004205	RUA REV. BOLIVAR PINTO BANDEIRA	\N	\N	9583143	556183	9583053	556348	ENG. LUCIANO CAVALCANTE	\N	\N
6509	RUA GALÁXIA	000646	RUA	\N	I15/I16/J16	O-L	8921/2004	29/12/2004	12216/2007	06/07/2007	\N	PINTO BANDEIRA, REVERENDO	\N	CERCA DO LOTEAMENTO VILA BUENOS AIRES	\N	\N	556354	9583065	557307	9582791	ENG. LUCIANO CAVALCANTE	GALAXIA	\N
6510	RUA GERALDO SEPÚLVEDA	007141	RUA	\N	I15	N-S	\N	\N	\N	\N	004193	RUA DORALICE COSTA	007143	RUA CEL. DUARTE COUTINHO	\N	\N	9583213	556323	9583099	556286	ENG. LUCIANO CAVALCANTE	\N	\N
6511	RUA AFONSO DE SOUSA	006638	RUA	DESEMBARGADOR	I15	O-L	8153/98	\N	10401/98	\N	001187	RUA ESMERINDA MENDES	005278	RUA IVO REBOUÇAS (LOTE 1 DA QUADRA 25)	\N	\N	9583305	555618	9583165	556067	SALINAS/ENG. LUCIANO CAVALCANTE	AFONSO DE SOUZA	\N
6512	RUA JOSIAS MENDES	005265	RUA	\N	I15	O-L	\N	\N	\N	\N	001187	RUA ESMERINDA MENDES	005276	RUA JAIME LEONEL	\N	\N	9583419	555657	9583312	556029	SALINAS/ENG. LUCIANO CAVALCANTE	\N	\N
6513	RUA DORALICE COSTA	004193	RUA	\N	I15	O-L	5292/80	\N	\N	\N	005276	RUA JAIME LEONEL	004205	RUA REV. BOLIVAR PINTO BANDEIRA	\N	\N	9583312	556029	9583189	556393	ENG. LUCIANO CAVALCANTE/SALINAS	\N	Na Lei esta Rua se inicia na Rua E e termina na Rua T.
6514	RUA C	004192	RUA	\N	I15	O-L	\N	\N	\N	\N	005276	RUA JAIME LEONEL	004205	RUA REV. BOLIVAR PINTO BANDEIRA	\N	\N	9583352	556039	9583228	556409	ENG. LUCIANO CAVALCANTE	\N	\N
6515	RUA FENIX	005305	RUA	\N	I15/J15	N-S	\N	\N	\N	\N	005301	RUA LUCIANO DO VALE	003347	RUA TANGARA	\N	\N	9583165	555496	9582696	555342	SALINAS/ENG. LUCIANO CAVALCANTE	\N	\N
6516	RUA ESMERINDA MENDES	001187	RUA	\N	I15/J15	N-S	\N	\N	\N	\N	005265	RUA JOSIAS MENDES	003347	RUA TANGARA	\N	\N	9583419	555657	9582672	555417	SALINAS/ENG. LUCIANO CAVALCANTE	\N	\N
6517	RUA MIN. PETRÔNIO PORTELA	005290	RUA	MINISTRO	I15/J15	L-O/N-S	5493/81	\N	\N	\N	005265	RUA JOSIAS MENDES	\N	TERRENO BALDIO	\N	\N	9583399	555733	9582914	555578	ENG. LUCIANO CAVALCANTE/SALINAS	ZUMBI	Na Lei esta rua apresenta o sentido O-L.
6518	RUA LUCIANO DO VALE	005301	RUA	\N	I15	O-L	\N	\N	\N	\N	005305	RUA FÊNIX	003121	AV.  ROGACIANO LEITE	\N	\N	9583165	555496	9583100	555720	SALINAS	\N	\N
6520	RUA JULIA SALES	005298	RUA	\N	I15/J15	N-S	\N	\N	\N	\N	\N	VEGETAÇÃO (PARQUE DO COCÓ)	001565	RUA HENRIQUE DE CASTRO	\N	\N	9583226	555357	9582578	555298	JARDIM DAS OLIVEIRAS/SALINAS	\N	\N
6525	SD	040385	RUA	\N	I15	N-S	\N	\N	\N	\N	\N	RUA DR. THOMPSON BULCÃO	\N	\N	RUA B	\N	\N	\N	\N	\N	SALINAS	\N	\N
6526	SD	040384	RUA	\N	I15	N-S	\N	\N	\N	\N	\N	RUA DRA. SOCORRO AZEVEDO	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	SALINAS	\N	\N
6527	RUA ALDACIR ALENCAR ARARIPE	022366	RUA	\N	I15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6528	RUA AIKO MARIA	007669	RUA	\N	I15	N-S	6277/1988	09/05/88	\N	\N	001393	RUA LUIZA MIRANDA COELHO	000742	AV. MONS. CARNEIRO DA CUNHA	\N	\N	9583029	556254	9582800	556166	ENG. LUCIANO CAVALCANTE	\N	\N
6531	RUA SIRIACO RIBEIRO	009305	RUA	\N	I15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6534	VILA LUZIANE	023695	VILA	\N	I15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6535	SD	040388	RUA	\N	I16	O-L	\N	\N	\N	\N	\N	AV. WASHINGTON SOARES	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6536	RUA 5319	005319	RUA	\N	I16	O-L	\N	\N	\N	\N	\N	RUA A. FEITOSA	\N	\N	AV. WASHINGTON SOARES	\N	\N	\N	\N	\N	GUARARAPES	\N	\N
6692	RUA CANAVIEIRA	022683	RUA	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6537	SD	040387	RUA	\N	I16	O-L	\N	\N	\N	\N	\N	\N	\N	\N	AV. WASHINGTON SOARES	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6538	RUA ALBERTO FEITOSA LIMA	003880	RUA	\N	I16	N-S	5456/1981	07/10/81	\N	\N	003898	AV. FIRMINO ROCHA AGUIAR	024678	AV. ALM. MAXIMIANO DE FONSECA	\N	\N	9584069	557254	9583152	557287	GUARARAPES	XV,    RUA -  LOT. GRANDE ALDEOTA	Na Lei esta Rua se inicia na Rua Livreiro Polary Maia e termina na Rua Des. Manuel de Sales Andrade.
6539	RUA WALTER BEZERRA DE SÁ	024601	RUA	\N	I16	O-L	3890/71	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES/ENG. LUCIANO CAVALCANTE	\N	\N
6540	RUA ROMEU ALDIGUERI	003885	RUA	\N	I16	O-L	4519/75	06/06/1975	50341978	\N	000005	RUA JORNALISTA CÉSAR MAGALHÃES	003880	RUA ALBERTO DE FONSECA	\N	\N	9583818	556778	9583862	557272	GUARARAPES	XVI, RUA -  LOT GRANDE ALDEOTA	Na Lei esta Rua se inicia no Bosque Presidente Geisel e termina no Terreno de Ivens Dias Branco.
6541	RUA FELIPE NERY	003884	RUA	\N	I16	N-S	4963/77	\N	\N	\N	\N	\N	003684	RUA DES. MANOEL DE SALES ANDRADE	\N	\N	\N	\N	9583621	556873	GUARARAPES	\N	\N
6542	RUA CAIO CID	000639	RUA	\N	I16/J16	N-S	7291/93	\N	\N	\N	024678	RUA ALM. MAXIMIANO DA FONSECA	000742	AV. MONS. CARNEIRO DA CUNHA	\N	\N	9583144	557319	9582482	557125	ENG. LUCIANO CAVALCANTE	\N	\N
6543	RUA JOSÉ BARRETO PARENTE	002849	RUA	\N	I16/J16	N-S	7261/1992	\N	9128/93	\N	024678	RUA ALM. MAXIMIANO DA FONSECA	000742	AV MONS. CARNEIRO DA CUNHA	\N	\N	9583175	557211	9582513	557017	ENG. LUCIANO CAVALCANTE	Pérgamo	Na Lei esta Rua termina na Rua Luiza Miranda Coelho
6544	AVENIDA PINTO BANDEIRA	003080	AVENIDA	\N	I16/J16	N-S	5198/79	\N	\N	\N	024678	RUA ALM. MAXIMIANO DA FONSECA	000742	AV. MONS. CARNEIRO DA CUNHA	\N	\N	9583204	557103	9582545	556908	ENG. LUCIANO CAVALCANTE	RIO DA PRATA, AV	\N
6545	RUA B - 1	022528	RUA	\N	I16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6546	RUA MARIANO FURTADO LEITE	005268	RUA	\N	I16	O-L	\N	\N	\N	\N	003080	AV.  PINTO BANDEIRA	\N	VEGETAÇÃO	\N	\N	9583097	557073	9583021	557330	ENG. LUCIANO CAVALCANTE	\N	\N
6547	RUA NELSON STUDART	005266	RUA	\N	I16/J16	L-O	6593/90	\N	\N	\N	\N	RUA SD (ESTRADA MESSEJANA-MUCURIPE)	003690	AV. WASHINGTON SOARES	\N	\N	9583051	556821	9582899	557574	ENG. LUCIANO CAVALCANTE	D - LOT. PARQUE WASHIGTON)	\N
6548	TRAV. PINTO BANDEIRA	024165	TRAVESSA	\N	I16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6549	RUA NATANAEL CORTEZ	007488	RUA	\N	I16/J16	N-S	5196/79	\N	\N	\N	\N	RUA SD (ESTRADA MESSEJANA-MUCURIPE)	\N	RUA DR. FRANCISCO GADELHA	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	3- LOT. VILA BUENOS AYRES	\N
6550	RUA EFÉSIO	001143	RUA	\N	I16/J16	N-S	\N	\N	\N	\N	003885	RUA ROMEU ALDIGUERI	000742	RUA MONS. CARNEIRO DA CUNHA	\N	\N	9583839	557033	9582576	556797	GUARARAPES/ENG. LUCIANO CAVALCANTE	\N	\N
6552	RUA DUQUE DE BACELAR	022534	RUA	DUQUE	I16	N-S	\N	\N	\N	\N	000646	RUA GALÁXIA	001393	RUA LUIZA MIRANDA COELHO	\N	\N	9583044	556427	9582945	556390	ENG. LUCIANO CAVALCANTE	\N	\N
6553	RUA A	008023	RUA	\N	I16	O/L	8931/2005	26/01/2005	11860/2005	11/07/2005	\N	RUA A	\N	RUA B	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	E (PARQUE  AMARALINA)	\N
6555	RUA C	022643	RUA	\N	I16	O-L	\N	\N	\N	\N	009077	AV. CENTRAL	\N	SD	\N	\N	9583197	556689	9583149	556849	ENG. LUCIANO CAVALCANTE	\N	\N
6556	RUA B - 2	022529	RUA	\N	I16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6558	RUA CEL. JOÃO AUGUSTO LIMA	023438	RUA	CORONEL	I16	O-L	4965/77	\N	5347/79	\N	000423	RUA ATILANO DE MOURA	001492	RUA GONTRAN GIFFONI	\N	\N	9584129	556777	9583534	556417	GUARARAPES	VI - 6  LOTEAMENTO GRANDE ALDEOTA	Esta Rua se apresenta parcialmente invadida pela vegetação.
6559	RUA JOÃO A. LIMA	003878	RUA	\N	I16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES	\N	\N
6560	RUA ELISEU BECCO FILHO	003879	RUA	\N	I16	N-S	4929/77	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES	\N	Esta Rua se apresenta invadida pela vegetação.
6561	RUA DES. MANOEL DE SALES ANDRADE	003684	RUA	DESEMBARGADOR	I16	O-L	5106/1978	\N	\N	\N	000005	RUA JORNALISTA CÉSAR MAGALHÃES	003690	AV. WASHINGTON SOARES	\N	Entrada para o Estacionamento da UNIFOR	9583617	556794	9583716	557598	GUARARAPES	B do Loteamento Grande Aldeota	\N
6566	RUA JOSÉ ALVES DE MORAES	001935	RUA	\N	I16	L-O	4419/74	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6567	RUA 7522	007522	RUA	\N	I16	O-L	\N	\N	\N	\N	\N	\N	\N	\N	RUA A. FEITOSA	AV. WASHINGTON SOARES	\N	\N	\N	\N	GUARARAPES	\N	\N
6570	RUA GERARDO MAGALHÃES	006446	RUA	\N	I16	O-L	\N	\N	\N	\N	\N	\N	003690	AV. WASHINGTON SOARES	\N	\N	\N	\N	\N	\N	GUARARAPES/ENG. LUCIANO CAVALCANTE	\N	\N
6571	RUA JOÃO BENIGNO SOARES	023442	RUA	\N	I16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES/ENG. LUCIANO CAVALCANTE	\N	\N
6572	TRAV. THOMPSON BULCÃO	021742	TRAVESSA	\N	I16	O-L	\N	\N	\N	\N	001143	RUA EFÉSIO	004205	RUA REV. BOLIVAR PINTO BANDEIRA	\N	\N	9583246	556994	9583213	557058	ENG. LUCIANO CAVALCANTE	\N	\N
6573	RUA REVERENDO  BOLIVAR PINTO BANDEIRA	004205	RUA	REVERENDO	I16/J15	N-S	6369/88	23/12/88	\N	\N	001492	RUA GONTRAN GIFONI	000742	AV. MONS. CARNEIRO DA CUNHA	\N	\N	9583482	556510	9582771	556241	ENG. LUCIANO CAVALCANTE	SANTA LUZIA DO COCÓ – PARQUE AMARALINA	Na Lei esta Rua  termina na Rua Galiléia (Atual Luisa Miranda Coelho).
6574	TRAV. GERARDO MAGALHÃES	023200	TRAVESSA	\N	I16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6576	SD	040386	RUA	\N	I16	N-S	\N	\N	\N	\N	\N	RUA CEL. MIGUEL DIAS	\N	\N	RUA EFÉSIO	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
6577	RUA 7524	007524	RUA	\N	I16	O-L	\N	\N	\N	\N	\N	\N	\N	\N	RUA A. FEITOSA	AV. WASHINGTON SOARES	\N	\N	\N	\N	GUARARAPES	\N	\N
6578	SD	040391	RUA	\N	I17	O-L	\N	\N	\N	\N	\N	RUA LUCAS FRANCISCO ANTÔNIO	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6579	SD	040389	RUA	\N	I17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA J	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6580	SD	040390	RUA	\N	I17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA LUCAS FRANCISCO ANTÔNIO	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6581	AV. DESEMB. FLORIANO BENEVIDES	005366	AVENIDA	\N	I17	O-L	6759/1990	\N	8642/1991	\N	\N	AV. WASHINGTON SOARES	\N	ADOLFO MOREIRA DE CARVALHO	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	AVENIDA DE CONTORNO DO CONJ. RESID. GARCIA DÁVILA
6582	AVENIDA CONTORNO	008206	AVENIDA	\N	I17/J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6583	RUA FRANCISCO SEGUNDO DA COSTA	023156	RUA	\N	I17/J17	\N	6938/91	\N	8643/91	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6584	TRAVESSA G	021600	TRAVESSA	\N	I17/J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6585	RUA ROBERTO SILVA	005381	RUA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6586	RUA OTÁVIO ROCHA	005378	RUA	\N	I17/J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6588	RUA LUCAS FRANCISCO ANTÔNIO	005382	RUA	\N	I17/J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6589	TRAV. SARÉ	024347	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6590	TV. EVA	023019	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6591	RUA LUIS DO CARMO	000899	RUA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6592	TRAV. VILA CADETE	022654	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6593	TRAV. ANTARCTICA	021609	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6594	RUA DO COMÉRCIO	005406	RUA	\N	I17	O-L	DL359/2008	18/12/2008	\N	\N	\N	RUA HIL MORAIS	\N	AV. PAISAGISTICA (LOT CIDADE ECOLOGICA)	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	(COMÉRCIO, DO) RUA (I-17)	\N
6595	TRAV. PADRE MOACIR	005443	TRAVESSA	PADRE	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6596	TV.VALDIR SÁ	024514	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6597	RUA DO GELO	005411	RUA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6598	TRAV. CAMÕES	022669	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6600	RUA VALMIR PONTES	021607	AVENIDA	DOUTOR	I17	O-L	8695/1991	\N	8695/1991	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6601	RUA C	000626	RUA	\N	I17/J17	O-L	\N	\N	\N	\N	003700	RUA ENG. LEAL LIMA VERDE	021558	RUA 30 DE JUNHO	\N	\N	9581337	558188	9581363	558495	EDSON QUEIROZ	\N	\N
6602	TRAV. ADAIL	005388	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6603	TV. DO JUCÁ	023568	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6604	RUA DO JUCÁ	005433	RUA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6605	TRAV. LUCAS F. ANTÔNIO	023656	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6606	TRAV. COQUEIROS	022802	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6607	TRAV. LUIS CARMO	005424	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6608	TRAV. CORVINA	021608	TRAVESSA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6609	RUA LUIZ MOLICO	005445	RUA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6610	RUA VALDIR SÁ	005410	RUA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6611	VILA DO SOSSEGO	024426	VILA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6612	RUA E	007607	RUA	\N	I17	O-L	DL359/2008	18/12/2008	\N	\N	\N	RUA HIL MORAIS	\N	AV. PAISAGISTICA	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	(E (CONDOMÍNIO VILLAGE ÁGUA FRIA)	\N
6613	RUA J	023368	RUA	\N	I17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6616	RUA ROSA CORDEIRO	007900	RUA	\N	I18/J18	\N	DL 359/2008	18/12/2008	\N	\N	\N	RUA HIL MOAIS	\N	AV. PAISAGISTICA CIDADE ECOLOGICA	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	Rosa Carneiro  conf. Mat  56096 e 56 432 do CRI 1ª Zona  - (ROSA CORDEIRO)	\N
6617	TRAV. VALDECI LEITE	024512	TRAVESSA	\N	I18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6618	RUA VALDECI LEITE	005383	RUA	\N	I18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6619	RUA OTÁVIO COSTA	005379	RUA	\N	I18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6620	RUA MARTINS DE CASTRO	005423	RUA	\N	I18/J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6621	RUA FRANCISCO DANTAS	005384	RUA	\N	I18/J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6623	RUA AUGUSTINHO SOARES	021568	RUA	\N	I18/J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
6625	VIA 8	022283	VIA	\N	I18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
6627	VIA 25	021015	VIA	\N	I18	O-L	\N	\N	\N	\N	021014	VIA LOCAL 23	020984	RUA TAMARAS	\N	\N	9583951	559733	9583918	559832	MANUEL DIAS BRANCO	\N	\N
6628	VIA 14	020984	VIA	\N	H18	N-S	\N	\N	\N	\N	024690	RUA WALTER FERNANDES	\N	TERRENO	\N	\N	9584927	559724	9584825	559693	MANUEL DIAS BRANCO	\N	\N
6629	RUA 8	004832	RUA	\N	I20	O-L	\N	\N	\N	\N	001058	AV. DIOGUINHO	003709	AV. ZEZÉ DIOGO	\N	\N	9583864	562052	9583941	562189	PRAIA DO FUTURO II	\N	\N
6631	RUA JOSÉ CLAUDIO  COSTA LIMA	004830	RUA	\N	I20	L-O	6154/86	\N	\N	\N	003433	AV. TRAJANO DE MEDEIROS	003709	AV. ZEZÉ DIOGO	\N	\N	9583842	562260	9583482	561530	PRAIA DO FUTURO II	VIRGEM	\N
6632	RUA 1 (FAVELA CAÇA E PESCA)	022018	RUA	\N	I20	O-L	\N	\N	\N	\N	\N	RUA 4	001058	AV. DIOGUINHO	\N	\N	9583898	561875	9583970	562000	PRAIA DO FUTURO II	\N	\N
6633	RUA 2 (FAVELA CAÇA E PESCA)	022118	RUA	\N	I20	O-L	\N	\N	\N	\N	\N	RUA 4	001058	AV. DIOGUINHO	\N	\N	9583864	561896	9583943	562014	PRAIA DO FUTURO II	\N	\N
6634	RUA 3 (FAVELA CAÇA E PESCA)	022171	RUA	\N	I20	O-L	\N	\N	\N	\N	\N	RUA 4	001058	AV. DIOGUINHO	\N	\N	9583826	561939	9583903	562033	PRAIA DO FUTURO II	\N	\N
6635	RUA 4 (FAVELA CAÇA E PESCA)	022207	RUA	\N	I20	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
6636	RUA 5 (FAVELA CAÇA E PESCA)	022227	RUA	\N	I20	N-S	\N	\N	\N	\N	\N	RUA 2	004830	RUA JOSÉ CLÁUDIO COSTA LIMA	\N	\N	9583920	561969	9583743	562067	PRAIA DO FUTURO II	\N	\N
6637	RUA 9 (FAVELA CAÇA E PESCA)	022295	RUA	\N	I20	N-S	\N	\N	\N	\N	\N	TERRENO	004830	RUA JOSÉ CLÁUDIO COSTA LIMA	\N	\N	9583784	561865	9583686	561953	PRAIA DO FUTURO II	\N	\N
6638	AV. ALBERTO MONTEIRO	004828	RUA	\N	I20	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO	003709	AV. ZEZÉ DIOGO (ORLA MARÍTIMA)	\N	\N	9583464	561991	9583639	562383	PRAIA DO FUTURO II	\N	\N
6639	AVENIDA ANTÔNIO DIOGO	000422	AVENIDA	\N	I20	\N	\N	\N	\N	\N	004830	RUA JOSÉ CLÁUDIO COSTA LIMA	\N	RUA HÉLIO BARREIRA	\N	\N	9583813	562203	9583369	562432	PRAIA DO FUTURO II	\N	\N
6641	RUA LIVREIRO POLARY MARIA	004829	RUA	LIVREIRO	I20	O-L	5469/81	23/10/1981	\N	\N	\N	AV TRAJANO DE MEDEIROS	003709	AV. ZEZÉ DIOGO (ORLA MARÍTIMA)	\N	\N	9583553	561946	9583729	562333	PRAIA DO FUTURO II	LOT. PRAIA ANTÔNIO DIOGO	a Lei 4485/1974 foi alterada pela Lei  5469/1981. Esta localiza as ruas entre as quadras II e III, 55A e 56A, 109A e 110A, 110B e 112B, 166A e 167A, 220A e 221A,  e 265A e 266A.
6642	RUADESEMB.GERMINIANO JUREMA	004827	RUA	DESEMBARGADOR	I20/I21	O-L	5347/80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
6644	TRAV. ALBERTO MONTEIRO	021117	TRAVESSA	\N	I20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
6645	TRAV. POLARY MAIA	024181	TRAVESSA	\N	I20	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	004829	RUA LIVREIRO POLARY MAIA	\N	\N	9583674	561993	9583594	562034	PRAIA DO FUTURO II	\N	\N
6646	TRAV. JOSÉ CLAUDIO COSTA LIMA	021108	TRAVESSA	\N	I20	N-S	\N	\N	\N	\N	\N	TERRENO	004830	RUA JOSÉ CLÁUDIO COSTA LIMA	\N	\N	9583807	561900	9583728	562034	PRAIA DO FUTURO II	\N	\N
6647	RUA HELIO BARREIRA	004826	RUA	\N	I20	O-L	6376/88	08/10/1988	\N	\N	\N	AV. TRAJANO DE MEDEIROS	\N	FAIXA DE PRAIA	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	HELIO BARREIRA	AO SUL DA Q 57-A  LOT ANTONIO DIOGO
6648	TRAV. HELIO BARREIRA	023276	TRAVESSA	\N	I20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
6649	TRUADESEMB.GERMINIANO JUREMA	023205	TRAVESSA	DESEMBARGADOR	I20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
6650	RUA HUMAITÁ	023293	RUA	\N	I20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
6651	TRAV. HUMAITÁ	023294	TRAVESSA	\N	I20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
6652	TRAV. ACARAU	000026	TRAVESSA	\N	I20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
6653	RUA JAMAICA	021101	RUA	\N	I20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
6654	ESTRADA DO CAJUEIRO TIMBAUBA	022661	ESTRADA	\N	I20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
6657	SD	040393	RUA	\N	I20	N-S	\N	\N	\N	\N	\N	TRAV. JOSÉ CLÁUDIO COSTA LIMA	\N	\N	EDIFICAÇÕES	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
6658	SD	040394	RUA	\N	I20	N-S	\N	\N	\N	\N	\N	RUA POLARY MAIA	\N	\N	ÁRVORE	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
6659	SD	040395	RUA	\N	I20	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA ALBERTO MONTEIRO	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
6660	SD	040396	RUA	\N	I20	N-S	\N	\N	\N	\N	\N	RUA ALBERTO MONTEIRO	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
6661	SD	040397	RUA	\N	I20	O-L	\N	\N	\N	\N	\N	TRAV. HÉLIO BARREIRA	\N	\N	CERCA	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
6662	SD	040392	RUA	\N	I20	O-L	\N	\N	\N	\N	\N	RUA 4	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	\N
6665	RUA HÉLIO BARREIRA	023275	RUA	\N	I21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
6666	RUA PROFº. VALDEVINO	021651	RUA	PROFESSOR	I21/J21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ/PRAIA DO FUTURO II	\N	\N
6669	SD	040398	RUA	\N	J03	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA SARGENTO JOÃO PINHEIRO	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6670	SD	040399	RUA	\N	J03	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA SARGENTO JOÃO PINHEIRO	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6671	RUA MIRTES CORDEIRO	002462	RUA	\N	J03/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
6672	AV. J. XXIII	023467	AVENIDA	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6673	RUA SARGENTO JOÃO PINHEIRO	005437	RUA	SARGENTO	J03/J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6677	ESTRADA DOS CAMPOS	022675	ESTRADA	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6693	AVENIDA DOM ANTÔNIO	022437	AVENIDA	DOM	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6694	ALAMEDA LUSTOSA	023689	ALAMEDA	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6702	RUA CRUZEIRO VELHO	022828	RUA	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6703	RUA CHORO	022746	RUA	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6707	RUA BRAGANTINO	022611	RUA	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6708	RUA BACABAL	022533	RUA	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6710	ALAMEDA CANA BRAVA	022677	ALAMEDA	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6714	TRAV. CRUZEIRO VELHO	022827	TRAVESSA	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6716	RUA SÃO FCO. DE ASSIS	023142	RUA	SÃO	J03/P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000665	020124	\N	\N	\N	\N	GRANJA LISBOA/PANTANAL	\N	\N
6717	RUA FABIANO DE CRISTO	001703	RUA	\N	J03/M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/JARDIM CEARENSE	\N	\N
6718	RUA IDEALISTA	023311	RUA	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6719	RUA SÃO FRANCISCO	023123	RUA	SÃO	J03/M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/MONDUBIM 2	\N	\N
6720	PARQUE DAS CAPOEIRAS	022688	PARQUE	\N	J03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6721	RUA CORONEL FABRICIANO	001242	RUA	CORONEL	J04/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/GRANJA PORTUGAL	\N	\N
6722	RUA 23 DE JUNHO	003646	RUA	\N	J04/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/GRANJA PORTUGAL	\N	\N
6724	RUA HUMBERTO LOMEU	001614	RUA	\N	J04/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/GRANJA PORTUGAL	\N	\N
6725	RUA LONDRINA	002188	RUA	\N	J04/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/GRANJA PORTUGAL	\N	\N
6726	RUA BARRA VERMELHA	003958	RUA	\N	J04/K04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6727	RUA TEODORO DE CASTRO	003372	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6728	RUA 1º DE MAIO	022031	RUA	\N	J04	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6729	RUA SOUSA CARVALHO	003323	RUA	\N	J04/K06	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BONSUCESSO	\N	\N
6730	RUA DO SOBRADO	024414	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6731	AVENIDA H (CONJ. CEARÁ II)	003900	AVENIDA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6732	RUA 343-A (CONJ. CEARÁ II)	008675	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6733	RUA 343 (CONJ. CEARÁ II)	004250	RUA	\N	J04/J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6734	RUA 341 (CONJ. CEARÁ II)	004249	RUA	\N	J04/J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6735	SD	040403	RUA	\N	J04	N-S	\N	\N	\N	\N	\N	RUA 303-B	\N	\N	RUA 303-A	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6736	RUA 339 (CONJ. CEARÁ II)	004240	RUA	\N	J04/J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6737	RUA 337 (CONJ. CEARÁ II)	004239	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6738	RUA 335 (CONJ. CEARÁ II)	004238	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6740	RUA 331 (CONJ. CEARÁ II)	004236	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6743	AVENIDA G (CONJ. CEARÁ II)	004222	AVENIDA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6744	RUA 303-D (CONJ. CEARÁ II)	004242	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6745	RUA 303-C (CONJ. CEARÁ II)	004241	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6746	RUA 303-B (CONJ. CEARÁ II)	004244	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6747	RUA 303-A (CONJ. CEARÁ II)	004245	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6749	RUA 303 (CONJ. CEARÁ II)	004243	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6750	RUA 301 (CONJ. CEARÁ II)	004246	RUA	\N	J04/J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6753	RUA 317 (CONJ. CEARÁ II)	004229	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6754	RUA 315 (CONJ. CEARÁ II)	004228	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6755	RUA 313 (CONJ. CEARÁ II)	004227	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6756	RUA 311 (CONJ. CEARÁ II)	004226	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6757	RUA 309 (CONJ. CEARÁ II)	004225	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6758	RUA 307 (CONJ. CEARÁ II)	004224	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6759	RUA 305 (CONJ. CEARÁ II)	004223	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6761	AVENIDA C (CONJ. CEARÁ II)	004220	AVENIDA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6762	RUA 1096 (CONJ. CEARÁ II)	007254	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6763	RUA 1000 (CONJ. CEARÁ II)	021775	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6764	SD	040407	RUA	\N	J04/K04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6765	RUA 902 (CONJ. CEARÁ II)	007192	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6766	RUA 904 (CONJ. CEARÁ II)	007193	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6767	RUA 906 (CONJ. CEARÁ II)	007194	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6768	RUA 908 (CONJ. CEARÁ II)	007195	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6769	RUA 910 (CONJ. CEARÁ II)	007196	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6770	RUA 912 (CONJ. CEARÁ II)	007198	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6771	RUA 914 (CONJ. CEARÁ II)	007199	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6772	RUA 916 (CONJ. CEARÁ II)	007200	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6773	RUA 918 (CONJ. CEARÁ II)	007201	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6774	RUA 920 (CONJ. CEARÁ II)	007202	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6775	RUA 922 (CONJ. CEARÁ II)	007203	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6776	RUA 924 (CONJ. CEARÁ II)	007204	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6777	RUA 926 (CONJ. CEARÁ II)	007205	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6778	RUA 928 (CONJ. CEARÁ II)	007206	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6779	AVENIDA J (CONJ. CEARÁ II)	007255	AVENIDA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II / LIMITE COM CAUCAIA	\N	\N
6780	RUA 1002 (CONJ. CEARÁ II)	007207	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6782	SD	040400	RUA	\N	J04	N-S	\N	\N	\N	\N	\N	RUA 307	\N	\N	AVENIDA H	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6784	RUA SARGENTO BARBOSA	003971	RUA	SARGENTO	J04/K04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6785	RUA MATEUS LEMOS	003961	RUA	\N	J04/K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6786	RUA PATO BRANCO	004645	RUA	\N	J04/L04	\N	\N	\N	\N	\N	\N	RUA MANOEL GALDINO	\N	\N	RUA DALLAS	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6787	RUA GUARAREMA	004969	RUA	\N	J04/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6925	VILA HELOÍSA	023279	VILA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6788	RUA JOSÉ ABÍLIO (AV. SEN. MENEZES PIMENTEL)	001927	RUA	\N	J04/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/GRANJA PORTUGAL	\N	\N
6789	RUA 23 DE JULHO	022145	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6790	RUA ARI MAIA	004386	RUA	\N	J04/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/SIQUEIRA	\N	\N
6792	AVENIDA JOÃO XXIII	023467	AVENIDA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6793	RUA LUMINOSA	007461	RUA	\N	J04/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/GRANJA LISBOA	\N	\N
6795	PRAÇA GEOFFREY LEITE GOMES	023196	PRAÇA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6796	SD	040402	RUA	\N	J04	N-S	\N	\N	\N	\N	\N	RUA 329	\N	\N	RUA 335	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6797	SD	040401	RUA	\N	J04	N-S	\N	\N	\N	\N	\N	RUA 319	\N	\N	RUA 309	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6798	SD	040408	RUA	\N	J04	N-S	\N	\N	\N	\N	\N	RUA 902	\N	\N	RUA 904	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6799	SD	040404	RUA	\N	J04	L-O	\N	\N	\N	\N	\N	RUA 303	\N	\N	RUA 301-A	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6800	VILA CARLOS GAZEGO	020499	VILA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6801	SD	040405	RUA	\N	J04	N-S	\N	\N	\N	\N	\N	RUA 339	\N	\N	RUA 341	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6803	RUA 301-A (CONJ. CEARÁ II)	004248	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6804	RUA 301-B (CONJ. CEARÁ II)	004247	RUA	\N	J04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6805	SD	040406	RUA	\N	J04/K04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6820	VILA ANA CÍNTIA	020499	VILA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6822	RUA 129 (CONJ. CEARÁ II)	004256	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6823	RUA 127 (CONJ. CEARÁ II)	004255	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6824	RUA 125 (CONJ. CEARÁ II)	004254	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6825	RUA 123 (CONJ. CEARÁ II)	004252	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6826	RUA 121 (CONJ. CEARÁ II)	004253	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6827	RUA 119 (CONJ. CEARÁ II)	004294	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6832	RUA 345 (CONJ. CEARÁ II)	004251	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6834	RUA 111 (CONJ. CEARÁ II)	004298	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6835	RUA 113 (CONJ. CEARÁ II)	004297	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ IICONJ. CEARÁ II	\N	\N
6836	RUA 115 (CONJ. CEARÁ II)	004296	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6837	RUA 117 (CONJ. CEARÁ II)	004295	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6840	RUA 735 (CONJ. CEARÁ II)	003820	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6841	RUA 737 (CONJ. CEARÁ II)	003821	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6842	RUA 739 (CONJ. CEARÁ II)	003822	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6843	RUA 741 (CONJ. CEARÁ II)	003823	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6844	RUA 751 (CONJ. CEARÁ II)	003808	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6845	RUA 749 (CONJ. CEARÁ II)	003810	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6846	RUA 747 (CONJ. CEARÁ II)	003811	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6847	RUA 745 (CONJ. CEARÁ II)	003812	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6848	RUA 743 (CONJ. CEARÁ II)	003813	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6850	RUARISO DO PRADO	003098	RUA	\N	J05/J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BONSUCESSO	\N	\N
6851	RUA BIAS MENDES	000553	RUA	\N	J05/J07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BONSUCESSO	\N	\N
6852	RUA FRANCISCO DOMINGOS	001339	RUA	\N	J05/J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BONSUCESSO	\N	\N
6853	RUA CARLOS CHAGAS	000719	RUA	\N	J05/J07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BONSUCESSO	\N	\N
6854	RUA TAQUARI	003349	RUA	\N	J05/K07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BONSUCESSO	\N	\N
6857	RUA OLIVEIRA SOBRINHO	002653	RUA	\N	J05/J07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL / GRANJA LISBOA/BONSUCES	\N	\N
6866	RUA ANTÔNIO NELIS (ANTÔNIO NERY)	000320	RUA	\N	J05/ K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6867	RUA DUAS NAÇÕES	001106	RUA	\N	J05/K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6868	RUA AIRES DA CUNHA	000081	RUA	\N	J05  K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6869	RUA JOSÉ TORRES	002027	RUA	\N	J05/K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL / GRANJA LISBOA	\N	\N
6871	RUA SÃO LUIS DO OESTE	002213	RUA	SÃO	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6874	VILA KARIBE	023591	VILA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6875	V. PERGENTINA	024156	VILA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6878	VILA ALBATROZ	022364	VILA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6879	VILA EVA	023018	VILA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6880	TRAV. J. B.	023383	TRAVESSA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6881	VILA CLÉA	022772	VILA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6882	TRAV. SÃO LUIZ DO OESTE	002213	TRAVESSA	SÃO	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
6883	RUA 731 (CONJ. CEARÁ II)	003818	RUA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6884	PRAÇA UV-1	008898	PRAÇA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6885	PRAÇA VITÓRIA	024590	PRAÇA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6886	PRAÇA DA 3ª ETAPA	022182	PRAÇA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6887	PRAÇA DA ESPERANÇA	023002	PRAÇA	\N	J05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6889	SD	040415	RUA	\N	J05	N-S	\N	\N	\N	\N	\N	RUA 735	\N	\N	RUA 737	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6892	SD	040409	RUA	\N	J05	N-S	\N	\N	\N	\N	\N	RUA 127	\N	\N	RUA 123	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6893	SD	040410	RUA	\N	J05	N-S	\N	\N	\N	\N	\N	RUA 123	\N	\N	RUA 121	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6894	SD	040411	RUA	\N	J05	N-S	\N	\N	\N	\N	\N	RUA EMÍLIO DE MENEZES	\N	\N	RUA OLIVEIRA SOBRINHO	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6895	SD	040412	RUA	\N	J05	N-S	\N	\N	\N	\N	\N	RUA OLIVEIRA SOBRINHO	\N	\N	MURO	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6896	SD	040413	RUA	\N	J05	N-S	\N	\N	\N	\N	\N	ENCONTRO DAS RUAS 731 E 751	\N	\N	RUA 747	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6897	SD	040414	RUA	\N	J05	N-S	\N	\N	\N	\N	\N	RUA 747	\N	\N	RUA 741	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6898	SD	040416	RUA	\N	J05	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA EMÍLIO DE MENEZES	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6899	RUA 763 (CONJ. CEARÁ I)	003802	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6900	RUA 761 (CONJ. CEARÁ I)	003803	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6901	RUA 759 (CONJ. CEARÁ I)	003804	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6902	RUA 757 (CONJ. CEARÁ I)	003805	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6903	RUA 755	003806	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6904	RUA DEMOCRATA	004942	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6907	AV. H	003900	AVENIDA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6908	AV. I	003901	AVENIDA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II	\N	\N
6912	VILA FLORAL	023086	VILA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6914	PRAÇA DA GRANJA PORTUGUAL	023234	PRAÇA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6915	RUA VITAL BRASIL	003668	RUA	\N	J06/K07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL / BONSUCESSO	\N	\N
6916	RUA EMÍLIO DE MENEZES	001166	RUA	\N	J06/J07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL / BONSUCESSO	\N	\N
6923	TRAV. SOUSA CARVALHO	024428	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6924	VILA VERÔNICA	003925	VILA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6926	VILA PORTUGAL	024192	VILA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6928	RUA ESPERANÇA	022999	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6930	TRAV. TIM	024463	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6931	TRAV. CACHOEIRA DOURADA	022650	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6932	RUA MACAU	020936	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6934	TRAV. MACAU	004481	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6935	VILA REIS	024248	VILA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6936	RUA BRAGANÇA	000602	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6938	SD	040417	RUA	\N	J06	N-S	\N	\N	\N	\N	\N	TRAV. MACAU	\N	\N	RIO MARANGUAPINHO	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6939	VILA SÃO FRANCISCO	004484	VILA	SÃO	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
6940	VILA VIEIRA	024554	VILA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6941	TRAV. NICODEMOS	002557	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6942	RUA ITAJAÍ	004037	RUA	\N	J06/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO/GRANJA PORTUGAL	\N	\N
6943	RUA LUIZA MOREIRA	002253	RUA	\N	J06/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO/GRANJA PORTUGAL	\N	\N
6944	TRAV. JUBAIA	004636	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6945	TRAV. LAGES	004635	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6946	TRAV. TANQUES	004991	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6947	TRAV. SAPUPARA	003669	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6948	VILA NADIR	002526	VILA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6949	TRAV. BOA VISTA	022600	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6951	RUA FREITAS LIMA	020935	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6956	RUA RAIMUNDO CABRAL	004479	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6957	VILA ANA CAROLINA	022416	VILA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6958	RUA HENRIQUE CALS	003943	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6959	RUA MARIA LEITE	004483	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6960	RUA ANDRÉ REBOUÇAS	004485	RUA	\N	J06/J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6964	VILA ZEDIVAM	024620	VILA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6965	TRAV. 1º DE MAIO	003939	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO / GRANJA PORTUGAL	\N	\N
6966	RUA TAMIARAMA	003346	RUA	\N	J06/K06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6967	RUA DAS ACÁCIAS	000023	RUA	\N	J06   K06	N-S	1671/1960	16/12/1960	\N	\N	\N	RUA VITAL BRASIL (003668)	\N	\N	RUA SOUSA CARVALHO (000323)	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6968	RUA MARGINAL VERDE OESTE	008140	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6969	TRAV. MARGINAL VERDE	023779	TRAVESSA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6970	TRAV. B	022507	TRAVESSA	\N	J06/J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6971	RUA ALBERTO MONTE	020870	RUA	\N	J06/J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6972	RUA APODI	003944	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6973	RUA RAUL NABUCO	004333	RUA	\N	J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6978	RUA JOSÉ GASPAR	009112	RUA	\N	J07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII	\N	\N
6979	RUA DIOGO CORREIA	001056	RUA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6982	RUA JÚLIO BRAGA	008768	RUA	\N	J07/J08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOÃO XXIII / BONSUCESSO/JOQUEI CLUBE	\N	\N
6984	RUA MARIA QUINTELA	000111	RUA	\N	J07	\N	4471/74	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6987	BECO ALBERTO MONTE	020930	BECO	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6988	RUA ECO DOMINGOS	022945	RUA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6991	RUA VERBENA (PERIMETRAL)	003556	RUA	\N	J07/K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6995	RUA ANSELMO NOGUEIRA	000263	RUA	\N	J07/ K07	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
6998	RUA SOBREIRA FILHO	003309	RUA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7003	BECO MARIA QUINTELA	023804	BECO	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7004	VILA 14 BIS	004818	VILA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7006	VILA RABELO	020928	VILA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7008	RUA CONSTÂNCIA	020385	RUA	\N	J07	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	002056	RUA JULIO BRAGA	\N	\N	9582997	545910	9582899	545947	JOÃO XXIII	\N	\N
7010	SD	040421	RUA	\N	J07	N-S	\N	\N	\N	\N	\N	RUA SOBREIRA FILHO	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7012	VILA WANDA	024602	VILA	\N	JOAQUIM	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7013	TRAV. JORDÂNIA	003595	TRAVESSA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7014	RUA MARIA DULCE	003940	RUA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7017	TRAV. CERES	022733	TRAVESSA	\N	J07	\N	\N	\N	\N	\N	\N	Q 3 do lot jd são paulo	\N	termina na q 20 do mesmo loteamento	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7018	TRAV. ANTÔNIO DOS SANTOS	008079	TRAVESSA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7019	RUA JOSÉ ARISTÓTELES GONDIM	003350	RUA	\N	J07/K07	N-S	4972/77	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7020	SD	040420	RUA	\N	J07	L-O	\N	\N	\N	\N	\N	ÁRVORE	\N	\N	RUA ARAÇÁ	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7021	RUA ARAÇÁ	000343	RUA	\N	J07/ K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7022	VILA MANGUITA	023728	VILA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7023	TRAV. CORVELO	022810	TRAVESSA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7024	RUA SEIXAS CORREIA	003241	RUA	\N	J07/K08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO/PARANGABA	\N	\N
7025	RUA FRANCISCO SALES	023155	RUA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7026	TRAV. LINEU MACHADO	020868	TRAVESSA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7027	TRAV. ARAGUAIA	022467	TRAVESSA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7033	VILA EDITE	022948	VILA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
7034	TRAV. DES. FELIX CÂNDIDO	023070	TRAVESSA	DESEMBARGADOR	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7036	VILA JOÃO GARCIA	023452	VILA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7037	RUA THOMPSON GONÇALVES	001167	RUA	\N	J07/K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7038	SD	040418	RUA	\N	J07	N-S	\N	\N	\N	\N	\N	MARIA QUINTELA	\N	\N	ÁRVORES	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7040	RUA MISTER ROCHA	024284	RUA	MISTER	J07/J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI/PARANGABA	\N	\N
7041	RUA LINS DO RÊGO	002176	RUA	\N	J07/K08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7042	RUA NEREU RAMOS	008757	RUA	\N	J07/K09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI/PARANGABA	\N	\N
7043	RUA SABIÁ	003172	RUA	\N	J07/J08	N-S	1671/60 E 	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO / JOQUEI	\N	\N
7045	VILA EMON	022979	VILA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7047	VILA SOMBRA	024422	VILA	\N	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI	\N	\N
7049	PRAÇA GOV. CÉSAR CALS	022734	PRAÇA	GOVERNADOR	J07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
7050	SD	040419	RUA	\N	J07	L-O	\N	\N	\N	\N	\N	TERRENO	\N	\N	RUA JOSÉ ARISTÓTELES GONDIM	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7057	RUA LUÍS DE CASTRO	002223	RUA	\N	J08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO / JOQUEI	\N	\N
7058	TRAV. DOM VITAL	003667	TRAVESSA	DOM	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7059	VILA PITININGA	024176	VILA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7060	TRAV. UBERABA	003934	TRAVESSA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7061	TRAV. AUGUSTO DOS ANJOS	003935	TRAVESSA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7062	TRAV. JOSÉ MERGULHÃO	021713	TRAVESSA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7063	TRAV. MIRASSOL	020944	TRAVESSA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7065	RUA FREI SERAFIM	003248	RUA	FREI	J08/K08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7068	RUA 1 (CONJ. SONHO MEU)	022014	RUA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7069	RUA 2 (CONJ. SONHO MEU)	022117	RUA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7070	RUA 3 - 1 (CONJ. SONHO MEU)	022178	RUA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7071	RUA 3 - 2 (CONJ. SONHO MEU)	022179	RUA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7072	RUA 4	022203	RUA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7073	PRAÇA MONTENEGRO	023893	PRAÇA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7074	RUA ABEL RIBEIRO	000013	RUA	\N	J08	L-O	1671/60	16/12/1960	\N	\N	\N	RUA GENERAL OSÓRIO DE PAIVA (002689)	\N	\N	AV. AUGUSTO DOS ANJOS (000427)	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7077	TRAV. SÃO PEDRO	002793	TRAVESSA	SÃO	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA / VILA PERI	\N	\N
7078	SD	040425	RUA	\N	J08	N-S	\N	\N	\N	\N	\N	RUA AFRÂNIO PEIXOTO	\N	\N	MURO	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7079	SD	040424	RUA	\N	J08	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	VILA PITININGA	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7080	RUA 1 (CONJ. SEIXAS CORREIA)	022013	RUA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7081	RUA 2 (CONJ. SEIXAS CORREIA)	022116	RUA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7082	RUA STA LÍGIA	002162	RUA	SANTA	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7083	VILA EXPEDITO SILVA	021715	VILA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7084	VILA BARBOSA	004486	VILA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7085	TRAV. JÚLIO BRAGA	002057	TRAVESSA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7086	VILA PROGRESSO	024203	VILA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
7087	TRAV. BEM-TE-VI	000527	TRAVESSA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
7092	VILA FORTALEZA	023099	VILA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7095	RUA GUILHERME PERDIGÃO	001533	RUA	\N	J08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7096	VILA ESPERANÇA	023000	VILA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7099	RUA ARMANDO CORREIA PAIVA	006684	RUA	\N	J08	O-L	5123-B/79	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7100	RUA ISRAEL ALVES LIMA	006787	RUA	\N	J08	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7101	RUA OSWALDO ARANHA	002691	RUA	\N	J08/K08	O-L	5487/81	24/11/1981	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7102	TRAV. OSWALDO ARANHA	021716	TRAVESSA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7103	SD	040422	RUA	\N	J08	N-S	\N	\N	\N	\N	\N	RUA 4	\N	\N	MURO	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7104	SD	040423	RUA	\N	J08/K08	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA LINS REGO	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7105	RUA VENUS	003552	RUA	\N	J08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7107	RUA DAS FILIPINAS	023083	RUA	\N	J08/Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008009	020124	\N	\N	\N	\N	PARANGABA/PANTANAL	\N	\N
7108	RUA  MONS. SALVIANO	003200	RUA	MONSENHOR	J08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7112	RUA IGUAPÉ	001631	RUA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7113	TRAV. PERDIGÃO DE OLIVEIRA	002841	TRAVESSA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7114	VILA PEDRO INÁCIO	024139	VILA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7115	TRAV. GAL. OSÓRIO DE PAIVA I	024028	TRAVESSA	GENERAL	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7116	TRAV. GAL. OSÓRIO DE PAIVA II	024029	TRAVESSA	GENERAL	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7117	TRAV. EVANGELISTA LEITÃO	021720	TRAVESSA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7118	RUA AFRÂNIO PEIXOTO	000064	RUA	\N	J08	L-O	1671/1960	16/12/1960	\N	\N	\N	(000763) RUA CÔNEGO DE CASTRO	\N	(002689) RUA GENERAL OSÓRIO DE PAIVA	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7119	TRAV. CAP. AMÉRICO MENEZES	022413	TRAVESSA	CAPITÃO	J08/K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7120	RUA CAP. AMÉRICO MENEZES	000216	RUA	CAPITÃO	J08/ K09	\N	4009/1972	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7122	RUA D. PEDRO	024126	RUA	DOM	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7123	RUA BISMARCK	000356	RUA	\N	J08/ K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7124	RUA CONS. GALVÃO	001395	RUA	CONSELHEIRO	J08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7126	RUA DOM AUBÉRGIO LOBO	022496	RUA	DOM	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7127	RUA PE. ELIAS SARAIVA	001151	RUA	PADRE	J08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7128	TRAV. ALBERTINA	009333	TRAVESSA	\N	J08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7132	RUA STA. JÚLIA	002049	RUA	SANTA	J08/J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7134	RUA TURURU	021717	RUA	\N	J09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7136	RUA EDUARDO PERDIGÃO	008833	RUA	\N	J09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7139	RUA PE. ELIS SARAIVA	022967	RUA	PADRE	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7141	RUA NAPOLEÃO QUEZADO	008300	RUA	\N	J09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7144	RUA CÔNEGO MOURÃO	002507	RUA	CÔNEGO	J09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7145	RUA CAMPANÁRIO	006761	RUA	\N	J09/K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7147	RUA TENENTE COSTA	004694	RUA	TENENTE	J09/K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7148	RUA GUARATINGUETA	000633	RUA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7150	RUA JULIO GASPAR	002062	RUA	\N	J09/K09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA/ITAPERI	\N	\N
7152	RUA MONTE SERRAT	002484	RUA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7153	TRAV. PAULICÉIA	024083	TRAVESSA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7154	TRAV. CARLOS DA SILVA	022698	TRAVESSA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7155	RUA PITAGUARI	021721	RUA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7156	TRAV. QUEZADA	009693	TRAVESSA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7158	AVENIDA PARANJANA	002755	AVENIDA	\N	J09/M12	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA/CASTELÃO	\N	\N
7160	RUA 7 DE SETEMBRO	003270	RUA	\N	J09/N11	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA/PASSARÉ	\N	\N
7161	PRAÇA DE PARANGABA	024068	PRAÇA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7162	RUA GERMANO FRANCK	001425	RUA	\N	J09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA / PARANGABA	\N	\N
7163	SD	040428	RUA	\N	J09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	AV. PARANJANA	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7164	RUA DOS BANDEIRANTES	000464	RUA	\N	J09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7165	RUA ANÁPOLIS	000241	RUA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7166	RUA RIBEIRÃO PRETO	003069	RUA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7167	RUA CAMBARÁ	000648	RUA	\N	J09/K09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7168	RUA INGLATERRA	001660	RUA	\N	J09/K09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7169	RUA CASIMIRO DE ABREU	000754	RUA	\N	J09/K09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA/ITAPERI	\N	\N
7170	SD	040427	RUA	\N	J09	N-S	\N	\N	\N	\N	\N	RUA EDUARDO PERDIGÃO	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7172	RUA ALEMANHA	000116	RUA	\N	J09	L-O	1671/1960	16/12/1960	\N	\N	\N	002001	\N	000754	MURO	CERCA	\N	\N	\N	\N	ITAPERI	\N	\N
7177	RUA JOSÉ  QUEIROZ PORTO	007705	RUA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7178	RUA JOÃO GURGEL NOGUEIRA	007154	RUA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7179	RUA TURIAÇU	024494	RUA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7180	RUA FAGUNDES VARELA	001244	RUA	\N	J09/K09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7181	RUA SUÉCIA	003333	RUA	\N	J09/K10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7182	RUA DOUTOR  MANUEL TEÓFILO	002307	RUA	DOUTOR	J09/K09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7183	RUA MONIQUE	023889	RUA	\N	J09/K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7184	RUA JOSÉ MENELEU	002001	RUA	\N	J09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7185	RUA BOGOTÁ	000571	RUA	\N	J09/K09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7186	RUA PE. CARLOS QUIXADÁ	000725	RUA	PADRE	J09/J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7187	RUA PEDRO PIQUET	002825	RUA	\N	J09/J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7188	ALAMEDA OXOSSI	024038	ALAMEDA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7189	RUA ENG. S. JÚNIOR	024322	RUA	ENGENHEIRO	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7190	RUA OXALÁ	006900	RUA	\N	J09/J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7192	RUA D (LOT. CENTRO SUL)	006899	RUA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7193	RUA IRANI	021718	RUA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7194	RUA GUARÁ	001511	RUA	\N	J09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7195	RUA CÔNEGO LIMA SUCUPIRA	002166	RUA	CÔNEGO	J09/J11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA/SERRINHA	\N	\N
7196	RUA IARA	001619	RUA	\N	J09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7197	TRAV. SANTIAGO	024340	TRAVESSA	\N	J09/K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA/SERRINHA	\N	\N
7198	RUA JULIO VERNE	002075	RUA	\N	J09/J10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA/ITAOCA/SERRINHA	\N	\N
7199	RUA 13 DE MAIO	022079	RUA	\N	J09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7200	RUA AJURANA	000083	RUA	\N	J09	L-O	1671/1960	16/12/1960	\N	\N	\N	(001228) RUA EUSÉBIO DE QUEIRÓS	\N	(001425) RUA GERMANO FRANCK	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7207	RUA 30 DE ABRIL	003457	RUA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7208	TRAV. 19 DE NOVEMBRO	022106	TRAVESSA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7209	RUA TUMIRIM	024492	RUA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7211	TRAV. MINERVA	021722	TRAVESSA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7214	RUA F (LOT. CENTRO SUL)	006901	RUA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7215	RUA G (LOT. CENTRO SUL)	006902	RUA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7216	RUA HÉRCULES	001581	RUA	\N	J10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABAPARANGABA	\N	\N
7218	ALAMEDA OGUM	003436	ALAMEDA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7219	TRAV. ALUÍSIO MAMEDE	022390	TRAVESSA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7220	RUA ALCIDES SANTOS	000112	RUA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7222	RUA JOSÉ CAMELO	004425	RUA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7223	AV. PARANJANA (DEDÉ BRASIL)	002755	AVENIDA	\N	J10/K10	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA / ITAPERI/SERRINHA	\N	\N
7224	RUA THOMAS EDISON	003413	RUA	\N	J10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7225	PRAÇA VILA BETÂNIA	022590	PRAÇA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7226	RUA EQUADOR	001175	RUA	\N	J10/K10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7227	RUA CARACAS	000696	RUA	\N	J10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7228	TRAV. PERU	002861	TRAVESSA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7229	RUA PE. NÓBREGA	002560	RUA	PADRE	J10/K10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA/SERRINHA	\N	\N
7230	RUA QUITO	002991	RUA	\N	J10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7232	VILA SIMONÉSIA	024405	VILA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7233	TRAV. EDISON	021709	TRAVESSA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7234	RUA BENTO COELHO	022584	TRAVESSA	\N	J10	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7235	RUA RAIMUNDO VENTTURA	003031	TRAVESSA	\N	J10	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7236	SD	040429	RUA	\N	J10	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA FLOR DE LIS	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7237	RUA FLOR DE LIS	001300	RUA	\N	J10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA / ITAOCA	\N	\N
7238	RUA DIANA	001050	RUA	\N	J10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7239	RUA OUTONO	002712	RUA	\N	J10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7240	BECO 10 DE JANEIRO	022049	BECO	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7241	TRAV. S. LUIZ	003769	TRAVESSA	SÃO	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7242	VILA COLOMBO	020410	VILA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7246	TRAV. LIVINO DE CARVALHO	002184	TRAVESSA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7247	TRAV. IPIRANGA	001667	TRAVESSA	\N	J10/H13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA/AEROPORTO	\N	\N
7248	RUA BUGARI	022621	RUA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7251	VILA SILVA HELENA	024401	VILA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAOCA	\N	\N
7253	RUA ANTÔNIO SIMÕES	000326	RUA	\N	J10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7254	RUA GUERRA JUNQUEIRO	001524	RUA	\N	J10/K11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7255	RUA VITORIANO BORGES	003674	RUA	\N	J10/K10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7256	RUA GOVERNADOR JOÃO CARLOS	001793	RUA	GOVERNADOR	J10/K10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/ PARANGABA	\N	\N
7258	RUA EFREM GONDIM	001145	RUA	\N	J10/K10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7259	RUA BARBA ALARDO	000468	RUA	\N	J10/K10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7260	VILA MAZIM	023839	VILA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7261	RUA GALILEU	001394	RUA	\N	J10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA / ITAOCA	\N	\N
7262	RUA ALVARES CABRAL	022391	RUA	\N	J10	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7263	VILA MIRIAM	004066	VILA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7264	VILA FLORENSE	023089	VILA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7265	VILA VIRGÍNIA	024586	VILA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7266	VILA VIVIANE	024591	VILA	\N	J10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7267	RUA BENJAMIN FRANKLIN	000523	RUA	\N	J10/K10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7268	RUA ANTÔNIO BOTELHO	000292	RUA	\N	J10/ K10	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7269	RUA AMÉRICO VESPÚCIO	000220	RUA	\N	J10/ L10	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/ ITAPERI/ DENDÊ	\N	\N
7270	RUA INÁCIO PARENTE	001645	RUA	\N	J10/J11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7271	RUA PE. ASCENÇO GAGO	000408	RUA	PADRE	J10/ J11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7275	AVENIDA BERNADO MANOEL	000537	AVENIDA	\N	J11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7277	RUA MAURITÂNIA	008227	RUA	\N	J11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7278	SD	040432	RUA	\N	J11	L-O	\N	\N	\N	\N	\N	RUA D	\N	\N	RUA PARAGUAÇÚ	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7280	RUA PROFA. HELOIZA FERREIRA LIMA	000446	RUA	PROFESSORA	J11/L10	N-S	6375/88	08/12/1988	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/ITAPERI	AZEVEDO MONTAURI,  RUA	lei  específica - mudando o nome da rua  e dando início e fim. Proc 18138/08 SEINF parecer prolongando alem do limite estabelecido pela lei.
7281	RUA DUARTE PIMENTEL	001105	RUA	\N	J11/K11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/ITAPERI	\N	\N
7282	RUA A (PRÓXIMA AO AEROPORTO)	020633	RUA	\N	J11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7283	RUA D (PRÓXIMA AO AEROPORTO)	022871	RUA	\N	J11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7284	SD	040430	RUA	\N	J11	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA INÁCIO PARENTE	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7285	RUA PARAGUAÇU	002748	RUA	\N	J11/L11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/ITAPERI	\N	\N
7286	SD	040431	RUA	\N	J11	L-O	\N	\N	\N	\N	\N	RUA PARAGUAÇU	\N	\N	RUA A	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7287	RUA BRUNO VALENTE	000619	RUA	\N	J11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
7289	TRAV. DA OFICINA	024008	TRAVESSA	\N	J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7291	RUA JOÃO BOSCO	023444	TRAVESSA	\N	J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7292	BECO LAURO VIEIRA	023616	BECO	\N	J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7294	TRAV. DA MISSÃO	023881	TRAVESSA	\N	J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7295	RUA DEOCLECIANO CAVALCANTE	004009	RUA	\N	J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7296	TRAV. DEOCLECIANO CAVALCANTE	020629	TRAVESSA	\N	J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7297	TRAV. CRISTO REI	022820	TRAVESSA	\N	J12/M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO/SIQUEIRA	\N	\N
7299	TRAV. RECANTO DA LAGOA	024242	TRAVESSA	\N	J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7300	TRAV. OTACÍLIO AURELIO	024033	TRAVESSA	\N	J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7301	TRAV. JOSÉ AUGUSTO	023522	TRAVESSA	\N	J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7302	SD	024383	RUA	\N	J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7303	TRAV. 3 DE AGOSTO	022181	TRAVESSA	\N	J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7305	RUA JOAQUIM PINTO	023476	RUA	\N	J12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	Na cartografia consta o trecho - Rua Adonias / Prolog. Av. Lauro Viera Chaves	\N
7306	RUA ADONIAS LIMA	000047	RUA	\N	J12	\N	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
7308	RUA SABINO BORGES	003176	RUA	\N	J13	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7312	RUA DR. PEDRO ROCHA	002826	RUA	DOUTOR	J13	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA/AEROPORTO	\N	\N
7313	RUA DR. AMADEU SÁ	022837	RUA	DOUTOR	J13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7314	RUA TEÓFILO CORDEIRO	003373	RUA	\N	J13	L-O	1671/60	16/12/1960	\N	\N	\N	CERCA DA BASE AÉREA (ET. PRIV. DA ARÉA MILITAR)	008921	AV. DR. RAUL BARBOSA	\N	\N	9582657	553562	9582805	554123	AEROLANDIA	\N	Na Lei esta Rua tem início na BR 116 e fim na cerca da Base Aérea.
7315	RUA CATULO CEARENSE	000778	RUA	\N	J13	L-O	1671/60	16/12/1960	\N	\N	002826	RUA DR. PEDRO ROCHA	\N	CERCA DE BASE AÉREA (ET. PRIV. ÁREA MILITAR)	\N	\N	9582604	553666	9582578	553563	AEROLANDIA	\N	\N
7316	RUA CORONEL BELO	000510	RUA	CORONEL	J13	L-O	1671/60	16/12/1960	\N	\N	007189	BR 116 (BR-13)	\N	CERCA DA BASE AÉREA (ET. PRIV. DA ÁREA MILITAR)	\N	\N	9582574	553862	9582496	553564	AEROLANDIA	\N	\N
7318	RUA JOAQUIM BARROSO	001864	RUA	\N	J13	L-O	1671/60	16/12/1960	\N	\N	\N	BR 116 (BR-13)	\N	CERCA DA BASE (ET. PRIV. DA ÁREA MILITAR)	\N	\N	9582422	553901	9582330	553553	AEROLANDIA	\N	\N
7319	VILA CHINESA	004003	VILA	\N	J13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
7320	AVENIDA ALBERTO CRAVEIRO	000094	AVENIDA	\N	J13 M12	N-S	4357/1974	22/05/74	\N	\N	\N	007189	\N	002854	VIADUTO DA AEROLÂNDIA	000937	\N	\N	\N	\N	AEROPORTO/DIAS MACEDO/CASTELÃO	\N	\N
7321	TRAVESSA JOAQUIM BARROSO	001865	TRAVESSA	\N	J13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
7324	RUA 4 (CONJ. SAGRADO CORAÇÃO)	022201	RUA	\N	J13/J14	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7325	RUA 5 (CONJ. SAGRADO CORAÇÃO)	022224	RUA	\N	J13-J14	O-L	\N	\N	\N	\N	\N	\N	\N	\N	LIMITE DO CONJUNTO	008921	\N	\N	\N	\N	AEROLANDIA	\N	\N
7327	RUA MAJOR JOSÉ ARAUJO AGUIAR	001936	RUA	MAJOR	J13/J14	L-O	\N	\N	\N	\N	007189	BR 116	008921	AV. DR. RAUL BARBOSA	\N	\N	9582650	553842	9582718	554110	AEROLANDIA	CATULO CEARENSE  - LEI 1671/60	\N
7328	TRAVESSA SARGENTO PORTUGUAL	004082	TRAVESSA	SARGENTO	J13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7329	RUA CORONEL GONÇALO	001464	RUA	CORONEL	J13	O-L	\N	\N	\N	\N	007189	BR 116	\N	\N	\N	SALINAS (ATERRO)	9582836	553790	9582911	554261	AEROLANDIA	DA PALHA	\N
7330	TRAV. CORONEL GONÇALO	023220	TRAVESSA	CORONEL	J13	N-S	\N	\N	\N	\N	000434	RUA AURÉLIO SAMPAIO	001464	RUA CEL. GONÇALO	\N	\N	9582954	553863	9582856	553882	AEROLANDIA	\N	\N
7336	TRAV. JOSÉ GIRÃO	023539	TRAVESSA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7338	RUA L (CONJ. RIO COCÓ)	023598	RUA	\N	J14	O-L	\N	\N	\N	\N	008921	AV. DR. RAUL BARBOSA	\N	\N	\N	\N	9582870	554134	9582861	554243.	AEROLANDIA	\N	\N
7339	RUA PALÁCIO (J)	024052	RUA	\N	J14	O-L	\N	\N	\N	\N	008921	AV. DR. RAUL BARBOSA	\N	\N	\N	\N	9582822	554126	9582815	554228	AEROLANDIA	\N	\N
7342	RUA PRINCIPADO (I)	024200	RUA	\N	J14	O-L	\N	\N	\N	\N	008921	AV. DR. RAUL BARBOSA	\N	\N	\N	\N	9582774	554118	9582767	554222	AEROLANDIA	\N	\N
7343	RUA REINADO (H)	024246	RUA	\N	J14	O-L	\N	\N	\N	\N	008921	AV. DR. RAUL BARBOSA	\N	\N	\N	\N	9582726	554111	9582717	554217	AEROLANDIA	\N	\N
7345	RUA GAL. LIMA DA SILVA	002165	RUA	GENERAL	J14	O-L	\N	\N	\N	\N	007189	BR 116	008921	AV. DR. RAUL BARBOSA	\N	\N	9582574	553862	9582623	554097	AEROLANDIA	\N	\N
7346	RUA ASSEMBLÉIA (G)	022488	RUA	\N	J14	O-L	\N	\N	\N	\N	008921	AV. DR. RAUL BARBOSA	\N	\N	\N	\N	9582674	554104	9582668	554213	AEROLANDIA	\N	\N
7347	RUA PLANALTO (F)	024177	RUA	\N	J14	O-L	\N	\N	\N	\N	008921	AV. DR. RAUL BARBOSA	\N	\N	\N	\N	9582623	554097	9582615	554207	AEROLANDIA	\N	\N
7348	RUA ADOLFO QUIXADÁ	000044	RUA	\N	J14	L-O	1671/1960	16/12/1960	\N	\N	008921	AV. DR. RAUL BARBOSA	\N	CERCA DA BASE AÉREA	\N	\N	9582549	554069	9582415	553565	AEROLANDIA	Cassiano TRAV	Na Lei esta Rua tem início na Rua Cap. Olavo. O Trecho da Cap. Olavo a Br 116 era conhecido como Trav. Cassiano.
7349	RUA 1 (CONJ. SAGRADO CORAÇÃO)	022011	RUA	\N	J14	O-L	\N	\N	\N	\N	\N	\N	\N	\N	000044	008921	\N	\N	\N	\N	AEROLANDIA	\N	\N
7350	RUA 2 (CONJ. SAGRADO CORAÇÃO)	022115	RUA	\N	J14	O-L	\N	\N	\N	\N	\N	\N	\N	\N	000044	008921	\N	\N	\N	\N	AEROLANDIA	\N	\N
7351	RUA 3 (CONJ. SAGRADO CORAÇÃO)	022166	RUA	\N	J14/J13	O-L	\N	\N	\N	\N	\N	\N	\N	\N	000044	008921	\N	\N	\N	\N	AEROLANDIA	\N	\N
7354	RUA DO CONGRESSO	022790	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7355	RUA DA REPÚBLICA	024255	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7356	RUA DA MONARQUIA	023888	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7357	RUA DO PARLAMENTO	024072	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7358	RUA DO GOVERNO	023226	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7359	RUA MONTE CRISTO	008002	RUA	\N	J14/K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7360	RUA ANTARES	022841	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7361	RUA TRINDADE	020886	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7362	PRAÇA DO TREM	024478	PRAÇA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7363	RUA SAGRADA FAMÍLIA	007994	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7364	RUA SETE ESTRELAS	007995	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7365	SD	040434	RUA	\N	J14	O-L	\N	\N	\N	\N	\N	RUA DA BARAÚNA	\N	\N	RUA PADRE FRANCISCO PITA	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
7366	RUA CINDERELA	007996	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7367	RUA TODOS OS SANTOS	007998	RUA	\N	J14/K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7368	RUA CLAÚDIO COUTINHO	007999	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
7369	RUA DA PONTE GRANDE	008000	RUA	\N	J14/K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7370	RUA DO LIVRAMENTO	007997	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7371	BR - 116	007189	RODOVIA	\N	J14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7372	RUA DO LAGO	007851	RUA	\N	J14	N-S	\N	\N	\N	\N	007857	RUA DA BARAÚNA	007846	RUA DA COPAÍBA	\N	\N	9582174	554764	9581724	554344	JARDIM DAS OLIVEIRAS	\N	\N
7374	RUA PIQUIÁ	007860	RUA	\N	J14	O-L	\N	\N	\N	\N	007858	RUA DO MERCADO	007857	RUA DA BARAÚNA	\N	\N	9582060	554497	9582123	554753	JARDIM DAS OLIVEIRAS	\N	\N
7375	RUA DAS CASTANHOLAS	003998	RUA	\N	J14	N-S	\N	\N	\N	\N	007859	RUA DO GUAJIRÚ	007858	RUA DO MERCADO	\N	\N	9582082	554593	9582047	554545	JARDIM DAS OLIVEIRAS	\N	\N
7377	RUA DA INGAZEIRA	007854	RUA	\N	J14/K14	N-S	\N	\N	\N	\N	007858	RUA DO MERCADO	007846	RUA DA COPAÍBA	\N	\N	9582036	554590	9582036	9582036	JARDIM DAS OLIVEIRAS	\N	\N
7378	RUA DO GUAJIRÚ	007859	RUA	\N	J14	O-L	\N	\N	\N	\N	007858	RUA DO MERCADO	007857	RUA DA BARAÚNA	\N	\N	9582039	554571	9582073	554743	JARDIM DAS OLIVEIRAS	\N	\N
7379	RUA LARGO DA PIUBA	007863	RUA	\N	J14	O-L	\N	\N	\N	\N	007851	RUA DO LAGO	007860	RUA PIQUIÁ	\N	\N	9582111	554487	9582105	554514	JARDIM DAS OLIVEIRAS	\N	\N
7380	RUA DA MASSARANDUBA	007855	RUA	\N	J14/K14	N-S	\N	\N	\N	\N	007858	RUA DO MERCADO	007846	RUA DA COPAÍBA	\N	\N	9582031	554644	9581875	554593	JARDIM DAS OLIVEIRAS	\N	\N
7381	RUA O MERCADO	007858	RUA	\N	J14	O-L	\N	\N	\N	\N	007851	RUA DO LAGO	007857	RUA DA BARAÚNA	\N	\N	9582073	554451	9582024	554735	JARDIM DAS OLIVEIRAS	\N	\N
7382	RUA DA BARAÚNA	007857	RUA	\N	J14/K14	N-S	\N	\N	\N	\N	001357	RUA PADRE FRANCISCO PITA	007846	RUA DA COPAÍBA	\N	\N	9582273	554792	9581942	554717	JARDIM DAS OLIVEIRAS	\N	\N
7383	RUA CASTRO DE ALENCAR	007086	RUA	\N	J14/K14	O-L	\N	\N	\N	\N	007857	RUA DA BARAÚNA	003121	AV. ROGACIANO LEITE	\N	\N	9582024	554735	9581887	555291	JARDIM DAS OLIVEIRAS	\N	\N
7384	RUA 1 (CONJ. TASSO JEREISSATI)	021336	RUA	\N	J14	\N	\N	\N	\N	\N	000824	RUA 2	021345	RUA 8	\N	\N	9582674	554766	9582531	554726	JARDIM DAS OLIVEIRAS	\N	\N
7385	RUA 2 (CONJ. TASSO JEREISSATI)	000824	RUA	\N	J14	O-L	\N	\N	\N	\N	021336	RUA 1	021341	AVENIDA 1	\N	\N	9582674	554766	9582614	555085	JARDIM DAS OLIVEIRAS	\N	\N
7386	RUA 3 (CONJ. TASSO JEREISSATI)	021337	RUA	\N	J14/J15	N-S	\N	\N	\N	\N	000824	RUA 2	001357	RUA PE. FRANCISCO PITA	\N	\N	9582652	554886	9582273	554792	JARDIM DAS OLIVEIRAS/SALINAS	\N	\N
7387	RUA 4 (CONJ. TASSO JEREISSATI)	021342	RUA	\N	J14	O-L	\N	\N	\N	\N	021336	RUA 1	021337	RUA 3	\N	\N	9582625	554752	9582603	554872	JARDIM DAS OLIVEIRAS	\N	\N
7388	RUA 5 (CONJ. TASSO JEREISSATI)	021338	RUA	\N	J14	N-S	\N	\N	\N	\N	000824	RUA 2	001357	RUA PE. FRANCISCO PITA	\N	\N	9582642	554941	9582263	554828	JARDIM DAS OLIVEIRAS	\N	\N
7389	RUA 6 (CONJ. TASSO JEREISSATI)	021344	RUA	\N	J14	O-L	\N	\N	\N	\N	021336	RUA 1	021337	RUA 3	\N	\N	9582578	554739	9582556	554858	JARDIM DAS OLIVEIRAS	\N	\N
7390	RUA 7 (CONJ. TASSO JEREISSATI)	021339	RUA	\N	J14	N-S	\N	\N	\N	\N	000824	RUA 2	001357	RUA PE. FRANCISCO PITA	\N	\N	9582633	554987	9582254	554874	JARDIM DAS OLIVEIRAS	\N	\N
7391	RUA 8 (CONJ. TASSO JEREISSATI)	021345	RUA	\N	J14	O-L	\N	\N	\N	\N	021336	RUA 1	021337	RUA 3	\N	\N	9582524	554718	9582511	554845	JARDIM DAS OLIVEIRAS	\N	\N
7392	RUA 9 (CONJ. TASSO JEREISSATI)	021340	RUA	\N	J14	N-S	\N	\N	\N	\N	000824	RUA 2	001357	RUA PE. FRANCISCO PITA	\N	\N	9582624	555035	9582236	554920	JARDIM DAS OLIVEIRAS	\N	\N
7393	RUA 12 (CONJ. TASSO JEREISSATI)	021356	RUA	\N	J14	O-L	\N	\N	\N	\N	021337	RUA 3	021341	AVENIDA 1	\N	\N	9582463	554831	9582406	555024	JARDIM DAS OLIVEIRAS	\N	\N
7394	AVENIDA 1 (CONJ. TASSO JEREISSATI)	021341	AVENIDA	\N	J14	N-S	\N	\N	\N	\N	001565	RUA HENRIQUE DE CASTRO	001357	RUA PE. FRANCISCO PITA	\N	\N	9582614	555085	9582222	554969	JARDIM DAS OLIVEIRAS	\N	\N
7395	RUA RADIAL LESTE	005187	RUA	\N	J14/K14	N-S	\N	\N	\N	\N	001357	RUA PE. FRANCISCO PITA	007086	RUA CASTRO DE ALENCAR	\N	\N	9582222	554969	9581982	554892	JARDIM DAS OLIVEIRAS	\N	\N
7397	LARGO 1 (CONJ. TASSO JEREISSATI)	021343	LARGO	\N	J14	N-S	\N	\N	\N	\N	021342	RUA 4	021344	RUA 6	\N	\N	9582613	554813	9582565	554803	JARDIM DAS OLIVEIRAS	\N	\N
7398	LARGO 2 (CONJ. TASSO JEREISSATI)	021351	LARGO	\N	J14	O-L	\N	\N	\N	\N	021339	RUA 7	021340	RUA 9	\N	\N	9582563	554966	9582549	555012	JARDIM DAS OLIVEIRAS	\N	\N
7399	LARGO 3 (CONJ. TASSO JEREISSATI)	021350	LARGO	\N	J14	O-L	\N	\N	\N	\N	021338	RUA 5	021339	RUA 7	\N	\N	9582576	554921	9582563	554966	JARDIM DAS OLIVEIRAS	\N	\N
7400	LARGO 4 (CONJ. TASSO JEREISSATI)	021352	LARGO	\N	J14	O-L	\N	\N	\N	\N	021337	RUA 3	021338	RUA 5	\N	\N	9582556	554858	9582542	554911	JARDIM DAS OLIVEIRAS	\N	\N
7401	LARGO 5 (CONJ. TASSO JEREISSATI)	021354	LARGO	\N	J14	O-L	\N	\N	\N	\N	021339	RUA 7	021340	RUA 9	\N	\N	9582488	554943	9582474	554990	JARDIM DAS OLIVEIRAS	\N	\N
7402	LARGO 6 (CONJ. TASSO JEREISSATI)	021358	LARGO	\N	J14	O-L	\N	\N	\N	\N	021338	RUA 5	021339	RUA 7	\N	\N	9582501	554899	9582488	554943	JARDIM DAS OLIVEIRAS	\N	\N
7403	LARGO 7 (CONJ. TASSO JEREISSATI)	021357	LARGO	\N	J14	O-L	\N	\N	\N	\N	021338	RUA 5	021339	RUA 7	\N	\N	9582395	554867	9582383	554913	JARDIM DAS OLIVEIRAS	\N	\N
7404	LARGO 8 (CONJ. TASSO JEREISSATI)	022279	LARGO	\N	J14	O-L	\N	\N	\N	\N	021339	RUA 7	021340	RUA 9	\N	\N	9582383	554913	9582369	554959	JARDIM DAS OLIVEIRAS	\N	\N
7405	LARGO 9 (CONJ. TASSO JEREISSATI)	021361	LARGO	\N	J14	O-L	\N	\N	\N	\N	021337	RUA 3	021339	RUA 7	\N	\N	9582373	554806	9582383	554913	JARDIM DAS OLIVEIRAS	\N	\N
7406	LARGO 10 (CONJ. TASSO JEREISSATI)	021362	LARGO	\N	J14	O-L	\N	\N	\N	\N	021340	RUA 9	021341	AVENIDA 1	\N	\N	9582332	554948	9582317	554998	JARDIM DAS OLIVEIRAS	\N	\N
7407	LARGO 11 (CONJ. TASSO JEREISSATI)	021363	LARGO	\N	J14	O-L	\N	\N	\N	\N	021339	RUA 7	021340	RUA 9	\N	\N	9582307	554890	9582292	554936	JARDIM DAS OLIVEIRAS	\N	\N
7408	LARGO 12 (CONJ. TASSO JEREISSATI)	021364	LARGO	\N	J14	O-L	\N	\N	\N	\N	021338	RUA 5	021339	RUA 7	\N	\N	9582321	554845	9582307	554890	JARDIM DAS OLIVEIRAS	\N	\N
7409	RUA SABARÁ	005186	RUA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
7410	RUA ENG. COELHO JÚNIOR	022778	RUA	ENGENHEIRO	J14/K14	N-S	\N	\N	\N	\N	\N	LAGOA DO AREAL	007086	RUA CASTRO DE ALENCAR	\N	\N	9582297	555077	9581960	554976	JARDIM DAS OLIVEIRAS	\N	\N
7411	RUA DOS FARRAPOS	005189	RUA	\N	J14/K14	N-S	\N	\N	\N	\N	001357	RUA PE. FRANCISCO PITA	007086	RUA CASTRO DE ALENCAR	\N	\N	9582178	555121	9581942	555051	JARDIM DAS OLIVEIRAS	\N	\N
7414	TRAV. MARINHA	023810	TRAVESSA	\N	J14/K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
7415	RUA PADRE FRANCISCO PITA	001357	RUA	PADRE	J14/J15	O-L	\N	\N	\N	\N	007857	RUA DA BARAÚNA	000322	RUA ANTÔNIO ROCHA	\N	\N	9582273	554792	9581882	556125	ENG. LUCIANO CAVALCANTE/JARDIM DAS OLIVEIRAS	\N	\N
7416	TRAV. F. AQUINO	023044	TRAVESSA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
7417	TRAV. M. LOBO	023709	TRAVESSA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
7418	RUA HENRIQUE DE CASTRO	001565	RUA	\N	J14/J15	O-L	\N	\N	\N	\N	021341	AVENIDA 1	000322	RUA ANTÔNIO ROCHA	\N	\N	9582614	555085	9582527	555598	JARDIM DAS OLIVEIRAS	\N	\N
7419	TRAV. HENRIQUE DE CASTRO	023282	TRAVESSA	\N	J14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
7421	SD	040433	RUA	\N	J14	N-S	\N	\N	\N	\N	\N	RUA SETE ESTRELAS	\N	\N	RUA CINDERELA	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
7422	RUA PINDEREMIRIM	007120	RUA	\N	J14/J15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SALINAS/ENG. LUCIANO CAVALCANTE	\N	\N
7426	RUA 1	\N	RUA	\N	J15	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO(PARQUE DO COCÓ)	005298	RUA JULIA SALES	\N	\N	9582805	555281	9582793	555315	SALINAS	\N	Esta Rua se apresenta totalmente invadida pela vegetação.
7430	VILA ESTUDANTE CLÁUDIO RÉGIS	022771	VILA	ESTUDANTE	J15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
7431	RUA AMADOR BUENO	005297	RUA	\N	J15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
7432	RUA DES. JUCÁ FILHO	002082	RUA	DESEMBARGADOR	J15	N-S	4211/73	\N	\N	\N	005297	RUA AMADOR BUENO	001357	RUA PE. FRANCISCO PITA	\N	\N	9582316	555327	9582134	555273	JARDIM DAS OLIVEIRAS	\N	Na Lei esta Rua se inicia na Cerca do Loteamento e finaliza na Av. José Leon.
7433	RUA AUGUSTO MANOEL	022497	RUA	\N	J15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
7435	RUA ESPERANÇA	022996	RUA	\N	J15/J06	N-S	\N	\N	\N	\N	001357	RUA PE. FRANCISCO PITA	007086	RUA CASTRO DE ALENCAR	\N	\N	9582129	555290	9581933	555088	JARDIM DAS OLIVEIRAS/GRANJA PORTUGAL	\N	\N
7436	FAVELA DA ZÉZA	024624	FAVELA	\N	J15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
7437	RUA ARNALDO OSÓRIO	000389	RUA	\N	J15	N-S	3924/71	\N	\N	\N	005197	RUA FRANCISCO DAS CHAGAS MENDES	001565	RUA HENRIQUE DE CASTRO	\N	\N	9582654	555473	9582551	555452	JARDIM DAS OLIVEIRAS	\N	Na Lei esta Rua inicia-se na Rua Henrique de Castro e termina na Rua Francisco Paixão.
7438	RUA DES. CARVALHO LIMA	005296	RUA	DESEMBARGADOR	J15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
7439	RUA MONS. PAULO	024093	RUA	MONSENHOR	J15	N-S	\N	\N	\N	\N	005297	RUA AMADOR BUENO	001357	RUA PE. FRANCISCO PITA	\N	\N	9582293	555493	9582086	555434	JARDIM DAS OLIVEIRAS	VICENTE CARVALHO  (PLANTA DO LOTEAMENTO)	\N
7572	TRAV. VILA SINHÁ	024406	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7440	RUA FRANCISCO PEREIRA	001112	RUA	\N	J15	O-L	\N	\N	\N	\N	003121	AV. ROGACIANO LEITE	000322	RUA ANTÔNIO ROCHA	\N	\N	9582373	555416	9582329	555662	JARDIM DAS OLIVEIRAS	\N	\N
7447	RUA PLÍNIO MONTEIRO	005190	RUA	\N	J15	N-S	\N	\N	\N	\N	009498	RUA LARANJAL	000322	RUA ANTÔNIO ROCHA	\N	\N	9582276	555689	9582678	555794	ENG. LUCIANO CAVALCANTE	\N	\N
7448	RUA PENHA MENDES	020775	RUA	\N	J15	O-L	\N	\N	\N	\N	000322	RUA ANTÔNIO ROCHA	005190	RUA PLÍNIO MONTEIRO	\N	\N	9582481	555637	9582445	555733	ENG. LUCIANO CAVALCANTE	\N	\N
7450	RUA ANTÔNIO BARROS	000322	RUA	\N	J15	O-L/N-S	3924/71	\N	\N	\N	005197	RUA FRANCISCO DAS CHAGAS MENDES	003670	RUA LEA POMPEU	\N	\N	9582617	555584	9581979	556097	ENG. LUCIANO CAVALCANTE/JARDIM DAS OLIVEIRAS	\N	\N
7451	RUA DES. EURICO MONTEIRO	001225	RUA	DESEMBARGADOR	J15	N-S	\N	\N	\N	\N	005297	RUA AMADOR BUENO	001357	RUA PADRE  FRANCISCO PITA	\N	\N	9582273	555654	9582042	555585	JARDIM DAS OLIVEIRAS	\N	localizada  no Conj. Resid.  Tropical
7452	RUA DAS GAIVOTAS	009147	RUA	\N	J15/K15	N-S	\N	\N	\N	\N	000322	RUA ANTÔNIO ROCHA	006859	AV.  JOSÉ LEON	\N	\N	9582263	555732	9581322	555465	JARDIM DAS OLIVEIRAS	\N	\N
7453	AV DES. FAUSTINO  ALBURQUEQUE	001248	AVENIDA	DESEMBARGADOR	J15/K15	\N	\N	\N	\N	\N	000322	RUA ANTÔNIO ROCHA	006859	AV.  JOSÉ LEON	\N	\N	9582233	555812	9581303	555540	JARDIM DAS OLIVEIRAS	\N	\N
7454	RUA ADEMAR DE BARROS	000035	RUA	\N	J15	O-L	\N	\N	\N	\N	020019	RUA DAS GAIVOTAS	000322	RUA ANTÔNIO ROCHA	FIM DO LOT. JARDIM DAS OLIVEIRAS	\N	9582137	555695	9582039	556030	JARDIM DAS OLIVEIRAS	\N	Na Lei, esta Rua tem início da Rua Des. Jucá Filho.
7455	RUA STENIO GOMES	003330	RUA	\N	J15	N-S	\N	\N	\N	\N	000322	RUA ANTÔNIO ROCHA	006859	AV. JOSÉ LEON (Antiga Santa Helena)	\N	\N	9582192	555888	9581287	555622	JARDIM DAS OLIVEIRAS	\N	\N
7456	RUA ATAULFO ALVES	000420	RUA	\N	J15/K15	N-S	\N	\N	\N	\N	000322	RUA ANTÔNIO ROCHA	006859	AV. JOSÉ LEON	\N	\N	9582140	555953	9581264	555697	JARDIM DAS OLIVEIRAS	\N	\N
7457	RUA  SEN. CARLOS JEREISSATI	000722	RUA	SENADOR	J15	N-S	\N	\N	\N	\N	000035	RUA ADEMAR BARROS	006859	AV. JOSÉ LEON	\N	\N	9582044	556013	9581245	555772	JARDIM DAS OLIVEIRAS	\N	\N
7459	RUA JOÃO PAULINO	005198	RUA	\N	J15	O-L	\N	\N	\N	\N	\N	RUA BLUMENAU	005195	RUA TEODORO DE PAIVA	\N	\N	9582404	555803	9582390	555882	ENG. LUCIANO CAVALCANTE	\N	\N
7460	RUA LEOPOLDO PEREZ	005196	RUA	\N	J15	N-S	\N	\N	\N	\N	009498	RUA LARANJAL	\N	VEGETAÇÃO	\N	\N	9582605	556020	9582387	555961	ENG. LUCIANO CAVALCANTE	\N	\N
7461	RUA MONTALVÃO	005325	RUA	MARQUES	J15	N-S	\N	\N	\N	\N	009498	RUA LARANJAL	005197	RUA FRANCISCO DAS CHAGAS MENDES	\N	\N	9582579	556093	9582465	556059	ENG. LUCIANO CAVALCANTE	\N	\N
7462	RUA LARANJAL	009498	RUA	\N	J15	O-L	\N	\N	\N	\N	005190	RUA PLÍNIO MONTEIRO	005325	RUA MARQUES DE MONTALVÃO	\N	\N	9582678	555794	9582579	556093	ENG. LUCIANO CAVALCANTE	\N	\N
7463	AVENIDA MONSENHOR CARNEIRO DA CUNHA	009732	AVENIDA	MONSENHOR	J15 / J16	L-O	5994/85	20/09/1985	\N	\N	003121	AV. ROGACIANO LEITE	003690	AV. WASHINGTON SOARES	\N	\N	9582942	555668	9582418	557616	ENG. LUCIANO CAVALCANTE	COLETORA WE LOT PLANALTO AGUA FRIA, GISELE,AVENIDA NORTE DO LOTEAMENTO ALPHA VILLAGE	O Trecho que vai da Av. Rogaciano Leite
7464	RUA MOACIR ALENCAR ARARIPE	007668	RUA	\N	J15	N-S	6374/88	08/12/1988	\N	\N	001393	RUA LUIZA MIRANDA COELHO	009732	AV. MONS. CARNEIRO DA CUNHA	\N	\N	9583066	556187	9582827	556096	ENG. LUCIANO CAVALCANTE	\N	LEI ESPECIFICA  INICIO RUA GALILEIA ATÉ ENCONTRAR UMA RUA PARALELA "A RUA  AIKO MARIA.
7466	RUA LÉA POMPEU	003670	RUA	\N	J15/K15	N-S	6416/88	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE/JARDIM DAS OLIVEIRAS	\N	Na Lei esta Rua tem inicio entre as Q10 e 15 do mesmo Loteamento e Fim na Rua José Léon. Na Cartografia ela se extende até A
7467	RUA ALICE MARIA FERRAZ (PINDORAMA)	022378	RUA	\N	J15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7471	RUA N. S. 13	023917	RUA	\N	J15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7473	RUA N. S. 14	023918	RUA	\N	J15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7474	RUA FCO. J. DA COSTA	007662	RUA	\N	J15	O-L	\N	\N	\N	\N	004205	RUA REV. BOLIVAR PINTO BANDEIRA	\N	EDIFICAÇÃO	\N	\N	556265	556265	9582807	556336	ENG. LUCIANO CAVALCANTE	\N	\N
7475	RUA FILADELFIA	001287	RUA	DOUTOR	J15/J16/J17	O-L	8808/2003	26/12/2003	11771/2004	29/12/2004	\N	EDIFICAÇÃO  DO LOTEAMENTO PLANALTO AGUA FRIA	003690	AV. WASHINGTON SOARES	\N	\N	556355	9582851	9582559	557603	ENG. LUCIANO CAVALCANTE	FILADELFIA - R SDO TERRAS JOÃO GENTIL JR.	\N
7478	RUA LUIZA MIRANDA COELHO	001393	RUA	\N	J15/J16	L-O	5713/83	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7482	VILA APARECIDA	022461	VILA	\N	J16	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7483	PARQUE VILLAGE RESIDENCE	024581	PARQUE	\N	J16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7484	RUA TRANSVERSAL	020781	RUA	\N	J16	O-L	\N	\N	\N	\N	009070	RUA VICENTE DE CASTRO FILHO	003690	AV. WASHINGTON SOARES	\N	\N	9582267	557371	9582280	557628	ENG. LUCIANO CAVALCANTE	\N	\N
7485	RUA SARTO BARBOSA	005313	RUA	\N	J16/K16	N-S	7705/95	08/05/1995	10685/2000	03/01/2000	000742	AV. MONS. CARNEIRO DA CUNHA	\N	SD	\N	\N	9582398	557430	9581851	557462	ENG. LUCIANO CAVALCANTE	SARTO BARBOSA	Na Lei esta Rua terminaria na Rua Caetano Ximenes Aragão.
7487	RUA J01A	009071	RUA	\N	J16	N-S	\N	\N	\N	\N	009070	RUA VICENTE DE CASTRO FILHO	040436	RUA DR. DEOPLISTO FEITOSA	\N	\N	9582216	557374	9582083	557348	ENG. LUCIANO CAVALCANTE	\N	\N
7488	RUA J03	009054	RUA	\N	J16	N-S	8150/1998	\N	10560/99	\N	040436	RUA DR. DEOPLISTO FEITOSA	\N	RUA SD	\N	\N	9582090	557300	9581836	557301	ENG. LUCIANO CAVALCANTE	\N	\N
7489	RUA J02	023376	RUA	\N	J16	N-S	8178/98	15/07/98	10796/00	19/06/00	009061	RUA RICARDO CASTRO MACEDO	040436	RUA DR. DEOPLISTO FEITOSA (SL-03).	\N	\N	9582340	557310	9582094	557269	ENG. LUCIANO CAVALCANTE	J 02   (ALPHA VILLAGE)	\N
7490	RUA NS01	010278	RUA	\N	J16	N-S	8269/1999	16/12/1999	10798/2000	19/06/2000	009061	RUA RICARDO CASTRO MACEDO	040436	RUA DR. DEOPLISTO FEITOSA	\N	\N	9582364	557227	9582106	557189	ENG. LUCIANO CAVALCANTE	NS - 01 DO LOTEAMENTO  ALPHA VILLAGE	\N
7491	RUA NS02	009030	RUA	\N	J16	N-S	8015/1997	12/06/1997	10800/2000	19/06/2000	000742	AV MONS CARNEIRO DA CUNHA (AV. NORTE)	040435	SL 04 (ALPHA VILLAGE	\N	\N	9582473	557156	9582164	557123	ENG. LUCIANO CAVALCANTE	NS 02  ALPHA VILLAGE	\N
7492	RUA DIAGONAL 1	009076	RUA	DOUTOR	J16/K16	N-S	7664/94	30/12/1994	9789/1996	10/01/1996	009061	RUA RICARDO CASTRO MACEDO (Rua SL01)	\N	RUA CAETANO XIMENES ARAGÃO	\N	\N	557049	9582410	557461	9581853	ENG. LUCIANO CAVALCANTE	NS 03  E DIAGONAL -(LOT. ALPHA VILLAGE)	\N
7493	SD	040437	RUA	\N	J16	O-L	\N	\N	\N	\N	\N	RUA TRANSVERSAL	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7494	SD	040438	RUA	\N	J16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	SD (040437)	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7495	SD	040439	RUA	\N	J16	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA FILADÉLFIA	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7497	SD	040436	RUA	DOUTOR	J16	O-L	8501/2000	19/12/2000	10971/2001	05/05/2001	010278	 AÍRTON BORGES MARTINS	005313	ARMANDO DALL'OLIO	RUA SARTO BARBOSA	\N	9582106	557189	9582089	557446	ENG. LUCIANO CAVALCANTE	SL 03, SL 3A  E SL 3B ALPHA VILLAGE	\N
7498	SD	040435	RUA	\N	J16	O-L	\N	\N	\N	\N	\N	RUA DIAGONAL	\N	\N	RUA NS 01	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7500	RUA J06	009057	RUA	\N	J16	N-S	8741/2003	10/07/2003	12679/2010	14/06/2010	001393	RUA LUIZA MIRANDA COELHO	000742	AV MONS. CARNEIRO DA CUNHA	\N	\N	9582678	557298	9582444	557253	ENG. LUCIANO CAVALCANTE	J 06 (ALPHA VILLAGE)	\N
7501	RUA J05	023378	RUA	\N	J16	N-S	\N	\N	\N	\N	001287	RUA DR. FRANCISCO GADELHA	000742	AV MONS. CARNEIRO DA CUNHA	\N	\N	9582545	557359	9582422	557342	ENG. LUCIANO CAVALCANTE	\N	\N
7505	RUA F	005322	RUA	\N	J16	N-S	7129/1992	25/05/1992	11950/2005	30/12/2005	\N	RUA NELSON STUDART	\N	CERCA DO LOTEAMENTO	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	F   DO LOTEAMENTO  PARQUE WASHINGTON	\N
7508	RUA A	022322	RUA	\N	J16	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO (VEGETAÇÃO)	009077	AV. CENTRAL	\N	\N	9583111	556491	9583068	556651	ENG. LUCIANO CAVALCANTE	\N	\N
7509	RUA ADOLFO SOARES	009095	RUA	\N	J16	O-L	6331/1988	01/07/88	8270/90	20/03/90	\N	ESTRADA MESSEJANA-MUCURIPE	\N	\N	AV. WASHINGTON SOARES (003690)	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7510	RUA OTACÍLIO MOTA	024035	RUA	\N	J16	O-L	7853/95	\N	9132/93	\N	005323	RUA E (LOTEAMENTO WASHINGTON SOARES)	003690	AV. WASHINGTON SOARES	\N	\N	9582813	557420	9582835	557579	ENG. LUCIANO CAVALCANTE	\N	\N
7511	RUA E	005323	RUA	\N	J16	N-S	7981/1996	17/12/1996	10056/1997	26/03/1997	\N	NÉLSON STUDART, RUA	\N	LOTE 5 DA QD 4 DO LOTEAMENTO	\N	\N	557418	9582877	557406	9582689	ENG. LUCIANO CAVALCANTE	E DO LOTEAMENTO PARQUE WASHINGTON	\N
7513	RUA NS03	009031	RUA	\N	J16 / K16	N-S	7999/1997	07/01/1997	10128/1997	16/07/1997	009076	RUA DR. PONTES NETO	009033	RUA CAETANO XIMENES ARAGÃO	\N	\N	9582096	557088	9581815	557057	ENG. LUCIANO CAVALCANTE	NS 03 - PARTE (ALPHA VILLAGE)	\N
7514	RUA NS05	009033	RUA	\N	J16/K16	N-S	7786/1995	19/09/1995	9791/1996	10/01/1996	\N	RUA RICARDO CASTRO MACEDO (RUA SL 01)	009076	ENCONTRO COM A RUA DR. PONTES NETO(RUA DIAGONAL 01	\N	RUA ARMANDO DALL'OLIO	9582440	556964	9581851	557462	ENG. LUCIANO CAVALCANTE	\N	Na Lei esta Rua  termina no encontro com a Rua Diagonal 01.
7578	RUA DR. GUIDO FURTADO PINTO	007296	RUA	DOUTOR	J17	N-S	7548/94	ILEGÍVEL	9533/94	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7515	AVENIDA CENTRAL	020772	AVENIDA	CORONEL	J16/K16	N-S	7899/1996	02/05/1996	11770/2004	29/12/2004	000742	AV MONS. CARNEIRO DA CUNHA	\N	 RUA SL2	\N	\N	9582545	556908	9581949	556835	ENG. LUCIANO CAVALCANTE	CENTRAL av -ALPHA VILLAGE	\N
7516	RUA NS04	009032	RUA	LIBANES	J16 /K16	N-S	DL 244/2007	08/05/2007	\N	\N	022782	AV. CEL. FRANCISCO FLÁVIO CARNEIRO	\N	RUA ANÁSTACIO MENDES BRAGA	\N	\N	9582192	556971	9581923	556999	ENG. LUCIANO CAVALCANTE	NS 04  (ALPHA VILLAGE)	\N
7518	AVENIDA COLETORA OESTE	022782	AVENIDA	CORONEL	J16	O-L	8972/2005	14/09/2005	11983/2006	07/02/2006	\N	PRAÇA DE REVERSÃO	009076	RUA DR.  PONTES NETO	\N	\N	9582212	556662	9582186	557043	ENG. LUCIANO CAVALCANTE	COLETOPRA OESTE  AV.   - LOTEAMENTO ALPHA VILLAGE	A PRAÇA DE REVERSÃO  ESTÁ INSERIDA  NA QUADRA 12
7521	RUA JAYME GAMA	009082	RUA	\N	J16/K16	O-L	8277/1999	16/06/1999	10949/2001	28/03/2001	\N	LOTE 09  e 11 DA QD 12 (AÇUDE MACEDO)	020772	AV. CEL JOSÉ  PHILOMEMO GOMES	\N	\N	9582020	556609	9581967	556833	ENG. LUCIANO CAVALCANTE	SL.07 DO LOT. ALPHA VILAGE	NA CARTGRAF ESTÁ RUA - SL2 (ALPHA VILLAGE)
7522	RUA NS10	009058	RUA	\N	J16	N-S	256  /2007	30/05/2007	\N	\N	009061	RUA RICARDO DE CASTRO MACEDO	040942	RUA CÉLIO BRASIL GIRÃO	\N	\N	9582491	556789	9582270	556781	ENG. LUCIANO CAVALCANTE	NS 10 (ALPHA VILLAGE)	\N
7523	RUA NS11	009059	RUA	\N	J16	N-S	\N	\N	\N	\N	009061	RUA RICARDO CASTRO MACEDO	040942	RUA CÉLIO BRASIL GIRÃO	\N	\N	9582521	556689	9582430	556663	ENG. LUCIANO CAVALCANTE	\N	\N
7524	RUA NS12	009060	RUA	\N	J16	N-S	8907/04	22/12/2004	11982/06	02/02/2006	000742	AV.  MONS. CARNEIRO DA CUNHA	\N	PRAÇA DE REVERSÃO	\N	\N	9582622	556638	9582328	556559	ENG. LUCIANO CAVALCANTE	N-S 12 (LOT. ALPHA VILLAGE)	PRAÇA DE REVER - QDRAS 02,03,04,05,06,03-A,08 E 09
7525	RUA L03	009063	RUA	CORONEL	J16/K16	O-S	8392/1999	14/12/99	10759/00	18/05/00	040941	NS-12B	009069	RUA 08 (DO REFERIDO LOTEAMENTO)	\N	\N	9582481	556330	9581876	556612	ENG. LUCIANO CAVALCANTE	L - 03 (LOTEAMENTO ALPHA VILLAGE)	\N
7526	RUA L02	009062	RUA	DOUTOR	J16	O-L	8852/2004	07/06/2004	11732/2004	28/10/2004	\N	RUA NS 12 A OU 12 B (ALFHA VILLAGE	\N	RUA L07 (ALFHA VILLAGE)	\N	\N	556386	9582544	556747	9581978	ENG. LUCIANO CAVALCANTE	L 02 E  L02 A  DO LOTEAMENTO ALFHA VILLAGE	\N
7527	RUA RICARDO CASTRO MACEDO (L01)	009061	RUA	\N	J16	O-L	7710/1995	\N	9934/1996	\N	\N	RUA NS 12 A (ALPHA VILLAGE)	009070	RUA VICENTE DE CASTRO FILHO	\N	\N	9582599	556418	9582323	557368	ENG. LUCIANO CAVALCANTE	L01 E  SL01 (ALFHA VILLAGE)	\N
7528	RUA ZEZA PONTES	006675	RUA	\N	J16	N-S	\N	\N	\N	\N	001393	RUA LUIZA MIRANDA COELHO	000742	RUA DR. FRANCISCO GADELHA	\N	\N	9582892	556569	9582677	556457	ENG. LUCIANO CAVALCANTE	RUA 648 DA RUA  GALILÉIA (mat.22198 do CRI 1ª Zona)	\N
7529	RUA MARIA ALICE FERRAZ	009477	RUA	\N	J16	N-S	7491/1993	30/12/1993	9423/94	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
7531	RUA MARIANA PINTO BANDEIRA	006832	RUA	\N	J16	N-S	5197/79	\N	\N	\N	\N	RUA SD (ESTRADA MESSEJAN-MUCURIPE)	009732	AV. MONS. CARNEIRO DA CUNHA	\N	\N	9583005	556685	9582640	556578	ENG. LUCIANO CAVALCANTE	\N	Na Lei, esta Rua termina na Rua Luiza Miranda Coelho.
7536	RUA DR. CARLOS RIBEIRO PAMPLONA	005365	RUA	DOUTOR	J17	\N	4591/75	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7539	SD	040441	RUA	\N	J17	O-L	\N	\N	\N	\N	\N	CERCA	\N	\N	RUA A (SÍTIO COLOSSO)	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7541	RUA ALBERTO JÚNIOR	005371	RUA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7543	RUA EDMAR VILLAR DE QUEIROZ	005362	RUA	\N	J17	\N	5368/80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7544	RUA H (EDSON QUEIROZ)	023266	RUA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7545	RUA ADOLFO MOREIRA CARVALHO	005363	RUA	\N	J17	N-S	6524/1989	09/11/1989	8265/90	\N	\N	\N	\N	\N	AV. DES. FLORIANO BENEVIDES (005366)	AV. CONTORNO (008206)	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7547	RUA VEREADOR JOSÉ BATISTA BARBOSA	005370	RUA	VEREADOR	J17	L-O	6242/87	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7548	RUA I (EDSON QUEIROZ)	023305	RUA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7550	RUA ADAIL TEIXEIRA	007661	RUA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7551	RUA DO CORRENTE	000260	RUA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7552	RUA ARAÇU	022465	RUA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7553	TRAV. ARAÇU	007928	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7554	RUA ENG. PAULO CÉSAR BARBOSA	005368	RUA	ENGENHEIRO	J17	N-S	6153/86	09/12/86	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7555	RUA UBAITABA	005380	RUA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7556	TRAV. MURITIBA	005414	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7557	TRAV. VILA HENRIQUE	023281	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7558	TRAV. GRAMINES	023232	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7559	RUA CANTONEIDE	022687	RUA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7560	VILA SÃO LUDOVICO	005416	VILA	SÃO	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7561	TRAV. CANINHO DO CÉU	022685	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7562	TRAV. ROCINHA	024287	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7563	TRAV. RIACHO VERDE	024256	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7564	SD	040440	RUA	\N	J17	O-L	\N	\N	\N	\N	\N	AV. WASHINGTON SOARES	\N	\N	RUA DO CORRENTE	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7565	TRAV. NOSSA  SENHORA DA LUZ	023962	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7566	TRAV. CANTONEIDE	022686	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7568	RUA ESITO LIMA VERDE	007295	RUA	TENENTE CORONEL	J17	N-S	6935/1991	\N	8790/1992	\N	\N	RUA  D	\N	RUA  G	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	A , RUA  DO CONJUNTO COHABEM II	\N
7569	TRAV. FRAMBOESA	021552	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7570	TRAV. IBIAPABA	000123	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7571	TRAV. DO SUCESSO	005426	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7574	TRAV. BONFIM	005385	TRAVESSA	\N	J17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7579	RUA JORN. DEOLINDO BARRETO	007293	RUA	JORNALISTA	J17	L-O	6936/91	\N	8791/92	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7582	RUA 13 (SÍTIO COLOSSO)	007885	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7583	RUA QUINZE (SÍIO COLOSSO)	007887	RUA	\N	J18	N-S	8859/2004	25/06/2004	11772/2004	29/12/2004	\N	MARIO CAMARA VIEIRA	\N	HERMENEGILDO DE SÁ CAVALCANTE	\N	\N	559101	9582506	559028	9582001	EDSON QUEIROZ	15  LOT. VILLAGE COLOSSO	\N
7584	\N	007888	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7585	RUA 7 (SÍTIO COLOSSO)	007879	RUA	\N	J18	O-L	7932/1996	19/07/1996	11761/2004	20/12/2004	\N	DESEMBARG. AGENOR STUDART (RUA 15)	\N	AV  D (TRECHO NORTE SUL	\N	\N	558954	9582251	559930	9582216	EDSON QUEIROZ	07 - LOT COLOSSO	\N
7586	AVENIDA C (SÍTIO COLOSSO)	007868	AVENIDA	\N	J18	N-S	8121/1998	22/06/1998	10402/98	21/10/1998	\N	RUA ROSA CORDEIRO	\N	RUA 11 - VILLAGE COLOSSO	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7587	RUA 6 (SÍTIO COLOSSO)	007878	RUA	\N	J18	O-L	9000/2005	14/09/2005	12049/2006	20/06/2006	\N	MÁRIO CÂMARA VEIERA , AV.	\N	AVENIDA D DO CITADO LOTEAMENTO	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	6 DO LOT. SÍTIO COLOSSO, RUA	\N
7588	SD	040442	RUA	\N	J18	N-S	\N	\N	\N	\N	\N	RUA ROSA CORDEIRO	\N	\N	AVENIDA C (SÍTIO COLOSSO)	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7589	RUA FRANCISCO CAVALCANTE	005405	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7590	RUA JAIME ALMEIDA	005407	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7593	RUA A (COND. RES. BOSQUE DA ÁGUA FRIA)	022306	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7594	RUA B (CONDOMÍNIO RESID.BOSQUE DA ÁGUA FRIA)	022508	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7595	RUA CINCO (SÍTIO COLOSSO)	007877	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7596	RUA 20 (SÍTIO COLOSSO)	007892	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7597	RUA DEZOITO (SÍTIO COLOSSO)	007890	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7600	RUA 22 (SÍTIO COLOSSO)	007894	RUA	\N	J18/K18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7601	RUA 21 (SÍTIO COLOSSO)	007893	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7603	RUA 24 (SÍTIO COLOSSO)	007896	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7604	AVENIDA D (SÍTIO COLOSSO)	007869	\N	\N	J18	O-L	\N	17/12/1997	11760/2004	20/12/2004	\N	 MARIO CAMARA VIEIRA, AV.	\N	RUA 06 DO LOTEAMENTO	\N	\N	5591123	9582449	559952	9582482	EDSON QUEIROZ	D (PARTE)  e  F  - avenidas     SUBSTITUIDA POR OUTRO LOCAL	\N
7605	RUA 23 (SÍTIO COLOSSO)	007895	RUA	DESEMBARGADOR	J18/K18	N-S	DL312/2008	1/04/2008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	23  DO SITIO COLOSSO	\N
7606	RUA 25 (SÍTIO COLOSSO)	007897	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7607	RUA 26 (SÍTIO COLOSSO)	007898	RUA	\N	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7608	AVENIDA B (SÍTIO COLOSSO)	007867	AVENIDA	TABELIÃO	J18 K18	O-L	6485/1998	08/09/1989	10399/1998	21/10/1998	\N	CERCA DO LOTEAMENTO	\N	ENTRE AS QUADRA 27 E 28 LOT CIDADE LESTE	\N	\N	558848	9581830	560211	9582174	EDSON QUEIROZ	B -VILLAGE COLOSSO  E  A- CIDADE LESTE)	a AV. DOS FRANCESES  ESTA TERMINANDO NO INICIO DESTA AVENIDA
7609	RUA DR. MONTEIRO	021549	RUA	DOUTOR	J18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7612	RUA 23 (EDSON QUEIROZ)	007927	RUA	\N	J19	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	560127	9582186	550077	9582110	EDSON QUEIROZ	\N	\N
7613	AVENIDA 4 (EDSON QUEIROZ)	022206	AVENIDA	\N	J19/K19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7614	RUA 8 (LOT. CIDADE LESTE)	007912	RUA	\N	J19/K19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7615	RUA 9 (EDSON QUEIROZ)	022294	RUA	\N	J19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7616	ESTRADA DO CAJUEIRO	021097	ESTRADA	\N	J20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
7617	TRAV. JAMAICA	023407	TRAVESSA	\N	J20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
7618	AVENIDA SABIAGUABA	005532	AVENIDA	\N	J21/L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II/SABIAGUABA/EDSON QUEIROZ	\N	\N
7619	RUA MANOEL DE CASTRO	023736	RUA	\N	J21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
7620	RUA W. BEZERRA	021650	RUA	\N	J21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
7621	TRAVESSA MANOEL DE CASTRO	023735	TRAVESSA	\N	J21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
7623	RUA DO CONTORNO	022799	RUA	\N	J21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
7624	RUA 3 (SABIAGUABA)	021653	RUA	\N	J21/M23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II/SABIAGUABA	\N	\N
7625	RUA MÁRIO VIEIRA	009649	RUA	\N	J21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
7626	RUA DOUTOR BERNARDO DE CASTRO FEITOSA	022588	RUA	DOUTOR	J21/K21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II/SABIAGUABA	\N	\N
7627	RUA MIGUEL ALVES DE SOUSA	021648	RUA	\N	J21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
7628	PRAÇA SABIAGUABA	024324	PRAÇA	\N	J21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	\N	\N
7629	RUA HUMBERTO ALBUQUERQUE	021645	RUA	\N	J21/K21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II/SABIAGUABA	\N	\N
7630	SD	040443	RUA	\N	J21	O-L	\N	\N	\N	\N	\N	RUA PROF. VALDEVINO	\N	\N	AV. PRATA DE SABIAGUABA	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
7631	AVENIDA PRAIA DE SABIAGUABA	021654	AVENIDA	\N	J21/K22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II/SABIAGUABA	\N	\N
7632	RUA D	022862	RUA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7633	TRAVESSA DR. FERNANDO AUGUSTO	023078	TRAVESSA	DOUTOR	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7634	RUA DR. FERNANDO AUGUSTO	000428	RUA	DOUTOR	K03/K04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7636	RUA BOM JESUS	023050	RUA	\N	K03/K14	N-S	\N	\N	\N	\N	007845	AV. PLÁCIDO CASTELO	007844	RUA NOVA VIDA	\N	\N	9581802	554596	9581695	554569	GRANJA LISBOA/JARDIM DAS OLIVEIRAS	\N	\N
7637	TRAVESSA NOVA CONQUISTA	023987	TRAVESSA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7638	RUA NOVA CONQUISTA	003494	RUA	\N	K03/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
7639	TRAVESSA XAVIER DA SILVEIRA	024608	TRAVESSA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7640	RUA XAVIERA DA SILVEIRA	001502	RUA	\N	K03/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7641	TRAVESSA MARTINS DE CARVALHO	023822	TRAVESSA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7642	RUA MARTINS DE CARVALHO	003481	RUA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7643	TRAVESSA MANOEL GALDINO	023741	TRAVESSA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7645	TRAVESSA DESCARTE BRAGA	022895	TRAVESSA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7646	RUA DESCARTE BRAGA	003664	RUA	\N	K03/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7647	TRAVESSA BARRA MANSA	022547	TRAVESSA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7648	RUA BARRA MANSA	003963	RUA	\N	K03/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7649	SD	040451	RUA	\N	K03	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA A (CONJ. PALMARES	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7651	RUA JOÃO GENTIL	023453	RUA	\N	K03/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7652	RUA B	004974	RUA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7653	RUA OSCAR ARARIPE	002681	AVENIDA	\N	K03/L06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
7654	RUA OSCAR FRANÇA	002684	RUA	\N	K03/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
7656	SD	040445	RUA	\N	K03	L-O	\N	\N	\N	\N	\N	RUA A (CONJ. PALMARES)	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7657	SD	040446	RUA	\N	K03	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA B (CONJ. PALMARES)	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7658	SD	040447	RUA	\N	K03	L-O	\N	\N	\N	\N	\N	RUA A (CONJ. PALMARES)	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7659	SD	040448	RUA	\N	K03	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA B (CONJ. PALMARES)	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7660	SD	040449	RUA	\N	K03	L-O	\N	\N	\N	\N	\N	RUA A (CONJ. PALMARES)	\N	\N	MURO	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7661	RUA C	022637	RUA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7662	RUA GERALDO BARBOSA	001418	RUA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7663	RUA CORONEL JOÃO CORREIA	001799	RUA	CORONEL	K03/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
7664	RUA A	022317	RUA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7665	SD	040444	RUA	\N	K03	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA B (CONJ. PALMARES)	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7667	SD	040452	RUA	\N	K03	L-O	\N	\N	\N	\N	\N	RUA PAULINO ROCHA	\N	\N	MURO	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7668	RUA PAULINO ROCHA	004972	RUA	\N	K03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7669	SD	040453	RUA	\N	K03	L-O	\N	\N	\N	\N	\N	RUA PAULINO ROCHA	\N	\N	RUA A (CONJ. DOM LUSTOSA)	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7670	SD	040454	RUA	\N	K03	L-O	\N	\N	\N	\N	\N	RUA PAULINO ROCHA	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7674	RUA JOSÉ MARTINS	001999	RUA	\N	K03/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
7676	RUA MATOS LEMOS	023830	RUA	\N	K04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7678	RUA JOÃO XXIII	001848	RUA	\N	K04/K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/GRANJA PORTUGAL	\N	\N
7681	RUA EDSOM MARTINS	001129	RUA	\N	K04/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
7687	RUA CONSOLADA	022794	RUA	\N	K04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7691	RUA BALSAS	022537	RUA	\N	K04/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7693	TRAV. ARGILA	022475	TRAVESSA	\N	K04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7695	RUA GALILEIA	023183	RUA	\N	K04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7697	RUA ALTO DA PAZ	022388	RUA	\N	K04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7698	RUA MANOEL BEZERRA DOS SANTOS	004642	RUA	\N	K04/K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7699	RUA TENENTE FRANCISCO PAIVA	003959	RUA	TENENTE	K04/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7701	RUA MANOEL GALDINO	003967	RUA	\N	K04/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
7711	SD	040455	RUA	\N	K04	N-S	\N	\N	\N	\N	\N	RUA OSCAR FRANÇA	\N	\N	RUA DOUTOR FERNANDO AUGUSTO	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7716	TRAVESSA GOLFO	023217	TRAVESSA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7717	TRAVESSA A	022304	TRAVESSA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7718	TRAVESSA B	009416	TRAVESSA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7719	TRAVESSA C	022627	TRAVESSA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7721	TRAVESSA D	022852	TRAVESSA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7727	RUA TRÊS CORAÇÕES	003965	RUA	\N	K05/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA / GRANJA PORTUGAL	\N	\N
7733	TRAVESSA PEDESTRE	024104	TRAVESSA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7734	RUA CEL. VIRGÍLIO NOGUEIRA PAES	024584	RUA	CORONEL	K05/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA / GRANJA PORTUGAL/BOM JARD	\N	\N
7737	RUA NEREIDE	002548	RUA	\N	K05/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA / GRANJA PORTUGAL	\N	\N
7738	TRAV. 2 CORAÇÕES	022908	TRAVESSA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
7739	VILA LIANETE	023629	VILA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7740	RUA ZACARIAS FLORINDO	003702	RUA	\N	K05/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
7741	TRAV. MARIPA	020334	TRAVESSA	\N	K05/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BOM JARDIM	\N	\N
7742	SD	040458	RUA	\N	K05	N-S	\N	\N	\N	\N	\N	RUA OSCAR DE FRANÇA	\N	\N	MURO	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7743	TRAV. ZACARIAS FLORINDO	024612	TRAVESSA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7745	RUA DOM FABRÍCIO	023055	RUA	DOM	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7749	VILA ALEGRE	022370	VILA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7750	RUA MARTINS LEMOS	023827	RUA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7751	RUA SAMARIA	003442	RUA	\N	K05/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BOM JARDIM	\N	\N
7752	RUA VALVERDE	003534	RUA	\N	K05/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BOM JARDIM	\N	\N
7753	TRAV. NEREIDE	023936	TRAVESSA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7754	TRAV. NACÁIA	023920	TRAVESSA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7755	TRAV. VALVERDE	024516	TRAVESSA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7756	VILA ZÉ BAIXINHO	024616	VILA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7758	VILA EDNARDO	022952	VILA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7762	TRAV. MARIANA	023806	TRAVESSA	\N	K05/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7763	RUA GUSTAVO BARROSO	003962	RUA	\N	K05/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7764	RUA ITÚ	001707	RUA	\N	K05/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/SIQUEIRA	\N	\N
7765	RUA WALDEMAR PAES BRAGANÇA	024598	RUA	\N	K05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7766	SD	040456	RUA	\N	K05	N-S	\N	\N	\N	\N	\N	RUA OSCAR ARARIPE	\N	\N	RUA OSCAR DE FRANÇA	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7771	VILA DO OPERÁRIO	005095	VILA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7773	RUA VALDEMAR PAES	003522	RUA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7774	VILA LENICE	023623	VILA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7779	RUA JOÃO XIII	001848	RUA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7780	RUA MARIA JÚLIA	002347	RUA	\N	K06/M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/SIQUEIRA/BOM JARDIM	\N	\N
7785	RUA RAIMUNDO PINHEIRO	003026	RUA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7788	VILA JOSÉ ANDRADE	023519	VILA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7789	VILA PIPI	024169	VILA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7790	RUA MONSENHOR SABINO FEIJÃO	003178	RUA	MONSENHOR	K06/M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BOM JARDIM	\N	\N
7792	RUA VICENTE PINHEIRO	003592	RUA	\N	K06/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BOM JARDIM	\N	\N
7794	TRAV. DOLORES DURAN	020497	TRAVESSA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7795	TRAV. NEVE	020496	TRAVESSA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7797	TRAV. LUIZA MOREIRA	023682	TRAVESSA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7800	VILA MARIA	023787	VILA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7801	RUA POMAR CARIOCA	001913	RUA	\N	K06/K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7802	BECO MAR VERMELHO	023757	BECO	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7803	TRAV. MAR VERMELHO	023758	TRAVESSA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7804	TRAV. STA. MARIA	023788	TRAVESSA	SANTA	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7805	TRAV. NOSSA  SENHORA DA PAZ	023963	TRAVESSA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7806	TRAV. COSTA	022813	TRAVESSA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7807	RUA SANTA MARIA	004638	RUA	SANTA	K06/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BOM JARDIM	\N	\N
7808	SD	040463	RUA	\N	K06	N-S	\N	\N	\N	\N	\N	RUA EDSON MARTINS	\N	\N	PRAÇA	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7809	RUA LUIZ VIEIRA (PERIMETRAL)	002242	AVENIDA	\N	K06/L07	N-S	3210/66	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO/PARQUE SÃO JOSÉ/VILA PERI/	\N	\N
7810	RUA COSMONAUTAS	000930	RUA	\N	K06/K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7811	RUA SIDERAL	003933	RUA	\N	K06/K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7812	RUA DOS ASTRONAUTAS	000417	RUA	\N	K06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7813	VILA ROSALBA RODRIGUES	024309	VILA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7816	RUA SÃO FRANCISCO	001327	RUA	SÃO	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7819	VILA MARAVILHA	023765	VILA	\N	K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
7822	RUA 1º DE MAIO	002943	RUA	\N	K07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7825	RUA SÃO FRANCISCO	020968	RUA	SÃO	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7827	RUA PIRATININGA	003932	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7828	TRAV. POMAR CARIOCA	020977	TRAVESSA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7829	TRAV. SÃO FRANCISCO	020976	TRAVESSA	SÃO	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7830	TRAV. SÃO CARLOS	020975	TRAVESSA	SÃO	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7831	RUA ALTO VERMELHO	004627	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7836	RUA PEDRO CARDONIO SALES	006794	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7837	VILA CRISTOVÃO FILHO	022823	VILA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7838	RUA RAIMUNDO NERI	003021	RUA	\N	K07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7839	RUA CAMPO ALEGRE	022671	RUA	\N	K07/L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7840	RUA EÇA DE QUEIROZ	001114	RUA	\N	K07/L07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO/MANOEL SATIRO	\N	\N
7842	VILA GREGA	001489	VILA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7843	RUA RAIMUNDO SALDANHA (RUA 1)	007155	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7844	RUA SÃO FRANCISCO (RUA 6)	023129	RUA	SÃO	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7845	RUA CHICO MENDES (RUA 2)	007156	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7846	TRAV. CHICO MENDES	020973	TRAVESSA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7847	TRAV. TRANCREDO NEVES	024477	TRAVESSA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7848	RUA PLANALTINA (RUA 3)	007157	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7850	RUA SOUZA CARVALHO	003323	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7851	VILA VERINHA	024538	VILA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7853	RUA JOSÉ JÚLIO FROTA	007158	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7855	RUA ARRUDA CÂMARA	000397	RUA	\N	K07/ L07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7856	RUA MONSENHOR AGOSTINHO	000071	RUA	MONSENHOR	K07	N-S	1671/1960	16/12/1960	\N	\N	\N	002130	\N	000397	000939	007761	\N	\N	\N	\N	VILA PERI	\N	\N
7857	RUA PLÁCIDO DE CASTRO	002901	RUA	\N	K07/L07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7859	RUA 1 (RESID.ITAPOÃ II)	022028	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7860	RUA 2 (RESID.ITAPOÃ II)	022125	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7862	RUA COSTA FREIRE	000939	RUA	\N	K07/M06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI/PARQUE SÃO JOSÉ	\N	\N
7863	RUA CÔNEGO DE BARROS	022551	RUA	CÔNEGO	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7865	SD	040464	RUA	\N	K07/L06	L-O	\N	\N	\N	\N	\N	RUA LUIZ VIEIRA (PERIMETRAL)	\N	\N	RUA PEDRO UCHOA	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
7868	TRAV. MUCUNA	023904	TRAVESSA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7869	RUA DOM HENRIQUE	001562	RUA	DOM	K07/K08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI/MANOEL SATIRO	\N	\N
7871	RUA DR. ESTENIO GOMES	023004	RUA	DOUTOR	K07/M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI/PARQUE SÃO JOSÉ	\N	\N
7873	RUA LEBOM MAIA	002130	RUA	\N	K07/K08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7875	RUA ARARAQUARA	004332	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7877	RUA BENEDITO SOBRINHO	003938	RUA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7878	RUA LEÃO DO NORTE	002126	RUA	\N	K07/K08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7879	TRAV. BENDITO SOBRINHO	021512	TRAVESSA	\N	K07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7881	RUA DOM XISTO ALBANO	003701	RUA	DOM	K07/M07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI/PARQUE SÃO JOSE	\N	\N
7884	RUA NILÓPOLIS	003937	RUA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7887	RUA ARAPONGA	000354	RUA	\N	K08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7888	TRAV. ARAPONGA	004056	TRAVESSA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7889	TRAVESSA JOÃO BALBINO	023439	RUA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7890	VILA STO. REIS	024249	VILA	SANTO	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7896	RUA GABRIEL FIÚZA	001387	RUA	\N	K08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7898	RUA E (CONJ. CRESCENTE PEREIRA)	022933	RUA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7899	RUA F (CONJ. CRESCENTE PEREIRA)	023031	RUA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7900	BECO CÔNEGO DE CASTRO	022720	BECO	CÔNEGO	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7903	RUA FERNANDO F. DE MELO	002863	RUA	\N	K08/L08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI/MANOEL SATIRO	\N	\N
7904	RUA ILHA BELA	001634	RUA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7905	RUA JOÃO AREAS	001780	RUA	\N	K08/L08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI/ MANOEL SÁTIRO	\N	\N
7906	RUA JOSÉ RICARDO RAMOS	004590	RUA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7907	PRAÇA DOS ENCONTROS	022981	PRAÇA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7908	TRAV. JOÃO AREAS	004051	TRAVESSA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7909	RUA LUIZA CAMINHA	006263	RUA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7910	RUA ESPANHA	001148	RUA	\N	K08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7911	RUA SEIFERT	003238	RUA	\N	K08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7912	VILA BALTA	022539	VILA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
7916	TRAVESSA ESPANHA	001189	TRAVESSA	\N	K08/N15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI/MESSEJANA	\N	\N
7918	RUA ÁUSTRIA	000438	RUA	\N	K08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7919	RUA ALBÂNIA	000090	RUA	\N	K08	L-O	1671/1960	16/12/1960	\N	\N	\N	RUA TURQUIA	\N	000763	022596	002829	\N	\N	\N	\N	PARANGABA	\N	\N
7920	AV.  BIBIO FROTA (TURQUIA)	022596	AVENIDA	\N	K08	\N	5601/82	07/06/1982	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	TURQUIA	lei específica
7921	RUA INTERNA 777	023333	RUA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7922	RUA GRÉCIA	001497	RUA	\N	K08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7923	RUA DINAMARCA	001053	RUA	\N	K08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7924	RUA POLÔNIA	002909	RUA	\N	K08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7925	RUA HUNGRIA	001616	RUA	\N	K08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7926	RUA GAGO COUTINHO	001390	RUA	\N	K08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7927	RUA DESEMBARGADOR BALTAR	000461	RUA	DESEMBARGADOR	K08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7930	RUA GEORGE PEQUENO	001416	RUA	\N	K08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7931	RUA 1º DE JANEIRO	002940	RUA	\N	K08	L-O	1671/60	16/12/1960	\N	\N	\N	ODILON  BENÉVOLO	\N	GODOFREDO MACIEL	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7932	RUA ROMÂNIA	024294	RUA	\N	K08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7933	RUA TCHECOSLOVÁQUIA	003356	RUA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7935	RUA BELO VALE	005229	RUA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7936	ALAMEDA CLARA DE ASSIS	008261	ALAMEDA	\N	K08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7937	RUA MÔNACO	002477	RUA	\N	K08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7938	RUA ROQUETE PINTO	003135	RUA	\N	K08/K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7939	TRAV. ARARIBÓIA	005031	TRAVESSA	\N	K08/K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7940	RUA ARARIBÓIA	004691	RUA	\N	K08/K09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7951	RUA DAVID NASSER	004690	RUA	\N	K09	N-S	7249 / 1992	04/12/1992	9955/1996	08/10/1996	\N	RUA ROQUETE PINTO	\N	RUA NEREU RAMOS	\N	\N	\N	\N	\N	\N	PARANGABA	DAVID NASSER (CONHECIDA)	Decreto estabelece outro início que  está interrompido. Utilizada a denominação para o trecho final da rua, conforme planta do loteamento Jardim Marupi, constante de nossos arquivos.
7953	TRAV. GODOFREDO MACIEL I	023213	TRAVESSA	\N	K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7954	TRAV. GODOFREDO MACIEL II	023214	TRAVESSA	\N	K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7957	RUA BÉLGICA	000507	RUA	\N	K09/L09	N-S	1671/60	16/12/1960	\N	\N	\N	008260	\N	001597	008260	002241	\N	\N	\N	\N	MARAPONGA	\N	\N
7958	RUA LOURENÇO PESSOA	007322	RUA	\N	K09	L-O	1671/60	16/12/1960	\N	\N	\N	007327	\N	000507	000507	000723	\N	\N	\N	\N	MARAPONGA	\N	\N
7959	RUA NORUEGA	002571	RUA	\N	K09/L09	N-S	1671/60	16/12/1960	\N	\N	\N	(008260) RUA JÚLIO ALCIDES	\N	(001597) RUA HOLANDA	\N	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
7960	RUA JÚLIO ALCIDES	008260	RUA	\N	K09	L-O	1671/60	16/12/1960	\N	\N	\N	007327	\N	001444	001444	000723	\N	\N	\N	\N	ITAPERI	\N	\N
7961	SD	040466	RUA	\N	K09	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	AV. GODOFREDO MACIEL	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7962	RUA CAROLINA	022710	RUA	\N	K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7963	RUA ANTÔNIO BANDEIRA	000284	RUA	\N	K09/ D11	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI/ JACARECANGA	\N	\N
7964	RUA INGÁ	001659	RUA	\N	K09	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7965	VILA ROSA PINHEIRO	024306	VILA	\N	K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
7970	SD	040468	RUA	\N	K09	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA FAGUNDES	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7971	SD	040467	RUA	\N	K09	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA 1º DE JANEIRO	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7972	B. M. TEÓFILO	023755	BECO	\N	K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7973	RUA BRAGA BASTOS	004436	RUA	\N	K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7974	TRAV. FAGUNDES VARELA	023057	TRAVESSA	\N	K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7975	RUA ITÁLIA	001698	RUA	\N	K09/L09	N-S	1671/60	16/12/1960	\N	\N	\N	(008260) RUA JÚLIO ALCIDES	\N	(001597) RUA HOLANDA	\N	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
7976	RUA CARLOS JUAÇABA	000723	RUA	\N	K09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	(002940) RUA 1º DE JANEIRO	(001597) RUA HOLANDA	\N	\N	\N	\N	MARAPONGA / DENDE / ITAPERI	\N	\N
7977	RUA J. MENELEU I	002001	RUA	\N	K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7978	RUA J. MENELEU II	002001	RUA	\N	K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7979	TRAV. J. ARAÚJO	023381	TRAVESSA	\N	K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7983	RUA JOSÉ MENELEU	002001	RUA	\N	K09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7984	RUA ODILOM BENEVOLO	007327	RUA	\N	K09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7985	RUA MAPIRUNGA	002368	RUA	\N	K09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7987	RUA AUSTRÁLIA	004441	RUA	\N	K09/K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MARAPONGA/ITAPERI	\N	\N
7991	AVENIDA PARANJANA (DEDÉ BRASIL)	002755	AVENIDA	\N	K10	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI / SERRINHA	\N	\N
7993	ALAMEDA AMARALINA	022399	ALAMEDA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7996	RUA FINLÂNDIA	004445	RUA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
7998	PRAÇA DAS NAÇÕES	023922	PRAÇA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
8001	SD	040469	RUA	\N	K10/L09	N-S	\N	\N	\N	\N	\N	AV. PARANJANA	\N	\N	RUA FAGUNDES	\N	\N	\N	\N	\N	ITAPERI/DENDÊ	\N	\N
8002	RUA CAP. PINTO DE MESQUITA	008045	RUA	CAPITÃO	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	D,  SITIO PIRIRITIBA  PARTE II,	\N
8003	SD	040470	RUA	\N	K10	L-O	\N	\N	\N	\N	\N	SD (040469)	\N	\N	RUA DR. JUSTA ARAÚJO	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
8004	RUA DR. JUSTA ARAÚJO	002084	RUA	DOUTOR	K10	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
8006	RUA SÍRIA	004444	RUA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
8008	RUA MAGNÓLIA	002264	RUA	\N	K10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8520	RUA URUCUTUBA	005564	RUA	\N	L03/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA/BOM JARDIM	\N	\N
8011	RUA ACAPULCO	008200	RUA	\N	K10/L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/ITAPERI	ANTONIO  GENTIL (nome da planta de loteamento)	\N
8012	RUA BETEL	000545	RUA	\N	K10/L10	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA CAMPO MAIOR	\N	\N	\N	\N	\N	ITAPERI/DENDÊ	\N	\N
8013	RUA ANTÔNIO BENTO	001086	RUA	\N	K10/L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
8015	RUA OFIR	001476	RUA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
8016	RUA VILA RICA	003618	RUA	\N	K10/K11	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8018	TRAV. ANTÔNIO BOTELHO	022445	TRAVESSA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8021	VILA AMARELA	022401	VILA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8023	TRAV. EFREM GONDIM	022960	TRAVESSA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8026	RUA JAPI	001754	RUA	\N	K10/K11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8027	\N	001632	RUA	\N	K10/K11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8029	TRAV. SÃO CARLOS	024566	TRAVESSA	SÃO	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8031	RUA MONTEVIDÉU	002488	RUA	\N	K10/K11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8033	RUA SANTIAGO	003220	RUA	\N	K10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8034	PRAÇA DA CRUZ GRANDE	022825	PRAÇA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8036	AVENIDA DOS EXPEDICIONÁRIOS	008754	AVENIDA	\N	K10/O09	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI/MONDUBIM 2	\N	\N
8037	RUA PEDRO WILSON	002832	RUA	\N	K10/L11	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
8038	RUA JOSÉ PEDRA	002010	RUA	\N	K10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
8040	RUA ILHA BRAVA	023318	RUA	\N	K10/L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
8043	VILA ETANO	023012	VILA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8044	TRAV. TURAMA	024493	TRAVESSA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8045	TRAV. DA PAZ	024101	TRAVESSA	\N	K10/O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/MONDUBIM 1	\N	\N
8046	RUA MARAJÓ	004068	RUA	\N	K10/K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8047	VILA DEL RIO	022887	VILA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8048	RUA MADRE ELIZA	022968	RUA	MADRE	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8049	RUA LEÃO XIII	002127	RUA	\N	K10/K11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8050	VILA TURMALINA	003489	VILA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8051	RUA BERNARDO MANOEL	023045	RUA	\N	K11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8054	RUA AFONSO LOPES	000060	RUA	\N	K11M10L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/PARQUE DOIS IRMÃOS	CEL. JUSTA	\N
8056	VILA ARAÚJO CASTRO	001455	VILA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8059	V. SÃO LUCAS	023653	VILA	SÃO	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8060	V. CASTELO	022717	VILA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8062	RUA MADRE ELISA BALDO (EDUARDO MOTA)	001128	RUA	MADRE	K11	L-O	6321/88	01/07/1988	\N	\N	\N	DUARTE PIMENTEL	\N	BERNARDO MANUEL	\N	\N	\N	\N	\N	\N	SERRINHA	EDUARDO MOTA	LEI   ESPECIFICA  - esta  rua é a continuação da rua  Madre Elisa Baldo
8063	VILA NOGUEIRA	023948	VILA	\N	K11/J06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/BONSUCESSO	\N	\N
8066	AVENIDA PEDRO RAMALHO (PARANJANA)	024145	AVENIDA	\N	M12/L12/K11	L-O	5246/80	26/03/1980	\N	\N	\N	AV. ALBERTO CRAVEIRO	\N	AV. BERNARDO MANUEL	\N	\N	552805	9579253	550228	9581382	PASSARÉ /  ITAPERI / CASTELÃO	PARANJANA	A LEI DEFINE ONDE COMEÇA E TERMINA
8067	BECO AZEVEDO	022503	BECO	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8068	RUA OREGON	004065	RUA	\N	K11/L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/ITAPERI	\N	\N
8071	RUA  RECANTO TRANQUILO	004702	RUA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
8072	RUA PEDRO AGUIAR	002796	RUA	\N	K11/L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI / PARQUE DOIS IRMÃOS	\N	\N
8074	RUA TENENTE RENATO	024253	RUA	TENENTE	K11/L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
8075	RUA ESTUDANTE JUCA	002046	RUA	ESTUDANTE	K11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8076	VILA MALHEIROS	023721	VILA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8077	VILA ARATUBA	022469	VILA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8078	VILA GOMES	000499	VILA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8079	TRAV. DEO SANTOS	022894	TRAVESSA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8080	TRAV. AZEVEDO MONTAURI	020341	TRAVESSA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8082	TRAV. FREI ALEMÃO	020342	TRAVESSA	FREI	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8083	TRAV. ICARAÍMA	023307	TRAVESSA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8084	B. ICARAÍMA	023308	BECO	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8085	TRAV. IGUATU	003191	TRAVESSA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8086	TRAV. JUCÁ	023567	TRAVESSA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8087	TRAV. MANGUEIRAL	023727	TRAVESSA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8088	RUA PUPUNHA	002952	RUA	\N	K11/L11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
8090	RUA CARAMURU	000698	RUA	\N	K11/L11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/ITAPERI	\N	\N
8091	RUA LIBÂNIA	023630	RUA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8094	RUA ONZE HORAS	002667	RUA	\N	K11/L11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/ITAPERI	\N	\N
8095	RUA ELISEU CASTELO BRANCO	008204	RUA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8096	VILA SALUSTIANO	024329	VILA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8097	RUA ANITA GARIBALDI	000262	RUA	\N	K11/ K12	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8098	RUA A (AEROPORTO)	020633	RUA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
8099	RUA E (ÁREA MILITAR REGIONAL)	022930	RUA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8100	SD	040473	RUA	\N	K11	L-O	\N	\N	\N	\N	\N	RUA D (ÁREA MILITAR)	\N	\N	RUA BRUNO VALENTE	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8101	SD	040474	RUA	\N	K11	L-O	\N	\N	\N	\N	\N	RUA BRUNO VALENTE	\N	\N	RUA PARAGUAÇU	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8102	TRAV. SILVA	024399	TRAVESSA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8103	RUA PADRE ANDRADE	000244	RUA	PADRE	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8104	VILA EMÍLIO TEODORO DE OLIVEIRA	022978	VILA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8105	RUA MALMEQUER	002267	RUA	\N	K11/L11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/ITAPERI	\N	Proc. 89458/07  despacho mantendo a denominação  malmequer  até a Av. Pedro Ramalho
8106	TRAV. DO FIM	023085	TRAVESSA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8107	RUA DO FIM	001292	RUA	\N	K11/L11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8108	RUA BETE SAID	004699	RUA	\N	K11/L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA / ITAPERI	\N	\N
8109	VILA JEANE	023416	VILA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8110	RUA GIRASSOL	001439	RUA	\N	K11/L11	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA/ITAPERI	\N	\N
8111	RUA D (ÁREA MILITAR REGIONAL)	022849	RUA	\N	K11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SERRINHA	\N	\N
8112	BR - 116	007189	RODOVIA	\N	K14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS/CIDADE DOS FUNCIONARIOS	\N	\N
8115	RUA JOANA D'ARC	023420	RUA	\N	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROLANDIA	\N	\N
8117	SD	040485	RUA	\N	K14	N-S	\N	\N	\N	\N	\N	RUA DA PONTE GRANDE	\N	\N	RUA JOANA D'ARC	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8119	RUA AMABAÍBA	022397	RUA	\N	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
8529	RUA TUCUNDUBA	004740	RUA	\N	L03/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8120	RUA DA COPAÍBA	007846	RUA	\N	K14	O-L	\N	\N	\N	\N	\N	BR 116	\N	RUA DA UBAIA	\N	\N	9581661	554231	9581968	554762	JARDIM DAS OLIVEIRAS	\N	\N
8121	TRAV. JOÃO CASTELO	021371	TRAVESSA	\N	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
8122	TRAV. DO LAGO	023609	TRAVESSA	\N	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
8123	RUA DA CARAÚBA	007852	RUA	\N	K14	N-S	\N	\N	\N	\N	007858	RUA DO MERCADO	007846	RUA DA COPAÍBA	\N	\N	9582060	554497	9581764	554409	JARDIM DAS OLIVEIRAS	\N	\N
8124	RUA DO CÓRREGO	007848	RUA	\N	K14	O-L	\N	\N	\N	\N	007851	RUA DO LAGO	007845	AV. PLÁCIDO CASTELO	\N	\N	9581936	554407	9581819	554625	JARDIM DAS OLIVEIRAS	\N	\N
8125	RUA SAPUCAÍA	007853	RUA	\N	K14	N-S	\N	\N	\N	\N	007858	RUA DO MERCADO	007846	RUA DA COPAÍBA	\N	\N	9582047	554545	9581797	554470	JARDIM DAS OLIVEIRAS	\N	\N
8129	AVENIDA PLÁCIDO CASTELO	007845	AVENIDA	\N	K14	\N	\N	\N	\N	\N	007086	RUA CASTRO DE ALENCAR	\N	BR 116	\N	\N	9581980	554901	9581594	554241	JARDIM DAS OLIVEIRAS	\N	\N
8131	RUA NOVA VIDA	007844	RUA	\N	K14	O-L	\N	\N	\N	\N	007846	RUA DA COPAÍBA	007840	RUA DA CACHOEIRA	\N	\N	9581786	554452	9581678	554630	JARDIM DAS OLIVEIRAS	\N	\N
8132	RUA BOM PRINCÍPIO	007843	RUA	\N	K14	O-L	\N	\N	\N	\N	007845	AV. PLÁCIDO CASTELO	007840	RUA DA CACHOEIRA	\N	\N	9581691	554411	9581629	554616	JARDIM DAS OLIVEIRAS	\N	\N
8133	RUA ZAIRE	024613	RUA	\N	K14	N-S	\N	\N	\N	\N	007843	RUA BOM PRINCIPIO	007827	RUA FREI CANECA	\N	\N	9581661	554508	9581614	554494	JARDIM DAS OLIVEIRAS	\N	\N
8134	RUA FREI CANECA	007827	RUA	FREI	K14	O-L	\N	\N	\N	\N	007845	AV. PLÁCIDO CASTELO	007814	RUA REINO UNIDO	\N	\N	9581656	554351	9581456	555019	JARDIM DAS OLIVEIRAS	\N	\N
8135	RUA DA CACHOEIRA	007840	RUA	\N	K14	N-S	\N	\N	\N	\N	007845	AV. PLÁCIDO CASTELO	007827	RUA FREI CANECA	\N	\N	9581819	554625	9581582	554604	JARDIM DAS OLIVEIRAS	\N	\N
8136	AVENIDA JOSÉ LEON	006859	AVENIDA	\N	K14/L16	O-L	3935/71	\N	\N	\N	\N	BR 116	001574	AV. HERMÍNIO DE CASTRO	\N	\N	9581441	554313	9580927	557068	CIDADE DOS FUNC/J DAS OLI/PQ MANIBURA	SANTA HELENA)	\N
8137	RUA LUIS MENDES	002233	RUA	\N	K14	N-S	\N	\N	\N	\N	006859	AV. JOSÉ LEON	005769	RUA TENENTE NICOLAU	\N	\N	9581458	554503	9581065	554686	CIDADE DOS FUNCIONÁRIOS	\N	\N
8138	RUA EMÍLIA PEREIRA	006486	RUA	PROFESSORA	K14	O-L	\N	\N	\N	\N	006859	AV. JOSÉ LEON	005769	RUA TENENTE NICOLAU	\N	\N	9581450	554414	9581031	554612	CIDADE DOS FUNCIONÁRIOS	\N	\N
8139	RUA CLÉCIA	022774	RUA	\N	K14	O-L	\N	\N	\N	\N	\N	BR 116	002233	RUA LUÍS MENDES	\N	\N	9581221	554408	9581297	554575	CIDADE DOS FUNCIONÁRIOS	\N	\N
8140	VILA CAROLINA	022709	VILA	\N	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8141	RUA TENENTE NICOLAU	005769	RUA	TENENTE	K14	\N	\N	\N	\N	\N	\N	BR 116	003379	RUA TEOFREDO GOIANA	\N	\N	9580990.	554516	9581196	554969	CIDADE DOS FUNCIONÁRIOS	\N	\N
8143	RUA LAGOS	023613	RUA	\N	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
8144	RUA CAP. GUTEMBERG	001544	RUA	CAPITÃO	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8145	TRAV. RIO BONITO	024264	TRAVESSA	\N	K14	N-S	\N	\N	\N	\N	006859	AV. JOSÉ LEON	\N	LAGOA CAZUMBA	\N	\N	9581473	554667	9581403	554679	CIDADE DOS FUNCIONÁRIOS	\N	\N
8146	RUA MELO CESAR	002414	RUA	\N	K14/L15	N-S	1671/60	16/12/1960	\N	\N	006859	AV. JOSÉ LEON	007727	TRAV. SENHORINHA SARAIVA	\N	\N	9581478	554758	9579909	555390	CIDADE DOS FUNCIONÁRIOS	\N	Na Lei, esta Rua se inicia na Estrada da Lagoa Redonda e termina na Av. Oliveira Paiva.
8147	RUA DA PENHA	007839	RUA	\N	K14	N-S	\N	\N	\N	\N	007823	RUA VALE FORMOSO	007827	RUA FREI CANECA	\N	\N	9581745	554708	9581564	554662	JARDIM DAS OLIVEIRAS	\N	\N
8148	RUA DAS ARARAS	007838	RUA	\N	K14	N-S	\N	\N	\N	\N	007823	RUA VALE FORMOSO	007827	RUA FREI CANECA	\N	\N	9581733	554754	9581551	554708	JARDIM DAS OLIVEIRAS	\N	\N
8149	RUA BEIJA-FLOR	007837	RUA	\N	K14	N-S	\N	\N	\N	\N	007823	RUA VALE FORMOSO	006859	AV. JOSÉ LEON	\N	\N	9581720	554804	9581477	554750	JARDIM DAS OLIVEIRAS	\N	\N
8151	RUA VALE FORMOSO	007823	RUA	\N	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	XII, RUA  LOT  JARDIM DAS OLIVEIRAS	\N
8152	RUA CARMEM MIRANDA	007836	RUA	\N	K14	\N	\N	\N	\N	\N	007845	AV. PLÁCIDO CASTELO	007823	RUA VALE FORMOSO	\N	\N	9581850	554678	9581735	554744	JARDIM DAS OLIVEIRAS	\N	\N
8271	RUA GAL. CAIADO	022658	RUA	GENERAL	K16/L16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
8153	RUA CARTOLA	007835	RUA	\N	K14	\N	\N	\N	\N	\N	007845	AV. PLÁCIDO CASTELO	007823	RUA VALE FORMOSO	\N	\N	9581875	554721	9581717	554812	JARDIM DAS OLIVEIRAS	\N	\N
8154	RUA DA MOLIANA	007856	RUA	\N	K14	N-S	\N	\N	\N	\N	007858	RUA DO MERCADO	007846	RUA DA COPAÍBA	\N	\N	9582028	554693	9581908	554658	JARDIM DAS OLIVEIRAS	\N	\N
8812	RUA CANAL NORTE	022680	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8159	RUA DA ARAPIRACA	007830	RUA	\N	K14	\N	\N	\N	\N	\N	007086	RUA CASTRO DE ALENCAR	007817	RUA BARRA NOVA	\N	\N	9581966	554953	9581913	554982	JARDIM DAS OLIVEIRAS	\N	\N
8160	RUA DO TRAPIÁ	007831	RUA	\N	K14	\N	\N	\N	\N	\N	007845	AV. PLÁCIDO CASTELO	007817	RUA BARRA NOVA	\N	\N	9581973	554891	9581845	554965	JARDIM DAS OLIVEIRAS	\N	\N
8161	RUA DA UMBURANA	007832	RUA	\N	K14	\N	\N	\N	\N	\N	007845	AV. PLÁCIDO CASTELO	007817	RUA BARRA NOVA	\N	\N	9581948	554849	9581801	554954	JARDIM DAS OLIVEIRAS	\N	\N
8162	RUA DA TIMBAÚBA	007833	RUA	\N	K14	\N	\N	\N	\N	\N	007845	AV. PLÁCIDO CASTELO	007829	RUA DO ANGICO	\N	\N	9581923	554805	9581758	554902	JARDIM DAS OLIVEIRAS	\N	\N
8163	RUA DA AMIZADE	007834	RUA	\N	K14	\N	\N	\N	\N	\N	007845	AV. PLÁCIDO CASTELO	007829	RUA DO ANGICO	\N	\N	9581899	554763	9581733	554859	JARDIM DAS OLIVEIRAS	\N	\N
8164	RUA BARRA NOVA	007817	RUA	\N	K14	N-S	\N	\N	\N	\N	007086	RUA CASTRO DE ALENCAR	007827	RUA FREI CANECA	\N	\N	9581956	554993	9581499	554878	JARDIM DAS OLIVEIRAS	\N	\N
8165	RUA DO ANGICO	007829	RUA	\N	K14	O-L/N-S	\N	\N	\N	\N	007823	RUA VALE FORMOSO	007817	RUA BARRA NOVA	\N	\N	9581714	554827	9581787	554950	JARDIM DAS OLIVEIRAS	\N	\N
8167	RUA O MARFIM	007821	RUA	\N	K14	O-L	\N	\N	\N	\N	007817	RUA BARRA NOVA	007814	RUA REINO UNIDO	\N	\N	9581787	554950	9581749	555095	JARDIM DAS OLIVEIRAS	\N	\N
8168	RUA PAU D'ARCO	024079	RUA	\N	K14	O-L	\N	\N	\N	\N	007817	RUA BARRA NOVA	007814	RUA REINO UNIDO	\N	\N	9581737	554938	9581700	555082	JARDIM DAS OLIVEIRAS	\N	\N
8169	RUA HORIZONTE	007824	RUA	\N	K14	O-L	\N	\N	\N	\N	007837	RUA BEIJA-FLOR	007817	RUA BARRA NOVA	\N	\N	9581669	554791	9581638	554914	JARDIM DAS OLIVEIRAS	\N	\N
8170	RUA MANDACARU	023722	RUA	\N	K14	O-L	\N	\N	\N	\N	007837	RUA BEIJA-FLOR	007817	RUA BARRA NOVA	\N	\N	9581627	554781	554902	554902	JARDIM DAS OLIVEIRAS	\N	\N
8171	RUA ASA BRANCA	007826	RUA	\N	K14	O-L	\N	\N	\N	\N	007837	RUA BEIJA FLOR	007817	RUA BARRA NOVA	\N	\N	9581577	554767	9581545	554890	JARDIM DAS OLIVEIRAS	\N	\N
8172	RUA DOS ARTESÕES	007818	RUA	\N	K14	N-S	\N	\N	\N	\N	007823	RUA VALE FORMOSO	007827	RUA FREI CANECA	\N	\N	9581677	554975	9581484	554927	JARDIM DAS OLIVEIRAS	\N	\N
8173	RUA ÁGUA VERDE	007819	RUA	\N	K14	N-S	\N	\N	\N	\N	007823	RUA VALE FORMOSO	007827	RUA FREI CANECA	\N	\N	9581665	555022	9581470	554973	JARDIM DAS OLIVEIRAS	\N	\N
8174	RUA TEOFREDO GOIANA	003379	RUA	\N	K14/L15	O-L	1671/60	16/12/1960	\N	\N	006859	AV. JOSÉ LEON	000524	RUA BENJAMIM MOURA	\N	TRAV. SENHORINHA SARAIVA	9581483	554839	9579940	555556	CIDADE DOS FUNCIONÁRIOS	\N	Na Lei, esta Rua se inicia na Estrada da Lagoa Redonda e termina na Rua Benjamim Moura.
8175	RUA CAMPOS GERAIS	005765	RUA	\N	K14	O-L	\N	\N	\N	\N	002414	RUA MELO CÉSAR	001477	AV. DES. GONZAGA	\N	\N	9581321	554827	9581424	555057	CIDADE DOS FUNCIONÁRIOS	\N	\N
8176	RUA KELY	020036	RUA	\N	K14	O-L	\N	\N	\N	\N	002414	RUA MELO CESAR	003379	RUA TEOFREDO GOIANA	\N	\N	9581400	554792	9581433	554861	CIDADE DOS FUNCIONÁRIOS	\N	\N
8177	TRAV. KELY	020037	TRAVESSA	\N	K14	N-S	\N	\N	\N	\N	020036	RUA KELY	\N	EDIFICAÇÃO (Q.29 DO LOTEAMENTO SÍTIO SANTA HELENA)	\N	\N	9581412	554816	9581358	554840	CIDADE DOS FUNCIONÁRIOS	\N	\N
8178	RUA JOSÉ LEÔNIDAS	005764	RUA	\N	K14	O-L	\N	\N	\N	\N	002414	RUA MELO CESAR	001477	AV. DES. GONZAGA	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8179	RUA PROFº. ALMINO	005766	RUA	PROFESSOR	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8180	RUA MONS. HIPÓLITO	009405	RUA	MONSENHOR	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8181	RUA RECANTO DA AMIZADE	009566	RUA	\N	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
8182	RUA JOSÉ DO NASCIMENTO	001965	RUA	\N	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8183	VILA CAZUMBA	022727	VILA	\N	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8184	TRAV. TEN. NICOLAU	023944	TRAVESSA	TENENTE	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8185	RUA PADRE JOSINO	008661	RUA	PADRE	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8186	TRAV. JOSÉ LEÔNIDAS	023542	TRAVESSA	\N	K14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8188	RUA 4 (CONJ. RES. SANTA HELENA)	022199	RUA	\N	K14	N-S	\N	\N	\N	\N	006859	AV. JOSÉ LEON	001477	AV. DES. GONZAGA	\N	\N	9581380	555236	9581171	555171	CIDADE DOS FUNCIONÁRIOS	\N	\N
8190	RUA RICARDO DE ARAÚJO BRAGA	008085	RUA	\N	K14/K15	O-L	6839/1991	\N	8647/1991	\N	007814	RUA REINO UNIDO	009147	RUA DAS GAIVOTAS	\N	\N	9581520	555037	9581389	555484	JARDIM DAS OLIVEIRAS	IX, RUA   LOT. JARDIM DAS OLIVEIRAS	Rua Parcialmente invadida pela vegetação no trecho da Quadra G do Loteamento Vila Verde.
8191	RUA 11 (PARQUE VILA VERDE)	008087	RUA	\N	K14	O-L	\N	\N	\N	\N	007814	RUA REINO UNIDO	003121	AV. ROGACIANO LEITE	\N	\N	9581586	555054	9581547	555201	JARDIM DAS OLIVEIRAS	\N	\N
8192	RUA 1 (PARQUE VILA VERDE)	022026	RUA	\N	K14/K15	\N	\N	\N	\N	\N	\N	SD	007823	RUA VALE FORMOSO	\N	\N	9581838	555207	9581632	555149	JARDIM DAS OLIVEIRAS	\N	\N
8193	RUA REINO UNIDO	007814	RUA	\N	K14	N-S	\N	\N	\N	\N	007086	RUA CASTRO DE ALENCAR	007827	RUA FREI CANECA	\N	\N	9581919	007827	9581456	555019	JARDIM DAS OLIVEIRAS	\N	\N
8195	RUA CATOLÉ	024569	RUA	\N	K14	N-S	\N	\N	\N	\N	007086	RUA CASTRO DE ALENCAR	007821	RUA DO MARFIM	\N	\N	9581944	555041	9581773	555000	JARDIM DAS OLIVEIRAS	\N	\N
8196	RUA DA MONGUBA	007815	RUA	\N	K14	N-S	\N	\N	\N	\N	007086	RUA CASTRO DE ALENCAR	007821	RUA DO MARFIM	\N	\N	9581933	555088	9581762	555045	JARDIM DAS OLIVEIRAS	\N	\N
8197	TRAV. REINO UNIDO	024247	TRAVESSA	\N	K14	O-L	\N	\N	\N	\N	007815	RUA DA MONGUBA	007814	RUA REINO UNIDO	\N	\N	9581915	555084	9581904	555133	JARDIM DAS OLIVEIRAS	\N	\N
8200	TRAV. DO MESTRE	023861	TRAVESSA	\N	K14	O-L	\N	\N	\N	\N	005189	RUA DOS FARRAPOS	022996	RUA DA ESPERANÇA	\N	\N	9581993	555067	9581982	555105	JARDIM DAS OLIVEIRAS	\N	\N
8203	TRAV. DO CIES	022754	TRAVESSA	\N	K15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
8205	SD	040487	RUA	\N	K15	O-L	\N	\N	\N	\N	\N	MURO	\N	\N	RUA VICENTE LOPES	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
8207	RUA 13 (PARQUE VILA VERDE)	022077	RUA	\N	K15	O-L	\N	\N	\N	\N	003121	AV. ROGACIANO LEITE	020019	RUA DAS GAIVOTAS	\N	\N	9581739	555250	9581653	555557	JARDIM DAS OLIVEIRAS	\N	\N
8208	RUA 10 DE JANEIRO	021370	RUA	\N	K15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
8209	RUA 10 (PARQUE VILA VERDE)	021368	RUA	\N	K15	O-L	\N	\N	\N	\N	003121	AV. ROGACIANO LEITE	020019	RUA DAS GAIVOTAS	\N	\N	9581513	555192	9581429	555496	JARDIM DAS OLIVEIRAS	\N	\N
8822	RUA N.S 7	020302	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8210	RUA 3 (PARQUE VILA VERDE)	007363	RUA	DESEMBARGADOR	K15	N-S	8131/1998	\N	10790/2000	\N	\N	CAMINHO	\N	\N	RUA 2	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS/JARDIM DAS OLIVEIRAS	rua 3  do loteamento vila verde e  Garden Park	\N
8212	RUA 4 (COND. RES. PRIMAVERA)	022191	RUA	\N	K15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8214	RUA 2 (COND. FLAMBOYAM)	022108	RUA	\N	K15	N-S	\N	\N	\N	\N	006859	AV. JOSÉ LEON	001477	AV. DES. GONZAGA	\N	\N	9581344	555378	9581138	555185	CIDADE DOS FUNCIONÁRIOS	\N	\N
8215	RUA 1 (COND. FLABOYAM)	022003	RUA	\N	K15	O-L	\N	\N	\N	\N	022108	RUA 2	022305	AV. ENG. HEITOR DE OLIVEIRA ALBUQUERQUE	\N	\N	9581224	555346	9581179	555416	CIDADE DOS FUNCIONÁRIOS	\N	\N
8216	AVENIDA A (COND. FLABOYAM)	022305	AVENIDA	ENG.	K15	N-S	8431/2000	12/04/2000	10978/2001	\N	006859	AV. JOSÉ LEON	001477	AV. DES. GONZAGA	\N	\N	9581326	555452	9581068	555217	CIDADE DOS FUNCIONÁRIOS	A. AV   COND. FLABOYANT	\N
8220	PRAÇA SD	024385	PRAÇA	\N	K15/M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS/PARQUE DOIS IRMÃO	\N	\N
8222	RUA ALICE	005609	RUA	\N	K15/L15	O-L	8156/1998	\N	\N	\N	001477	AV. DES. GONZAGA	006859	AV. JOSÉ LEON	\N	\N	9580961	555267	9581227	555853	CIDADE DOS FUNCIONÁRIOS	\N	\N
8223	RUA CHICO LEMOS	000825	RUA	\N	K15/M15	N-S	1671/60	16/12/1960	\N	\N	006859	AV. JOSÉ LEON	006529	RUA ADEMAR DE CASTRO	\N	\N	9581315	555496	9579842	556152	CIDADE DOS FUNCIONÁRIOS/PARQUE IRACEMA	\N	Na Lei, esta Rua se inicia na Estrada da Lagoa Redonda e termina na Rua Fiscal Perdigão.
8224	RUA JOSÉ FRAGA NETO	005616	RUA	\N	K15	O-L	\N	\N	\N	\N	000825	RUA CHICO LEMOS	006859	AV. JOSÉ LEON	\N	\N	9581204	555543	9581267	555684	CIDADE DOS FUNCIONÁRIOS	\N	\N
8226	RUA MONS. JOÃO LUIS	000152	RUA	\N	K15	O-L	5617/1982	11/08/1982	\N	\N	\N	RUA 3	003587	RUA VICENTE LOPES	\N	\N	9581587	555358	9581357	556127	JARDIM DAS OLIVEIRAS	João Luis Santiago , mons.	lei específica   -  rua interrompida pela Igreja. Na Lei, esta Rua tem inicio na Rua Des. Faustino de Albuquerque.
8227	RUA JOÃO PEDRO DE SANTIAGO	008096	RUA	\N	K15	N-S	7213/1992	29/09/1992	8978/92	\N	\N	RUA XV	\N	RUA MONS. JOÃO	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	LOT. JARDIM DAS OLIVEIRAS - RUA VII	\N
8228	RUA EURICO ALVES MONTEIRO	023016	RUA	\N	K15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
8230	RUA CLEITON HELAIDE PIMENTA	000291	RUA	\N	K15/K16	O-L	\N	\N	\N	\N	001248	RUA DES. FAUSTINO DE ALBUQUERQUE	020782	RUA MARQUES DE PINHO	\N	\N	9581876	555705	9581644	556488	JARDIM DAS OLIVEIRAS/ENG. LUCIANO CAVALCANTE	\N	\N
8232	RUA ESTÊNIO GOMES	023005	RUA	\N	K15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
8233	RUA DESEMBARGADOR FELICIANO DE ATAÍDE	003417	RUA	DESEMBARGADOR	K15/K17	O-L	\N	\N	\N	\N	003690	AV. WASHINGTON SOARES	005080	RUA ERNESTO MONTEIRO	\N	\N	9581447	557698	9581539	558740	J. OLIV / LUC CAV/EDSON QUEIROZ	\N	TERMINA ONDE COMEÇA A RUA CERES
8237	RUA GISELE	006437	RUA	\N	K15	N-S	\N	\N	\N	\N	005616	RUA JOSÉ FRAGA NETO	\N	QUADRA 11 DO LOTEAMENTO SÍTIO SANTA HELENA	\N	\N	9581237	555618	9581068	555674	CIDADE DOS FUNCIONÁRIOS	\N	\N
8238	RUA JOSÉ ALVES CAVALCANTE	005610	RUA	\N	K15/L15	O-L	5371/80	\N	\N	\N	\N	BR 116	006859	AV. JOSÉ LEON	\N	\N	9580587	554704	9581182	556024	CIDADE DOS FUNCIONÁRIOS	\N	\N
8239	RUA PROFESSOR MARTINS DE AGUIAR	005619	RUA	PROFESSOR	K15	N-S	7158/92	26/06/1992	8915/92	\N	006859	AV. JOSÉ LEON	\N	ENTRE AS Q. 2 E 6 DO LOTEAMENTO SÍTIO SANTA HELENA	\N	PROLONGAMENTO DA RUA ESCRIVÃO AZEVEDO	9581213	555899	9580959	556011	CIDADE DOS FUNCIONÁRIOS	OSCAR ROMERO, MONSENHOR	A lei nº 4764/76  também denomina o mesmo homenageado.Na Lei, esta Rua tem início na Av. Santa Helena e fim  no Prolongamento da Rua Escrivão Azevedo.
8522	ESTRADA DO JATOBÁ	006253	ESTRADA	\N	L03/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA / GRANJA LISBOA	\N	\N
8240	RUA RDO. GOMES DE HOLANDA	007367	RUA	\N	K15/L15	N-S	6197/87	\N	\N	\N	005610	RUA JOSÉ ALVES CAVALCANTE	000442	RUA ESCRIVÃO AZEVEDO	\N	\N	9581109	555855	9580893	555952	CIDADE DOS FUNCIONÁRIOS	ANIBAL PINHEIRO	\N
8241	RUA MARGARIDA QUEIROS	002328	RUA	\N	K15/L15	O-L	4277/73	\N	\N	\N	\N	BR 116	\N	ENTRE AS Q. 1 E 2 DO LOTEAMENTO SÍTIO SANTA HELENA	\N	\N	9580483	554753	9581054	556019	CIDADE DOS FUNCIONÁRIOS	\N	Na Lei, esta Rua se inicia na Br 13 (Br 116) e termina na Estrada da Lagoa Redonda.
8242	AVENIDA DR. JOÃO MACIEL FILHO	001824	AVENIDA	DOUTOR	K15	N-S	3732/69	\N	\N	\N	003670	RUA LÉA POMPEU	006859	AV.  JOSÉ LEON	\N	\N	9581979	556097	9581205	555932	JARDIM DAS OLIVEIRAS	\N	Na Lei esta Rua tem inicio no fim do Loteamento.
8243	RUA VICENTE LOPES	003587	RUA	\N	K15/L15	N-S	1671/60	16/12/1960	\N	\N	002208	RUA VEREADOR PEDRO PAULO	000825	RUA CHICO LEMOS	\N	RUA BENJAMIM MOURA	9581497	556097	9580105	556040	JARDIM DAS OLIVEIRAS/ LUC CAV/C. FUNCION	\N	Na Lei esta Rua inicia-se na Rua Vereador Pedro Paulo e termina na Benjamim Moura.
8244	RUA MANOEL DE LIMA VALENTE	006431	RUA	\N	K15	O-L	\N	\N	\N	\N	\N	LOTE 3 - Q01-LOTEAMENTO JARDIM DAS OLIVEIRAS	003587	RUA VICENTE LOPES	\N	\N	9581274	555986	9581234	556126	JARDIM DAS OLIVEIRAS	\N	\N
8245	SD	040486	RUA	\N	K15	O-L	\N	\N	\N	\N	007814	RUA REINO UNIDO	\N	\N	AV. ROGACIANO LEITE	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	\N	\N
8246	RUA VEREADOR PEDRO PAULO	002208	RUA	VEREADOR	K15/K17	O-L	5125/79 (M	\N	\N	\N	001824	AV. DR. JOÃO MACIEL FILHO	003690	AV. WASHINGTON SOARES	\N	\N	9581516	556025	9581447	557698	CIDADEDOSFUNC/LUC CAVAL/PQ MANIBURA/JARDIMOLIVEIRAS	LUCIANO PEREIRA	\N
8248	RUA 07 (ENG. LUCIANO CAVALCANTE)	022261	RUA	\N	K15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
8249	RUA L08	023602	RUA	\N	K16	O-L	\N	\N	\N	\N	\N	ENTRE O L 1 DA Q-12 E O L 12 DA Q-14	\N	ENTRE O L10 DA Q-19 E O L 2 DA Q-14	\N	\N	9581885	556582	9581856	556674	ENG. LUCIANO CAVALCANTE	\N	\N
8255	TRAV. OLGA CAVALCANTE LINS	021019	TRAVESSA	\N	K16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
8257	RUA TRAJANO A. DE AGUIAR	003431	RUA	\N	K16/L16	S-N	5319/80	04/11/80	\N	\N	006859	AV. JOSÉ LEON	008758	AV. OLIVEIRA PAIVA	\N	\N	9581095	556431	9580483	556362	CIDADE DOS FUNCIONÁRIOS/PARQUE MANIBURA	\N	\N
8259	RUA JOAQUIM E. DE CASTRO	001876	RUA	\N	K16/L16	S-N	5319/80	04/11/80	\N	\N	001862	AV. JOSÉ LÉON	002651	AV. OLIVEIRA PAIVA	\N	\N	9581053	556587	9580464	556519	PARQUE MANIBURA	\N	\N
8260	RUA PROFESSOR ALOÍSIO BARROS LEAL	006489	RUA	PROFESSOR	K16	N-S	6075/1986	15/05/1986	\N	\N	002208	RUA VEREADOR PEDRO PAULO	006859	AV. JOSÉ LEON	\N	\N	9581463	556482	9581095	556431	PARQUE MANIBURA/CIDADE DOS FUNCIONARIOS	C   DO LOTEAMENTO CAMILA	Na Lei, esta Rua termina na Rua D do Loteamento Camila.
8263	RUA L04	009064	RUA	\N	K16	N-S	\N	\N	\N	\N	009082	RUA JAYME GAMA	009069	RUA 8	\N	\N	9581994	556688	9581871	556629	ENG. LUCIANO CAVALCANTE	\N	\N
8823	RUA N.S 6	020303	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8273	RUA DR. JOSÉ PLUTARCO	006407	RUA	DOUTOR	K16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS/PARQUE MANIBURA	\N	\N
8278	RUA NS6	023996	RUA	\N	K16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
8279	RUA IEDA PEREIRA	001629	RUA	\N	K16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE/PARQUE MANIBURA	\N	\N
8283	RUA ISABEL MADEIRA	021020	RUA	\N	K16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
8287	RUA NS7	009035	RUA	\N	K16	N-S	\N	\N	\N	\N	009076	RUA DR. PONTES NETO	009033	RUA CAETANO XIMENES ARAGÃO	\N	\N	9581937	557165	9581809	557140	ENG. LUCIANO CAVALCANTE	\N	\N
8293	RUA ONOFRE SAMPAIO CAVALCANTE	005579	RUA	DOUTOR	K16	N-S	5850/1984	\N	\N	\N	002208	RUA VEREADOR PEDRO PAULO	005117	RUA ANTENOR ROCHA ALEXANDRE	\N	\N	9581400	557135	9580841	557168	PARQUE MANIBURA	\N	\N
8295	RUA J01	009070	RUA	\N	J16	N-S	\N	\N	10406/98	\N	009732	AV. MONS. CARNEIRO DA CUNHA	\N	SD	\N	\N	9582417	557430	9581845	557397	ENG. LUCIANO CAVALCANTE	J 01 -ALPHA VILLAGE)	Na Lei esta Rua terminaria na Rua Caetano Ximenes Aragão.
8296	RUA NS8	009036	RUA	\N	K16	N-S	\N	\N	\N	\N	009033	RUA CAETANO XIMENES ARAGÃO	\N	AV. EDUARDO BRÍGIDO MONTEIRO (Não Aberta)	\N	\N	9581824	557240	9581689	557218	ENG. LUCIANO CAVALCANTE	\N	\N
8299	RUA MARVIN	002383	RUA	\N	K16/L16	N-S	4654/76	\N	\N	\N	002208	RUA VEREADOR PEDRO PAULO	005606	RUA JOÃO ALVES DE ALBUQUERQUE	\N	Lot. Terras de Maria de Lourdes Oliveira Rizatto	9581414	557325	9580612	557392	PARQUE MANIBURA	\N	Na Lei, esta Rua inicia-se na Rua Fernando Benevides e termina na cerca do Loteamento Maria de Lourdes de Oliveira Rizatto.
8300	RUA JOÃO REGINO	001841	RUA	\N	K16/L16	N-S	4596/75	\N	\N	\N	002208	RUA VEREADOR PEDRO PAULO	002651	AV. OLIVEIRA PAIVA	\N	\N	9581422	557417	9580451	557500	PARQUE MANIBURA	\N	Na Lei, esta Rua inicia-se na Praça de Reversão e termina na Rua Fernando Benevides.
8302	RUA ENG. ANTÔNIO FERREIRA ANTERO	009123	RUA	ENGENHEIRO	K16/K17	O-L	\N	\N	9201/93	\N	005579	RUA DR ONOFRE SAMPAIO CAVALCANTE	003690	AV. WASHINGTON SOARES	AV. HERMÍNIO DE CASTRO	\N	9581262	557135	9581310	557709	PARQUE MANIBURA	\N	Na Lei, esta Rua tem inicio na Rua Hermínio de Castro.
9073	RUA 136	008394	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
8303	AV. EDILSON BRASIL SOARES	000790	AVENIDA	\N	K16/K19	O-L	5102/78	\N	\N	\N	001600	RUA CEL. HONÓRIO VIEIRA	002782	RUA DR. PAULO MARCELO	\N	\N	9581106	557007	9581397	560224	PARQUE MANIBURA/SAPIRANGA/COITÉ/EDSON Q.	CAZUMBA	LEI 4863/1977 MODIFICADA PELA LEI 5102/1978
8309	TRAVESSA DEP. FELICIANO ATAÍDE	005302	TRAVESSA	DEPUTADO	K16	O-L	\N	\N	\N	\N	005176	RUA TOMAZ POMPILHO	005177	RUA MARQUÊS DE PINHO	\N	\N	9581554	556372	9581528	556459	ENG. LUCIANO CAVALCANTE	\N	\N
8310	RUA MARQUES DE PNHO	005177	RUA	MARQUÊS	K16	N-S	\N	\N	\N	\N	000291	RUA CLEITON HELAIDE PIMENTA	002208	RUA VEREADOR PEDRO PAULO	\N	\N	9581644	556488	9581461	556440	ENG. LUCIANO CAVALCANTE	\N	\N
8311	RUA DR. JOSÉ PERDIGÃO	006406	RUA	DOUTOR	K16	O-L	7278/93	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS/PARQUE MANIBURA	\N	\N
8313	TRAV. DR. JOSÉ PLUTARCO	023554	TRAVESSA	DOUTOR	K16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
8315	RUA GAL. CASTELO BRANCO	000760	RUA	GENERAL	K16/L16	S-N	5319/80	04/11/80	\N	\N	006859	AV. JOSÉ LEON	008758	AV. OLIVEIRA PAIVA	\N	\N	9581077	556511	9580474	556440	PARQUE MANIBURA/CIDADE DOS FUNCIONARIOS	\N	\N
8318	RUA CARVALHO PEREIRA	007966	RUA	\N	K16	N-S	\N	\N	\N	\N	004140	RUA KASEL	006406	RUA DR. JOSÉ PERDIGÃO	\N	\N	9581577	556618	9581249	556574	PARQUE MANIBURA/ENG. LUCIANO CAVALCANTE	\N	\N
8321	RUA 8 (LOT. ALPHA VILLAGE)	009069	RUA	\N	K16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
8323	RUA EVARISTO DE CASTRO	005179	RUA	\N	K16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
8324	RUA SALVADOR MENDONÇA	003199	RUA	\N	K16	N-S	\N	\N	\N	\N	009082	RUA JAYME GAMA	001862	AV. JOSÉ LÉON	\N	\N	9581976	556760	9581041	556637	PARQUE MANIBURA/ENG. LUCIANO CAVALCANTE	\N	\N
8325	RUA IEDA CARVALHO	004141	RUA	\N	K16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
8326	RUA  KASEL	004140	RUA	\N	K16	\N	5820/74	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
8329	RUA MATIAS BARBOSA	006405	RUA	\N	K16	O-L	\N	\N	\N	\N	024724	RUA JOÃO DE PAULA LAURINHO	005579	RUA DR. ONOFRE SAMPAIO CAVALCANTE	\N	\N	556556	556556	9581288	557116	PARQUE MANIBURA	\N	\N
8331	SD	040495	RUA	\N	K16	N-S	\N	\N	\N	\N	\N	TRAV. DR. JOSÉ PLUTARCO	\N	\N	RUA JOSÉ LEON	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
8334	SD	040494	RUA	\N	K16	N-S	\N	\N	\N	\N	\N	RUA DR. JOSÉ PLUTARCO	\N	\N	RUA JOSÉ LEON	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
8524	RUA SANTA RITA	004745	RUA	SANTA	L03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
8337	RUA JÚNIOR ROCHA	002069	RUA	\N	K16/L16	N-S	5319/80	04/11/80	\N	\N	\N	AV. EDUARDO BRÍGIDO	002651	AV. OLIVEIRA PAIVA	\N	\N	9581750	557003	9580424	556862	PARQUE MANIBURA/ENG. LUCIANO CAVALCANTE	\N	Na Lei, esta Rua situa-se entre a Avs. José Leon e Oliveira Paiva
8338	SD	040491	RUA	\N	K16	N-S	\N	\N	\N	\N	\N	ÁRVORE	\N	\N	RUA VEREADOR PAULO	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
8339	SD	040492	RUA	\N	K16	O-L	\N	\N	\N	\N	\N	RUA NS 05	\N	\N	AV. WASHINGTON SOARES	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
8341	RUA CEL. HONÓRIO VIEIRA	001600	RUA	CORONEL	K16/L16	N-S	4765/76	\N	\N	\N	004141	RUA IEDA CARVALHO	002651	AV. OLIVEIRA PAIVA	\N	\N	9581629	557078	9580415	556941	ENG. LUCIANO CAVALCANTE/PARQUE MANIBURA	\N	Na Lei, esta Rua situa-se entre a Av. Oliveira Paiva e Av. José Léon.
8348	RUA RS9	024314	RUA	\N	K16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
8349	SD	040493	RUA	\N	K16	O-L	\N	\N	\N	\N	\N	RUA TIPÓGRAFO EUDÓXIO PINTO	\N	\N	MURO	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
8354	AVENIDA SUL	008054	AVENIDA	\N	K16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
8355	RUA LÍDIA BRIGIDO	005578	RUA	\N	K16/L16	N-S	5339/1980	\N	\N	\N	002208	RUA VEREADOR PEDRO PAULO	002651	AV. OLIVEIRA PAIVA	\N	Lot. Terras de Maria de Lourdes Oliveira Rizatto	9581405	557217	9580435	557316	PARQUE MANIBURA	\N	Na Lei, esta Rua inicia-se na Rua Feliciano de Ataíde e termina no Loteamento Maria de Lourdes de Oliveira Rizatto.
8358	RUA TIPÓGRAFO EUDÓXIO PINTO	005597	RUA	TIPÓGRAFO	K16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
8362	SD	040490	RUA	\N	K16	O-L	\N	\N	\N	\N	\N	RUA GAL. CAIADO DE CASTRO	\N	\N	RUA NS 06	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
8363	RUA FRANCISCO VIRGÍLIO FILHO	007531	RUA	\N	K17	\N	7528/94	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8364	RUA 3	022177	RUA	\N	K17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8365	R. MARIA G. DE MEDEIROS	007528	RUA	\N	K17	\N	6615/90	25/04/1990	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	01-RUA  LOTEAMENTO SÍTIO SANTA SOFIA	LEI ESPECÍFICA
8366	RUA NESTOR FONTENELE VASCONCELOS	007529	RUA	\N	K17	L-O	5930/84	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8367	RUAMARIA GUERRA DE MEDEIROS	008536	RUA	\N	K17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8368	AVENIDA DOS FRANCESES	009130	AVENIDA	\N	K17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	ESTA TERMINANDO ODE INICIA A CARLOTO MAIA , TABELIÃO
8369	RUA 2	007891	RUA	\N	K17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8370	RUA E	022941	RUA	\N	K17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8371	RUA PROFº.SOLON FARIAS	006302	RUA	PROFESSOR	K17/M16	O-L	5362/80	15/12/80	\N	\N	\N	PRAÇA DE REVERSÃO(ENTRE OS LOTES 36 E 37 DA Q-O)	\N	PRAÇA DE REVERSÃO(ENTRE O L12 Q-N E O L 26 DA Q-O)	\N	\N	9579604	556883	9579483	557108	EDSON QUEIROZ/CAMBEBA/SAPIRANGA/COITÉ	5 - LOT. SÍTIO JACAREY	lei especifica a localização ( revoga  a Lei 4520 de 06 / 06/ 1975
8374	RUA PROFº. CONSUELO DE ALMEIDA	021555	RUA	PROFESSOR	K17	N-S	\N	\N	\N	\N	003417	RUA DES. FELICIANO DE ATAÍDE	000790	AV. EDILSON BRASIL SOARES	\N	\N	9581503	558375	9581226	558395	EDSON QUEIROZ	\N	\N
8376	RUAJOSÉ MARIO MAMEDE	008161	RUA	\N	K17	\N	1068/56	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8377	RUA CRISTINA DE FREITAS	021572	RUA	\N	K17	\N	7816/1995	30/10/1995	9764/1995	06/12/1995	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8378	TRAV. DES. FELICIANO DE ATAÍDE	023062	TRAVESSA	DESEMBARGADOR	K17	N-S	\N	\N	\N	\N	003417	RUA DES. FELICIANO DE ATAÍDE	\N	SD (ainda não existente)	\N	\N	9581455	557795	9581349	557803	EDSON QUEIROZ	\N	\N
8379	RUA ANTÔNIO JOSÉ CESTEIRA	021560	RUA	\N	K17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8380	RUA 30 DE JUNHO	021558	RUA	\N	K17	N-S	\N	\N	\N	\N	003417	RUA DES. FELICIANO DE ATAÍDE	000790	AV. EDILSON BRASIL SOARES	\N	\N	9581509	558482	9581236	558505	EDSON QUEIROZ	\N	\N
8381	RUA ÁGUAS DA PRATA	005429	RUA	\N	K17	O-L	\N	\N	\N	\N	005080	RUA DR. ERNESTO MONTEIRO	\N	RUA 11	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8383	RUA CERES	007710	RUA	\N	K17/K18	O-L	5369/80	22/12/1980	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	INICIA DA Q 3 E TERMINA NA Q20  DO LOT JARDIM SÃO PAULO
8384	RUA JOAQUIM VITORINO	005417	RUA	\N	K17/K18	O-L	\N	\N	\N	\N	005080	RUA DR. ERNESTO MONTEIRO	008847	ENTRE AS Q40 E 41 DO LOT. JARDIM SÃO PAULO	\N	\N	9581465	558746	9581534	559569	EDSON QUEIROZ	\N	O Fim desta Rua está localizado na Lagoa Água Fria.
8385	R. CLARINDO PEREIRA	005422	RUA	\N	K17/K18	O-L	\N	\N	\N	\N	021558	RUA 30 DE JUNHO	\N	ENTRE AS Q41 E 42 DO LOTEAMENTO JARDIM SÃO PAULO	\N	\N	9581376	558494	9581463	559558	EDSON QUEIROZ	\N	O Fim desta Rua está localizado na Lagoa Água Fria. Rua com numeração incorreta
8387	RUACELESTE ARRUDA	005421	RUA	\N	K17/K18	O-L	6526/89	\N	\N	\N	005080	RUA DR. ERNESTO MONTEIRO	\N	ENTRE AS Q 42 E 43 DO LOT. JARDIM SÃO PAULO	\N	\N	9581329	558758	9581386	559502	EDSON QUEIROZ	\N	O Fim desta Rua está localizado na Lagoa Água Fria.
8388	RUA C	007423	RUA	DOUTOR	K17	O-L	7216/1992	29/09/1992	9937/1996	11/09/1996	\N	LEAL LIMA VERDE, ENGº	\N	ENTRE A QD 6,LOTE 21 E QD 3, LOTE 7 DO  LOTEAMENTO	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	C DO LOTEAMENTO VILLAGE DEL REY,  e RUA CLARINDO PEREIRA	\N
8391	RUA POÇOS DE CALDA	006580	RUA	\N	K17	O-L	\N	\N	\N	\N	003700	RUA ENG. LEAL LIMA VERDE	005116	RUA SALVADOR CORREIA DE SÁ	\N	\N	9581164	558197	9581172	558291	SAPIRANGA/COITÉ	\N	\N
9074	RUA 117	008383	RUA	\N	L10/M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
8392	RUA  JOSÉ EVARISTO	006581	RUA	\N	K17	O-L	\N	\N	\N	\N	003700	RUA ENG. LEAL LIMA VERDE	005116	RUA SALVADOR CORREIA DE SÁ	\N	\N	9581117	558200	9581126	558295	SAPIRANGA/COITÉ	\N	\N
8393	RUA RANGEL PESTANA	005100	RUA	\N	K17/K18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
8396	RUA CORONEL OLEGÁRIO MEMÓRIA	002642	RUA	CORONEL	K17/L18	L-O	\N	\N	\N	\N	003690	AV. WASHINGTON SOARES	006393	AV. DR. CORREIA LIMA	\N	\N	9580890	557747	9581085	560102	EDSON QUEIROZ/SAPIRANGA/COITÉ	\N	\N
8397	RUA FELIX DE LIMA	023071	RUA	\N	K17	N-S	\N	\N	\N	\N	000790	AV. EDILSON BRASIL SOARES	005080	RUA DR. ERNESTO MONTEIRO	\N	\N	9581232	558436	9580935	558787	SAPIRANGA/COITÉ	\N	\N
8398	RUA JOSÉ SOBREIRA	005120	RUA	\N	K17	O-L	\N	\N	\N	\N	001157	RUA ELISEU ORIÁ	005112	RUA BILL CARTAXO	\N	\N	9581024	558018	9581046	558395	SAPIRANGA/COITÉ	\N	\N
8400	TRAV. 30 DE JUNHO	008032	TRAVESSA	\N	K17	N-S	\N	\N	\N	\N	000790	AV. EDILSON BRASIL SOARES	005108	RUA JOSÉ FÉLIX DE LIMA	\N	\N	9581235	558501	9581173	558503	SAPIRANGA/COITÉ	\N	\N
8401	TRAV. RAFAEL TOBIAS	005113	TRAVESSA	\N	K17	N-S	\N	\N	\N	\N	000790	AV. EDILSON BRASIL SOARES	005108	RUA JOSÉ FÉLIX DE LIMA	\N	\N	9581242	558575	9581118	558571	SAPIRANGA/COITÉ	\N	\N
8402	BC. ARTUR BERNARDES	022486	BECO	\N	K17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
8406	RUA ADELAIDE BARBOSA VIANA	021575	RUA	\N	K17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
8407	RUA MARIO LANZA	009120	RUA	\N	K17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
8409	RUA REPÚBLICA DA ARMÊNIA	005596	RUA	\N	K17/L17	N-S	4887/77	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
8412	TRAV. CLARINDO PEREIRA	006958	TRAVESSA	\N	K17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8413	SD	040496	RUA	\N	K17	N-S	\N	\N	\N	\N	\N	RUA NESTOR FONTENELE	\N	\N	MURO	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8416	RUA RAIMUNDO TIBURCIO	008208	RUA	\N	K17	N-S	\N	\N	\N	\N	000790	AV. EDILSON BRASIL SOARES	\N	\N	RUA JOSÉ FELIX DE LIMA	\N	9581234	558475	\N	\N	EDSON QUEIROZ/SAPIRANGA-COITÉ	\N	\N
8418	RUA 12	007884	RUA	\N	K18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8525	RUA MANOEL CORDEIRO	004744	RUA	\N	L03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
8528	RUA MEDELIM	004739	RUA	\N	L03/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8420	RUA A	007868	AVENIDA	\N	J17/J18/K18	O-L	8745/2003	10/07/2003	1040?/2003	\N	003690	AV. WASHINGTON SOARES	007867	AV.TABELIÃO CARLOTO MAIA	\N	\N	9582061	557646	9581942	559137	EDSON QUEIROZ	A (SÍTIO COLOSSO)	PELO DECRETO O INICIO É NO LOTE  01 DA QUADRA 01 e 01 DA QUADRA 02 E FIM NA AV. B
8422	RUA 17	007889	RUA	\N	K18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8423	RUA 19	007891	RUA	\N	K18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8428	RUA 4	007876	RUA	\N	K18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8429	AVENIDA C	007868	AVENIDA	\N	K18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8430	RUA NAPOLEÃO QUEZADO	008847	RUA	\N	K18/L18	N-S	7400/1993	05/10/1993	12549/2009	17/07/2009	\N	RUA  DO LOT. JARDIM SÃO PAULO	\N	RUA JOSÉ VILAR DE ANDRADE	\N	\N	\N	\N	9580759	559462	EDSON QUEIROZ/SAPIRANGA/COITÉ	NAPOLEÃO QUEZADO	RUA ENTRE as quadras E 33, U E 34, 29 E 35, 30 E 36, 31 E 37 32 E 38 Lot Jd S Paulo e 20 e 21, 45 e 46, 70 e 71, 94 e 95, 117 e 118 do lot pq agua Fria
8432	RUA JOSÉ DE ALENCAR	006346	RUA	\N	K18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8433	RUA DOM DELGADO	006345	RUA	DOM	K18/K19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8434	RUA PROFESSORA MORENINHA IRINEU	006803	RUA	\N	K18	N-S	7733/95	\N	9795/96	\N	\N	AV. EDILSON BRASIL SOARES	\N	CONS GOMES DE FREITAS	\N	\N	559792	9581344	\N	\N	EDSON QUEIROZ/SAPIRANGA/COITÉ	PROF.MORENINHA IRINEU	ENTRE AS QUADR24 E 25, 49 E 50, 98 E 99, 121 E 122 DO LOT PQ AGUA FRIA.
8435	RUA CLOVIS BEVILAQUA	006343	RUA	\N	K18/K19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8436	RUA JURACI MAGALHÃES	006342	RUA	\N	K18/K19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8437	SD	040497	RUA	\N	K18	O-L	\N	\N	\N	\N	\N	AVENIDA C (SÍTIO COLOSSO)	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8438	RUA PARSIFAL BARROSO	006341	RUA	\N	K18/K19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8440	RUA MARIA IVONE	005427	RUA	\N	K18	\N	5188/79	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8442	RUA PAULO VI	006340	RUA	\N	K18/K19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8444	RUA SANTO AMBRÓSIO	000108	RUA	SANTO	K18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8446	RUA FREI JOSÉ MARIA	001994	RUA	FREI	K18/E08	N-S	\N	\N	\N	\N	\N	RUA 11	002642	RUA CEL. OLEGARIO MEMÓRIA	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ/PRES. KENEDY	\N	\N
8448	RUA FIRMO ANANIAS CARDOSO	008215	RUA	\N	K18/L18	N-S	7215/92	\N	\N	\N	005422	RUA CLARINDO PEREIRA	\N	RUA JOSÉ VILAR DE ANDRADE	\N	fim do Loteamento  Parque Água Fria	9581446	559315	9580758	559374	SAPIRANGA/COITÉ	ESPERANTO, RUA; conhecida também como Travessa Pedro Miguel	lei especifica (inicio entre as quadras 25 e 27 do Lot. Jardim São Paulo, continua .pela rua entras quadras 19/20, 44/45,69/70,93/94,116/117,138/lagoa,150,160/174,168/175,173/178,177/179,181/182
8449	RUA BRIG. HAROLDO VELOSO	005082	RUA	BRIGADEIRO	K18	N-S	\N	\N	\N	\N	005422	RUA CLARINDO PEREIRA	005085	RUA GUIMAR NOVAES	\N	\N	9581458	559498	9580080	559613	SAPIRANGA/COITÉ/EDSON QUEIROZ	\N	\N
8450	SD	040499	RUA	\N	K18	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	MURO	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8451	TRAV. SANTO AMBROSIO	022408	TRAVESSA	SANTO	K18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8452	RUA AFONSO PENA	000061	RUA	\N	K18	N-S	937/1955	\N	\N	\N	000790	AV.  EDILSON BRASIL SOARES (AV. CAZUMBA)	000893	AV. CONS. GOMES DE FREITAS (AV. MONTE ARRAIS)	RUA DR. POMPEU BRASIL	RUA JOSÉ VILAR DE ANDRADE	9581329	559606	9580628	559664	EDSON QUEIROZ/SAPIRANGA/COITÉ	\N	Esta Rua apresenta trachos não abertos. LOCALIZADA ENTRE AS QUADRAS 22E23, 47 E 48, 72 E 73, 72 E 73, 96 E 97, 119 E 120 DO LOT PQ AGUA FRIA, denominação constante da planta original do loteamento aprovada
8453	AVENIDA EUNICE WEAVER	001221	AVENIDA	\N	K18/L18	N-S	\N	\N	\N	\N	000790	AV. EDILSON BRASIL SOARES	000893	AV. CONS. GOMES DE FREITAS (AV. MONTE ARRAIS)	TERRENO BAIXIO	\N	9581337	559699	9580635	559758	EDSON QUEIROZ/SAPIRANGA/COITÉ	\N	\N
8454	RUA PROFESSOR IRINEU	021406	RUA	PROFESSOR	K18/L18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ/SAPIRANGA/COITÉ	\N	\N
8459	SD	040498	RUA	\N	K18	N-S	\N	\N	\N	\N	\N	RUA JURACI MAGALHÃES	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8461	RUA 22	007926	RUA	\N	K19	O-L	8729/2003	25/06/2003	11515/2004	04/11/2003	\N	RUA 05	\N	CERCA	\N	\N	560367	9581968	560178	9581949	EDSON QUEIROZ	22  ( LOT. CIDADE LESTE)	\N
8462	RUA 21	007925	RUA	CORONEL	K19	O-L	7456/1993	10/12/1993	9962/1996	09/10/1996	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	21, RUA(LOT. CIDADE LESTE)	\N
8463	RUA 20	007924	RUA	\N	K19	O-L	7272/1993	\N	10030/1997	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	20, RUA  (LOT CIDADE LESTE)	\N
8464	RUA 19	007923	RUA	\N	K19	O-L	7404/1993	05/10/1993	9961/1996	09/10/1996	\N	RUA 06	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	19, RUA (LOT. CIDADE LESTE)	\N
8465	RUA 18	007922	RUA	\N	K19	O-L	7405/1993	05/10/1993	9958/1996	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	18, RUA  ( LOT. CIDADE LESTE)	\N
8466	RUA TANCREDO DE S. CARVALHO	007921	RUA	\N	K19	O-L	6798/1990	\N	9664/1995	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	17, RUA  (LOT. CIDADE LESTE)	\N
8467	RUA 16	007920	RUA	\N	K19	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8469	RUA MARCELO REIS	007907	RUA	\N	K19	N-S	\N	\N	9124/93	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
8470	RUA DOUTOR PAULO MARCELO	007909	RUA	DOUTOR	K19	N-S	6612/90	25/04/1990	8838/92	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	5 , RUA  ( LOT CIDADE LESTE)	\N
8471	RUA CEL. OLEGÁRIO MARIANO	024012	RUA	CORONEL	K19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
8472	RUA 2	007906	RUA	\N	K19/L19	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ/EDSON QUEIROZ	\N	\N
9075	RUA 113	008379	RUA	\N	L10/M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
8475	RUA 6	007910	RUA	\N	K19	N-S	7467/1993	22/12/1993	9960/1996	09/10/1996	\N	RUA 20	\N	RUA TANCREDO DE SOUZA CARVALHO	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	6  RUA  - LOT CIDADE LESTE	\N
8482	RUA 4	007908	RUA	\N	K19	N-S	7345/1993	\N	9124/1993	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	4, RUA (LOT CIDADE LESTE)	\N
8487	RUA ISAURA FROTA	021647	RUA	\N	K21/K22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
8489	SD	040501	RUA	\N	K21	O-L	\N	\N	\N	\N	\N	\N	\N	\N	RUA ISAURA FROTA	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
8490	SD	040500	RUA	\N	K21/K22	O-L	\N	\N	\N	\N	\N	RUA HUMBERTO ALBUQUERQUE	\N	\N	RUA PRAIA DE SABIAGUABA	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
8492	SD	040502	RUA	\N	K22	O-L	\N	\N	\N	\N	\N	RUA ISAURA FROTA	\N	\N	RUA PRAIA DE SABIAGUABA	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
8495	SD	040508	RUA	\N	L02/L03	L-O	\N	\N	\N	\N	\N	RUA B	\N	\N	RIO	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8496	SD	040509	RUA	\N	L02/M03	L-O	\N	\N	\N	\N	\N	AVENIDA A	\N	\N	SD (040510)	\N	\N	\N	\N	\N	GRANJA LISBOA/SIQUEIRA	\N	\N
8497	SD	040510	RUA	\N	L02/M02	N-S	\N	\N	\N	\N	\N	RUA C	\N	\N	RUA MANOEL CASTRO	\N	\N	\N	\N	\N	GRANJA LISBOA/ SIQUEIRA	\N	\N
8499	SD	040503	RUA	\N	L02/L03	L-O	\N	\N	\N	\N	\N	RUA B	\N	\N	RIO	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8504	RUA DALLAS	006260	RUA	\N	L02/L03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA/GRANJA LISBOA	\N	\N
8505	RUA JOÃO VITO	004742	RUA	\N	L02/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA/GRANJA LISBOA	\N	\N
8506	RUA MARANGUAPE	023761	RUA	\N	L02/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA/GRANJA LISBOA	\N	\N
8507	RUA CORDEIRO MANOEL	022803	RUA	\N	L02	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
8509	RUA C	022644	RUA	\N	L02	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
8510	SD	040511	RUA	\N	L03	L-O	\N	\N	\N	\N	\N	RUA GUARAREMA	\N	\N	RUA SARGENTO BARBOSA	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8511	SD	040406	RUA	\N	L03/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8514	SD	040505	RUA	\N	L03/L02	L-O	\N	\N	\N	\N	\N	RUA B	\N	\N	RIO	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8516	RUA B	005705	RUA	\N	L03/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
8517	RUA A	020967	RUA	\N	L03/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
8532	RUA SARGENTO BARBOSA	003971	RUA	SARGENTO	L03/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA / SIQUEIRA	\N	\N
8534	TRAV. MANGUEIRA DA LIBERDADE	023726	TRAVESSA	\N	L03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8535	TRAV. DA TUCUNDUBA	024491	TRAVESSA	\N	L03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8536	SD	040407	RUA	\N	L03/L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8541	RUA MARTINS CARVALHO	003481	RUA	\N	L04/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
8545	TRAVESSA DALLAS	022874	TRAVESSA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8551	RUA DALLAS	006260	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8552	TRAV. DINÂMICA	022900	TRAVESSA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8553	RUA AIRTON SENNA	009155	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8554	RUA MONGOLIA	000787	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8555	RUA CIRANDO	022758	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8557	RUA ATAÚBA	020103	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8558	RUA G	023172	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8559	RUA D	022861	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8561	RUA H	023252	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8562	RUA E	022928	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8563	RUA N.S 5	008567	RUA	\N	L04/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
8564	RUA N.S 4	008566	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8565	RUA N.S 3	008565	RUA	\N	L04/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
8566	RUA N.S 2	008564	RUA	\N	L04/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
8567	RUA L.O 3	020339	RUA	\N	L04/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
8568	RUA L.O 2	023601	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8569	RUA L.O 1	020300	RUA	\N	L04/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
8570	RUA N.S 1	008563	RUA	\N	L04/L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/BOM JARDIM	\N	\N
8572	SD	040514	RUA	\N	L04	N-S	\N	\N	\N	\N	\N	RUA JOÃO VITO	\N	\N	RUA MARANGUAPE	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8573	SD	040513	RUA	\N	L04	N-S	\N	\N	\N	\N	\N	AV. URUCUTUBA	\N	\N	SD (040512)	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
8574	SD	040512	RUA	\N	L04	L-O	\N	\N	\N	\N	\N	RUA JATOBÁ	\N	\N	RUA SGT. BARBOSA	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
8576	RUA JATOBÁ	007796	RUA	\N	L04/M04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA/SIQUEIRA	\N	\N
8579	TRAVESSA SOBRADINHO	024413	TRAVESSA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8582	RUA BARRA VERMELHA	003958	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8584	RUA MANOEL BEZERRA DOS  SANTOS	004642	RUA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8586	SD	040515	RUA	\N	L04	N-S	\N	\N	\N	\N	\N	TRAV. SOBRADINHO	\N	\N	AV. URUCUTUBA	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8588	SD	040516	RUA	\N	L04	L-O	\N	\N	\N	\N	\N	SD (040515)	\N	\N	RUA GUARAREMA	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8591	TRAV. VASCO DA GAMA	024521	TRAVESSA	\N	L04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
8762	RUA GERALDO BARBOSA	001418	RUA	\N	L05/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8764	RUA DR. FERNANDO AUGUSTO	000428	RUA	DOUTOR	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8768	RUA UNIFLOR	020291	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8770	RUA NOVA FRIBURGO	004128	RUA	\N	L05/M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA/BOM JARDIM	\N	\N
8771	TRAV. NOVA FRIBURGO	020348	TRAVESSA	\N	L05/M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8772	RUA PEDRO MARTINS	004123	RUA	\N	L05/M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8773	RUA N. S. APARECIDA	023956	RUA	\N	L05/P07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	SIQUEIRA/MONDUBIM	\N	\N
8774	RUA SÃO LUCAS	020290	RUA	SÃO	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8776	RUA A	007707	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8777	RUA 13	022076	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8778	TRAV.  RAIMUNDO  PINHEIRO	020347	TRAVESSA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8779	SD	040522	RUA	\N	L05	N-S	\N	\N	\N	\N	\N	SD (040521)	\N	\N	RUA CORONEL JOÃO CORREIA	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
8780	RUA WALDEMAR PAES	003522	RUA	\N	L05/M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA / BOM JARDIM	\N	\N
8781	RUA ORCAR BRESSANTO	003966	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8782	RUA MARIA JÚLIA ROCHA	023800	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8786	TRAV. ITÚ	020388	TRAVESSA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8787	TRAV. RICARDO	024259	TRAVESSA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8789	SD	040526	RUA	\N	L05	N-S	\N	\N	\N	\N	\N	RUA MARTINS DE CARVALHO	\N	\N	RUA UNIFLOR	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8793	RUA DOIS IRMÃOS	020950	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
8794	TRAV. ALVORADA	020293	TRAVESSA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8795	TRAV. STA. HELENA	020292	TRAVESSA	SANTA	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8798	RUA STA. RITA	024278	RUA	SANTA	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8799	TRAV. STA. RITA	020350	TRAVESSA	SANTA	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8800	TRAV. STA. CLARA	020349	TRAVESSA	SANTA	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8801	RUA SÃO JOSÉ	004124	RUA	SÃO	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8802	RUA ROSA MÍSTICA	020294	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8803	RUA GOMES PASSOS	006234	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8804	TRAV. EDWIRGES	020295	TRAVESSA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8805	RUA CAMPO VERDE	022674	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8806	TRAV. PALMARES	024054	TRAVESSA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8807	SD	040523	RUA	\N	L05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA SÃO FRANCISCO	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8811	RUA PAISAGISTA	020338	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8814	SD	040525	RUA	\N	L05	L-O	\N	\N	\N	\N	\N	RUA UNIFLOR	\N	\N	TRAV. CANAL NORTE	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8815	RUA L.O 6	020297	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8816	RUA L.O 5	020298	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8817	RUA L.O 4	020299	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8819	RUA CANAL LESTE	022679	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8821	RUA N.S 8	020301	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8827	RUA DESCARTE BRAGA	003964	RUA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8829	SD	040521	RUA	\N	L05	L-O	\N	\N	\N	\N	\N	SD (040522)	\N	\N	SD (040520)	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
8832	TRAV. NOVA  CONQUISTA  1	020276	TRAVESSA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8833	TRAV. NOVA  CONQUISTA  2	020277	TRAVESSA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8834	TRAV. NOVA  CONQUISTA  3	020278	TRAVESSA	\N	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8835	RUA IRMÃ DULCE	020360	RUA	IRMÃ	L05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8838	SD	040517	RUA	\N	L05	N-S	\N	\N	\N	\N	\N	AV. URUCUTUBA	\N	\N	TRAV. DO CONTORNO SÃO MIGUEL	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8840	SD	040518	RUA	\N	L05	N-S	\N	\N	\N	\N	\N	TRAV. MARIPA	\N	\N	TRAV. MARIPA	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8841	SD	040519	RUA	\N	L05	N-S	\N	\N	\N	\N	\N	RUA CORONEL JOÃO CORREIA	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL/BOM JARDIM	\N	\N
8842	TRAV. MARANGUAPE	023760	TRAVESSA	\N	L05/M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
8843	TRAVESSA DO CONTORNO SÃO MIGUEL	022796	TRAVESSA	\N	L05/M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
8844	SD	040520	RUA	\N	L05	N-S	\N	\N	\N	\N	\N	RUA GERALDO BARBOSA	\N	\N	RUA CORONEL JOÃO CORREIA	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
8853	RUA BOM JESUS	000573	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8855	RUA SÃO FRANCISCO	023119	RUA	SÃO	L06/K06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM/GRANJA PORTUGAL	\N	\N
8856	RUA TRÊS MARIAS	004127	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8859	RUA MARTINS DE CARVALHO	003481	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8860	RUA NOVA	023984	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8862	RUA B	007706	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8865	RUA 1	022025	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
8866	RUA 2	022124	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8867	RUA 3	022176	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8872	RUA PEDRO UCHOA	024147	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BONSUCESSO	\N	\N
8875	RUA DES.FROTA	001378	RUA	DESEMBARGADOR	L06/L07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
8876	RUA LISSO	023644	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
8880	RUA ANTÔNIO COSTA MENDES	022449	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
8882	RUA DOS TREVOS	006584	RUA	\N	L06/M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	São Tiago  na planta de Loteamento	\N
8883	RUA SÃO  FELIPE	006800	RUA	SÃO	L06/M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
8887	TRAV. S. JOÃO	023429	TRAVESSA	SÃO	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8888	RUABERNARDINO CAMPUS	000532	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
8889	SD	040527	RUA	\N	L06	N-S	\N	\N	\N	\N	\N	RUA PEDRO UCHOA	\N	\N	AV. GAL. OSÓRIO DE PAIVA	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
8890	SD	040528	RUA	\N	L06	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA MONSENHOR AGOSTINHO	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
8891	RUA UBAJARA	024497	RUA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8893	TRAV. OSCAR ARARIPE	024026	TRAVESSA	\N	L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
8894	SD	040529	RUA	\N	L07	N-S	\N	\N	\N	\N	\N	RUA DOUTOR JOÃO AMORA	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8895	SD	040530	RUA	\N	L07	N-S	\N	\N	\N	\N	\N	SD (040529)	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8896	RUA PETROLINA BEZERRA	008339	RUA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8897	RUA SANTA LIDUÍNA	005840	RUA	SANTA	L07/M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8898	VILA ROSÂNGELA	020074	VILA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8899	RUA MANOEL DA NÓBREGA	004048	RUA	\N	L07/M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8900	RUA DAS ANDREAS	006322	RUA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8901	RUA PADRE ARIMATEIA	000378	RUA	PADRE	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8902	RUA FRANCFORT	007437	RUA	\N	L07/M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8903	RUA BULGÁRIA	000622	RUA	\N	L07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8905	RUA CÔNEGO DE BARR0S	022789	RUA	CÔNEGO	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
8911	TRAV. RAIMUNDO NERI	024235	TRAVESSA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
8912	TRAV. CARIBÓ	022693	TRAVESSA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
8914	TRAV.CAMPO ALEGRE	022672	TRAVESSA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
8915	VILA DO LAERCIO	020432	VILA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
8917	VILA MARIA LOBO CAVALCANTE	023801	VILA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
8919	RUA ANTÔNIO SOUSA MENDES	022458	RUA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ / VILA PERI	\N	\N
8923	RUA JOÃO RAMALHO	007761	RUA	\N	L07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	000071	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
8924	TRAV. MOEMA	023887	TRAVESSA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
8925	TRAV. ATLAS	022495	TRAVESSA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
8926	RUA ALZIRIO ZARUR	004047	RUA	\N	L07/L08	L-O	7091/1992	24/04/1992	9129/93	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8927	RUA EMÍLIO CONDE	001165	RUA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8928	RUA SUIÇA	003334	RUA	\N	L07	L-O	1671/60	16/12/1960	\N	\N	\N	ET. DE FERRO BATURITÉ	\N	000622	000763	001444	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8931	RUA SÃO MANUEL	008431	RUA	SÃO	L07/L08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8932	TRAV. NOVA LIMA	004054	TRAVESSA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8933	RUA JÚLIO MACIEL	005227	RUA	\N	L07/L08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8935	RUA DARCY VARGAS	001011	RUA	\N	L07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8936	TRAV. INGÁ	023331	TRAVESSA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8937	BECO B. DO PIRAÍ	024174	BECO	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8938	RUA DOUTOR JOÃO AMORA	000608	RUA	DOUTOR	L07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002303	000763	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8939	VILA ROMÃO BATISTA	024295	VILA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
8940	VILA REGINA	024245	VILA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8941	BECO SÃO RAIMUNDO	024228	BECO	SÃO	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8943	RUA AGAMENON	000066	RUA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA PERI	\N	\N
8944	RUA ALBANO AMARAL	000091	RUA	\N	L07	L-O	4474/1974	10/12/74	\N	\N	\N	ESTRADA DE FERRO BATURITÉ	\N	000763	002303	000763	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8945	RUA MAJOR MONTENEGRO	002487	RUA	MAJOR	L07/M07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8946	TRAV. TAVEIRA	024447	TRAVESSA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
8948	TRAV. JOÃO AREAS I	023435	TRAVESSA	\N	L08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
8949	TRAV. J. AREAS II	023436	TRAVESSA	\N	L08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8950	RUA AIRTON JORGE	020046	RUA	\N	L08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8953	RUA FRANCISCO GLICÉRIO	001341	RUA	\N	L08	L-O	1671/60	16/12/1960	\N	\N	\N	RUA OMEGA	\N	000622	000763	001597	\N	\N	\N	\N	MANOEL SATIRO / MARAPONGA	\N	\N
8958	RUA AMÉRICO ROCHA LIMA	000219	RUA	\N	L08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002303	000763	\N	\N	\N	\N	MANOEL SATIRO	\N	\N
8960	RUA RUBENS MONTE	003156	RUA	\N	L08 / M09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
8961	RUA GUILHERME V. COSTA	002065	RUA	\N	L08/L09	L-O	5291/1980	23/06/1980	\N	\N	\N	LEON  GRADVOHL	\N	GODOFREDO MACIEL	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	LEI ESPECÍFICA
8962	RUA ROSA CRUZ	002279	RUA	\N	L08	L-O	5842/84	26/06/84	\N	\N	\N	CLÓVIS METON	\N	VIA FÉRREA FORTALEZA/BATURITÉ	\N	008416	\N	\N	\N	\N	MARAPONGA	SÃO MANUEL TRECHO DA	\N
8964	RUA 7 DE MAIO	003272	RUA	\N	L08/B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020510	004061	\N	\N	\N	\N	MARAPONGA/CRISTO REDENTOR	\N	\N
8966	BECO J. DE DEUS	023446	BECO	\N	L08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
8967	RUA 3	021748	RUA	\N	L08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RESIDENCIAL MARAPONGA	021746	\N	\N	\N	\N	MARAPONGA	\N	\N
8969	RUA DELTA	001018	RUA	\N	L08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	A lei 1671/60  se refere ao trecho de apenas uma quadra
8971	RUA MANOEL SÁTIRO	002303	RUA	\N	L08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
8972	RUA PAURILO BARROSO	002785	RUA	\N	L08/M08	N-S	3930/71	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE/MONDUBIM 2	\N	\N
8976	RUA LUXEMBURGO	002248	RUA	\N	L08	L-O	1671/60	16/12/1960	\N	\N	\N	RUA OMEGA	\N	007598	007598	001597	\N	\N	\N	\N	MARAPONGA	\N	\N
9082	SD	040542	RUA	\N	L10	L-O	\N	\N	\N	\N	\N	CERCA	\N	\N	SD (040472)	\N	\N	\N	\N	\N	DENDÊ	\N	\N
8977	RUA 1	021745	RUA	\N	L08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RESIDENCIAL MARAPONGA	003334	\N	\N	\N	\N	MARAPONGA	\N	\N
8978	RUA 5	021746	RUA	\N	L08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RESIDENCIAL MARAPONGA	021749	\N	\N	\N	\N	MARAPONGA	\N	\N
8980	RUA 2	022126	RUA	\N	L08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO COMUNITÁRIO	021747	\N	\N	\N	\N	MARAPONGA	\N	\N
8981	RUA 4	021749	RUA	\N	L08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021746	003334	\N	\N	\N	\N	MARAPONGA	\N	\N
8982	TRAV. SUIÇA	021744	TRAVESSA	\N	L08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
8983	RUA AMARILIA DUTRA	006973	RUA	\N	L08	L-O	5890/1984	12/11/84	\N	\N	\N	S.D.O.	\N	VIA FÉRREA FORTALEZA-CRATO	024489	000127	\N	\N	\N	\N	MARAPONGA	\N	\N
8984	RUA SÃO DONATO	008126	RUA	SÃO	L08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	(003334) RUA SUÍÇA	(001341) RUA FRANCISCO GLICÉRIO	\N	\N	\N	\N	MARAPONGA	\N	\N
8985	RUA ALFA	000127	RUA	\N	L08	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
8986	RUA BETA	000543	RUA	\N	L08	N-S	1671/60	16/12/1960	\N	\N	\N	(002248) RUA LUXEMBURGO	\N	(001341) FRANCISCO GLICÉRIO	(003334) RUA SUIÇA	LOTEAMENTO	\N	\N	\N	\N	MARAPONGA	o nome está sendo substituído por  Rua Flor6encio C Holanda (proc.759/02seinf.	\N
8987	RUA GAMA	007598	RUA	\N	L08	N-S	1671/60	16/12/1960	\N	\N	\N	002248	\N	001341	003334	002279	\N	\N	\N	\N	MARAPONGA	\N	\N
8988	TRAVESSA GAMA	023185	TRAVESSA	\N	L08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
8989	RUA SÃO BENEDITO	000515	RUA	SÃO	L08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	(001341) RUA FRANCISCO GLICÉRIO	(002279) RUA ROSA CRUZ	\N	\N	\N	\N	MARAPONGA	\N	\N
8990	AVENIDA GODOFREDO MACIEL	001444	AVENIDA	\N	L08/O08	N-S	1671/60	16/12/1960	\N	\N	\N	008833	\N	001597	008833	007033	\N	\N	\N	\N	MARAPONGA/MONDUBIM 1/MONDUBIM 2	no trecho  localizado em Modubim  -  Av. Des Claudio Ideburque  e Av. Mamede conf. Transcrição 25692 CRI 2ª Zona	\N
8991	RUA OLIVEIRA PAULA	024022	RUA	\N	L08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
8992	AV. CINCO	022755	AVENIDA	\N	L08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
8993	RUA DO TRILHO	024489	RUA	\N	L08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SATIRO / MARAPONGA	\N	\N
8997	RUA 6	021747	RUA	\N	L08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021746	003334	\N	\N	\N	\N	MARAPONGA	\N	\N
8999	RUA CARLOS STUDART	000731	RUA	\N	L09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	(001444) AV. GODOFREDO MACIEL	(002279) RUA ROSA CRUZ	\N	\N	\N	\N	MARAPONGA	\N	\N
9000	RUA NIGÉRIA	005528	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001444	002700	\N	\N	\N	\N	MARAPONGA	\N	\N
9004	RUA ISAIAS PEREIRA	004060	RUA	\N	L09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
9005	RUA LUÍS TORRES	002241	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001597	000723	\N	\N	\N	\N	MARAPONGA	\N	\N
9006	SD	040537	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	ÁRVORE	\N	\N	RUA FRANÇA	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
9007	SD	040538	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA ITÁLIA	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
9008	RUA FRANÇA	001318	RUA	\N	L09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003333	001597	\N	\N	\N	\N	MARAPONGA	\N	\N
9012	SD	040539	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA HOLANDA	\N	\N	\N	\N	\N	DENDÊ	\N	\N
9013	SD	040540	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	SD (040469)	\N	\N	RUA HOLANDA	\N	\N	\N	\N	\N	DENDÊ	\N	\N
9014	SD	040541	RUA	\N	L09	N-S	\N	\N	\N	\N	\N	RUA LEON GRADVOHL	\N	\N	MURO	\N	\N	\N	\N	\N	DENDÊ	\N	\N
9016	RUA PAÍS DE GALES	004061	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001444	001597	\N	\N	\N	\N	MARAPONGA	\N	\N
9018	RUA SEBASTIÃO DE ABREU	003234	RUA	\N	L09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001597	000153	\N	\N	\N	\N	MARAPONGA	\N	\N
9019	RUA OTÁVIO FILOMENO	002700	RUA	\N	L09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008260	002248	\N	\N	\N	\N	MARAPONGA	\N	\N
9020	SD	040533	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA FRANÇA	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
9021	TRAV. CAMPO GRANDE	000658	TRAVESSA	\N	L09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004061	000153	\N	\N	\N	\N	MARAPONGA	\N	\N
9023	RUA ALTAIR	000153	RUA	\N	L09	L-O	1671/1960	16/12/1960	\N	\N	\N	RUA ÔMEGA	\N	007598	001444	001597	\N	\N	\N	\N	MARAPONGA	\N	\N
9024	RUA FERNANDO FIALHO	004696	RUA	\N	L09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001597	002248	\N	\N	\N	\N	MARAPONGA	\N	\N
9025	RUA AYMAR RODRIGUES	006706	RUA	\N	L09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
9026	RUA TIRÇO LEAL	005228	RUA	\N	L09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
9027	SD	040532	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	RUA DOM PEDRO FERNANDES	\N	\N	RUA LEON GRADVOHL	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9028	SD	040531	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	RUA DOM PEDRO FERNANDES	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9030	RUA ITAGUAÍ	001696	RUA	\N	L09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001597	001341	\N	\N	\N	\N	MARAPONGA	\N	\N
9032	RUA DOM PEDRO FERNANDES	024135	RUA	DOM	L09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9033	TRAVESSA UIRAPURU	004064	TRAVESSA	\N	L09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9034	RUA 10	022045	RUA	\N	L09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9035	RUA 11	022067	RUA	\N	L09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9036	RUA HOLANDA	001597	RUA	\N	L09/M10	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	008833	007033	\N	\N	\N	\N	MARAPONGA/MONDUBIM2/DENDE	\N	\N
9037	RUA VIDAL DE NEGREIROS	003606	RUA	\N	L09/M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9038	TRAVESSA IRACEMA	023343	TRAVESSA	\N	L09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9039	RUA UIRAPURU	003501	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	024630	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9040	TRAVESSA METON CLOVIS	023862	TRAVESSA	\N	L09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9041	SD	040534	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA FRANÇA	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
9044	SD	040535	RUA	\N	L09	L-O	\N	\N	\N	\N	\N	RUA FRANÇA	\N	\N	MURO	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
9046	RUA MIGUEL PONTES	008030	RUA	\N	L09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9047	SD	040544	RUA	\N	L10	N-S	\N	\N	\N	\N	\N	RUA ACAPULCO	\N	\N	RUA MATEUS SOARES	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9049	RUA MATEUS SOARES	002388	RUA	\N	L10	L-O	\N	\N	\N	\N	\N	AV. DOS EXPEDICIONÁRIOS	\N	\N	RUA AMÉRICO VESPÚCIO	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9050	SD	040469	RUA	\N	L10	N-S	\N	\N	\N	\N	\N	AV. PARANJANA	\N	\N	RUA FAGUNDES	\N	\N	\N	\N	\N	ITAPERI/DEDÊ	\N	\N
9053	RUA JOSÉ PEDRA	002010	RUA	\N	L10/M10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DENDE/PARQUE DOIS IRMÃOS	\N	\N
9058	RUA JOÃO FRANÇA	009092	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9060	RUA D	020798	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9061	RUA B	020796	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9062	RUA E	020799	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9063	RUA F	020800	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9064	RUA C	020797	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9065	RUA A	020795	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9068	TRAV. JOSÉ PEDRA	002009	TRAVESSA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DENDÊ	\N	\N
9069	TRAV. ACARAPE	005666	TRAVESSA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9071	RUA MAJOR TELESFORO	007787	RUA	MAJOR	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9072	AVENIDA NORTE-SUL	007870	AVENIDA	\N	L10/L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9076	RUA 124	008388	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9077	RUA 130	008391	RUA	\N	L10/L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9078	RUA CAMPO MAIOR	005260	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DENDÊ	\N	\N
9079	TRAV. DOS SONHOS	024423	TRAVESSA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DENDÊ	\N	\N
9081	RUA JOÃO DE FRANÇA	005258	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DENDÊ	\N	\N
9084	PRAÇA  1º DE MAIO	022037	PRAÇA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9085	RUA JOSELITO DE OLIVEIRA	023562	RUA	\N	L10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9086	SD	040543	RUA	\N	L10	N-S	\N	\N	\N	\N	\N	SD (040542)	\N	\N	RUA BETEL	\N	\N	\N	\N	\N	DENDÊ	\N	\N
9088	RUA C	007545	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9089	RUA B	022509	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9090	RUA A	022307	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9094	RUA CAMPO DRAGÃO	022673	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9095	RUA DUARTE PIMENTEL	001105	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9096	TRAV. OZAQUE	024039	TRAVESSA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9097	TRAV. PAU BOM	024077	TRAVESSA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9098	RUA 5	007540	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9100	RUA 4	007542	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9101	RUA 2	007541	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9106	SD	040550	RUA	\N	L11/L12	L-O	\N	\N	\N	\N	\N	RUA 1	\N	\N	ÁRVORE	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9114	TRAV. BETE SAID	022592	TRAVESSA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9116	RUA RITA PINTO	004704	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9117	RUA 1	007538	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9118	RUA PEDESTRE	024105	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9119	RUA 6	007543	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9120	AVENIDA A	007537	AVENIDA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9122	RUA PROFESSORA STELLA COCHRANE	008097	RUA	PROFESSORA	L11/L12	N-S	5518/81	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9123	SD	040546	RUA	\N	L11	N-S	\N	\N	\N	\N	\N	EST. DO SÍTIO	\N	\N	RUA 7 (CONJ. MIRASSOL)	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9125	RUA BOM PASTOR	007312	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9126	RUA D	007546	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9127	TRAV. 17 DE SETEMBRO	022098	TRAVESSA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9128	RUA E	007547	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS / PASSARÉ	\N	\N
9129	RUA F	007552	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9132	RUA 105	008371	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9133	RUA 124	008388	RUA	\N	L11/M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9135	SD	040545	RUA	\N	L11	N-S	\N	\N	\N	\N	\N	ETE CAGECE	\N	\N	RUA 136 (CONJ. RES. TUPAN MIRIM I)	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9136	RUA 136	008394	RUA	\N	L11/M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9137	RUA 121	008387	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9138	RUA 128	008390	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9139	RUA 132	008392	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9140	RUA 134	008393	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9141	RUA 101	007313	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9142	RUA H	007310	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9143	RUA 8	007548	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9144	RUA 11	007031	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9145	RUA 10	007550	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9146	RUA 9	007549	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9147	RUA ROSÁRIO DO SUL	020147	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9148	RUA 7	007028	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9149	RUA 9	007030	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9150	RUA F	023043	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9151	RUA 11	007551	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9152	SD	040549	RUA	\N	L11	N-S	\N	\N	\N	\N	\N	BRUNO VALENTE	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9154	RUA JOAO BATISTA RIOS	006362	RUA	\N	L11	\N	5224/79	\N	6797/1979	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9156	SD	040548	RUA	\N	L11	N-S	\N	\N	\N	\N	\N	CAMINHO	\N	\N	RUA 7	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9157	SD	040547	RUA	\N	L11	N-S	\N	\N	\N	\N	\N	RUA 5	\N	\N	RIACHO MARTINHO	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9159	RUA 1	022010	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9162	RUA XII	009141	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS  MACEDO	\N	\N
9163	RUA XIII	009142	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS  MACEDO	\N	\N
9164	RUA XIV	009143	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS  MACEDO	\N	\N
9165	RUA II	009138	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS  MACEDO	\N	\N
9166	RUA IV	009139	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS  MACEDO	\N	\N
9167	\N	009144	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS  MACEDO	\N	\N
9168	RUA V	009140	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS  MACEDO	\N	\N
9169	RUA MAL. BITENCOURT	000556	RUA	MARECHAL	L12/K12	N-S	5082/78	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS  MACEDO	\N	\N
9170	TRAV. SIMÃO	007798	TRAVESSA	\N	L12/K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9171	RUA LIMA FERREIRA	023637	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9172	RUA JOÃO FERREIRA	006588	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9173	TRAV. SIDRIÃO	020905	TRAVESSA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9174	TRAV. HERMES	005626	TRAVESSA	\N	L12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA JOÃO FERREIRA	RUA MAL. BITTENCOURT	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9175	TRAV. 29 DE MARÇO	022154	TRAVESSA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9176	RUA FERREIRA LIMA	020902	RUA	\N	L12/K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9177	TRAV. A.  DIAS	022338	TRAVESSA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9178	TRAV. 25 DE MARÇO	022149	TRAVESSA	\N	L12/I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO/MONTESE	\N	\N
9179	RUA MORÉ	023897	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9180	TRAV. 27 DE MARÇO	022152	TRAVESSA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9181	TRAV. 26 DE MARÇO	022151	TRAVESSA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9182	TRAV. LIMA FERREIRA	023638	TRAVESSA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9183	TRAV. BEIRA RIO	020904	TRAVESSA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9184	RUA ANTÔNIO FARIAS	005888	RUA	\N	L12/M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9185	TRAV. CORUMBÁ	022809	TRAVESSA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	02 - Loteamento Parque Zelandia,  Antonio Ferreira	\N
9186	RUA CORUMBÁ	005889	RUA	\N	L12 / M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9187	RUA SANTANA DO PARNAIBA	003217	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9188	RUA MARIA ARAÚJO COCHRANE	008355	RUA	\N	L12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9189	RUA LAURO RODRIGUES	008357	RUA	\N	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9190	RUA CARDEAL ALBINO LUTIANNE	006817	RUA	CARDEAL	L12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9191	SD	040551	RUA	\N	L12	N-S	\N	\N	\N	\N	\N	RUA PROFª STELLA RAMALHO	\N	\N	SD (040552)	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9192	RUA ITAREMA	006365	RUA	\N	L12/M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9193	SD	040552	RUA	\N	L12	N-S	\N	\N	\N	\N	\N	AV. PEDRO RAMALHO	\N	\N	ÁRVORE	\N	\N	\N	\N	\N	ITAPERI	\N	\N
9205	RUA JOSÉ AUGUSTO	004454	RUA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
9206	RUA GENERAL ROMEL	003127	RUA	GENERAL	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
9207	RUA TENENTE JONAS	001905	RUA	TENENTE	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
9208	RUA FRANCISCO VILELA	001364	RUA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
9209	RUA GUADALAJARA	008247	RUA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA / CASTELÃO	\N	\N
9210	RUA ARISTIDES LOBO	000381	RUA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9211	RUA PAULA FRASSINETTI	001470	RUA	\N	L13	\N	4672/76	14/04/76	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9212	RUA SÃO SEBASTIÃO	003232	RUA	SÃO	L13/D08	\N	\N	\N	\N	\N	\N	\N	\N	\N	003385	002618	\N	\N	\N	\N	CASTELÃO / ÁLV WEYNE/PRES. KENNDY	\N	\N
9213	TRAV. NOSSA  SENHORA MONTE CARMELO	021320	RUA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9214	RUA QUATRO IRMÃOS	002973	RUA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9215	RUA CONDE JANUÁRIO	001747	RUA	CONDE	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9216	RUA MANOEL RODRIGUES	002302	RUA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO / CASTELÃO	\N	\N
9217	RUA JOANA MOREIRA	004453	RUA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9218	RUA MAJOR MOREIRA	002495	RUA	MAJOR	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9219	RUA JOSÉ MESSIAS MATOS	002002	RUA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO / MATA GALINHA	\N	\N
9220	TRAV. MARIA LUIZA	023802	TRAVESSA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9221	RUA JOSÉ B. FILHO	023523	RUA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9222	TRAV. NILTON PAIVA	023946	TRAVESSA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9223	TRAV. MESSIAS MENDES	023860	TRAVESSA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9224	RUA JABAQUARA	000895	RUA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO / MATA GALINHA	\N	\N
9225	TRAV. LUCI	020123	TRAVESSA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
9227	TRAV. MAJOR MOREIRA	020925	TRAVESSA	MAJOR	L13/K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
9228	TRAV. SANTO ANTÔNIO	022438	TRAVESSA	SANTO	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9229	TRAV. GABRIEL AGUIAR	021321	TRAVESSA	\N	L13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9249	RUA JÚLIO LIMA	002064	RUA	\N	L14/L16	O-L	1671/60	16/12/1960	\N	\N	000816	RUA CEZÍDIO ALBUQUERQUE	005574	AV. HERMÍNIO DE CASTRO	\N	\N	9580230	555063	9580579	557037	CIDADE DOS FUNCIONÁRIOS/PARQUE MANIBURA	DES. JOÃO FIRMINO	Na Lei, esta Rua se inicia na Br 13 (Br 116) e termina na Estrada da Lagoa Redonda.
9250	RUA ANTÔNIO DE CASTRO	000300	RUA	\N	L14/ L15	O-L	1671/60	16/12/1960	\N	\N	000816	RUA CEZÍDIO DE ALBUQUERQUE	000098	RUA ALBERTO LEAL NUNES	BR 116	\N	9580338	555013	9580793	556013	CIDADE DOS FUNCIONÁRIOS	SÃO VICENTE	Na Lei, esta Rua se inicia na Br 13 (Br 116) e termina na Estrada da Lagoa Redonda.
9251	RUA ESCRIVÃO AZEVEDO	000442	RUA	ESCRIVÃO	L14/L15	O-L	1671/60	16/12/1960	\N	\N	\N	BR 116	\N	ENTRE AS Q. 6 E 7 DO LOTEAMENTO SÍTIO SANTA HELENA	\N	\N	9580374	554805	9580920	556014	CIDADE DOS FUNCIONÁRIOS	\N	Na Lei, esta Rua se inicia na Br 13 (Br 116) e termina na Estrada da Lagoa Redonda.
9254	TRAV. JOSÉ ALVES CAVALCANTE	023515	TRAVESSA	\N	L14	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO (Q-8 DO LOTEAMENTO SÍTIO SANTA HELENA)	005610	RUA JOSÉ ALVES CAVALCANTE	\N	\N	9581052	555546	9580984	555575	CIDADE DOS FUNCIONÁRIOS	\N	\N
9255	RUA CEZÍDIO ALBUQUERQUE	000816	RUA	\N	L14/M15	N-S	1671/60	16/12/1960	\N	\N	\N	AV. JÚLIO JORGE VIEIRA	\N	ENTRE OS LOTES 8 DA Q. 7 E O 4 DA Q 14 DO LOT.	\N	RUA ULISSES BEZERRA	9580894	554821	9579951	555187	CIDADE DOS FUNCIONÁRIOS/PARQUE IRACEMA	\N	\N
9257	AVENIDA OLIVEIRA PAIVA	008758	AVENIDA	\N	L14/L17	O-L	1671/60	16/12/1960	\N	\N	\N	BR 116	003690	AV. WASHINGTON SOARES	\N	\N	9580045	554961	9580478	557786	CIDADE DOS FUNCIONÁRIOS/SAPIRANGA/COITÉ/P. MANIBURA/CAMBEBA	\N	Na Lei, esta Av. termina na Estrada da Lagoa Redonda.
9258	RUA DOM MARCOS TEIXEIRA	002326	RUA	DOM	L14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
9259	RUA TEN. TITO DE BARROS	005632	RUA	TENENTE	L14/M14	N-S	\N	\N	\N	\N	\N	RUA MARGARIDA DE QUEIROZ	\N	\N	CERCA	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
9260	RUA PADRE PAULINO	002770	RUA	PADRE	L14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
9261	RUA HENRIQUE JUSTA	001570	RUA	\N	L14/L15	L-O	\N	\N	\N	\N	001477	AV. DES. GONZAGA	000098	RUA ALBERTO LEAL NUNES	\N	\N	9580626	555421	9580533	556003	CAJAZEIRAS/CIDADE DOS FUNCIONARIOS	\N	\N
9262	RUA TIBÚRCIO PEREIRA	003393	RUA	\N	L14/M14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
9263	RUA FRANCISCO NOGUEIRA	005774	RUA	\N	L14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
9265	TRAVESSA TIBÚRCIO PEREIRA	024461	TRAVESSA	\N	L14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
9266	BR - 116	007189	RODOVIA	\N	L14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS/CIDADE DOS FUNCIONARIOS	\N	\N
9267	RUA ESMERINO NETO	022992	RUA	\N	L14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
9268	RUA JOSÉ CAVALCANTE	007617	RUA	\N	L14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
9271	VIADUTO CIDADE DOS FUNCIONÁRIOS	022752	VIADUTO	\N	L14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
9274	AVENIDA DESEMBARGADOR GONZAGA	001477	AVENIDA	DESEMBARGADOR	L15/M15	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS/PARQUE IRACEMA	\N	\N
9281	AVENIDA ULISSES BEZERRA	003662	AVENIDA	\N	L15	O-L	1671/60	16/12/1960	\N	\N	007189	BR-116	003587	RUA VICENTE LOPES	\N	\N	9579988	555129	9580417	556077	CIDADE DOS FUNCIONÁRIOS	\N	\N
9284	TRAV. ALICE I	022377	TRAVESSA	\N	L15	N-S	\N	\N	\N	\N	005609	RUA ALICE	\N	EDIFICAÇÃO (Q-19 DO LOTEAMENTO SÍTIO SANTA HELENA)	\N	\N	9580996	555343	9580937	555369	CIDADE DOS FUNCIONÁRIOS	\N	\N
9285	TRAV. ALICE  III	020039	TRAVESSA	\N	L15	N-S	\N	\N	\N	\N	005609	RUA ALICE	\N	EDIFICAÇÃO (Q-15 DO LOTEAMENTO SÍTIO SANTA HELENA)	\N	\N	9581066	555494	9581000	555520	CIDADE DOS FUNCIONÁRIOS	\N	\N
9286	RUA CÔNEGO BRAVEZA	000613	RUA	CÔNEGO	L15	N-S	1671/60	16/12/1960	\N	\N	005609	RUA ALICE	001986	RUA JOÃO LEONEL	\N	RUA DUQUE ENG. AGR/ÔNOMO JOSÉ GUIMARÃES	9581040	555438	9579722	556003	CIDADE DOS FUNCIONÁRIOS	S. BERNARDO	Na Lei, esta Rua se inicia na Estrada da Lagoa Redonda e termina na Rua João Leonel.
9288	RUA ALBERTO LEAL NUNES	000098	RUA	\N	L15	N-S	1176/1957	14/06/57	\N	\N	000300	RUA ANTÔNIO DE CASTRO	008758	AV. OLIVEIRA PAIVA	\N	\N	9580793	556013	9580505	556003	CIDADE DOS FUNCIONÁRIOS	\N	Na Lei, esta Rua se inicia numa Rua Sem Denominação
9290	RUA PROFESSOR MARTINS DE AGUIAR	005619	RUA	PROFESSOR	L15	N-S	4764/76	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	Mesmo homenageado da Lei Nº 7158/92 de 26/06/1992
9291	RUA DR. SAMUEL L. CAVALCANTE	000617	RUA	DOUTOR	L15	O-L	\N	\N	\N	\N	005611	RUA PINHEIRO MAIA	\N	EDIFICAÇÃO (Q-7 DO LOTEAMENTO SANTA SÍTIO HELENA)	\N	\N	9580805	555904	9580854	556007	CIDADE DOS FUNCIONÁRIOS	\N	\N
9292	VILA GRAZIELA	023238	VILA	\N	L15	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO (Q6-LOTEAMENTO SANTA SÍTIO HELENA)	007367	RUA RAIMUNDO GOMES DE HOALNDA	\N	\N	9580921	555871	9580946	555928	CIDADE DOS FUNCIONÁRIOS	\N	\N
9293	TRAV. JOÃO BARBOSA LIMA	006231	TRAVESSA	\N	L15	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO (LOTEAMENTO SANTA SÍTIO HELENA)	006780	RUA JOÃO BARBOSA LIMA	\N	\N	9580857	555729	9580888	555795	CIDADE DOS FUNCIONÁRIOS	\N	\N
9295	RUA BENJAMIN MOURA	000524	RUA	\N	L15	O-L	1671/60	16/12/1960	\N	\N	003379	RUA TEOFREDO GOIANA	003587	RUA VICENTE LOPES	\N	\N	9580032	555517	9580280	556061	CIDADE DOS FUNCIONÁRIOS	\N	\N
9296	RUA FISCAL PERDIGÃO	002839	RUA	FISCAL	L15/M15	O-L	366/51	19/10/51	\N	\N	003379	RUA FISCAL PERDIGÃO	000825	RUA CHICO LEMOS	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	Na Lei, esta Rua se inicia na Rua Teofredo Goiana e termina na Rua Chico Lemos.
9297	RUA SERTÃO DOS INHAMUNS	008332	RUA	\N	L15	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO (Q-13 DO LOTEAMENTO SANTA SÍTIO HELENA)	\N	RUA JÚLIO LIMA	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
9298	TRAV. FREI GASPAR	020034	TRAVESSA	FREI	L15	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO (Q12-LOTEAMENTO SANTA SÍTIO HELENA)	006780	RUA JOÃO BARBOSA LIMA	\N	\N	9580966	555680	9580996	555747	CIDADE DOS FUNCIONÁRIOS	\N	\N
9604	RUA SENHOR DO BONFIM	000577	RUA	SENHOR	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9299	AVENIDA DEP.JOAQUIM FIGUEIREDO CORREIA	006309	AVENIDA	DEPUTADO	L15/M15	N-S	5641/82	\N	\N	\N	002405	RUA MÁXIMO LINHARES	006194	RUA WALTER PORTO	\N	\N	9580144	556304	9579755	556183	CIDADE DOS FUNCIONÁRIOS/CAMBEBA/PARQUE IRACEMA	3 AV do Loteamento Sítio Jacarey	\N
9300	RUA MONSENHOR ANTERO	000268	RUA	MONSENHOR	L15	N-S	\N	\N	\N	\N	008758	AV. OLIVEIRA PAIVA	002405	RUA MÁXIMO LINHARES	\N	\N	9580489	556310	9580148	556275	CIDADE DOS FUNCIONÁRIOS	\N	\N
9301	RUA MANOEL MONTEIRO	002291	RUA	\N	L15	S-N	5319/80	\N	\N	\N	006859	AV. JOSÉ LEON	008758	AV. OLIVEIRA PAIVA	RUA DR. JOSÉ PERDIGÃO	AV. DEP. JOAQUIM FIGUEIREDO CORREIA	9581137	556225	9580501	556205	CIDADE DOS FUNCIONÁRIOS/PARQUE IRACEMA	\N	Na Cartografia, esta Rua se inicia na Rua Dr. José Perdigão e termina na Av. Dep. Joaquim  Figueiredo Correia.
9450	SD	040560	RUA	\N	L18	N-S	\N	\N	\N	\N	\N	AV. SAPIRANGA	\N	\N	RUA EUCLIDES ONOFRE SOUZA	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
9303	RUA PEDRO FIRMEZA	002810	RUA	\N	L15/L16	O-L	\N	\N	\N	\N	003587	RUA VICENTE LOPES	008100	AV. DR. JOSÉ FURTADO	\N	AV. WASHINGTON SOARES	9580280	556061	9580194	556848	CIDADE DOS FUNCIONÁRIOS	\N	Na Lei, esta Rua termina na Av. Washington Soares.
9304	RUA VIRGÍLIO PAES	003504	RUA	\N	L15/L16	O-L	\N	\N	\N	\N	003587	RUA VICENTE LOPES	008100	AV. DR JOSÉ FURTADO	\N	AV. WASHINGTON SOARES	9580397	556075	9580308	556862	CIDADE DOS FUNCIONÁRIOS	\N	Na Lei, esta Rua termina na Av. Washington Soares.
9305	SD	040553	RUA	\N	L15	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA VIRGÍLIO PAES	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
9306	RUA FERNANDES BENEVIDES	001270	RUA	\N	L15/L16	\N	7518/94	\N	\N	\N	002291	RUA MANOEL MONTEIRO	001600	RUA HONORIO VIEIRA	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS/PARQUE MANIBURA	\N	\N
9307	RUA WALTER DE CASTRO	003533	RUA	\N	L15	S-N	5319/80	04/11/1980	\N	\N	006859	AV. JOSÉ LEON	008758	AV. OLIVEIRA PAIVA	RUA VEREADOR PEDRO PAULO	\N	9581441	556361	9580492	556282	CIDADE DOS FUNCIONÁRIOS	\N	Na Lei esta Rua inicia-se na Av. José Leon
9310	RUA MÁXIMO LINHARES	002405	RUA	\N	L15/L16	O-L	\N	\N	\N	\N	003587	RUA VICENTE LOPES	008100	AV. DR. JOSÉ FURTADO	\N	FIM DO LOTEAMENTO	9580171	556051	9580081	556833	CIDADE DOS FUNCIONÁRIOS	\N	\N
9312	SD	040554	RUA	\N	L15	O-L	\N	\N	\N	\N	\N	MURO	\N	\N	MURO	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
9313	TRAV. VIENA WEYNE	024556	TRAVESSA	\N	L15	N-S	\N	\N	\N	\N	006317	ALISSON BATISTA DE MEDEIROS	006299	AV. VIANA WEYNE	\N	\N	9580048	556361	9579942	556328	CIDADE DOS FUNCIONÁRIOS	\N	\N
9315	RUA PEDRO HERMANO DE VASCONCELOS	006658	RUA	\N	L15/M15	L-O	5225/1979	\N	\N	\N	002291	RUA MANOEL MONTEIRO	001477	AV. DES. GONZAGA	RUA SD	\N	9580050	556205	9579887	555853	PARQUE IRACEMA	\N	Na Lei, esta Rua se inicia em uma Rua sem denominação oficial.
9316	RUA JOÃO LEONEL	001986	RUA	\N	L15/M15	O-L	366/51	\N	\N	\N	001477	AV. DESEMBARGADOR GONZAGA	002291	RUA MANOEL MONTEIRO	\N	\N	9579959	555810	9580120	556172	CIDADE DOS FUNCIONÁRIOS/PARQUE IRACEMA	\N	\N
9318	RUA FERNANDO PINHEIRO	005608	RUA	\N	L15	O-L	\N	\N	\N	\N	000613	RUA CÔNEGO BRAVEZA	000825	RUA CHICO LEMOS	\N	\N	9580886	555507	9580954	555657	CIDADE DOS FUNCIONÁRIOS	das Roseiras	\N
9319	RUA JOÃO BARBOSA LIMA	006780	RUA	\N	L15	N-S	\N	\N	\N	\N	005610	RUA JOSÉ ALVES CAVALCANTE	000442	RUA ESCRIVÃO AZEVEDO	\N	\N	9581050	555722	9580833	555819	CIDADE DOS FUNCIONÁRIOS	\N	\N
9320	RUA PINHEIRO MAIA	005611	RUA	\N	L15	N-S	\N	\N	\N	\N	006859	AV. JOSÉ LEON	\N	ENTRE AS Q. 8 E 14 DO LOT. SÍTIO SANTA HELENA	\N	\N	9581264	555697	9580706	555948	CIDADE DOS FUNCIONÁRIOS	\N	\N
9321	RUA CÍCERO ALVES DE SOUSA	006525	RUA	\N	L15	N-S	4846/77	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
9323	SD	040557	RUA	\N	L15	O-L	\N	\N	\N	\N	\N	MURO	\N	\N	RUA VICENTE LOPES	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
9324	RUA SABINA AUGUSTA	005573	RUA	\N	L15/L16	L-O	4908/77	\N	\N	\N	008758	AV. OLIVEIRA PAIVA	002405	RUA MÁXIMO LINHARES	\N	\N	9580476	556425	9580134	556388	CIDADE DOS FUNCIONÁRIOS	CALEDÔNIA E GERSON GRADVOHL	\N
9325	SD	040556	RUA	\N	L15	O-L	\N	\N	\N	\N	\N	RUA JÚLIO LIMA	\N	\N	RUA CÍCERO DE SOUZA	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
9326	RUA LUIZ GIRÃO	005593	RUA	\N	L16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
9327	RUA BORBOREMA	005572	RUA	\N	L16 /L-17	O/L	8636/2002	12/06/2002	11244/2002	15/08/2002	005593	RUA LUÍS GIRÃO	003690	AV. WASHINGTON SOARES	\N	\N	9580300	557559	9580243	557799	CAMBEBA	BORBOREMA, RUA -lim quadras 07,08,16 e 17 do lot Sitio Carrapicho	\N
9328	RUA JONAS ILDEFONSO CARNEIRO	005571	RUA	\N	L16/L17	O-L	4953/77	\N	\N	\N	005593	RUA LUÍS GIRÃO	003690	AV. WASHINGTON SOARES	\N	\N	9580213	557536	9580151	557807	CAMBEBA	\N	\N
9329	RUA DR. VALDEMAR DE ALCÂNTARA	009674	RUA	DOUTOR	L16	O-L	7384/93	\N	9188/93	\N	\N	ENTRE AS QUADRAS 18 E 27 DO LOTEAMENTO CARRAPICHO	\N	NO FINAL DO LOTEAMENTO JARDIM SANTO INÁCIO	(005593) RUA LUÍS GIRÃO	LAGOA SAPIRANGA	9580128	557512	9580236	559862	CAMBEBA	Eufrazina Pereira, dona  no Cadastro SEFIN - Loteamento Sitio Carrapicho	\N
9330	RUA LINO CONDE	005587	RUA	\N	L16	O-L	\N	\N	\N	\N	005593	RUA LUÍS GIRÃO	003690	AV. WASHINGTON SOARES	\N	\N	9580043	557490	9579969	557823	CAMBEBA	\N	\N
9331	RUA DR. JOSÉ FURTADO	008100	RUA	DOUTOR	L16/M16	N-S	5331/79	\N	\N	\N	008758	AV. OLIVEIRA PAIVA	002405	RUA C, CONHECIDA COMO RUA MÁXIMO LINHARES	\N	AV. VIANA WEYNE	9580423	556875	9579868	556811	CIDADE DOS FUNCIONÁRIOS/CAMBEBA	8 DO PARQUE JACAREY	Na Lei, esta Rua termina na Rua C, conhecida como Máximo Linhares. Na Cartografia esta se prolonga até a Av. Viena Weyne.
9332	RUA VISCONDE BARBACENA	000604	RUA	VISCONDE	L16/M16	N-S/O-L	\N	\N	\N	\N	008758	AV. OLIVEIRA PAIVA	006317	RUA ALISSON BATISTA DE MEDEIROS	\N	\N	9580436	556762	9579904	556695	CIDADE DOS FUNCIONÁRIOS	\N	\N
9333	RUA JOAQUIM VIANA BARBOSA	001903	RUA	\N	L16	N-S	\N	\N	\N	\N	008758	AV. OLIVEIRA PAIVA	002405	RUA MÁXIMO LINHARES	\N	\N	9580449	556650	9580107	556610	CIDADE DOS FUNCIONÁRIOS	\N	\N
9334	RUA BOTELHO MAGALHÃES	000594	RUA	\N	L16/M16	N-S	\N	\N	\N	\N	008758	AV. OLIVEIRA PAIVA	006194	RUA WALTER PORTO	\N	\N	9580462	556538	9579681	556401	CIDADE DOS FUNCIONÁRIOS/CAMBEBA	\N	\N
9343	RUA PADRE JANUÁRIO CAMPOS	001750	RUA	PADRE	L16	S-N	5319/80	\N	\N	\N	001862	AV. JOSÉ LÉON	002651	AV. OLIVEIRA PAIVA	\N	\N	9581009	556766	9580443	9581009	PARQUE MANIBURA	\N	\N
9344	RUA JUIZ DE FORA	000603	RUA	\N	L16	N-S	\N	\N	\N	\N	001862	AV. JOSÉ LÉON	002651	AV. OLIVEIRA PAIVA	\N	\N	9580987	556845	9580433	556784	PARQUE MANIBURA	\N	\N
9354	RUA MARTINS JESUS	023826	RUA	\N	L16	O-L	5652/1982	01/12/1982	\N	\N	\N	AV. HERMINIO DE CASTRO	003690	WASHINGTON SOARES	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	MARIO LANZA  E  PELO LOTEAMENTO RUA DES LEITE ALBUQUERQUE	LEI ESPECIFICA O LOCAL PRIMEIRA RUA AO SUL DA  EDILSON BRASIL SOARES
9355	RUA ANGRA DOS REIS	005117	RUA	\N	L16/L17	O-L	\N	\N	\N	\N	001574	AV. HERMÍNIO DE CASTRO	003690	AV. WASHINGTON SOARES	\N	\N	9580833	557064	9580890	557747	PARQUE MANIBURA	ANGRA DOS REIS	\N
9357	RUA JOSÉ ALCIDES ROCHA	023513	RUA	\N	L16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
9359	RUA PROCÓPIO FERREIRA	005575	RUA	\N	L16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
9587	RUA LAVES BEZERRA	023619	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9360	AVENIDA HERMÍNIO DE CASTRO	001574	AVENIDA	\N	L16	N-S	5319/80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
9361	RUA PROFESSOR CARLOS LOBO	005603	RUA	PROFESSOR	L16	O-L	5148/79	30/04/1979	5632/80	05/08/1980	\N	FINAL DO LOTEAMENTO	\N	RUA C DO LOTEAMENTO	\N	\N	9580512	557171	9580553	557646	PARQUE MANIBURA	A, CONHECIDA C/ PRAIA BRANCA E MARIA DE LOURDES OLIVEIRA RIZZATO LOTEAMENTO)	\N
9362	RUA PROFESSOR VIEIRINHA	021017	RUA	PROFESSOR	L16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
9568	RUA ALVES BEZERRA	004125	RUA	\N	M04/N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9363	RUA JOÃO ALVES DE ALBUQUERQUE	005606	RUA	\N	L16/L17	O-L	5340/80	\N	\N	\N	005578	RUA LÍGIA BRÍGIDO	003690	AV. WASHINGTON SOARES	\N	\N	9580604	557300	9580646	557770	PARQUE MANIBURA	B DO LOT. MARIA DE LOURDES DE OLIVEIRA RIZATTO	\N
9364	RUA LOURIVAL CORREIA PINHO	002200	RUA	\N	L16/L17	O-L	4766/76	\N	\N	\N	\N	PRAÇA	003690	AV. WASHINGTON SOARES	\N	\N	9580710	557225	9580754	557760	PARQUE MANIBURA	B DO PARQUE IÊDA	\N
9369	RUA SAMPAIO CAVALCANTE	024333	RUA	\N	L16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
9374	RUA TABELIÃO JOAQUIM COELHO	006809	RUA	TABELIÃO	L17/L19	O-L	4716/1976	09/06/1976	  5045/78	27/02/1978	005593	RUA LUIS GIRÃO(CERCA DO TERRENO DO EXÉRCITO)	005081	AV. SAPIRANGA	\N	RUA DR. CORREIA LIMA	9580384	557582	9580467	559362	CAMBEBA/SAPIRANGA-COITÉ	\N	Na Lei, esta rua termina na Av. Sapiranga. Na Cartografia o trecho que vai da Av. Evilásio Miranda a Av. Sapiranga não está aberto.
9376	AVENIDA CONSELHEIRO GOMES DE FREITAS	000893	AVENIDA	CONSELHEIRO	L17/L19	O-L	5221/79	\N	\N	\N	003690	AV. WASHINGTON SOARES	\N	LAGOA DA SABIAGUABA	\N	\N	9580478	557786	9580665	560200	SAPIRANGA/COITÉ	\N	\N
9377	RUA EUCLIDES ONOFRE SOUZA	004490	RUA	\N	L17/L18	O-L	4962/77	\N	5101/1978	\N	003690	AV. WASHINGTON SOARES	\N	\N	\N	\N	9580199	557803	\N	\N	SAPIRANGA/COITÉ	\N	Na Lei, esta Rua termina no fim do Loteamento Parque Água Fria.
9378	RUA CRISANTO MOREIRA DA ROCHA	000960	RUA	\N	L17/M17	N-S	4682/76	\N	\N	\N	\N	AV. WASHINGTON SOARES	002887	AV. MINISTRO JOSÉ AMÉRICO	\N	FIM DO LOTEAMENTO	9580478	557786	9578850	557379	CAMBEBA	\N	\N
9387	RUA RAIMUNDO TIBURCIO	008208	RUA	DR	L17	N-S	8515/2000	27/12/2000	11205/2002	20/06/2002	\N	LOTES 18 DA QUADRA 96 E 7 DA QUADRA 104	\N	LOTES 1 DA QUADRA 14 E 8 DA QUADRA 9	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	RAIMUNDO TIBURCIO	INIC. LOT.PQ. JOSÉ DE ALENC - TERM. LOT ST GRAVITO
9394	RUA JOÃO PAULO I	006236	RUA	\N	L17	L-O	5420/81	\N	\N	\N	005568	RUA MINISTRO ABNER DE VASCONCELOS	005569	RUA MÁRIO ALENCAR ARARIPE	\N	\N	9580728	557856	9580737	557948	SAPIRANGA/COITÉ	\N	Na Lei, esta Rua termina em uma rua sem denominação (Rua Parati)
9395	RUA ZECA VALDIVINO	003706	RUA	\N	L17	\N	\N	\N	\N	\N	005568	RUA MINISTRO ABNER DE VASCONCELOS	005569	RUA MÁRIO ALENCAR ARARIPE	\N	\N	9580682	557859	9580689	557952	SAPIRANGA/COITÉ	\N	\N
9396	RUA ALPINÓPOLIS	005115	RUA	\N	L17	L-O	\N	\N	\N	\N	005569	RUA MÁRIO ALENCAR ARARIPE	005112	RUA BILL CARTAXO	\N	\N	9580839	557941	9580867	558410	SAPIRANGA/COITÉ	\N	\N
9398	RUA MARCELINO LOPES	004494	RUA	\N	L17/L19	L-O	\N	\N	\N	\N	003690	AV. WASHINGTON SOARES	006393	AV. DR. CORREIA LIMA	\N	\N	9580754	557760	9580950	560113	SAPIRANGA/COITÉ	\N	\N
9400	RUA JOSÉ MARIANO	023545	RUA	\N	L17	L-O	\N	\N	\N	\N	001157	RUA ELISEU ORIÁ	005112	RUA BILL CARTAXO	\N	\N	9580974	558022	9581000	558399	SAPIRANGA/COITÉ	\N	\N
9402	RUA JAIR GOIS	008037	RUA	\N	L17	L-O	\N	\N	\N	\N	003700	RUA ENG. LEAL LIMA VERDE	005116	RUA SALVADOR CORREIA DE SÁ	\N	\N	9580697	558233	9580704	558331	SAPIRANGA/COITÉ	\N	\N
9403	RUA PIXINGUINHA	007375	RUA	\N	L17	L-O	\N	\N	\N	\N	003700	RUA ENG. LEAL LIMA VERDE	005116	RUA SALVADOR CORREIA DE SÁ	\N	\N	9580742	558230	9580750	558328	SAPIRANGA/COITÉ	\N	\N
9404	RUA JOÃO ELMIRO DE SOUZA	008033	RUA	\N	L17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
9405	RUA JOSÉ F. DE LIMA	005108	RUA	\N	L17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
9410	TRAV. EUNICE WEAVER	021417	TRAVESSA	\N	L18	N-S	\N	\N	\N	\N	006809	RUA TABELIÃO JOAQUIM COELHO	004490	RUA EUCLIDES ONOFRE DE SOUZA	\N	\N	9580488	559764	9580364	559759	SAPIRANGA/COITÉ	\N	\N
9411	TRAV. AFONSO PENA	021416	TRAVESSA	\N	L18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
9412	TRAVESSA ERNESTO MONTEIRO	022988	TRAVESSA	\N	L18	O-L	\N	\N	\N	\N	000401	AV. PRES. ARTUR BERNARDES	008125	RUA SANDRA GENTIL	\N	\N	9579997	558779	9580004	559050	SAPIRANGA/COITÉ	\N	\N
9413	RUA PEDRO MIGUEL	002532	RUA	\N	L18/M18	N-S	\N	\N	\N	\N	004490	RUA EUCLIDES ONOFRE DE SOUZA	\N	RUA DR. JOAQUIM FROTA	\N	\N	9580342	559500	9579934	559537	SAPIRANGA/COITÉ	\N	\N
9415	TRAVESSA DO CAMPO	021415	TRAVESSA	\N	L18	\N	\N	\N	\N	\N	006809	RUA TABELIÃO JOAQUIM COELHO	021417	TRAV. EUNICE WEAVER	\N	\N	9580495	559890	9580399	559755	SAPIRANGA/COITÉ	\N	\N
9416	TRAVESSA DO COQUEIRO	021414	TRAVESSA	\N	L18	N-S	\N	\N	\N	\N	006809	RUA TABELIÃO JOAQUIM COELHO	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	\N	\N	9580498	559928	9580399	559930	SAPIRANGA/COITÉ	\N	\N
9417	TRAVESSA JOSÉ ALBERTO	021413	TRAVESSA	\N	L18	N-S	\N	\N	\N	\N	006809	RUA TABELIÃO JOAQUIM COELHO	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	\N	\N	9580500	559968	9580377	559974	SAPIRANGA/COITÉ	\N	\N
9419	AVENIDA SAPIRANGA	005081	AVENIDA	\N	L18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
9423	RUA DONA ADAHIL	022919	RUA	DONA	L18	N-S	\N	\N	\N	\N	005081	AV. SAPIRANGA	000893	RUA CONSELHEIRO GOMES DE FREITAS	\N	\N	9580712	559051	9580583	559061	SAPIRANGA/COITÉ	\N	\N
9426	RUA DOUTOR WALDEMAR DE ALCÂNTARA	024596	RUA	DOUTOR	L18	O-L	7384/93	\N	9188/93	\N	003690	RUA LUIZ GIRÃO(Q-27 e 18)	\N	LAGOA DA SAPIRANGA	\N	\N	9580128	557512	9580235	559862	SAPIRANGA/COITÉ	\N	Na Lei, esta Rua termina no fim do Loteamento Sítio Carrapicho.
9428	SD	040559	RUA	\N	L18	O-L	\N	\N	\N	\N	\N	AV. EVILÁSIO MIRANDA	\N	\N	MURO	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
9429	RUA SANDRA GENTIL	008125	RUA	\N	L18/M18	N-S	\N	\N	\N	\N	007883	RUA PROF. JOSÉ ALBERTO ALVES DE ALBUQUERQUE	001882	RUA JOAQUIM FROTA	\N	\N	9581674	558916	9579885	559064	SAPIRANGA/COITÉ/EDSON QUEIROZ	Frei José Maria	\N
9431	TRAVESSA BASTOS	003180	RUA	\N	L18/M18	N-S	DECLEG269/2007	21/08/2007	\N	\N	\N	EDILSON BRASIL SOARES	\N	FIM DO LOTEAMENTO PARQU AGUA FRIA	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	BASTOS, TV                   (LOCALIZADA PELA FAMILIA DO HOMENAGEADO)	Limite das Quadras 18e19,43e44, 68e69,92e93,115e116,137e138,149e150,159e160,167e168,172e173,176e177,180e181 do Lot Parque Água Fria
9432	RUA GUIOMAR NOVAES	005085	RUA	\N	L18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
9437	RUA 11	007915	RUA	\N	L18/L19	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
9439	TRAV. SANTA CLARA	022767	TRAVESSA	SANTA	L18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
9440	TRAV. JOSÉ AMAURY	023516	TRAVESSA	\N	L18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
9441	TRAV. PEDRO MIGUEL	024142	TRAVESSA	\N	L18	N-S	\N	\N	\N	\N	004490	RUA EUCLIDES ONOFRE DE SOUZA	\N	RUA DR. JOAQUIM FROTA	\N	\N	9580335	559411	9579925	559438	SAPIRANGA/COITÉ	\N	\N
9442	RUA ANTÔNIO GENTIL	000306	RUA	\N	L18	N-S	\N	\N	\N	\N	007883	RUA PROF. JOSÉ ALBERTO ALVES DE ALBUQUERQUE	001882	RUA JOAQUIM FROTA	\N	\N	9581626	559014	9579894	559154	SAPIRANGA/COITÉ/EDSON QUEIROZ	\N	\N
9448	SD	040558	RUA	\N	L18	N-S	\N	\N	\N	\N	\N	RUA CORONEL OLEGÁRIO MEMÓRIA	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
9452	RUA ANTÔNIO NOGUEIRA	005139	RUA	\N	L19	N-S	\N	\N	\N	\N	\N	\N	001346	RUA FRANCISCO MATIAS	\N	\N	\N	\N	9579916	560911	SAPIRANGA/COITÉ/EDSON QUEIROZ	\N	\N
9453	RUA ELIAS FRANCISCO	005184	RUA	\N	L19	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	005139	RUA ANTÔNIO NOGUEIRA	\N	\N	9580120	560439	9580082	560784	SAPIRANGA/COITÉ	\N	\N
9454	RUA JOSÉ BORGES	009666	RUA	\N	L19	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	005139	RUA ANTÔNIO NOGUEIRA	\N	\N	9580201	560526	9580192	560697	SAPIRANGA/COITÉ	\N	\N
9456	RUA M. BEZERRA	023702	RUA	\N	L19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
9457	RUA MAR DEL PLATA	005136	RUA	\N	L19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
9458	RUA BOTÂNICA	000629	RUA	\N	L19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
9459	RUA MONTERREY	021596	RUA	\N	L19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
9461	RUA DONA CELESTE	021597	RUA	DONA	L19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
9605	RUA CAPUÍ	020955	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9606	RUA B	009742	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9463	RUA 12	007916	RUA	\N	L19	O-L	\N	\N	\N	\N	\N	RUA 2 (RUA DR. ITAMAR ESPÍNDOLA)	\N	VEGETAÇÃO (LAGOA SAPIRANGA)	\N	\N	9580821	560197	9580828	560265	SAPIRANGA/COITÉ/EDSON QUEIROZ	\N	\N
9465	RUA 13	007917	RUA	\N	L19	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
9466	RUA ELENA LUIZA	022962	RUA	\N	L19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
9467	TRAV. STO. AMANCIO	021598	TRAVESSA	SANTO	L19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
9470	RUA PIGALLI	005130	RUA	\N	L19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
9472	TRAV. TORRES DE MELO	021427	TRAVESSA	\N	L19	N-S	\N	\N	\N	\N	006809	RUA TABELIÃO JOAQUIM COELHO	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	\N	\N	9580501	560003	9580436	560013	SAPIRANGA/COITÉ	\N	\N
9473	TRAV. CIDIO MARCONDES	022753	TRAVESSA	\N	L19	N-S	\N	\N	\N	\N	006809	RUA TABELIÃO JOAQUIM COELHO	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	\N	\N	9580504	560041	9580450	560047	SAPIRANGA/COITÉ	\N	\N
9474	TRAV. SHALOM	021425	TRAVESSA	\N	L19	N-S	\N	\N	\N	\N	006809	RUA TABELIÃO JOAQUIM COELHO	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	\N	\N	9580506	560077	9580457	560083	SAPIRANGA/COITÉ	\N	\N
9475	TRAV. RITA DE CASSIA	021424	TRAVESSA	\N	L19	N-S	\N	\N	\N	\N	006809	RUA TABELIÃO JOAQUIM COELHO	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	\N	\N	9580508	560113	9580461	560116	SAPIRANGA/COITÉ	\N	\N
9478	TRAV. CORREIA LIMA A	024575	TRAVESSA	\N	L19	O-L	\N	\N	\N	\N	005096	TRAVESSA CORONEL OLEGÁRIO MEMÓRIA	006393	RUA DR, CORREIA LIMA	\N	\N	9580732	560027	9580741	560131	SAPIRANGA/COITÉ	\N	\N
9479	TRAV. CORREIA LIMA B	024576	TRAVESSA	\N	L19	O-L	\N	\N	\N	\N	005096	TRAVESSA CORONEL OLEGÁRIO MEMÓRIA	006393	RUA DR, CORREIA LIMA	\N	\N	9580752	560024	9580763	560129	SAPIRANGA/COITÉ	\N	\N
9482	AVENIDA DR. CORREIA LIMA	006393	AVENIDA	DOUTOR	L19	N-S	\N	\N	\N	\N	007908	RUA MARCELO REIS (Rua 4)	006809	RUA TABELIÃO JOAQUIM COELHO	\N	\N	9581935	560031	9580516	560138	SAPIRANGA/COITÉ/EDSON QUEIROZ	\N	\N
9483	TRAV. CEL. OLEGÁRIO MEMÓRIA	005096	TRAVESSA	CORONEL	L19	N-S	\N	0	\N	\N	000790	AV. EDILSON BRASIL SOARES	\N	EDIFICAÇAÕ	\N	\N	9581361	559980	9580719	560026	SAPIRANGA/COITÉ	\N	Tv.  CORONEL OLEGÁRIO MEMORIA - LIMITE DAS Q 123,124,100,101,75,76.PQ AGUA FRIA(proc988/08- seinf)
9484	RUA RECANTO DO MAR	021666	RUA	\N	L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
9489	LO3	023648	RUA	\N	L20	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
9490	RUA NASCENTE DA LAGOA	023923	RUA	\N	L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
9493	LO	023647	RUA	\N	L20	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
9494	SD	040564	RUA	\N	L20	N-S	\N	\N	\N	\N	\N	CERCA	\N	\N	RUA JOSÉ PARENTE	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
9495	SD	040563	RUA	\N	L20	N-S	\N	\N	\N	\N	\N	RECANTO DO MAR	\N	\N	AV. SABIAGUABA	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
9496	SD	040562	RUA	\N	L20	N-S	\N	\N	\N	\N	\N	RUA NS3 (COLINA DA SABIAGUABA)	\N	\N	RUA NASCENTE DA LAGOA	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
9497	SD	040561	RUA	\N	L20	N-S	\N	\N	\N	\N	\N	RUA NS3 (COLINA DA SABIAGUABA)	\N	\N	SD (040562)	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
9498	NS3	007065	RUA	\N	L20	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
9500	ESTRADA DO BARREIRO	022549	ESTRADA	\N	L21/L22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
9501	SD	040565	RUA	\N	L21/M20	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA TRÊS MARIAS	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
9509	SD	006263	RUA	\N	M02/M03	L-O	\N	\N	\N	\N	\N	ESTRADA DO JATOBÁ	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9510	SD	006264	RUA	\N	M02/M03	L-O	\N	\N	\N	\N	\N	ESTRADA DO JATOBÁ	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9511	SD	006283	RUA	\N	M02	L-O	\N	\N	\N	\N	\N	ESTRADA DO JATOBÁ	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9517	RUA MIRACEL	023875	RUA	\N	M02/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9518	RUA ALTO DO PIMENTA	006266	RUA	\N	M02/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9519	RUA AMAZONAS	022407	RUA	\N	M02	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9520	RUA MANOEL DE CASTRO	023734	RUA	\N	M02/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9521	RUA JOÃO AGOSTINHO	020941	RUA	\N	M02	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9524	RUA ADAHIL BARRETO	006277	RUA	\N	M02/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9525	RUA JULIO COLF	006276	RUA	\N	M02/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9526	RUA BOA VISTA	023048	RUA	\N	M02/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9527	RUA SÃO VICENTE	006274	RUA	SÃO	M02/M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9529	RUA SÃO FRANCISCO	020958	RUA	SÃO	M02	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9531	SD	040567	RUA	\N	M03	L-O	\N	\N	\N	\N	\N	RUA SGT. BARBOSA	\N	\N	ESTRADA DO JATOBÁ	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9532	SD	040566	RUA	\N	M03	L-O	\N	\N	\N	\N	\N	RUA SGT. BARBOSA	\N	\N	RUA MANOEL DE CASTRO	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9533	SD	006286	RUA	\N	M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9534	SD	040568	RUA	\N	M03	L-O	\N	\N	\N	\N	\N	RUA SGT. BARBOSA	\N	\N	SD (040567)	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9535	SD	040569	RUA	\N	M03	L-O	\N	\N	\N	\N	\N	RUA ARI	\N	\N	ESTRADA DO JATOBÁ	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9546	RUA DA MATA	006246	RUA	\N	M03/N03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9547	AVENIDA PRESIDENTE JUSCELINO KUBITSCHEK	006267	AVENIDA	PRESIDENTE	M03/N03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9548	RUA SÃO JORGE	006285	RUA	SÃO	M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9549	AVENIDA MACIEL BEZERRA	006284	AVENIDA	\N	M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9551	RUA SANTA ISABEL	023352	RUA	SANTA	M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9553	RUA SARGENTO BARBOSA	003971	RUA	SARGENTO	M03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9561	SD	040570	RUA	\N	M04	N-S	\N	\N	\N	\N	\N	AV. URUCUTUBA	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM/SIQUEIRA	\N	\N
9563	BECO ALVES BEZERRA	022394	BECO	\N	M04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9564	TRAVESSA SÃO VICENTE	020947	TRAVESSA	SÃO	M04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9565	TRAVESSA CAMPINENSE	006536	TRAVESSA	\N	M04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9569	RUA IPIRANGA	023338	RUA	\N	M04/M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9571	TRAVESSA BENJAMIM	022582	TRAVESSA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9573	RUA INDIARA	004785	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9574	RUA ALEXANDRA	020956	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9575	TRAVESSA DIVINA	022905	TRAVESSA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9576	TRAVESSA JOSÉ MAURÍCIO	023548	TRAVESSA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9581	RUA JARDIM DAS FLORES	009727	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9582	RUA MARIA DE JESUS	020981	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9583	TRAVESSA JOANA BATISTA	023419	TRAVESSA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9585	RUA DIVINA	009368	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9586	RUA CESARINA BATISTA	004781	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9588	RUA MARANGUAPE	004765	RUA	\N	M05/M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA/CANINDEZINHO	\N	\N
9590	RUA SANTANA DO PARAISO	004782	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9591	RUA MARCELO SANTA FÉ	006244	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM/ SIQUEIRA	\N	\N
9592	RUA PADRE FRANCISCO ARAQUEM	004133	RUA	PADRE	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM / SIQUEIRA	\N	\N
9594	TRAVESSA SANTA LUZIA	023693	TRAVESSA	SANTA	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9595	SD	040576	RUA	\N	M05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	TRAV. SANTA LUZIA	TRAV. BEJAMIN DA SILVA	\N	\N	\N	\N	BOM JARDIM	\N	\N
9596	TRAVESSA DA SILVA	004701	TRAVESSA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9597	TRAVESSA DO CACIMBÃO	022652	TRAVESSA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9599	RUA GENERAL RABELO	004780	RUA	GENERAL	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
9600	SD	040574	RUA	\N	M05	N-S	\N	\N	\N	\N	\N	RUA FRANCISCO MACHADO	\N	\N	DRENO/VALA	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9601	SD	040575	RUA	\N	M05/N05	N-S	\N	\N	\N	\N	\N	RUA DIVINA	\N	\N	RUA ALVES BEZERRA	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9602	RUA GUAÍRA	004134	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA / BOM JARDIM	\N	\N
9603	RUA JARDIM PAROARAS	008436	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA / BOM JARDIM	\N	\N
9608	RUA A	020017	RUA	\N	M05/N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9610	RUA SÃO FRANCISCO	023127	RUA	SÃO	M05/Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	023916	\N	\N	\N	\N	BOM JARDIM/MONDUBIM 1	\N	\N
9612	TRAVESSA VARZELÂNDIA	020283	TRAVESSA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9613	TRAVESSA SAPUCAÍ	020284	TRAVESSA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9615	RUA SANTO AGOSTINHO	022834	RUA	SANTO	M05/M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9616	RUA 5	020007	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9617	RUA PITANGUEIRAS	006510	RUA	\N	M05/N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9618	RUA C	022625	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9619	RUA D	022851	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9620	RUA E	009745	RUA	\N	M05/N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9621	RUA 4	020008	RUA	\N	M05	O-L	\N	\N	\N	\N	\N	\N	\N	\N	020010	002689	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9624	TRAVESSA RAIMUNDO PINHEIRO	004783	TRAVESSA	\N	M05	\N	\N	\N	\N	\N	\N	RUA SÃO FRANCISCO	\N	\N	TRAV. NOVA FRIBURGO	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9625	SD	040573	RUA	\N	M05	L-O	\N	\N	\N	\N	\N	TRAV. LAGO VERDE	\N	\N	TRAV. FRANCISCO MACHADO	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9626	SD	040572	RUA	\N	M05	N-S	\N	\N	\N	\N	\N	RUA FRANCISCO MACHADO	\N	\N	DRENO/VALA	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9627	TRAVESSA SÃO FRANCISCO	023122	TRAVESSA	SÃO	M05/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9628	RUA JOÃO DAMASCENO	004132	RUA	\N	M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9629	RUA RENÉ DESCARTES	009253	RUA	\N	M05	O-L	\N	\N	\N	\N	\N	\N	\N	\N	023891	002689	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9630	AVENIDA 1	020012	AVENIDA	\N	M05	O-L	\N	\N	\N	\N	\N	\N	\N	\N	020010	002689	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9632	RUA ITATIAIA	006515	RUA	\N	M05/N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9634	RUA REV. OSMAR LIMA	006798	RUA	REVERENDO	M05/M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM/CANINDEZINHO	\N	\N
9637	TRAVESSA NOVA FRIBURGO	020348	TRAVESSA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM	\N	\N
9644	RUA SÃO FELIPE	006800	RUA	SÃO	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9645	TRAVESSA J. PEREIRA	023389	TRAVESSA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9646	RUA DOS TREVOS ITATIAIA	024482	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9649	RUA ITAJEU	009127	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9650	RUA NITERÓI	009163	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9651	SD	040582	RUA	\N	M06	L-O	\N	\N	\N	\N	\N	CERCA	\N	\N	RUA 104	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9652	RUA RAIMUNDO MARQUES	020010	RUA	\N	M06/N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9654	RUA PEDRO CARDOSO DE SALES	008135	RUA	\N	M06	O-L	\N	\N	\N	\N	\N	\N	\N	\N	020006	002689	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9655	RUA JOÃO FAUSTINO RIBEIRO	006793	RUA	\N	M06	O-L	\N	\N	\N	\N	\N	\N	\N	\N	020006	002689	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9656	RUA J. PEREIRA	023390	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9657	RUA SÃO TIMÓTEO	024466	RUA	SÃO	M06/N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO/SABIAGUABA	\N	\N
9658	RUA ALVES DE SOUZA	020006	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9659	RUA HUMBERTO DE ALMEIDA	008050	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9660	RUA CAROLINA DE ANDRADE	022711	RUA	DOUTOR	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9661	SD	040579	RUA	\N	M06	N-S	\N	\N	\N	\N	\N	SD (040577)	\N	\N	RUA RODRIGUES DE MEDEIROS	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9662	SD	040580	RUA	\N	M06	N-S	\N	\N	\N	\N	\N	RUA RODRIGUES DE MEDEIROS	\N	\N	RUA MONTE PASCOAL	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9663	RUA RODRIGUES DE MEDEIROS	020014	RUA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022566	020006	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9664	RUA MONTE PASCOAL	008429	RUA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	022834	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9665	TRAVESSA MONTE PASCOAL	023891	TRAVESSA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9667	RUA LAGO DO TANQUE	020504	RUA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007411	001398	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9675	TRAVESSA DR. ESTÊNIO GOMES	023006	TRAVESSA	DOUTOR	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9676	TRAVESSA RODRIGUES HOMERO	024292	TRAVESSA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	RIO MARANGUAPINHO	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9678	RUA SETEMBRINA	006689	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANCA	\N	\N
9679	RUA BRUMADO	006864	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANCA	\N	\N
9681	RUA PIRAJUÍ	009421	RUA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	002689	\N	\N	\N	\N	CANINDEZINHO / PARQUE SÃO JOSÉ	\N	\N
9683	TRAVESSA XIMENES	024609	TRAVESSA	\N	M06/K04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINH/GRANJA LISBOA	\N	\N
9685	TRAVESSA PALMEIRAS	024055	TRAVESSA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9686	SD	040577	RUA	\N	M06	L-O	\N	\N	\N	\N	\N	SD (040579)	\N	\N	RUA ALVES DE SOUZA	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9687	RUA 6	009177	RUA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	009228	000763	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9688	RUA 8	020092	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9689	RUA 7	020093	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9690	SD	040581	RUA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA DR. ESTÊNIO GOMES	RUA COSTA FREIRE	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9691	RUA SILVINO	006925	RUA	\N	M06/M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANCA/MANOEL SÁTIRO	\N	\N
9692	RUA 102	024639	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9693	RUA 101	024638	RUA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	CONFRONTO DO COND. SAGARANA	024639	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9695	RUA 104	007407	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9697	RUA COMENDADOR GARCIA	001398	RUA	COMENDADOR	M06	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9700	TRAVESSA JUSCELINO	023584	TRAVESSA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9701	TRAVESSA COMENDADOR GARCIA	023187	TRAVESSA	COMENDADOR	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003701	023584	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9703	TRAVESSA NOEL ROSA	023947	TRAVESSA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	023584	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9705	TRAVESSA JOSÉ LINO	023543	TRAVESSA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	023584	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9707	TRAVESSA DIAS GOMES	022896	TRAVESSA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	023187	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9708	TRAVESSA RODRIGUES ALVES	024291	TRAVESSA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	023187	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9709	TRAVESSA RODRIGUES JUNIOR	024293	TRAVESSA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	023187	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9710	RUA JOAQUIM ALFREDO	001857	RUA	\N	M06/M07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9711	RUA 5	022231	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9712	RUA 4	022210	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9713	RUA JOÃO ONOFRE	020098	RUA	\N	M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007050	000763	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9715	RUA JOÃO CAETANO	009228	RUA	\N	M06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9716	SD	040578	RUA	\N	M06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040577	RUA RODRIGUES DE MEDEIROS	\N	\N	\N	\N	CANINDEZINHO	\N	\N
9717	RUA BERNADINO CAMPOS	000532	RUA	\N	M07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	RIO MARANGUAPINHO	\N	\N	\N	\N	PARQUE SÃO JOSE	\N	\N
9720	SD	040586	RUA	\N	M07	N-S	\N	\N	\N	\N	\N	RUA DR. JOÃO AMORA	\N	\N	RUA CREUZA ROQUE	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9722	RUA PADRE RODOLFO (PERIMETRAL)	003111	RUA	PADRE	M07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000133	000763	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9724	RUA SÃO RAIMUNDO	005834	RUA	SÃO	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9725	TRAVESSA MÁRIO FILHO	023813	TRAVESSA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9727	TRAVESSA NOVA AURORA	023986	TRAVESSA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9728	RUA PEDRO JULIÃO	020071	RUA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9729	TRAVESSA SANTA AMÉLIA	022409	TRAVESSA	SANTA	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9730	TRAVESSA JARDIM SILVEIRA	020072	TRAVESSA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9731	AVENIDA CONTORNO SUL	006926	AVENIDA	\N	M07/N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO/CONJ ESPERANÇA	\N	\N
9732	RUA 107	022059	RUA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9733	RUA 106	022058	RUA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9734	RUA 105	022057	RUA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9735	AVENIDA CONTORNO OESTE	007411	AVENIDA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9736	TRAVESSA IGUAÇU	023313	TRAVESSA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9737	RUA 101	022053	RUA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9738	RUA 102	022054	RUA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9739	RUA 103	022055	RUA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9740	RUA 104	022056	RUA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9741	AVENIDA CONTORNO LESTE	006929	AVENIDA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9742	RUA MÁRIO FILHO	002361	RUA	\N	M07/N07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9744	RUA SÃO LÁZARO	002122	RUA	SÃO	M07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO DE FORMAÇÃO IRMÃOS MARISTAS	000763	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9745	RUA CREUZA ROQUE	002776	RUA	\N	M07	L-O	4595/75	17/11/75	\N	\N	\N	\N	\N	\N	002303	008339	\N	\N	\N	\N	MANOEL SÁTIRO	CIDADE DE HIDROLÂNCIA, RUA	CONFORME MATRICULA  Nº14.053 DO C.R.I  DA 3ª ZONA
9746	RUA SANTA MARLÚCIA	02373	RUA	PROFESSOR	M07	L-O	8547/2001	26/06/2001	\N	\N	\N	VIA FERREA	\N	RUA  SANTA LIDUINA	000133	PQ. STO. ANTÔNIO DO CENTRO DE FORMAÇÃO MARISTAS	\N	\N	\N	\N	MANOEL SÁTIRO	\N	INAUGURADA EM 2001 PELO PRFEEITO JURACI MAGALHÃES
9748	TRAVESSA VALDIR DIOGO	003680	TRAVESSA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9749	TRAVESSA GOIATUBA	023216	TRAVESSA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9750	TRAVESSA VÁRZEA	024520	TRAVESSA	\N	M07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	FECHADA	003680	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9751	TRAVESSA REJANE	005843	TRAVESSA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9753	TRAVESSA ABEL FERREIRA	022347	TRAVESSA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9754	TRAVESSA SANTA CARLOTA	022703	TRAVESSA	SANTA	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9756	TRAVESSA SÃO FRANCISCO	020099	TRAVESSA	SÃO	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9757	SD	040583	RUA	\N	M07	N-S	\N	\N	\N	\N	\N	CAMINHO	\N	\N	AV. CONTORNO SUL	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9758	TRAVESSA WALDIR DIOGO	003680	TRAVESSA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9760	SD	040584	RUA	\N	M07	N-S	\N	\N	\N	\N	\N	ÁRVORE/MATA	\N	\N	RUA CREUZA ROQUE	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9763	RUA LINDA BATISTA	023640	RUA	\N	M07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9765	SD	040585	RUA	\N	M07	L-O	\N	\N	\N	\N	\N	TRAV. WALDIR DIOGO	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9766	RUA ALFREDO MAMEDE	000133	RUA	\N	M07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9768	RUA FERNANDO F. DE MELO	002863	RUA	\N	M08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9771	TRAVESSA DA LAGOA	020073	TRAVESSA	\N	M08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9772	RUA DO CLUBE	005845	RUA	\N	M08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002303	PQ.  STO. ANTÔNIO DO CENTRO DE FORMAÇÃO MARISTAS	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9773	RUA WALDIR DIOGO	003679	AVENIDA	\N	M08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002303	000763	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9775	PRAÇA WENEFRIDO MELO	024604	PRAÇA	\N	M08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM  1	\N	\N
9777	TRAVESSA CREUZA ROQUE	020069	TRAVESSA	\N	M08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9778	RUA JOÃO AREAS	001780	RUA	\N	M08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
9779	SD	040587	RUA	\N	M08	N-S	\N	\N	\N	\N	\N	RUA CORONEL MANOEL ALBANO (COSTA E SILVA)	\N	\N	RUA CASTRO MEIRELES	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
9781	RUA 31 DE DEZEMBRO	003472	RUA	\N	M08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
9782	RUA ISAÍAS BEVILÁQUA	001687	RUA	\N	M08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MARAPONGA	\N	\N
9783	RUA JOSE ANTÔNIO ROSAS	023520	RUA	\N	M08	O-L	5062/78	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM  I	\N	\N
9784	RUA DEPUTADO MOREIRA DA ROCHA	002497	RUA	\N	M08	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM  I	\N	\N
9785	RUA TIBICUERAS	020210	RUA	\N	M08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM  I	\N	\N
9786	RUA MIRTIL MEYER	001611	RUA	\N	M08/N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM  I/MONDUBIM 2	\N	\N
9788	RUA FROTA	024651	RUA	\N	M08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9789	RUA MARIA JOSEFINA PESSOA	002344	RUA	\N	M08/M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2/JARDIM CEARENSE	\N	\N
9790	RUA EMÍLO SÁ	001169	RUA	\N	M08/M09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2/JARDIM CEARENCE	\N	\N
9792	RUA OVÍDIO NOGUEIRA	004700	RUA	\N	M08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9793	RUA BENJAMIM BRASIL	000522	AVENIDA	\N	M08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	CERCA DO LOTEAMENTO	VIA FERREA FORTALEZA-BATURITÉ	\N	\N	\N	\N	MARAPONGA / MONDUBIM 1	\N	\N
9794	RUA CLEMENTE E SILVA	000867	RUA	\N	M08/M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9795	RUA DR. RODRIGO SANDOVAL	003116	RUA	DOUTOR	M08	\N	4490/95	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9796	RUA CORONEL MANOEL ALBANO (COSTA E SILVA)	002280	RUA	CORONEL	M08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001444	CERCA DO LOTEAMENTO	\N	\N	\N	\N	MARAPONGA  / MONDUBIM 2	\N	\N
9799	RUA GENERAL ONOFRE	002662	RUA	GENERAL	M08/M09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9800	RUA GENERAL CORDEIRO NETO	009145	RUA	GENERAL	M08/O08	\N	2118/63	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9801	RUA GASTÃO JUSTA	001403	RUA	\N	M08/N08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9922	RUA 101	008370	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9803	TRAVESSA SÃO CLEMENTE	021305	TRAVESSA	SÃO	M08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9804	RUA JOAQUIM MOTA	007326	RUA	\N	M08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9805	RUA LEON GRADVOHL	002138	RUA	\N	M09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001597	000522	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9807	RUA JOÃO PRIMEIRO	008298	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9809	RUA 26º BATALHÃO	003613	RUA	DOUTOR	M09	N-S	8523/2000	27/12/2000	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	26  BATALHÃO	Lei específica  mudando o nome da rua 26 batalhão
9812	RUA RODRIGO SANDOVAL	003116	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9814	RUA CASTRO MEIRELES	002987	RUA	\N	M09	L-O	5007/78	02/05/78	\N	\N	\N	VIA FÉRREA	\N	PAULO MACHADO	VIA FÉRREA	MURO	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9816	RUA NOVA RESENDE	002602	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9818	RUA 10	008416	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9819	RUA 1	008407	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9820	RUA 2	008408	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9821	RUA 3	008409	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9822	RUA PAULO CÂNDIDO	002774	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9823	RUA SÃO JUDAS TADEU	000788	RUA	SÃO	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9826	RUA 9	008415	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9827	RUA 8	008414	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9828	RUA 7	008413	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9829	RUA 6	008412	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9830	RUA 5	008411	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9831	RUA 4	008410	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
9832	RUA JOAQUIM JERÔNIMO	001885	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE / MONDUBIM 2	\N	\N
9833	RUA OLGA ESPÍNDOLA	006560	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9834	RUA PROFESSOR MANDUCA	006565	RUA	PROFESSOR	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9835	TRAVESSA ALBERTO MONTE	021306	TRAVESSA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9836	TRAVESSA ANTÔNIO DIVINO	022452	TRAVESSA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9837	TRAVESSA MARAMBAIA	007597	TRAVESSA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9838	RUA CABRAL VERAS	000631	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9839	TRAVESSA ARAÚJO COSTA (BECO)	006661	TRAVESSA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9840	TRAVESSA JOINVILE	021263	TRAVESSA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9841	RUA ANTÔNIO DIVINO	004062	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9842	TRAVESSA MARCO CESAR	023772	TRAVESSA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9845	TRAVESSA FRANCISCO VASCONCELOS	021308	TRAVESSA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9846	TRAVESSA BOA VISTA	000707	TRAVESSA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9847	TRAVESSA BUARQUE DE MACEDO	008664	TRAVESSA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9848	RUA FRANCISCO VASCONCELOS	001363	RUA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9849	TRAVESSA ESPINOSA	020204	TRAVESSA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9850	TRAVESSA VAZ LOBO	024525	TRAVESSA	\N	M09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
9853	ESTRADA DA PAVUNA	005215	ESTRADA	\N	M10/O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	MONTE LÍBANO (CONFERIR)	\N
9855	RUA 14	022084	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9856	RUA P	024044	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9857	RUA Q	024208	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9858	AVENIDA II	020813	AVENIDA	\N	M10	L-O	\N	\N	\N	\N	\N	CERCA	\N	\N	RUA 1	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9859	RUA 15	006959	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9860	RUA 9	006967	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9861	RUA 10	006968	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9862	RUA 11	006971	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9863	RUA 12	006969	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9864	RUA 5	006960	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9865	RUA 8	006950	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9866	RUA 7	006940	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9867	AVENIDA I	009276	AVENIDA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9868	TRAVESSA BARAÚNA	022543	TRAVESSA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9871	TRAVESSA 15 DE ABRIL	022089	TRAVESSA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9872	RUA H	009275	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9873	RUA A	009293	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9875	RUA B	009269	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9876	RUA 6	006952	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9879	RUA C	009270	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9881	RUA 120	008386	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9882	RUA 116	008382	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9883	RUA 112	008378	RUA	\N	M10/M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9885	RUA 108	008374	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9886	RUA 115	008381	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9887	RUA 102	008367	RUA	\N	M10/M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9890	RUA E	009272	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9891	RUA L	009279	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9892	RUA M	009280	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9893	RUA D	009505	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9895	RUA G	009274	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9897	RUA I	023306	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9898	SD	040589	RUA	\N	M10/M11	L-O	\N	\N	\N	\N	\N	\N	\N	\N	AV. MOURA MATOS	RUA 8 (CONJ. RESIDENCIAL PLANALTO ITAPERI)	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9901	RUA 111	008377	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9902	RUA 109	008375	RUA	\N	M10/M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9903	RUA 110	008376	RUA	\N	M10/M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9904	RUA 106	008372	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9906	RUA 107	008373	RUA	\N	M10/M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9907	RUA F	009273	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9908	RUA N	009281	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9913	RUA 105	008371	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9914	RUA 114	008380	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9915	RUA 122	008387	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9916	RUA G	023179	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9921	RUA 104	008369	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9923	SD	040591	RUA	\N	M11	N-S	\N	\N	\N	\N	\N	RUA 102 (CONJ. RESIDENCIAL TUPAN MIRIN II)	\N	\N	RUA DO MATADOURO	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9924	SD	040590	RUA	\N	M11	L-O	\N	\N	\N	\N	\N	RUA I (LOT. EXPEDICIONÁRIOS)	\N	\N	EDIFICAÇÕES	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
9925	RUA 13	022075	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9926	RUA 14	022083	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9927	RUA 15	022087	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9928	RUA DO MATADOURO	007313	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS / PASSARÉ	\N	\N
9929	RUA 16	022091	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9930	RUA 12	022069	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9932	RUA MOURA MATOS	005656	RUA	\N	M11/N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ / PARQUE DOIS IRMÃOS	\N	\N
9933	RUA 11	022065	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9934	RUA 10	022043	RUA	\N	M11/N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9935	RUA 9	022292	RUA	\N	M11/N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9936	RUA 8	022276	RUA	\N	M11/N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9937	RUA 7	022259	RUA	\N	M11/N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9938	RUA 6	022243	RUA	\N	M11/N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9939	RUA 5	022223	RUA	\N	M11-N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9940	RUA 4	022200	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9941	RUA 3	022165	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9942	AVENIDA DOS PAROARAS	002757	AVENIDA	\N	M11/N12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9943	RUA PAU FERRO	009304	RUA	\N	M11	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9944	RUA JOAQUIM MARTINS	023474	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9946	RUA JOSE FERNANDES DE SOUSA (RUA F)	023537	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9947	RUA ANTÔNIO JURACY RICARTY (RUA E)	020061	RUA	\N	M11/N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9948	RUA DANIEL FURTUOSO DE PAULA (RUA D)	021388	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9949	RUA PADRE CÍCERO (RUA C)	005254	RUA	PADRE	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9951	AVENIDA HERÓIS DO ACRE	001587	AVENIDA	\N	M11/M12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9952	AVENIDA PALESTINA	002728	AVENIDA	\N	M11/M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9953	RUA JATOBÁS	001766	RUA	\N	M11	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9954	TRAVESSA JATOBÁ	021380	TRAVESSA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9955	RUA JOSEFA CARMÉLIA DE LOURDES	023561	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9956	RUA DR. JÚLIO JORGE VIEIRA	023577	RUA	DOUTOR	M11/N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9958	RUA DESEMBARGADOR ARMANDO LOUZADA	006361	RUA	DESEMBARGADOR	M11	N-S	5224/79	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9959	RUA DOS SABIAS	003174	RUA	\N	M11/N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9960	RUA DAS AROEIRAS	000391	RUA	\N	M11/ N11	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9961	RUA DOS MANDACARÚS	002272	RUA	\N	M11	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9962	RUA DESEMBARGADOROTACÍLIO PEIXOTO	007714	RUA	DESEMBARGADOR	M11/M12	L-O	5224/79	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9963	TRAVESSA ALMOFALA	006379	TRAVESSA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9964	RUA BATISTA RIOS	022556	RUA	\N	M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9965	RUA DR. EDUARDO DIAS	006363	RUA	DOUTOR	M11	N-S	5224/79	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9966	RUA PROFº. ODÍLIO FILHO	006367	RUA	PROFESSOR	M11/M12	L-O	5224/1979	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9967	RUA OITICICAS	002630	RUA	\N	M11/M12	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9969	RUA TENENTE BEZERRA	006364	RUA	TENENTE	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9971	RUA 1	007556	RUA	\N	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9972	RUA 2	006964	RUA	\N	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9974	RUA 4	021375	RUA	\N	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9978	RUA DAS CARNAÚBAS	000741	RUA	\N	M12/N11	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9979	RUA 3	008380	RUA	\N	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9980	AVENIDA PRUDENTE BRASIL	002950	AVENIDA	\N	M12/N12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9984	RUA 5	008310	RUA	\N	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9989	RUA ANTÔNIO FERREIRA	005887	RUA	\N	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9990	RUA FISCAL ASSIS SARAIVA	005886	RUA	FISCAL	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
9998	SD	040594	RUA	\N	M12	N-S	\N	\N	\N	\N	\N	RUA 4	\N	\N	AV. HERÓIS DO ACRE	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
9999	SD	040592	RUA	\N	M12	L-O	\N	\N	\N	\N	\N	AV. PADARIA ESPIRITUAL	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10001	RUA RECANTO DO PASSARÉ	009324	RUA	\N	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10002	TRAVESSA PACATA	024047	TRAVESSA	\N	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10003	RUA BENVINDA	005680	RUA	\N	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10004	SD	040593	RUA	\N	M12	N-S	\N	\N	\N	\N	\N	CERCA	\N	\N	AV. HERÓIS DO ACRE	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10005	RUA 02 DE ABRIL	005952	RUA	\N	M12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10007	RUA PACATA	007323	RUA	CEL.	M12	N-S	8311/1999	05/10/1999	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	PACATA	\N
10008	AVENIDA PADARIA ESPIRITUAL	002721	AVENIDA	\N	M12/O12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10009	RUA PROFESSOR JOSÉ SILVEIRA	002023	RUA	PROFESSOR	M12/N13	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10010	RUA PEDRO VERÍSSIMO	002831	RUA	\N	M12/N12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10012	SD	040598	RUA	\N	M13	L-O	\N	\N	\N	\N	\N	RUA B	\N	\N	SD (040595)	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10013	SD	040601	RUA	\N	M13	L-O	\N	\N	\N	\N	\N	SD (040595)	\N	\N	RIO COCÓ	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10014	RUA 1º DE ABRIL	004670	RUA	\N	M13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10017	AVENIDA DEPUTADO PAULINO ROCHA	006492	AVENIDA	DEPUTADO	M13/N14	O-L	5259/80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA/CAJAZEIRAS	\N	possiveis erros de numeração dos imóveis
10018	RUA PEDRO SAMPAIO	004660	RUA	\N	M13/N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA/PASSARÉ	\N	\N
10019	RUA 30 DE ABRIL	009225	RUA	\N	M13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10020	TRAVESSA 30 DE ABRIL	022184	TRAVESSA	\N	M13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10021	RUA DO CONTORNO	022798	RUA	\N	M13/N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA/PASSARÉ	\N	\N
10023	SD	040600	RUA	\N	M13	L-O	\N	\N	\N	\N	\N	RUA D	\N	\N	RUA INÊS BRASIL	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10024	SD	040599	RUA	\N	M13	L-O	\N	\N	\N	\N	\N	RUA INÊS BRASIL	\N	\N	RUA B	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10026	RUA A	022302	RUA	\N	M13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
10029	ALAMEDA RITA FARIAS	021724	ALAMEDA	\N	M13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
10030	RUA INÊS G. BRASIL	006943	RUA	\N	M13	N-S	6273/88	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
10032	RUA D	006944	RUA	\N	M13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
10033	RUA ADÉLIA FEIJÓ	006937	RUA	\N	M13	O-L	6275/1988	\N	\N	\N	\N	AV. ALBERTO CRAVEIRO (000094)	\N	\N	RUA R (024215)	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
10034	RUA E	006945	RUA	\N	M13	N-S	1207/92	\N	10078/97	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	E-LOT. ESPLANADA DO CASTELÃO )	\N
10035	RUA F	006946	RUA	\N	M13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
10037	RUA G	006947	RUA	\N	M13	N-S	8688/2002	31/12/2002	11512/2003	04/11/2003	006948	GEORGIA BEZERRA SABÓIA	006492	Av. Dep. Paulino Rocha	\N	\N	553794	9579566	553441	9578873	MATA GALINHA	G e Q  LOT  ESPLANADACASTELÃO)	\N
10038	SD	040603	RUA	\N	M13	N-S	\N	\N	\N	\N	\N	RUA H	\N	\N	RUA CASTELÃO	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10039	RUA N	006933	RUA	\N	M13/N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
10040	RUA H	006948	RUA	\N	M13	\N	8364/99	28/10/1999	10764/00	02/06/2000	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	H  LOT ESPLANADA DOCASTELÃO)	ir a campo conferir  numeração
10041	RUA O	006934	RUA	\N	M13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
10042	SD	006939	RUA	\N	M13	O-L	6222/1987	\N	\N	\N	\N	AV. ALBERTO CRAVEIRO	\N	\N	\N	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10043	SD	040596	RUA	\N	M13	N-S	\N	\N	\N	\N	\N	SD (040595)	\N	\N	AV. ADÉLIA FEIJÓ	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10044	SD	040595	RUA	\N	M13	L-O	\N	\N	\N	\N	\N	RUA C	\N	\N	RUA H	\N	\N	\N	\N	\N	CASTELÃO	\N	\N
10045	RUA CANAMARIM	008314	RUA	\N	M13/N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
10046	RUA A	022301	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10047	RUA H	023253	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10048	RUA G	023165	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10049	RUA F	023028	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10050	RUA E	022931	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10051	RUA D	022850	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10052	RUA C	022624	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10053	RUA B	009626	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10055	RUA ENGENHEIRO HENRIQUE MORIZ	008348	RUA	ENGENHEIRO	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10057	RUA OTÍLIA CARVALHO	002705	RUA	\N	M14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10058	RUA ROSA FIALHO	005615	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10059	RUA HUMBERTO TEIXEIRA	005796	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	possiveis erros de numeração
10060	SD	040604	RUA	\N	M14	L-O	\N	\N	\N	\N	\N	RUA CORONEL ZACARIAS FRANÇA	\N	\N	AV. DEP. PAULINO ROCHA	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10061	RUA FRANCISCA NOGUEIRA RAMOS	006110	RUA	\N	M14	N-S	6646/1990	06/06/1990	\N	\N	\N	RUA 01 DO CONJ. PQ RESIDENCIAL PRIMAVERA	\N	RUA CEL. ZACARIAS DE FRANÇA	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	RUA 3 DO CONJUNTO  PROLONGANDO ATE A RUA CEL ZACARIAS DE FRANÇA	\N
10062	RUA LUIS SARAIVA	002239	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10065	RUA BARÃO DE GRAJAÚ	009591	RUA	BARÃO	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10066	RUA GREGÓRIO FRANÇA	001498	RUA	\N	M14	L-O	1671/60	16/12/1960	\N	\N	\N	PRAÇA ZACARIAS FRANÇA	\N	RUA DO CAZUMBA	006492	007189	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10067	\N	\N	RUA	\N	M14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10068	RUA CORONEL ZACARIAS FRANÇA	006118	RUA	CORONEL	M14/M15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10070	BR - 116	007189	RODOVIA	\N	M14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10071	RUA SÃO DIOGO	006107	RUA	SÃO	M14	O-L	\N	\N	\N	\N	\N	\N	\N	\N	006110	007189	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10073	TRAVESSA ROSA VIRGÍNIA	024307	TRAVESSA	\N	M14/M15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10074	RUA ROSA VIRGÍINIA	006108	RUA	\N	M14	L-O	1671/60	16/12/1960	\N	\N	\N	ENFERMEIRO PINTO	\N	ET. DA MARIA VIEIRA	006110	007189	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10075	TRAVESSA SENHORINHA SARAIVA	007727	TRAVESSA	\N	M15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	003662	001477	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
10675	SD	040655	RUA	\N	N08	N-S	\N	\N	\N	\N	\N	RUA FRANCISCO BENTO	\N	\N	RUA CARLOS PIMENTEL	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
11009	SD	040673	RUA	\N	N11	N-S	\N	\N	\N	\N	\N	CAMINHO	\N	\N	RUA NOSSA SENHORA AUXILIADORA	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10076	RUA ENF. JOAQUIM PINTO	006111	RUA	ENFERMEIRO	M14-15	 O-L	1671/1960	16/12/1960	\N	\N	\N	BR - 116	001477	AV. DESEMBARGADOR GONZAGA	\N	\N	9579792	555079	9579959	555810	PARQUE IRACEMA/CIDADE DOS FUNCIONÁRIOS	Na cartografia .consta Rua EnfºJoaquim Pinto	 DEN. OFICIAL É APENAS  DO LADO OESTE DA BR 116 -Trecho na cartog. Rua Rosa Filho / DesEmb. Gonzaga.
10077	RUA ROSA REGINA	005598	RUA	\N	M15	O-L	\N	\N	\N	\N	006111	RUA ENFERMEIRO PINTO	\N	VEGETAÇÃO	\N	\N	9579815	555211	9579802	555315	PARQUE IRACEMA	\N	\N
10078	BR - 116	007189	RODOVIA	\N	M15/N15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10080	RUA SARGENTO SERPA	006073	RUA	SARGENTO	M15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	006110	007189	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10082	RUA M. NOGUEIRA DE FRANÇA	021770	RUA	\N	M15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
10084	RUA LO 1	008194	RUA	\N	M15	\N	\N	\N	\N	\N	008192	RUA NS 05	008193	RUA NS 06	\N	\N	9579677	555608	9579639	555567	PARQUE IRACEMA	\N	\N
10085	RUA NS 6	008193	RUA	\N	M15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10088	TRAVESSA BARRETO	005567	TRAVESSA	\N	M15	O-L	\N	\N	\N	\N	\N	BR 116	\N	MURO	000816	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10089	RUA NS 5	008192	RUA	\N	M15	\N	\N	\N	\N	\N	\N	RUA LO 1	008196	RUA JOÃOZITO ARRUDA	\N	\N	9579677	555608	9579544	555704	PARQUE IRACEMA	\N	\N
10090	RUA NS 4	008191	RUA	\N	M15	\N	\N	\N	\N	\N	\N	ENTRE O L-18 DA Q-05 E O L- 32 DA Q- 04	008196	RUA JOÃOZITO ARRUDA	\N	\N	9579727	555653	9579590	555746	PARQUE IRACEMA	\N	\N
10091	RUA NS 3	008190	RUA	\N	M15	\N	\N	\N	\N	\N	\N	ENTRE O L-15 DA Q-04 E O L- 27 DA Q- 03	008196	RUA JOÃOZITO ARRUDA	\N	\N	9579769	555698	9579653	555782	PARQUE IRACEMA	\N	\N
10092	RUA NS 2	008189	RUA	\N	M15	\N	\N	\N	\N	\N	\N	ENTRE O L-13 DA Q-03 E O L-23 DA Q- 02	008196	RUA JOÃOZITO ARRUDA	\N	\N	9579814	555747	9579715	555818	PARQUE IRACEMA	\N	\N
10093	RUA LO 3	008196	RUA	\N	M15	O-L	8386/1999	30/11/1999	10757/2000	18/05/2000	\N	ENTRE AS QUADRAS 08 E 09	001477	AV. DESEMBARDADOR GONZAGA	\N	\N	\N	\N	9579838	555891	PARQUE IRACEMA	LO O3 -RESIDENCIAL CAZAJEIRAS	NO DECRETO O INÍCIO  ESTÁ ENTRE AS QD.08 E 09.
10094	SD	040608	RUA	\N	M15/M16	O-L	\N	\N	\N	\N	\N	RUA CONEGO BRAVEZA	\N	\N	SD (040607)	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10097	RUA NS 1	008188	RUA	\N	M15	\N	\N	\N	\N	\N	\N	ENTRE O L-11 DA Q-02 E O L-21 DA Q- 01	008196	RUA JOÃOZITO ARRUDA	\N	\N	9579862	555791	9579773	555855	PARQUE IRACEMA	\N	\N
10099	RUA CONEGO BRAVEZA	000613	RUA	CÔNEGO	M15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10100	SD	040609	RUA	\N	M15	O-L	\N	\N	\N	\N	\N	SD (040607)	\N	\N	CAMINHO	\N	\N	\N	\N	\N	PARQUE IRACEMA/CAMBEBA	\N	\N
10101	RUA FARIAS LEMOS	001246	RUA	\N	M15/N15	N-S	1671/60	16/12/1960	\N	\N	\N	EDIFICAÇÃO	001376	RUA FREDERIDO SEVERO	RUA LEÃO VELOSO	RUA NICOLAU COELHO	9579108	555942	9577976	556432	PARQUE IRACEMA/MESSEJANA	\N	\N
10102	TRAVESSA CHAVES	024570	TRAVESSA	\N	M15	O-L	\N	\N	\N	\N	001246	RUA FARIAS LEMOS	\N	Q -02 DO LOTEAMENTO PARQUE BOA ESPERANÇA	\N	\N	9579067	555959	9579087	556009	PARQUE IRACEMA	\N	\N
10104	RUA MARECHAL LOTT	005594	RUA	MARECHAL	M15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10105	RUA ADEMAR DE CASTRO	006529	RUA	\N	M15	O-L	\N	\N	\N	\N	000613	RUA CÔNEGO BRAVEZA	000825	RUA CHICO LEMOS	\N	\N	9579779	556007	9579842	556152	PARQUE IRACEMA	\N	\N
11047	RUA 101 (CONJ. PASARÉ II)	008157	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10106	TRAVESSA ADEMAR DE CASTRO	000082	TRAVESSA	\N	M15	N-S	\N	\N	\N	\N	006529	RUA ADEMAR DE CASTRO	\N	SD	\N	\N	9579814	556090	9579739	556105	PARQUE IRACEMA	\N	\N
10107	SD	040605	RUA	\N	M15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AV. DESEMB. GONZAGA	RUA GREGÓRIO DE FRANÇA	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10108	RUA L6	023603	RUA	\N	M15/M16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE IRACEMA/CAMBEBA	\N	\N
10109	SD	040606	RUA	\N	M15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	SD (040608)	RUA ADOALDO BATISTA	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10110	RUA N7	023919	RUA	\N	M15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10111	RUA FAUSTO AGUIAR	001249	RUA	\N	M15/N16	N-S	1671/60	16/12/1960	\N	\N	005494	RUA ALÓDIA	003290	RUA SILVEIRA DA MOTA	\N	\N	9579223	556160	9578527	556445	PARQUE IRACEMA/MESSSEJANA/CAMBEBA	\N	\N
10112	RUA ALÓDIA	005494	RUA	\N	M15	O-L	1671/1960	16/12/1960	\N	\N	001249	RUA FAUSTO AGUIAR	000053	RUA ADOALDO BATISTA	\N	\N	9579223	556160	9579273	556275	PARQUE IRACEMA	\N	\N
10113	BECO EVARISTO DA VEIGA	023022	BECO	\N	M15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10114	RUA EVARISTO DA VEIGA	001232	RUA	\N	M15/N16	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	RUA HOMEM DE MELO	RUA LEÃO VELOSO	RUA NICOLAU COELHO	\N	\N	9578283	556432	PARQUE IRACEMA/MESSEJANA	\N	Na Lei, esta Rua se inicia na Rua Leão Veloso e termina na Rua Homem de Melo.
10115	RUA NEWTON CRAVEIRO	002555	RUA	\N	M15/N15	O-L	1671/60 E 	16/12/1960	\N	\N	\N	BR - 116	023549	RUA JOSÉ MAURÍCIO	\N	VEGETAÇÃO	9578939	555457	\N	\N	PARQUE IRACEMA	\N	Na Lei, esta Rua termina na Rua Carmelita.
10117	AVENIDA VIENA WEYNE	006299	AVENIDA	\N	M15/M16	O-L	5510/81	\N	\N	\N	006309	AV. DEP. JOAQUIM FIGUEIREDO CORREIA	008100	AV. DR JOSÉ FURTADO	\N	\N	9579970	556248	9579870	556813	CAMBEBA/CIDADE DOS FUNCIONARIOS	02  AV- LOT. LAGO JACAREY	\N
10119	RUA DES. JOSÉ GIL DE CARVALHO	002604	RUA	DESEMBARGADOR	M15/M16	O-L	5472/81	\N	5472/81	\N	006309	AV. DEPUTADO JOAQUIM FIGUEIREDO CORREIA	006312	AV. PEDRO LAZAR	\N	\N	9579892	556222	9579693	556831	CAMBEBA	9 DO LOT. JACAREY	Na Lei, esta Rua se inicia na Praça da Reversão
10120	RUA PROF. ALDACY BARBOSA	006297	RUA	PROFESSOR	M15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10121	RUA DOUTOR WALTER PORTO	006194	RUA	DOUTOR	M15/M16	L-O	5649/82	\N	\N	\N	\N	ENTRE AS Q-II E III DO LOTEAMENTO SÍTIO JACAREY	006312	AV. PEDRO LAZAR	\N	\N	9579768	556135	9579535	556845	CAMBEBA/PARQUE IRACEMA	7 - LOT. SÍTIO JACAREY	\N
10122	SD	040607	RUA	\N	M15	N-S	\N	\N	\N	\N	\N	RUA WALTER PORTO	\N	\N	RUA ADOALDO BATISTA	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10123	SD	040610	RUA	\N	M15	O-L	\N	\N	\N	\N	\N	RUA L6	\N	\N	SD (040606)	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10125	RUA ADOALDO BATISTA	000053	RUA	\N	M15	N-S	1671/1960	16/12/1960	\N	\N	005494	RUA ALÓDIA	002887	AV. MINISTRO JOSÉ AMÉRICO  (RUA PIRES MOTA )	\N	RUA ALMEIDA REGO	9579273	556275	9578708	556529	PARQUE IRACEMA/CAMBEBA	\N	Na Lei, esta Rua termina na Rua Pires Mota que é a atual Av. Ministro José América.
10126	RUA LEÃO VELOSO	002128	RUA	\N	M15/N15	O-L	1671/60	16/12/1960	\N	\N	000367	RUA ARAÚJO TORRÃO	023549	RUA JOSÉ MAURÍCIO	\N	RUA CARMELITA	9578792	555805	9579144	556597	PARQUE IRACEMA	\N	Na Lei, esta Rua termina na Rua Carmelita.
10133	SD	040615	RUA	\N	M16	O-L	\N	\N	\N	\N	\N	RUA ADOALDO BATISTA	\N	\N	RUA LEÃO VELOSO	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10134	SD	040614	RUA	\N	M16	N-S	\N	\N	\N	\N	\N	RUA NEWTON CRAVEIRO	\N	\N	RUA LEÃO VELOSO	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10135	TRAVESSA NEWTON CRAVEIRO	023940	TRAVESSA	\N	M16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10136	RUA JOSÉ MAURÍCIO	023549	RUA	\N	M16 /M04	N-S	\N	\N	\N	\N	\N	CERCA DO LOTEAMENTO PARQUE BOA ESPERANÇA	002887	AV. MINISTRO JOSÉ AMÉRICO	\N	\N	9579233	556557	9579075	556626	PARQUE IRACEMA/SIQUEIRA	\N	\N
10139	SD	040611	RUA	\N	M16	O-L	\N	\N	\N	\N	\N	CONSTRUÇÃO/FUNDAÇÃO/RUÍNA	\N	\N	RUA CRISANTO MOREIRA	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10141	RUA CARLOS BRAGA	006314	RUA	\N	M16	N-S	1041/56	\N	\N	\N	\N	PRAÇA DE REVERSÃO (LOTE 11 E 25 DA Q-E)	006194;	RUA WALTER PORTO	\N	\N	9579781	556698	9579608	556624	CAMBEBA	D 2 - LOT SITIO JACAREI	\N
10669	RUA CHICO MENDES	024653	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10670	RUA DOM OSCAR ROMERO	024027	RUA	DOM	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10671	RUA 11	008976	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10672	RUA 14	008979	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10673	ALAMEDA VERDE 9	008975	ALAMEDA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10674	RUA 12	008977	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11010	RUA GIOVANI BATISTA MONTINI	005653	RUA	\N	N11/O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
11014	RUA J	023367	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11015	RUA G	023173	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11016	RUA F	023036	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11017	RUA MARIA MIRTES PEREIRA	009502	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11020	SD	040675	RUA	\N	N11	N-S	\N	\N	\N	\N	\N	RUA MENOR GERÔNIMO	\N	\N	SD (040677)	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
11021	RUA ELDORADO	004655	RUA	\N	N11/N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11022	AVENIDA ARGENTINA P. TORRES	000767	AVENIDA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11023	RUA E	022937	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11024	RUA D	022863	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11025	AVENIDA CENTRAL	009568	AVENIDA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11026	RUA 28 DE AGOSTO	020022	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11027	AVENIDA 2 DE MAIO	009773	AVENIDA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11028	RUA H	023262	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11029	RUA BARÃO SANTO ÂNGELO	007475	RUA	BARÃO	N11/O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
11030	RUA I	023304	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11032	RUA C	022638	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11033	RUA B	022518	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11034	RUA A	022318	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11035	AVENIDA DA SAUDADE	005641	AVENIDA	\N	N11/N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11037	SD	040677	RUA	\N	N11	L-O	\N	\N	\N	\N	\N	SD (040676)	\N	\N	SD (040675)	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
11046	SD	040682	RUA	\N	N12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA REGINA DE FÁTIMA	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11048	RUA 100 (CONJ. PASARÉ II)	008156	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11049	RUA 102 (CONJ. PASARÉ II)	008158	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11050	RUA 103 (CONJ. PASARÉ II)	008159	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11051	RUA 104 (CONJ. PASARÉ II)	008160	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11053	RUA 8 (CONJ. JARDIM CASTELÃO)	008881	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11054	RUA 7 (CONJ. JARDIM CASTELÃO)	007493	RUA	\N	N12/O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11055	RUA 10 (CONJ. JARDIM CASTELÃO)	008883	RUA	\N	N12/O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11056	RUA 9 (CONJ. JARDIM CASTELÃO)	008882	RUA	\N	N12/O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11058	RUA SANTO TOMAZ DE AQUINO	004667	RUA	SANTO	N12/N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11059	RUA A (CONJ. BARROSO II)	021732	RUA	\N	N12/O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11061	RUA C (CONJ. BARROSO II)	022630	RUA	\N	N12/N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11062	RUA D (CONJ. BARROSO II)	009783	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11063	RUA E (CONJ. BARROSO II)	009571	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11064	RUA F (CONJ. BARROSO II)	004663	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11065	RUA G (CONJ. BARROSO II)	000890	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11066	RUA H (CONJ. BARROSO II)	023257	RUA	\N	N12/O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11067	RUA N (CONJ. BARROSO II)	023913	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11068	RUA X (CONJ. BARROSO II)	022040	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11069	RUA V  (CONJ. BARROSO II)	024505	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11070	RUA REGINA DE FÁTIMA	000842	RUA	\N	N12/N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11071	TRAV. 1 (CONJ. BARROSO II)	022004	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11072	TRAV. 2 (CONJ. BARROSO II)	022109	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11073	TRAVESSA 3 (CONJ. BARROSO II)	022159	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11074	TRAVESSA 4 (CONJ. BARROSO II)	022192	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11075	TRAVESSA 5 (CONJ. BARROSO II)	022218	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11076	TRAVESSA 6 (CONJ. BARROSO II)	022239	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11077	TRAVESSA 7 (CONJ. BARROSO II)	022254	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11078	TRAVESSA 8 (CONJ. BARROSO II)	022271	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11079	TRAVESSA 10 (CONJ. BARROSO II)	022039	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11080	TRAV. 11 (CONJ. BARROSO II)	022061	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11081	RUA I (CONJ. BARROSO II)	023302	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11082	RUA M (CONJ. BARROSO II)	023698	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11083	RUA L (CONJ. BARROSO II)	009730	RUA	\N	N12/O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11086	RUA CACHOEIRINHA	004668	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11087	RUA PE. AROLDO	022482	RUA	PADRE	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11088	RUA ROSA DA FONSECA	024305	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11089	RUA CHICO MENDES	022744	RUA	\N	N12/Q12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021094	006143	\N	\N	\N	\N	PASSARÉ/CONJ. PALMEIRAS	\N	\N
11090	TRAVESSA G (CONJ. 24 DE MARÇO)	023166	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11091	TRAVESSA PEQUENA	024151	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11092	TRAVESSA BENGUI I	022575	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11093	TRAVESSA BENGUI II	022576	TRAVESSA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11094	RUA MARIA ANALIA	004669	RUA	\N	N12/N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11096	SD	040681	RUA	\N	N12	N-S	\N	\N	\N	\N	\N	RUA MARTA ANALTA	\N	\N	RUA REGINA DE FÁTIMA	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11098	RUA PROFESSOR MOREIRA DE SOUSA	004662	RUA	PROFESSOR	N12/N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11099	RUA BELLOS PORTOS	004665	RUA	\N	N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11100	RUA CRISTAIS PAULISTA	004666	RUA	\N	N12/O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11201	TRAVESSA J. GENTIL	023386	TRAVESSA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11202	RUA TRAJANO DE MORAES	004671	RUA	\N	N13/O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11203	RUA DR. ANTÔNIO LUSTOSA	020053	RUA	DOUTOR	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11204	RUA CRISANTO ARRUDA	000959	RUA	\N	N13	N-S	4330/74	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11206	RUA AMANCIO PEREIRA	005658	RUA	\N	N13/O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11208	SD	040686	RUA	\N	N13/O13	N-S	\N	\N	\N	\N	\N	RUA E	\N	\N	RUA A (CONJ. BARROSO II)	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10142	AVENIDA PEDRO LAZAR	006312	AVENIDA	\N	M16	N-S	5500/81	\N	\N	\N	006299	AV. VIENA WEYNE	002887	AV. MINISTRO JOSÉ AMÉRICO	\N	\N	9579870	556813	9579113	556730	PARQUE IRACEMA/CAMBEBA	1  AV   -LOT. SÍTIO JACAREY - AV.	Na Lei, esta Rua tem inicio na Rua H e fim  entre as Quadras VI e VII do loteamento Sitio Jacarey
10144	AVENIDA MINISTRO JOSÉ AMÉRICO	002887	AVENIDA	MINISTRO	M16/N17	\N	5361/80	\N	\N	\N	000854	AV. FREI CIRILO	003690	AV. WASHINGTON SOARES	\N	\N	9578577	555609	9578604	557839	PARQUE IRACEMA/CAMBEBA	\N	\N
10146	RUA SENADOR PAULA PESSOA	006306	RUA	SENADOR	M16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10148	RUA HOMERO CASTELO BRANCO	006296	RUA	\N	M16	O-L	6616/90	25/04/90	8585/91	22/08/91	006312	AV. PEDRO LAZAR	\N	PRAÇA DE REVERSÃO (NO LOTE 26 DA Q-O)	\N	\N	9579535	556845	9579463	557075	CAMBEBA	6 - LOT. SÍTIO JACAREY)	\N
10149	AVENIDA ENG. AGRÔNOMO JOSÉ GUIMARÃES DUQUE	009791	AVENIDA	ENGENHEIRO AGRÔNOMO	M16	O-L	5723/83	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE IRACEMA	\N	\N
10682	SD	040660	RUA	\N	N09	N-S	\N	\N	\N	\N	\N	AV. PRESIDENTE COSTA E SILVA	\N	\N	CERCA	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
10683	SD	040661	RUA	\N	N09	N-S	\N	\N	\N	\N	\N	SD (040657)	\N	\N	SD (040658)	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
10150	RUA 3	022156	RUA	MAGISTRADO	M16	O-L	7890/96	02/05/1996	10190/97	18/11/1997	\N	PRAÇA DE REVERSÃO(ENTRE OS L 41 E42 DA Q-K)	\N	PRAÇA DE REVERSÃO(ENTRE L13 Q-L E O L15 Q-M)	\N	\N	9579759	556870	9579539	557272	CAMBEBA	03 DO LOT. SÍTIO DO JACAREY	\N
10257	TRAVESSA SÃO LUCAS	021418	TRAVESSA	SÃO	M19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
10151	RUA PLÍNIO SALGADO	002903	RUA	\N	M16	N-S	4797/76	06/12/1976	12.048/06	20/06/2006	\N	PRAÇA DE REVERSÃO (LOTE 20B DA Q-I)	006302	RUA PROFº SOLON FARIAS	\N	\N	9579869	557268	9579577	557002	CAMBEBA	R 2 e D1-LOT. SÍTIO JACAREY	TRECHO ALTERADO ATRAVÉS DO DECRETO Nº 12.048/06
10152	AVENIDA CÂNDIDO PORTINARI	006315	AVENIDA	\N	M16	O-L	\N	\N	\N	\N	\N	\N	\N	\N	006299	005593	\N	\N	\N	\N	CAMBEBA	\N	\N
10153	SD	040613	RUA	\N	M16/N16	O-L	\N	\N	\N	\N	\N	AV. GAL. AFONSO ALBUQUERQUE	\N	\N	ÁRVORE	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10154	SD	040612	RUA	\N	M16	O-L	\N	\N	\N	\N	\N	AV. VIENA WEYNE	\N	\N	CAMINHO	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10155	RUA LUIS GIRÃO	005593	RUA	\N	M16	N-S	5609/82	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10156	RUA FRANCISCO PARACAMPOS	005582	RUA	\N	M16	O-L	\N	\N	\N	\N	005593	RUA LUÍS GIRÃO	003690	AV. WASHINGTON SOARES	\N	\N	9579964	557468	9579878	557832	CAMBEBA	\N	\N
10157	RUA DOUTOR JOAQUIM FROTA	005583	RUA	\N	M16-M17	O-L	5997/85	\N	\N	\N	005593	RUA LUIS GIRÃO	003690	AV. WASHINGTON SOARES	\N	\N	9579875	557444	9579784	557839	CAMBEBA	JOSÉ FROTA	SITIO CARRAPICHO -
10158	RUA CAIO MONTEIRO	022660	RUA	\N	M16	O-L	\N	\N	\N	\N	\N	\N	\N	\N	005593	003690	\N	\N	\N	\N	CAMBEBA	\N	\N
10159	RUA CRISANTO MOREIRA	022819	RUA	\N	M16/N16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10160	RUA CARRAPICHO	006432	RUA	\N	M16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10165	RUA CIRO MONTEIRO	006433	RUA	\N	M17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10166	RUA DO ANJO BRANCO	006432	RUA	\N	M17	O-L	\N	\N	\N	\N	000960	RUA CRISANTO MOREIRA DA ROCHA	003690	AV. WASHINGTON SOARES	\N	\N	9579655	557582	9579588	557856	CAMBEBA	\N	\N
10168	RUA CARRAPICHO	006432	RUA	\N	M17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10170	TRAVESSA TOMAZ	005548	TRAVESSA	\N	M17	N-S	\N	\N	\N	\N	\N	CAMINHO	\N	\N	RUA ANTÔNIO GENTIL	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10171	RUA AMÂNCIO VALENTE	005526	RUA	\N	M17	O-L	\N	\N	\N	\N	005548	TRAV. TOMÁS ILDEFONSO	003690	AV. WASHINGTON SOARES	\N	\N	9579090	557676	9579043	557903	CAMBEBA	\N	\N
10172	RUA RODOLFO BRAGA	024289	RUA	\N	M17/N17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
10176	RUA EDUARDO NOVAES	005566	RUA	\N	M17	O-L	\N	\N	\N	\N	\N	\N	\N	\N	003690	EDIFICAÇÃO	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
10188	RUA MAESTRO LISBOA	000891	RUA	MAESTRO	M17	O-L	5066/78	26/09/78	\N	\N	003690	AV. WASHINGTON  SOARES	023743	LAGOA REDONDA( AV RECREIO)	\N	\N	9579383	561146	9578788	565411	ALAGADIÇO NOVO/SAPIRANGA-COITÉ/LAGOA_REDONDA	\N	LEI EXPLICITA O COMEÇO, MAS O FIM  NÃO TEM DEFINIÇÃO EXATA, USAMOS O INICIO DA AV. COFECO COMO FIM
10200	RUA SÃO JOÃO DEL REI	008538	RUA	SÃO	M18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
10201	SD	040620	RUA	\N	M18	N-S	\N	\N	\N	\N	\N	TRAV. LUIZ GONZAGA	\N	\N	TRAV. BASTOS (ANTIGA ESTRADA DA COFECO)	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
10207	TRAVESSA CASTELO BRANCO	021422	TRAVESSA	\N	M18	N-S	\N	\N	\N	\N	022988	TRAV. ERNESTO MONTEIRO	022389	TRAV. DOM ALUÍSIO	\N	\N	9580005	559014	9579917	559017	SAPIRANGA/COITÉ	\N	\N
10208	TRAVESSA DOM ALUÍSIO	022389	TRAVESSA	DOM	M18	O-L	\N	\N	\N	\N	008538	RUA SÃO JOÃO DEL REY	008125	RUA SANDRA GENTIL	\N	\N	9579916	558972	9579924	559061	SAPIRANGA-COITÉ	\N	\N
10220	TRAVESSA LUIZ GONZAGA	021420	TRAVESSA	\N	M18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
10222	TRAVESSA TABAÍBA	021421	TRAVESSA	\N	M18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
10224	BECO PEDRO MIGUEL	024141	BECO	\N	M18	N-S	\N	\N	\N	\N	\N	RUA DR. JOAQUIM FROTA	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	\N	\N	9579934	559537	9579810	559540	SAPIRANGA/COITÉ	\N	\N
10230	RUA MARCELINO DE MELO	007604	RUA	\N	M18	N-S	\N	\N	\N	\N	\N	LAGOA DO SAPIRANGA	\N	ANTIGA ESTRADA DA COFECO	\N	\N	9579638	559752	9579160	559789	SAPIRANGA/COITÉ	\N	\N
10231	AVENIDA ODILON GUIMARÀES	007612	AVENIDA	\N	M18/P17	L-O	5655/1982	\N	\N	\N	000891	RUA MAESTRO LISBOA	003690	AV. WASHINGTON  SOARES	\N	CONFLUÊNCIA COM A AV. PERIMETRAL.	9579149	559818	9576896	557543	ALAGADIÇO NOVO/LAGOA REDONDA/GUAJERU/CURIO	\N	\N
10232	RUA MARIA GALDINO	005097	RUA	\N	M18	N-S	\N	\N	\N	\N	005157	RUA MANOEL BERNARDO	000891	RUA MAESTRO LISBOA	\N	\N	9579463	559845	9579158	559863	SAPIRANGA/COITÉ	\N	\N
10233	RUA RAIMUNDA GALDINO	021428	RUA	\N	M18	N-S	\N	\N	\N	\N	005157	RUA MANOEL BERNARDO	000891	RUA MAESTRO LISBOA	\N	\N	9579456	559865	9579162	559884	SAPIRANGA/COITÉ	\N	\N
10234	RUA LAURA BEZERRA	008174	RUA	\N	M18/M19	\N	\N	\N	\N	\N	007612	AV. ODILON GUIMARÃES	005775	RUA LUÍS ANDRÉ	\N	\N	9578998	559778	9579061	560131	LAGOA REDONDA	\N	\N
10235	RUA BENEDITO DE SENA	005123	RUA	\N	M18/M19	O-L	\N	\N	\N	\N	\N	LAGOA DA SAPIRANGA	\N	VEGETAÇÃO (LOTEAMENTO PARQUE LAGOA REDONDA)	\N	\N	9579797	559947	9579674	560300	SAPIRANGA/COITÉ	\N	\N
10236	TRAVESSA COMUNITÁRIA	005145	TRAVESSA	\N	M18/M19	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	005106	RUA JOSÉ JÚLIO FEITOSA	\N	\N	9579710	559914	9579628	560196	SAPIRANGA/COITÉ	\N	\N
10237	TRAVESSA CECÍLIA MEIRELES	021411	TRAVESSA	\N	M18	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	005106	RUA JOSÉ JÚLIO FEITOSA	\N	\N	9579620	559915	9579539	560166	SAPIRANGA/COITÉ	\N	\N
10238	TRAVESSA JOSÉ PEDRO	005099	TRAVESSA	\N	M18	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	005106	RUA JOSÉ JÚLIO FEITOSA	\N	\N	9579523	559916	9579460	560139	SAPIRANGA/COITÉ	\N	\N
10239	RUA MANOEL BERNARDO	005157	RUA	\N	M18/M19	O-L	\N	\N	\N	\N	005097	RUA MARIA GALDINO	005106	RUA JOSÉ JÚLIO FEITOSA	\N	\N	9579463	559845	9579371	560110	SAPIRANGA/COITÉ	\N	\N
10240	RUA TEODOLFO MAGALHÃES	024449	RUA	\N	M18/M19	O-L	\N	\N	\N	\N	\N	EDIFICAÇÕES	005106	RUA JOSÉ JÚLIO FEITOSA	\N	\N	9579343	559907	9579289	560083	SAPIRANGA/COITÉ	\N	\N
10241	RUA FRANCISCA BEZERRA	007451	RUA	\N	M18/M19	N-S	\N	\N	\N	\N	\N	LAGOA DA SAPIRANGA	000891	RUA MAESTRO LISBOA	\N	\N	9579892	560150	9579180	559958	SAPIRANGA/COITÉ	\N	\N
10242	RUA PAULO DE CASTRO	006868	RUA	\N	M18	N-S	\N	\N	\N	\N	000891	RUA MAESTRO LISBOA	008174	RUA LAURA BEZERRA	\N	\N	9579176	559943	9579031	559970	LAGOA REDONDA	\N	\N
10248	RUA JOSÉ JÚLIO FEITOSA	005106	RUA	\N	M19	N-S	6169/86	\N	\N	\N	005123	RUA BENEDITO DE SENA	000891	RUA MAESTRO LISBOA	\N	\N	9579706	560221	9579199	560055	SAPIRANGA/COITÉ	\N	\N
10250	RUA MARIA BASTOS	005776	RUA	\N	M19	N-S	\N	\N	\N	\N	000891	RUA MAESTRO LISBOA	008174	RUA LAURA BEZERRA	\N	\N	9579190	560019	9579046	560050	LAGOA REDONDA	\N	\N
10253	RUA CAPITÃO JOSÉ BEZERRA	005107	RUA	CAPITÃO	M19	N-S	\N	\N	\N	\N	\N	VEGETAÇÃO (LAGOA DA SAPIRANGA)	000891	RUA MAESTRO LISBOA	\N	\N	9579732	560445	9579230	560186	SAPIRANGA/COITÉ	\N	situada no loteamento parque lagoa redonda
10254	RUA PARAÍSO	008114	RUA	\N	M19	O-L	\N	\N	\N	\N	000891	RUA MAESTRO LISBOA	003134	RUA SÃO ROQUE	\N	\N	9579238	560227	9579199	560519	LAGOA REDONDA	\N	\N
10255	TRAVESSA PARAÍSO	021677	TRAVESSA	\N	M19	N-S	\N	\N	\N	\N	000891	RUA MAESTRO LISBOA	008114	RUA PARAÍSO	\N	\N	9579266	560360	9579175	560359	LAGOA REDONDA	\N	\N
10258	RUA SÃO ROQUE	005760	RUA	SÃO	M19/N19	N-S	\N	\N	\N	\N	000891	RUA MAESTRO LISBOA	009117	RUA FRANCISCO ANDRÉ	\N	\N	9579310	560575	9578722	560327	LAGOA REDONDA	\N	\N
10259	RUA JOÃO BEZERRA	005691	RUA	\N	M19/M20	O-L	\N	\N	\N	\N	005760	RUA SÃO ROQUE	003049	AV. RECREIO	\N	VEGETAÇÃO	9579106	560476	9579212	561291	LAGOA REDONDA	\N	\N
10677	RUA 6	020256	RUA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10678	RUA 5	020257	RUA	\N	N09-O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10679	AVENIDA DOS JANGADEIRO	001744	AVENIDA	\N	N09/O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10681	SD	040659	RUA	\N	N09	N-S	\N	\N	\N	\N	\N	SD (040657)	\N	\N	AV. PRESIDENTE COSTA E SILVA	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
10687	SD	040664	RUA	\N	N09	L-O	\N	\N	\N	\N	\N	ESTRADA DA PAVUNA	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
10688	AVENIDA 1 (ARVOREDO)	006840	AVENIDA	PREFEITO	N09-O09	N-S	DL 349/2008	20/11/2008	\N	\N	\N	PRES. COSTA E SILVA	\N	JUVENTUDE	\N	\N	\N	\N	\N	\N	MODUBIM II	01 - Av, (conj. ARVOREDO)	\N
10689	TRAVESSA JOANA D'ARC	021349	TRAVESSA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10690	TRAVESSA MAGALHÃES	021393	TRAVESSA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10691	TRAVESSA ITAPERY	021391	TRAVESSA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10692	TRAVESSA JOÃO GADELHA	023451	TRAVESSA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10693	RUA JOÃO GADELHA	005246	RUA	\N	N09	L-O	\N	\N	\N	\N	\N	AV. DOS EXPEDICIONÁRIOS	\N	\N	RUA AMÉRICO VESPÚCIO	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10694	RUA IMPERATRIZ	003783	RUA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10695	TRAVESSA FRANKLIN BEZERRA	023160	TRAVESSA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10696	TRAVESSA MONTALVÂNIA	021389	TRAVESSA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10697	RUA WALDEMAR FIGUEIREDO	005204	RUA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10698	RUA OLÍMPIO DE NORONHA	005207	RUA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10699	RUA FRIÉZIO BARROSO	023163	RUA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10700	RUA TENENTE BOTELHO	000593	RUA	TENENTE	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10701	RUA DOUTOR RAIMUNDO MAIA	005217	RUA	DOUTOR	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10703	RUA GODOFRED OLIVEIRA	005206	RUA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10704	RUA SEBASTIÃO DE FREITAS	005205	RUA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10705	RUA CRISTIANO OTONI	005213	RUA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10707	SD	040657	RUA	\N	N09	L-O	\N	\N	\N	\N	\N	SD (040660)	\N	\N	AV. DOS JANGADEIROS	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
10708	RUA FREI CASSIANO	021335	RUA	FREI	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II	\N	\N
10709	TRAVESSA SÃO JOSÉ	023510	TRAVESSA	SÃO	N09/L19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MODUBIM II/EDSON QUEIROZ	\N	\N
10710	SD	040656	RUA	\N	N09	L-O	\N	\N	\N	\N	\N	AV. DOS EXPEDICIONÁRIOS	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
10711	TRAVESSA A	022328	TRAVESSA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10714	RUA DAS OLIMPÍADAS	000024	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2/ PARQUE DOIS IRMÃOS	\N	\N
10715	RUA BARBACENA	000469	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10716	RUA BERNARDO MANUEL	023046	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10719	SD	040672	RUA	\N	N10	L-O	\N	\N	\N	\N	\N	SD (040670)	\N	\N	DRENO/VALA	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10720	RUA FRANCANA	020821	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10721	RUA IRATI	020815	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10722	RUA 9	006967	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10723	RUA 20	022132	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10724	RUA 11	006971	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10725	RUA 13	006965	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10731	RUA BOLIVAR	005663	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10732	RUA 12	006969	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10733	RUA 4	006961	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10734	RUA 3	006962	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10735	RUA 2	006964	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10736	RUA 1	006970	RUA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10737	SD	040670	RUA	\N	N10/O10	N-S	\N	\N	\N	\N	\N	DRENO/VALA	\N	\N	AV. PRESIDENTE COSTA E SILVA	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10738	TRAVESSA BARBACENA	005249	TRAVESSA	\N	N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10742	SD	040666	RUA	\N	N10	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	AV. PRESIDENTE COSTA E SILVA	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10743	SD	040667	RUA	\N	N10	N-S	\N	\N	\N	\N	\N	CAMINHO	\N	\N	RUA DAS OLÍMPIADAS	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10744	SD	040671	RUA	\N	N10	L-O	\N	\N	\N	\N	\N	RUA CRISTO REDENTOR	\N	\N	SD (040670)	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10745	SD	040668	RUA	\N	N10	N-S	\N	\N	\N	\N	\N	RUA DAS OLÍMPIADAS	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10746	SD	040665	RUA	\N	N10	N-S	\N	\N	\N	\N	\N	RUA 13 (CONJ. RESID. ITAPERY)	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10747	SD	040669	RUA	\N	N10/N11	L-O	\N	\N	\N	\N	\N	RUA PROF. ROBERTO CARVALHO	\N	\N	RUA 15 (CONJ. RESID. ITAPERI)	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10972	RUA 19	022102	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10973	RUA 18	022100	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10974	RUA 20	022133	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10975	TRAVESSA ODILIO FILHO	024006	TRAVESSA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10976	TRAVESSA DA PAZ	024103	TRAVESSA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10977	TRAVESSA RAIMUNDO MACIEL	020151	TRAVESSA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10978	TRAVESSA SÃO FRANCISCO	020152	TRAVESSA	SÃO	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10979	TRAVESSA SÃO JOÃO	020153	TRAVESSA	SÃO	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10980	SD	040679	RUA	\N	N11	N-S	\N	\N	\N	\N	\N	RUA 28 DE AGOSTO	\N	\N	AV. MOURA MATOS	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10981	TRAVESSA SOBRAL	020155	TRAVESSA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10982	TRAVESSA ALDONAI	022369	TRAVESSA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10984	RUA HERLITO FREIRE	005655	RUA	\N	N11/O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10985	SD	040678	RUA	\N	N11	N-S	\N	\N	\N	\N	\N	AV. DOS PARUARAS (AV. CENTRAL	\N	\N	RUA ELDORADO	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10986	RUA MARTINS DE SOUZA	023824	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10987	RUA MARCELINO DE SOUZA	023767	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10988	RUA ELIAS DE FREITAS	022964	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10990	RUA FREITAS NASCIMENTO	020057	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10991	TRAVESSA MENOR GERÔNIMO	023856	TRAVESSA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10992	RUA ADOLFO MARINHO	020058	RUA	\N	N11/O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ/MESSEJANA	\N	\N
10993	RUA SILVANDRA DE JESUS	021384	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
10995	RUA PROFESSOR ROBERTO DE CARVALHO	005654	RUA	PROFESSOR	N11/O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10996	RUA CRISTO REDENTOR	024579	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	MENINO JESUS DE PRAGA  ( MATRICULA 015005 DO  CRI 6ª ZONA)	\N
10998	RUA JOSE F. DE SOUZA	023536	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11000	RUA MENOR GERÔNIMO	005675	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11001	RUA PINHEIRO TORRES	021383	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11002	RUA DR. MIRES	023879	RUA	DOUTOR	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11003	RUA MENINO JESUS DE PRAGA	023855	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11004	RUA 29 DE NOVEMBRO	021386	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11005	RUA 27 DE SETEMBRO	021387	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11006	RUA 28 DE JUNHO	022153	RUA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11007	SD	040674	RUA	\N	N11	N-S	\N	\N	\N	\N	\N	RUA PROF. ROBERTO DE CARVALHO	\N	\N	SD (040673)	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
10260	RUA FRANCISCO MATIAS	001346	RUA	\N	M19	N-S	\N	\N	\N	\N	005139	RUA ANTÔNIO NOGUEIRA	000891	RUA MAESTRO LISBOA	\N	\N	9579916	560911	9579367	560945	SAPIRANGA/COITÉ	\N	\N
10261	RUA LUIZA HELENA	000900	RUA	\N	M19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10262	RUA WALDEMAR TAVARES	009751	RUA	\N	M19	O-L	\N	\N	\N	\N	\N	VEGETAÇÃO	001346	RUA FRANCISCO MATIAS	\N	\N	9579403	560732	9579465	560940	SAPIRANGA/COITÉ	\N	\N
10263	RUA PEDRO ADRIANO	005740	RUA	\N	M19/N19	N-S	5488/81	\N	\N	\N	000891	RUA MAESTRO LISBOA	005742	RUA ANTÔNIO POMPIL	\N	\N	9579359	560899	9578959	560874	LAGOA REDONDA	\N	\N
10264	SD	040621	RUA	\N	M19	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA JOSÉ PARENTE	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10265	RUA PEDRO MAMEDE	008468	RUA	\N	M19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10266	RUA JOSÉ PARENTE	005128	RUA	\N	M19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10267	RUA DIVA TAVARES	022904	RUA	\N	M19	\N	8992/2005	14/09/2005	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10269	AVENIDA RECREIO	003049	AVENIDA	\N	M19/N20	N-S	3733/69	\N	\N	\N	000891	RUA MAESTRO LISBOA (ANTIGA ESTR. DA LAGOA REDONDA)	007664	RUA PROF. JOSÉ ARTUR DE CARVALHO (CURIÓ)	\N	RECREIO DOS FUNCIONÁRIOS	9579384	561150	9577979	561032	LAGOA REDONDA	\N	\N
10270	RUA RODRIGUES	024290	RUA	\N	M19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
10271	TRAVESSA ANTÔNIO POMPIL	021679	TRAVESSA	\N	M19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
10272	RUA ANTÔNIO POMPIL	005742	RUA	\N	M19/N19	O-L	\N	\N	\N	\N	\N	LAGOA REDONDA	003049	AV. RECREIO	\N	\N	9578953	560765	9579047	561230	LAGOA REDONDA	\N	\N
10274	SD	040623	RUA	\N	M20	O-L	\N	\N	\N	\N	\N	RUA TRÊS MARIAS	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10277	SD	040622	RUA	\N	M20	O-L	\N	\N	\N	\N	\N	AV. RECREIO	\N	\N	CAMINHO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
10278	RUA TRÊS MARIAS	005544	RUA	\N	M20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10279	ESTRADA DO GEREBERABA	021660	ESTRADA	\N	M20/M21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
10281	SD	040635	RUA	\N	M21	O-L	\N	\N	\N	\N	\N	SD (040568)	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10284	RUA MARIETA BARREIRA	021658	RUA	\N	M21	\N	5651/82	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10285	SD	040625	RUA	\N	M21	N-S	\N	\N	\N	\N	\N	RUA MARIETA BARREIRA	\N	\N	RUA DO AMIANTO	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10286	SD	040630	RUA	\N	M21	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	AV. MANOEL MAVIGNER	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10287	SD	040629	RUA	\N	M21	O-L	\N	\N	\N	\N	\N	SD (040628)	\N	\N	SD (040627)	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10289	SD	040628	RUA	\N	M21	N-S	\N	\N	\N	\N	\N	SD (040627)	\N	\N	AV. MANOEL MAVIGNER	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10290	SD	040631	RUA	\N	M21	O-L	\N	\N	\N	\N	\N	SD (040568)	\N	\N	ESTRADA DO BARREIRO	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10291	SD	040634	RUA	\N	M21	O-L	\N	\N	\N	\N	\N	SD (040631)	\N	\N	SD (040635)	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10292	SD	040633	RUA	\N	M21	O-L	\N	\N	\N	\N	\N	ESTRADA DO BARREIRO	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10293	RUA TERRA DAS FLORES	021656	RUA	\N	M21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10294	SD	040632	RUA	\N	M21	O-L	\N	\N	\N	\N	\N	\N	\N	\N	SD (040568)	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10297	RUA DO AMIANTO	021659	RUA	\N	M21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10299	SD	040627	RUA	\N	M21/N21	N-S	\N	\N	\N	\N	\N	RUA MARIETA BARREIRA	\N	\N	AV. MANOEL MAVIGNER	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10300	SD	040624	RUA	\N	M21	O-L	\N	\N	\N	\N	\N	RUA MARIETA BARREIRA	\N	\N	SD (040636)	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10302	RUA JARDILINO	021635	RUA	\N	M22/M23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10303	RUA EGILSON MESQUITA	022961	RUA	\N	M22/M23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10305	RUA L. DEMÉTRIO	023604	RUA	\N	M22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10311	SD	040636	RUA	\N	M22	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AV. MANUEL MAVIGNER	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10312	SD	040637	RUA	\N	M22	O-L	\N	\N	\N	\N	\N	RUA MARIETA	\N	\N	SD (040636)	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10313	SD	040638	RUA	\N	M22	O-L	\N	\N	\N	\N	\N	FAROL DO MIRANTE	\N	\N	SD (040636)	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10314	SD	040639	RUA	\N	M22	N-S	\N	\N	\N	\N	\N	SD (040637)	\N	\N	RUA DO AMIANTO	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10317	RUA MANOEL  MAVIGNIER	009101	RUA	\N	M23/N23	O-L	7268/1993	11/01/1993	9139/1993	23/08/1993	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	A RUA FOI LOCALIZADA  EM  RUA JÁ DENOMINADA POR LEI. O DECRETO  POIS  ESTÁ ILEGAL - RUA LOCALIZADA SOBRE A AV. COFECO.
10318	TRAVESSA MANOEL  MAVIGNIER	023731	TRAVESSA	\N	M23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10319	RUA 1	021644	RUA	\N	M23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10320	RUA RAIMUNDO NONATO BRUNO	021637	RUA	\N	M23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10321	AVENIDA COTELCE	022814	AVENIDA	\N	M23/N23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10481	RUA PORTO PRÍNCIPE	000702	RUA	\N	N06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006197	006438	\N	\N	\N	\N	PARQUE SANTA ROSA	\N	\N
10322	RUA PROFESSORA MARIA HILARIA	008670	RUA	PROFESSORA	M23/N23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10323	RUA 4	021639	RUA	\N	M23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10324	RUA LAURO BENTO	021640	RUA	\N	M23/N23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
10358	RUA CARVALHO NOGUEIRA	006250	RUA	\N	N03/O03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA/MARACANAÚ	\N	\N
10360	RUA DANIELA PEREZ	022881	RUA	\N	N03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FORA	\N	\N
10362	RUA SÃO PAULO	024090	RUA	SÃO	N03/N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA/MARACANAÚ/SABIAGUABA	\N	\N
10370	RUA SABINO FILHO	006245	RUA	\N	N03/N04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
10371	RUA LINEU MACHADO	006249	RUA	\N	N03/O03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA/MARACANAÚ	\N	\N
10372	RUA SÃO FRANCISCO	004784	RUA	SÃO	N03/N04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA/MARACANAÚ	\N	\N
10373	RUA TEBAS	009534	RUA	\N	N03/N04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA/MARACANAÚ	\N	\N
10374	SD	040641	RUA	\N	N04	L-O	\N	\N	\N	\N	\N	RIO MARANGUAPINHO	\N	\N	AV. GENERAL OSÓRIO DE PAIVA	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10375	RUA PARAÍSO VERDE	020969	RUA	\N	N04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
10390	RUA VALETA	007303	RUA	\N	N04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
10392	RUA DOM AURELIANO	007301	RUA	DOM	N04/O04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA / FORA	\N	\N
10395	TRAVESSA ITAPOÃ	023360	TRAVESSA	\N	N04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
10396	RUA ITAPOÃ	006866	RUA	\N	N04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
10397	RUA SÃO JUDAS TADEU	023570	RUA	SÃO	N04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
10398	RUA SANTA MARINA	020978	RUA	SANTA	N04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
10400	TRAVESSA ITAPOÃ II	023361	TRAVESSA	\N	N04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
10401	RUA FISCAL SARAIVA	024345	RUA	FISCAL	N04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
10404	SD	040642	RUA	\N	N04	L-O	\N	\N	\N	\N	\N	AV. GENERAL OSÓRIO DE PAIVA	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10405	SD	040640	RUA	\N	N04	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	AV. GENERAL OSÓRIO DE PAIVA	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10407	SD	040643	RUA	\N	N05	L-O	\N	\N	\N	\N	\N	RIO MARANGUAPINHO	\N	\N	AV. GENERAL OSÓRIO DE PAIVA	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10410	SD	040645	RUA	\N	N05	N-S	\N	\N	\N	\N	\N	RIO MARANGUAPINHO	\N	\N	RUA A (CONJ. JARDIM FLUMINENSE)	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10412	RUA JOSÉ MAURÍCIO	023550	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
10413	TRAVESSA BENVINDA AGUIAR	006177	TRAVESSA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10415	RUA FRANCISCO	023118	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10416	RUA SANTO ANASTÁCIO	007116	RUA	SANTO	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10417	RUA PEDESTRE V	008945	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10418	RUA PEDESTRE VI	008946	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10419	RUA PEDESTRE IV	008944	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10420	RUA PEDETRE VII	008947	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10424	RUA TAQUARIL	008038	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10426	RUA D	008933	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10427	RUA ACESSO D	008955	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10428	RUA H	008937	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10429	RUA ACESSO E	008956	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10430	RUA PEDESTRE VIII	008948	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10431	RUA I	008938	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10432	RUA PEDESTRE IX	008949	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10433	RUA PEDESTRE I	024113	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10435	RUA PEDESTRE X	008950	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10436	RUA PEDESTRE XI	008951	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10437	RUA PEDESTRE XII	008952	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10439	RUA PEDESTRE III	008943	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10441	RUA A	020017	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10442	RUA E	008934	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10444	RUA TATIANA	020011	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10446	RUA DO RIACHO	024257	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10450	RUA K	008940	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10451	RUA J	008939	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10452	RUA PEDESTRE XIV	008954	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10456	RUA 4	022213	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10457	RUA RIO GRANDENSE	006114	RUA	\N	N05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10460	RUA 4	022197	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10462	SD	040648	RUA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA PARANAGUÁ	RIO MARANGUAPINHO	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10463	AVENIDA JARDIM FLUMINENSE	006922	RUA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	005882	002689	\N	\N	\N	\N	CANINDEZNHO /  CJ ESPERANCA	\N	\N
10464	TRAVESSA AO LADO	023608	TRAVESSA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10465	SD	040647	RUA	\N	N06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA RAIMUNDO MARQUES	RIO MARANGUAPINHO	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10466	RUA PARANAGUÁ	000642	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10467	RUA 3	024642	RUA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	003701	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10468	RUA 2	024640	RUA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	003701	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10469	RUA 1	024641	RUA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	003701	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10471	ACESSO A	022312	ACESSO	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10472	RUA B	008927	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10473	RUA C	007431	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10474	ACESSO B	022513	ACESSO	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10475	ACESSO C	022633	ACESSO	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10477	TRAVESSA SÃO BENEDITO	022573	TRAVESSA	SÃO	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SANTA ROSA	\N	\N
10479	RUA SÃO BASÍLIO	006662	RUA	SÃO	N06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006197	005638	\N	\N	\N	\N	PARQUE SANTA ROSA	\N	\N
10482	RUA MAGNA	006511	RUA	\N	N06/N07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	RIO MARANGUAPINHO	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10483	RUA 1	022005	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10484	RUA 2	022110	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10485	RUA 3	022160	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10486	TRAVESSA DOM XISTO ALBANO	024611	TRAVESSA	DOM	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10488	RUA BEIRA RIO	022565	RUA	\N	N06/M06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000763	003701	\N	\N	\N	\N	CANINDEZNHO	\N	\N
10489	RUA BERNARDO CAMPOS	000532	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10490	RUA 1	022030	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10491	RUA 3	022163	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10492	RUA 3	022175	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10494	RUA 5	022233	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
10496	LOTEAMENTO	007431	LOTEAMENTO	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SANTA ROSA	\N	\N
10497	RUA ARY LOBO	007621	RUA	\N	N06	\N	5385/81	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SANTA ROSA	\N	\N
10498	RUA BELA	022568	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SANTA ROSA	\N	\N
10500	RUA EDUARDO ARAUJO	006197	RUA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	000763	\N	\N	\N	\N	PARQUE SANTA ROSA	\N	\N
10501	TRAVESSA EVANDIR JUNIOR	023023	TRAVESSA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000710	000702	\N	\N	\N	\N	PARQUE SANTA ROSA	\N	\N
10504	RUA CORAÇÃO DE MARIA	006923	RUA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007411	000642	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10506	TRAVESSA BRUMADO	022619	TRAVESSA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10507	TRAVESSA ARI LOBO	022477	TRAVESSA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10508	RUA E	022934	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10509	RUA DAS PALMEIRAS	024056	RUA	\N	N06/O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA/PARQUE SANTA ROSA	\N	\N
10510	RUA GETÚLIO VARGAS	005878	RUA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	024636	\N	\N	\N	\N	PARQUE SANTA ROSA	\N	\N
10511	RUA DAS MARGARIDAS	005882	RUA	\N	N06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006926	006197	\N	\N	\N	\N	PARQUE SANTA ROSA	\N	\N
10516	AVENIDA CONTORNO OESTE	007403	AVENIDA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10517	RUA DO CANAL	024565	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10518	RUA 114	009344	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10519	RUA 113	007401	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10520	RUA 112	007400	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10522	RUA 4	022212	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10524	RUA 2	022113	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10525	RUA 1	022008	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10526	TRAV. FRANCISCO BATISTA DA SILVA	023132	TRAVESSA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANCA	\N	\N
10527	RUA RAIMUNDO ARISTIDES	005860	RUA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	005882	\N	\N	\N	\N	PARQUE SANTA ROSA / CJ ESPERANCA	\N	\N
10530	TRAVESSA ESPERANÇA	004217	TRAVESSA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10531	RUA 111	007399	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10532	RUA 110	007398	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10533	RUA 109	007397	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10534	RUA 108	007396	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10535	AVENIDA H	021727	AVENIDA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10536	AV. DE PENETRAÇÃO NORTE-SUL	007395	AVENIDA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10538	TRAVESSA NAZARÉ	020505	TRAVESSA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10541	RUA 104	007391	RUA	\N	N06/N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10542	AVENIDA CONTORNO NORTE	007050	AVENIDA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007413	007403	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10544	ESTRADA DO SIQUEIRA	003302	ESTRADA	\N	N06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	000763	\N	\N	\N	\N	CJ ESPERANCA / MANUEL SATIRO	\N	\N
10545	RUA 107	007394	RUA	\N	N06/N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANCA	\N	\N
10546	AVENIDA I	006924	AVENIDA	\N	N06/N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10548	RUA 106	007393	RUA	\N	N06/N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANCA	\N	\N
10549	RUA 105	007392	RUA	\N	N06/N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10551	RUA 103	007390	RUA	\N	N06/N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10552	AVENIDA CANAL	007402	AVENIDA	\N	N06/N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA/MANOEL SATIRO	\N	\N
10553	BECO DO CONTORNO	022800	BECO	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10557	AVENIDA A	007379	AVENIDA	\N	N06/N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ ESPERANCA	\N	\N
10558	AVENIDA DE PENETRAÇÃO OESTE	005835	AVENIDA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10559	RUA DIONÍSIO SERQUEIRA	006928	RUA	\N	N07	N-S	\N	\N	\N	\N	\N	AV. CONTORNO SUL	\N	\N	RUA LUCIMAR FERNANDO	\N	\N	\N	\N	\N	MANUEL SATIRO/CONJUNTO ESPERANÇA	\N	\N
10561	RUA LUCIMAR FERNANDES	006931	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10565	AVENIDA CONTORNO	024573	AVENIDA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10568	RUA 102	007389	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10569	RUA 101	007388	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10573	AVENIDA G	007385	AVENIDA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO ESPERANÇA	\N	\N
10574	AVENIDA D	007382	AVENIDA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO ESPERANÇA	\N	\N
10575	AVENIDA C	007381	AVENIDA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10576	AVENIDA B	007380	AVENIDA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO ESPERANÇA	\N	\N
10579	AVENIDA F	007384	AVENIDA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO ESPERANÇA	\N	\N
10580	AVENIDA E	007383	AVENIDA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO ESPERANÇA	\N	\N
10584	TRAVESSA CAMBERRA	008016	TRAVESSA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
10585	RUA CAJAMAR	008015	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
10586	RUA BENTO GONÇALVES	005842	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10589	AVENIDA DE PENETRAÇÃO NORTE	007386	AVENIDA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10590	TRAVESSA ALFREDO MAMEDE	022376	TRAVESSA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
10591	SD	040650	RUA	\N	N07	L-O	\N	\N	\N	\N	\N	VIA FÉRREA	\N	\N	RUA ALFREDO MAMEDE	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
10592	RUA MARIA FORMOSA	021731	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA/MANOEL SÁTIRO	\N	\N
10593	RUA SANTA MÔNICA	005836	RUA	SANTA	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
10594	BECO MACIEL BRITO	023716	BECO	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10595	RUA MACIEL BRITO	006870	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10596	TRAVESSA PERLA	020048	TRAVESSA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
10597	TRAVESSA HAVANA	009316	TRAVESSA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
10599	RUA AURÉLIO BEZERRA	007945	RUA	\N	N07	\N	6037/85	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
10600	RUA MELQUIADES	006485	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
10601	RUA PROFESSOR ANTÔNIO VIDAL	020101	RUA	PROFESSOR	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
10602	RUA HENRIQUE VIANA	009348	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
10603	RUA LUIZ DE PONTES	000512	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
10604	RUA PORTO FRANCO	006184	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
10608	RUA A	022316	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
10609	RUA B	022517	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO ESPERANÇA	\N	\N
10610	RUA PAULANI	009765	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10611	RUA 7	022265	RUA	\N	N07	L-O	\N	\N	\N	\N	\N	CERCA DO LOTEAMENTO	\N	R. 1 DE DEZEMBRO	\N	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
10612	RUA 6	022249	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10613	RUA 5	007047	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10614	SD	040649	RUA	\N	N07	N-S	\N	\N	\N	\N	\N	RUA HENRIQUE VIANA	\N	\N	TRAV. ALFREDO MAMEDE	\N	\N	\N	\N	\N	MANUEL SATIRO	\N	\N
10615	RUA 8	022285	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10616	RUA 4	009341	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10617	RUA 9	022296	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10618	RUA 10	009263	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10619	RUA 11	009264	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10620	RUA 3	009340	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10621	RUA 2	022122	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10622	RUA 12	009265	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10623	RUA 1	022022	RUA	\N	N07/N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10624	RUA 8	008964	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10625	RUA 9	008965	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10626	RUA 10	008966	RUA	\N	N08/O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10628	SD	040652	RUA	\N	N08	N-S	\N	\N	\N	\N	\N	RUA 1 (LOT. PQ. SANTANA I)	\N	\N	SD (040651)	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
10629	SD	040651	RUA	\N	N08	L-O	\N	\N	\N	\N	\N	RUA GODOFREDO MACIEL	\N	\N	RUA 1 (LOT. PQ. SANTANA I)	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
10630	RUA BOM JESUS DOS AFLITOS	008179	RUA	\N	N08/O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10631	RUA CARLOS MAGNO	005852	RUA	\N	N08/O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10632	RUA WENEFRIDO MELO	003692	AVENIDA	\N	N08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	ESTRADA DA PACATUBA ( transc 25692  do CRI 2ª zona)	\N
10633	RUA JOSÉ DUTRA	006041	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
10635	RUA FRANCISCO BENTO	001334	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10636	RUA NSA. SENHORA DA CONCEIÇÃO	002574	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10637	RUA CEL. TIBURCIO	003388	RUA	CORONEL	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10638	RUA CARLOS PIMENTEL	006119	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10639	RUA CÔNEGO ROCHA	005989	RUA	CÔNEGO	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10640	RUA SERGIO PORTO	005988	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10643	RUA OSCAR BENEVIDES	001590	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10644	RUA JORGE RALPP	005199	RUA	\N	N08	\N	1151/1957	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10646	SD	040653	RUA	\N	N08	N-S	\N	\N	\N	\N	\N	AV. PRESIDENTE COSTA E SILVA	\N	\N	RUA FRANCISCO BENTO	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
10648	RUA 5	008961	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10649	ALAMEDA VERDE 3	008969	ALAMEDA	\N	N08/O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10650	RUA 1	008957	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10651	RUA 4	008960	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10652	RUA 6	008962	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10653	TRAVESSA GAL. CORDEIRO NETO	021265	TRAVESSA	GENERAL	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10654	RUA DR. MANOEL MOREIRA	000917	RUA	DOUTOR	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10656	RUA FURTADO	009518	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10657	ALAMEDA VERDE 7	008973	ALAMEDA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10658	ALAMEDA VERDE 6	008972	ALAMEDA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10659	ALAMEDA VERDE 5	008971	ALAMEDA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10661	ALAMEDA VERDE 8	008974	ALAMEDA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10663	RUA 26º BATALHÃO	003613	RUA	DOUTOR	N08	N-S	8523/2000	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	26º BATALHÃO	\N
10664	TRAVESSA P. G. NASEN	021392	TRAVESSA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10665	RUA DEMÓSTENES BORGES	021268	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10666	RUA LUIZ GONZAGA	009216	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10667	TRAVESSA GONZAGUINHA	023224	TRAVESSA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
10668	RUA TANCREDO NEVES	021266	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11213	RUA SÃO CIPRIANO	005657	RUA	SÃO	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11214	SD	040684	RUA	\N	N13/O13	N-S	\N	\N	\N	\N	\N	RUA SANTO TOMAZ DE AQUINO	\N	\N	RUA CRISTAIS PAULISTA	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11215	RUA E (PASSARÉ)	020028	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11217	SD	040683	RUA	\N	N13/O13	N-S	\N	\N	\N	\N	\N	RUA PROF. MOREIRA DE SOUSA	\N	\N	RUA CRISTAIS PAULISTA	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11219	RUA POMPILIO GOMES	005676	RUA	\N	N13/O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11222	RUA COELHO GARCIA	005682	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11223	RUA IPAUMIRIM	023335	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11224	RUA ALENCAR OLIVEIRA	005674	RUA	\N	N13/O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11225	RUA C (PASSARÉ)	020026	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11227	RUA M (MATA GALINHA)	006932	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
11231	RUA ITABORAI	005671	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11232	RUA PARNAMIRIM	005670	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
11233	RUA 5 (BARROSO)	007560	RUA	\N	N13/O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11236	RUA N (BARROSO)	023912	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11237	RUA M (BARROSO)	023697	RUA	\N	N13/O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11238	RUA L (BARROSO)	023595	RUA	\N	N13/O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11239	RUA J (BARROSO)	023370	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11240	RUA I (BARROSO)	023300	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11241	RUA H (BARROSO - CONJ. 1º DE MARÇO)	023256	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11242	RUA 7 (BARROSO - CONJ. NOVA ASSUNÇÃO)	008918	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11243	RUA 8  (CONJ. NOVA ASSUNÇÃO)	002632	RUA	\N	N13/O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11244	RUA 3 (BARROSO)	007558	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11245	BECO SÃO JOSÉ	023496	BECO	SÃO	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
11248	RUA 6 (BARROSO - CONJ. 1º DE MARÇO)	022237	RUA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11250	RUA DO PEDESTRE	024115	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11251	RUA ARAGUARY	006637	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11252	RUA CONSELHEIRO SILVA	008316	RUA	CONSELHEIRO	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11253	RUA DAS FLORES	023090	RUA	\N	N14/O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS/CURIO	\N	\N
11254	TRAVESSA DAS FLORES	023091	TRAVESSA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11255	RUA JORNALISTA ANTÔNIO PONTES TAVARES	005810	RUA	JORNALISTA	N14/N15	L-O	5499/81	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO / CAJAZEIRAS	\N	\N
11256	RUA JOÃO FERREIRA	009768	RUA	\N	N14	L-O	438/52	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11257	RUA GUILHERME ASSUNÇÃO	001528	RUA	\N	N14	L-O	893/54	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11258	RUA FRANCISCO JOSÉ DA COSTA	006829	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11259	RUA BENEDITO LACERDA	000516	RUA	\N	N14	N-S	3751/70	20/07/1970	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11260	RUA JOAQUIM PINTO I	023477	RUA	\N	N14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	Na cartog consta como Leste das quadras 10, 07 e 03 do Lot. PQ São José	\N
11262	AVENIDA CAP. WALDEMAR PAULA LIMA	003675	AVENIDA	CAPITÃO	N14	N-S	5255/80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO / CAJAZEIRAS	\N	\N
11263	RUA JOSÉ HOLANDA FREITAS	005798	RUA	\N	N14	L-O	2034/62	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11264	RUA RAIMUNDO LEÔNCIO REBOUÇAS	024233	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11265	RUA ICARASSU	005805	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11266	RUA 9 (CONJ. JARDIM VIOLETA)	022288	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11267	PRAÇA JARDIM VIOLETA	023415	PRAÇA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11268	RUA JOSÉ NERI (7) (CONJ. JARDIM VIOLETA)	005807	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11269	RUA 14 (CONJ. JARDIM VIOLETA)	022081	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11270	RUA BEATRIZ (12) (CONJ. JARDIM GLÓRIA)	005801	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11271	RUA N.S. DA GLÓRIA  (6) (CONJ. JARDIM GLÓRIA)	005806	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11272	RUA 5 (CONJ. JARDIM GLÓRIA)	022220	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11274	RUA 1 (CONJ. JARDIM GLÓRIA)	005803	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11275	RUA 8 (CONJ. JARDIM VIOLETA)	022273	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11276	RUA 13 (CONJ. JARDIM GLÓRIA)	022073	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11277	RUA DIAGONAL (11) (CONJ. JARDIM GLÓRIA)	005811	RUA	\N	N14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
11278	RUA JOÃO XAVIER	001850	RUA	\N	N14/N15	L-O	DL297/2007	19/12/2007	\N	\N	\N	BR 116 (RODOVIA SANTOS DUMONT)	\N	PAULINO ROCHA, AV	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	JOÃO XAVIER	\N
11280	TRAVESSA JOÃO XAVIER	023465	TRAVESSA	\N	N15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	\N	\N
11283	SD	040689	RUA	\N	N15	L-O	\N	\N	\N	\N	\N	SD (040688)	\N	\N	RUA 1 (CONJ. JARDIM GLÓRIA)	\N	\N	\N	\N	\N	BARROSO	\N	\N
11284	SD	040687	RUA	\N	N15/O15	N-S	\N	\N	\N	\N	\N	RUA JORNALISTA ANTÔNIO PONTES TAVARES	\N	\N	BR 116	\N	\N	\N	\N	\N	BARROSO	\N	\N
11286	AVENIDA FREI CIRILO	000854	AVENIDA	FREI	N15/P15	O-L	3949/71	\N	\N	\N	002887	AV. MINISTRO JOSÉ AMÉRICO	\N	RUA SD (CONHECIDA BADY MIGUEL)	\N	\N	9578584	555625	9576931	556276	MESSSEJANA/PQ. IRACEMA	\N	\N
11289	RUA CEARIM	005809	RUA	\N	N15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11290	RUA GATASSE KALUME	009497	RUA	\N	N15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11293	TRAVESSA SERVILHA	000597	TRAVESSA	\N	N15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11294	RUA JOAQUIM SABINO	023480	RUA	\N	N15	N-S	7573/94	\N	\N	\N	002555	RUA NEWTON CRAVEIRO	\N	EDIFICAÇÃO	\N	\N	9578965	555595	9578856	555649	PARQUE IRACEMA	\N	\N
11296	TRAVESSA JOÃO MEDEIROS	021399	TRAVESSA	\N	N15	O-L	\N	\N	\N	\N	000854	AV. FREI CIRILO	\N	EDIFICAÇÃO	\N	\N	9578735	555568	\N	\N	PARQUE IRACEMA	\N	\N
11297	RUA ALBERTO TÔRRES	000107	RUA	\N	N15	N-S	1671/1960	16/12/1960	\N	\N	\N	BR 13	\N	FIM DO LOT. JARDIM DA GLÓRIA	(000854) AV. FREI CIRILO	(007189) BR 116	\N	\N	\N	\N	CAJAZEIRAS / MESSEJANA	\N	\N
11298	RUA CAP. AVIADOR MARIO PRADO	023815	RUA	CAPITÃO AVIADOR	N15	N-S	5798/83	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11299	RUA HOMEM DE MELO	001598	RUA	\N	N15/N16	O-L	1671/60	16/12/1960	\N	\N	\N	RUA NICOLAU COELHO	\N	\N	RUA TOMAZ IDELFONSO	\N	\N	\N	\N	\N	MESSSEJANA/CAMBEBA	Expedicionário  Eduardo de Sousa conf. Inscrição 47716  de  1959, CRI 1 zona	\N
11300	RUA ELIZIÁRIO MENDES	001156	RUA	\N	N15/O15	N-S	\N	\N	\N	\N	002555	RUA NEWTON CRAVEIRO	001376	RUA FREDERIDO SEVERO	RUA LEÃO VELOSO	SD	9578969	555861	9577946	556310	MESSEJANA/PQ. IRACEMA	\N	Na Lei, esta Rua se inicia na Rua Leão Veloso e termina na Rua Frederico Severo.
11302	TRAVESSA SÃO JORGE	023484	TRAVESSA	SÃO	N15/I07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA/HERIQUE JORGE	\N	\N
11303	RUA ARAÚJO TORREÃO	000367	RUA	\N	N15	N-S	\N	\N	\N	\N	002128	RUA LEÃO VELOSO	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA/PARQUE IRACEMA	\N	\N
11304	RUA ALMEIDA RÊGO	000146	RUA	\N	N15  N16	O-L	1671/1960	16/12/1960	\N	\N	\N	BR - 116 (BR - 13)	001249	RUA FAUSTO AGUIAR	AV. FREI CIRILO	RUA SD	9578349	555726	\N	\N	MESSSEJANA/CAMBEBA	\N	Na Lei, esta Rua se inicia na BR 116 e termina na Rua Fausto Aguiar.
11305	RUA DOMINGOS ROIAL	001083	RUA	\N	N15	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	rua MOZART JESUINO -TRANSC.58604 DO CRI 1ª ZONA	\N
11306	RUA SILVEIRA DA MOTA	003290	RUA	\N	N15	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11310	RUA INÁCIO VASCONCELOS	001650	RUA	\N	N15/N16	O-L	1671/60	16/12/1960	\N	\N	\N	BR - 116 (BR - 13)	001249	RUA FAUSTO AGUIAR	AV. FREI CIRILO	RUA SD	9578463	555664	\N	\N	PARQUE IRACEMA/MESSSEJANA/CAMBEBA	\N	Na Lei, esta Rua se inicia na BR 116 e termina na Rua Fausto Aguiar.
11311	TRAVESSA SANTA CLARA	022762	TRAVESSA	SANTA	N15/A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	001987	\N	\N	\N	\N	MESSSEJANA/BARRA DO CEARÁ	\N	\N
11312	TRAVESSA ELIZIÁRIO MENDES	022971	TRAVESSA	\N	N15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11313	BECO ELIZIÁRIO MENDES	022972	BECO	\N	N15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11315	TRAVESSA VERA LÚCIA	024534	TRAVESSA	\N	N15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11316	TRAVESSA ALMEIDA	022379	TRAVESSA	\N	N15/E08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA/PADRE ANDRADE	\N	\N
11317	TRAVESSA DAS PALMAS	004215	TRAVESSA	\N	N15/N16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11318	RUA FREDERICO SEVERO	001375	RUA	\N	N15/O15	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11320	VILA SABRINA	021475	VILA	\N	N15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11323	SD	040694	RUA	\N	N16	N-S	\N	\N	\N	\N	\N	AV. MINISTRO JOSÉ AMÉRICO	\N	\N	RUA INÁCIO VASCONCELOS	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
11324	SD	040695	RUA	\N	N16	O-L	\N	\N	\N	\N	\N	RETORNO	\N	\N	AV. GAL. ALBUQUERQUE LIMA	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
11328	SD	040696	RUA	\N	N16	O-L	\N	\N	\N	\N	\N	AV. GAL. AFONSO ALBUQUERQUE LIMA	\N	\N	RETORNO	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
11329	SD	040697	RUA	\N	N16	O-L	\N	\N	\N	\N	\N	PALÁCIO DA JUSTIÇA	\N	\N	RUA TOMAZ IDELFONSO	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
11330	SD	040698	RUA	\N	N16	N-S	\N	\N	\N	\N	\N	RUA DR. ESMERINDO PARENTE	\N	\N	RUA PATRÍCIA FLORÊNCIO	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
11334	SD	040699	RUA	\N	N16	N-S	\N	\N	\N	\N	\N	CERCA	\N	\N	RUA OLÍMPIO LEITE	\N	\N	\N	\N	\N	CAMBEBA	\N	\N
11335	SD	040700	RUA	\N	N16	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA HOMEM DE MELO	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11336	SD	040701	RUA	\N	N16	O-L	\N	\N	\N	\N	\N	SD (040700)	\N	\N	MURO	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11340	RUA COM. RIPPER	021474	RUA	COMENDADOR	N16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11341	RUA FARIAS LEMOS	001246	RUA	\N	N16	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11342	RUA NICOLAU COELHO	002556	RUA	\N	N16/O15	N-S	\N	\N	\N	\N	001598	RUA HOMEM DE MELO	000854	AV. FREI CIRILO	\N	\N	9578526	556445	9577160	556245	MESSSEJANA/CAMBEBA	\N	\N
11343	RUA S. FRANCISCO	023105	RUA	SÃO	N16/O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA/MONDUBIM 1	\N	\N
11345	RUA S. MIGUEL	005466	RUA	SÃO	N16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11346	RUA PEDRO ALCÂNTARA E SILVA	006427	RUA	\N	N16	O-L	\N	\N	\N	\N	002556	RUA NICOLAU COELHO	001628	RUA TOMAZ ILDEFONSO	\N	AV. WASHINGTON SOARES	9578126	556444	9578036	557398	MESSSEJANA/CAMBEBA	\N	Na Lei esta Rua termina na Tomaz Ildefonso.
11347	AVENIDA DOMINGOS SÁVIO	008422	AVENIDA	\N	N16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11349	RUA JONH LENNON	009134	RUA	\N	N16/O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11350	RUA BELA VISTA	022569	RUA	\N	N16/O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSSEJANA	\N	\N
11352	RUA GAL. AFONSO ALBUQUERQUE LIMA	006006	RUA	GENERAL	N16	\N	5766/1983	25/11/83	\N	\N	002887	AV. MIN. JOSÉ AMÉRICO	002887	AV. MIN. JOSÉ AMÉRICO	\N	\N	9579036	556690	\N	\N	CAMBEBA	\N	Iniciando e terminando na Av. Ministro José Américo, circunda internamente Centro Administrativo Virgílio Távora.
11353	SD	040690	RUA	\N	N16	O-L	\N	\N	\N	\N	\N	RUA NICOLAU COELHO	\N	\N	MURO	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
11354	SD	040691	RUA	\N	N16	N-S	\N	\N	\N	\N	\N	RUA HOMEM DE MELO	\N	\N	SD (040690)	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
11355	RUA TOMAZ IDELFONSO	005486	RUA	\N	N16/O16	N-S	\N	\N	\N	\N	002887	AV. MINISTRO JOSÉ AMÉRICO	006427	RUA PEDRO ALCÂNTARA E SILVA	\N	\N	9578857	557366	9578067	557255	MESSSEJANA/CAMBEBA	\N	Esta Rua possui um trecho que vai da Av. Min. José Américo até próximo a Rua Dr. Ersmerindo Parente que não está aberto.
11356	RUA NENEM ARRUDA	005458	RUA	\N	N16/O18	O-L	\N	\N	\N	\N	001628	RUA TOMAZ ILDEFONSO	005688	RUA DES. PAULO DE TARSO	\N	\N	9578303	557287	9577369	559040	CAMBEBA/ALAGADIÇO NOVO/LAGOA REDONDA/CURIO	\N	\N
11357	TRAVESSA NENEM ARRUDA	023934	TRAVESSA	\N	N16	N-S	\N	\N	\N	\N	005458	RUA NENÉM ARRUDA	006635	RUA ELZA LEITE ALBUQUERQUE	\N	\N	9578283	557364	9578198	557301	CAMBEBA	\N	\N
11359	RUA IMPERATRIZ AMÉLIA AUGUSTA	022410	RUA	IMPERATRIZ	N16	N-S	\N	\N	\N	\N	002887	AV. MIN. JOSÉ AMÉRICO	005461	RUA DR. ESMERINDO PARENTE	\N	\N	9578807	557467	9578679	557359	CAMBEBA	\N	\N
11362	RUA PATRÍCIA FLORÊNCIO	005485	RUA	\N	N16	\N	\N	\N	\N	\N	005472	RUA CLODOALDO ARRUDA	002646	RUA OLÍMPIO LEITE	\N	\N	9578688	557505	9578530	557377	CAMBEBA	\N	\N
11363	RUA NENEM GONÇALVES BARREIRA	005471	RUA	\N	N16/N17	\N	5854/84	\N	\N	\N	005525	RUA ARARIPE JÚNIOR	005458	RUA NENÉM ARRUDA	\N	\N	9578952	557854	9578314	557329	CAMBEBA	\N	\N
11366	TRAVESSA OLÍMPIO LEITE	024019	TRAVESSA	\N	N16	\N	\N	\N	\N	\N	002646	RUA OLÍMPIO LEITE	\N	EDIFICAÇÃO(ENTRE OS LOTES A E C DA Q. 17)	\N	\N	9578435	557493	9578377	557446	CAMBEBA	\N	\N
11367	RUA MOREIRA LEITE	005474	RUA	\N	N16/N17	\N	\N	\N	\N	\N	003690	AV. WASHINGTON SOARES	006635	RUA ELZA LEITE ALBUQUERQUE	\N	\N	9578863	557918	9578165	557343	CAMBEBA	\N	\N
11372	AVENIDA JOSÉ MARTINIANO DE ALENCAR	005482	AVENIDA	\N	N17	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO (VILA PARAÍSO)	003690	AV. WASHINGTON SOARES	\N	\N	9578966	557655	9578765	557913	CAMBEBA	\N	\N
11373	RUA ARARIPE JUNIOR	005525	RUA	\N	N17	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO (TRAV. TOMÁS ILDEFONSO)	003690	AV. WASHINGTON SOARES	\N	\N	9578997	557670	9578955	557910	CAMBEBA	\N	\N
11379	RUA SENADOR VERGUEIRO	024537	RUA	SENADOR	N17	N-S	\N	\N	\N	\N	005472	RUA CLODOALDO ARRUDA	005461	RUA DR. ESMERINDO PARENTE	\N	\N	9578531	557695	9578452	557633	CAMBEBA	\N	\N
11408	TRAVESSA VOLTA REDONDA	024592	TRAVESSA	\N	N17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA/CURIO	\N	\N
11415	RUA SANTA BRANCA	009573	RUA	SANTA	N17/O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11420	SD	040707	RUA	\N	N18	O-L	\N	\N	\N	\N	\N	SD (040706)	\N	\N	ÁRVORE/MATA	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11423	RUA JOAQUIM FERREIRA	005729	RUA	\N	N18	O-L	\N	\N	\N	\N	007612	AV. ODILON GUIMARÃES	\N	VEGETAÇÃO	\N	\N	9578249	558914	9577998	559683	LAGOA REDONDA	\N	\N
11424	RUA CAJAZEIRAS	005735	RUA	\N	N18/O18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11430	RUA VERA CRUZ DE MALTA	024532	RUA	\N	N18	O-L	\N	\N	\N	\N	007612	AV. ODILON GUIMARÃES	\N	RUA SD	\N	\N	9578447	559330	9578421	559402	LAGOA REDONDA	\N	\N
11436	RUA MANOEL PIMENTEL	009232	RUA	\N	N18	O-L	\N	\N	\N	\N	007612	AV. ODILON GUIMARÃES	005775	RUA LUÍS ANDRÉ	\N	\N	9578673	559642	9578653	560036	LAGOA REDONDA	\N	\N
11437	RUA JOSÉ ANDRÉ	006382	RUA	\N	N18/N19	O-L	\N	\N	\N	\N	007612	AV. ODILON GUIMARÃES	006004	RUA SAPICUÁ	\N	\N	9578521	559479	9577940	560331	LAGOA REDONDA	\N	NÃO OFICIAL
11438	RUA FEREIRA ARAÚJO	023080	RUA	\N	N18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11439	SD	040706	RUA	\N	N18/N19	O-L	\N	\N	\N	\N	\N	RUA MANOEL PIMENTEL	\N	\N	RUA LUIZ ANDRÉ	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11442	RUA LUIS ANDRÉ	005775	RUA	\N	N19	N-S	5099/78	\N	\N	\N	000891	RUA MAESTRO LISBOA	009232	RUA MANUEL PIMENTEL	\N	\N	9579209	560096	9578653	560036	LAGOA REDONDA	\N	\N
11443	SD	040712	RUA	\N	N19	N-S	\N	\N	\N	\N	\N	RUA JOÃO ANDRÉ	\N	\N	RUA SÃO ROQUE	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11447	SD	040711	RUA	\N	N19	O-L	\N	\N	\N	\N	\N	RUA SÃO ROQUE	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11449	RUA DONA ISABEL	023349	RUA	DONA	N19/O19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11451	RUA FRANCISCO ANDRÉ	009117	RUA	\N	N19	O-L	\N	\N	\N	\N	005775	RUA LUÍS ANDRÉ	\N	LAGOA REDONDA (VEGETAÇÃO)	\N	\N	9578837	560096	9578666	560443	LAGOA REDONDA	\N	\N
11454	SD	040708	RUA	\N	N19	N-S	\N	\N	\N	\N	\N	RUA LUIZ ANDRÉ	\N	\N	SD (040707)	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11455	SD	040709	RUA	\N	N19	O-L	\N	\N	\N	\N	\N	SD (040708)	\N	\N	SD (040707)	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11456	SD	040710	RUA	\N	N19	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA SÃO ROQUE	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11457	RUA JOÃO ANDRÉ	023434	RUA	\N	N19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11459	RUA JOÃO FERREIRA	023449	RUA	\N	N19/O19	O-L	\N	\N	\N	\N	\N	\N	\N	AV. RECREIO/RUA PROF JOSÉ ARTUR DE CARVALHO	\N	\N	\N	\N	9577979	561032	LAGOA REDONDA	\N	NÃO OFICIAL
11463	TRAV. SÃO JOSÉ	021678	TRAVESSA	SÃO	N19	N-S	\N	\N	\N	\N	005742	RUA ANTÔNIO POMPIL	\N	VEGETAÇÃO(LAGOA REDONDA)	\N	\N	9578979	560971	9578809	560949	LAGOA REDONDA	\N	\N
11464	BECO VITALA	024588	BECO	\N	N19	O-L	\N	\N	\N	\N	\N	\N	003049	AV. RECREIO	\N	\N	\N	\N	9578085	561055	LAGOA REDONDA	\N	\N
11466	RUA GERARDO MARINHO	021682	RUA	\N	N19/N20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11468	RUA JATOBÁ	005763	RUA	\N	N19/N20	O-L	\N	\N	\N	\N	003049	AV. RECREIO	\N	LAGOA DA PRECABURA	\N	\N	9578278	561094	9578237	561513	LAGOA REDONDA	\N	\N
11470	RUA VICENTE DOMINGOS	009113	RUA	\N	N19/O19	N-S	\N	\N	\N	\N	\N	\N	021686	RUA PAULO PARENTE	\N	\N	\N	\N	9577949	561111	LAGOA REDONDA	\N	\N
11472	RUA DA FAZENDINHA	021683	RUA	\N	N20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11473	RUA SAMUEL WAYNE	021684	RUA	\N	N20	O-L	\N	\N	\N	\N	003049	AV. RECREIO	\N	LAGOA DA PRECABURA	\N	\N	9578731	561190	9578682	561496	LAGOA REDONDA	\N	TB CONHECIDA POR MARIA HILÁRIO (NÃO OFICIAL)
11474	RUA VICENTE PIO	005751	RUA	\N	N20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11475	RUA MIGUEL PIO	009668	RUA	\N	N20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11477	SD	040715	RUA	\N	N20	O-L	\N	\N	\N	\N	\N	RUA DA FAZENDINHA	\N	\N	CERCA	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11479	RUA HERCULANO SILVA	021685	RUA	\N	N20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11480	SD	040714	RUA	\N	N20	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA JATOBÁ	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11481	SD	040713	RUA	\N	N20	O-L	\N	\N	\N	\N	\N	AV. RECREIO	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11482	RUA DO LÍRIO	023642	RUA	\N	N20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11483	AVENIDA MAVIGNIER	023743	AVENIDA	\N	N20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11484	SD	040719	RUA	\N	N21	N-S	\N	\N	\N	\N	\N	RUA TERRA DAS FLORES	\N	\N	RUA MANOEL MAVIGNIER	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11486	RUA CARNEIRO LEÃO	022706	RUA	\N	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11487	TRAVESSA SOROCABA	024424	TRAVESSA	\N	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11488	RUA SOROCABA	005541	RUA	\N	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11489	RUA PRECABURA	005739	RUA	\N	N21/O21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11490	RUA SÃO MATEUS	005543	RUA	SÃO	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11491	RUA SÃO JOÃO	023422	RUA	SÃO	N21/G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA/GENIBAÚ	\N	\N
11492	RUA SÃO JUDAS	023569	RUA	SÃO	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11493	RUA SÃO MARCOS	023775	RUA	SÃO	N21/G08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA/PICI	\N	\N
11494	RUA SÃO JORGE	023482	RUA	SÃO	N21/R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA/COACU	\N	\N
11495	RUA SÃO BARTOLOMEU	022553	RUA	SÃO	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11498	RUA SILAS	024398	RUA	\N	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11499	RUA SÃO TOMÉ	007053	RUA	SÃO	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11502	SD	040716	RUA	\N	N21	O-L	\N	\N	\N	\N	\N	RUA SÃO MARCOS	\N	\N	RUA SÃO JORGE	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11503	SD	040717	RUA	\N	N21	O-L	\N	\N	\N	\N	\N	RUA SÃO TIMÓTEO	\N	\N	RUA DO SOL	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11505	RUA TERRAL	021661	RUA	\N	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11506	\N	024457	TRAVESSA	\N	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11507	BECO ÁGUAS BRANCAS	022361	BECO	\N	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11508	TRAVESSA ÁGUAS BRANCAS	022360	TRAVESSA	\N	N21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11513	TRAVESSA  DAS  FLORES	021657	TRAVESSA	\N	N22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11515	RUA SIMONE	024404	RUA	\N	N22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11516	RUA ANTÔNIO CANUTO	022446	RUA	\N	N22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11519	SD	040724	RUA	\N	N22	O-L	\N	\N	\N	\N	\N	SD (040723)	\N	\N	AV. MANUEL MAVIGNIER	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11520	SD	040720	RUA	\N	N22	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA DONA PERPÉTUA REIS	EDIFICAÇÃO	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
11523	RUA DONA PERPÉTUA REIS	024157	RUA	DONA	N22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11524	SD	040721	RUA	\N	N22	N-S	\N	\N	\N	\N	\N	RUA TERRA DAS FLORES	\N	\N	AV. MANUEL MAVIGNIER	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11528	AVENIDA LITORÂNEA	023645	AVENIDA	\N	N22/O22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11529	TRAV. MANUEL MAVIGNER	023753	TRAVESSA	\N	N23	O-L	7268/93	\N	9139/93	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	não tem decreto??????
11530	RUA JUAZEIRO	023566	RUA	\N	N23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11534	RUA 3 (SABIAQUARA)	021653	RUA	\N	N23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11536	TRAVESSA COTELCE	021643	TRAVESSA	\N	N23	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11537	SD	040726	RUA	\N	N23	N-S	\N	\N	\N	\N	\N	AV. COTELCE	\N	\N	MATA	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11538	SD	040725	RUA	\N	N23	N-S	\N	\N	\N	\N	\N	AV. MANOEL MAVIGNIER	\N	\N	COFECO	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
11618	RUA DO NASCIMENTO	023924	RUA	\N	O04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
11619	RUA NOSSA SENHORA DE FÁTIMA	023973	RUA	\N	O04/N16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO/MESSEJANA	\N	\N
11620	RUA NOSSA SENHORA DO SOCORRO	023979	RUA	\N	O04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
11622	SD	040727	RUA	\N	O04	N-S	\N	\N	\N	\N	\N	RUA DO NASCIMENTO	\N	\N	RUA NSRA. DE FÁTIMA	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
11623	RUA SÃO FRANCISCO	008102	RUA	SÃO	O04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
11624	RUA SANTA LUZIA	004999	RUA	SANTA	O04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO/MARACANAÚ	\N	\N
11625	RUA SANTA INÊS	023329	RUA	SANTA	O04	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
11689	RUA MARTINS DE LIMA (1)	005911	RUA	\N	O05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	RUA CAMURÇA NETO (FORA)	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
11695	TRAVESSA JÚLIO CESAR (15)	023575	TRAVESSA	\N	O05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO/ FORA	\N	\N
11698	SD	040729	RUA	\N	O05	L-O	\N	\N	\N	\N	\N	CAMINHO/TRILHA	\N	\N	SD (040728)	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
11699	SD	040731	RUA	\N	O05	L-O	\N	\N	\N	\N	\N	RUA CÔNEGO DE CASTRO	\N	\N	RUA PEDESTRE XIV	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
11701	RUA CÔNEGO DE CASTRO	000763	RUA	CÔNEGO	O05	N-S	1671/60	16/12/1960	\N	\N	\N	CARLOS AMORA	\N	000397	002755	005911	\N	\N	\N	\N	CANINDEZINHO / PQ PRES. VARGAS	\N	\N
11702	SD	040730	RUA	\N	O05	L-O	\N	\N	\N	\N	\N	TRAV. 10	\N	\N	MURO	\N	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
11707	SD	040728	RUA	\N	O05	N-S	\N	\N	\N	\N	\N	CAMINHO/TRILHA	\N	\N	TRAV. JÚLIO CÉSAR	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
11708	RUA DAS MARIZEIRAS	005938	RUA	\N	O05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	005859	RIO MARANGUAPINHO	\N	\N	\N	\N	CANINDEZINHO	\N	\N
11709	RUA HERCULANO PENA	001580	RUA	\N	O05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	000763	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
11713	RUA DAS CEREJEIRAS	005880	RUA	\N	O05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006926	006170	\N	\N	\N	\N	PRQ. PRES. VARGAS	\N	\N
11714	RUA ANTÔNIO MOREIRA	006170	RUA	\N	O05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	005867	005880	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
11715	RUA LUCILEIDE GOMES	023667	RUA	\N	O05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023394	LOTEAMENTO	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
11718	RUA LUIS GUEDES	000710	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005878	006438	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11719	RUA ALCINO GUANABARA	002054	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005878	006438	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11721	RUA TULIPAS NEGRAS	005894	RUA	\N	O06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	000763	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11723	RUA OSÓRIO CORREIA	006438	RUA	\N	O06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	000702	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
11724	RUA ANTÔNIO MONTEIRO	008155	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005860	006170	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11727	RUA FRANCISCO BATISTA DA SILVA	005867	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006926	006170	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11729	RUA PROFESSOR CABRAL	005866	RUA	PROFESSOR	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006926	LOTEAMENTO	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11730	RUA VICENTE CELESTINO	005865	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	LOTEAMENTO	LOTEAMENTO	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11731	RUA INÁ BRITO	005864	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	LOTEAMENTO	LOTEAMENTO	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11735	RUA FRANCISCO ALMEIDA	005863	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006926	001580	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11736	RUA SÃO FIDELIS	008098	RUA	SÃO	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006926	SD (GRANJA PALESTINA)	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11737	RUA ANTÔNIO JACÓ	005859	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006926	001580	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11738	RUA PEDRO CABRAL	024133	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006926	001580	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11740	TRAVESSA PEDRO CABRAL	009249	TRAVESSA	\N	O06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	LOTEAMENTO	024133	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11741	RUA RAIMUNDO INOCÊNCIO	024232	RUA	\N	O06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	LOTEAMENTO	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11743	RUA COLOMBO	008597	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006926	005894	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11744	RUA PACAVIRA	000421	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005860	005894	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11745	SD	040732	RUA	\N	O06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	CERCA	006197	\N	\N	\N	\N	PQ STA ROSA	\N	\N
11748	RUA ANA BRITO	005895	RUA	\N	O06/P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11749	TRAVESSA OSVALDO LIMA	024031	TRAVESSA	\N	O06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11750	RUA OSVALDO LIMA	002696	RUA	\N	O06/P07	L-O	4712/76	07/06/1976	11208/2002	20/06/2002	\N	RUA HÉRCULES DE MIRANDA	\N	VIA FÉRREA  FORTAL-MARACANAÚ	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11751	TRAVESSA MENINO JESUS	020173	TRAVESSA	\N	O06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11752	RUA POLIANA	024182	RUA	\N	O06/O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11759	SD	040733	RUA	\N	O07	L-O	\N	\N	\N	\N	\N	AV. MARIA GOMES DE SÁ	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
11760	RUA VIA FÉRREA	024541	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11761	RUA COSME GERÔNIMO	000299	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11762	RUA DR. PROCÓPIO	005898	RUA	DOUTOR	O07/P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11764	TRAVESSA SÃO JOÃO BATISTA	020165	TRAVESSA	SÃO	O07/P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11765	AVENIDA CONTORNO LESTE	007413	AVENIDA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CJ ESPERANCA	\N	\N
11766	AVENIDA B	022524	AVENIDA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CJ ESPERANCA	\N	\N
11769	SD	040734	RUA	\N	O07	N-S	\N	\N	\N	\N	\N	RUA ITAJUÍPE	\N	\N	MURO	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
11770	RUA AMÉLIA CONDE	020180	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11771	RUA 25 DE MAIO	020211	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11772	TRAVESSA 25 DE MAIO	020212	TRAVESSA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11773	RUA SÃO JOSÉ	009221	RUA	SÃO	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11774	RUA IRACEMA	000418	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11775	RUA OTÁVIO LIMA	001234	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11777	TRAVESSA SANTA EDWIRGES	022958	TRAVESSA	SANTA	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11778	TRAVESSA SANTO ANTÔNIO	022434	TRAVESSA	SANTO	O07/C10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022532	008255	\N	\N	\N	\N	MONDUBIM 1/ CARLITO PAMPLONA	\N	\N
11779	AVENIDA MARIA GOMES DE SÁ	006181	AVENIDA	\N	O07/P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1/PANTANAL	\N	\N
11780	RUA LAUREANO LEAL	005872	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11782	RUA BOA VISTA	024650	RUA	\N	O07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024417	006000	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11783	TRAVESSA ANTÔNIO BOTELHO	020218	TRAVESSA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11784	TRAVESSA ANDERSOM	020217	TRAVESSA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11785	TRAVESSA SÃO GERARDO	023198	TRAVESSA	SÃO	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11786	RUA SÃO LUCAS	023651	RUA	SÃO	O07/G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1/GENIBAÚ	\N	\N
11787	TRAVESSA PEREIRA DE SOUZA	020216	TRAVESSA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11788	TRAV. SÃO JOSÉ	023497	TRAVESSA	SÃO	O07/B10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003747	001154	\N	\N	\N	\N	MONDUBIM 1/PIRANBU	\N	\N
11789	TRAVESSA CANINDÉ	020215	TRAVESSA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11790	TRAVESSA GUILHERME ROCHA	020214	TRAVESSA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11792	RUA CACHOEIRA ALEGRE	005846	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	RAQUEL PIRES RIBEIRO DEN. ATUAL
11793	RUA JACANAÚBA	007040	RUA	\N	O07/P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11794	RUA NÓRDICA	005848	RUA	\N	O07/P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11795	RUA RIO DOCE	005850	RUA	\N	O07/O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11796	RUA PAJUÇARA	024051	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11799	RUA ITAJUIPE	007506	RUA	\N	O07/O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1/PANTANAL	\N	\N
11800	RUA ALVARO CHAVES	009219	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11801	RUA U. DE ABRANTES	024496	RUA	\N	O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11803	RUA AFONSO CALIXTO	007507	RUA	\N	O07/O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1/PANTANAL	\N	\N
11805	RUA BENTA GURGEL	020102	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11806	TRAVESSA VITALINO	005851	TRAVESSA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11807	TRAVESSA RIO DOCE	024267	TRAVESSA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11809	RUA DOM PEDRO II	024138	RUA	DOM	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
11812	RUA ARTUR DE SOUZA	006636	RUA	\N	O08/P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2  / PANTANAL	\N	\N
11813	RUA C	020287	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
11814	RUA E	009485	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
11819	RUA HUMBERTO RODRIGUES	005881	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11820	TRAVESSA HUMBERTO RODRIGUES	005986	TRAVESSA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11821	RUA PIRINEUS	007801	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11822	TRAVESSA VALÉRIA	005987	TRAVESSA	\N	O08	N-S	\N	\N	\N	\N	\N	RUA HUMBERTO RODRIGUES	\N	\N	RUA RUFINO GOMES	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11823	RUA RUFINO GOMES	007802	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11824	RUA VILA MARCIA	021313	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11825	RUA VILA HERMÍNIO	021314	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11826	VILA VIRGÍNIA MARIA	007803	VILA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11827	\N	007804	VILA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11828	RUA V. ARLETE	024506	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11829	RUA V. JOÃO PAULO	024508	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11830	RUA HÉLIO BATELÃO	007810	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11831	RUA VILA NADJA	007809	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11832	RUA FRANCISCA AMÉLIA	007808	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11833	RUA JOÃO SALES	007807	RUA	\N	O08/P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2/PANTANAL	\N	\N
11834	RUA AMÉRICA	007811	RUA	\N	O08	L-O	\N	\N	\N	\N	\N	RUA BRAZ CUBAS	\N	\N	AV. GODOFREDO MACIEL	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11835	RUA PARQUE UMARI	006014	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11836	RUA F	023040	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
11837	RUA D	022308	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
11838	RUA G	020249	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
11839	RUA RAPHAEL LIRA PEREIRA	005980	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11841	RUA 1	021272	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11842	RUA BRAZ CUBAS	006781	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11843	RUA VILA NOVA	021334	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
11844	RUA 2	006844	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11845	ALAMEDA VERDE 2	008968	ALAMEDA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11846	ALAMEDA VERDE 1	008967	ALAMEDA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11848	RUA 7	021278	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11849	RUA 3	007745	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11850	RUA 2 (CONJ. ARVOREDO)	006836	RUA	\N	O08/O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11851	RUA ALBERTO SALES	008890	RUA	\N	O08/P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2/PANTANAL	\N	\N
11852	RUA V. MOURA SOUZA	024509	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11853	RUA ANTÔNIO LOPES DE OLIVEIRA	022455	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11854	RUA JOAQUIM JOSÉ DOS SANTOS	023472	RUA	\N	O08/P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11855	RUA GERALDINA M. DA SILVA	021324	RUA	\N	O08/P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11856	RUA FRANCISCO DE ARAÚJO PEREIRA (F. DE A. PEREIRA)	023139	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11857	RUA IPAUMIRIM	007085	RUA	\N	O08/P08	N-S	4583/75	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11858	RUA 8	021279	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11861	RUA 16 (CONJ. ARVOREDO)	006846	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11862	RUA 17 (CONJ. ARVOREDO)	006849	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11864	AVENIDA 2 (CONJ. ARVOREDO)	006844	AVENIDA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11865	RUA 3 (CONJ. ARVOREDO)	006837	RUA	\N	O08/O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11866	RUA 4 (CONJ. ARVOREDO)	006838	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11867	RUA 6 (CONJ. ARVOREDO)	006839	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11868	AVENIDA ARVOREDO	022487	AVENIDA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11869	RUA JOÃO CAMPOS	020273	RUA	\N	O08/P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11870	SD	040735	RUA	\N	O08	N-S	\N	\N	\N	\N	\N	RUA AMÉRICA	\N	\N	CERCA	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
11871	RUA 15 (CONJ. ARVOREDO)	006847	RUA	\N	O08/O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11873	RUA SÃO PEDRO	021333	RUA	SÃO	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11874	TRAVESSA SÃO FRANCISCO	021325	TRAVESSA	SÃO	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11877	RUA 4 (CONJ. ARVOREDO)	007935	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11880	RUA 1 (CONJ. ARVOREDO)	006835	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11884	RUA JAQUEIRA	023414	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11885	RUA AYRTON SENNA	022501	RUA	\N	O09/N17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2 / ALAGADIÇO NOVO	\N	\N
11886	RUA JATÍ	006916	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11887	RUA 1 (CONJ. RENASCER)	022009	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11888	RUA 2 (CONJ. RENASCER)	022114	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11889	RUA 3 (CONJ. RENASCER)	022164	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11890	RUA 4 (CONJ. RENASCER)	022198	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11891	RUA AMARO JOSÉ DE SOUZA	009499	RUA	\N	O09/P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11892	RUA RENATO MAGALHÃES	020195	RUA	\N	O09/P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11893	TRAVESSA JULIANA	023571	TRAVESSA	\N	O09/P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2/PANTANAL	\N	\N
11894	RUA 6 (CONJ. RENASCER)	022242	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11895	RUA 7 (CONJ. RENASCER)	022258	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11896	RUA 8 (CONJ. RENASCER)	022275	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11897	RUA 9 (CONJ. RENASCER)	022291	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11898	RUA 9 (CONJ. ARVOREDO)	006843	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11899	RUA 7 (CONJ. ARVOREDO)	006841	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11900	RUA 8 (CONJ. ARVOREDO)	006842	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11901	RUA 10 (CONJ. ARVOREDO)	006852	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11902	RUA 11 (CONJ. ARVOREDO)	006851	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11903	RUA JABOTICABA	006913	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11904	RUA A (CONJ. MAR FREIRE)	000538	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11905	RUA B (CONJ. MARCOS FREIRE)	000544	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11906	RUA C (CONJ. MAR FREIRE)	022634	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11907	RUA D (CONJ. MAR FREIRE)	022856	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11908	RUA E (CONJ. MARCOS FREIRE)	000562	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11909	RUA DO CAVAN	022725	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11910	RUA JACARANDÁ	006915	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11911	RUA 10 (CONJ. RENASCER)	022042	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11912	RUA 11 (CONJ. RENASCER)	022064	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11913	RUA 12 (CONJ. RENASCER)	022068	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11915	SD	040738	RUA	\N	O09	L-O	\N	\N	\N	\N	\N	RETORNO	\N	\N	RUA E	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
11916	SD	040737	RUA	\N	O09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	SD (040736)	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
11919	SD	040749	RUA	\N	O09	N-S	\N	\N	\N	\N	\N	AV. PRES. COSTA E SILVA (PERIMETRAL)	\N	\N	AV. JOÃO DE ARAÚJO LIMA	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11920	SD	040748	RUA	\N	O09	L-O	\N	\N	\N	\N	\N	RUA 34 (CONJ. RESID. JOSÉ WALTER	\N	\N	RUA 34	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11921	SD	040747	RUA	\N	O09	N-S	\N	\N	\N	\N	\N	AV. CIALNE	\N	\N	AV. PRES. COSTA E SILVA	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
11922	SD	040746	RUA	\N	O09	N-S	\N	\N	\N	\N	\N	AV. PRES. COSTA E SILVA (PERIMETRAL)	\N	\N	MURO	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
11926	AVENIDA CIALNE	022747	AVENIDA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11928	SD	040742	RUA	\N	O09	L-O	\N	\N	\N	\N	\N	RUA MONTE LÍBANO	\N	\N	RETORNO	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
11929	SD	040750	RUA	\N	O09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA MANGABA	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11930	RUA ROQUE MEDEIROS	007433	RUA	\N	O09	\N	5552/82	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11931	RUA MONTE LÍBANO	002475	RUA	\N	O09/P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	SERÁ A MESMA ESTRADA DA PAVUNA ?
11933	RUA 10 (CONJ.RESID. PEQUENO MONDUBIM)	007751	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11934	RUA 12 (CONJ.RESID. PEQUENO MONDUBIM)	007752	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11935	RUA 14 (CONJ.RESID. PEQUENO MONDUBIM)	007753	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11936	RUA 16 (CONJ.RESID. PEQUENO MONDUBIM)	007754	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11937	RUA 1 (CONJ. RESID.PEQUENO MONDUBIM)	007743	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11938	RUA 2 (CONJ.RESID. PEQUENO MONDUBIM)	007744	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11939	RUA 3 (CONJ.RESID. PEQUENO MONDUBIM)	007745	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11940	RUA 4 (CONJ.RESID. PEQUENO MONDUBIM)	007746	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11941	RUA 5 (CONJ.RESID. PEQUENO MONDUBIM)	007747	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11942	RUA 6 (CONJ.RESID. PEQUENO MONDUBIM)	007748	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11943	RUA 8 (CONJ.RESID. PEQUENO MONDUBIM)	007750	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11944	RUA 20 (CONJ.RESID. PEQUENO MONDUBIM)	007756	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11946	RUA FRANKLIN BEZERRA	023159	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
11947	AVENIDA JOÃO DE ARAÚJO	006037	AVENIDA	\N	O09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000937	009146	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11949	SD	040736	RUA	\N	O09	N-S	\N	\N	\N	\N	\N	ÁRVORE	\N	\N	RUA 15 (CONJ. ARVOREDO)	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
11950	RUA 1 (CONJ. RESID.PREF. JOSÉ WALTER)	003507	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12037	TRAVESSA DOM MANOEL	023730	TRAVESSA	DOM	O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ DOIS IRMÃOS	\N	\N
11951	RUA 2 (CONJ.RESID. PREF. JOSÉ WALTER)	001068	RUA	POETA	O09/O10	L-O	5048/1978	18/08/1978	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	02  CONJ. PREF JOSÉ WALTER	\N
11952	RUA 3 (CONJ.RESID. PREF. JOSÉ WALTER)	008365	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11953	RUA 5 (CONJ.RESID. PREF. JOSÉ WALTER)	000846	RUA	\N	O09-10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11954	RUA 10 (CONJ.RESID. PREF. JOSÉ WALTER)	001033	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11956	RUA 27 (CONJ.RESID. PREF. JOSÉ WALTER)	003643	RUA	\N	O09/O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11957	RUA 29 (CONJ.RESID. PREF. JOSÉ WALTER)	003633	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11960	AVENIDA B (CONJ.RESID. PREF. JOSÉ WALTER)	000449	AVENIDA	\N	O09/O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11961	RUA 31 (CONJ. PREF. JOSÉ WALTER)	003471	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11962	RUA 33 (CONJ. PREF. JOSÉ WALTER)	003469	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11963	RUA 35 (CONJ. PREF. JOSÉ WALTER)	004618	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11964	RUA 37 (CONJ. PREF. JOSÉ WALTER)SD	003493	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11965	RUA 32 (CONJ.RESID. PREF. JOSÉ WALTER)	003462	RUA	\N	O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11966	RUA 34 (CONJ. PREF. JOSÉ WALTER)	003466	RUA	\N	O09/P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11967	RUA 36 (CONJ. PREF. JOSÉ WALTER)	003467	RUA	\N	O09/P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11975	SD	040751	RUA	\N	O10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AV. PRES. COSTA E SILVA	RIACHO GUARANI	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11978	PRAÇA DA CIRTERNA	022761	PRAÇA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11979	RUA 6 (CONJ.RESID. PREF. JOSÉ WALTER)	003239	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11981	RUA 7 (CONJ.RES.PREF. JOSÉ WALTER)	003267	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11982	RUA 9 (CONJ.RESID. PREF. JOSÉ WALTER)	002605	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11984	RUA 11 (CONJ.RESID. PREF. JOSÉ WALTER)	002664	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11985	AVENIDA M (CONJ.RESID. PREF. JOSÉ WALTER)	002255	AVENIDA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11989	RUA 39 (CONJ. PREF. JOSÉ WALTER)	008404	RUA	\N	O10/P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11990	RUA 22 (CONJ.RESID. PREF. JOSÉ WALTER)	008399	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11994	RUA 47 (CONJ.RESID. PREF. JOSÉ WALTER)	002960	RUA	\N	O10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000003	003259	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11995	RUA 28 (CONJ.RESID. PREF. JOSÉ WALTER)	003634	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11996	RUA 26 (CONJ.RESID. PREF. JOSÉ WALTER)	008401	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
11998	RUA 43 (CONJ.RESID. PREF. JOSÉ WALTER)	002961	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12003	RUA 20 (CONJ. PREF. JOSÉ WALTER)	003624	RUA	\N	O10/O09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12005	RUA 51 (CONJ.RESID. PREF. JOSÉ WALTER)	000759	RUA	\N	O10/P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12006	RUA 53 (CONJ. PREF. JOSÉ WALTER)	000853	RUA	\N	O10/P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12007	RUA 24 (CONJ.RESID. PREF. JOSÉ WALTER)	008400	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12008	RUA 18 (CONJ. PREF. JOSÉ WALTER)	001046	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12010	RUA 55 (CONJ. PREF. JOSÉ WALTER)	000847	RUA	\N	O10/P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12011	RUA 57 (CONJ. PREF. JOSÉ WALTER)	000852	RUA	\N	O10/P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12012	RUA 59 (CONJ. PREF. JOSÉ WALTER)	000849	RUA	\N	O10/P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12013	AVENIDA A (CONJ.RESID. PREF. JOSÉ WALTER)	000003	AVENIDA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12014	AVENIDA I (CONJ.RESID. PREF. JOSÉ WALTER)	001617	AVENIDA	\N	O10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000937	001545	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12015	AVENIDA K (CONJ.RESID. PREF. JOSÉ WALTER)	002091	AVENIDA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12016	RUA 8 (CONJ.RESID. PREF. JOSÉ WALTER)	002633	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12017	RUA 13 (CONJ.RESID. PREF. JOSÉ WALTER)	003446	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12018	RUA 15 (CONJ.RESID. PREF. JOSÉ WALTER)	002984	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12019	RUA 17 (CONJ.RESID. PREF. JOSÉ WALTER)	001043	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12021	RUA 4 (CONJ.RESID. PREF. JOSÉ WALTER)	003718	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12022	RUA 12 (CONJ.RESID. PREF. JOSÉ WALTER)	001098	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12023	RUA 19 (CONJ.RESID. PREF. JOSÉ WALTER)	001039	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12024	RUA 21 (CONJ.RESID. PREF. JOSÉ WALTER)	003648	RUA	\N	O10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12029	AVENIDA PRESIDENTE COSTA E SILVA (PERIMETRAL)	000937	AVENIDA	PRESIDENTE	O10/P12	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER/PASSARÉ	\N	\N
12032	AVENIDA PRESIDENTE COSTA E SILVA	000937	AVENIDA	PRESIDENTE	O11	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ DOIS IRMÃOS CJ. JOSÉ WALTER	\N	\N
12035	TRAVESSA NOVO BRASIL	023992	TRAVESSA	\N	O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ DOIS IRMÃOS	\N	\N
12036	TRAVESSA MONTENEGRO	023894	TRAVESSA	\N	O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ DOIS IRMÃOS	\N	\N
12038	RUA RAIMUNDO MACIEL	005642	RUA	\N	O11	N-S	\N	\N	\N	\N	\N	RUA GIOVANI BATISTA	\N	\N	AV. PRES. COSTA E SILVA	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12039	RUA CLEMENTE SILVA	005644	RUA	\N	O11	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ. DOIS IRMÃOS	\N	\N
12040	RUA MICHELE	005639	RUA	\N	O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ DOIS IRMÃOS	\N	\N
12045	RUA NOSSA SENHORA AUXILIADORA	005650	RUA	\N	O11	L-O	\N	\N	\N	\N	\N	\N	\N	\N	CERCA	SD	\N	\N	\N	\N	PASSARÉ	\N	\N
12046	TRAVESSA AUXILIADORA	005646	TRAVESSA	\N	O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ DOIS IRMÃOS	\N	\N
12047	RUA INDIANÁPOLIS	005640	RUA	\N	O11	L-O	\N	\N	\N	\N	\N	AV. DA SAUDADE	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12052	RUA UCRÂNIA	005651	RUA	\N	O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ DOIS IRMÃOS	PLANALTO conhecida como - MAT.20929- CRI 2 ZONA	\N
12053	RUA AMÉLIA ALVES BEZERRA	005652	RUA	\N	O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ DOIS IRMÃOS	\N	\N
12059	RUA SÃO CRISTÓVÃO	005662	RUA	\N	O11/O12	L-O	5972/85	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	CRISTOVÃO, SÃO
12060	RUA CAETANO SILVA	020056	RUA	\N	O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12061	BECO OLIVEIRA	024021	BECO	\N	O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12062	RUA DAS OLIVEIRAS	005673	RUA	\N	O11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12064	SD	040755	RUA	\N	O11	N-S	\N	\N	\N	\N	\N	RUA CAETANO SILVA	\N	\N	RUA DAS OLIVEIRAS	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12065	SD	040752	RUA	\N	O11	N-S	\N	\N	\N	\N	\N	DRENO/VALA	\N	\N	AV. PRES. COSTA E SILVA	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
12066	SD	040754	RUA	\N	O11	N-S	\N	\N	\N	\N	\N	SD (040753)	\N	\N	RUA SÃO CRISTOVÃO	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12067	SD	040756	RUA	\N	O11	N-S	\N	\N	\N	\N	\N	RUA BARÃO STO. ÂNGELO	\N	\N	RUA RAIMUNDO MACIEL	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
12068	SD	040753	RUA	\N	O11	L-O	\N	\N	\N	\N	\N	AV. PADARIA ESPIRITUAL	\N	\N	AV. DA SAUDADE	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12069	RUA BOA ESPERANÇA	022599	RUA	\N	O12/P12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12072	SD	040759	RUA	\N	O12	L-O	\N	\N	\N	\N	\N	RUA LAGOA DA PRATA	\N	\N	RUA BOA ESPERANÇA	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12076	RUA LAGOA DA  PRATA	023610	RUA	\N	O12/P12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12081	RUA 5 (CONJ. JARDIM CASTELÃO)	008879	RUA	\N	O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12082	RUA 6  (CONJ. JARDIM CASTELÃO)	008880	RUA	\N	O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12084	RUA 11 (CONJ. JARDIM CASTELÃO)	022062	RUA	\N	O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12085	RUA ELDORADO	004655	RUA	\N	O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12090	RUA 1 (CONJ. JARDIM CASTELÃO)	007495	RUA	\N	O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12091	RUA 2 (CONJ. JARDIM CASTELÃO)	007496	RUA	\N	O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12092	RUA 3 (CONJ. JARDIM CASTELÃO)	007497	RUA	\N	O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12093	RUA 4 (CONJ. JARDIM CASTELÃO)	007498	RUA	\N	O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12094	RUA M. SILVA	023712	RUA	\N	O12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12096	ESTRADA ITAPERI	004673	ESTRADA	\N	O12/P12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12097	SD	040757	RUA	\N	O12	L-O	\N	\N	\N	\N	\N	ESTRADA ITAPERI	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12098	SD	040758	RUA	\N	O12	L-O	\N	\N	\N	\N	\N	RETORNO	\N	\N	ESTRADA ITAPERI	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12104	RUA B	022510	RUA	\N	O13/N12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12105	RUA B (CONJ.SANTA RITA)	022520	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12106	AVENIDA A  (CONJ. JOÃO PAULO II)	022300	AVENIDA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12107	RUA A (CONJ.SANTA RITA)	009464	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12108	RUA D (CONJ.SANTA RITA)	022868	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12111	RUA 12 (CONJ.JOÃO PAULO II)	009506	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12112	RUA 2 (CONJ.JOÃO PAULO II)	022111	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12113	RUA 3  (CONJ.JOÃO PAULO II)	022170	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12114	RUA 5 (CONJ.JOÃO PAULO II)	022221	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12115	RUA 8 (CONJ.JOÃO PAULO II)	022280	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12116	RUA 4 (CONJ.JOÃO PAULO II)	022195	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12117	RUA 13 (CONJ.JOÃO PAULO II)	022074	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12118	RUA 14 (CONJ.JOÃO PAULO II)	022082	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12119	RUA 15 (CONJ.JOÃO PAULO II)	022086	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12120	RUA 16 (CONJ.JOÃO PAULO II)	022090	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12121	RUA C (CONJ.JOÃO PAULO II)	009377	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12122	RUA N (CONJ.JOÃO PAULO II)	023915	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12123	RUA 9 (CONJ.JOÃO PAULO II)	022289	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12124	TRAVESSA A (CONJ.JOÃO PAULO II)	022323	TRAVESSA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12125	RUA JANGURUSSU B (CONJ.JOÃO PAULO II)	023412	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12126	RUA M (CONJ.JOÃO PAULO II)	009788	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12127	RUA D (CONJ.JOÃO PAULO II)	022855	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12128	RUA O (FAVELA 1º DE MARÇO ÁREA DE OCUPAÇÃO)	023999	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12129	RUA C (FAVELA 1º DE MARÇO ÁREA DE OCUPAÇÃO)	022629	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12132	RUA H (FAVELA 1º DE MARÇO ÁREA DE OCUPAÇÃO)	023255	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12133	RUA I (FAVELA 1º DE MARÇO ÁREA DE OCUPAÇÃO)	023299	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12136	AV. CAP. HUGO BEZERRA	001606	AVENIDA	CAPITÃO	O13/O14	L-O	5255/80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12137	RUA 17 (CONJ.JOÃO PAULO II)	022096	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12138	RUA E (CONJ.JOÃO PAULO II)	009290	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12139	RUA F (CONJ.JOÃO PAULO II)	023033	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12140	RUA G (CONJ.JOÃO PAULO II)	023169	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12141	RUA O (CONJ.JOÃO PAULO II)	024001	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12142	RUA H (CONJ.JOÃO PAULO II)	023260	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12143	RUA 10 (CONJ.JOÃO PAULO II)	022041	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12144	RUA 18 (CONJ.JOÃO PAULO II)	022099	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12145	RUA 19 (CONJ.JOÃO PAULO II)	022101	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12147	RUA 20 (CONJ.JOÃO PAULO II)	022131	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12148	RUA 21 (CONJ.JOÃO PAULO II)	022137	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12149	RUA 7 (CONJ.JOÃO PAULO II)	022256	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12150	RUA 22 (CONJ.JOÃO PAULO II)	022140	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12151	RUA 30 (CONJ.JOÃO PAULO II)	022183	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12152	RUA 11 (CONJ.JOÃO PAULO II)	022063	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12153	RUA 24 (CONJ.JOÃO PAULO II)	022146	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12154	RUA 23 (CONJ.JOÃO PAULO II)	022143	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12155	TRAVESSA 3 (CONJ.JOÃO PAULO II)	022161	TRAVESSA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12156	RUA MONSENHOR OTÁVIO SANTIAGO	006371	RUA	MONSENHOR	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12157	RUA PEDESTRE 1 (CONJ. ANTÔNIO CORREIA)	024106	RUA	\N	O13/P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12158	RUA 1 (CONJ. ANTÔNIO CORREIA)	008572	RUA	\N	O13/O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12159	RUA 2 (CONJ. ANTÔNIO CORREIA)	008573	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12161	RUA 4 (CONJ. ANTÔNIO CORREIA)	008575	RUA	\N	O13/P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12162	RUA MARIA IVONE	006594	RUA	\N	O13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12164	RUA 4	008575	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12165	RUA MARIA IVONE	006294	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12167	RUA AMARO BANDEIRA	004462	RUA	\N	O14	O-L	5255/1980	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12168	RUA B	005705	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12171	RUA 3 (CONJ. ANTÔNIO CORREIA)	008574	RUA	\N	O14/P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12173	SD	040767	RUA	\N	O14	L-O	\N	\N	\N	\N	\N	RUA CAPITÃO WALDEMAR	\N	\N	RUA CENTRAL	\N	\N	\N	\N	\N	BARROSO	\N	\N
12174	RUA CENTRAL	006628	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12175	RUA DA CONFIANÇA	006292	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12177	RUA 12	007567	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12178	RUA 13	007568	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12179	SD	040763	RUA	\N	O14	L-O	\N	\N	\N	\N	\N	RUA GERMANO SOARES	\N	\N	RUA AUGUSTO CALHEIROS	\N	\N	\N	\N	\N	BARROSO	\N	\N
12180	SD	040762	RUA	\N	O14	L-O	\N	\N	\N	\N	\N	RUA AUGUSTO CALHEIROS	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12181	RUA MANOEL FIGUEIREDO	004476	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12182	RUA SÃO BENTO	004473	RUA	SÃO	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12183	RUA DAURA	004474	RUA	\N	O14	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12185	PRAÇA DO REMO	009738	PRAÇA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12186	SD	040765	RUA	\N	O14	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA CENTRAL	\N	\N	\N	\N	\N	BARROSO	\N	\N
12187	TRAVESSA REMO	024251	TRAVESSA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12188	RUA AUGUSTO CALHEIROS	004468	RUA	\N	O14	L-O	5664/1982	06/12/1982	\N	\N	\N	\N	\N	\N	000926	006129	\N	\N	\N	\N	BARROSO	ESTELA, RUA  MATRICULA  .	Conforme cartografia  localizada no Lot. Granja Castelo.
12189	SD	040764	RUA	\N	O14	L-O	\N	\N	\N	\N	\N	TRAVESSA SAGRES	\N	\N	RUA CAPITÃO WALDEMIR	\N	\N	\N	\N	\N	BARROSO	\N	\N
12190	RUA IDALINA MURINELLY	004467	RUA	\N	O14/P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12192	RUA MARIA PERDIGÃO	005792	RUA	\N	O14	N-S	5255/80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	BECO DO SANATÓRIO (MATR. 3686 e 27571 DO CRI  2 ZONA	LEI ESPECIFICA A LOCALIZAÇÃO
12194	RUA FRANCISCO IGOR	005793	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12195	TRAVESSA PERDIGÃO	024154	TRAVESSA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12196	TRAVESSA SAGRES	020063	TRAVESSA	\N	O14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	005795	009738	\N	\N	\N	\N	BARROSO	\N	\N
12298	RUA INDEPENDÊNCIA	023326	RUA	\N	O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12197	RUA MAXIMINO BARRETO	002403	RUA	\N	O14	L-O	1671/60	16/12/1960	\N	\N	\N	RUA MARÍLIA	\N	000107	007181	003675	\N	\N	\N	\N	BARROSO / MESSEJANA	\N	\N
12198	RUA GERMANO SOARES	023203	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12199	RUA FRANCISCO NEPONUCENO	009183	RUA	\N	O14/P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12200	RUA RAIMUNDO ALEXANDRE	006815	RUA	\N	O14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	LOTEAMENTO	023203	\N	\N	\N	\N	BARROSO	\N	\N
12201	RUA 14	007569	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12202	RUA 15	007570	RUA	\N	O14	L-O	\N	\N	\N	\N	\N	RUA NOÊMIA	\N	\N	RUA 5 (JARDIM GLÓRIA	\N	\N	\N	\N	\N	BARROSO	\N	\N
12203	RUA CORONEL VIRGÍLIO TÁVORA	005802	RUA	CORONEL	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12204	RUA NOÊMIA	005799	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12205	RUA LOURALBER MONTEIRO	005795	RUA	\N	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12206	RUA VALÉRIA	003531	RUA	\N	O14	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12208	RUA SANTA BEATRIZ	000489	RUA	SANTA	O14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12209	RUA JONAS BEZERRA	007084	RUA	\N	O14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007189	000861	\N	\N	\N	\N	BARROSO	\N	\N
12210	RUA MUCAMBINHO	002471	RUA	\N	O14	N-S	5092/78	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12211	RUA CEL. JOSÉ BARBOSA	023524	RUA	CORONEL	O14/P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12214	RUA BEATRIZ	005801	RUA	\N	O14/O15	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12215	RUA ROSITA	003152	RUA	\N	O14	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12217	\N	022926	TRAVESSA	\N	O14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000926	003675	\N	\N	\N	\N	MESSEJANA	\N	\N
12218	RUA LIMA DUARTE	002537	RUA	\N	O14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000926	003675	\N	\N	\N	\N	MESSEJANA	\N	\N
12219	RUA HERBENE	001579	RUA	\N	O14/P14	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12220	RUA CLÉIA	000861	RUA	\N	O14	L-O	1671/60	16/12/1960	\N	\N	\N	RUA CELINA	\N	001579	000926	023203	\N	\N	\N	\N	MESSEJANA	\N	\N
12222	BR - 116	007189	RODOVIA	\N	O15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12225	RUA LOPES TROVÃO	002191	RUA	\N	O15	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12226	RUA LEÔNCIO TABOSA	009248	RUA	\N	O15	L-O	1671/60	16/12/1960	\N	\N	\N	RUA CUSTÓDIO DE MELO	\N	000107	002191	007189	\N	\N	\N	\N	MESSEJANA	\N	\N
12231	RUA NOVA QUIETUDE	000926	RUA	\N	O15	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	CONHECIDA ATUALMENTE COMO NOVA QUIETUDE
12233	TRAVESSA JARDIM TRIUNFO	006921	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	mesma trav maria vieira  ( cod  11076)	\N
12234	TRAVESSA ZENI VITOR	021478	TRAVESSA	\N	O15	\N	4566/75	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12235	RUA ALVES RIBEIRO	000188	RUA	\N	O15	L-O	1671/1960	16/12/1960	\N	\N	\N	RUA CIBELE	\N	000107	CIRILO, FREI	007189	\N	\N	\N	\N	MESSEJANA	\N	ESTA RUA DEVE SOFRER RENUMERAÇÃO
12236	RUA JURITI	002079	RUA	\N	O15	L-O	1671/60	16/12/1960	\N	\N	\N	RUA CUSTÓDIO DE MELO	\N	002191	021484	000926	\N	\N	\N	\N	MESSEJANA	\N	\N
12237	TRAVESSA JURITI	021484	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12238	RUA CONDADO	000902	RUA	\N	O15	L-O	1671/60	16/12/1960	\N	\N	\N	RUA MARÍLIA	\N	002191	007181	002191	\N	\N	\N	\N	MESSEJANA	\N	\N
12239	RUA MADRE ANA COUTO	007188	RUA	MADRE	O15	N-S	5129/1979	\N	\N	\N	\N	BR 116 nova	\N	PAULO SETUBAL	\N	\N	\N	\N	\N	\N	MESSEJANA	ESTRADA PARANGABA - MESSEJANA TRECHO DA	LEI  ESPECIFICA O INICIO E FIM
12240	TRAVESSA ALVES RIBEIRO	022395	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12241	RUA PAULO SETUBAL	002783	RUA	\N	O15	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12242	RUA ALMIRA	022383	RUA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12244	SD	040769	RUA	\N	O15	N-S	\N	\N	\N	\N	\N	RUA MAXIMINO BARRETO	\N	\N	RUA GRANJA CASTELO	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12245	SD	040768	RUA	\N	O15	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA ALBERTO TORRES	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12246	SD	040770	RUA	\N	O15	L-O	\N	\N	\N	\N	\N	SD (040767)	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12247	SD	040771	RUA	\N	O15	N-S	\N	\N	\N	\N	\N	RUA LEÔNCIO TABOSA	\N	\N	SD (040768)	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12249	TRAVESSA JOÃO PESSOA	023460	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12250	TRAVESSA JOAQUIM PESSOA	005488	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12251	TRAVESSA CIRILO MENDES	022759	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12252	TRAVESSA PROFESSOR JUSTINO	023585	TRAVESSA	PROFESSOR	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12253	RUA PADRE EZEQUIEL	021471	RUA	PADRE	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12254	TRAVESSA PADRE EZEQUIEL	021470	TRAVESSA	PADRE	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12257	RUA MANOEL FERNANDES	005523	RUA	\N	O15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	RUA ELIZIÁRIO MENDES	RUA FARIAS LEMOS	\N	\N	\N	\N	MESSEJANA	\N	\N
12258	TRAVESSA FREDERICO SEVERO	001376	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12259	RUA VILAMAR DAMASCENO	009389	RUA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12260	TRAVESSA ELIS REGINA	022966	RUA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12261	TRAVESSA CLARA NUNES	021469	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12262	TRAVESSA EVALDO BRAGA	023020	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12263	TRAVESA CHACRINHA	021436	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12264	TRAVESSA ELVIS PRESLEY	021435	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12265	RUA RAUL SEIXAS	009391	RUA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12266	RUA LUIZITO GEMA	023684	RUA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12267	TRAVESSA CARLOS ALEXANDRE	022696	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12268	TRAVESSA ASA BRANCA	021473	TRAVESSA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12269	RUA IRMÃ AMÁLIA	006576	RUA	IRMÃ	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12270	RUA LETÍCIA	002151	RUA	\N	O15	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12271	TRAVESSA NICOLAU COELHO	009250	TRAVESSA	\N	O15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	FECHADA	002556	\N	\N	\N	\N	MESSEJANA	\N	\N
12273	RUA ANDRELÂNDIA	005549	RUA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12274	RUA FREI HENRIQUE	001563	RUA	FREI	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12277	RUA EUDES CARDOSO	001214	RUA	\N	O15/O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12279	RUA PERO VAZ	002858	RUA	\N	O15/O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12280	RUA PESSOA	024161	RUA	\N	O15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12283	RUA NOSSA SENHORA DE FÁTIMA	023974	RUA	\N	O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12284	TRAVESSA SÃO MIGUEL	023868	TRAVESSA	SÃO	O16/O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA/CURIO	\N	\N
12285	RUA 24 DE NOVEMBRO	021434	RUA	\N	O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12287	RUA TEN. JOSÉ NEWTON	002006	RUA	TENENTE	O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12288	RUA VASCO DE ATHAÍDE	003540	RUA	\N	O16	O-L	\N	\N	\N	\N	\N	\N	\N	\N	LOTEAMENTO	003540	\N	\N	\N	\N	MESSEJANA	\N	\N
12289	RUA AFONSO HENRIQUE	000059	RUA	\N	O16	O-L	\N	\N	\N	\N	002556	RUA NICOLAU COELHO	005706	RUA PEDRO LOPES	\N	\N	9577306	556367	9576900	557849	GUAJERU/CURIO	\N	\N
12291	RUA CEL. MATOS BELOS	002398	RUA	CORONEL	O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12292	RUA GUILHERME PESSOA	001534	RUA	\N	O16/P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12295	TRAVESSA MARGARIDA	021431	TRAVESSA	\N	O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12297	RUA IMPERATRIZ	023322	RUA	\N	O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12300	TRAVESSA VIOLETA	024582	TRAVESSA	\N	O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12301	TRAVESSA MAGNÓLIA	021433	TRAVESSA	\N	O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12302	RUA CECÍLIA MEIRELES	005126	RUA	\N	O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12303	RUA JACARANDÁ	023393	RUA	\N	O16/P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA/PQ PRES. VARGAS	\N	\N
12304	RUA RUTILO	024318	RUA	\N	O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12305	RUA BARTOLOMEU DIAS	000483	RUA	\N	O16/P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12307	RUA CEL. ERNESTO MATOS	001182	RUA	CORONEL	O16	N-S	1671/60	16/12/1960	\N	\N	\N	001867	\N	FIM DO LOTEAMENTO	000059	008980	\N	\N	\N	\N	MESSEJANA	\N	\N
12308	RUA MUNIZ FREIRE	002520	RUA	\N	O16/P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12309	RUA CAPANEMA	000687	RUA	\N	O16/P16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12311	RUA DIOGO FEIJÓ	001057	RUA	\N	O16/P16	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12313	RUA CEL. JOÃO DE OLIVEIRA	023447	RUA	CORONEL	O16	O-L	\N	\N	\N	\N	\N	\N	\N	\N	002556	003690	\N	\N	\N	\N	MESSEJANA	\N	\N
12314	RUA DUARTE DA COSTA	001104	RUA	\N	O16/P16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12315	RUA TOMÉ DE SOUZA	003421	RUA	\N	O16/P16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12316	AVENIDA MEM DE SÁ	002420	AVENIDA	\N	O16/P16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12317	RUA VICENTE NOBRE MACEDO	003590	RUA	\N	O16/P16	N-S	4528/75	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12318	RUA BRAZ VIDAL	005454	RUA	\N	O16/P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12319	RUA CAPITÃO SANTOS	005453	RUA	CAPITÃO	O16/P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12320	RUA DOM SILVÉRIO	006398	RUA	DOM	O16/P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12322	RUA FRANCISCO LEANDRO	006827	RUA	\N	O16/O17	O-L	\N	\N	\N	\N	003590	RUA VICENTE NOBRE MACEDO	007664	RUA PROF. JOSÉ ARTUR DE CARVALHO	\N	\N	9577546	557335	9577144	558097	MESSEJANA/CURIO	\N	\N
12329	TRAVESSA CAPRICHO	005480	TRAVESSA	\N	O17	O-L	\N	\N	\N	\N	003690	AV. WASHINGTON  SOARES	005717	RUA VILA NOVA	\N	\N	9577772	557669	9577351	558174	CURIO	\N	\N
12330	TRAVESSA GAMBOA	023186	TRAVESSA	\N	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CURIO	\N	\N
12332	TRAVESSA TERRA DOS SANTOS	024456	TRAVESSA	\N	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CURIO	\N	\N
12333	RUA JOAQUIM	023468	RUA	\N	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CURIO	\N	\N
12334	TRAVESSA ELIEL	005475	TRAVESSA	\N	O17	O-L	\N	\N	\N	\N	003690	AV. WASHINGTON  SOARES	007612	AV. ODILON GUIMARÃES	\N	\N	9577381	557625	9577209	557859	CURIO	\N	\N
12335	BECO ELIEL I	020137	BECO	\N	O17	N-S	\N	\N	\N	\N	005475	TRAV. ELIEL	\N	EDIFICAÇÕES (CONJ. VASCO ATHAÍDE)	\N	\N	9577266	557777	9577232	557752	CURIO	\N	\N
12336	BECO ELIEL II	020138	BECO	\N	O17	N-S	\N	\N	\N	\N	005475	TRAV. ELIEL	\N	EDIFICAÇÕES (CONJ. VASCO ATHAÍDE)	\N	\N	9577244	557805	\N	\N	CURIO	\N	\N
12337	TRAVESSA JOANA SOARES	023421	TRAVESSA	\N	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CURIO	\N	\N
12338	RUA JOANA SOARES	005456	RUA	\N	O17	N-S	\N	\N	\N	\N	009399	RUA SANTA RITA DO ALAGADIÇO	003690	AV. WASHINGTON  SOARES	\N	\N	\N	\N	9577156	557605	CURIO	\N	\N
12344	BECO CAPRICHO	022689	BECO	\N	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CURIO	\N	\N
12345	RUA AMBRÓSIO DE CARVALHO	005715	RUA	\N	O17	O-L	\N	\N	\N	\N	003690	AV. WASHINGTON  SOARES	005686	RUA JOSÉ BONFIM JUNIOR	\N	\N	9577648	557640	9577190	558620	CURIO/LAGOA REDONDA	\N	Rua com alguns trechos invadidos
12348	TRAVESSA CORINTO	022805	TRAVESSA	\N	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
12349	TRAVESSA CAMOMILA	022670	TRAVESSA	\N	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
12350	RUA VILA NOVA	005717	RUA	\N	O17	\N	8343/99	26/10/1999	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU/CURIO	\N	\N
12352	RUA BARÃO DE LUCENA	008131	RUA	BARÃO	O17	O-L	\N	\N	\N	\N	007664	AV.  PROF. JOSÉ ARTUR DE CARVALHO (ANTIGA CURIÓ)	\N	\N	\N	\N	9577174	557914	\N	\N	GUAJERU/LAGOA REDONDA	\N	\N
12360	BECO ELZA LEITE	022974	BECO	\N	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CURIO	\N	\N
12361	RUA WILSON PEREIRA	003696	RUA	\N	O17/P17	N-S	4103/72	10/11/1972	\N	\N	008131	RUA BARÃO DE LUCENA	001835	RUA JOÃO PEREIRA	\N	\N	9577041	558065	9575868	557682	GUAJERU	\N	\N
12362	RUA COSME DE ALMEIDA	005704	RUA	\N	O17/P17	N-S	4103/72	10/11/1972	\N	\N	\N	\N	005703	RUA PROF. JOSÉ HENRIQUE	\N	\N	\N	\N	9576592	558093	CURIO/GUAJERU	\N	\N
12368	TRAVESSA ARAÇATUBA	020136	TRAVESSA	\N	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CURIO	\N	\N
12369	RUA ARAÇATUBA	020135	RUA	\N	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CURIO	\N	\N
12370	RUA CAIO FACÓ	005705	RUA	\N	O17/P17	N-S	\N	\N	\N	\N	002523	RUA MURITIAPUÁ	005703	RUA PROF. JOSÉ HENRIQUE	\N	\N	9577971	558448	9576581	558189	CURIO/GUAJERU	\N	\N
12373	RUA VOLTA REDONDA	009184	RUA	\N	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CURIO/LAGOA REDONDA	\N	\N
12374	TRAVESSA RIVÂNIA	024281	TRAVESSA	\N	O17	O-L	\N	\N	\N	\N	005685	RUA CAP JUSTINO FERREIRA RAMOS	005686	RUA JOSÉ BONFIM JÚNIOR	\N	\N	9577781	558528	9577754	558724	LAGOA REDONDA	\N	\N
12376	RUA CAPITÃO JUSTINO FERREIRA RAMOS	005685	RUA	CAPITÃO	O17/P17	\N	4090/72	\N	\N	\N	007612	AV. ODILON GUIMARÃES	020141	ESTRADA DO GUAJERU	\N	\N	9578072	558564	9576488	558278	CURIO/GUAJERU/LAGOA REDONDA	\N	\N
12377	RUA LOURDES VIDAL ALVES	005684	RUA	\N	O17/P17	N-S	4601/75	\N	\N	\N	007612	AV. ODILON GUIMARÃES (ESTRADA  DA LAGOA REDONDA)	020141	ESTRADA DO GUAJERU	\N	\N	9578131	558679	9576415	558370	LAGOA REDONDA	9 do Loteamento Esplanada do Curió) E RUA ENTRE AS QUADRAS 55 E 60, 56 E 61 57 E 62, 58 E 63, 59 E 64  DO LOT. PARQUE  SÃO MIGUEL.	lei especifica  o começo e o fim
12378	RUA JOSÉ BONFIM JUNIOR	005686	RUA	\N	O17/P17	N-S	\N	\N	\N	\N	007612	AV. ODILON GUIMARÃES	020141	ESTRADA DO GUAJERU	\N	\N	9578182	558784	9576346	558460	LAGOA REDONDA	\N	\N
12380	TRAVESSA MOTA MACHADO	021700	TRAVESSA	\N	O17	N-S	\N	\N	\N	\N	005731	RUA SANTA ISABEL	005458	RUA NENÉM ARRUDA	\N	\N	9577578	558799	9577413	558772	LAGOA REDONDA	\N	\N
12381	TRAVESSA VILA DA PÁSCOA	024559	TRAVESSA	\N	O17	O-L	\N	\N	\N	\N	005686	RUA JOSÉ BONFIM JUNIOR	021700	TRAV. MOTA MACHADO	\N	\N	9577501	558685	9577479	558786	LAGOA REDONDA	\N	\N
12382	TRAVESSA SÃO GERALDO	023197	TRAVESSA	SÃO	O17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CURIO	\N	\N
12383	RUA SANTA ISABEL	005731	RUA	SANTA	O17/O18	O-L	\N	\N	\N	\N	005685	RUA CAP. JUSTINO FERREIRA RAMOS	005688	RUA DES. PAULO DE TARSO	\N	\N	9577542	559006	9577632	558494	LAGOA REDONDA	\N	\N
12384	TRAVESSA POR DO SOL	024187	TRAVESSA	\N	O17	N-S	\N	\N	\N	\N	024250	TRAV. REJANE	\N	SD	\N	\N	9577662	558677	9577549	558656	LAGOA REDONDA	\N	\N
12385	TRAVESSA AMANHÃ	021669	TRAVESSA	\N	O17	N-S	\N	\N	\N	\N	024250	TRAV. REJANE	\N	SD	\N	\N	9577666	558653	9577549	558656	LAGOA REDONDA	\N	\N
12386	TRAVESSA REJANE	024250	TRAVESSA	\N	O17	O-L	\N	\N	\N	\N	005684	RUA LOURDES VIDAL ALVES	005686	RUA JOSÉ BONFIM JÚNIOR	\N	\N	9577677	558612	9577659	558708	LAGOA REDONDA	\N	\N
12389	RUA MURITIAPUÁ	002523	RUA	\N	O17/O18	O-L	\N	\N	\N	\N	003700	AV. ENG. LEAL LIMA VERDE (RUA LEÃO VASCONCELOS)	005688	RUA DES. PAULO DE TARSO (FIM DO LOTEAMENTO)	\N	\N	\N	\N	9577885	559052	CURIO/LAGOA REDONDA	\N	\N
12396	RUA DES. PAULO TASSO	005688	RUA	DESEMBARGADOR	O18	N-S	\N	\N	\N	\N	\N	SÍTIO PIRIPIRI (CERCA)	007664	AV. PROF. JOSÉ ARTUR DE CARVALHO (ANTIGA CURIÓ)	\N	\N	9578043	559077	9576983	559098	LAGOA REDONDA	\N	\N
12397	SD	040776	RUA	\N	O18	O-L	\N	\N	\N	\N	\N	MURO	\N	\N	RUA SAPICUÁ	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12398	SD	040775	RUA	\N	O18	O-L	\N	\N	\N	\N	\N	AV. PROF. JOSÉ ARTUR DE CARVALHO (ANT. CURIÓ)	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12399	TRAVESSA MARROCOS	009740	TRAVESSA	\N	O18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12400	TRAVESSA CEL. JOSÉ BEZERRA	001947	TRAVESSA	CORONEL	O18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12401	SD	040774	RUA	\N	O18	O-L	\N	\N	\N	\N	\N	RUA DES. PAULO TASSO	\N	\N	ÁRVORE	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12402	SD	040773	RUA	\N	O18	O-L	\N	\N	\N	\N	\N	RUA DES. PAULO TASSO	\N	\N	CAMINHO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12403	SD	040772	RUA	\N	O18	N-S	\N	\N	\N	\N	\N	RUA JOAQUIM FERREIRA	\N	\N	MURO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12404	TRAVESSA EDUARDO GUIMARÃES	006812	TRAVESSA	\N	O18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12405	RUA C (CONDOMINIO EDSOM CORREIA)	022628	RUA	\N	O18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12406	RUA MIGUEL GUIMARÃES	006812	RUA	\N	O18	N-S	8423/2000	12/04/2000	11630/2004	17/05/2004	\N	AV ODILON GUIMARÃES	\N	Av. Prof. José ARTHUR DE CARVALHO	\N	\N	\N	\N	559496	9577117	LAGOA REDONDA	MIGUEL GUIMARÃES  E  COLETORA LOT.LAGUNA PARK 4)	VIA COLETORA PROJETADA
12407	RUA NELSON COELHO	003781	RUA	\N	O18	N-S	\N	\N	\N	\N	007664	AV. PROF JOSÉ ARTUR DE CARVALHO	\N	SÍTIO ALBERTO CRAVEIRO (VEGETAÇÃO)	\N	\N	9577112	559481	9575765	560110	LAGOA REDONDA	\N	\N
12408	RUA RAFAEL PEREIRA	024219	RUA	\N	O18	\N	\N	\N	\N	\N	\N	\N	007664	RUA PROF JOSÉ ARTUR DE CARVALHO	\N	\N	\N	\N	9577235	559844	LAGOA REDONDA	\N	\N
12409	RUA 5 (LAGOA REDONDA)	008549	RUA	\N	O18	N-S	\N	\N	\N	\N	007664	AV. PROF. JOSÉ ARTUR DE CARVALHO	\N	VEGETAÇÃO	\N	\N	9577169	559647	\N	\N	LAGOA REDONDA	\N	\N
12410	RUA 8 (LAGOA REDONDA)	008552	RUA	\N	O18	O-L	\N	\N	\N	\N	\N	RIO CANALIZADO	008549	RUA 5	\N	\N	9577086	559587	9577116	559669	LAGOA REDONDA	\N	\N
12411	RUA 7 (LAGOA REDONDA)	022263	RUA	\N	O18	O-L	\N	\N	\N	\N	\N	RIO CANALIZADO	008549	RUA 5	\N	\N	9577043	559632	9577063	559696	LAGOA REDONDA	\N	\N
12412	RUA 6 (LAGOA REDONDA)	008550	RUA	\N	O18	O-L	\N	\N	\N	\N	\N	RIO CANALIZADO	008549	RUA 5	\N	\N	9577000	559680	9577014	559724	LAGOA REDONDA	\N	\N
12416	RUA GILBERTO AVELINO	023208	RUA	\N	O18/P18	O-L	\N	\N	\N	\N	008549	RUA 5	005749	RUA FRANCISCO AVELINO	\N	\N	\N	\N	9577013	560012	LAGOA REDONDA	\N	\N
12418	RUA SAPICUÁ	006004	RUA	\N	O19	N-S	\N	\N	\N	\N	006382	RUA JOSÉ ANDRÉ	\N	AV. PROF. JOSÉ ARTUR DE CARVALHO	\N	\N	9577940	560331	9577291	560081	LAGOA REDONDA	\N	\N
12420	SD	040777	RUA	\N	O19	O-L	\N	\N	\N	\N	\N	ÁRVORE	\N	\N	MATA	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12421	RUA ROSA MEIRINHA	005966	RUA	\N	O19	O-L	\N	\N	\N	\N	006004	RUA SAPICUÁ	005712	TRAV. TABEBUIA	\N	\N	9577795	560252	9577663	560493	LAGOA REDONDA	\N	\N
12422	RUA JILÓ	005713	RUA	\N	O19	\N	\N	\N	\N	\N	006004	RUA SAPICUÁ	\N	VEGETAÇÃO	\N	\N	9577863	560289	9577746	560507	LAGOA REDONDA	\N	\N
12423	RUA ANTÔNIO AUGUSTO	005714	RUA	\N	O19	O-L	\N	\N	\N	\N	006004	RUA SAPICUÁ	005712	TRAV. TABEBUIA	\N	\N	9577724	560216	9577591	560454	LAGOA REDONDA	\N	\N
12424	TRAVESSA SIMIÃO	021697	TRAVESSA	\N	O19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12425	TRAVESSA TABEBUIA	005712	TRAVESSA	\N	O19	N-S	\N	\N	\N	\N	005966	RUA ROSA MEIRINHA	005714	RUA ANTÔNIO AUGUSTO	\N	\N	9577663	560493	9577591	560455	LAGOA REDONDA	\N	\N
12426	RUA CAPITÃO XIMENES	021692	RUA	CAPITÃO	O19	N-S	\N	\N	\N	\N	\N	SD	007664	AV. PROF. JOSÉ ARTUR DE CARVALHO	\N	\N	9577511	560557	9577383	560524	LAGOA REDONDA	\N	\N
12427	RUA MARIA BEZERRA	005756	RUA	\N	O19	N-S	\N	\N	\N	\N	\N	VEGETAÇÃO	AV. PROF JOSÉ ARTUR DE CARVALHO	AV. PROF JOSÉ ARTUR DE CARVALHO	\N	\N	9577495	560585	9577396	560562	LAGOA REDONDA	\N	\N
12428	RUA RAQUEL FLORÊNCIO	005985	RUA	\N	O19/P19	N-S	\N	\N	\N	\N	007664	RUA PROF JOSÉ ARTUR DE CARVALHO	006040	ESTRADA DO ITAMBÊ	\N	\N	9577383	560524	9576706	560361	LAGOA REDONDA	\N	\N
12429	RUA DAS PALMEIRAS	021693	RUA	\N	O19/P19	O-L	\N	\N	\N	\N	021691	RUA RAQUEL FLORÊNCIO	\N	VEGETAÇÃO (LAGOA DA PRECABURA)	\N	\N	9577172	560450	\N	\N	LAGOA REDONDA	\N	\N
12430	AVENIDA PROFESSOR JOSÉ ARTUR DE CARVALHO (ANTIGA CURIÓ)	007664	AVENIDA	PROFESSOR	O19/P18	N-S	7570/94	19/07/1994	9553/94	21/12/1994	007612	AV. ODILON GUIMARÃES	003049	AV. RECREIO	\N	\N	9577187	557845	9577979	561032	LAGOA REDONDA/CURIO/GUAJERU	CURIÓ, av	 dec. 9553/94 localizou a Rua mas foi revogado peo  Dec.9658/95 de 06/06/95. Sentença proferida no Proc. 2000.0090.2139-7/0 da 7ª vara da Fazenda Pública anulou os Dec. 9658 DE 06/06/95 e DEC  9788 DE 10/01/96
12431	RUA RAMIRO FERREIRA	021695	RUA	\N	O19	O-L	\N	\N	\N	\N	007664	RUA PROF JOSÉ ARTUR DE CARVALHO	\N	VEGETAÇÃO	\N	\N	9577777	560811	9577746	560909	LAGOA REDONDA	\N	Na Lei: Av. Recreio ao lado direito da Escola 1º Grau Fernanda Alencar
12433	RUA ALFREDO CORREIA	021675	RUA	\N	O19	O-L	\N	\N	\N	\N	007664	RUA PROF JOSÉ ARTUR DE CARVALHO	\N	\N	\N	\N	9577609	560837	\N	\N	LAGOA REDONDA	\N	RUA NÃO OFICIAL - NÃO ABERTA
12434	RUA MARIA ALEXANDRINA	023793	RUA	\N	O19	O-L	\N	\N	\N	\N	007664	AV. PROF JOSÉ ARTUR DE CARVALHO	\N	\N	\N	\N	9577440	560696	\N	\N	LAGOA REDONDA	\N	\N
12435	TRAVESSA PARUARA	024074	TRAVESSA	\N	O19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12436	PRAÇA SÃO JOSÉ	023498	PRAÇA	SÃO	O19/N10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA/MONDUBIM 2	\N	\N
12437	RUA DAS LARANJEIRAS	005736	RUA	\N	O19/O20	O-L	\N	\N	\N	\N	007664	RUA PROF JOSÉ ARTUR DE CARVALHO	\N	LAGOA DA PRECABURA	\N	\N	9577801	560938	9577639	561428	LAGOA REDONDA	\N	\N
12438	RUA MANGUEIRA	005737	RUA	\N	O19	O-L	\N	\N	\N	\N	007664	RUA PROF JOSÉ ARTUR DE CARVALHO	005735	RUA CAJAZEIRAS	\N	\N	9577889	560985	9577836	561141	LAGOA REDONDA	\N	\N
12441	RUA PAULO PARENTE	021686	RUA	\N	O19/O20	N-S	\N	\N	\N	\N	\N	AV. RECREIO/RUA PROF JOSÉ ARTUR DE CARVALHO	\N	LAGOA DA PRECABURA	\N	\N	9577979	561032	9577877	561346	LAGOA REDONDA	\N	\N
12443	RUA CAJARANA	005734	RUA	\N	O20	N-S	\N	\N	\N	\N	021686	RUA PAULO PARENTE	005736	RUA DAS LARANJEIRAS	\N	\N	9577906	561256	9577713	561200	LAGOA REDONDA	\N	\N
12456	SD	040778	RUA	\N	O20	N-S	\N	\N	\N	\N	\N	RUA FORTALEZA	\N	\N	RUA DR. FEIJÓ	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12468	RUA SÃO TIMÓTEO	024467	RUA	SÃO	O21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
12469	RUA SÃO CARLOS	021673	RUA	SÃO	O21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
12478	RUA DO SOL	024418	RUA	\N	O21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
12486	SD	040779	RUA	\N	O21	O-L	\N	\N	\N	\N	\N	ÁRVORE	\N	\N	MATA	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12487	ESTRADA DO COQUEIRINHO	022801	ESTRADA	\N	O21/O22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
12488	RUA LISBOA	023643	RUA	\N	O21	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FORA	\N	\N
12489	ESTRADA CARARU-MANGABEIRA	022691	ESTRADA	\N	O22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
12491	SD	040782	RUA	\N	O22	O-L	\N	\N	\N	\N	\N	ESTRADA DO SOL	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12492	ESTRADA DA MANGABEIRA	023723	ESTRADA	\N	O22	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SABIAGUABA	\N	\N
12493	SD	040781	RUA	\N	O22	O-L	\N	\N	\N	\N	\N	AV. LITORÂNEA	\N	\N	MATA	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12495	SD	040780	RUA	\N	O22	O-L	\N	\N	\N	\N	\N	ESTRADA DO COQUERINHO	\N	\N	ESTRADA DA MANGABEIRA	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
12549	RUA GERALDO NOBRE (04)	005908	RUA	\N	P05/P06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12550	TRAV. 10	022046	TRAVESSA	\N	P05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	LOTEAMENTO	024633	\N	\N	\N	\N	PQ PRES. VARGAS / FORA	\N	\N
12551	TRAV. 09	022297	TRAVESSA	\N	P05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005911	024633	\N	\N	\N	\N	PQ PRES. VARGAS / FORA	\N	\N
12554	TRAVESSA BENIGNO PEREIRA (07)	022580	TRAVESSA	\N	P05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005912	006321	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12556	TRAVESSA AGOSTINHO BEZERRA (06)	022359	TRAVESSA	\N	P05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	LOTEAMENTO	RIACHO ALTO ALEGRE	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12558	TRAVESSA ANTÔNIO CHACON (05)	020842	TRAVESSA	\N	P05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005911	006321	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12560	RUA ANTÔNIO CHACON	005913	RUA	\N	P05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	LOTEAMENTO	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12566	RUA ALTO ALEGRE (2)	022385	RUA	\N	P06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	020847	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12567	TRAVESSA MARTINS DE LIMA	023823	TRAVESSA	\N	P06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005912	005908	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12568	RUA VICENTE FERRET (03)	005910	RUA	\N	P06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023394	LOTEAMENTO	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12571	RUA FRANCISCO INÁCIO (06)	020848	RUA	\N	P06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRQ. PRES. VARGAS	\N	\N
12576	TRAVESSA JACARANDÁ (02)	023395	TRAVESSA	\N	P06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12577	RUA LIMA CAMPOS	020847	RUA	\N	P06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12580	RUA CARLOS TERTULIANO	005912	RUA	\N	P06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024541	LOTEAMENTO	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12581	SD	040784	RUA	\N	P06	L-O	\N	\N	\N	\N	\N	RUA D	\N	\N	AVENIDA A	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
12585	TRAV. 1	022024	TRAVESSA	\N	P06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
12588	SD	040783	RUA	\N	P06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AV. CONTORNO SOL	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
12589	AVENIDA A	022327	AVENIDA	\N	P06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12591	RUA GOMES DE CARNEIRO	020167	RUA	\N	P06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12593	RUA MIGUEL ARAGÃO	023869	RUA	\N	P06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12594	RUA LUIZ PORFÍRIO SALES	020168	RUA	\N	P06/P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12595	RUA 4 DE OUTUBRO	002972	RUA	\N	P06/Q07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12596	RUA B	022525	RUA	\N	P06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12597	RUA JOVÊNCIO SALES (RUA C)	023564	RUA	\N	P06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005895	002972	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12598	RUA D	022853	RUA	\N	P06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12599	RUA E	023563	RUA	\N	P06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	023916	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12602	RUA MARIA DE NASARÉ	020208	RUA	\N	P06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12603	RUA LUCIANO SILVA	020209	RUA	\N	P06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020208	020168	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12604	RUA F	023041	RUA	\N	P06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	023916	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12605	RUA SÃO TURÍBIO	024495	RUA	SÃO	P06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12606	RUA SÃO JORGE	000076	RUA	SÃO	P06  Q06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	023916	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12607	RUA ANA	022415	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12610	RUA C	022647	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12611	RUA OLAVO LIMA	024010	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12612	RUA HERCULES DE MIRANDA	020179	RUA	\N	P07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005895	023869	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12613	TRAVESSA JOÃO	023430	TRAVESSA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12621	TRAVESSA SARGENTO DOMINGOS	022916	TRAVESSA	SARGENTO	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12622	SD	040785	RUA	\N	P07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA DA PALMA	AV. DR. JOSÉ BORBA VASCONCELOS	\N	\N	\N	\N	MONDUBIM	\N	\N
12623	RUA JACY	007038	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12625	RUA PAULO MENDONÇA	007106	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12626	RUA CACHOEIRA ALEGRE	005846	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12627	RUA JANGAL	007037	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12628	RUA JACOPEMBA	007041	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12629	RUA JATAY	007033	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12631	TRAVESSA JACANAÚBA	020176	TRAVESSA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12632	TRAVESSA VIRGOLÂNDIA	020178	TRAVESSA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12633	RUA SARGENTO NERY	006178	RUA	SARGENTO	P07/P08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12635	RUA JEQUETIBÁ	007036	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12636	RUA JANAÚBA	007039	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12637	RUA ANGELIM	007035	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12638	RUA CARLOS ESTEVO	007034	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
12641	RUA DIREITA	009606	RUA	\N	P07/Q07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12642	RUA FORMOSA	009594	RUA	\N	P07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040785	006000	\N	\N	\N	\N	PANTANAL	\N	\N
12643	RUA DOS COELHOS	009605	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12645	RUA OUTEIRO	021310	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12646	RUA N	006010	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12647	RUA DA GLÓRIA	009595	RUA	\N	P07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RIACHO MARTINHO	024417	\N	\N	\N	\N	PANTANAL	\N	\N
12648	RUA DAS BELAS	009596	RUA	\N	P07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RIACHO MARTINHO	024417	\N	\N	\N	\N	PANTANAL	\N	\N
12649	RUA DA PALMA	009597	RUA	\N	P07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	DRENO/VALA	024417	\N	\N	\N	\N	PANTANAL	\N	\N
12651	RUA DO SOL 1	024417	RUA	\N	P07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12652	RUA SANTA TEREZA	009612	RUA	SANTA	P07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024417	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	P ANTANAL	\N	\N
12653	RUA SANTA IZABEL	009598	RUA	SANTA	P07A08	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	024417/008285	006000/008269	\N	\N	\N	\N	PANTANAL/BARRA DO CEARÁ	\N	\N
12658	RUA APOSTOLO PAULO	024092	RUA	APÓSTOLO	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12661	RUA DA CONCEIÇÃO	009600	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024417	006000	\N	\N	\N	\N	PANTANAL	\N	\N
12662	TRAVESSA JOAQUIM CORREIA	023469	TRAVESSA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12663	RUA CRUZEIRO DO SUL	022826	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12664	RUA DOS MILAGRES	023872	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12665	RUA JOAQUIM CORREIA	009252	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12666	RUA PONTES	024185	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13044	RUA JOSELITA  PARENTE	002035	RUA	\N	P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12667	RUA ESTRELA DALVA	023010	RUA	\N	P08	N-S	8341/99	26/10/99	\N	\N	\N	\N	\N	\N	020124	006000	\N	\N	\N	\N	PANTANAL	\N	\N
12668	RUA DO CÉU	021347	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12669	RUA DO APOCALÍPSE	020275	RUA	\N	P08	L-O	8313/1999	18/10/1999	\N	\N	\N	\N	\N	\N	RUA PARANAÍ	RUA ESTRELA DALVA	\N	\N	\N	\N	MONDUBIM	\N	DIÁRIO NA PASTA
12670	RUA DA AMIZADE	021293	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020275	021294	\N	\N	\N	\N	PANTANAL	\N	\N
12671	RUA JOSÉ VICENTE	021284	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020124	006000	\N	\N	\N	\N	PANTANAL	\N	\N
12672	RUA NETUNO	021285	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020124	006000	\N	\N	\N	\N	PANTANAL	\N	\N
12673	RUA GERÔNCIO BEZERRA	023206	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020275	021294	\N	\N	\N	\N	PANTANAL	\N	\N
12674	RUA MONIQUE ALVES	021295	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020275	021294	\N	\N	\N	\N	PANTANAL	\N	\N
12675	RUA FORTALEZA	021359	RUA	\N	P08	\N	8316/1999	18/10/1999	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	DIÁRIO NA PASTA
12676	RUA MILTON GONSALVES	021294	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12677	RUA TRINDADE	021317	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021294	006000	\N	\N	\N	\N	PANTANAL	\N	\N
12678	RUA BOA HORA	021318	RUA	\N	P08	\N	8314/99	18/10/99	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	DIÁRIO NA PASTA
12679	RUA DAS FLORES	023093	RUA	\N	P08/O07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL/MONDUBIM 1	\N	\N
12684	RUA JOAQUIM FACUNDO	023471	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12685	RUA ANTÔNIO ALEXANDRE	021286	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12686	RUA MAJOR GERARDO MENDES	023201	RUA	MAJOR	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12927	TRAV. C (CONJ.SANTA RITA)	022640	TRAVESSA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12687	RUA OSCAR ROMERO	009588	RUA	\N	P08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA PLANALTINA	RUA ANTÔNIO ALEXANDRE	\N	\N	\N	\N	MONDUBIM	\N	\N
12688	TRAVESSA WAGNER MARINHO	024594	TRAVESSA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12689	RUA SÃO JORGE	023486	RUA	SÃO	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12690	TRAVESSA APOCALÍPSE	021401	TRAVESSA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12691	RUA DOS ANCIÕES	021377	RUA	\N	P08	N-S	8315/1999	18/10/99	\N	\N	\N	\N	\N	\N	020275	021294	\N	\N	\N	\N	PANTANAL	\N	DIÁRIO NA PASTA
12692	RUA MARCELO COSTA	023768	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006035	021318	\N	\N	\N	\N	PANTANAL	\N	\N
12693	RUA WAGNER MARINHO	009479	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009604	021318	\N	\N	\N	\N	PANTANAL	\N	\N
12694	SD	040790	RUA	\N	P08	L-O	\N	\N	\N	\N	\N	RUA PROF. PEDRO JORGE	\N	\N	MURO	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
12695	AVENIDA SÃO FRANCISCO	021303	AVENIDA	SÃO	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020262	020124	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12696	RUA DR. ALMEIDA LUSTOSA	021394	RUA	DOUTOR	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12697	RUA PAULINHO PAIKAN	024084	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12698	RUA FRANCISCA MARIA DA CONCEIÇÃO	020124	RUA	\N	P08/Q08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12699	RUA FREI TEODORO	020296	RUA	FREI	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020262	020124	\N	\N	\N	\N	PANTANAL	\N	\N
12700	SD	040792	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	RUA ARTUR DE SOUSA	\N	\N	RUA JUVENTUDE	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
12701	RUA FRANCISCA DE ARAÚJO PEREIRA	023102	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12702	RUA FRANCISCO ANTÔNIO DE ARAÚJO	021302	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12704	RUA ANTÔNIO AUGUSTO	021323	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12706	SD	040793	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	RUA PAULINO PAIKAN	\N	\N	RUA FRANCISCA MARIA DA CONCEIÇÃO	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12707	RUA JUVENTUDE	020262	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2 / PANTANAL	\N	\N
12709	RUA DO SOL	009604	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12710	RUA GOMES DE FREITAS	002482	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12711	RUA JOAQUIM DOS ANJOS	006035	RUA	\N	P08/P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12712	RUA AMARAL PEIXOTO	000665	RUA	\N	P08	\N	8322/1999	18/10/1999	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	DIÁRIO NA PASTA
12713	RUA QUIXADÁ	008888	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020262	009252	\N	\N	\N	\N	PANTANAL	\N	\N
12714	RUA ORQUÍDEA VERDE	009394	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000665	024084	\N	\N	\N	\N	MONDUBIM	\N	\N
12715	RUA CHICO MENDES	009586	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020262	020124	\N	\N	\N	\N	MONDUBIM	\N	\N
12716	RUA ANDRÉ LUIZ	021300	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12717	TRAVESSA ANDRÉ LUIZ	021400	TRAVESSA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12719	RUA ACRE	021301	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12725	SD	040787	RUA	\N	P08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA GERARDO MENDES	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
12726	RUA BATISTA LIMA	021291	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12727	TRAVESSA TIANGUÁ	003387	TRAVESSA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12728	RUA ANTÔNIO PEREIRA	006009	RUA	\N	P08/P09	L-O	\N	\N	\N	\N	\N	AV. JOÃO DE ARAÚJO	\N	\N	RUA QUIXADÁ	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12730	\N	009500	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007085	020124	\N	\N	\N	\N	PANTANAL	\N	\N
12731	RUA 31 DE JANEIRO	008009	RUA	\N	P08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA PALMIRIM	RUA PLANALTINA	\N	\N	\N	\N	MONDUBIM	\N	\N
12735	RUA APUCARANA	009122	RUA	\N	P08/P09	\N	8330/99	18/10/1999	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	DIARIO NA PASTA
12736	RUA NENE TOMÉ	023933	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12737	RUA VILA	024557	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12738	RUA CLARINDO CARNEIRO NETO	022770	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12739	RUA PROF. MARCOS VINICIUS	021395	RUA	PROFESSOR	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12740	RUA FRANCISCO PALÉCIO	021398	RUA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12741	RUA PARANAÍ	006027	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007085	009252	\N	\N	\N	\N	PANTANAL	\N	\N
12742	RUA RIBEIRÃO BONITO	006030	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006009	000665	\N	\N	\N	\N	PANTANAL	\N	\N
12743	SD	040788	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	RUA IPAUMIRIM	\N	\N	AV. SÃO FRANCISCO	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
12744	SD	040789	RUA	\N	P08	L-O	\N	\N	\N	\N	\N	SD (040788)	\N	\N	AV. SÃO FRANCISCO	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
12745	RUA CAXIAS	022726	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040910	020275	\N	\N	\N	\N	PANTANAL	\N	\N
12746	RUA PROF. PEDRO JORGE	021382	RUA	PROFESSOR	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006009	006003	\N	\N	\N	\N	PANTANAL	\N	\N
12747	RUA CORONEL QUEIROZ	006003	RUA	CORONEL	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12749	RUA GASPAR DUTRA	020191	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020124	006000	\N	\N	\N	\N	PANTANAL	\N	\N
13048	RUA JAQUELINE	005790	RUA	\N	P15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12750	TRAVESSA GASPAR DUTRA	023188	TRAVESSA	\N	P08/M06	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	020191/000763	008009/023187	\N	\N	\N	\N	PANTANAL/CANINDEZINHO	\N	\N
12752	RUA IPAUMIRIM	007085	RUA	\N	P09	N-S	4583/75	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12757	RUA VIRGÍLIO NETO	006002	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007085	FINAL DAS CASAS DA RUA	\N	\N	\N	\N	PANTANAL	\N	\N
12759	TRAVESSA NOVO HORIZONTE	023993	TRAVESSA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12761	RUA CEL. DE QUEIROZ	006003	RUA	CORONEL	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12764	RUA ANTÔNIO BARBOSA	005999	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024578	PRÓXIMA AO ALAGADO DA LAGOA AZUL	\N	\N	\N	\N	PANTANAL	\N	\N
12766	TRAVESSA ANTÔNIO BARBOSA	022444	TRAVESSA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
12767	RUA 10	001033	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12768	RUA 12	001098	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12769	RUA LEITÃO CERQUEIRA	006001	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12771	RUA 14	002966	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12772	RUA 16	008397	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12773	RUA 18	001046	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12774	RUA 20	003624	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12775	RUA 19 DE MARÇO	005998	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024578	PRÓXIMA AO ALAGADO DA LAGOA AZUL	\N	\N	\N	\N	PANTANAL	\N	\N
12776	RUA LUCAS DE AVELINO	005990	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024578	PRÓXIMA AO ALAGADO DA LAGOA AZUL	\N	\N	\N	\N	PANTANAL	\N	\N
12777	RUA JABORANDI	004794	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
12778	RUA JOSÉ LUCAS	001993	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024578	PRÓXIMA AO ALAGADO DA LAGOA AZUL	\N	\N	\N	\N	PANTANAL	\N	\N
12779	VILA JOÃO GUALBERTO	006038	VILA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12780	TRAVESSA MANOEL ALEXANDRE	005937	TRAVESSA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12782	RUA MIGUEL PEREIRA	005994	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12783	RUA ROSA PEREIRA	005995	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12784	RUA RISALVO	024271	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12786	TRAVESSA BERNARDO	022586	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12787	AVENIDA JOÃO ARAÚJO	004040	AVENIDA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12792	RUA 38 (CONJ. PREF. JOSÉ WALTER)	003465	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12794	AVENIDA C (CONJ. PREF. JOSÉ WALTER)	000654	AVENIDA	\N	P09/P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12795	RUA 42 (CONJ. PREF. JOSÉ WALTER)	002955	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12796	RUA 46 (CONJ. PREF. JOSÉ WALTER)	002959	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12797	RUA 65 (CONJ. PREF. JOSÉ WALTER)	003258	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12798	RUA 67 (CONJ. PREF. JOSÉ WALTER)	003264	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12800	RUA 61 (CONJ. PREF. JOSÉ WALTER)	003266	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12801	RUA 63 (CONJ. PREF. JOSÉ WALTER)	003265	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12802	RUA 50 (CONJ. PREF. JOSÉ WALTER)	000846	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12803	RUA 54 (CONJ. PREF. JOSÉ WALTER)	000850	RUA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12804	AVENIDA D(CONJ. PREF. JOSÉ WALTER)	000989	AVENIDA	\N	P09/P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12805	RUA 79 (CONJ. PREF. JOSÉ WALTER)	003275	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000989	008248	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12806	RUA 81 (CONJ. PREF. JOSÉ WALTER)	002629	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000989	003263	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12807	RUA 83 (CONJ. PREF. JOSÉ WALTER)	002628	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000989	002617	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12808	RUA 85 (CONJ. PREF. JOSÉ WALTER)	002625	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000989	002617	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12809	AVENIDA L(CONJ. PREF. JOSÉ WALTER)	002093	AVENIDA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000003	002617	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12810	RUA 43 (CONJ. PREF. JOSÉ WALTER)	002961	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000003	008248	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12812	RUA 56 (CONJ. PREF. JOSÉ WALTER)	000851	RUA	\N	P09/P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12813	RUA 58 (CONJ. PREF. JOSÉ WALTER)	003978	RUA	\N	P09/P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12814	AVENIDA E (CONJ. PREF. JOSÉ WALTER)	008248	AVENIDA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12815	AVENIDA F(CONJ. PREF. JOSÉ WALTER)	001240	AVENIDA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12816	RUA 97 (CONJ. PREF. JOSÉ WALTER)	002609	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001240	003259	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12831	AVENIDA B(CONJ. PREF. JOSÉ WALTER)	000449	AVENIDA	\N	P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12834	RUA 69 (CONJ. PREF. JOSÉ WALTER)	003260	RUA	\N	P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12836	RUA 73 (CONJ. PREF. JOSÉ WALTER)	003277	RUA	\N	P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12837	RUA 40 (CONJ. PREF. JOSÉ WALTER)	002953	RUA	\N	P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12838	RUA 44 (CONJ. PREF. JOSÉ WALTER)	002958	RUA	\N	P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12839	RUA 77 (CONJ. PREF. JOSÉ WALTER)	003276	RUA	\N	P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12840	RUA 75 (CONJ. PREF. JOSÉ WALTER)	003274	RUA	\N	P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12841	RUA 48 (CONJ. PREF. JOSÉ WALTER)	002957	RUA	\N	P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12842	RUA 52 (CONJ. PREF. JOSÉ WALTER)	000848	RUA	\N	P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12853	RUA 89 (CONJ. PREF. JOSÉ WALTER)	002626	RUA	\N	P10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000989	001545	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13049	RUA SANTA CLARA DE ASSIS	008656	RUA	SANTA	P15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
12854	RUA 91 (CONJ. PREF. JOSÉ WALTER)	002611	RUA	\N	P10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000989	001545	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12855	RUA 93 (CONJ. PREF. JOSÉ WALTER)	002610	RUA	\N	P10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000989	001545	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12856	RUA 95 (CONJ. PREF. JOSÉ WALTER)	002607	RUA	\N	P10/P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000989/001240	001545/003259	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12861	RUA 30 (CONJ. PREF. JOSÉ WALTER)	003456	RUA	\N	P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12864	RUA 71 (CONJ. PREF. JOSÉ WALTER)	003278	RUA	\N	P10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12865	ESTRADA DA ALDEIA	022367	ESTRADA	\N	P10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	SD (SÍTIO MONTENEGRO)	AÇUDE GUARANI	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12866	SD	040795	RUA	\N	P10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	ESTRADA DA ALDEIA	AVENIDA I (CONJ. JOSÉ WALTER)	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12880	ESTRADA DA CHESF	022740	ESTRADA	\N	P12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
12883	RUA SANTA MADALENA	020055	RUA	SANTA	P12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12884	RUA PARAÍSO	004471	RUA	\N	P12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12885	RUA SÃO JOSÉ	021374	RUA	SÃO	P12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12886	RUA SÃO FRANCISCO	021373	RUA	SÃO	P12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
12888	RUA 1º DE JANEIRO	022034	RUA	\N	P12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021094	021039	\N	\N	\N	\N	CONJ. PALMEIRAS	\N	\N
12890	RUA 30 DE DEZEMBRO	021039	RUA	\N	P12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021094	006159	\N	\N	\N	\N	CONJ. PALMEIRAS	\N	\N
12893	RUA MARGARIDA DIAS	021094	RUA	\N	P12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024388	APÓS RUA 1 DE JANEIRO	\N	\N	\N	\N	CONJ. PALMEIRAS	\N	\N
12894	RUA ZÉ DO CRATO	024617	RUA	\N	P12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022793	022034	\N	\N	\N	\N	CONJ. PALMEIRAS	\N	\N
12897	SD	040796	RUA	\N	P12	L-O	\N	\N	\N	\N	\N	RUA MARGARIDA DIAS	\N	\N	RIO	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12898	SD	040797	RUA	\N	P12	N-S	\N	\N	\N	\N	\N	CAMINHO	\N	\N	AV. PRESIDENTE COSTA E SILVA	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12899	SD	040798	RUA	\N	P12	N-S	\N	\N	\N	\N	\N	AV. CONTORNO NORTE	\N	\N	AVENIDA BOULEVARD I	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12902	AVENIDA CONTORNO NORTE	008605	AVENIDA	GOVERNADOR	P12/P13	\N	DL 267/2007	08/08/2007	\N	\N	\N	CONTORNO LESTE, AV.	\N	CONTORNO OESTE, AV	\N	\N	\N	\N	\N	\N	JANGURUSSU	CONTORNO NORTE AV.  - CONJ  SÃO CRISTOVÃO	\N
12904	RUA 101 (CONJ.SÃO CRISTÓVÃO)	008648	RUA	\N	P12/P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12905	RUA 111 (CONJ.SÃO CRISTÓVÃO)	008604	RUA	\N	P12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12907	RUA 202 (CONJ.SÃO CRISTÓVÃO)	008606	RUA	\N	P12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008599	008626	\N	\N	\N	\N	JANGURUSSU	\N	\N
12908	RUA 204 (CONJ.SÃO CRISTÓVÃO)	008607	RUA	\N	P12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008599	008626	\N	\N	\N	\N	JANGURUSSU	\N	\N
12909	RUA 206 (CONJ.SÃO CRISTÓVÃO)	008608	RUA	\N	P12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008599	023251	\N	\N	\N	\N	JANGURUSSU	\N	\N
12910	AVENIDA BOULEVARD I (CONJ.SÃO CRISTÓVÃO)	008642	AVENIDA	\N	P12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008644	023251	\N	\N	\N	\N	JANGURUSSU	\N	\N
12914	AVENIDA MONSENHOR AMARÍLIO RODRIGUES	008611	AVENIDA	\N	P12	L-O	6973 /1991	\N	9366/1994	\N	\N	\N	\N	\N	008647	023251	\N	\N	\N	\N	JANGURUSSU	A  av. DO CONJ. SÃO CRISTOVÃO	\N
12916	RUA H (CONJ.SANTA RITA)	023263	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12917	AVENIDA A (CONJ.SANTA RITA)	022321	AVENIDA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12918	RUA L (CONJ.SANTA RITA)	023599	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12919	BECO CAXAMBÚ (CONJ.SANTA RITA)	006136	BECO	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12920	TRAV.ESPACIAL (CONJ.SANTA RITA)	022993	TRAVESSA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12921	TRAV. E (CONJ.SANTA RITA)	022939	TRAVESSA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12922	RUA E (CONJ.SANTA RITA)	022938	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12923	RUA F (CONJ.SANTA RITA)	023038	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12924	RUA K (CONJ.SANTA RITA)	023588	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12925	TRAV. A (CONJ.SANTA RITA)	022320	TRAVESSA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12926	TRAV.B (CONJ.SANTA RITA)	022521	TRAVESSA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12928	RUA G (CONJ.SANTA RITA)	023175	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12929	TRAV. D (CONJ.SANTA RITA)	022866	TRAVESSA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12930	RUA 10 (CONJ.SANTA RITA)	022044	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12932	RUA 23 (CONJ.SANTA RITA)	006337	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12933	RUA 4 (CONJ.SANTA RITA)	022202	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12934	RUA 1 (CONJ. SANTA RITA)	022012	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
12936	RUA 503 (CONJ.SÃO CRISTÓVÃO II)	008650	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12937	RUA 505 (CONJ.SÃO CRISTÓVÃO II)	008651	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12938	RUA 507 (CONJ.SÃO CRISTÓVÃO II)	008652	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12939	RUA 509 (CONJ.SÃO CRISTÓVÃO II)	008653	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12940	RUA 511 (CONJ.SÃO CRISTÓVÃO II)	008654	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12941	RUA 501 (CONJ.SÃO CRISTÓVÃO II)	008649	RUA	\N	P13/P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12943	AVENIDA PAISAGISTA	008646	AVENIDA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12946	RUA 109 (CONJ.SÃO CRISTÓVÃO)	008603	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12947	RUA 107 (CONJ.SÃO CRISTÓVÃO )	008602	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12948	RUA 105 (CONJ.SÃO CRISTÓVÃO )	008601	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12949	RUA 103 (CONJ.SÃO CRISTÓVÃO )	008600	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12955	RUA 208 (CONJ.SÃO CRISTÓVÃO)	008609	RUA	\N	P13	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008644	023251	\N	\N	\N	\N	JANGURUSSU	\N	\N
12956	RUA 210 (CONJ.SÃO CRISTÓVÃO )	008610	RUA	\N	P13	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008644	023251	\N	\N	\N	\N	JANGURUSSU	\N	\N
12959	RUA 402 (CONJ.SÃO CRISTÓVÃO )	008629	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12960	RUA 404 (CONJ.SÃO CRISTÓVÃO)	008630	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12961	RUA GILBERTO DE CARVALHO	006130	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12962	AVENIDA CONTORNO LESTE(CONJ.SÃO CRISTÓVÃO)	008645	AVENIDA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008646	008647	\N	\N	\N	\N	JANGURUSSU	\N	\N
12963	RUA 426 (CONJ.SÃO CRISTÓVÃO)	008641	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008645	008647	\N	\N	\N	\N	JANGURUSSU	\N	\N
12964	RUA 424 (CONJ.SÃO CRISTÓVÃO)	008640	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008645	008647	\N	\N	\N	\N	JANGURUSSU	\N	\N
12965	RUA 422 (CONJ.SÃO CRISTÓVÃO)	008639	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008645	008647	\N	\N	\N	\N	JANGURUSSU	\N	\N
12966	RUA 420 (CONJ.SÃO CRISTÓVÃO)	008638	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008645	008647	\N	\N	\N	\N	JANGURUSSU	\N	\N
12967	RUA 418 (CONJ.SÃO CRISTÓVÃO)	008637	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008645	008647	\N	\N	\N	\N	JANGURUSSU	\N	\N
12970	RUA 5 (CONJ.SÃO CRISTÓVÃO)	022225	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12971	RUA 12 (CONJ.SÃO CRISTOVÃO)	022070	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12972	RUA 11 (CONJ.SÃO CRISTÓVÃO)	022066	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12973	AVENIDA CONTORNO SUL(CONJ.SÃO CRISTÓVÃO)	008647	AVENIDA	\N	P13/Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12974	RUA 416 (CONJ.SÃO CRISTÓVÃO)	008636	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008605	008647	\N	\N	\N	\N	JANGURUSSU	\N	\N
12975	AVENIDA BOULEVARD   III(CONJ.SÃO CRISTÓVÃO)	008644	AVENIDA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12976	RUA 414 (CONJ.SÃO CRISTÓVÃO)	008635	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12977	RUA 412 (CONJ.SÃO CRISTÓVÃO)	008634	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12979	RUA 301 (CONJ.SÃO CRISTÓVÃO)	008612	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12980	RUA 406 (CONJ.SÃO CRISTÓVÃO)	008631	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12981	RUA 408	008632	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008605	008642	\N	\N	\N	\N	JANGURUSSU	\N	\N
12983	RUA 303	008613	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12984	AVENIDA CASTELO DE CASTRO	008599	AVENIDA	DEPUTADO	P13	N-S	6949/91	\N	\N	\N	\N	av. PRES. COSTA E SILVA	\N	AV. DE CONTORNO  SUL  ?????	000937	LOTEAMENTO	\N	\N	\N	\N	JANGURUSSU	CENTRAL,  AVENIDA   DO CONJUNTO  SÃO CRISTOVÃO	\N
12986	RUA 513 (CONJ.SÃO CRISTÓVÃO)	008655	RUA	\N	P13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12987	SD	040800	RUA	\N	P13	L-O	\N	\N	\N	\N	\N	\N	\N	\N	AV. BOULEVARD III	AV. AMARÍLIO RODRIGUES	\N	\N	\N	\N	JANGURUSSU	\N	\N
12989	SD	040801	RUA	\N	P13	L-O	\N	\N	\N	\N	\N	RUA 513 (CONJ. SÃO CRISTOVÃO II)	\N	\N	AV. PAISAGISTA	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12990	SD	040802	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	RUA 501 (CONJ. SÃO CRISTOVÃO)	\N	\N	RUA GILBERTO CARVALHO	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
12991	RUA 212 (CONJ.SÃO CRISTÓVÃO)	008625	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008605	008611	\N	\N	\N	\N	JANGURUSSU	\N	\N
12992	SD	040803	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AV. CONTORNO LESTE	RUA 5 (LOT. NOVA FORTALEZA)	\N	\N	\N	\N	JANGURUSSU	\N	\N
12995	SD	040799	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AV. PRES. COSTA E SILVA	AV. CASTELO DE CASTRO	\N	\N	\N	\N	JANGURUSSU	\N	\N
12996	SD	040804	RUA	\N	P13	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA 418 (CONJ. SÃO CRISTOVÃO)	RUA 416	\N	\N	\N	\N	JANGURUSSU	\N	\N
12999	RUA 305 (CONJ.SÃO CRISTÓVÃO)	008614	RUA	\N	P13/Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13000	RUA 314 (CONJ.SÃO CRISTÓVÃO)	008618	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008611	008618	\N	\N	\N	\N	JANGURUSSU	\N	\N
13001	RUA 315 (CONJ.SÃO CRISTÓVÃO)	008619	RUA	\N	P13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008611	008618	\N	\N	\N	\N	JANGURUSSU	\N	\N
13006	RUA 5 (CONJ.ANTÔNIO CORREIA)	008576	RUA	\N	P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
13010	RUA 503 (CONJ.ANTÔNIO CORREIA)	008650	RUA	\N	P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13011	RUA 505 (CONJ.ANTÔNIO CORREIA)	008651	RUA	\N	P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13013	RUA PROFESSORA GERALDA ARRUDA	007153	RUA	PROFESSORA	P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13014	TRAVESSA SEVERO ROMANO	021172	TRAVESSA	\N	P14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13015	RUA PAULINA DE ARRUDA	006129	RUA	\N	P14	N-S	5596/82	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARROSO	\N	\N
13016	RUA ANTÔNIO ALVES RIBEIRO	006654	RUA	\N	P14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	LOTEAMENTO	006130	\N	\N	\N	\N	JANGURUSSU	\N	\N
13017	RUA RITA ARRUDA	024280	RUA	\N	P14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000937	LOTEAMENTO	\N	\N	\N	\N	JANGURUSSU	\N	\N
13018	RUA DOMINGOS ALVES RIBEIRO	001075	RUA	\N	P14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PERTO DA RUA MARIA RIBEIRO	008522	\N	\N	\N	\N	JANGURUSSU	\N	\N
13020	RUA IRMÃOS FONTENELE	006070	RUA	\N	P14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000937	006653	\N	\N	\N	\N	JANGURUSSU	\N	\N
13021	RUA MARIA ALVES RIBEIRO	006653	RUA	\N	P14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13023	RUA PORTUGAL	004467	RUA	\N	P14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	004467	006129	\N	\N	\N	\N	BARROSO	\N	\N
13026	RUA FRANCISCO ALVES RIBEIRO	007619	RUA	\N	P14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000937	004777	\N	\N	\N	\N	JANGURUSSU	\N	\N
13027	TRAVESSA JOÃO MARINHO DE SOUZA	006655	TRAVESSA	\N	P14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006654	006653	\N	\N	\N	\N	JANGURUSSU	\N	\N
13029	RUA FLORÊNCIO FONTENELLE	001303	RUA	\N	P14	N-S	4274/73	14/11/73	\N	\N	\N	\N	\N	\N	000937	AÇUDE JANGURUSSU	\N	\N	\N	\N	JANGURUSSU	\N	\N
13032	RUA MANOEL ARRUDA	004465	RUA	\N	P14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000926	001487	\N	\N	\N	\N	BARROSO	\N	\N
13033	RUA TAQUATIARA	000913	RUA	\N	P14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001487	023203	\N	\N	\N	\N	BARROSO	\N	\N
13035	AVENIDA JORNALISTA TOMAZ COELHO	003419	AVENIDA	JORNALISTA	P14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007015	002077	\N	\N	\N	\N	MESSEJANA	\N	\N
13402	RUA PADRE CÍCERO	024572	RUA	PADRE	Q08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13036	RUA JOSÉ HIPÓLITO	001980	RUA	\N	P14	O-L	1671/60	16/12/1960	\N	\N	\N	CIRILO, FREI    AV.	\N	Av. Barão de Aquiraz	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13037	SD	040805	RUA	\N	P14	L-O	\N	\N	\N	\N	\N	RUA JOSELITA PARENTE	\N	\N	RUA FLORÊNCIO FONTENELLE	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13038	BR - 116	007189	RODOVIA	\N	P14/P15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU/MESSEJANA	\N	\N
13042	AVENIDA COLETOR ANTÔNIO GADELHA	000856	AVENIDA	COLETOR	P14	O-L	6887/91	06/06/91	8710/92	03/01/92	\N	007189 (BR-116)	\N	000063 (EDUARDO PORTO)	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13043	RUA SANTA ROSÁLIA	003145	RUA	SANTA	P14	O-L	\N	\N	\N	\N	\N	\N	\N	\N	007189	APÓS A RUA JOÃO IVO	\N	\N	\N	\N	MESSEJANA	\N	\N
13051	RUA RIO TINTO	005789	RUA	\N	P15	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008656	007189	\N	\N	\N	\N	MESSEJANA	\N	\N
13056	RUA SANTA ÂNGELA	000252	RUA	SANTA	P15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	007189	RIACHO DA LEVADA	\N	\N	\N	\N	MESSEJANA	\N	\N
13057	RUA GUARUJÁ	004070	RUA	\N	P15	O-L	8985/2005	14/09/2005	\N	\N	\N	\N	\N	\N	007189	024130	\N	\N	\N	\N	MESSEJANA	GUARUJÁ	LEI   ESPECÍFICA
13058	RUA UBERLÂNDIA	003497	RUA	\N	P15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	007189	024130	\N	\N	\N	\N	MESSEJANA	\N	\N
13061	RUA CONRADO MALTA	004767	RUA	\N	P15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000856	003497	\N	\N	\N	\N	MESSEJANA	\N	\N
13062	RUA GRANJA CASTELO	001487	RUA	\N	P15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13063	SD	040808	RUA	\N	P15	N-S	\N	\N	\N	\N	\N	RUA UBERLÂNDIA	\N	\N	SD (040844)	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13064	RUA SANTA EFIGÊNIA	001144	RUA	SANTA	P15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000856	023607	\N	\N	\N	\N	MESSEJANA	\N	\N
13065	RUA ANGÉLICA GURGEL	000253	RUA	\N	P15	N-S	3580/1968	22/07/68	\N	\N	\N	\N	\N	\N	003419	002076	\N	\N	\N	\N	MESSEJANA	\N	\N
13066	TRAVESSA DEP. PAULO BENEVIDES	021489	TRAVESSA	DEPUTADO	P15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004070	000440	\N	\N	\N	\N	MESSEJANA	\N	\N
13067	RUA JOÃO IVO	004730	RUA	\N	P15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003419	002076	\N	\N	\N	\N	MESSEJANA	\N	\N
13068	RUA JOSÉ IVO	004735	RUA	\N	P15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000252	003497	\N	\N	\N	\N	MESSEJANA	\N	\N
13069	SD	040807	RUA	\N	P15	N-S	\N	\N	\N	\N	\N	RUA BADI MIGUEL	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13070	RUA TENENTE JURANDIR ALENCAR	002077	RUA	TENENTE	P15	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13071	RUA EDUARDO PORTO	000063	RUA	\N	P15	O-L	5201/79	\N	8709/1992	03/01/1992	\N	THOMAZ COELHO (JORNALISTA)	\N	PE PEDRO DE ALENCAR, NA CONFLUE  C/  RUA  JOSE HIP	\N	\N	555857	9576418	556210	9576384	MESSEJANA	\N	POSSUI 2 LEIS:5201/79 E 6689/90
13075	RUA SARGENTO EXPEDITO	001236	RUA	SARGENTO	P15/P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13076	RUA BADI MIGUEL	022535	RUA	\N	P15/P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13077	RUA PADRE PEDRO ALENCAR	002805	RUA	PADRE	P15	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	000854	007189	\N	\N	\N	\N	MESSEJANA	\N	\N
13078	SD	040806	RUA	\N	P15	N-S	\N	\N	\N	\N	\N	BR 116	\N	\N	RUA PEDRO CARMELLO	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13079	RUA PADRE CARLOS DE ALENCAR	022699	RUA	PADRE	P15/P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13080	RUA CAPITÃO AFRÂNIO	000092	RUA	CAPITÃO	P15	N-S	1671/1960	16/12/1960	\N	\N	\N	RUA JOAQUIM FELÍCIO (001878)	\N	ESTRADA DA MESSEJANA MONDUBIM	TRAV. CAPITÃO AFRÂNIO (024629)	RUA TEN. JURANDIR ALENCAR (002077)	\N	\N	\N	\N	MESSEJANA	\N	\N
13081	RUA JOAQUIM BENTO	001867	RUA	DOUTOR	P15/P16	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13082	RUA DR. PERGENTINO MAIA	002851	RUA	DOUTOR	P15/P17	O-L	1671/60	16/12/1960	\N	\N	000092	RUA CAP. AFRÂNIO	007969	RUA CEL DIONÍSIO ALENCAR	\N	RUA SOCORRO GOMES	9576628	556093	9576318	558110	MESSEJANA/GUAJERU	\N	\N
13083	RUA JOAQUIM BEZERRA	001868	RUA	\N	P15	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13084	RUA CORONEL FRANCISCO PEREIRA	001355	RUA	CORONEL	P15	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13085	RUA GUILHERME ALMEIDA	006089	RUA	\N	P15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020225	023492	\N	\N	\N	\N	MESSEJANA	\N	\N
13086	RUA CARLOTA RODRIGUES	009094	RUA	\N	P15/P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13087	PRAÇA DA MATRIZ	023832	PRAÇA	\N	P15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13088	PRAÇA DE MESSEJANA	023859	PRAÇA	\N	P15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13089	PRAÇA DEP. PAULO BENEVIDES	004729	PRAÇA	DEPUTADO	P15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13093	SD	040809	RUA	\N	P16	N-S	\N	\N	\N	\N	\N	RUA BADI MIGUEL	\N	\N	RUA PADRE CARLOS DE ALENCAR	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13098	TRAVESSA MARIO BARCELOS	007659	TRAVESSA	\N	P16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008980	003282	\N	\N	\N	\N	MESSEJANA	\N	\N
13099	RUA PADRE SEVERIANO	003282	RUA	PADRE	P16	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13100	RUA RAIMUNDO CARLOS RODRIGUES	006808	RUA	\N	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13102	RUA INÁCIO MOREIRA	001643	RUA	\N	P16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006808	002729	\N	\N	\N	\N	MESSEJANA	\N	\N
13103	RUA PLÍNIO TEIXEIRA	024178	RUA	\N	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13104	RUA PALESTINA	002729	RUA	\N	P16/Q16	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13105	RUA CESARIO LANJE	000814	RUA	\N	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13106	RUA JOSEFA BARROS DE ALENCAR	002032	RUA	\N	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13108	TRAVESSA MARAVILHA	002313	TRAVESSA	\N	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13110	RUA ANTÔNIO DE BARROS	000287	RUA	\N	P16	N-S	1671/1960	16/12/1960	\N	\N	\N	001867	\N	005724	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13111	AVENIDA GURGEL DO AMARAL	008980	AVENIDA	\N	P16/R18	O-L	5202/79	\N	\N	\N	000342	AV.  BARÃO DE AQUIRAZ	\N	LIMITE DO MUNICÍPIO	\N	\N	9576275	556670	9574934	559175	MESSEJANA/COAÇU/LAGOA REDONDA/GUAJERU	ESTRADA DO FIO	Lei  especifica a localização da rua
13113	RUA ALEUDA	000122	RUA	\N	P16 Q15	O-L	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13117	RUA PEDRO II	000221	RUA	\N	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13118	RUA CEL. DIONÍSIO ALENCAR	007969	RUA	CORONEL	P16	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13119	RUA RAIMUNDO BRAZ	003009	RUA	\N	P16	N-S	4103/72	10/11/1972	\N	\N	\N	\N	\N	\N	001878	005724	\N	\N	\N	\N	MESSEJANA	\N	\N
13120	RUA E (CONJ. BANDEIRANTES)	008221	RUA	\N	P16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005724	008217	\N	\N	\N	\N	MESSEJANA	\N	\N
13121	RUA A (CONJ. BANDEIRANTES)	008217	RUA	\N	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13122	RUA B (CONJ. BANDEIRANTES)	008218	RUA	\N	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13123	RUA F (CONJ. BANDEIRANTES)	008222	RUA	\N	P16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005724	008218	\N	\N	\N	\N	MESSEJANA	\N	\N
13124	RUA G (CONJ. BANDEIRANTES)	008223	RUA	\N	P16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008220	008980	\N	\N	\N	\N	MESSEJANA	\N	\N
13128	RUA JOSÉ BELCHIOR	005699	RUA	\N	P16/P17	O-L	\N	\N	\N	\N	001059	RUA MARIA JOSÉ WEYNE	005686	RUA JOSÉ BONFIM JUNIOR	\N	\N	9576832	557229	9576651	558519	MESSEJANA/GUAJERU/LAGOA REDONDA	\N	\N
13129	TRAVESSA SANTA GERTRUDES	021495	TRAVESSA	SANTA	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13130	RUA FRANCISCO FERREIRA BAIMA	005700	RUA	\N	P16	N-S	4103/72	10/11/1972	\N	\N	\N	\N	\N	\N	005699	005724	\N	\N	\N	\N	MESSEJANA	\N	\N
13131	RUA MARIA JOSÉ WEYNE	001059	RUA	\N	P16	N-S	4388/74	26/08/74	\N	\N	\N	\N	\N	\N	001867	005724	\N	\N	\N	\N	MESSEJANA	\N	\N
13132	RUA MANOEL CASTELO BRANCO	005724	RUA	\N	P16	O-L	1671/1960	16/12/1960	\N	\N	\N	PEDRO DE ALENCAR, PADRE	\N	DIONÍSIO ALENCAR, CEL	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13133	RUA D (CONJ. BANDEIRANTES)	008220	RUA	\N	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13134	RUA C (CONJ. BANDEIRANTES)	008219	RUA	\N	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13135	RUA J. C. SOBRINHO	003344	RUA	\N	P16	N-S	5748/83	04/11/83	\N	\N	\N	\N	\N	\N	008980	000342	\N	\N	\N	\N	MESSEJANA	\N	\N
13141	RUA PROF. JOSÉ HENRIQUE	005703	RUA	PROFESSOR	P16/P17	L-O	1671/60	16/12/1960	\N	\N	001182	RUA CEL. ERNESTO MATOS	\N	FIM DO LOTEAMENTO ESPLANADA CURIÓ	\N	RUA JOSÉ BONFIM JUNIOR	9576761	556712	9576522	558494	MESSEJANA/GUAJERU/LAGOA REDONDA	\N	\N
13142	RUA JOAQUIM FELÍCIO	001878	RUA	\N	P16/P17	O-L	1671/60	16/12/1960	\N	\N	000092	RUA CAPITÃO AFRÂNIO	007969	RUA CEL DIONÍSIO ALENCAR	\N	SD	9576743	556118	9576466	558106	MESSEJANA/GUAJERÚ	\N	PROLOGAMENTO DA RUA CEL. DIONÍSIO ALENCAR ATÉ A RUA SD
13143	RUA INÁCIO ORIÁ	001644	RUA	\N	P16	N-S	1990/62	01/08/62	\N	\N	\N	\N	\N	\N	001867	005724	\N	\N	\N	\N	MESSEJANA	\N	\N
13144	RUA MONTE ALEGRE	005779	RUA	\N	P16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13145	RUA I (CONJ. BANDEIRANTES)	008225	RUA	\N	P16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	005724	008980	\N	\N	\N	\N	MESSEJANA	\N	\N
13149	RUA PEDRO ESTANISLAU	003327	RUA	\N	P16	N-S	4103/72	10/11/1972	\N	\N	\N	\N	\N	\N	001867	005724	\N	\N	\N	\N	MESSEJANA	\N	\N
13150	RUA JOÃO PEREIRA	001835	RUA	\N	P16	N-S	\N	\N	\N	\N	003690	AV. WASHINGTON SOARES (CONTORNO)	000342	ESTRADA BARÃO DE AQUIRAZ	\N	005724	9576920	557539	\N	\N	MESSEJANA/GUAJERU	\N	\N
13151	RUA JOSÉ BAIMA	007414	RUA	\N	P16	N-S	4103/72	10/11/1972	\N	\N	007612	AV. ODILON GUIMARÃES	005724	RUA MANOEL CASTELO BRANCO	\N	\N	9576913	557587	9576254	557565	GUAJERU	\N	\N
13153	TRAV.  PEDRO  LOPES	024128	TRAVESSA	\N	P17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13155	TRAVESSA SANTA RITA	024277	TRAVESSA	SANTA	P17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13156	RUA PEDRO LOPES	005706	RUA	\N	P17	O-L	\N	\N	\N	\N	007414	RUA JOSÉ BAIMA	005686	RUA JOSÉ BONFIM JUNIOR	\N	\N	9576870	557633	9576786	558542	GUAJERU/LAGOA REDONDA	\N	\N
13157	RUA ANTÔNIO CANDEIA	007712	RUA	\N	P17	N-S	4103/1972	10/11/1972	\N	\N	005706	RUA PEDRO LOPES	002851	RUA DR. PERGENTINO MAIA	\N	005724	9576906	557750	9576403	557686	GUAJERU	\N	\N
13162	SD	040811	RUA	\N	P17	O-L	\N	\N	\N	\N	\N	MURO	\N	\N	AV. CENTRAL	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13163	SD	040813	RUA	\N	P17	O-L	\N	\N	\N	\N	\N	RUA A (CONJ. NOVA ESPERANÇA)	\N	\N	RUA WILSON FERREIRA	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13164	AVENIDA CENTRAL	009074	AVENIDA	\N	P17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13165	SD	040812	RUA	\N	P17	N-S	\N	\N	\N	\N	\N	RUA DR. PERGENTINO MAIA	\N	\N	MURO	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13167	BECO FRANCISCO GERALDO DE SOUZA	023146	BECO	\N	P17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13168	RUA JOSÉ BARROS	023526	RUA	\N	P17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13169	RUA COPEIRO COSTA	022812	RUA	COPEIRO	P17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13170	RUA B (CONJ. NOVA ESPERANÇA)	022516	RUA	\N	P17	N-S	\N	\N	\N	\N	001878	RUA JOAQUIM FELÍCIO	002851	RUA DR. PERGENTINO MAIA	\N	\N	9576488	557930	9576371	557917	GUAJERU	\N	\N
13171	RUA A (CONJ. NOVA ESPERANÇA)	022315	RUA	\N	P17	N-S	\N	\N	\N	\N	001878	RUA JOAQUIM FELÍCIO	002851	RUA DR. PERGENTINO MAIA	\N	\N	9576483	557965	9576365	557949	GUAJERU	\N	\N
13172	SD	040810	RUA	\N	P17	O-L	\N	\N	\N	\N	\N	MURO	\N	\N	RUA MONTE FLOR	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13173	RUA F (CONJ.GUAJERU)	008904	RUA	\N	P17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024654	008874	\N	\N	\N	\N	GUAJERU	\N	\N
13177	RUA SOCORRO GOMES	009121	RUA	\N	P17	N-S	7267/93	11/01/93	9196/93	13/09/93	\N	020141	\N	ÁREA VERDE DO LOT. RES. GUAJERÚ	020141	008904	\N	\N	\N	\N	GUAJERU	\N	\N
13178	RUA D (CONJ.GUAJERU)	008902	RUA	\N	P17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13179	RUA B (CONJ.GUAJERU)	008900	RUA	\N	P17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008901	008904	\N	\N	\N	\N	GUAJERU	\N	\N
13180	RUA SÃO FRANCISCO DAS CHAGAS	005461	RUA	SÃO	P17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020141	008903	\N	\N	\N	\N	GUAJERU	\N	pelo IPTU o nome da rua é São Francisco, cartografia S. Francisco das Chagas, Certidão da Regional - São Francisco Xavier , Proc 60077/06 -SER VI
13181	RUA E (CONJ.GUAJERU)	008903	RUA	\N	P17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13183	SD	040816	RUA	\N	P17	N-S	\N	\N	\N	\N	\N	ESTRADA DO GUAJERÚ	\N	\N	GRANJA SANTA MARIA	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13184	RUA FREI GALVÃO	005733	RUA	FREI	P17	N-S	\N	\N	\N	\N	020141	\N	\N	\N	020141	008980	9576370	558431	9575670	557851	GUAJERU/LAGOA REDONDA	\N	\N
13185	RUA AMANAIARA	005723	RUA	\N	P17/Q17	O-L	\N	\N	\N	\N	005733	RUA FREI GALVÃO	005741	TRAV. SÃO JOSÉ	\N	\N	9576032	558125	9575947	558231	LAGOA REDONDA	\N	\N
13188	ALAMEDA SÃO MATEUS	023840	ALAMEDA	SÃO	P17	O-L	\N	\N	\N	\N	005685	RUA CAP. JUSTINO FERREIRA RAMOS	005684	RUA LOURDES VIDAL	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13189	ALEMEDA SÃO LUCAS	023655	ALAMEDA	SÃO	P17	O-L	\N	\N	\N	\N	005685	RUA CAP. JUSTINO FERREIRA RAMOS	005684	RUA LOURDES VIDAL	\N	\N	9576759	558330	9576740	558434	LAGOA REDONDA	\N	\N
13192	RUA A (CONJ.GUAJERU)	007759	RUA	\N	P17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13193	RUA C (CONJ.GUAJERU)	008901	RUA	\N	P17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13194	TRAVESSA ANTÔNIO MAGALHÃES	021671	TRAVESSA	\N	P17	O-L	\N	\N	\N	\N	\N	RUA SÃO FRANCISCO DAS CHAGAS ????	\N	ENTRE OS LOT. 1 DA Q03 E O 13 DA Q02 Lot ÁGUA VIVA	\N	VEGETAÇÃO	9576251	558209	9576073	558437	LAGOA REDONDA	\N	\N
13613	RUA ITAQUERA	004776	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13195	TRAVESSA MANOEL CASTELO BRANCO	023733	TRAVESSA	\N	P17	O-L	\N	\N	\N	\N	005733	RUA FREI GALVÃO	005709	RUA ANTÔNIO MAGALHÃES	\N	\N	9576117	558200	9576092	558233	LAGOA REDONDA	\N	\N
13196	RUA ANTÔNIO MAGALHÃES	005709	RUA	\N	P17	N-S	\N	\N	\N	\N	020141	ESTRADA DO GUAJERU	005723	RUA AMANAIARA	\N	\N	9576346	558460	9576008	558156	LAGOA REDONDA	\N	\N
13197	RUA SÃO JOSÉ	005741	RUA	SÃO	P17	N-S	\N	\N	\N	\N	020141	ESTRADA DO GUAJERU	005723	RUA AMANAIARA	\N	\N	9576287	558536	9575946	558231	LAGOA REDONDA	\N	\N
13198	ESTRADA DO GUAJERU	020141	ESTRADA	\N	P17	O-L	\N	\N	\N	\N	005703	RUA PROF. JOSÉ HENRIQUE	\N	GRANJA SANTA MARIA	\N	\N	9576583	558171	9576129	558739	LAGOA REDONDA	\N	\N
13199	SD	040814	RUA	\N	P17	N-S	\N	\N	\N	\N	\N	RUA E (CONJ. GUAJERÚ)	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
13203	SD	040818	RUA	\N	P18	N-S	\N	\N	\N	\N	\N	AV. PROF. JOSÉ ARTUR DE CARVALHO	\N	\N	RETORNO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13204	SD	040817	RUA	\N	P18	N-S	\N	\N	\N	\N	\N	AV. PROF. JOSÉ ARTUR DE CARVALHO (ANTIGA CURIÓ)	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13205	SD	040819	RUA	\N	P18	O-L	\N	\N	\N	\N	\N	CERCA	\N	\N	RUA LUÍZA	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13206	SD	040820	RUA	\N	P18	N-S	\N	\N	\N	\N	\N	TRAV. TORINO	\N	\N	TRAV. CONTORNO TORINO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13208	RUA 4 (CONJ. RESID.CURIÓ)	008548	RUA	\N	P18	O-L	\N	\N	\N	\N	003781	RUA NELSON COELHO	008545	RUA 1	\N	\N	9576907	559569	9576965	559674	LAGOA REDONDA	\N	\N
13209	RUA PEDESTRE J  (CONJ. RESID.CURIÓ)	008562	RUA	\N	P18	O-L	\N	\N	\N	\N	003781	RUA NELSON COELHO	008545	RUA 1	\N	\N	9576854	559593	9576928	559714	LAGOA REDONDA	\N	\N
13210	RUA PEDESTRE I (CONJ. RESID.CURIÓ)	008561	RUA	\N	P18	O-L	\N	\N	\N	\N	003781	RUA NELSON COELHO	008545	RUA 1	\N	\N	9576803	559613	9576887	559762	LAGOA REDONDA	\N	\N
13212	RUA 3 (CONJ. RESID.CURIÓ)	008547	RUA	\N	P18	O-L	\N	\N	\N	\N	003781	RUA NELSON COELHO	008545	RUA 1	\N	\N	9576751	559640	9576847	559801	LAGOA REDONDA	\N	\N
13213	RUA PEDESTRE H  (CONJ. RESID.CURIÓ)	008560	RUA	\N	P18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13214	RUA 2 (CONJ. RESID.CURIÓ)	008546	RUA	\N	P18	O-L	\N	\N	\N	\N	003781	RUA NELSON COELHO	\N	VEGETAÇÃO (LIMITE CONJ. RES. CURIÓ)	\N	\N	9576598	559718	9576714	559913	LAGOA REDONDA	\N	\N
13215	RUA PEDESTRE E  (CONJ. RESID.CURIÓ)	008557	RUA	\N	P18	O-L	\N	\N	\N	\N	008545	RUA 1	\N	VEGETAÇÃO (LIMITE CONJ. RES. CURIÓ)	\N	\N	9576635	559896	9576669	559951	LAGOA REDONDA	\N	\N
13216	RUA PEDESTRE D (CONJ. RESID.CURIÓ)	008556	RUA	\N	P18	O-L	\N	\N	\N	\N	008545	RUA 1	008555	RUA PEDESTRE C	\N	\N	9576589	559919	9576618	559967	LAGOA REDONDA	\N	\N
13217	RUA PEDESTRE C  (CONJ. RESID.CURIÓ)	008555	RUA	\N	P18	N-S	\N	\N	\N	\N	008556	RUA PEDESTRE D	005747	RUA LUIZA GUIMARÃES	\N	\N	9576617	559968	9576549	560013	LAGOA REDONDA	\N	\N
13218	RUA 1 (CONJ. RESID.CURIÓ)	008545	RUA	\N	P18	\N	\N	\N	\N	\N	008548	RUA 4	005747	RUA LUIZA GUIMARÃES	\N	\N	9576965	559674	9576501	559973	LAGOA REDONDA	\N	\N
13219	RUA PEDESTRE G (CONJ. RESID.CURIÓ)	008559	RUA	\N	P18	N-S	\N	\N	\N	\N	008547	RUA 3	008546	RUA 2	\N	\N	9576808	559742	9576657	559820	LAGOA REDONDA	\N	\N
13220	RUA PEDESTRE F (CONJ. RESID.CURIÓ)	024112	RUA	\N	P18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13221	RUA MARTINS DE ARAÚJO	006527	RUA	\N	P18	N-S	\N	\N	\N	\N	\N	?	024475	RUA TORINO (PRÓXIMA A LAGOA ITAMBÉ)	\N	\N	9576413	559425	9575813	559772	LAGOA REDONDA	\N	\N
13222	RUA WASHINGTON DE MORAES	005746	RUA	\N	P18	N-S	\N	\N	\N	\N	006642	BECO MARTINS ARAÚJO ?????	\N	VEGETAÇÃO - PRÓXIMA A LAGOA ITAMBÉ	\N	\N	\N	\N	9575989	559843	LAGOA REDONDA	\N	\N
13223	RUA ITAMBÉ	006644	RUA	\N	P18	O-L	8665/2002	10/12/2002	11327/2003	03/02/2003	\N	LIMITE LOTEAMENTO JARD. ITAMBÉM - ENTRE Q33 E PRAÇ	03781	RUA NELSON COELHO	RUA MARTINS DE ARAÚJO	\N	\N	\N	9576541	559747	LAGOA REDONDA	ITAMBÉ	sul das quadras 44 e 45 lot jardim itambé
13224	RUA ANNA LÚCIA DIAS	005968	RUA	\N	P18	O-L	\N	\N	\N	\N	\N	ENTRE AS Q 29 E PRAÇA DO LOT. JARD. ITAMBÉM	003781	RUA NELSON COELHO	\N	\N	\N	\N	9576450	559797	LAGOA REDONDA	\N	\N
13225	RUA PEDESTRE A (CONJ. RESID.CURIÓ)	024108	RUA	\N	P18	N-S	\N	\N	\N	\N	008546	RUA 2	005747	RUA LUIZA GUIMARÃES	\N	\N	9576628	559770	9576411	559894	LAGOA REDONDA	\N	\N
13226	RUA PEDESTRE B (CONJ. RESID.CURIÓ)	024109	RUA	\N	P18	O-L	\N	\N	\N	\N	008546	RUA 2	005747	RUA LUIZA GUIMARÃES	\N	\N	9576657	559820	9576455	559933	LAGOA REDONDA	\N	\N
13227	RUA ROSA  BATISTA	021702	RUA	\N	P18/P19	O-L	\N	\N	\N	\N	021703	RUA MARIA PINHEIRO	\N	TERRENO	\N	\N	9576388	559932	9576487	560103	LAGOA REDONDA	\N	\N
13228	RUA MARIA PINHEIRO CAMPELO	006478	RUA	\N	P18/P19	O-L	\N	\N	\N	\N	005746	RUA WASHINGTON DE MORAES	\N	VEGETAÇÃO	\N	\N	9576177	559728	9576414	560148	LAGOA REDONDA	\N	\N
13233	TRAVESSA TORINO	005964	TRAVESSA	\N	P18	O-L	\N	\N	\N	\N	006527	RUA MARTINS DE ARAÚJO	003781	RUA NELSON COELHO	\N	\N	9576009	559656	9576176	559946	LAGOA REDONDA	\N	\N
13234	RUA BRUMANO	023054	RUA	\N	P18	O-L	\N	\N	\N	\N	003781	RUA NELSON COELHO	\N	\N	\N	\N	9576224	559921	\N	\N	LAGOA REDONDA	\N	\N
13235	TRAVESSA CONTORNO TORINO	022797	TRAVESSA	\N	P18/Q18	N-S	\N	\N	\N	\N	005964	TRAVESSA TORINO	003781	RUA NELSON COELHO	\N	\N	9576112	559836	9575991	560020	LAGOA REDONDA	\N	\N
13238	RUA MARIA PINHEIRO	021703	RUA	\N	P18	N-S	\N	\N	\N	\N	005747	RUA LUIZA GUIMARÃES	023054	RUA BRUMANO	\N	\N	9576428	559908	9576195	560037	LAGOA REDONDA	\N	\N
13239	RUA FRANCISCO AVELINO	005749	RUA	\N	P19	N-S	\N	\N	\N	\N	007664	RUA PROF JOSÉ ARTUR DE CARVALHO	\N	LAGOA DA PRECABURA	\N	\N	9577235	559844	9575848	560834	LAGOA REDONDA	\N	\N
13246	SD	040827	RUA	\N	P19	O-L	\N	\N	\N	\N	\N	SD (040826)	\N	\N	ÁRVORE	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13247	SD	040826	RUA	\N	P19	N-S	\N	\N	\N	\N	\N	ÁRVORE	\N	\N	RUA FRANCISCO AVELINO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13248	SD	040825	RUA	\N	P19	O-L	\N	\N	\N	\N	\N	RUA BRUMANO	\N	\N	ÁRVORE	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13249	SD	040821	RUA	\N	P19	O-L	\N	\N	\N	\N	\N	RUA MARIA PINHEIRO	\N	\N	SD (040822)	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13251	RUA JOAQUIM AVELINO	005748	RUA	\N	P19/Q19	N-S	\N	\N	\N	\N	023054	RUA BRUMANO	\N	TERRENO - LAGOA DA PRECABURA	\N	\N	9576173	560283	9575839	560454	LAGOA REDONDA	\N	\N
13253	TRAV. JOAQUIM AVELINO	009332	TRAVESSA	\N	P19/Q19	O-L	\N	\N	\N	\N	005748	RUA JOAQUIM AVELINO	005749	RUA FRANCISCO AVELINO	\N	\N	9575955	560397	9576047	560685	LAGOA REDONDA	\N	\N
13254	ESTRADA DO ITAMBÉ	006040	ESTRADA	\N	P19	O-L	\N	\N	\N	\N	005749	RUA FRANCSICO AVELINO	\N	LAGOA DA PRECABURA	\N	\N	9576705	560185	9576374	561112	LAGOA REDONDA	\N	\N
13256	SD	040823	RUA	\N	P19	N-S	\N	\N	\N	\N	\N	SD (040822)	\N	\N	RUA BRUMANO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13257	SD	040822	RUA	\N	P19	O-L	\N	\N	\N	\N	\N	RUA MARIA PINHEIRO	\N	\N	CERCA	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13259	SD	040828	RUA	\N	P22	N-S	\N	\N	\N	\N	\N	ESTRADA DA MANGABEIRA	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13314	RUA GOMES DE CARNEIRO	020167	RUA	\N	Q06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
13316	AVENIDA CONTORNO NORTE	024643	AVENIDA	\N	Q06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FORA  /  MONDUBIM 1	\N	\N
13335	RUA SANTA MADALENA	020161	RUA	SANTA	Q06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	023916	\N	\N	\N	\N	MONDUBIM 1	\N	\N
13339	RUA N (LOTRAV.ESPLANADA DO MONDUBIM)	023916	RUA	\N	Q07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
13342	RUA ALAN CASTELO	020160	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	023916	\N	\N	\N	\N	MONDUBIM 1	\N	\N
13347	RUA 8 (CONJ. INDUSTRIAL)	022272	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024643	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1 / FORA	\N	\N
13348	SD	040829	RUA	\N	Q07	L-O	\N	\N	\N	\N	\N	RUA 7A	\N	\N	RUA 7 (CONJ. INDUSTRIAL)	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
13352	RUA 7 A (CONJ. INDUSTRIAL)	022268	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024643	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1 / FORA	\N	\N
13353	RUA 7 (CONJ. INDUSTRIAL)	022255	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024643	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1 / FORA	\N	\N
13354	RUA 7 B (CONJ. INDUSTRIAL)	022269	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024643	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1 / FORA	\N	\N
14195	RUA B	008872	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13359	RUA 6 (CONJ. INDUSTRIAL)	022240	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024643	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1 / FORA	\N	\N
13361	RUA 5 A (CONJ. INDUSTRIAL)	022234	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024643	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1 / FORA	\N	\N
13362	RUA 6 A (CONJ. INDUSTRIAL)	022251	RUA	\N	Q07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1 / FORA	\N	\N
13363	RUA 5 (CONJ. INDUSTRIAL)	022219	RUA	\N	Q07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1 / FORA	\N	\N
13364	TRAVESSA 3 B (CONJ. INDUSTRIAL)	022180	TRAVESSA	\N	Q07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1 / FORA	\N	\N
13366	RUA 4 A  (CONJ. INDUSTRIAL)	022214	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024643	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1 / FORA	\N	\N
13367	TRAVESSA 4 (CONJ. INDUSTRIAL)	022193	TRAVESSA	\N	Q07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1/ FORA	\N	\N
13368	AVENIDA DR. JOSÉ BORBA VASCONCELOS	023528	AVENIDA	DOUTOR	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001444	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM / PANTANAL	\N	\N
13373	TRAVESSA MONTE ALEGRE	023890	TRAVESSA	\N	Q07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
13374	RUA 4 (CONJ. INDUSTRIAL)	022194	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024643	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	MONDUBIM 1 / FORA	\N	\N
13375	RUA MIGUEL TAVARES	023871	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009146	020189	\N	\N	\N	\N	PANTANAL	\N	\N
13377	RUA SOUZA MOTA	024431	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009146	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13378	RUA MARINHEIROS	023812	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006000	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13381	RUA TIJUBANA	009607	RUA	\N	Q07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13383	RUA CRISTOVÃO MELO	020189	RUA	\N	Q07/Q08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13388	RUA BOA VISTA	005871	RUA	\N	Q07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13389	RUA ESTEVÃO MELO	020185	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006000	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13390	RUA NOVO AMANHECER	023991	RUA	\N	Q07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13391	RUA DELMIRO JUNIOR	020197	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006000	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13398	RUA DIREITA	009606	RUA	\N	Q08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13399	RUA DO SOL 2	009609	RUA	\N	Q08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13401	RUA PARAÍSO	024064	RUA	\N	Q08/O14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006035	020124	\N	\N	\N	\N	PANTANAL/BARROSO	\N	\N
13404	RUA ARAGUAIA	022468	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009252	020124	\N	\N	\N	\N	PANTANAL	\N	\N
13405	RUA 16 DE NOVEMBRO	009562	RUA	\N	Q08	N-S	8326/1999	18/10/1999	\N	\N	\N	\N	\N	\N	APÓS A RUA JOAQUIM CORREIA	020124	\N	\N	\N	\N	PANTANAL	\N	\N
13406	TRAV. 16 DE NOVEMBRO	022094	TRAVESSA	\N	Q08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13407	RUA JURACI MAGALHÃES	023582	RUA	\N	Q08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA PALMEIRA	RUA PLANALTINA	\N	\N	\N	\N	MONDUBIM	\N	\N
13409	RUA BONS AMIGOS	021332	RUA	\N	Q08	N-S	8327/1999	\N	\N	\N	\N	\N	\N	\N	008009	024098	\N	\N	\N	\N	PANTANAL	\N	\N
13411	RUA CANUDOS, DOS	021346	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	APÓS A RUA 31 DE JANEIRO	024098	\N	\N	\N	\N	PANTANAL	\N	\N
13412	RUA PALMIRIM	024058	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008009	024098	\N	\N	\N	\N	PANTANAL	\N	\N
13413	RUA DA PAZ	024098	RUA	\N	Q08/O17	O-L	\N	\N	\N	\N	005686	RUA JOSÉ BONFIM JUNIOR	021700	TRAV. MOTA MACHADO	\N	\N	9577456	558678	9577443	558777	PANTANAL/LAGOA REDONDA	\N	\N
13414	RUA DA GLÓRIA	024649	RUA	\N	Q08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13416	SD	040830	RUA	\N	Q08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA MIRIAN ROCHA	RUA LUIZA NOBRE	\N	\N	\N	\N	MONDUBIM	\N	\N
13417	SD	040831	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AV. DOS MARINHEIROS	CAMINHO	\N	\N	\N	\N	MONDUBIM	\N	\N
13418	SD	040832	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA FRANCISCA MARIA DA CONCEIÇÃO	AV. DOS MARINHEIROS	\N	\N	\N	\N	MONDUBIM	\N	\N
13419	SD	040833	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA FRANCISCA MARIA DA CONCEIÇÃO	MATA	\N	\N	\N	\N	MONDUBIM	\N	\N
13420	AVENIDA NOVA FORTALEZA	006000	AVENIDA	\N	Q08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA FRANCISCA MARIA DA CONCEIÇÃO	AV. DR. JOSÉ BORBA VASCONCELOS	\N	\N	\N	\N	PANTANAL	\N	\N
13422	RUA ALVORADA	020258	RUA	\N	Q08/Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13423	RUA FROTA	021315	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020124	006000	\N	\N	\N	\N	PANTANAL	\N	\N
13426	RUA SANTO AMARO	022840	RUA	SANTO	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020124	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13427	RUA AURORA	022845	RUA	\N	Q08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13428	RUA MORADA NOVA	023895	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020124	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13431	RUA BELA VISTA	020192	RUA	\N	Q08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13432	RUA NATAL	024652	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020124	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13433	RUA 24 DE MAIO	009603	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020124	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13434	TRAVESSA JOÃO HENRIQUE	023454	TRAVESSA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006000	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13435	RUA MONTE FLOR	020190	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021318	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13437	RUA LUIZA NOBRE	020132	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006000	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13439	RUA SANTA LUZIA	023694	RUA	SANTA	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006000	040909	\N	\N	\N	\N	PANTANAL	\N	\N
13444	RUA MIRIAN ROCHA	020205	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006000	MUNICÍPIO DE MARACANAÚ	\N	\N	\N	\N	PANTANAL	\N	\N
13445	RUA 27 DE JULHO	008895	RUA	\N	Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009252	020124	\N	\N	\N	\N	PANTANAL	\N	\N
13446	RUA DAS PALMEIRAS	005982	RUA	\N	Q08/Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	APÓS A RUA JURACI MAGALHÃES	024649	\N	\N	\N	\N	PANTANAL	\N	\N
13449	TRAV. JÚLIO DE FREITAS	023576	TRAVESSA	\N	Q08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13452	RUA LAGOA AZUL	005992	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13454	RUA TENENTE  MATIAS  PEIXOTO	006031	RUA	TENENTE	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13455	RUA MANOEL BERNARDINO	006046	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13456	RUA JOÃO ARAÚJO LIMA	006037	RUA	\N	Q09	\N	5886/84	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13460	RUA 41 (CONJ. RESID. PREF. JOSÉ WALTER)	002963	RUA	\N	Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008399	002617	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13461	RUA G (CONJ. RESID. PREF. JOSÉ WALTER)	023174	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13463	RUA 60 (CONJ. RESID. PREF. JOSÉ WALTER)	003257	RUA	\N	Q09/Q10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13565	RUA DO PENSAMENTO	006135	RUA	\N	Q12/R12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13464	RUA 62 (CONJ. RESID. PREF. JOSÉ WALTER)	003259	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13465	RUA 64 (CONJ. RESID. PREF. JOSÉ WALTER)	003262	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13466	AVENIDA G (CONJ. RESID. PREF. JOSÉ WALTER)	001382	AVENIDA	\N	Q09/Q10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13467	RUA49 (CONJ. PREF.JOSÉ WALTER)	002956	RUA	\N	Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000003	001545	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13468	RUA 45 (CONJ. RESID. PREF. JOSÉ WALTER)	002954	RUA	\N	Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000003	001545	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13470	AVENIDA J (CONJ. RESID. PREF. JOSÉ WALTER)	001710	AVENIDA	\N	Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000003	001545	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13472	RUA SANTA MARIA	023789	RUA	SANTA	Q09/R18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	APÓS A RUA PERO DE GÓIS	020124	\N	\N	\N	\N	PANTANAL/COACU	\N	\N
13473	AVENIDA BERNARDO MANUEL	000537	AVENIDA	\N	Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007747	009146	\N	\N	\N	\N	PREF. JOSÉ WALTER / PANTANAL	\N	\N
13474	RUA JÚLIA VIEIRA	006126	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13475	RUA MEDELLIN	023842	RUA	\N	Q09	\N	5721/83	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13476	AVENIDA PUEBLA	008035	AVENIDA	\N	Q09	\N	5721/83	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13477	RUA TAQUARA	006127	RUA	\N	Q09	L-O	\N	\N	\N	\N	\N	AV. JOÃO DE ARAÚJO LIMA	\N	\N	AV. BENARDO MANOEL	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13482	RUA 103 (CONJ. RESID. PREF. JOSÉ WALTER)	000803	RUA	\N	Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003262	001545	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13483	AVENIDA H (CONJ. RESID. PREF. JOSÉ WALTER)	001545	AVENIDA	\N	Q09/Q10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13484	RUA 66 (CONJ. RESID. PREF. JOSÉ WALTER)	003263	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13485	RUA 87 (CONJ. RESID. PREF. JOSÉ WALTER)	002627	RUA	\N	Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000989	001545	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13487	RUA 68 (CONJ. RESID. PREF. JOSÉ WALTER)	003261	RUA	\N	Q09/Q10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13491	AVENIDA O (CONJ. RESID. PREF. JOSÉ WALTER)	002617	AVENIDA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13493	RUA ILHÉUS	006122	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13494	RUA PERO DE GÓIS	006020	RUA	\N	Q09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13495	RUA ALZIBERTO MIRANDA	008081	RUA	\N	Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A LAGOA AZUL	020124	\N	\N	\N	\N	PANTANAL	\N	\N
13496	RUA CASTRO VIEIRA	006056	RUA	\N	Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA  LAGOA AZUL	021316	\N	\N	\N	\N	PANTANAL	\N	\N
13497	TRAV. MARIA FRANCISCA DA CONCEIÇÃO	021355	TRAVESSA	\N	Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006020	020124	\N	\N	\N	\N	PANTANAL	\N	\N
13499	RUA NOVA FORTALEZA	009611	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13500	RUA CRISTÓVÃO NUNES	008897	RUA	\N	Q09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006020	006022	\N	\N	\N	\N	PANTANAL	\N	\N
13501	RUA RETIRO DA FELICIDADE	006022	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13502	RUA IRMÃ SILVIA SANTOS	021316	RUA	IRMÃ	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13504	RUA DÁLIA	001002	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13505	RUA MARAJÁ	023759	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13506	AVENIDA DOS MARINHEIROS	009146	AVENIDA	\N	Q09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	AV. JOÃO DE ARAÚJO	AV. DR. JOSÉ BORBA VASCONCELOS	\N	\N	\N	\N	PANTANAL	\N	\N
13507	RUA DA PIÇARRA	007993	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13508	RUA ANTÔNIO DE ALMEIDA	022450	RUA	\N	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13509	ESTRADA SENADOR POMPEU	024184	ESTRADA	SENADOR	Q09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANTANAL	\N	\N
13510	SD	040834	RUA	\N	Q09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	AV. DOS MARINHEIROS	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER	\N	\N
13520	AVENIDA F (CONJ. RESID. PREF. JOSÉ WALTER)	023037	AVENIDA	\N	Q10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF.JOSÉ WALTER	\N	\N
13539	RUA 323 (CONJ. SÃO CRISTÓVÃO)	008623	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008627	023251	\N	\N	\N	\N	JANGURUSSU	\N	\N
13540	RUA 321 (CONJ. SÃO CRISTÓVÃO)	008622	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008627	023251	\N	\N	\N	\N	JANGURUSSU	\N	\N
13541	RUA 319 (CONJ. SÃO CRISTÓVÃO)	008621	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008627	023251	\N	\N	\N	\N	JANGURUSSU	\N	\N
13543	RUA GUTEMBERG BRAUN	023251	RUA	\N	Q12	N-S	6965/91	13/09/91	9354/94	25/03/94	\N	008605	\N	008647	\N	\N	\N	\N	\N	\N	JANGURUSSU / CONJ PALMEIRAS	\N	\N
13544	RUA CONSOLAÇÃO	022793	RUA	\N	Q12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024617	000061	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13545	RUA SANTOS DIAS	024343	RUA	\N	Q12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021094	006158	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13548	RUA SÃO LUIZ	021041	RUA	SÃO	Q12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021094	006159	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13549	RUA SÃO FRANCISCO	023116	RUA	SÃO	Q12/L19	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021094	006159	\N	\N	\N	\N	CONJUNTO PALMEIRAS/EDSON QUEIROZ	\N	\N
13550	RUA MAÍZA	007092	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008599	PRÓXIMA A RUA SANDRA PEREIRA	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13551	RUA SILVINHA TELLES	007091	RUA	\N	Q12/R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13552	RUA TERNURA	007093	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008599	PRÓXIMA A RUA SANDRA PEREIRA	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13553	RUA OSCARITO	007090	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008599	PRÓXIMA A RUA SANDRA PEREIRA	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13554	RUA J. DOS REIS	023385	RUA	\N	Q12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021094	006159	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13556	RUA CEL. JOSÉ LINHARES	006159	RUA	CORONEL	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008599	021041	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13558	RUA CONDE SANDOVAL	006158	RUA	CONDE	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006139	024343	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13559	RUA MAGUARÍ	006141	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006139	CÓRREGO DE ÁGUA	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13560	RUA BABAÇU	006140	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006139	CÓRREGO DE ÁGUA	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13561	RUA SAQUAREMA	006143	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006139	APÓS RUA CHICO MENDES	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13562	RUA AVARÉ	006144	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006139	CÓRREGO DE ÁGUA	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13563	AVENIDA IRACEMA	006165	AVENIDA	\N	Q12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006159	007191	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13564	RUA VALPARAÍSO	004793	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006067	PRÓXIMA AO RIO COCÓ	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13667	TRAV. PEQUIM	024152	TRAVESSA	\N	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13566	RUA SERRA AZUL	006145	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	009179	CÓRREGO DE ÁGUA	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13567	RUA ALCIDES GERARDO	007087	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	009179	CÓRREGO DE ÁGUA	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13568	RUA EVALDO BRAGA	007088	RUA	\N	Q12/R12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	009179	CÓRREGO DE ÁGUA	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13570	RUA ÂNGELA DINIZ	006172	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008599	PRÓXIMA A RUA SANDRA PEREIRA	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13571	RUA SANDRA PEREIRA	024335	RUA	\N	Q12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007089	CAMPO DE FUTEBOL	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13576	RUA TEREZA BERNARDO	021777	RUA	\N	Q12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006159	007191	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13578	SD	040835	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	RUA ÁLVARO DIAS	\N	\N	RUA CEL. JOSÉ LINHARES	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13582	RUA OSVALDO CRUZ	024030	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022793	023385	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13583	RUA ÁLVARO DIAS	021105	RUA	\N	Q12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024343	021039	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13584	RUA SANTO ANTÔNIO	021099	RUA	SANTO	Q12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021094	000061	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13585	RUA SÃO SEBASTÃO	024388	RUA	SÃO	Q12/C18	N-S/O-L	\N	\N	\N	\N	\N	\N	\N	\N	021094/002003	000061/021185	\N	\N	\N	\N	CONJUNTO PALMEIRAS/CAIS DO PORTO	\N	\N
13593	RUA DOURADO	006139	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006159	004793	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13595	RUA DIADEMA	006146	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006159	004793	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13596	RUA MODESTO	006160	RUA	\N	Q13/R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13597	TRAVESSA CORUMBI	021113	TRAVESSA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13598	TRAVESSA NOSSA SENHORA DO CONSOLO	023978	TRAVESSA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13601	TRAVESSA JOSÉ TRINDADE	023558	TRAVESSA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13602	TRAVESSA SÃO JOSÉ DAS PALMEIRAS	023531	TRAVESSA	SÃO	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13603	RUA SANTA PRUDÊNCIA	006061	RUA	SANTA	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13604	RUA GERGELIM	006467	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006060	009363	\N	\N	\N	\N	JANGURUSSU	\N	\N
13605	RUA MANDACARU	006470	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006472	009363	\N	\N	\N	\N	JANGURUSSU	\N	\N
13606	RUA MUIRÁ	006471	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006472	009363	\N	\N	\N	\N	JANGURUSSU	\N	\N
13608	RUA JUREMA	006062	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS / JANGURUSSU	\N	\N
13609	RUA JAMACARU	006468	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006475	009363	\N	\N	\N	\N	JANGURUSSU	\N	\N
13610	RUA DO PEREIRO	006469	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004776	009363	\N	\N	\N	\N	JANGURUSSU	\N	\N
13611	AVENIDA CAROÁ	006475	AVENIDA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13612	RUADO LIONS	006065	RUA	\N	Q13/Q14	L-O	\N	\N	\N	\N	\N	RUA DOMINGOS ALVES RIBEIRO	\N	\N	RUA JABORANDI	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13614	RUA WALDEMAR SIMÕES	006068	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13615	RUA FRANCISCO LIMA DA SILVA	004777	RUA	\N	Q13/Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13616	RUA MUTAMBA	006063	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13617	RUA FRANCISCO COSTA	006064	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13618	RUA ANGELIM	006059	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13619	RUA JUÁ	006060	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13623	RUA 5 (LOT. NOVA FORTALEZA	009042	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13624	RUA 6 (LOT. NOVA FORTALEZA	009043	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040799	009042	\N	\N	\N	\N	JANGURUSSU	\N	\N
13625	RUA 7 (LOT. NOVA FORTALEZA)	009044	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A AVENIDA CONTORNO SUL	009042	\N	\N	\N	\N	JANGURUSSU	\N	\N
13626	RUA 8 (LOT. NOVA FORTALEZA	009045	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13627	AVENIDA A (LOT. NOVA FORTALEZA	022326	AVENIDA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13628	RUA 9 (LOT. NOVA FORTALEZA	009046	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13629	RUA 10 (LOT. NOVA FORTALEZA	009047	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13630	RUA 11 (LOT. NOVA FORTALEZA	009048	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13633	RUA 1 (LOT. NOVA FORTALEZA)	022021	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A AVENIDA CONTORNO SUL	LOTEAMENTO	\N	\N	\N	\N	JANGURUSSU	\N	\N
13634	RUA 3 (LOT. NOVA FORTALEZA	009040	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A AVENIDA CONTORNO SUL	LOTEAMENTO	\N	\N	\N	\N	JANGURUSSU	\N	\N
13635	RUA 2 (LOT. NOVA FORTALEZA	009039	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13636	RUA 4 (LOT. NOVA FORTALEZA	009041	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13639	RUA 317 (CONJ. SÃO CRITÓVÃO)	008620	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008622	008618	\N	\N	\N	\N	JANGURUSSU	\N	\N
13642	RUA 313 (CONJ. SÃO CRITÓVÃO)	008618	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13643	AVENIDA BOULEVARD II	008643	AVENIDA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13644	RUA 307 (CONJ. SÃO CRITÓVÃO)	008615	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13645	RUA 309 (CONJ. SÃO CRISTÓVÃO)	008616	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13647	RUA JURIPEBA	009363	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU / CONJ PALMEIRAS	\N	\N
13648	RUA 216 (CONJ. SÃO CRITÓVÃO)	008627	RUA	\N	Q13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008608	008619	\N	\N	\N	\N	JANGURUSSU	\N	\N
13652	SD	040836	RUA	\N	Q13	L-O	\N	\N	\N	\N	\N	RUA JABORANDI	\N	\N	RUA MARACANAÚ	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13655	PRAÇA SANTA CLARA	022768	PRAÇA	SANTA	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13656	RUA 311 (CONJ. SÃO CRITÓVÃO)	008617	RUA	\N	Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13658	RUA VERDE 34 (CONJ. SÍTIO SÃO JOÃO)	008522	RUA	\N	Q13/R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS / JANGURUSSU	\N	\N
13659	RUA VERDE 1 (CONJ. SÍTIO SÃO JOÃO)	008489	RUA	\N	Q13/R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13660	RUA JABORANDI	005794	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006472	009363	\N	\N	\N	\N	JANGURUSSU	\N	\N
13663	RUA FRANCISCO RIBEIRO	001358	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004775	004777	\N	\N	\N	\N	JANGURUSSU	\N	\N
13664	RUA PARAISÓPOLIS	004775	RUA	\N	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13666	TRAV. BINCEL	022598	TRAVESSA	\N	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13668	RUA RECANTO VERDE	004798	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	LOTEAMENTO	008533	\N	\N	\N	\N	JANGURUSSU	\N	\N
13669	RUA NOVA	004799	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004775	004777	\N	\N	\N	\N	JANGURUSSU	\N	\N
13671	RUA REGINA CÉLIA	004778	RUA	\N	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13672	RUA NUNES FEIJÓ	006416	RUA	\N	Q14/R15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU/ANCURI	\N	\N
13673	RUA RECANTO DAS FLORES	004791	RUA	\N	Q14/R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13674	RUA ANTÔNIO REIS	004800	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AÇUDE JANGURUSSU	008533	\N	\N	\N	\N	JANGURUSSU	\N	\N
13675	RUA JUSTINO SOARES	004801	RUA	\N	Q14/R14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AÇUDE JANGURUSSU	008533	\N	\N	\N	\N	JANGURUSSU	\N	\N
13676	RUA MORADA NOVA	004802	RUA	\N	Q14/R14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AÇUDE JANGURUSSU	008533	\N	\N	\N	\N	JANGURUSSU	\N	\N
13677	RUA IRMÃOS OLÍMPIO	023348	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AÇUDE JANGURUSSU	008533	\N	\N	\N	\N	JANGURUSSU	\N	\N
13678	RUA LUCIANO ALVES	004804	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	AÇUDE JANGURUSSU	008533	\N	\N	\N	\N	JANGURUSSU	\N	\N
13679	RUA IRACEMA	023344	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006375	006416	\N	\N	\N	\N	JANGURUSSU	\N	\N
13680	RUA FRANCISCO DE ASSIS	023143	RUA	\N	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13681	RUA JOVINO VERÍSSIMO	009621	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004778	008533	\N	\N	\N	\N	JANGURUSSU	\N	\N
13682	TRAV. PADRE CÍCERO	022750	TRAVESSA	PADRE	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13683	TRAV. A	022319	TRAVESSA	\N	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006375	004778	\N	\N	\N	\N	JANGURUSSU	\N	\N
13684	TRAV. B	022519	TRAVESSA	\N	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13685	TRAV. C	022639	TRAVESSA	\N	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13686	TRAV. D	022865	TRAVESSA	\N	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13687	RUA PROF. JOSÉ MILTON	006375	RUA	PROFESSOR	Q14/Q15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13688	RUA SÃO JOÃO	023431	RUA	SÃO	Q14/Q15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13689	TRAV. MAJOR LADISLAU LOURENÇO	004707	TRAVESSA	MAJOR	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13690	RUA MAJOR LADISLAU LOURENÇO	023607	RUA	MAJOR	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002076	023607	\N	\N	\N	\N	JANGURUSSU	\N	\N
13691	RUA GENTILÂNDIA	001412	RUA	\N	Q14/Q15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13692	RUA PEDRO CAMELO	002803	RUA	\N	Q14/Q15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13693	RUA NEUZINHA PARENTE	023939	RUA	\N	Q14/Q15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13694	TRAV. FREDERICO PAIVA	004770	TRAVESSA	\N	Q14/Q15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13696	RUA JOAQUIM MARIANO	009669	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023607	004788	\N	\N	\N	\N	JANGURUSSU	\N	\N
13697	TRAV. AYRTON SENNA	021783	TRAVESSA	\N	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13698	TRAV. EMERSON FITTIPALDI	021780	TRAVESSA	\N	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13699	TRAV. NELSON PIQUET	021781	TRAVESSA	\N	Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13700	SD	040838	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	RUA DOMINGOS ALVES RIBEIRO	\N	\N	RUA DO LIONS	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13701	SD	040837	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	AÇÚDE JANGURUSSU	\N	\N	RUA TAQUERA	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13702	SD	040839	RUA	\N	Q14	L-O	\N	\N	\N	\N	\N	RUA JOSELITA PARENTE	\N	\N	ÁRVORES	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13703	SD	040840	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	RUA SÃO JOÃO	\N	\N	RUA PROF. JOSÉ MILTON	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13704	SD	040841	RUA	\N	Q14	N-S	\N	\N	\N	\N	\N	TRAV. D	\N	\N	RUA MISSIONÁRIO OLIVEIRA	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13705	SD	009999	RUA	\N	Q14/R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU/PAUPINA	\N	\N
13710	RUA JUNDIAÍ	002076	RUA	\N	Q15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	007189	AÇUDE DANILO	\N	\N	\N	\N	JANGURUSSU / MESSEJANA	\N	\N
13713	RUA STA. IFIGÊNIA	004768	RUA	SANTA	Q15	\N	\N	\N	\N	\N	\N	BR-116	\N	\N	TRAV. MAJOR LADISLAU	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13714	RUA AVELEDO	000440	RUA	\N	Q15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	007189	004730	\N	\N	\N	\N	MESSEJANA	\N	\N
13715	RUA MIRACEMA	002457	RUA	\N	Q15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	007189	004730	\N	\N	\N	\N	MESSEJANA	\N	\N
13717	RUA  GREGÓRIO DONIZETE FREIRE	021159	RUA	\N	Q15	N-S	7688/95	28/04/95	9665/95	19/06/95	\N	QUADRA 11 (LOT. PQ. BETÂNIA)	\N	001412	007189	023607	\N	\N	\N	\N	JANGURUSSU	\N	\N
13718	TRAV. JUNDIAÍ	023580	TRAVESSA	\N	Q15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13723	ESTRUA DO ANCURI	006067	ESTRADA	\N	Q15/T12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU / MESSEJANA / ANCURI	\N	\N
13724	RUA PENÁPOLIS	002883	RUA	\N	Q15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	002076	004730	\N	\N	\N	\N	MESSEJANA	\N	\N
13726	SD	040842	RUA	\N	Q15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	ESTRADA DO ANCURI	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13727	RUA VENEZA	003548	RUA	\N	Q15/Q16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13729	RUA LUIZ FERNANDES	006152	RUA	\N	Q15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
13730	RUA LUIZ ALVES TOMAZ	004772	RUA	\N	Q15	O-L	4021/72	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
13731	BECO DOCA  SALES (PARIRI)	022907	BECO	\N	Q15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
13732	RUA DOCA SALES (PARIRI)	001067	RUA	\N	Q15	O-L	4020/72	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
13733	SD	040843	RUA	\N	Q15	O-L	\N	\N	\N	\N	\N	SD (040808)	\N	\N	MURO	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13734	TRAV. SISSI	024409	TRAVESSA	\N	Q15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
13735	RUA LUCÍOLA	002210	RUA	\N	Q15/Q16	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
13737	RUA CLEMENTE PEREIRA	000866	RUA	\N	Q15/Q16	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
13738	RUA DIVA	001060	RUA	\N	Q15	N-S	1671/60	16/12/1960	\N	\N	\N	002210	\N	002441	002441	023880	\N	\N	\N	\N	PAUPINA	\N	\N
13739	RUA GARDÊNIA	001400	RUA	\N	Q15/Q16	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
13740	RUA CEL. GUILHERME ALENCAR	001527	RUA	CORONEL	Q15	N-S	1671/60	16/12/1960	\N	\N	\N	001878	\N	RUA JORDÃO	001867	002210	\N	\N	\N	\N	MESSEJANA / ANCURI	\N	\N
13741	RUA DR. MIGUEL COUTO	002441	RUA	DOUTOR	Q15/Q16	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
13743	RUA OSCAR LEITÃO	002685	RUA	\N	Q15/Q16	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA / PAUPINA	\N	\N
13744	RUA EUNICE	001220	RUA	\N	Q15	N-S	1671/60	16/12/1960	\N	\N	\N	RUA JORDÃO	\N	002729	001527	023880	\N	\N	\N	\N	MESSEJANA	\N	\N
13747	RUA GERARDO MAGELA S. FROTA	006481	RUA	\N	Q15	N-S	7778/95	19/09/95	\N	\N	\N	\N	\N	\N	002076	007189	\N	\N	\N	\N	MESSEJANA	\N	\N
13748	BR - 116	007189	RODOVIA	\N	Q15/O14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA / JANGURUSSU/BARROSO	\N	\N
13752	RUA COPÉRNICO	000914	RUA	\N	Q16	N-S	1671/60	16/12/1960	\N	\N	\N	002729	\N	RUA JORDÃO	003548	002210	\N	\N	\N	\N	PAUPINA	\N	\N
13762	SD	040845	RUA	\N	Q16	O-L	\N	\N	\N	\N	\N	RUA VICENTE GURGEL	\N	\N	SD (040844)	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13763	SD	040846	RUA	\N	Q16	O-L	\N	\N	\N	\N	\N	RUA EFÍZIO GURGEL	\N	\N	RUA MIGUEL GURGEL	\N	\N	\N	\N	\N	COAÇU	\N	\N
13765	TRAVESSA LUCÍOLA	023668	TRAVESSA	\N	Q16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
13766	RUA SILVIA	003292	RUA	\N	Q16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000122	002210	\N	\N	\N	\N	PAUPINA	\N	\N
13769	BECO MANOEL PEREIRA	023745	BECO	\N	Q16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
13770	TRAVESSA MANOEL PEREIRA	007608	TRAVESSA	\N	Q16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000342	PERTO DA LAGOA PAUPINA	\N	\N	\N	\N	PAUPINA	\N	\N
13771	RUA LUIZ FRANCISCO XAVIER	007097	RUA	\N	Q16	N-S	4926/77	07/11/77	8779/92	07/05/92	\N	001980	\N	RUA CARLOS SIDON	000342	LOTEAMENTO	\N	\N	\N	\N	PAUPINA	\N	\N
13772	RUA MARQUESA DE SANTOS	008186	RUA	MARQUESA	Q16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000342	021448	\N	\N	\N	\N	COACU	\N	\N
13773	TRAVESSA VICENTE GURGEL	024552	TRAVESSA	\N	Q16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000342	021448	\N	\N	\N	\N	PAUPINA	\N	\N
13775	RUA 7 (LOT. MESSEJANA)	008210	RUA	\N	Q16	N-S	DL 234/2006	30/11/2006	\N	\N	\N	JOSÉ HIPÓLITO	8212	6  DO MESMO LOTEAMENTO	\N	\N	557344	9575982	557248	9575735	COACU	7    LOT. JARDINS DE MESSEJANA)	\N
13776	RUA 8 (LOT. MESSEJANA)	022284	RUA	\N	Q16	O-L	\N	\N	\N	\N	\N	MARQUESA DE SANTOS OU LUIS XAVIER	\N	7  DO MESMO LOTEAMENTO	\N	\N	557096	9575961	557308	9575857	COACU	\N	\N
13777	RUA 6 (LOT. MESSEJANA)	022248	RUA	\N	Q16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13778	RUA 3 (LOT. MESSEJANA)	008209	RUA	\N	Q16	N-S	DL385/2009	24/08/2009	\N	\N	\N	AV. GURGEL DO AMARAL	\N	RUA  BARÃO DE AQUIRAZ	008980	000342	9575896	557410	9575500	557209	COACU	RUA  03 DO LOTEAMENTO  CONSTRUTORA CAMPOS Ltda	\N
13779	RUA 4 (LOT. MESSEJANA)	008213	RUA	\N	Q16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13780	RUA 2 (LOT. MESSEJANA)	008214	RUA	\N	Q16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13781	RUA VICENTE GURGEL	006409	RUA	\N	Q16	N-S	5212/79	13/11/79	\N	\N	\N	ROD. AQUIRAZ-MESSEJANA	\N	ESTRADA DO FIO	008980	000342	\N	\N	\N	\N	COACU	\N	\N
13782	SD	040844	RUA	\N	Q16	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	ÁRVORE	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
13783	RUA SAMAMBAIA	021448	RUA	\N	Q16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
13784	TRAVESSA EFIZIO GURGEL	022959	TRAVESSA	\N	Q16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
13785	RUA EFIZIO GURGEL	007019	RUA	\N	Q16	N-S	5454/81	06/10/81	\N	\N	\N	\N	\N	\N	008980	PRÓXIMA A RUA BARÃO DE AQUIRAZ	\N	\N	\N	\N	COACU	\N	\N
13786	RUA MIGUEL GURGEL	007016	RUA	\N	Q16	N-S	5715/83	17/06/83	\N	\N	\N	\N	\N	\N	008980	000342	\N	\N	\N	\N	COACU	\N	\N
13787	RUA DONA MARIA INÁCIA GURGEL	007012	RUA	DONA	Q16/Q17	\N	5454/81	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13788	RUA JULIETA GURGEL	007013	RUA	DONA	Q16/Q17	\N	5454/81	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13789	RUA RAIMUNDO GURGEL	007014	RUA	\N	Q16	N-S	5454/81	06/10/81	\N	\N	\N	\N	\N	\N	007013	PRÓXIMA A RUA BARÃO DE AQUIRAZ	\N	\N	\N	\N	COACU	\N	\N
13790	RUA FREDERICO FELIX	020126	RUA	\N	Q16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008980	000342	\N	\N	\N	\N	COACU	\N	\N
13791	RUA SÃO JAIRO	005928	RUA	SÃO	Q17/R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13792	RUA SANTA ROSA	005978	RUA	SANTA	Q17/R17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008980	000342	\N	\N	\N	\N	COACU	\N	\N
13793	RUA H	023254	RUA	\N	Q17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13794	RUA I	023297	RUA	\N	Q17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13795	RUA CEL. JOAQUIM PONTES	005696	RUA	CORONEL	Q17/Q18	O-L	\N	\N	\N	\N	\N	ENTRE AS Q29 E 33 DO LOT. JARD. ARREBAL	009361	RUA ADONIRAM BARBOSA	\N	\N	9575563	558652	9575421	558916	LAGOA REDONDA	\N	\N
13796	RUA JOSÉ CAETANO	005695	RUA	\N	Q17/Q18	O-L	\N	\N	\N	\N	\N	ENTRE AS Q34 E 37 DO LOT. JARD. ARREBAL	009361	RUA ADONIRAM BARBOSA	\N	\N	9575485	558654	9575357	558881	LAGOA REDONDA	\N	\N
13797	RUA JOSÉ GADELHA DE MELO	005694	RUA	\N	Q17/Q18	O-L	\N	\N	\N	\N	\N	ENTRE AS Q40 E 37 DO LOT. JARD. ARREBAL	009361	RUA ADONIRAM BARBOSA	\N	\N	9575397	558653	9575295	558850	LAGOA REDONDA	\N	\N
13798	RUA FRANCISCO ROCHA	005720	RUA	\N	Q17	O-L	\N	\N	\N	\N	\N	ENTRE Q40 E 43 DO LOT. JARD. ARREBAL	009361	RUA ADONIRAM BARBOSA	\N	\N	9575315	558652	9575226	558815	LAGOA REDONDA	\N	\N
13799	RUA ADONIRAM BARBOSA	009361	RUA	\N	Q17	N-S	\N	\N	\N	\N	005697	RUA SIGISMUNDO FEITOSA	008980	AV. GURGEL DO AMARAL	\N	\N	9575488	558950	9575159	558781	LAGOA REDONDA	\N	\N
13800	RUA JOVENTINO CAETANO	007178	RUA	\N	Q17	N-S	\N	\N	\N	\N	005697	RUA SIGISMUNDO FEITOSA	008980	AV. GURGEL DO AMARAL	\N	\N	9575546	558837	9575224	558668	LAGOA REDONDA	\N	\N
13801	SD	040855	RUA	\N	Q17	O-L	\N	\N	\N	\N	\N	RUA GURGEL AMARAL (ESTRADA DO FIO)	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	COAÇU	\N	\N
13802	RUA POUSO ALEGRE	007704	RUA	\N	Q17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024654	000342	\N	\N	\N	\N	COACU	\N	\N
13803	RUA F	008876	RUA	\N	Q17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13805	RUA D	008874	RUA	\N	Q17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13806	RUA E	008875	RUA	\N	Q17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13807	RUA G	024654	RUA	\N	Q17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13808	RUA ITAÚNA	005925	RUA	\N	Q17/R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13809	RUA SANTA ARIANE	005926	RUA	SANTA	Q17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
13812	SD	040848	RUA	\N	Q17	O-L	\N	\N	\N	\N	\N	RUA FREDERICO FÉLIX	\N	\N	CULTURA	\N	\N	\N	\N	\N	COAÇU	\N	\N
13813	SD	040847	RUA	\N	Q17	O-L	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA FREDERICO FÉLIX	\N	\N	\N	\N	\N	COAÇU	\N	\N
13820	SD	040850	RUA	\N	Q17	N-S	\N	\N	\N	\N	\N	RUA GURGEL DO AMARAL (ESTRADA DO FIO)	\N	\N	CERCA	\N	\N	\N	\N	\N	COAÇU	\N	\N
13821	SD	040851	RUA	\N	Q17	N-S	\N	\N	\N	\N	\N	RUA GURGEL DO AMARAL (ESTRADA DO FIO)	\N	\N	ÁRVORE	\N	\N	\N	\N	\N	COAÇU	\N	\N
13824	RUA BARÃO DE AQUIRAZ (CE-40)	000342	RUA	BARÃO	Q17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACIU	\N	\N
13826	SD	040853	RUA	\N	Q17	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA G	\N	\N	\N	\N	\N	COAÇU	\N	\N
13827	SD	040854	RUA	\N	Q17	O-L	\N	\N	\N	\N	\N	RUA H	\N	\N	RUA SANTA ROSA	\N	\N	\N	\N	\N	COAÇU	\N	\N
13832	RUA LUÍZA GUIMARÃES	005747	RUA	\N	Q18	O-L	\N	\N	\N	\N	\N	ENTRE AS Q 29 E 33 DO LOT. JARD. ITAMBÉM - LIMITE	\N	SÍTIO ITAMBÉM	RUA MARTINS DE ARAÚJO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13833	TRAV. WASHINGTON DE MORAES	021687	TRAVESSA	\N	Q18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
14196	RUA CHICO MENDES	022742	RUA	\N	R17/S14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU/ANCURI	\N	\N
13836	RUA TORINO	024475	RUA	\N	Q18	\N	\N	\N	\N	\N	021667	RUA ALFA (DA GRANJA)	006527	RUA MARTINS DE ARAÚJO	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13837	RUA SIGISMUNDO FEITOSA	005697	RUA	\N	Q18	O-L	\N	\N	\N	\N	007178	RUA JOVENTINO CAETANO	009361	RUA ADONIRAM FEITOSA	\N	\N	9575546	558837	9575488	558950	LAGOA REDONDA	\N	\N
14132	RUA D	008542	RUA	\N	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
13844	RUA ALFA (DA GRANJA)	021667	RUA	\N	Q18	N-S	\N	\N	\N	\N	024475	RUA TORINO (GRANJA REGINA)	008980	AV. GURGEL DO AMARAL	\N	\N	9575540	559232	9574988	559074	LAGOA REDONDA	\N	\N
13846	SD	040856	RUA	\N	Q18	N-S	\N	\N	\N	\N	\N	TRAV. WASHINGTON MORAES	\N	\N	RUA TORINO	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
14058	RUA VERDE 17 (CONJ. SÍTIO SÃO JOÃO)	008505	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13847	TRAV. REGINA	024244	TRAVESSA	\N	Q18	O-L	\N	\N	\N	\N	021667	RUA ALFA DA GRANJA	\N	VEGETAÇÃO (LIMITE DO LOT. JARDIM ITAMBÉ)	\N	\N	9575452	559207	9575429	559317	LAGOA REDONDA	\N	\N
13857	RUA 7	022253	RUA	\N	Q19	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
13886	\N	006321	RODOVIA	\N	R09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF.JOSE WALTER	\N	\N
13887	AVENIDA PRINCIPAL	024201	AVENIDA	\N	R09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF.JOSE WALTER	\N	\N
13897	VIA DE LIGAÇÃO 3	023636	VIA	\N	R10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF.JOSE WALTER	\N	\N
13899	SD	040857	RUA	\N	R10	N-S	\N	\N	\N	\N	\N	VIA DE LIG. 3	\N	\N	AV. PRINCIPAL	\N	\N	\N	\N	\N	PREF.JOSE WALTER	\N	\N
13915	RUA CANTAREIRA	007191	RUA	\N	R12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13920	RUA EDILSON CANDEIAS	021042	RUA	\N	R12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006159	007191	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13921	RUA DALVA DE OLIVEIRA	007089	RUA	\N	R12	L-O	\N	\N	\N	\N	\N	\N	\N	\N	009179	PRÓXIMA A RUA SANDRA PEREIRA	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13925	RUA CANGURÚ	009179	RUA	\N	R12/R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13930	RUA DO COQUEIRO	000802	RUA	\N	R12/R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13931	RUABENEDITO ALVES	021776	RUA	\N	R12/R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13932	RUA ISMAEL SILVA	007094	RUA	\N	R12/R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13933	RUA CANTINHO VERDE	006163	RUA	\N	R12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13945	TRAV. ISMAEL SILVA	023354	TRAVESSA	\N	R12/R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13953	RUA SALMÃO	006138	RUA	\N	R13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006159	004793	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13958	RUA MARQUÊS DE SAPUCAÍ	009289	RUA	MARQUÊS	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13961	RUA OLÍMPIO RIBEIRO	007099	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13962	RUA CAMPINENSE	006137	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13963	RUA CABO VERDE	006161	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13964	RUA CODÓ	006142	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13970	RUA CATOLÉ	006199	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13973	RUA VERDE 2 (CONJ. SÍTIO SÃO JOÃO)	008490	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13974	RUA VERDE 3 (CONJ. SÍTIO SÃO JOÃO)	008491	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13975	AVENIDA B (CONJ. SÍTIO SÃO JOÃO)	008534	AVENIDA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13976	RUA VERDE 4 (CONJ. SÍTIO SÃO JOÃO)	008492	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13977	RUA VERDE 5 (CONJ. SÍTIO SÃO JOÃO)	008493	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13978	AVENIDA A (CONJ. SÍTIO SÃO JOÃO)	008533	AVENIDA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU / CONJUNTO PALMEIRAS	\N	\N
13980	RUA VERDE 35 (CONJ. SÍTIO SÃO JOÃO)	008523	RUA	\N	R13/R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13981	RUA VERDE 6 (CONJ. SÍTIO SÃO JOÃO)	008494	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13982	RUA VERDE 7 (CONJ. SÍTIO SÃO JOÃO)	008495	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13983	RUA VERDE 9 (CONJ. SÍTIO SÃO JOÃO)	008497	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13984	RUA VERDE 39 (CONJ. SÍTIO SÃO JOÃO)	008527	RUA	\N	R13/R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13985	RUA VERDE 10 (CONJ. SÍTIO SÃO JOÃO)	008498	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13986	RUA VERDE 11 (CONJ. SÍTIO SÃO JOÃO)	008499	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13987	RUA VERDE 12 (CONJ. SÍTIO SÃO JOÃO)	008500	RUA	\N	R13/R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13988	RUA NOVA	023980	RUA	\N	R13/R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13990	RUA CAMPO DAS FLORES	021146	RUA	\N	R13	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA DOM LUSTOSA	AVENIDA 4	\N	\N	\N	\N	JANGURUSSU	\N	\N
13991	RUA DOM LUSTOSA	009422	RUA	DOM	R13/R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
13993	RUA VERDE 42 (CONJ. SÍTIO SÃO JOÃO)	008530	RUA	\N	R13/R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13994	AV.   C (CONJ. SÍTIO SÃO JOÃO)	008535	AVENIDA	\N	R13/R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13995	RUA VERDE 24 (CONJ. SÍTIO SÃO JOÃO)	009724	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13996	RUA VERDE 25 (CONJ. SÍTIO SÃO JOÃO)	008513	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13997	RUA VERDE 26 (CONJ. SÍTIO SÃO JOÃO)	008551	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13998	RUA VERDE 27 (CONJ. SÍTIO SÃO JOÃO)	008515	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
13999	RUA VERDE 28 (CONJ. SÍTIO SÃO JOÃO)	008516	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14000	RUA VERDE 44 (CONJ. SÍTIO SÃO JOÃO)	008532	RUA	\N	R13/R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14001	RUA VERDE 30 (CONJ. SÍTIO SÃO JOÃO)	008518	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14002	RUA VERDE 29 (CONJ. SÍTIO SÃO JOÃO)	008517	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14003	RUA VERDE 31 (CONJ. SÍTIO SÃO JOÃO)	008519	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14004	RUA VERDE 40 (CONJ. SÍTIO SÃO JOÃO)	008528	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14005	RUA VERDE 37 (CONJ. SÍTIO SÃO JOÃO)	008525	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14006	RUA VERDE 33 (CONJ. SÍTIO SÃO JOÃO)	008521	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14007	RUA VERDE 32 (CONJ. SÍTIO SÃO JOÃO)	008520	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14009	RUA VERDE 8 (CONJ. SÍTIO SÃO JOÃO)	008496	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14010	RUA VERDE 41 (CONJ. SÍTIO SÃO JOÃO)	008529	RUA	\N	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14011	RUASTA. ROSA	024301	RUA	SANTA	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14013	RUASTA. HELENA	023274	RUA	SANTA	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14014	TRAV. MARQUÊS DE  SAPUCAÍ	024344	TRAVESSA	MARQUÊS	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14023	SD	040858	RUA	\N	R13	L-O	\N	\N	\N	\N	\N	RUA CABO VERDE	\N	\N	AV. CASTELO DE CASTRO	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14024	SD	040859	RUA	\N	R13	L-O	\N	\N	\N	\N	\N	RUA CATOLÉ	\N	\N	RUA CABO VERDE	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14030	TRAV. SÃO RAIMUNDO	024223	TRAVESSA	SÃO	R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14042	RUA VERDE 13 (CONJ. SÍTIO SÃO JOÃO)	008501	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14044	RUA VERDE 14 (CONJ. SÍTIO SÃO JOÃO)	008502	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14045	RUA VERDE 15 (CONJ. SÍTIO SÃO JOÃO)	008503	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14046	RUA VERDE 16 (CONJ. SÍTIO SÃO JOÃO)	008504	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14049	RUA VERDE 22 (CONJ. SÍTIO SÃO JOÃO)	008510	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14050	RUA VERDE 23 (CONJ. SÍTIO SÃO JOÃO)	008511	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14051	RUA VERDE 21 (CONJ. SÍTIO SÃO JOÃO)	008509	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14055	RUA IRMÃO OLÍMPIO	004803	RUA	IRMÃO	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14059	RUA VERDE 43 (CONJ. SÍTIO SÃO JOÃO)	008531	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14061	RUA VERDE 20 (CONJ. SÍTIO SÃO JOÃO)	008508	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14065	RUA F	023042	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14066	RUA E	008144	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14068	TRAVESSA JOVINO VERÍSSIMO	006066	TRAVESSA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14069	RUA VERDE 18 (CONJ. SÍTIO SÃO JOÃO)	008506	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14071	RUA VERDE 36 (CONJ. SÍTIO SÃO JOÃO)	008524	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS	\N	\N
14072	RUA CAJAZEIRAS	024564	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14074	RUA DR. CARLOS IVO	000785	RUA	DOUTOR	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14075	RUA FLOR DO CAMPO	021139	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14077	TRAVESSA VIANA MARTINS	000022	TRAVESSA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14078	TRAVESSA TACIANA MARTINS	021136	TRAVESSA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14079	RUA RODOLFO TOMÉ	003500	RUA	\N	R14	L-O	5199/1979	\N	\N	\N	\N	ANCURI, ESTRADA	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	SÃO  JOÃO ,   RODOLFO TOMÉ, RUA	LEI ESPECÍFICA
14081	TRAVESSA NUNES FEIJÓ	023997	TRAVESSA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14082	RUA MISSIONÁRIO OLIVEIRA	024020	RUA	MISSIONÁRIO	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14083	RUA C	004811	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14084	RUA RIO JORDÃO	006532	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14087	RUA VISCONDE DA BAHIA	004788	RUA	VISCONDE	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14088	RUA D	022864	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14089	RUA B	009775	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14090	RUA A	004812	RUA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14092	TRAVESSA TIRADENTES	020222	TRAVESSA	\N	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14093	TRAVESSA DR. JOSÉ BASTOS	006414	TRAVESSA	DOUTOR	R14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14094	RUA AUGUSTO BENEVIDES	006429	RUA	\N	R14/R15	L-O	\N	\N	\N	\N	\N	BR 116	\N	\N	ESTRADA DO ANCURI	\N	\N	\N	\N	\N	ANCURI	\N	\N
14096	TRAVESSA RIO JORDÃO	006415	TRAVESSA	\N	R15	L-O	\N	\N	\N	\N	\N	\N	\N	\N	ESTRADA DO ANCURI	\N	\N	\N	\N	\N	ANCURI	\N	\N
14097	TRAVESSA LOURENÇO DE SOUSA	023649	TRAVESSA	\N	R15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14099	RUA HONORINO MAIA	006115	RUA	\N	R15/S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14102	RUA MARIA QUINTINO	006592	RUA	\N	R15/S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14103	TRAVESSA CAPITÃO PORFÍRIO	024189	TRAVESSA	CAPITÃO	R15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14104	RUA CEL. JOSÉ MOURA	023552	RUA	CORONEL	R15/S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14105	SD	040860	RUA	\N	R15	O-L	\N	\N	\N	\N	\N	EDIFICAÇÕES	\N	\N	RUA PADRE PEDRO ALENCAR	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14106	RUA CAPITÃO HERMÍNIO	006054	RUA	CAPITÃO	R15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14107	TRAVESSA JALISCO	007083	TRAVESSA	\N	R15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14108	RUA PEDRO DE SOUSA	006055	RUA	\N	R15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14109	RUA CAPITÃO PORFÍRIO	006053	RUA	CAPITÃO	R15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14110	TRAVESSA HONORATO SILVA	020226	TRAVESSA	\N	R15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14112	BR - 116	007189	RODOVIA	\N	R15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14113	TRAVESSA CEL. PATRÍCIO	020225	TRAVESSA	CORONEL	R15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14114	RUA GUILHERME DE ALMEIDA	006089	RUA	\N	R15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020225	023492	\N	\N	\N	\N	ANCURI	\N	\N
14115	TRAVESSA BENEDITO ROSA	022574	TRAVESSA	\N	R15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14121	RUA GUARANI	005934	RUA	\N	R15/S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14122	RUA ANTERO DE QUENTAL	005949	RUA	\N	R15/T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14124	SD	040861	RUA	\N	R15	N-S	\N	\N	\N	\N	\N	RUA GUARANI	\N	\N	BR 116	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14126	RUA MANOEL VIRINO	009395	RUA	\N	R15/R16	N-S	3988/72	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14130	RUA A	008539	RUA	\N	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14131	RUA B	008540	RUA	\N	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14133	RUA E	008543	RUA	\N	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14146	SD	040864	RUA	\N	R16	O-L	\N	\N	\N	\N	\N	RUA ARTUR BACELAR	\N	\N	RUA PAULO RIBEIRO	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14147	SD	040863	RUA	\N	R16	N-S	\N	\N	\N	\N	\N	RUA MONTE VERDE	\N	\N	MURO	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14148	SD	040862	RUA	\N	R16	O-L	\N	\N	\N	\N	\N	RUA LUIZ FRANCISCO XAVIER	\N	\N	RUA SANTA LUCRÉCIA	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14151	RUA CÂNDIDO SABINO	006696	RUA	\N	R16	\N	6627/90	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14152	RUA ROQUE FREITAS	008034	RUA	\N	R16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14153	RUA MONTE VERDE	021508	RUA	\N	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14154	RUA C	008541	RUA	\N	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14155	TRAV. MONTE VERDE	006324	TRAVESSA	\N	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14156	RUA PAULO RIBEIRO	006320	RUA	\N	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14157	RUA TROPICAL	006743	RUA	\N	R16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	TERRENO	040005	\N	\N	\N	\N	PAUPINA	\N	\N
14158	RUA SANTA LUCRÉCIA	006329	RUA	SANTA	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14161	RUA ASA BRANCA	021509	RUA	\N	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14162	RUA LUIZ FIDÉLIS	006663	RUA	\N	R16/R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14163	RUA JOÃO LEITÃO	023456	RUA	\N	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14164	RUA FRANCISCO CARLOS	021510	RUA	PROFESSOR	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14166	RUA ARTUR BACELAR	021458	RUA	\N	R16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14168	RUA 6	009107	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14169	RUA 7	009108	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14170	RUA 8	009109	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14171	SD	040871	RUA	\N	R17	N-S	\N	\N	\N	\N	\N	RUA SÃO JORGE	\N	\N	RUA SANTA LÚCIA	\N	\N	\N	\N	\N	COAÇU	\N	\N
14173	RUA 5	009106	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14174	RUA 4	009105	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14175	RUA 3	009104	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14176	RUA 2	022121	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14177	RUA 9	009110	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14179	SD	040869	RUA	\N	R17	N-S	\N	\N	\N	\N	\N	RUA A	\N	\N	RUA B	\N	\N	\N	\N	\N	COAÇU	\N	\N
14180	RUA A	008871	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14181	RUA C	008873	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14182	RUA D	008874	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14184	RUA ROSANA REIS	020125	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14185	RUA SERVIDÃO	007297	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14186	ESTRADA AQUIRAZ (ANTIGA ESTRADA)	021467	ESTRADA	\N	R17	N-S	\N	\N	\N	\N	\N	RUA 1 (LOT. PARAÍSO DE MESSEJANA)	\N	\N	RUA LUIZ FIDÉLIS	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14187	SD	040870	RUA	\N	R17	O-L	\N	\N	\N	\N	\N	RUA BARÃO DE AQUIRAZ (CE-040)	\N	\N	CERCA	\N	\N	\N	\N	\N	COAÇU	\N	\N
14189	TRAVESSA ANTÔNIO MARCOS	020512	TRAVESSA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14190	TRAVESSA SILMAR	020513	TRAVESSA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14191	TRAVESSA SOLIMAR	024420	TRAVESSA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14192	TRAVESSA PEDESTRE A	024107	TRAVESSA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14193	TRAVESSA PEDESTRE F	024111	TRAVESSA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14194	TRAVESSA PEDESTRE E	024110	TRAVESSA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14197	RUA PALMÁCIA	024053	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14199	RUA ESCRAVA ANASTÁCIA	022418	RUA	ESCRAVA	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14200	RUA SALETE QUEIROZ	020129	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14201	RUA SALETE ARAGÃO	024325	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14202	RUA IRMÃ DULCE	022924	RUA	IRMÃ	R17/Q14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU/JANGURUSSU	\N	\N
14203	RUA NELSON MANDELA	023932	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14204	RUA A	022310	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14205	RUA B	022512	RUA	\N	R17/R18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14206	SD	040868	RUA	\N	R17	O-L	\N	\N	\N	\N	\N	ANTIGA ESTRADA PARA AQUIRAZ	\N	\N	RUA BARÃO DE AQUIRAZ (CE-040)	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14207	ESTRADA RIACHO DO OURO (RUA BIRMANIA)	021442	ESTRADA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14209	RUA D	007697	RUA	\N	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14210	RUA SÃO FRANCISCO	005761	RUA	SÃO	R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14211	RUA SANTA APARECIDA	022460	RUA	SANTA	R17/R18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14213	RUA SANTA LÚCIA	023660	RUA	SANTA	R17/R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU/CONJUNTO PALMEIRAS	\N	\N
14217	SD	040865	RUA	\N	R17	N-S	\N	\N	\N	\N	\N	RUA BARÃO DE AQUIRAZ (CE-040)	\N	\N	RUA 01	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14218	SD	040866	RUA	\N	R17	N-S	\N	\N	\N	\N	\N	RETORNO	\N	\N	RUA D	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14219	RUA SÃO MARCOS	005542	RUA	SÃO	R17/R18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COACU	\N	\N
14220	SD	040867	RUA	\N	R17	O-L	\N	\N	\N	\N	\N	RUA C	\N	\N	RETORNO	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14238	ESTRADA DE ACESSO AO SÍTIO SEPAÚ	022351	ESTRADA	\N	S11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREFEITO JOSÉ WALTER/MARACANAÚ	\N	\N
14256	SD	040873	RUA	\N	S13	N-S	\N	\N	\N	\N	\N	AV. CASTELO CASTRO	\N	\N	ESTRADA DO ANCURI	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14260	SD	040874	RUA	\N	S13	N-S	\N	\N	\N	\N	\N	SD (040873)	\N	\N	ANEL VIÁRIO	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14266	TRAV. SANTANA	024336	TRAVESSA	\N	S14/G07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI/PICI	\N	\N
14267	RUA JOSÉ ORLEANS	020232	RUA	\N	S14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14268	RUA MARIA RIBEIRO	024645	RUA	\N	S14/P14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006653	001075	\N	\N	\N	\N	ANCURI/JANGURUSSU	\N	\N
14269	TRAV. PADRE CÍCERO	020230	TRAVESSA	PADRE	S14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14270	RUA JURANDIR LEONEL ALENCAR	006157	RUA	\N	S14/S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14271	RUA PEDRO	024121	RUA	\N	S14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14273	RUA SÃO PAULO	024087	RUA	SÃO	S14/G05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI/GENIBAÚ	\N	\N
14274	TRAVESSA  NOVO  HORIZONTE	023990	TRAVESSA	\N	S14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14275	RUA ESTOCOLMO	006526	RUA	\N	S14/S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14276	RUA SÃO LEOPOLDO	006746	RUA	SÃO	S14/S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14277	RUA FLORESTA	006103	RUA	\N	S14/T14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14278	RUA BABILÔNIA	020206	RUA	\N	S14/T14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14279	RUA EDÉZIO MONTEIRO	020199	RUA	\N	S14/T14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14280	RUA JARDIM BOTÂNICO	001758	RUA	\N	S14/T14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14281	RUA ERIBERTO ONOFRE	006098	RUA	\N	S14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14282	RUA FERNANDO BARROS DE ALENCAR	023079	RUA	\N	S14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14283	RUA FRANKLIM XAVIER	023158	RUA	\N	S14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14284	AVENIDA TERESÓPOLIS	006156	AVENIDA	\N	S14/S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14285	RUA JOSÉ MOREIRA	000304	RUA	\N	S14/ S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14287	SD	040875	RUA	\N	S14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA ERIBERTO ONOFRE	\N	\N	\N	\N	\N	ANCURI	\N	\N
14289	RUA RAIMUNDO MONTEIRO	006153	RUA	\N	S14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14291	RUA HONORATO SILVA	006072	RUA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14293	RUA JOSÉ OLÍMPIO	006134	RUA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14294	RUA JOÃO CRISPIM	006049	RUA	\N	S15/S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14295	RUA JOCÉLIO MONTEIRO	005935	RUA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14296	RUA HONG KONG	023291	RUA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14297	RUA JOSÉ MOGICA	006860	RUA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14298	TRAV. JOÃO CRISPIM	002252	TRAVESSA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14300	TRAV. SANTA MARINA	023809	TRAVESSA	SANTA	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14301	TRAV. CAPUCHINHO	020228	TRAVESSA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14302	RUA JORGE VIEIRA	023492	RUA	\N	S15/J12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI/AEROPORTO	\N	\N
14303	RUA NONATO FARIAS	002503	RUA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14305	TRAV. ANTÔNIO SAMPAIO	007773	TRAVESSA	CORONEL	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14306	AVENIDA ISABEL BEZERRA	006071	AVENIDA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14307	RUA MANOEL COSTA	009126	RUA	\N	S15/S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14308	RUA JOAQUIM MACHADO	005923	RUA	\N	S15/S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14311	RUA CEL. ALÍPIO CUNHA	006051	RUA	CORONEL	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14312	RUA CEL. XAVIER CHAVES	005975	RUA	CORONEL	S15/S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14313	RUA DUARTE COELHO	005971	RUA	\N	S15/T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14314	RUA DOIS IRMÃOS	021464	RUA	\N	S15/T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI/PAUPINA	\N	\N
14315	RUA SIMÃO SANTOS	008246	RUA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14318	AVENIDA DO VAQUEIRO	006150	AVENIDA	\N	S15/T15	O-L	\N	\N	9787/96	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14319	TRAV. SANTA CASSIANA	020236	TRAVESSA	SANTA	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14320	RUA PAULO ANDRÉ	020235	RUA	\N	S15/T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14321	RUA MENINO JESUS	023853	RUA	\N	S15/P17	O-L	\N	\N	\N	\N	005685	RUA CAP. JUSTINO FERREIRA RAMOS	005684	RUA LOURDES VIDAL	\N	\N	9576728	558324	9576710	558429	ANCURI/LAGOA REDONDA	\N	\N
14322	RUAANGELINA MUNIZ	020240	RUA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14323	RUADOM BOSCO	023052	RUA	DOM	S15/O16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI/MESSEJANA	\N	\N
14324	RUAMONTE ROSADO	020238	RUA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14325	RUA BREJO SANTO	006047	RUA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14326	TRAV. SANTA RITA	021447	TRAVESSA	SANTA	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14327	RUA N. S. DAS GRAÇAS	023968	RUA	\N	S15/S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14328	RUA CEL. ANTÔNIO SAMPAIO	005936	RUA	CORONEL	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14331	TRAVESSA  IRACEMA	023340	TRAVESSA	\N	S15/T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14332	TRAVESSA JOSÉ DE ASSIS	020231	TRAVESSA	\N	S15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14333	SD	040876	RUA	\N	S15	N-S	\N	\N	\N	\N	\N	RUA CORONEL ALIPÍO CUNHA	\N	\N	CAMINHO	\N	\N	\N	\N	\N	ANCURI	\N	\N
14334	RUA 1	008056	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14335	RUA 2	008057	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14336	RUA 3	008058	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14337	RUA 4	008059	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14338	RUA 5	008060	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14339	RUA 6	008061	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14340	RUA 19	008070	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14341	RUA 17	008069	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14342	RUA 13	008068	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14343	RUA 12	008067	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14344	RUA 11	008066	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14345	RUA 10	008065	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14346	RUA 9	008064	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14347	RUA 8	008063	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14348	RUA 7	008062	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14349	AVENIDA CONTORNO OESTE	008053	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14351	AVENIDA CONTORNO SUL	008055	AVENIDA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14353	RUA GUARANI	005934	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14358	RUA MIGUEL GUSTAVO	002445	RUA	\N	S16/T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14359	RUA MAJORLÂNDIA	023719	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14360	RUA PERNAMBUCO	008118	RUA	\N	S16/T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14362	RUA AMÉRICO BRASILIENSE	005947	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14363	RUA BARROS CASSAL	005948	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14364	RUA TEFÉR	005972	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14365	\N	024606	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14366	RUA FREITAS PIMENTEL	005969	RUA	\N	S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14376	RUA PORTO FELIZ	009137	RUA	\N	S16/T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14379	SD	040877	RUA	\N	S16	O-L	\N	\N	\N	\N	\N	RUA CONTORNO	\N	\N	RUA 1	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14380	SD	040878	RUA	\N	S16	O-L	\N	\N	\N	\N	\N	RUA 2	\N	\N	RUA 3	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14381	SD	040879	RUA	\N	S16	O-L	\N	\N	\N	\N	\N	RUA 4	\N	\N	RUA 5	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14382	SD	040880	RUA	\N	S16	O-L	\N	\N	\N	\N	\N	RUA 5	\N	\N	RUA 6	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14383	SD	040881	RUA	\N	S16	O-L	\N	\N	\N	\N	\N	RUA 6	\N	\N	RUA 7	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14384	SD	040882	RUA	\N	S16	O-L	\N	\N	\N	\N	\N	RUA 7	\N	\N	RUA 8	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14386	SD	040884	RUA	\N	S16	O-L	\N	\N	\N	\N	\N	RUA 10	\N	\N	RUA 11	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14387	SD	040885	RUA	\N	S16	O-L	\N	\N	\N	\N	\N	RUA 12	\N	\N	RUA 13	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14388	SD	040883	RUA	\N	S16	O-L	\N	\N	\N	\N	\N	RUA 8	\N	\N	RUA 9	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14390	SD	040886	RUA	\N	S16	O-L	\N	\N	\N	\N	\N	RUA 17	\N	\N	RUA 19	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14407	AV. DIONISIO ALENCAR	022902	AVENIDA	\N	T12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14409	RUA MARIA FRANCISCA	023796	RUA	\N	T12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14410	SD	040888	RUA	\N	T12	L-O	\N	\N	\N	\N	\N	SD (040873)	\N	\N	CAMINHO	\N	\N	\N	\N	\N	JANGURUSSU	\N	\N
14414	RUA DIONÍZIO ALENCAR	022903	RUA	\N	T13	N-S	5421/81	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI / PEDRAS	\N	\N
14418	SD	040889	RUA	\N	T13	N-S	\N	\N	\N	\N	\N	RUA DIONÍZIO DE ALENCAR	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14420	RUA MARIA  FRANCISCA	023791	RUA	\N	T13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14421	SD	040890	RUA	\N	T14	L-O	\N	\N	\N	\N	\N	RUA JARDIM BOTÂNICO	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14427	TRAVESSA ESTOCOLMO	023008	TRAVESSA	\N	T14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14429	RUA PRUDENTE DE MORAIS	021617	RUA	\N	T14/U14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	ANEL VIÁRIO (CONTORNO RODOVIÁRIO)	RUA ACARI	\N	\N	\N	\N	PEDRAS	PRUDENTE  DE MORAIS	\N
14431	RUA ESTOCOLMO	006526	RUA	\N	T14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14432	RUA DO CRUZEIRO	006100	RUA	\N	T14/T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI/PEDRAS	\N	\N
14434	RUA ANTÔNIO PITA	006694	RUA	\N	T14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14435	RUA MONSENHOR BEZERRA	006759	RUA	MONSENHOR	T14/T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14436	RUA CANAAN	006376	RUA	\N	T14/T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14439	TRAV. CRISTO REDENTOR	021441	TRAVESSA	\N	T15/T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14440	TRAV. S. FRANCISCO	007178	TRAVESSA	SÃO	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14441	TRAV. SANTO ANTÔNIO	007178	TRAVESSA	SÃO	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14442	RUA DA PAZ	024096	RUA	\N	T15/C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040029	023589	\N	\N	\N	\N	PAUPINA/VILA VELHA	\N	\N
14444	RUA RECANTO DA SAUDADE	021446	RUA	\N	T15/T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14445	RUA ZENAIDE SABÓIA	005919	RUA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14446	RUA 20 DE ABRIL	005915	RUA	\N	T15/T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14447	RUA RECANTO SERENO	000611	RUA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14448	BECO 21 DE  ABRIL	022138	BECO	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14449	SD	040896	RUA	\N	T15	O-L	\N	\N	\N	\N	\N	BR 116	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14450	RUA 1º DE ABRIL	021444	RUA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14451	RUA 12 DE MARÇO	021463	RUA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14453	RUA TELES GIRÃO	021462	RUA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14454	RUA QUITÉRIO GIRÃO	024214	RUA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14455	RUA ANTÔNIO RABELO	006816	RUA	\N	T15/U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14456	RUA ADELAIDE PAULINO	006132	RUA	\N	T15/T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14457	RUA SHIRLEY	006133	RUA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14458	RUA PEROLINA DE MORAIS	005918	RUA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14460	RUA 25 DE DEZEMBRO	005917	RUA	\N	T15/T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14461	RUA JOÃO SALDANHA	021461	RUA	\N	T15/T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14463	TRAV. DOIS IRMÃOS	022909	TRAVESSA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14464	TRAV. LIBERDADE	021465	TRAVESSA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14467	TRAV. M. PEIXOTO	023744	TRAVESSA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14468	RUA MANOEL PEIXOTO	009726	RUA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14472	RUA JOSÉ MARQUES	023546	RUA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14474	SD	040892	RUA	\N	T15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA MANOEL PEIXOTO	\N	\N	\N	\N	\N	ANCURI	\N	\N
14475	SD	040897	RUA	\N	T15	N-S	\N	\N	\N	\N	\N	RUA JOÃO SALDANHA	\N	\N	RUA PEROLINA DE MORA	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14476	SD	040893	RUA	\N	T15	N-S	\N	\N	\N	\N	\N	RUA MANOEL PEIXOTO	\N	\N	CAMPO DE FUTEBOL	\N	\N	\N	\N	\N	ANCURI	\N	\N
14477	SD	040891	RUA	\N	T15	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA MANOEL PEIXOTO	\N	\N	\N	\N	\N	ANCURI	\N	\N
14478	RUA TRAIRÍ	003430	RUA	\N	D16	O-L	1671/60	16/12/1960	\N	\N	\N	\N	\N	José Napoleão	\N	\N	\N	\N	\N	\N	MEIRELES	\N	\N
14479	SD	040894	RUA	\N	T15	O-L	\N	\N	\N	\N	\N	ÁRVORE	\N	\N	RUA 1º DE ABRIL	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14480	SD	040895	RUA	\N	T15	N-S	\N	\N	\N	\N	\N	RUA JOÃO SALDANHA	\N	\N	RUA 25 DE DEZEMBRO	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14483	TRAV. NOVA ASSUNÇÃO	023985	TRAVESSA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANCURI	\N	\N
14484	TRAV.DOS ISRAELITAS	023356	TRAVESSA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14488	RUA FRANCISCO DE ASSIS	023140	RUA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14492	RUA ANA PATRÍCIA	021466	RUA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14493	RUA RUFINO F. DA SILVA	024315	RUA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14500	RUA SANTA FÉ	007976	RUA	SANTA	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14504	TRAV. PORTO FELIZ	024190	TRAVESSA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14505	TRAV. DOM HOMERO	007975	TRAVESSA	DOM	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14507	RUA 3 (PARQUE ELIZABETH)	022174	RUA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14508	RUA 2  (PARQUE ELIZABETH)	022123	RUA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14509	RUA 4 (PARQUE ELIZABETH)	022211	RUA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14510	RUA 5 (PARQUE ELIZABETH)	022232	RUA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14511	RUA 6 (PARQUE ELIZABETH)	022250	RUA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14512	RUA 7 (PARQUE ELIZABETH)	022266	RUA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14513	RUA 8 (PARQUE ELIZABETH)	022286	RUA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14514	RUA SANTA CATARINA	022721	RUA	SANTA	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14515	SD	040901	RUA	\N	T16	N-S	\N	\N	\N	\N	\N	ÁRVORE	\N	\N	RUA DUARTE COELHO	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14516	RUA SANTA MARIA	023781	RUA	SANTA	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14517	TRAVESSA DUARTE COELHO	022923	TRAVESSA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14518	RUA 1 (PARQUE ELIZABETH)	022023	RUA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14520	TRAV. BRENA	022613	TRAVESSA	\N	T16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14521	SD	040899	RUA	\N	T16	O-L	\N	\N	\N	\N	\N	RUA RECANTO SERENO	\N	\N	RUA PORTO FELIZ	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14522	SD	040898	RUA	\N	T16	N-S	\N	\N	\N	\N	\N	RUA DUARTE COELHO	\N	\N	CULTURA	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14523	SD	040900	RUA	\N	T16	N-S	\N	\N	\N	\N	\N	RUA DUARTE COELHO	\N	\N	RIO	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14525	RUA LUCIANO MONTEIRO	023665	RUA	\N	U12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FORA	\N	\N
14544	ESTRADA DE ACESSO AO RESERVATÓRIO DO ANCURI	022350	ESTRADA	\N	U13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14545	RUA MANUEL FERNANDES	023752	RUA	\N	U13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14548	RUA PADRE VALDIR DANTAS	006383	RUA	PADRE	U14/U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14550	AV. PALMEIRA DOS ÍNDIOS	021627	AVENIDA	\N	U14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14551	RUA MATIZ	021629	RUA	\N	U14	N-S	\N	\N	\N	\N	\N	RUA PADRE VALDIR DANTAS	\N	\N	CERCA	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14552	RUA ISABEL SALES	000209	RUA	\N	U14/ V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14553	RUA MONTE REAL	021628	RUA	\N	U14	N-S	\N	\N	\N	\N	\N	RUA VALDIR DANTAS	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14554	RUA LANDEL DE MOURA	021623	RUA	\N	U14/U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14555	RUA ACARI	006384	RUA	\N	U14/U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14556	RUA ANTÔNIO ALMEIDA	021621	RUA	\N	U14/U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14558	RUA FRANCISCO RAMOS	023154	RUA	\N	U14/V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14559	SD	040902	RUA	\N	U14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA  ACEGUÁ	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14560	SD	040903	RUA	\N	U14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	AV. PALMEIRAS DOS ÍNDIOS	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14561	RUA AGUAPÉ	000190	RUA	\N	U14/ V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14562	RUA ACEGUÁ	000195	RUA	\N	U14/ V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14563	AVENIDA TRAIRÁ	006949	AVENIDA	\N	U14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14564	RUA ANTÔNIO RAIMUNDO	021620	RUA	\N	U14/V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14565	RUA CLAUDINA MARIA	021618	RUA	\N	U14/V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14566	RUA TEODORICO CRUZ	006102	RUA	\N	U14/V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14567	RUA HAROLDO BARBOSA	021624	RUA	\N	U14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14568	RUA JOSÉ PEREIRA I	007308	RUA	\N	U15	O-L	\N	\N	\N	\N	\N	JOSÉ PEREIRA	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14569	SD	040904	RUA	\N	U15	N-S	\N	\N	\N	\N	\N	RUA DO TRAÍRA	\N	\N	RUA PADRE VALDIR DANTAS	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14570	RUA JOSÉ PEREIRA II	007309	RUA	\N	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14571	TRAV.  JOSÉ PEREIRA	007307	TRAVESSA	\N	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14572	RUA JOSÉ PEREIRA	002013	RUA	\N	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14573	RUA ESTUDANTE SÍLVIO CARNEIRO	006805	RUA	ESTUDANTE	U15	O-L	\N	\N	\N	\N	\N	\N	\N	\N	BR 116	SD	\N	\N	\N	\N	PAUPINA	\N	\N
14574	RUA MONTREAL	007051	RUA	\N	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14575	RUA FREI CANECA	005963	RUA	FREI	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14576	RUA BENEDITO DE SOUZA	007052	RUA	\N	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14577	TRAV. EDMILSOM	022949	TRAVESSA	\N	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14583	RUA TRÊS ESTRELAS	006097	RUA	\N	U15	N-S	\N	\N	\N	\N	\N	RUA PADRE VALDIR DANTAS	\N	\N	RUA ACARAÍ	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14586	BR - 116	007189	RODOVIA	\N	U15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14587	RUA LARISSE PORTO	006920	RUA	\N	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14588	TRAV. CEL. BASTOS	022554	TRAVESSA	CORONEL	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14589	TRAV. D. LUIS	023670	TRAVESSA	DOM	U15/J15	O-L	\N	\N	\N	\N	003121	AV. ROGACIANO LEITE	000322	RUA ANTÔNIO ROCHA	\N	\N	9582442	555456	9582409	555648	PAUPINA/JARDIM DAS OLIVEIRAS	\N	\N
14590	RUA ENOQUE FALCÃO	020110	RUA	\N	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14591	TRAV. ENOQUE FALCÃO	021460	TRAVESSA	\N	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14592	SD	040906	RUA	\N	U15	O-L	\N	\N	\N	\N	\N	RUA ESTUDANTE SILVIO CARNEIRO	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14593	AVENIDA TRAIRÁ	006449	AVENIDA	\N	U15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14596	SD	040905	RUA	\N	U15	O-L	\N	\N	\N	\N	\N	BR-116	\N	\N	RETORNO	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14607	RUA JOÃO BORGES DA SILVA	023443	RUA	\N	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14609	RUA ERIVELTO MARTINS	021619	RUA	\N	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14610	RUA FRANCISCO JOSÉ	023149	RUA	\N	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14612	RUA ANTÔNIO CONRADO	021632	RUA	\N	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14620	RUA ANDALUZIA	006099	RUA	\N	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14621	RUA LUIS BENTO	008665	RUA	\N	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14622	SD	040907	RUA	\N	V14	N-S	\N	\N	\N	\N	\N	RUA HAROLDO BARBOSA	\N	\N	RUA JOÃO BORGES DA SILVA	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14623	SD	040908	RUA	\N	V14/V15	L-O	\N	\N	\N	\N	\N	BR-116	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14624	RUA SÃO CARLOS	022694	RUA	SÃO	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14625	RUA GRANJA ARIZONA	023233	RUA	\N	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14628	RUA PEREIRA COUTINHO	021626	RUA	\N	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14629	RUA DELFIM JOSÉ	022889	RUA	\N	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14630	RUA JOAQUIM TRAJANO	009251	RUA	\N	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14632	RUA LUIZ REIS	023681	RUA	\N	V14	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
14636	ESTRADA DO GUARANI	005941	ESTRADA	\N	V15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
14674	AVENIDA RADIALISTA JOSÉ LIMA VERDE	001987	AVENIDA	RADIALISTA	A07	N-S	4334/74	25/03/74	\N	\N	\N	\N	\N	\N	ESTACIONAMENTO	000746	\N	\N	\N	\N	BARRA DO CEARÁ	lei especifica o local	Também  Lei 4105 de 13 de 11 de 1972 (Rad. José Limaverde)
14677	TRAV. PAULO ARAGÃO	020749	TRAVESSA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000793	001987	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14679	TRAV. EDSON QUEIROZ	020643	TRAVESSA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020749	000761	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14680	TRAV. ANTÔNIO MOREIRA	020759	TRAVESSA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020749	020643	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14681	RUA SILVIA ROCHA	020765	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000793	000761	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14682	RUA JOSÉ VILAR	008789	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020749	020765	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14683	PRAÇA JURANDIR PICANÇO	023583	PRAÇA	\N	A07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14684	RUA DR. JOSÉ ROBERTO SALES	009766	RUA	DOUTOR	A07	L-O	5051/78	21/08/78	\N	\N	\N	\N	\N	\N	024272	001987	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14685	RUA DR. VALDIR LEOPÉRCIO	003737	RUA	DOUTOR	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	TERRENO	001987	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14686	RUA DES. MANOEL GADELHA	002284	RUA	DESEMBARGADOR	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024444	001987	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14687	RUA CARLOS CHAGAS	024567	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002284	040001	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14688	TRAV. CARLOS CHAGAS	022697	TRAVESSA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	024567	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14689	TRAV. DES. MANOEL GADELHA	023740	TRAVESSA	DESEMBARGADOR	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002284	023763	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14690	RUA MARAVILHA	023763	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020826	023740	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14691	RUA M. BRANCO	020826	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMO AO CAMPO DE FUTEBOL	008273	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14692	RUA AREIA BRANCA	020844	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002284	024444	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14693	RUA DA ALEGRIA	007780	RUA	\N	A07	L-O	8686/2002	31/12/2002	\N	\N	\N	\N	\N	\N	008293	DUNAS	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14694	RUA LARGA	009323	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001743	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14695	TRAV.  SEN. VIRGÍLIO TÁVORA	020646	TRAVESSA	SENADOR	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000793	008789	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14696	RUA CECI	000793	RUA	\N	A07	N-S	1671/60	16/12/1960	\N	\N	\N	RUA DUNAS	\N	001204	024272	003626	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14697	RUA ALVORADA	009423	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009323	002455	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14698	RUA PERI	002852	RUA	\N	A07	N-S	1671/60	16/12/1960	\N	\N	\N	RUA DUNAS	\N	001204	007788	003626	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14699	RUA SAUDÁRIA	002455	RUA	\N	A07/B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000758/002929	000793	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14700	RUA ABELARDO BARBOSA	020645	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024272	002455	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14701	RUA IRMÃ ANA MARIA	020934	RUA	IRMÃ	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009323	002455	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14702	TRAV. CECI	022730	TRAVESSA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	CERCA	000793	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14703	RUA TAPEROABA	024444	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008283	024272	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14704	TRAVESSA CAROL	020846	TRAVESSA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024272	020826	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14705	TRAV. PE. SANTANA	020829	TRAVESSA	PADRE	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024272	DUNAS DA BARRA DO CEARÁ	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14706	SD	040004	RUA	\N	A07	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	DEPOIS DA RUA 2/023049	022603/006743	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14707	RUA SANTA RITA	024272	RUA	SANTA	A07/Q08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009766/020124	020645/006000	\N	\N	\N	\N	BARRA DO CEARÁ/PANTANAL	\N	\N
14708	BECO LÍDIA PETRI	023635	BECO	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003736	020770	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14709	BECO BEJAMIM	022581	BECO	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003736	020770	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14710	VILA DA ESPERANÇA	023001	VILA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020861	008289	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14711	TRAVESSA MORRO BRANCO	023899	TRAVESSA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020811	024272	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14712	RUA JACKSON DO PANDEIRO	008293	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008292	008292	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14713	RUA LEUBA	023627	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008293	007788	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14714	RUA DA BEIRA	020811	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008293	040911	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14715	RUA NITERÓI	020864	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040911	020645	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14716	RUA ELIZETE CARDOSO	020857	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022716	020645	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14717	TRAV. ELIZETE CARDOSO	020858	TRAVESSA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020857	007780	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14718	RUA CASTANHÃO	022716	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020864	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14719	BECO ARAGÃO	022466	BECO	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001743	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14720	RUA GRAÇAS ALCANÇADAS	020853	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009323	002455	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14721	RUA JANGADA	001743	RUA	\N	A07/B07	N-S	1671/60	16/12/1960	\N	\N	\N	RUA PE. BALTASAR CORREIA	\N	001204	007788/007780	001204/MURO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14722	RUA PIONEIRA	024168	RUA	\N	A07/B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000758	001743	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14723	RUA PRES. SILVA	020768	RUA	PRESIDENTE	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008052	024168	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14724	RUA JOSÉ RODRIGUES	023556	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008052	024168	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14725	RUA MAR E SOL	020648	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008052	024168	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14726	RUA LÍDIA PETRI	003736	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A RUA BOM JESUS	024272	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14727	TRAV. DOS BANDEIRANTES	020786	TRAVESSA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A PRAIA DA BARRA DO CEARÁ	020770	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14728	TRAV. LÍDIA PETRI	023634	TRAVESSA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024490	003736	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14729	TRAV. TROPICAL	024490	TRAVESSA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006743	023634	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14731	RUA MAR AZUL	023756	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	\N	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14732	RUA SÃO PEDRO	020770	RUA	SÃO	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023049	024272	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14733	RUA SANTO ANTÔNIO	020861	RUA	SANTO	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	009346	023001	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14734	VILA GUANABARA	023241	VILA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020861	MURO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14735	RUA DOS ABOLICIONISTAS	008289	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003102	024272	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14736	TRAV. JACKSON DO PANDEIRO	023399	TRAVESSA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008293	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14737	RUA CENTRAL	009346	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008283	007780	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14738	RUA BOM JESUS	023049	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040005	008289	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14739	TRAV. DAS FLORES	020865	TRAVESSA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000758	007780	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14740	RUA DOM LUSTOSA	008052	RUA	DOM	A07	L-O	8651/2002	16/09/2002	\N	\N	\N	\N	\N	\N	008292	001743	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14741	TRAV. CASTELO	000758	TRAVESSA	\N	A07/B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008293	008052/000761	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14742	RUA ALTO MAR	008277	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008292	000758	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14743	RUA DO ORIENTE	024024	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008293	008052	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14744	SD	040002	RUA	\N	A07/A07	L-O/N-S	\N	\N	\N	\N	\N	\N	\N	\N	024272/020644	DUNAS/008283	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14746	RUA 2	020767	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14747	RUA 1	020644	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	040003	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14749	TRAV. BOM JESUS	022603	TRAVESSA	\N	A07/K03	L-O	\N	\N	\N	\N	\N	\N	\N	\N	040004	023049	\N	\N	\N	\N	BARRA DO CEARÁ/GRANJA LISBOA	\N	\N
14750	RUA CARAVELAS	008283	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003102	024444	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14751	RUA POR DO SOL	008290	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008288	009346	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14752	RUA ABEL FERREIRA	008291	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008288	008292	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14753	RUA DAS TARRAFAS	008288	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008283	008289	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14754	RUA DO ARUANA	009731	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008283	008289	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14755	RUA DO POENTE	008292	RUA	\N	A07/B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008283	008265	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14756	TRAV. BRISA MAR	022616	TRAVESSA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008289	\N	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14757	RUA DOS HOLANDESES	008278	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022616	008277	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14758	RUA DO LEME	008273	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008289	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14759	TRAV. M. BRANCO	023703	TRAVESSA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	008273	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14760	RUA MORRO BRANCO	008272	RUA	\N	A07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008273	008265	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14761	RUA VENTO LESTE	008268	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	CANAL QUE DESÁGUA NA PRAIA DA BARRA	008272	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14762	RUA DAS CONOAS	008267	RUA	\N	A07/B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003102	008272	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14764	RUA DOS SEIXAS	008286	RUA	\N	A08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008283	008289	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14765	RUA ZAMBAIA	024614	RUA	\N	A08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008283	008289	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14766	RUA COQUEIRO VERDE	008285	RUA	\N	A08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008283	008269	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14767	RUA LAGOA DO ABAETÉ	008284	RUA	\N	A08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008283	008289	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14768	RUA ARABAIANA	022462	RUA	\N	A08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003102	008284	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14770	RUA DAS FLORES	008280	RUA	\N	A08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020818	008284	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14772	RUA ENCANTO DA BARRA	008269	RUA	\N	A08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	CANAL QUE DESÁGUA NA PRAIA DA BARRA	008273	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14774	AVENIDA SENADOR ROBERT KENNEDY	003102	RUA	SENADOR	A08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008283	008778	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14775	RUA NSA. SRA. DA PAZ	002583	RUA	\N	A08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008285	008269	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14777	TRAV. ROBERTO CABRAL	020763	TRAVESSA	\N	A08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008289	008269	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14778	TRAV. ENCANTO DA BARRA	022980	TRAVESSA	\N	A08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020789	008273	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14779	RUA DA SALEMA	008279	RUA	\N	A08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020789	003102	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14780	RUA BAMBU	022540	RUA	\N	A08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020818	003102	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14781	RUA PEREIRA JUNIOR	020818	RUA	\N	A08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022540	008279	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14782	RUA NOVO LAR	020789	RUA	\N	A08/B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008279	020743	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14784	RUA TAPARICA	020819	RUA	\N	A08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A PRAIA DA BARRA DO CEARÁ	022277	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14785	RUA SEIS COMPANHEIROS	003240	RUA	\N	A08	N-S	1671/60	16/12/1960	\N	\N	\N	NA DUNAS	\N	003626	NAS DUNAS	008778	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14787	RUA DA PRATA	024197	RUA	\N	A08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMO AO CANAL DA BARRA DO CEARÁ	003102	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14789	SD	040006	RUA	\N	B05/B06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040007/001987	023327	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14794	RUA DR. QUEIXABÁ FELÍCIO	001207	RUA	DOUTOR	B06/C06	L-O	4609/75	21/11/75	\N	\N	\N	\N	\N	\N	008743	008477	\N	\N	\N	\N	VILA VELHA	\N	\N
14795	RUA 41	008486	RUA	\N	B06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008477	001207	\N	\N	\N	\N	VILA VELHA	\N	\N
14805	RUA BOA VISTA	023047	RUA	\N	B06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008480	008477	\N	\N	\N	\N	VILA VELHA	\N	\N
14807	RUA 6  (POLAR)	008151	RUA	\N	B06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008743	008481	\N	\N	\N	\N	VILA VELHA	\N	\N
14811	PRAÇA CONJ. POLAR	022791	PRAÇA	\N	B06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
14812	AVENIDA A	000001	AVENIDA	\N	B06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008743	008480	\N	\N	\N	\N	VILA VELHA	\N	\N
14813	AVENIDA MOZART PINHEIRO DE LUCENA	002511	AVENIDA	\N	B06	N-S	4642/75	10/12/75	\N	\N	\N	\N	\N	RUA BAIXA  DOS MILAGRES	002080	007170	\N	\N	\N	\N	VILA VELHA	\N	\N
14815	PRAÇA NOVA LISBOA	002545	PRAÇA	\N	B06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
14816	SD	040010	RUA	\N	B06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003626/001302	001987/000746	\N	\N	\N	\N	BARRA DO CEARÁ/VILA VELHA	\N	\N
14817	RUA DO AÇO	021256	RUA	\N	B06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000746	PRÓXIMA A AÇO FORTE	\N	\N	\N	\N	VILA VELHA	\N	\N
14818	RUA RAIMUNDO CIDON	021261	RUA	\N	B06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000746	VAMUS MOTEL	\N	\N	\N	\N	VILA VELHA	\N	\N
14819	RUA RIO JURUÁS	002080	RUA	\N	B06	L-O	3548/68	30/05/68	\N	\N	\N	\N	\N	\N	000746	008743	\N	\N	\N	\N	VILA VELHA	\N	\N
14820	RUA RIO PARNAÍBA	003091	RUA	\N	B06	L-O	3548/68	30/05/68	\N	\N	\N	\N	\N	\N	000746	008743	\N	\N	\N	\N	VILA VELHA	\N	\N
14821	RUA RIO TAPAJÓS	003095	RUA	\N	B06	L-O	3548/68	30/05/68	\N	\N	\N	\N	\N	\N	000746	008743	\N	\N	\N	\N	VILA VELHA	\N	\N
14822	RUA ADOLFO SALES	000045	RUA	\N	B06	L-O	3356/1967	27/03/67	\N	\N	\N	\N	\N	\N	000746	008743	\N	\N	\N	\N	VILA VELHA	\N	\N
14823	AVENIDA FLORÊNCIO DE ALENCAR	001302	AVENIDA	\N	B06/C06	L-O	2959/65	09/07/65	\N	\N	\N	\N	\N	\N	000746	008743	\N	\N	\N	\N	VILA VELHA	\N	\N
14825	AVENIDA 20 DE JANEIRO	003626	AVENIDA	\N	B06	L-O	1671/1960	16/12/1960	\N	\N	\N	ESTRADA DE FERRO DE SOBRAL	\N	BARRA DO CEARÁ	008778	RIACHO FLORESTA	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14911	TRAV. SÃO JORGE	020745	TRAVESSA	SÃO	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008778	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14826	AVENIDA FRANCISCO SÁ	001360	AVENIDA	\N	B06	L-O	1671/60	16/12/1960	\N	\N	001291	RUA FILOMENO GOMES	\N	PRAÇA FAUSTO BARRETO	\N	AV.  CEL. CARVALHO	9588549	550992	9590677	545395	BARR DO CEARA/FLOREST/CREDENT/ALWEYN/CALPOMPLO/JACAREC	ESTRADA DO URUBU, AV. DEMÓSTENES ROCKERT, AV. 5 DE JULHO	\N
14829	TRAV. OMAR CARDOSO	024023	TRAVESSA	\N	B06/B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003407	000191	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14830	RUA TOCANDIRA	020754	RUA	\N	B06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020769	000191	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14831	RUA PADRE GUILHERMINO	020769	RUA	PADRE	B06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024023	003598	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14833	RUA CIRCULAÇÃO 1	020641	RUA	\N	B06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003598	000746	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14834	RUA PARQUE VILA VELHA I	024073	VIA	\N	B06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003598	000746	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14835	RUA 1	007368	RUA	\N	B06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008778	000746	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14836	RUA 2	007369	RUA	\N	B06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007371	000746	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14837	SD	040008	RUA	\N	B06	L-O/N-S	\N	\N	\N	\N	\N	\N	\N	\N	000746/007369	PRÓXIMA A COMAGRA/007370	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14838	RUA 3	007370	RUA	\N	B06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007371	040011	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14841	RUA JOÃO ARRUDA	023437	RUA	\N	B06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003095	001302	\N	\N	\N	\N	VILA VELHA	\N	\N
14842	PRAÇA PERCIDES BENÍCIO RODRIGUES	024153	PRAÇA	\N	B06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14844	RUA VILA VELHA	003619	RUA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000761	003626	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14848	RUA CAUBI	000780	RUA	\N	B07	N-S	1671/60	16/12/1960	\N	\N	\N	001077	\N	003626	020743	003626	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14850	BECO DA VILA IVONE	024560	BECO	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	003626	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14851	RUA TUPÃ	003486	RUA	\N	B07	N-S	1671/60	16/12/1960	\N	\N	\N	NAS DUNAS	\N	001204	000746	003626	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14853	RUA IRAPUÃ	001673	RUA	\N	B07	N-S	1671/60	16/12/1960	\N	\N	\N	RUA PADRE BALTASAR CORREIA	\N	001204	000761	008778	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14855	TRAV. AIRTON RODRIGUES	020824	TRAVESSA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002455	000761	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14856	TRAV. VILA RISO	024561	TRAVESSA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	000761	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14859	RUA SÃO JOSÉ	023500	RUA	SÃO	B07/H08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000758	001743	\N	\N	\N	\N	BARRA DO CEARÁ/PICI	\N	\N
14863	RUA JACÓ DO BANDOLIM	008276	RUA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008277	008265	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14864	RUA JACAÚNA	001719	RUA	\N	B07	N-S	1671/60	16/12/1960	\N	\N	\N	NAS DUNAS	\N	20 DE JANEIRO	008277	008778	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14865	RUA DAS PALMAS	008275	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008272	001719	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14868	RUA CHICO XAVIER	008265	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000780	008292	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14869	RUA EDU DA GAITA	008271	RUA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008267	008265	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14871	RUA BARRA VENTO	008270	RUA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008267	008265	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14872	RUA POTI	002929	RUA	\N	B07	N-S	1671/60	16/12/1960	\N	\N	\N	NAS DUNAS	\N	001204	008265	000675	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14873	TRAV. POMPÉIA	004213	TRAVESSA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002467	001719	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14874	RUA MARECHAL NAPION	002528	RUA	MARECHAL	B07	N-S	3892/71	14/06/71	\N	\N	\N	\N	\N	\N	004213	008778	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14875	TRAV. MOACIR	023884	TRAVESSA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002467	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14877	TRAV. VESÚVIO	020729	TRAVESSA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004213	001077	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14878	RUA MOACIR	002467	RUA	\N	B07	N-S	1671/60	16/12/1960	\N	\N	\N	NAS DUNAS	\N	003626	008265	008778	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14879	RUA GAL. MUNIZ ARAGÃO	002519	RUA	GENERAL	B07	N-S	3892/71	14/06/71	\N	\N	\N	\N	\N	\N	001077	000675	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14880	VILA MÁRCIA	023769	VILA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002528	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14881	TRAV. EDUARDO DE OLIVEIRA	022955	TRAVESSA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002467	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14882	BECO DA VILA CATU	020647	BECO	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	003626	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14883	TRAV. PASTOR	024075	TRAVESSA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001673	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14884	RUA ESTEVÃO DE CAMPOS	001204	RUA	\N	B07	L-O	1671/60	16/12/1960	\N	\N	\N	000095	\N	RUA VILA VELHA	000095	003619	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14885	RUA PAJÉ	002725	RUA	\N	B07	N-S	1671/60	16/12/1960	\N	\N	\N	RUA PE. BALTASAR CORREIA	\N	003626	000761	003626	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14889	RUA BAMBUÍ	022541	RUA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003626	000675	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14890	TRAV. CÂNDIDO  CASTELO  BRANCO	020737	TRAVESSA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	000675	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14891	RUA CÂNDIDO CASTELO BRANCO	000675	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003240	MURO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14894	TRAV. 20 DE JANEIRO	022135	TRAVESSA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003626	MURO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14895	TRAV. GAL. MUNIZ ARAGÃO	023906	TRAVESSA	GENERAL	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002519	020737	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14896	VILA JOAIMA	008080	VILA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003626	TERRENO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14897	RUA CAETANO JOSÉ	020734	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA AO LABORATÓRIO MADREVITA	PRÓXIMA A MARQUE ETIQUETAS	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14898	RUA PEDRO RODRIGUES	020723	RUA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000675	008778	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14902	TRAV. ARATANHA	000361	TRAVESSA	\N	B07/ C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008778	040038	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14903	RUA 7	007374	RUA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007368	MURO	\N	\N	\N	\N	BARRA DO CE	\N	\N
14904	RUA 6	007373	RUA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007368	MURO	\N	\N	\N	\N	BARRA DO CE	\N	\N
14905	RUA 5	007372	RUA	\N	B07	L-O	DECL245/2007	08/05/2007	\N	\N	\N	RU A  DE OUTRO CONJUNTO	\N	RUA 1 DO MESMO CONJUNTO	\N	\N	\N	\N	\N	\N	BARRA DO CEARÁ	\N	VERIFICAR ANUMERAÇÃO DOS IMÓVEIS - Dec. Errou o inicio e fim croquisinvertido
14906	RUA 4	007371	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007370	007368	\N	\N	\N	\N	BARRA DO CE	\N	\N
14909	RUA JOAQUIM MACHADO DA PONTE	009376	RUA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA AO RIACHO FLORESTA	008778	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14910	RUA AMADEU DE CASTRO	000191	RUA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008778	000746	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14913	RUA COSTA MANSA	003407	RUA	\N	B07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008778	003598	\N	\N	\N	\N	BARRA DO CE	\N	\N
14914	RUA PARQUE VILA VELHA  II	003598	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007368	000191	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14915	RUA CIRCULAÇÃO 2	020736	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007368	003704	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14916	RUA CIRCULAÇÃO 3	020843	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007368	003407	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14918	SD	040012	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003102	MURO	\N	\N	\N	\N	BARRA DO CE	\N	\N
14919	RUA ENIDE MENEZES	022983	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA AO LABORATÓRIO MADREVITA	MURO DA MARQUE ETIQUETAS	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14920	RUA OSMANI	009581	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA À FORTALEZA KART INDOOR	000361	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14923	RUA PESCADOR FRANCISCO SIMÃO	008266	RUA	PESCADOR	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003102	008270	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14928	TRAV. DA SEDE	020825	TRAVESSA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	CANAL QUE DESÁGUA NA PRAIA DA BARRA	023096	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14929	TRAV. VITÓRIA	003739	TRAVESSA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020789	003102	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14930	RUA FLORIANO REGIS	023096	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022980	003739	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14931	TRAV. NOVA	020743	TRAVESSA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003240	008265	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14932	RUA 5 DE MAIO	020816	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000673	003240	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14934	RUA 19 DE MARÇO	001040	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000673	003240	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14935	RUA CANÁRIO	000673	RUA	\N	B08	N-S	1671/60	16/12/1960	\N	\N	\N	008778	\N	000888	020816	000888	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14937	RUA MARÍLIA DE DIRCEU	002354	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003626	000376	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14939	RUA MARIA DA CONCEIÇÃO PONCIANO	002336	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003626	000376	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14940	RUA REPÚBLICA DO PERU	003063	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003626	000376	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14941	RUA CABO REIS	003055	RUA	CABO	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003626	000376	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14942	RUA MANUEL DÁRIO	001442	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003626	000376	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14944	RUA 14 DE MAIO	002969	RUA	\N	B08/C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003458/022474	003626/008778	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14945	RUA 24 DE JUNHO	003638	RUA	\N	B08/C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003458/022474	003626/008778	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14946	VILA AZUL	022504	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	000809	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14947	VILA SOLIDADE	024419	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	CIES CHICO DA SILVA	000095	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14948	VILA TORPEDO	024476	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000095	PRÓXIMA AO CAMPO DE FUTEBOL	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14950	TRAV. 14 DE MAIO	022085	TRAVESSA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000809	001480	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14951	RUA CESAR CORREIA	000809	RUA	\N	B08	N-S	1671/60	16/12/1960	\N	\N	\N	DUNAS	\N	003363	040916	003363	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14953	VILA GALENO	023182	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	001335	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
14954	VILA ALAMO	000175	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002424	EDIFICAÇÃO	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
14955	RUA GRAÇA ARANHA	001480	RUA	\N	B08	N-S	1671/60	16/12/1960	\N	\N	\N	NAS DUNAS	\N	003363	004152	VILA SÃO MIGUEL PAULISTA	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15039	BECO 75	022270	BECO	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001037	MURO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14957	RUA MENDINHA	002424	RUA	DONA	B08	N-S	1671/60	16/12/1960	\N	\N	\N	001335	\N	002228	000935	003107	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
14958	TRAV. AURÉLIO LAVOR	000433	TRAVESSA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003458	000761	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14959	RUA 30 DE MARÇO	003458	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001335	001480	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14960	TRAV. GUARATINGA	023242	TRAVESSA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	ÁRVORE	001335	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14962	VILA VALDO	024515	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	003240	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14963	VILA NOSSA SENHORA DE LORETO	023975	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	003240	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14964	VILA MANOEL FILHO	023738	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001768	MURO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14965	RUA JERÔNIMO ALBUQUERQUE	001768	RUA	\N	B08	N-S	1671/60	16/12/1960	\N	\N	\N	NAS DUNAS	\N	003626	001912	008778	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14967	RUA ARAQUÉM	000355	RUA	\N	B08/ C07	N-S	1671/60	16/12/1960	\N	\N	\N	001077	\N	003626	020743/000888	000888/000416	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14968	RUA RIBEIRÃO NOVO	004544	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000761	003626	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14971	VILA OESTE	004154	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000095	EDIFICAÇÕES	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14972	RUA CABO FRIO	004152	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000095	000095	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14973	TRAV. ESPERANÇA	022994	TRAVESSA	\N	B08/H13	L-O/N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO/003563	EDIFICAÇÃO/001063	\N	\N	\N	\N	BARRA DO CEARÁ/SÃO JOÃO DO TAUAPE	\N	\N
14974	RUA ARCOVERDE	022472	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	CULTURA	022994	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14975	RUA PADRE HAROLDO COELHO	020827	RUA	PADRE	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022880	022545	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14976	RUA 1º DE MAIO	022036	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022472	022545	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14977	TRAV. ARCOVERDE	022473	TRAVESSA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022473	MURO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14978	RUA 31 DE DEZEMBRO	023625	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022472	022545	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14979	RUA PADRE BARBOSA	022545	RUA	PADRE	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023625	020827	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14981	SD	040020	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022185/RUA FRANCISCO CAVALCANTE	003240/RUA CESAR CORREIA	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14982	RUA BRIZAMAR	022618	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004536	022880	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14983	RUA LAGO AZUL	005992	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020651	022880	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14984	RUA DANIEL BRUNO	022880	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023280	003240	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14985	TRAV. 31 DE DEZEMBRO	022185	TRAVESSA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	CULTURA	023625	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14987	TRAV. PROFETA IZAIAS	023364	TRAVESSA	PROFETA	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	004536	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14988	RUA PROFETA IZAIAS	023366	RUA	PROFETA	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020726	023364	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14989	RUA GRITO DE ALERTA	004536	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001335	022472	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15068	RUA 27 DE JANEIRO	004211	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004537	000650	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
14990	RUA STA. HELISA	001154	RUA	SANTA	B08	L-O	\N	\N	\N	\N	003139	RUA SANTA ROSA   (PRAIA DO PIRAMBU)	001335	RUA FRANCISCO CALAÇA	\N	\N	9590069	549713	9590739	547920	CRISTO REDENTOR/COCÓ	\N	\N
14991	RUA BENAVENTURANÇA	000513	RUA	\N	B08/B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008425	001335	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
14992	RUA LIBERAL	020508	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	020539	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
14993	RUA DA PROSPERIDADE	020803	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	LAGO	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14994	RUA DOM HÉLIO CAMPOS	001256	RUA	DOM	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020726	022387	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14995	RUA SÃO JORGE	001912	RUA	SÃO	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	ENTRE AS RUAS IMPERATRIZ E STA. HELENA	003240	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
14996	RUA FRANCISCO CALAÇA	001335	RUA	\N	B08	N-S	1671/60	16/12/1960	\N	\N	\N	002424	\N	003363	024195	003363	\N	\N	\N	\N	BARRA DO CEARÁ/CRISTOREDENTOR	São Pedro, conforme Mat. Nº 7395 do CRI - 3ª zona, de 29/11/77	\N
14998	RUA 5 DE AGOSTO	000935	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000187	TERRENO	\N	\N	\N	\N	BARRA/CRISTO REDENTOR	\N	\N
14999	RUA STO. ESTEVÃO	020539	RUA	SANTO	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000187	002424	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15001	RUA CAMÉLIA	000650	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	002424	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15002	RUA SENHORA SANTANA	003214	RUA	SENHORA	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020539	000650	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15005	RUA XAVANTE	000736	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003414	000187	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15006	SD	040014	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	02254/004544	EDIFICAÇÃO/003240	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15007	RUA STA. HELENA	023271	RUA	SANTA	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001912	004152	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15008	RUA DA PAZ	020651	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	004536	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15009	RUA ROSA DA FONSECA	020762	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024571	022387	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15010	RUA FREI HENRIQUE	020867	RUA	PADRE	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024571	001009	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15012	RUA FREI DAMIÃO	001009	RUA	FREI	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004536	INÍCIO DA RUA DANIEL BRUNO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15013	TRAV. ESTRELA DO MAR	020751	TRAVESSA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022618	022880	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15014	VILA TAÍBA	024440	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002424	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15015	TRAV. DIVISA	022906	TRAVESSA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002424	001335	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15016	VILA SÃO MIGUEL	023866	VILA	SÃO	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002424	EDIFICAÇÃO	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15017	TRAV. EMILIA	022976	TRAVESSA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009676	022731	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15018	TRAV. HARMONIA	023268	TRAVESSA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009676	023242	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15019	VILA PAULINO MENDONÇA	009676	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	001335	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15022	BECO HAROLDO	023269	BECO	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023270	PRÓXIMA AO CANAL QUE DESÁGUA NA BARRA DO CEARÁ	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15023	TRAV. HAROLDO COELHO	023270	TRAVESSA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020827	PRÓXIMA A TRAVESSA NOVA	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15028	BECO PROFETA IZAIAS	023365	BECO	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020726	023364	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15029	RUA RAIMUNDO BARBOSA	020730	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024563	020726	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15030	RUA CHICO MENDES	020833	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024563	020726	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15031	RUA DA UNIÃO	020738	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020730	022035	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15032	TRAV. JERUSALÉM	020863	TRAVESSA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020833	022035	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15033	RUA 1º DE JUNHO	022035	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024563	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15034	RUA SÃO CAETANO	024563	RUA	SÃO	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023896	004536	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15035	RUA PRAIA GRANDE	024195	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001335	CERCA	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15037	SD	040018	RUA	\N	B08	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	023896/001037	001335/001768	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15038	BECO 35	022186	BECO	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001037	MURO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15040	RUA PADRE CÍCERO	024571	RUA	PADRE	B08/P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023366/024027	004152/020124	\N	\N	\N	\N	BARRA DO CEARÁ/PANTANAL	\N	\N
15041	RUA ALTO DA ESPERANÇA	022387	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020803	020724	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15042	TRAV. SOSSEGO	024425	TRAVESSA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	MURO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15043	VILA STA. MARIA	023780	VILA	SANTA	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	001676	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15044	SD	040016	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023366/EDIFICAÇÕES	004536/004152	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15045	RUA TAMBAÚ	020724	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022387	000761	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15048	VILA SILVA MONTEIRO	001538	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020724	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15049	VILA CLAUDEIR	020739	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020724	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15050	VILA IGUATEMY	023314	VILA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	001538	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15051	VILA TAMBAÚ	001538	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020724	000095	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15052	TRAV. DOMINGOS DA VEIGA	001037	TRAVESSA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040019	001077	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15053	RUA DOMINGOS DA VEIGA	001077	RUA	\N	B08	L-O	1671/60	16/12/1960	\N	\N	\N	001768	\N	002467	000095	002519	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15054	RUA IMPERATRIZ	020726	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004536	001912	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15055	PRAÇA SD	024378	PRAÇA	\N	B08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15056	TRAVESSA SOBERANA	020507	TRAVESSA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA PRAIA BARRA DO CEARÁ	001154	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15057	TRAV. MONS. HÉLIO CAMPOS	023277	TRAVESSA	MONSENHOR	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001154	022235	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15059	TRAV. 05 DE AGOSTO	022235	TRAVESSA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023277	000187	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15062	RUA BENJAMIN BARRETO	004537	RUA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003735	000331	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15063	TRAV. COLONIA	022783	TRAVESSA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	004211	003129	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15065	TRAV. MARTAN	020542	TRAVESSA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	004211	003129	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15066	RUA ROMEU ALDIGUERI	003129	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004537	000650	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15069	RUA TOMÁS GONZAGA	003414	RUA	\N	B09	N-S	1671/60	16/12/1960	\N	\N	\N	NAS DUNAS	\N	008778	004537	008778	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15070	RUA 04 DE JANEIRO	003733	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004537	000650	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15073	RUA SELENE	008439	RUA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003414	001335	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15074	TRAV. SÃO FRANCISCO	020540	TRAVESSA	SÃO	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000736	000761	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15075	SD	040024	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003747	001154	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15077	TRAV. JACOBINA	000690	TRAVESSA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000650	000761	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15080	RUA BOA ESPERANÇA	004061	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001154	000513	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15082	RUA LINO AUGUSTINHO	009335	RUA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020510	004061	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15083	RUA 6	020510	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008425	003020	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15084	AVENIDA MONS. HÉLIO CAMPOS	008425	AVENIDA	MONSENHOR	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002588	000187	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15086	TRAV. 23 DE JANEIRO	022144	TRAVESSA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003735	003733	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15087	RUA 23 DE JANEIRO	003735	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040023	000650	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15088	TRAV. ROSENO	020541	TRAVESSA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003735	EDIFICAÇÕES	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15089	TRAV. JOSIAS SIMÕES	020520	TRAVESSA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020510	003731	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15090	RUA DAS CRIANÇAS	003731	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040023	000650	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15091	RUA DO CÉU	003732	RUA	\N	B09	N-S	8339/1999	26/10/1999	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	002319	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15093	TRAV. MUNDIAL	006918	TRAVESSA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001260	000650	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15095	RUA CURAD'ARES	003747	RUA	\N	B09	L-O	\N	\N	\N	\N	\N	PRÓXIMA A PRAIA DO PIRAMBU	021032	RUA LINCON	\N	\N	9590254	549323	9590296	549225	PIRAMBU	\N	\N
15096	SD	040022	RUA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	004211/003731	003129/003735	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15097	RUA SÃO RAIMUNDO	024220	RUA	SÃO	B09/B18	L-O/O-L	1671/60	16/12/1960	\N	\N	\N	DR. JOÃO BEZERRA	\N	003385	022426/002003	MURO/021185	\N	\N	\N	\N	CRISTO REDENTOR/CAIS DO PORTO	\N	\N
15098	TRAV. CÍCERO HERMÍNIO	020525	TRAVESSA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020514	020506	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15099	RUA COIMBRA	003001	RUA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022780	020506	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15100	TRAV. CONCILIAÇÃO	022786	TRAVESSA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	024220	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15101	RUA 1	020506	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024220	000650	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15102	RUA 5	020517	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008425	020523	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15103	RUA 3	020519	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008425	020515	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15104	RUA 2	020509	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008425	000650	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15105	TRAV. 3	020523	TRAVESSA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020519	020510	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15106	RUA 4	020515	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	020523	020509	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15107	RUA MARCÍLIO DIAS	002319	RUA	\N	B09	L-O	1671/60	16/12/1960	\N	\N	002978	RUA DOM QUINTINO	003731	RUA DAS CRIANÇAS	RUA EDUARDO STUDART	\N	9589605	550229	9590221	548259	CRISTO REDENTOR/PIRAMBÚ	\N	Na Lei esta Rua se inicia na Rua Eduardo Studart e termina na Av. Dr. Theberge.
15108	RUA RAIMUNDO MAGALHÃES	003020	RUA	\N	B09	L-O	1671/60	16/12/1960	\N	\N	\N	001263	\N	NAS DUNAS	006918	020506	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15109	RUA DR. THEBERGE	003385	RUA	DOUTOR	B09	N-S	1671/60	16/12/1960	\N	\N	\N	ORLA OCEÂNICA	\N	001584	023278	001584	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15110	RUA CÍCERO HERMÍNIO	020514	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024220	003001	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15113	TRAV. BARROSO	000480	TRAVESSA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001948	003385	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15114	TRAV. SÃO NICOLAU	023943	TRAVESSA	SÃO	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023145	EDIFICAÇÕES	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15115	TRAV. SÃO FRANCISCO DE CURADARES	023145	TRAVESSA	SÃO	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001154	002588	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15116	VILA RAFAEL	024218	VILA	\N	B09	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÕES	003385	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15117	RUA DOM QUINTINO	002978	RUA	DOM	B09/C11	L-O	1671/60	16/12/1960	\N	\N	001724	RUA JACINTO MATOS	001263	RUA FELIPE DOS SANTOS	\N	RUA PROF. JOSÉ BONIFÁCIO	9589525	550477	9590033	548674	CRISTO REDENTOR/PIRAMBÚ/JACARECANGA	LARGO DOS SANTOS	\N
15119	TRAV. CURADARES	022830	TRAVESSA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003747	001154	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15120	TRAV. MURIAÉ	023907	TRAVESSA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003750	003747	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15121	TRAV. COIMBRA	022780	TRAVESSA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024220	001655	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15122	RUA SANTA INÊS	001655	RUA	SANTA	B09/C11	L-O	1671/60	16/12/1960	\N	\N	003780	TRAV. DOS POMBOS	003385	AV. DR. THÉBERGE	\N	AV. MONS. HÉLIO CAMPOS	9589675	550388	9590327	548546	CRISTO REDENTOR/JACARECANGA/PIRAMBÚ	\N	\N
15124	TRAV. REGENTE	004565	TRAVESSA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002588	001260	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15128	RUA SÃO FRANCISCO	003750	RUA	SÃO	B10	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	023907	TRAV. MURIAÉ	RUA LINCON (021032)	\N	9590310	549261	9590457	548867	PIRAMBU	\N	\N
15129	RUA LINCON	021032	RUA	\N	B10	N-S	\N	\N	\N	\N	003750	RUA SÃO FRANCISCO	001154	RUA SANTA ELISA	\N	\N	9590324	549238	9590239	549184	PIRAMBU	\N	\N
15133	RUA RIO NILO	004210	RUA	\N	B10	L-O	\N	\N	\N	\N	\N	 (PRÓXIMO À RUA ÁLVARO DE ALENCAR)	\N	PRAIA DO PIRAMBU	\N	\N	9590143	549589	9590260	549345	PIRAMBU	\N	\N
15134	TRAV. DANÚBIA	021033	TRAVESSA	\N	B10	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	CANAL QUE DESÁGUA NA PRAIA DO PIRAMBU	\N	\N	\N	\N	PIRAMBU	\N	\N
15135	TRAV. ARISTOCRATA	021035	TRAVESSA	\N	B10	N-S	\N	\N	\N	\N	004210	RUA RIO NILO	001154	RUA SANTA ELISA	\N	\N	9590203	549465	9590157	549451	PIRAMBU	\N	\N
15139	TRAV. SÃO RAIMUNDO	008658	TRAVESSA	SÃO	B10	N-S	\N	\N	\N	\N	\N	ORLA MARÍTIMA (PRAIA DO PIRAMBÚ)	001655	RUA SANTA INÊS	\N	\N	9590222	549496	9590054	549446	PIRAMBU	\N	\N
15140	SD	040026	RUA	\N	B10/C07	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	024220/001588	001655/CULTURA	\N	\N	\N	\N	PIRAMBU/VILA VELHA	\N	\N
15142	B. DO MELÃO	021034	BECO	\N	B10	N-S	\N	\N	\N	\N	001655	RUA SANTA INÊS	001567	RUA HENRIQUE DIAS	\N	\N	9590067	549387	9589822	549345	PIRAMBU	\N	\N
15145	AVENIDA VICENTE DE CASTRO	003581	AVENIDA	\N	B17	N-S	1671/60; 1102/56; 5571/82	16/12/1960	\N	\N	\N	ANTIGO FAROL DO MUCURIPE (CAIS DO PORTO)	000021	AV. DA ABOLIÇÃO (PRÓXIMA A PRAIA DO IATE CLUBE)	\N	\N	9590655	558606	9588662	557920	CAIS DO PORTO	\N	\N
15146	RUA J	021175	RUA	\N	B17	O-L	\N	\N	\N	\N	\N	\N	\N	\N	CIA. DOCAS	003581	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
15149	RUA AMANCIO FILOMENO	000198	RUA	\N	B18	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	003581	002135	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
15151	RUA JOSÉ ANACLETO	023517	RUA	\N	B18	O-L	\N	\N	\N	\N	003709	AV. ZEZÉ DIOGO	023518	TRAV. JOSÉ ANACLETO	\N	\N	9590121	558858	9590034	559000	CAIS DO PORTO	\N	\N
15154	AV. LEITE BARBOSA	002135	AVENIDA	\N	B18	N-S	1671/60	16/12/1960	\N	\N	021185	RUA PONTA MAR (ORLA MARÍTIMA)	002022	RUA ÂNGELO FIGUEIREDO	\N	\N	9589135	558473	9590149	559330	CAIS DO PORTO	\N	\N
15157	RUA BRISA-MAR	000839	RUA	\N	B18	N-S	\N	\N	\N	\N	002135	AV. LEITE BARBOSA	024240	RUA DO RASTRO	\N	\N	9590061	559165	9589665	559368	CAIS DO PORTO	\N	\N
15158	RUA JOSÉ MONTEIRO	002003	RUA	\N	B18	N-S	\N	\N	\N	\N	002135	AV. LEITE BARBOSA	\N	EDIFICAÇÃO (PRÓXIMA A TRAV. OZETE FILOMENO)	\N	\N	9589447	559505	9590077	559194	CAIS DO PORTO	\N	\N
15159	RUA SÃO SEBASTIÃO	024390	RUA	SÃO	B18	O-L	\N	\N	\N	\N	002003	RUA JOSÉ MONTEIRO	021185	RUA PONTA MAR	\N	\N	9589989	559259	9590074	559386	CAIS DO PORTO	\N	\N
15160	TRAV. TITAN	004106	TRAVESSA	\N	B18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000198	003709	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
15161	TRAV. J. ANACLETO	023518	TRAVESSA	\N	B18	N-S	\N	\N	\N	\N	003709	AV. ZEZÉ DIOGO	023517	RUA JOSÉ ANACLETO	\N	\N	9590069	559022	9590034	559000	CAIS DO PORTO	\N	\N
15162	RUA SÃO PEDRO	005153	RUA	SÃO	B18	O-L	\N	\N	\N	\N	002003	RUA JOSÉ MONTEIRO	021185	RUA PONTA MAR	\N	\N	9590010	559243	9590087	559377	CAIS DO PORTO	\N	\N
15163	RUA DEP. FLÁVIO MARCÍLIO	005012	RUA	DEPUTADO	B18	O-L	\N	\N	9067/93	\N	002003	RUA JOSÉ MONTEIRO	021185	RUA PONTA MAR	\N	\N	9590057	559208	9590143	559341	CAIS DO PORTO	\N	Na Lei, esta Rua tem início na Av. Trajano de Medeiros e fim na Av. Dolor Barreira.
15399	RUA E	022936	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022858	RIACHO FLORESTA	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15164	RUA SÃO JOSÉ	021194	RUA	SÃO	B18	O-L	\N	\N	\N	\N	002003	RUA JOSÉ MONTEIRO	021185	RUA PONTA MAR	\N	\N	9590034	559225	9590119	559357	CAIS DO PORTO	\N	\N
15166	RUA SÃO FRANCISCO	021195	RUA	SÃO	B18	O-L	\N	\N	\N	\N	002003	RUA JOSÉ MONTEIRO	021185	RUA PONTA MAR	\N	\N	9589967	559276	9590036	559410	CAIS DO PORTO	\N	\N
15167	RUA PONTA MAR	021185	RUA	\N	B18	N-S	\N	\N	\N	\N	002135	AV. LEITE BARBOSA	000897	RUA NEZITA PEREIRA	\N	\N	9589135	9589135	9589581	559483	CAIS DO PORTO	\N	Rua invadida pela areia da praia. (Rua não-Oficial)
15168	TRAV. SÃO SEBASTIÃO	024389	TRAVESSA	SÃO	B18	N-S	\N	\N	\N	\N	\N	RUA SÃO SABASTIÃO	023111	TRAV. SÃO FRANCISCO	\N	\N	9590040	559323	9590018	559337	CAIS DO PORTO	\N	\N
15169	TRAV. SÃO FRANCISCO	023111	TRAVESSA	SÃO	B18/N19	O-L	\N	\N	\N	\N	\N	\N	\N	\N	024389	PRÓXIMA A UMA SD	\N	\N	\N	\N	CAIS DO PORTO/LAGOA REDONDA	\N	\N
15172	RUA SÃO BRAZ	021241	RUA	SÃO	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040029	024042	\N	\N	\N	\N	VILA VELHA	\N	\N
15174	RUA CRISTINA	021243	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040029	023184	\N	\N	\N	\N	VILA VELHA	\N	\N
15179	RUA E	022940	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040029	023184	\N	\N	\N	\N	VILA VELHA	\N	\N
15180	RUA D	022869	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040029	023184	\N	\N	\N	\N	VILA VELHA	\N	\N
15181	RUA C	022645	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040029	023184	\N	\N	\N	\N	VILA VELHA	\N	\N
15182	RUA B	022526	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040029	023184	\N	\N	\N	\N	VILA VELHA	\N	\N
15183	RUA A	022329	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040028	020067	\N	\N	\N	\N	VILA VELHA	\N	\N
15184	RUA BETA	007599	RUA	\N	C05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008453	023373	\N	\N	\N	\N	VILA VELHA	\N	\N
15185	RUA PI	021262	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040029	023184	\N	\N	\N	\N	VILA VELHA	\N	\N
15186	RUA GAMA	023184	RUA	\N	C05/C06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008453	DEPOIS DA RUA SÃO BRAZ	\N	\N	\N	\N	VILA VELHA	\N	\N
15189	RUA KALU	021258	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040029	023589	\N	\N	\N	\N	VILA VELHA	\N	\N
15190	RUA P	024042	RUA	\N	C05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023176	021241	\N	\N	\N	\N	VILA VELHA	\N	\N
15191	RUA E	020067	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022329	022835	\N	\N	\N	\N	VILA VELHA	\N	\N
15192	RUA K	023589	RUA	\N	C05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020067	023373	\N	\N	\N	\N	VILA VELHA	\N	\N
15193	TRAV. 4	021252	TRAVESSA	\N	C05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020067	009574	\N	\N	\N	\N	VILA VELHA	\N	\N
15194	TRAV. 3	021247	TRAVESSA	\N	C05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020067	009574	\N	\N	\N	\N	VILA VELHA	\N	\N
15195	TRAV. 2	021249	TRAVESSA	\N	C05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020067	009574	\N	\N	\N	\N	VILA VELHA	\N	\N
15196	TRAV. 1	021254	TRAVESSA	\N	C05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020067	009574	\N	\N	\N	\N	VILA VELHA	\N	\N
15197	RUA J	023373	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023589	022835	\N	\N	\N	\N	VILA VELHA	\N	\N
15198	RUA I	009574	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023589	022835	\N	\N	\N	\N	VILA VELHA	\N	\N
15199	RUA H	023264	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023589	022835	\N	\N	\N	\N	VILA VELHA	\N	\N
15200	RUA G	023176	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040029	022835	\N	\N	\N	\N	VILA VELHA	\N	\N
15202	SD	040028	RUA	\N	C05	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	040007/022940	040029/021241	\N	\N	\N	\N	VILA VELHA	\N	\N
15203	BECO ISRAEL	023355	BECO	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040033	024119	\N	\N	\N	\N	VILA VELHA	\N	\N
15204	BECO SÃO PEDRO	024119	BECO	SÃO	C05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023373	023355	\N	\N	\N	\N	VILA VELHA	\N	\N
15207	RUA D	021259	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007599	022835	\N	\N	\N	\N	VILA VELHA	\N	\N
15208	RUA C	021244	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	007599	022835	\N	\N	\N	\N	VILA VELHA	\N	\N
15209	RUA ALFA	022835	RUA	\N	C05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008453	023373	\N	\N	\N	\N	VILA VELHA	\N	\N
15213	RUA 22	008460	RUA	\N	C05/C06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008743	008453	\N	\N	\N	\N	VILA VELHA	\N	\N
15214	SD	040030	RUA	\N	C05	L-O/N-S	\N	\N	\N	\N	\N	\N	\N	\N	008452/008460	008453/008459	\N	\N	\N	\N	VILA VELHA	\N	\N
15215	AVENIDA L	008453	AVENIDA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003642	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
15217	SD	040032	RUA	\N	C05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020067/023373	023176/023355	\N	\N	\N	\N	VILA VELHA	\N	\N
15218	RUA 49	008452	RUA	\N	C05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008453	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
15222	RUA 24	008459	RUA	\N	C05/C06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008449	008453	\N	\N	\N	\N	VILA VELHA	\N	\N
15223	RUA 8	002632	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15224	RUA 10	001032	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15225	RUA 12	001097	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15227	RUA 43	004615	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15228	RUA 41	004613	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15229	RUA 37	004607	RUA	\N	C06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008453	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
15230	RUA 35	004606	RUA	\N	C06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008453	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
15232	SD	040034	RUA	\N	C06/C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA 93 (CONJ. NOVA ASSUNÇÃO)/022493	RUA 35 (CONJ. NOVA ASSUNÇÃO)/022662	\N	\N	\N	\N	VILA VELHA/BARRA DO CEARÁ	\N	\N
15234	RUA 33	003519	RUA	\N	C06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008453	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
15237	RUA 39	008462	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15238	RUA 39	022188	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15240	AVENIDA I	023301	AVENIDA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15244	RUA D	022859	RUA	\N	C06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15245	AV. D	008461	AVENIDA	\N	C06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008743	008453	\N	\N	\N	\N	VILA VELHA	\N	\N
15247	RUA 27	003642	RUA	\N	C06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003645	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
15250	RUA 23	003645	RUA	\N	C06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000001	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
15251	RUA 23	008398	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15253	RUA 17	001044	RUA	\N	C06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000001	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
15254	RUA 17	008419	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15256	RUA 13	003447	RUA	\N	C06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000001	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
15257	RUA 13	008472	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15258	RUA 14	004608	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15259	RUA 14	002965	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15260	RUA 16	001041	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15261	RUA 18	004610	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15262	RUA 20	004611	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15263	RUA 19	001038	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15264	RUA 25	003627	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15265	RUA 15	002983	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15272	AVENIDA K	004617	AVENIDA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15273	AVENIDA C	000624	AVENIDA	\N	C06	L-O	4643/1975	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	C , Av.  (conjunto  Nova Assunção)	lei especifica.
15276	RUA 47	004619	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15282	RUA PALMACIA	002734	RUA	\N	C06	L-O	3548/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15283	RUA K	008239	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15284	RUA M	008241	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15285	RUA L	008240	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15286	AVENIDA WASHINGTON LUIZ	003689	AVENIDA	\N	C06/C07	L-O	3548/68	\N	\N	\N	\N	\N	\N	\N	000746	008743	\N	\N	\N	\N	VILA VELHA	\N	\N
15287	RUA PARAMBU	001453	RUA	\N	C06	L-O	3548/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15288	RUA RERIUTABA	003064	RUA	\N	C06	L-O	3548/68	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15289	RUA 1 (POLAR)	003506	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15290	RUA 3  (POLAR)	003437	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15291	RUA 5  (POLAR)	008487	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15292	RUA 7 (POLAR)	022267	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15293	RUA 9 (POLAR)	008478	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15294	RUA 11 (POLAR)	008349	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15295	RUA MENEZES DE OLIVEIRA	002427	RUA	\N	C06	L-O	3508/67	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15296	RUA CORONEL ABELARDO RODRIGUES	000017	RUA	CORONEL	C06	L-O	3495/1967	\N	\N	\N	\N	AV. CEL. CARVALHO (000746)	\N	\N	AV. MOZART PINHEIRO DE LUCENA (008743)	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15297	RUA TRAJANO DE AGUIAR	003432	RUA	\N	C06/C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000746	008743	\N	\N	\N	\N	VILA VELHA	\N	\N
15298	RUA DESEMBARGADOR HERMES PARAHYBA	001582	RUA	DESEMBARGADOR	C06/C07	L-O	3462/67	\N	\N	\N	\N	\N	\N	\N	000506	008743	\N	\N	\N	\N	VILA VELHA	\N	\N
15299	RUA PROFº. RAIMUNDO GOMES	003016	RUA	PROFESSOR	C06/C07	L-O	3430/67	\N	\N	\N	\N	\N	\N	\N	000746	008743	\N	\N	\N	\N	VILA VELHA	\N	\N
15300	RUA MINISTRO ANTÔNIO COÊLHO	000295	RUA	MINISTRO	C06	L-O	3403/1967	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15304	AVENIDA D	022860	AVENIDA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15305	RUA TENENTE ELIEZER COSTA	001153	RUA	TENENTE	C06	L-O	3510/67	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15308	RUA 24	022147	RUA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15309	TRAV. GABRIEL TEIXEIRA	023181	TRAVESSA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15313	RUA 31	003470	RUA	\N	C06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008453	000410	\N	\N	\N	\N	VILA VELHA	\N	\N
15314	AVENIDA FLORÊNCIO DE ALENCAR	001302	AVENIDA	\N	C07	L-O	2959/65	\N	\N	\N	\N	\N	\N	\N	000888	008743	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15315	RUA 13 DE ROCHIDALE	020832	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001588	000746	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15316	TRAV. H. MELO	020849	TRAVESSA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	001588	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15317	RUA SIRIUS	003303	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001588	000746	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15318	BECO DE MELO	023287	BECO	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	001588	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15319	RUA CANOPUS	000683	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001588	000746	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15320	RUA ANTARES	000264	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001588	000746	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15321	RUA AQUARIUS	000336	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001588	000746	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15325	TRAVESSA FLORÊNCIO DE ALENCAR (F. DE ALENCAR)	023088	TRAVESSA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001741	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15326	TRAV. JANDIRA	023409	TRAVESSA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	001741	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15407	RUA V. BERNA	020526	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000095	024034	\N	\N	\N	\N	FLORESTA	\N	\N
15327	TRAV. JACY	023402	TRAVESSA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001721	PRÓXIMA A UM RIO PERENE	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15331	BECO ARIADO	022478	BECO	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	022681	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15332	BECO CANÁRIO	022681	BECO	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000673	EDIFICAÇÃO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15333	RUA RUCHINO	020856	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022681	000674	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15334	RUA RODRIGO	020859	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022681	000674	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15335	TRAV. SÃO PEDRO	024120	TRAVESSA	SÃO	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022681	000674	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15336	VILA DO FROTA	023164	VILA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	020856	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15337	TRAVESSA CANÁRIO	000674	TRAVESSA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003484	000355	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15338	RUA BEIJA FLOR	022559	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	000355	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15340	RUA SÃO BERNADO	000535	RUA	SÃO	C07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	001607	000888	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15342	RUA J	023372	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	002734	\N	\N	\N	\N	VILA VELHA	\N	\N
15343	RUA H	008236	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	002734	\N	\N	\N	\N	VILA VELHA	\N	\N
15344	RUA F	023032	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	002734	\N	\N	\N	\N	VILA VELHA	\N	\N
15345	RUA D	008232	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	002734	\N	\N	\N	\N	VILA VELHA	\N	\N
15347	RUA I	008237	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002734	EDIFICAÇÃO	\N	\N	\N	\N	VILA VELHA	\N	\N
15348	RUA G	008235	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002734	EDIFICAÇÃO	\N	\N	\N	\N	VILA VELHA	\N	\N
15349	RUA B	008230	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000746	MURO	\N	\N	\N	\N	VILA VELHA	\N	\N
15351	AVENIDA HILDEBRANDO DE MELO	001588	AVENIDA	\N	C07	N-S	3505/67	\N	\N	\N	\N	\N	\N	\N	001302	003689	\N	\N	\N	\N	VILA VELHA	\N	\N
15355	RUA ANA BATISTA	000225	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002098	003150	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
15357	RUA ALBERTO FERREIRA	000097	RUA	\N	C07	N-S	3505/1967	13/12/67	\N	\N	\N	002098	\N	ESTRADA DE FERRO SOBRAL	002098	007457	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
15358	RUA ALBERTO DE OLIVEIRA	000095	RUA	\N	C07	N-S	1671/1960	16/12/1960	\N	\N	\N	DUNAS	\N	002098	022880	002098	\N	\N	\N	\N	B DO CEARÁ/JD IRACEMA/FLORESTA	\N	\N
15359	RUA CONSELHEIRO LAFAYETTE	002098	RUA	CONSELHEIRO	C07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	040042	000746	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
15360	RUA ANTONIETA CLOTILDE	000270	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000095	001588	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
15361	RUA GENERAL TOMÉ CORDEIRO	003420	RUA	GENERAL	C07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	000095	000746	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
15362	RUA FENELON BOMÍLCAR	001267	RUA	\N	C07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	000095	000746	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
15363	RUA RAIMUNDO FROTA	003014	RUA	\N	C07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	000095	000746	\N	\N	\N	\N	JARDIM IRACEMA/BARRA	\N	\N
15366	RUA ARQUIMEDES MEMÓRIA	000393	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000506	001588	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15367	RUA ÁLVARO GARRIDO	000182	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000888	001588	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15368	RUA ASTROGILDO FONTOURA	000416	RUA	\N	C07	L-O	1996/62	\N	\N	\N	\N	\N	\N	\N	000888	001588	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15369	RUA DOUTOR AMBRÓSIO CARNEIRO	000207	RUA	DOUTOR	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001721	001588	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15372	RUA B	022515	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022314	RIACHO FLORESTA	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15373	RUA C	022632	RUA	\N	D07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002734	CÓRREGO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15375	TRAV. ÁLVARO GARRIDO	003784	TRAVESSA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000416	000182	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15378	RUA JANDIRA	001741	RUA	\N	C07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	023088	MURO	\N	\N	\N	\N	BARRA/JARDIM IRACEMA	\N	\N
15380	RUA JACY	001721	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023402	002098	\N	\N	\N	\N	BARRA/JARDIM IRACEMA	\N	\N
15381	RUA BELÉM DE FIGUEIREDO	000506	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000416	002098	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15382	RUA AMOR PERFEITO	000224	RUA	\N	C07	N-S	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	000182	002098	\N	\N	\N	\N	BARRA / JARDIM IRACEMA	\N	\N
15383	RUA SEMPREVIVA	003245	RUA	\N	C07	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	024392	002098	\N	\N	\N	\N	BARRA/JARDIM IRACEMA	\N	\N
15384	RUA TULIPA	003484	RUA	\N	C07/C08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	008778	002098	\N	\N	\N	\N	BARRA/JARDIM IRACEMA/FLORESTA	\N	\N
15386	RUA 1	022007	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	DEPOIS DA RUA 8 (CONJ. PADRE SANTANA)	000224	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15387	RUA 2	022112	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022290	000224	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15388	RUA 3	022162	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022290	000224	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15389	RUA 4	022196	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022290	022257	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15390	RUA 5	022222	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022290	022274	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15391	RUA 6	022241	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022290	000224	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15392	RUA 7	022257	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022196	022241	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15393	RUA 8	022274	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022007	003014	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15394	RUA 9	022290	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022112	003014	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15395	RUA H	023261	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022858	MURO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15396	RUA G	023171	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022858	MURO	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15398	RUA F	023035	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022858	RIACHO FLORESTA	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15400	RUA D	022858	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022636	003014	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15401	RUA A	022314	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022636	003014	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15402	RUA C	022636	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022314	022858	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15403	SD	040038	RUA	\N	C07/C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000361/023901	001302/001504	\N	\N	\N	\N	BARRA DO CEARÁ/FLORESTA	\N	\N
15404	RUA LARA	020117	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000095	020841	\N	\N	\N	\N	BARRA/FLORESTA	\N	\N
15405	TRAV. LEONOR	007728	TRAVESSA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003484	003245	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15406	RUA OTACÍLIO CARNEIRO	024034	RUA	\N	C07/C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000888	020526	\N	\N	\N	\N	FLORESTA	\N	\N
15408	TRAV. SEMPRE VIVA	024392	TRAVESSA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003245	022290	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15409	TRAV. LARA	020937	TRAVESSA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	CÓRREGO	020117	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15412	TRAV. CAUBI	022724	TRAVESSA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008778	001302	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15414	SD	040036	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	02403/000224	00348/FIM DE CULTURA	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15415	TRAV. ASTROGILDO FONTOURA	022493	TRAVESSA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	040035	000416	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15416	RUA RECANTO	020862	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024661	024660	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15417	RUA COELHO NETO	000888	RUA	\N	C07	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	001607	022724	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15418	RUA 5 DE JUNHO	022236	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	023067	RIACHO FLORESTA	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15425	VILA GLOBO	023212	VILA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000270	002098	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
15426	VILA DIMAS	022899	VILA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001267	003420	\N	\N	\N	\N	JARDIM IRACEMA	\N	\N
15427	RUA OSMANI	009581	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	DEPOIS DA RUA 4 (CONJ. SÍTIO ARATANHA)	000361	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15437	VILA VIEIRA MELO	024555	VILA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001480	MURO	\N	\N	\N	\N	FLORESTA	\N	\N
15451	TRAV. SÃO TOMÉ	024472	TRAVESSA	SÃO	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000040	000095	\N	\N	\N	\N	FLORESTA	\N	\N
15452	VILA ANTÔNIO ROLA	022457	VILA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000040	000095	\N	\N	\N	\N	FLORESTA	\N	\N
15453	RUA SÃO JORGE	022474	RUA	SÃO	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000809	001480	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15457	RUA DR. VICENTE ARRUDA	001601	RUA	DOUTOR	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002028	008778	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15458	RUA DR. HUGO ROCHA	001607	RUA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008778	003107	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15459	TRAV. GRAÇA ARANHA II	023229	TRAVESSA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001480	000040	\N	\N	\N	\N	FLORESTA	\N	\N
15460	TRAV. GRAÇA ARANHA I	023228	TRAVESSA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001480	000040	\N	\N	\N	\N	FLORESTA	\N	\N
15461	RUA 22 DE AGOSTO	003632	RUA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000809	001480	\N	\N	\N	\N	FLORESTA	\N	\N
15462	RUA 17 DE JUNHO	001031	RUA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001335	001480	\N	\N	\N	\N	FLORESTA	\N	\N
15465	VILA CONTINENTAL	022795	VILA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	001335	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15704	\N	009263	RUA	\N	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
15468	RUA GENERAL MÁRIO HERMES	002362	RUA	GENERAL	C08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	001335	003484	\N	\N	\N	\N	FLORESTA	\N	\N
15469	RUA PEDRO VIEIRA NETO	024148	RUA	\N	C08	L-O	7731/95	02/04/96 -	9793/96	\N	\N	\N	\N	\N	022393	001335	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15470	RUA DR. ÁLVARO WEYNE	022393	RUA	DOUTOR	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	024148	003363	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15473	RUA JOAQUIM DE CARVALHO	023470	RUA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	ESCOLA EST. WALDEMAR FALCÃO	001943	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15475	TRAV. MANOEL PEREIRA	020241	TRAVESSA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	ESCOLA EST. WALDEMAR FALCÃO	000887	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15476	VILA FCO. DE ASSIS	023141	VILA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	024148	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15477	TRAV. SÃO FRANCISCO	001324	TRAVESSA	SÃO	C08/E08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003296	003134	\N	\N	\N	\N	ÁLVARO WEYNE/PRES. KENEDY	\N	\N
15479	RUA SILVIO ROMERO	003296	RUA	\N	C08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	001607	PRÓXIMA A UMA LAGOA	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15481	RUA CRAVINA	000952	RUA	\N	C08	N-S	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	003067	022817	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15482	TRAV. CRAVINA	022817	TRAVESSA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003067	000952	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15483	RUA RIACHUELO	003067	RUA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001842	PRÓXIMA A RUA DR. HUGO ROCHA	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15484	TRAV. RIACHUELO	004416	TRAVESSA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001280	003067	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15485	RUA FERREIRA DOS SANTOS	001280	RUA	\N	C08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	003385	001607	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15486	RUA JOAQUIM PINTO	001899	RUA	\N	C08-09	L-O	1671/60	16/12/1960	\N	\N	\N	FREDERICO DE ANDRADE, RUA	\N	20 DE JANEIRO, AVENIDA - VIA FÉRREA	001373	001607	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15487	RUA ÍMPAR	001635	RUA	\N	C08	L-O	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	001718	001607	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15489	BECO TEODOMIRO DE CASTRO	020244	BECO	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	003363	\N	\N	\N	\N	ÁLVARO WEYNE/FLORESTA	\N	\N
15491	RUA ADOLFO BEZERRA DE MENEZES	000040	RUA	\N	C08	N-S	4240/1973	\N	\N	\N	\N	\N	\N	\N	008778	002098	\N	\N	\N	\N	FLORESTA	\N	\N
15492	VILA ASSIS	022844	VILA	\N	C08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
15493	BECO G. ARANHA	023227	BECO	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	001480	\N	\N	\N	\N	FLORESTA	\N	\N
15494	BECO CESAR CORREIA	022735	BECO	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000809	MURO	\N	\N	\N	\N	FLORESTA	\N	\N
15497	RUA MANOEL CARNEIRO	023732	RUA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000888	020526	\N	\N	\N	\N	FLORESTA	\N	\N
15499	RUA MORUMBI	002524	RUA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000095	001480	\N	\N	\N	\N	FLORESTA	\N	\N
15500	RUA PROFº. DEMÉTRIO CARNEIRO	001020	RUA	PROFESSOR	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	003363	002098	\N	\N	\N	\N	FLORESTA	\N	\N
15501	TRAV. A. DE OLIVEIRA	022337	TRAVESSA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001020	000095	\N	\N	\N	\N	FLORESTA	\N	\N
15502	TRAV. DEMÉTRIO CARNEIRO	022892	TRAVESSA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000040	001020	\N	\N	\N	\N	FLORESTA	\N	\N
15503	TRAV. GRAÇA ARANHA	001504	TRAVESSA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	002524	040039	\N	\N	\N	\N	FLORESTA	\N	\N
15506	RUA 16 DE JULHO	022093	RUA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A CERCA	024285	\N	\N	\N	\N	FLORESTA	\N	\N
15507	RUA 25 DE JANEIRO	022148	RUA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	024285	\N	\N	\N	\N	FLORESTA	\N	\N
15508	RUA 15 DE ABRIL	022088	RUA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	024285	\N	\N	\N	\N	FLORESTA	\N	\N
15510	TRAV. OLICAL	024014	TRAVESSA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	MURO	000095	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15511	BECO A. DE LIMA	022336	BECO	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	000187	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15515	RUA 17 DE DEZEMBRO	009647	RUA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA A UMA QUADRA DE ESPORTE	040041	\N	\N	\N	\N	FLORESTA	\N	\N
15516	RUA DICO FELÍCIO	007713	RUA	\N	C08	L-O	5638/82	\N	\N	\N	\N	\N	\N	\N	002424	001335	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15518	RUA PROF. ARISA CAVALCANTE	000376	RUA	PROFESSORA	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001480	000095	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15520	ESTRADA RIACHO DO OURO (RUA BIRMÂNIA)	021442	ESTRADA	\N	S17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
15527	SD	040887	RUA	\N	S17	O-L	\N	\N	\N	\N	\N	\N	\N	\N	ESTRADA DO OURO ( RUA BIRMÂNIA)	\N	\N	\N	\N	\N	PAUPINA	\N	\N
15529	RUA BARÃO DE AQUIRAZ	000342	RUA	BARÃO	S17/Q16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
15530	ALAMEDA DAS AMÉRICAS	022412	ALAMEDA	\N	S17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
15531	TRAV. TAMANTADUVA	024443	TRAVESSA	\N	S17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
15532	RUAENÉSIO RIBEIRO	022982	RUA	\N	S17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
15533	CE-04	022728	RODOVIA	\N	S17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	\N
15534	RUA BEIRA RIO	022561	RUA	\N	S17/P08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	021294	024417	\N	\N	\N	\N	PAUPINA/PANTANAL	\N	\N
15537	RUA RAPOUSO TAVARES	009115	RUA	\N	I06	N-S	\N	\N	\N	\N	000583	RUA BORBA GATO	\N	CANAL	\N	\N	9583442	545136	9583313	545144	JOÃO XXIII	\N	\N
15539	RUA C	022623	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
15540	RUA 3	007539	RUA	\N	L11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
15542	RUA A	020181	RUA	\N	N09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
15543	AVENIDA F	023039	AVENIDA	\N	N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
15549	RUA ARTUR TEMÓTEO	000400	RUA	\N	F13	L-O	1671/60	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	003325	RUA SOUSA GIRÃO	\N	AV. AGUANAMBI	9586046	553097	9585985	552746	FÁTIMA	\N	\N
15550	VILA SIMONE	003298	VILA	\N	F13	O-L	\N	\N	\N	\N	002118	RUA LAURO MAIA	\N	MURO	\N	\N	9585998	552983	9586009	553036	FÁTIMA	\N	\N
15552	PRAÇA SÃO LUCAS	023650	PRAÇA	SÃO	F13	\N	\N	\N	\N	\N	\N	RUA CEL. ALVES TEIXEIRATRAV. PADRE CHEVALIER	\N	\N	\N	\N	9586010	553559	\N	\N	JOAQUIM TÁVORA	\N	\N
15553	VILA PEDRO NUNES	024143	VILA	\N	F13	O-L	\N	\N	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	\N	MURO	\N	\N	9586018	553102	9586030	553159	JOAQUIM TÁVORA	\N	\N
15556	RUA PADRE MATOS SERRA	002394	RUA	PADRE	F13	L-O	1671/60	16/12/1960	\N	\N	002118	RUA LAURO MAIA	001258	AV. FELINO BARROSO	\N	\N	9586218	552935	9586154	552393	FÁTIMA	PE. MIGUELINHO TRECHO DA	\N
15557	RUA AQUILES BEVILÁQUA	000338	RUA	\N	F13	O-L	1671/60	16/12/1960	\N	\N	001573	RUA HENRIQUE RABELO	000348	RUA IDELFONSO ALBANO	\N	RUA BARÃO DE STUDART	9586262	553173	9586179	553818	JOAQUIM TÁVORA	\N	o trecho que vai da Ildefonso Albano até a Av. Barão de Studart não é oficial.
15558	TRAV. ANTÔNIO  ALENCAR	022451	TRAVESSA	\N	F13	L-O	\N	\N	\N	\N	\N	MURO	000272	RUA PADRE ANTONINO	\N	\N	9586224	553245	9586220	553299	JOAQUIM TÁVORA	\N	\N
15559	RUA BENEDITO GOMES DINIZ	000863	RUA	\N	F13	O-L	5257/80	\N	\N	\N	000283	RUA ANTÔNIO AUGUSTO	001628	RUA IDELFONSO ALBANO	\N	\N	9586201	553563	9586171	553684	JOAQUIM TÁVORA	\N	\N
15561	RUA EUGENIO PORTO	009266	RUA	\N	F13	L-O	3859/71	\N	\N	\N	003079	AV. VISC. RIO BRANCO	002118	RUA LAURO MAIA	\N	\N	9586292	553044	9586267	552925	JOSÉ BONIFÁCIO/FÁTIMA	BECO DA PADARIA, ACOPIARA	\N
15562	RUA ADOLFO SILVEIRA	000046	RUA	\N	F13	O-L	1671/1960	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	000283	RUA ANTÔNIO AUGUSTO	\N	RUA IDELFONSO ALBANO	9586326	553038	9586305	553727	JOAQUIM TÁVORA	CONDE DO BOMFIM	está terminando na Rua ILDEFONSO ALBANO
15563	RUA JOÃO COSTA	001800	RUA	\N	F13	O-L	\N	\N	\N	\N	001628	RUA ILDEFONSO ALBANO	\N	MURO	\N	\N	9586282	553720	9586249	553804	JOAQUIM TÁVORA	\N	\N
15565	RUA CORONEL SOLON	003313	RUA	CORONEL	F13	L-O	1671/60	16/12/1960	\N	\N	002118	RUA LAURO MAIA	001258	RUA FELINO BARROSO	\N	\N	9586349	552907	9586289	552376	JOSÉ BONIFÁCIO/FÁTIMA	SALDANHA MARINHO, TRECHO	\N
15696	\N	023104	VILA	SÃO	L13/B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	001768	\N	\N	\N	\N	MATA GALINHA/BARRA DO CEARÁ	\N	\N
15567	VILA NAZARÉ	023927	VILA	\N	F13/E11	L-O	\N	\N	\N	\N	\N	MURO	002118	RUA LAURO MAIA	\N	\N	9586443	552945	9586431	552887	JOSÉ BONIFACIO/PARQUE ARAXÁ	\N	\N
15568	VILA FRANÇA	023100	VILA	\N	F13	L-O	\N	\N	\N	\N	\N	MURO	002118	RUA LAURO MAIA	\N	\N	9586429	552945	9586418	552890	JOSÉ BONIFÁCIO	\N	\N
15569	VILA WONE	024607	VILA	\N	F13	L-O	\N	\N	\N	\N	\N	MURO	002118	RUA LAURO MAIA	\N	\N	9586364	552965	9586351	552906	JOSÉ BONIFÁCIO	\N	\N
15571	VILA REBOUÇAS	003046	VILA	\N	F13	L-O	\N	\N	\N	\N	003079	AV. VISC. RIO BRANCO	002118	RUA LAURO MAIA	\N	\N	9586557	552989	9586536	552867	JOSÉ BONIFÁCIO	\N	\N
15572	VILA DOLORES	001072	VILA	\N	F13	O-L	\N	\N	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	\N	MURO	\N	\N	9586547	552991	9586555	553062	JOAQUIM TÁVORA	\N	\N
15574	TRAV. NOSSA SENHORA DA PIEDADE	023965	TRAVESSA	\N	F13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOAQUIM TÁVORA	\N	\N
15576	RUA ABAIARA	000010	RUA	\N	F13	L-O	1671/1960	16/12/1960	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	000078	AV. AGUANAMBI	\N	\N	9586657	553051	9586605	552783	JOSÉ BONIFÁCIO/JOAQUIM TÁVORA	IMPERIAL ,TRAVESSA	CONFERIR AS COORDENADAS
15577	BECO NOSSA SENHORA DA PIEDADE	023964	BECO	\N	F13	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOAQUIM TÁVORA	\N	\N
15578	VILA VÂNIA	003742	VILA	\N	F13	O-L	\N	\N	\N	\N	001472	RUA GONÇALVES LÊDO	002036	RUA PEDRA BRANCA	\N	\N	9586641	553440	9586617	553500	JOAQUIM TÁVORA	\N	\N
15582	TRAV. G. DE MOURA	001978	TRAVESSA	\N	F13	L-O	\N	\N	\N	\N	000078	AV. AGUANAMBI	001979	RUA JOSÉ GOMES MOURA	\N	\N	9586942	552882	9586952	552771	JOSÉ BONIFÁCIO	J. G. DE MOURA	\N
15583	RUA ANTÔNIO POMPEU	000321	RUA	\N	E11/F13	L-O	1671/1960	16/12/1960	\N	\N	003079	AV. VISC. RIO BRANCO	000649	RUA RUBIA SAMPAIO	\N	\N	9586983	552897	9587561	551057	CENTRO/J.BONIFÁCIO/F.BRITO	Nº6 E DR. ANTÔNIO POMPEU	\N
15584	RUA GUANABARA	008839	RUA	\N	F13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALDEOTA	\N	\N
15590	RUA JOSÉ DE FIGUEREDO	023533	RUA	\N	F13	N-S	\N	\N	\N	\N	001902	RUA JOAQUIM TÔRRES	003409	RUA TOMÁS ACIÓLI	\N	RUA PINHO PESSOA	9586387	553946	9586087	553868	JOAQUIM TÁVORA	\N	\N
15592	RUA MEDIANEIRA	002409	RUA	\N	F13	N-S	\N	\N	\N	\N	\N	SD	000472	RUA BÁRBARA DE ALENCAR	\N	\N	9586951	554005	9586863	553976	ALDEOTA	\N	\N
15593	VILA VENEZA	024529	VILA	\N	F13	N-S	\N	\N	\N	\N	000472	RUA BÁRBARA DE ALENCAR	\N	MURO	\N	\N	9586861	553981	9586795	553961	ALDEOTA	\N	\N
15596	TRAVESSA COELHO	022777	TRAVESSA	\N	F13	N-S	\N	\N	\N	\N	000325	AV. ANTÔNIO SALES	\N	MURO	\N	\N	9586516	553731	9586447	553717	JOAQUIM TÁVORA	\N	\N
15598	VILA VEJA	024526	VILA	\N	F13	O-L	\N	\N	\N	\N	\N	MURO	000283	RUA ANTÔNIO AUGUSTO	\N	\N	9586082	553493	9586078	553528	JOAQUIM TÁVORA	\N	\N
15599	TRAV.  ADOLFO SILVEIRA	003410	TRAVESSA	\N	F13	N-S	\N	\N	\N	\N	000046	RUA ADOLFO SIQUEIRA	000338	RUA AQUILES BEVILAQUA	\N	\N	9586337	553562	9586220	553539	JOAQUIM TÁVORA	\N	\N
15600	VILA IMACULADA CONCEIÇÃO	023319	VILA	\N	F13/C09	L-O	\N	\N	\N	\N	001797	RUA JOÃO CORDEIRO	000283	RUA ANTÔNIO AUGUSTO	\N	\N	9586563	553549	9586527	553667	JOAQUIM TÁVORA/ÁLVARO WEYNE	\N	paralela a Av. Antônio Sales
15601	RUA JOÃO CAMINHA MUNIZ	003012	RUA	\N	F13	N-S	4230/73	\N	\N	\N	003526	RUA PADRE VALDEVINO	\N	MURO	\N	RUA JOÃO BRÍGIDO	9586739	553668	9586650	553641	JOAQUIM TÁVORA	\N	\N
15602	RUA PEDRA BRANCA	002036	RUA	\N	F13	N-S	1671/60	16/12/1960	\N	\N	\N	MURO	001902	RUA JOAQUIM TÔRRES	AV. ANTÔNIO SALES	\N	9586638	553506	9586478	553463	JOAQUIM TÁVORA	JUVENAL DE CARVALHO	\N
15745	RUA 1	008127	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15603	TRAVESSA JOÃO CORDEIRO	001798	TRAVESSA	\N	F13	O-L	\N	\N	\N	\N	001472	RUA GONÇALVES LEDO	001797	RUA JOÃO CORDEIRO	\N	\N	9586936	553539	9586904	553654	CENTRO	\N	\N
15604	VILA ANGELITA	000255	VILA	\N	F13	N-S	\N	\N	\N	\N	001798	TRAV. JOÃO CORDEIRO	003106	RUA ROCHA LIMA	\N	\N	9586920	553595	9586878	553581	CENTRO	\N	\N
15607	VILA MIRES	023878	VILA	\N	F13	O-L	\N	\N	\N	\N	002567	RUA NOGUEIRA ACIÓLI	\N	MURO	\N	\N	9586758	553350	9586735	553407	JOAQUIM TÁVORA	\N	\N
15612	TRAV. DONA LEOPOLDINA	023624	TRAVESSA	DONA	F13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOAQUIM TÁVORA	\N	\N
15614	VILA CEARÁ	000948	VILA	\N	F13	O-L	\N	\N	\N	\N	\N	MURO	002144	RUA DONA LEOPOLDINA	\N	\N	9586764	553043	9586753	553083	JOAQUIM TÁVORA	\N	\N
15616	RUA ALTO SANTO	000162	RUA	\N	F13	N-S	1671/1960	16/12/1960	\N	\N	003137	RUA MESTRE ROSA	002394	RUA PE. MATOS SERRA	MURO	RUA DR. JOÃO DE DEUS	9586497	552807	9586081	552893	JOSÉ BONIFÁCIO/FÁTIMA	\N	\N
15621	VILA JOSÉ COOREIA	001954	VILA	\N	F13	N-S	\N	\N	\N	\N	\N	MURO	002873	RUA PINHO PESSOA	\N	\N	9586209	553224	9586157	553231	JOAQUIM TÁVORA	\N	\N
15624	SD	040188	RUA	\N	F13	O-L/N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA PADRE ANTÔNIO	\N	\N	\N	\N	\N	CENTRO/JOAQUIM TÁVORA	\N	\N
15628	SD	040186	RUA	\N	F13	L-O/N-S	\N	\N	\N	\N	\N	MURO/AV. ANTONIO SALES	\N	\N	RUA LAURO MAIA/RUA JOAQUIM TORRES	\N	\N	\N	\N	\N	FÁTIMA/JOAQUIM TÁVORA	\N	\N
15640	\N	022453	PRAÇA	\N	L16	\N	7107/81	\N	10.722/00	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
15641	\N	024032	PRAÇA	\N	L16	\N	5438/81	\N	10.723/00	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
15643	\N	001069	RUA	\N	B06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	008743	008480	\N	\N	\N	\N	VILA VELHA	\N	\N
15645	\N	000187	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000513	008778	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15646	\N	023423	VILA	SÃO	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001335	009676	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15650	\N	022080	PRAÇA	\N	C07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15651	\N	020841	TRAVESSA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	000182	020117	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15652	\N	024522	VILA	\N	C08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO	008778	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15654	\N	023900	PRAÇA	\N	C08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
15655	\N	024393	VILA	\N	C08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
15657	\N	000887	RUA	\N	C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	003296	003134	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15660	\N	000016	PRAÇA	\N	C09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15661	\N	023849	PRAÇA	CORONEL	C09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15662	\N	003726	PRAÇA	MAJOR	C09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15663	\N	023081	PRAÇA	\N	C09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15664	\N	022441	PRAÇA	\N	C09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁLVARO WEYNE	\N	\N
15665	\N	024140	PRAÇA	DESPORTISTA	C09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALVAROWEYNE	\N	\N
15670	\N	023573	VILA	SANTA	D06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM GUANABARA	\N	\N
15671	\N	023783	TRAVESSA	\N	F06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
15673	SD	040077	RUA	\N	D07/D08	N-S	\N	\N	\N	\N	\N	VILA AGENOR ROCHA	\N	\N	003150/TRAV. RINCÃO	000746	\N	\N	\N	\N	JARDIM IRACEMA/FLORESTA	\N	\N
15675	\N	024410	VILA	\N	E07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA ELERY	\N	\N
15676	VILA ASSIS 2	022490	VILA	\N	D10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JACARECANGA	\N	\N
15678	\N	022760	PRAÇA	\N	D17	\N	\N	\N	\N	\N	003211	RUA SANTANA	004449	TRAV. CAPILÉ	\N	\N	9588266	557665	\N	\N	MUCURIPE	\N	\N
15680	\N	024451	PRAÇA	FREI	E11	\N	\N	\N	\N	\N	\N	RUA BELA CRUZ/RUA JUSTINIANO DE SERPA	\N	\N	\N	\N	9587296	550891	\N	\N	FARIAS BRITO	\N	\N
15682	VILA CATUNDA	022723	VILA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
15683	\N	001271	GALERIA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE ARAXÁ	\N	\N
15684	\N	023317	VILA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
15685	\N	023284	VILA	\N	F10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RODOLFO TEÓFILO	\N	\N
15691	\N	023632	TRAVESSA	\N	L03	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GRANJA LISBOA	\N	\N
15693	\N	022494	RUA	\N	L07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE SÃO JOSÉ	\N	\N
15698	\N	024162	RUA	\N	M08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MANOEL SÁTIRO	\N	\N
15706	\N	022303	RUA	\N	N07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
15708	\N	024069	RUA	DOUTOR	N08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA	\N	\N
15709	\N	023362	VILA	\N	N13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MATA GALINHA	\N	\N
15711	\N	008179	RUA	\N	O08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 1	\N	\N
15712	\N	022707	VILA	\N	P08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
15713	\N	022612	VILA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
15714	\N	023239	VILA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
15715	\N	022443	VILA	\N	P09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM 2	\N	\N
15721	\N	006067	ESTRADA	\N	S13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJUNTO PALMEIRAS / ANCURI	\N	\N
15722	\N	006096	RUA	\N	U15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	RUA PADRE VALDIR DANTAS	\N	\N	\N	\N	\N	PEDRAS	\N	\N
15727	RUA AMSTERDÃ	020910	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15728	SD	040476	RUA	\N	K12	N-S	\N	\N	\N	\N	\N	RUA BANDEIRA DE MELO	\N	\N	RUA 3 (CONJ. HAB. RENASCER)	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15729	RUA CLARIM	000857	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15730	RUA H	023259	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15731	RUA I	023296	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15732	RUA J	023369	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15733	RUA L	023594	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15734	TRAV. 4 DE MAIO	022215	TRAVESSA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15735	TRAV. FERREIRA LIMA	020903	TRAVESSA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15736	RUA 4 DE MAIO	004004	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15737	ALAMEDA 165	020926	ALAMEDA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15738	ALAMEDA 205	020927	ALAMEDA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15739	RUA 3	008129	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15740	ALAMEDA 125	020919	ALAMEDA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15741	TRAV. CENTRAL	020920	TRAVESSA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15742	TRAV. SATURNO	020922	RUA	\N	K12 / K13	L/O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15743	RUA PEDRO DANTAS	002804	RUA	\N	K12 /K13	L /O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15744	RUA CAPRICHO	000695	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15746	RUA 2	008128	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15747	RUA 5	022216	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15748	RUA G	023168	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15749	RUA F	023027	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15750	RUA D	022848	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15751	RUA E	022929	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15752	RUA A	022299	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15753	RUA B	022506	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15754	RUA C	022622	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15755	RUA BANDEIRA DE MELO	000463	RUA	\N	K12/K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15756	RUA 4	022189	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15757	SD	040475	RUA	\N	K12	N-S	\N	\N	\N	\N	\N	ALAMEDA 125	\N	\N	RUA 3 (COND. NAPOLEÃO VIANA)	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15758	RUA 3	022155	RUA	\N	K12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15760	RUA BOA VENTURA	000561	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15762	RUA JOÃO FONSECA	001814	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15763	RUA SATURNO	003226	RUA	CAPITÃO	K13	L-O	DL 243/2007	17/04/2007	\N	\N	\N	CERCA  DO LOTEAMENTO	\N	RUA 4 DE MAIO	\N	\N	553485	9581377	552549	9581567	DIAS MACEDO	SATURNO	\N
15764	RUA SÃO PEDRO	002791	RUA	SÃO	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15765	RUA PINTO MARTINS	002938	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15766	RUA PRIMAVERA	002939	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15767	RUA CHICO MOTA	000276	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15768	RUA PRINCESA JULIANA	023572	RUA	PRINCESA	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15769	RUA NOVA ESPERANÇA	002781	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15770	RUA MANOEL NUNES SIQUEIRA	002292	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15771	PRAÇA DIAS MACEDO	022897	PRAÇA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15772	TRAV. NOVA ESPERANÇA	002597	TRAVESSA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15774	SD	040482	RUA	\N	K13	N-S	\N	\N	\N	\N	\N	SD (040483)	\N	\N	RUA PROF. NELSON ALVES	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15775	SD	040483	RUA	\N	K13	L-O	\N	\N	\N	\N	\N	TRAV. LAGOINHA	\N	\N	SD (040482)	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15776	RUA RAIMUNDO NOGUEIRA	003022	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15777	RUA JOÃO FAGUNDES LOPES	020923	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15778	RUA MAJOR VAZ	003544	RUA	MAJOR	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15779	VILA SÃO RAIMUNDO	024222	RUA	SÃO	K13/R17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO/COACU	\N	\N
15780	PRAÇA SÃO FRANCISCO	023108	PRAÇA	SÃO	K13/M05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO/CANINDEZINHO	\N	\N
15781	RUA MARIA SARAIVA	007144	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15782	RUA NENÉM GONÇALVES	004680	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15784	RUA JOSÉ ALBINO	007119	RUA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15785	SD	040481	RUA	\N	K13	L-O	\N	\N	\N	\N	\N	TRAV. LAGOINHA	\N	\N	AV. ALBERTO CRAVEIRO	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15786	SD	040479	RUA	\N	K13	L-O	\N	\N	\N	\N	\N	SD (040477)	\N	\N	EDIFICAÇÃO	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15787	SD	040480	RUA	\N	K13	L-O	\N	\N	\N	\N	\N	TRAV. CAIO MARTINS	\N	\N	TRAV. LAGOINHA	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15788	SD	040478	RUA	\N	K13	L-O	\N	\N	\N	\N	\N	VILA RAIMUNDO AMARO	\N	\N	SD (040480)	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15789	SD	040477	RUA	\N	K13	N-S	\N	\N	\N	\N	\N	RUA NOVA ESPERANÇA	\N	\N	RUA MANOEL NUNES SIQUEIRA	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15790	RUA PROF. NELSON ALVES	023931	RUA	PROFESSOR	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15791	VILA BEIRA RIO	020904	VILA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15794	TRAV. LAGOINHA	023612	TRAVESSA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15795	TRAV. CAIO MARTINS	022659	TRAVESSA	\N	K13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIAS MACEDO	\N	\N
15798	SD	040040	RUA	\N	C07/C08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	040038/040042	EDIFICAÇÃO/001480	\N	\N	\N	\N	BARRA DO CEARÁ/FLORESTA	\N	\N
15800	SD	040058	RUA	\N	C09	L-O/N-S	\N	\N	\N	\N	\N	\N	\N	\N	000885/002644	000230/EDIFICAÇÃO	\N	\N	\N	\N	ÁLVARO WEYNE/CARLITO PAMPLONA	\N	\N
15802	SD	040060	RUA	\N	C09/C10	L-O/N-S	\N	\N	\N	\N	\N	\N	\N	\N	002645/024025	MURO	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
15804	SD	040068	RUA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	MURO/TERRENO	AV. TENENTE LISBOA/022833	\N	\N	\N	\N	JACARECANGA	\N	\N
15806	SD	040101	RUA	\N	D10	N-S	\N	\N	\N	\N	\N	AV. SARGENTO HERMÍNIO SAMPAIO/AV. FRANCISCO SÁ	\N	\N	MURO	\N	\N	\N	\N	\N	JACARECANGA	\N	\N
15807	SD	040294	RUA	\N	H14	O-L	\N	\N	\N	\N	\N	\N	\N	\N	RUA JOSÉ JUSTA	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	\N
15809	SD	040459	RUA	\N	K05	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	AV. CORONEL VIRGÍLIO NOGUEIRA PAES	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
15810	SD	040460	RUA	\N	K05	L-O	\N	\N	\N	\N	\N	SD (040456)	\N	\N	MURO	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
15811	SD	040461	RUA	\N	K05	L-O	\N	\N	\N	\N	\N	MURO	\N	\N	RUA VALVERDE	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
15812	SD	040462	RUA	\N	K05	N-S	\N	\N	\N	\N	\N	MURO	\N	\N	RUA JOSÉ MARTINS	\N	\N	\N	\N	\N	GRANJA PORTUGAL	\N	\N
15813	SD	040465	RUA	\N	K07	L-O	\N	\N	\N	\N	\N	EDIFICAÇÃO	\N	\N	RUA ANTÔNIO COSTA MENDES	\N	\N	\N	\N	\N	VILA PERI	\N	\N
15814	SD	040471	RUA	\N	K10	N-S	\N	\N	\N	\N	\N	RUA SUÉCIA	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	\N	\N
15815	SD	040488	RUA	\N	K15	O-L	\N	\N	\N	\N	\N	CERCA	\N	\N	RUA MANOEL MONTEIRO	\N	\N	\N	\N	\N	CIDADE DOS FUNCIONÁRIOS	\N	\N
15817	SD	040489	RUA	\N	K15	O-L	\N	\N	\N	\N	\N	RUA DOS MAIAS	\N	\N	RUA TOMAZ POMPILHO	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
15818	SD	040680	RUA	\N	N11	L-O	\N	\N	\N	\N	\N	ELDORADO	\N	\N	AV. 2 DE MAIO	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
15823	SD	040760	RUA	\N	O13	N-S	\N	\N	\N	\N	\N	RUA ALENCAR OLIVEIRA	\N	\N	RIO COCÓ	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
15825	SD	040786	RUA	\N	P07	N-S	\N	\N	\N	\N	\N	RUA HÉRCULES DE MIRANDA	\N	\N	RUA MIGUEL ARAGÃO	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
15826	SD	040794	RUA	\N	P08	N-S	\N	\N	\N	\N	\N	RUA BOA HORA	\N	\N	RUA MONTE FLOR	\N	\N	\N	\N	\N	PANTANAL	\N	\N
15827	SD	040872	RUA	\N	R17	O-L	\N	\N	\N	\N	\N	RUA SÃO JAIRO	\N	\N	RUA SÃO MARCOS	\N	\N	\N	\N	\N	COAÇU	\N	\N
15828	PRAÇA SD	024366	PRAÇA	\N	I04/G11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ II/JARDIM AMÉRICA	\N	\N
15830	\N	024364	PRAÇA	\N	I06/I05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. CEARÁ I/CONJ. CEARÁ II	\N	\N
15832	\N	024362	PRAÇA	\N	I15/I07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE/HERIQUE JORGE	\N	\N
15833	\N	024352	PRAÇA	\N	J08/L06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA/GRANJA PORTUGAL	\N	\N
15834	\N	024360	PRAÇA	\N	B08/M11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CRISTO REDENTOR/PASSARÉ	\N	\N
15837	\N	024358	PRAÇA	\N	H08/G15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE/DIONÍSIO TORRES	\N	\N
15839	\N	024356	PRAÇA	\N	I08/H11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE/PARREÃO	\N	\N
15841	\N	024354	PRAÇA	\N	L05/K15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM JARDIM/CIDADE DOS FUNCIONÁRIOS	\N	\N
15843	\N	024368	PRAÇA	\N	L11/R13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ/JANGURUSSU	\N	\N
15844	\N	024370	PRAÇA	\N	L15/Q13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADES DOS FUNCIONÁRIOS/JANGURUSSU	\N	\N
15846	\N	024376	PRAÇA	\N	N06/S16	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA/JANGURUSSU	\N	\N
15848	\N	024374	PRAÇA	\N	O09/N11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM/PASSARÉ	\N	\N
15850	\N	024372	PRAÇA	\N	Q09/P15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PREF. JOSÉ WALTER/MESSEJANA	\N	\N
15854	SD	040042	RUA	\N	C08	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	040041/MURO	002098/000809	\N	\N	\N	\N	FLORESTA	\N	\N
15855	SD	040337	RUA	\N	I05	L-O	\N	\N	\N	\N	\N	RUA 850	\N	\N	RUA 848	\N	\N	\N	\N	\N	CONJ. CEARÁ I	\N	\N
15856	SD	040472	RUA	\N	K11	N-S	\N	\N	\N	\N	\N	RUA GIRASSOL	\N	\N	RUA LIBÂNIA	\N	\N	\N	\N	\N	SERRINHA	\N	\N
15857	RUA F	007079	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
15858	RUA G	007078	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
15859	RUA H	007079	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
15860	RUA C	007074	RUA	\N	M10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE DOIS IRMÃOS	\N	\N
15861	BECO MARTINS ARAÚJO	006642	BECO	\N	P18	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
15862	RUA TOMAZ POMPILHO	005176	RUA	\N	K15	N-S	\N	\N	\N	\N	\N	RUA SD	002208	RUA VEREADOR PEDRO PAULO	\N	\N	9581580	556376	9581436	556339	ENG. LUCIANO CAVALCANTE	\N	\N
15863	TRAV. PEDRO LOPES	005708	TRAVESSA	\N	P17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
15864	RUA JOSÉ PEREIRA BARROS	005702	RUA	\N	P17	N-S	\N	\N	\N	\N	005706	RUA PEDRO LOPES	001878	RUA JOAQUIM FELÍCIO	\N	\N	9576900	557849	9576502	557802	GUAJERU	\N	\N
15865	RUA J. RODRIGUES	005892	RUA	\N	M19	O-L	\N	\N	\N	\N	005760	RUA SÃO ROQUE	003049	AV. RECREIO	RUA PEDRO ADRIANO	\N	9579022	560436	9579084	561225	LAGOA REDONDA	\N	O TRECHO DA RUA SÃO ROQUE ATÉ A PEDRO ADRIANO NÃO ESTÁ ABERTO.
15866	TRAVESSA	007138	TRAVESSA	\N	P06	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023667	005912	\N	\N	\N	\N	PQ PRES. VARGAS	\N	\N
15872	RUA SDO. FELIX CÂNDIDO	023069	RUA	SDO	I08	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOQUEI CLUBE	\N	\N
15873	\N	024629	TRAVESSA	CAPITÃO	P15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MESSEJANA	\N	\N
15874	\N	001714	RUA	\N	H12	L-O	8570/2001	19/10/2001	11629/2004	17/05/2004	\N	RUA ABEL GARCIA	\N	VIA FERREA PARANGABA -MUCURIPE	\N	\N	552321	9584289	559496	9584436	PARREÃO	\N	\N
15875	\N	024630	RUA	\N	L09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM CEARENSE	\N	\N
15876	\N	024632	RUA	\N	J13	O-L	\N	\N	\N	\N	\N	\N	\N	\N	LIMITE DO CONJUNTO	008921	\N	\N	\N	\N	AEROLÂNDIA	\N	\N
15877	\N	024633	RUA	\N	P05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PQ. PRESIDENTE VARGAS	\N	\N
15881	RUA MISSÃO VELHA	002465	RUA	\N	H14	N-S	1671/60	16/12/1960	\N	\N	008732	RUA CAPITÃO TIBÚRCIO DA FROTA	002777	RUA PAULO FIRMEZA	\N	\N	9585017	554379	9584768	554410	SÃO JOÃO DO TAUAPE	TEOFILO  BARROS	\N
15882	RUA ÁLVARO BOMILCAR	000174	RUA	\N	H14	N-S	1671/1960	16/12/1960	\N	\N	003188	RUA MONSENHOR SALAZAR	003563	VIA FÉRREA PARANGABA-MUCURIPE	\N	\N	9584897	554441	9584353	554510	SÃO JOÃO DO TAUAPE	\N	\N
15883	RUA JOSÉ JUSTA	001984	RUA	\N	H14	N-S	1671/60	16/12/1960	\N	\N	003188	RUA MONSENHOR SALAZAR	003563	VIA FÉRREA PARANGABA-MUCURIPE	\N	RUA EVARISTO REIS (001233)	9584909	554562	9584269	554642	SÃO JOÃO DO TAUAPE	 NUNES VALENTE          CONTINUAÇÃO DA RUA	\N
15884	RUA ESCRIVÃO PINHEIRO	002871	RUA	ESCRIVÃO	H14	N-S	1671/60	16/12/1960	\N	\N	003188	RUA MONSENHOR SALAZAR	008921	AV. DR. RAUL BARBOSA	\N	\N	9584919	554680	9584241	554696	SÃO JOÃO DO TAUAPE	\N	\N
15885	RUA JÚLIA VASCONCELOS	002050	RUA	\N	H14	N-S	1671/60	16/12/1960	\N	\N	003188	RUA MONSENHOR SALAZAR	003480	RUA TUBARÃO	\N	\N	9584348	554816	554809	9584930	SÃO JOÃO DO TAUAPE	\N	\N
15886	RUA BELISÁRIO TÁVORA	000508	RUA	\N	H14	N-S	1671/60	16/12/1960	\N	\N	003188	RUA MONSENHOR SALAZAR	008921	AV. DOUTOR RAUL BARBOSA	\N	\N	9584941	554942	9584303	554942	SÃO JOÃO DO TAUAPE	\N	\N
15887	\N	003288	RUA	MAESTRO	H14	N-S	3990/72	12/04/72	\N	\N	003392	RUA TIBÚRCIO FROTA	003188	RUA MONSENHOR SALAZAR	\N	\N	9585026	554476	9584903	554486	SÃO JOÃO DO TAUAPE	\N	\N
15888	VILA TUBARÃO	022047	VILA	\N	H14	N-S	\N	\N	\N	\N	\N	EDIFICAÇÃO (FECHADA)	003480	RUA TUBARÃO	\N	\N	9584413	554756	9584345	554757	SÃO JOÃO DO TAUAPE	\N	acesso pelo número 43 da Rua Tubarão
15890	TRAVESSA ALEGRIA	004084	TRAVESSA	\N	H14	N-S	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	001063	RUA DO CANAL	\N	\N	9584339	554119	9584189	554116	SÃO JOÃO DO TAUAPE	\N	\N
15891	RUA SÍTIO CEDRO	005328	RUA	\N	G15	N-S	\N	\N	\N	\N	005330	RUA SÍTIO MEL	006436	RUA MARECHAL VIRGILIO BORBA	\N	\N	9585255	555524	9585150	555546	SÃO JOÃO DO TAUAPE	\N	\N
15892	\N	002463	VILA	\N	H14	O-L	\N	\N	\N	\N	003563	VIA FÉRREA PARANGABA-MUCURIPE	008921	AV. DR. RAUL BARBOSA	\N	\N	9584866	554954	9584853	555056	SÃO JOÃO DO TAUAPE	\N	\N
15893	\N	024636	RUA	\N	N06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CONJ. ESPERANÇA/PQ. SANTA ROSA	\N	\N
15894	\N	024644	TRAVESSA	\N	M07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	FECHADA	003680	\N	\N	\N	\N	\N	\N	\N
15895	\N	024647	TRAVESSA	\N	Q15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002803	007189	\N	\N	\N	\N	MESSEJANA	\N	\N
15896	\N	008224	RUA	\N	P16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008218	008220	\N	\N	\N	\N	MESSEJANA	\N	\N
15897	\N	023951	RUA	\N	Q07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002972	023916	\N	\N	\N	\N	MONDUBIM	\N	\N
15899	\N	040909	RUA	\N	Q08	L-O	\N	\N	\N	\N	\N	\N	\N	RUA LUIZA NOBRE	RUA SANTA LUZIA	\N	\N	\N	\N	\N	\N	\N	\N
15900	\N	040910	RUA	\N	P08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	RUA CAXIAS	RUA PLANALTINA	\N	\N	\N	\N	\N	\N	\N
15901	\N	005996	RUA	\N	P09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	006001	PRÓXIMA AO ALAGADO DA LAGOA AZUL	\N	\N	\N	\N	MONDUBIM	\N	\N
15902	\N	008626	RUA	\N	P12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
15903	\N	040000	RUA	\N	Q13/A07	N-S/L-O	\N	\N	\N	\N	\N	\N	\N	\N	TRAV. DO CONSOLO/024567	RUA L (P13)/001987	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15904	\N	040911	RUA	\N	A07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	007780	020811	\N	\N	\N	\N	\N	\N	\N
15905	\N	022277	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022545	020819	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15907	\N	040912	PRAÇA	\N	C06	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VILA VELHA	\N	\N
15908	\N	040913	RUA	\N	B07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	COMUNIDADE FRANCISCO SÁ	001673	\N	\N	\N	\N	\N	\N	\N
15909	\N	024656	PRAÇA	\N	B07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
15911	\N	024655	VILA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	000355	\N	\N	\N	\N	\N	\N	\N
15912	\N	022563	TRAVESSA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023366	004536	\N	\N	\N	\N	\N	\N	\N
15913	\N	023896	RUA	SÃO	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001335	DEPOIS DA TRAV. PROFETA IZAIAS	\N	\N	\N	\N	\N	\N	\N
15914	\N	023280	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	024571	022880	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15916	\N	040915	RUA	\N	B08	N-S	\N	\N	\N	\N	\N	\N	\N	\N	004536	024425	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15917	\N	040916	RUA	\N	B08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	001335	000809	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15918	\N	000331	TRAVESSA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008425	004537	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15919	\N	040917	RUA	\N	B09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	PRÓXIMA PRAIA DA BARRA DO CEARÁ	001154	\N	\N	\N	\N	CRISTO REDENTOR	\N	\N
15922	\N	040918	RUA	\N	B18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	021195	\N	\N	\N	\N	\N	\N	\N
15923	\N	024657	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009581	040038	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15924	\N	024658	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009581	040038	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15925	\N	024659	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	008778	024661	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15926	\N	024660	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	009581	024661	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15927	\N	024661	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020862	040038	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15929	\N	022662	TRAVESSA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	001302	000416	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15930	\N	023067	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022585	000416	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15931	\N	023278	RUA	\N	C07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	022585	000416	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15932	\N	022585	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	000355	023067	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15933	\N	022731	RUA	\N	C07	L-O	\N	\N	\N	\N	\N	\N	\N	\N	022585	023067	\N	\N	\N	\N	BARRA DO CEARÁ	\N	\N
15936	\N	002180	RUA	\N	C10	N-S	6971/91	\N	\N	\N	\N	\N	\N	\N	002181	000382	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
15937	\N	040919	RUA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	EDIFICAÇÃO	000761	\N	\N	\N	\N	PIRAMBU	\N	\N
15938	\N	024662	TRAVESSA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	023820	006232	\N	\N	\N	\N	CARLITO PAMPLONA	\N	\N
15939	\N	040920	RUA	\N	C10	N-S	\N	\N	\N	\N	002181	TRAV. JACINTO MATOS	003452	AV. TENENTE LISBOA	EDIFICAÇÃO	\N	\N	\N	\N	\N	JACARECANGA	\N	\N
15940	\N	040921	RUA	\N	C10	N-S	\N	\N	\N	\N	002801	RUA PEDRO ARTUR	003138	MONS. ROSA	\N	\N	9589478	550230	9589443	550218	CARLITO PAMPLONA	\N	\N
15941	\N	040922	RUA	\N	C10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	002181	CONSTRUTORA COLMÉIA	\N	\N	\N	\N	JACARECANGA	\N	\N
15942	\N	021181	VILA	SANTA	C18	O-L	\N	\N	\N	\N	002003	RUA JOSÉ MONTEIRO	021185	RUA PONTA MAR	\N	\N	9589869	559332	9589912	559417	CAIS DO PORTO	\N	\N
15943	\N	003572	RUA	SÃO	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	006730	020997	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
15944	\N	040923	RUA	\N	D05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	020997	020992	\N	\N	\N	\N	QUINTINO CUNHA	\N	\N
15945	\N	003914	TRAVESSA	\N	F06	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ANTONIO BEZERRA	ENILDA NA AEROFOTO, TRAVESSA	\N
15946	\N	000971	RUA	\N	I10	N-S	      /70	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	NICIA NA Rua Irmã Bazet e Rua Tuiti
15948	\N	00557	RUA	DOUTOR	I08	L-O	8637/2002	12/06/2002	11326/2003	03/02/2003	\N	IMITE DA CLINICA DR SULIANO	\N	ESTRADA DO PICI	\N	\N	547229	9583620	546873	9583807	JOQUEI CLUBE	Blumenau - Florianópolis)	\N
15949	\N	006986	RUA	GOV	H17	N-S	8613/2002	04/01/2002	11365/2003	26/02/2003	\N	Limite norte lot pq nacional	\N	limite norte UNIFOR	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
15950	\N	010018	RUA	DOUTOR	D-16	N-S	3750	20/07/1970	11473/2003	25/08/2003	\N	Av. da Aboliçao	\N	Anel Expresso	\N	\N	\N	\N	\N	\N	MUCURIPE	LAGUNA)	aberta pelo  Estado -urbanização  riacho maceió
15951	\N	040923	TRAVESSA	\N	I10	N-S	\N	\N	\N	\N	\N	R ELVIRA PINHO ( BR DE CANINDÉ E DES. JOÃO FIRMUNO	\N	MEIO DA QUADA	\N	\N	\N	\N	\N	\N	\N	\N	\N
15952	\N	040924	TRAVESSA	\N	G-14	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	Acesso pela rua Joaquim Nabuco 2448 sul daTomás Ac
15953	\N	004556	RUA	MAGISTRADO	G17	N-S	7012/91	\N	8700/91	\N	000328	PROLONGAMENTO DA AV. PADRE ANTÔNIO TOMÁS	000325	AV. PROLONGAMENTO DA AV. ANTÔNIO SALES	\N	\N	9585846	558177	9585304	558002	COCÓ	\N	\N
15954	\N	040925	RUA	\N	K-18	N-S	7678/1995	25/04/1995	10663/1999	20/12/1999	\N	LIMITE DO LOTEAMENTO VILLAGE	\N	AV. EDILSON BRASIL SOARES	\N	\N	559745	9581900	559792	9581344	EDSON QUEIROZ	FRANCISCO CORDEIRO / MORENINHA IRINEU	Loteamento Parque Llagoa Seca não aprovado
15955	\N	040926	PRAÇA	\N	A-7	\N	8581/2001	10/12/2001	11513/2003	04/11/2003	\N	MARGEM DO RIO CEARÁ	\N	AV. RADIALISTA JOSÉ LIMAVERDE	\N	\N	545787	9591144	\N	\N	BARRA DO CEARÁ	\N	\N
15956	\N	\N	RUA	\N	T15	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PEDRAS	\N	\N
15957	\N	040927	PRAÇA	\N	F12	\N	6426/1989	18/04/1989	\N	\N	\N	\N	\N	\N	\N	\N	552600	9586458	\N	\N	\N	\N	ENTRE R.EUZEBIO DE SOUZA,CARLOS GOMES, MESTRE ROSA
15958	\N	\N	RUA	\N	\N	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ÁGUA FRIA	DONA ZINA	\N
15959	\N	040928	VILA	\N	G-12	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
15960	\N	006810	RUA	\N	O-18	N-S	8828/2004	28/04/2004	11691/2004	13/08/2004	\N	CERCA DO LOT Laguna Park- 3	\N	RUA PROF JOSÉ ARTUR DE CARVALHO	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	ACESSO 2 LOT.OMEGA IMOB.;  ANTONIO LUCAS	\N
15961	\N	\N	PRAÇA	\N	\N	\N	6891/91	07/06/1991	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BARRA DO CEARÁ	\N	VER LOTEAMENTO PARA LOCALIZAR CONFORME  LEI
15962	\N	\N	BOSQUE	\N	\N	\N	6890/91	07/06/1991	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	VER LOTEAMENTO PARA LOCALIZAR CONFORME  LEI
15963	\N	006936	RUA	\N	M-13/N13	N-S	8687/2002	31/12/2002	11474/2003	25/08/2003	\N	LIMITE DO LOTEAMENTO -CERCA DO CASTELÃO	\N	AV.  DEP. PAULINO ROCHA	\N	\N	\N	\N	\N	\N	MATA GALINHA	R  DO LOTEAMENTO ESPLANADA DO CASTELÃO	\N
15964	\N	\N	\N	DR.	\N	N-S	1671/1960	16/12/1960	\N	\N	\N	Av. Sarg.Hermínio	\N	Av. Bezerra Menezes	\N	\N	\N	\N	\N	\N	ALAGADIÇO	\N	\N
15965	\N	\N	RUA	\N	\N	O-L	8516/2000	27/12/2000	10962/2001	27/04/2001	\N	LOTE 20 DA  QD.18 LOT.OUTEIRO / BALÃO DE REVERSÃO	\N	RUA E LOT.OUTEIRO	\N	\N	\N	\N	\N	\N	\N	\N	\N
15966	\N	007580	RUA	\N	H-18	N-S	8540/2001	18/06/2001	11628/2004	17/05/2004	\N	PROLONGAMENTO DA AV. PDE ANTONIO TOMÁS	\N	RUA 20 DO LOTEAMENTO	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	ATÉ 06/2004 LOT NÃO IMPLANTADO
15967	\N	\N	PRAÇA	\N	G-05	\N	6808/1991	08/03/1991	\N	\N	\N	\N	\N	\N	\N	\N	544125	9585041	\N	\N	GENIBAÚ	\N	VIZINHO OESTE DO CS GALBA ARAÚJO
15968	\N	\N	POLO DE LAZER	\N	G-05	\N	6809/1991	08/03/1991	\N	\N	\N	\N	\N	\N	\N	\N	544362	9585306	\N	\N	GENIBAÚ	\N	RUA JOSÉ MENDONÇA/ GRACO CARDOSO
16133	\N	024736	RUA	\N	H-12	L-O	9139/2007	12/02/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	II - CONJ. PLANALTO UNIVERSO	\N
15969	\N	005393	RUA	\N	H-15	O-L	7995/1996	27/12/1996	10285/1998	20/04/1998	\N	TERRENO BALDIO	003121	AV.  ROGACIANO LEITE	\N	\N	9584187	556154	9584126	556224	SALINAS	FAISÃO, VILA	\N
16050	\N	024709	RUA	\N	P-18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	J	\N
15970	\N	006317	RUA	\N	M-16	O-L	8866/2004	08/07/2004	11705/2004	27/08/2004	024556	RUA 10A - LOT PQ JACAREI - TRAV.  VIENA WEYNE	000604	RUA 10 - TRECHO NORTE SUL OU CINT. RUA VISC. BARBA	\N	\N	556361	556361	556695	556695	CIDADE DOS FUNCIONÁRIOS	10 - LOT PQ JACAREI	APENAS UM TRECHO DA RUA 10
15971	\N	040930	PRAÇA	\N	H13	\N	8792/2003	21/11/2003	11715/2004	17/09/2004	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FÁTIMA	\N	ROTATORIA DA AGUANAMBI / BR 116
15972	\N	040931	PRAÇA	\N	I15	\N	8726/2003	25/06/2003	11707/2004	27/08/2004	\N	RUA CLAUDIO BRASIL NETRE RUA "B" e RUA "E"	\N	\N	\N	\N	555979	9583453	\N	\N	ENG. LUCIANO CAVALCANTE	\N	NO CONJUNTO DAS PIONEIRAS
15974	\N	040932	PRAÇA	\N	???	\N	8871/2004	19/07/2004	11718/2004	23/09/2004	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	 A  DESCRIÇÃO DO LOCAL  ESTÁ  INCOMPLETA
16082	\N	\N	PRAÇA	\N	\N	\N	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16083	\N	\N	PRAÇA	\N	\N	\N	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
15975	RUA PEDRO ARISTIDES ALBUQUERQUE	002795	RUA	\N	G-13	N-S	3937/91	\N	\N	\N	002322	RUA MARCONDES PEREIRA	003321	RUA SORIANO ALBUQUERQUE	\N	\N	9585904	553908	9585647	553848	JOAQUIM TÁVORA	\N	\N
15976	\N	004020	RUA	\N	F18	N-S	8554/2000	16/05/2000	11692/2004	13/08/2004	004162	AV. PROFESSOR MOZART SOLON	004859	RUA OSWALDO ARAÚJO	\N	\N	9586446	559797	9586241	559897	DE LOURDES	F (LOT COLINA)	\N
15977	\N	040934	RUA	\N	O-18	N-S	8828/2004	28/04/2004	11691/2004	13/08/2004	\N	CERCA LIMITE DO LOT	\N	PROF JOSÉ ARTUR DE CARVALHO	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	01  - LOT LAGUNA PARK 3	\N
15978	\N	009037	RUA	\N	K-16	N-S	8860/2004	25/06/2004	11767/2004	27/12/2004	\N	AV. EDUARDO BRIGIDO MONTEIRO	\N	CERCA LIMITE DO LOTEAMENTO	\N	\N	557168	9581691	557146	9581568	ENG. LUCIANO CAVALCANTE	NS 9    ALPHA VILLAGE	\N
15979	\N	024663	RUA	\N	J06	O-L	\N	\N	\N	\N	\N	\N	24665	RUA V	\N	\N	\N	\N	545058	9582578	BONSUCESSO	\N	\N
15980	\N	024664	RUA	\N	J06	O-L	\N	\N	\N	\N	\N	\N	24665	RUA V	\N	\N	\N	\N	545032	9582504	BONSUCESSO	\N	\N
15981	\N	024665	RUA	\N	J06	N-S	\N	\N	\N	\N	\N	\N	3349	RUA TAQUARI	\N	\N	\N	\N	545009	9582428	BONSUCESSO	\N	\N
15982	\N	024666	RUA	\N	J06	N-S	\N	\N	\N	\N	\N	RUA BIAS MENDES	\N	RUA V	\N	\N	545101	9582651	545041	9582521	BONSUCESSO	\N	\N
15983	\N	024667	RUA	\N	J06	N-S	\N	\N	\N	\N	\N	RUA BIAS MENDES	\N	RUA XI	\N	\N	545131	9582642	545154	9582574	BONSUCESSO	\N	\N
15984	\N	024668	RUA	\N	J06	N-S	\N	\N	\N	\N	\N	RUA XI	\N	RUA III	\N	\N	545142	9582534	545083	9582489	BONSUCESSO	\N	\N
15985	\N	024669	RUA	\N	J06	N-S	\N	\N	\N	\N	\N	RUA CARLOS CHAGAS- III	\N	RUA TAQUARI	\N	\N	\N	\N	\N	\N	BONSUCESSO	IX  - CONJ. GRET )	\N
15986	\N	024670	RUA	\N	J06	N-S	\N	\N	\N	\N	\N	RUA CARLOS CHAGAS - III	\N	RUA TAQUARI	\N	\N	545089	9582488	545069	9582411	BONSUCESSO	\N	\N
15987	\N	024671	RUA	\N	J06	N-S	\N	\N	\N	\N	\N	RUA BIAS MENDES	\N	RUA TAQUARI	\N	\N	545170	9582630	545105	9582400	BONSUCESSO	\N	\N
15988	\N	024672	RUA	\N	J06	N-S	\N	\N	\N	\N	\N	RUA BIAS MENDES	\N	RUA TAQUARI	\N	\N	545204	9582620	545141	9582390	BONSUCESSO	\N	\N
15989	\N	024673	RUA	\N	J06	O-L	\N	\N	\N	\N	\N	RUA VII	\N	PRAÇA	\N	\N	545145	9582611	545078	9582594	BONSUCESSO	\N	\N
15990	\N	024674	RUA	\N	J06	L-O	\N	\N	\N	\N	\N	RUA VIII	\N	PRAÇA	\N	\N	545110	9582504	545074	9582548	BONSUCESSO	\N	\N
15991	\N	008780	AVENIDA	\N	H09 / I08	N-S	7490/1993	12/1993	9677/1995	04/06/1995	\N	MIGUEL GONÇALVES	\N	SENADOR FERNANDES TÁVORA OU GOMES BRASIL	\N	\N	\N	\N	\N	\N	PAN AMERICANO DEMÓCRITO ROCHA	JOSÉ BASTOS  - TRECHO	\N
15992	\N	004110	RUA	\N	D17	O-L	7771/1995	19/09/1995	11749/2004	26/11/2004	\N	RUA DO ALTO	\N	RUA JOSÉ SETUBAL PESSOA	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	CONTORNO do OU RUA SEBASTIÃO RIBEIRO	RUA ABERTA PELO ESTADO
15993	\N	004021	RUA	\N	F18	N-S	8891/2004	21/10/2004	11750/2004	26/11/2004	\N	AV. PROF MOZART SOLON	\N	ÁREA VERDE	\N	\N	559866	9586477	559948	9586303	DE LOURDES	G  ( LOT  COLINA)	\N
15994	\N	024675	AVENIDA	\N	C17	O-L	8900/2004	07/12/2004	\N	\N	\N	RUA  B - AREA DO PORTO DE MUCURIPE	\N	VICENTE DE CASTRO, AV.	\N	\N	558164	9589339	558325	9589221	CAIS DO PORTO	ANGELO FIGUEREDO - TRECHO INICIAL	A LEI  DEFINE  A RUA
15995	\N	024676	LARGO	\N	\N	\N	8525/2000	29/12/2000	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
15997	\N	009617	RUA	\N	I15  J15	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
15998	\N	004174	RUA	\N	E-18	N-S	8336/1999	26/10/1999	11801/2005	15/03/2005	004172	RUA  PROFESSOR EUCLIDES CESAR	\N	LIMITE NORTE DO LOTE NOVE DA QUADRA A	\N	\N	9587291	559589	9587225	559587	DE LOURDES	Y  - LOTEAMENTO VEREDA ATLANTICA	\N
15999	\N	\N	TRAVESSA	\N	G13	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16000	\N	001014	AVENIDA	\N	J09	L-O	1671/60	16/12/1960	\N	\N	\N	VIA FERREA	\N	GAL OSÓRIO DE PAIVA	\N	\N	\N	\N	\N	\N	PARANGABA	\N	a rua  está localizada no lado  norte da Praça  do Bom Jesus ( praça da Igreja de Parangaba)
16001	\N	024677	PRAÇA	\N	E-13	\N	8747/2003	10/07/2003	11797/2005	03/03/2005	\N	VISC.RIO BRANCO/DOM MANUEL	\N	\N	\N	\N	552901	8587035	\N	\N	CENTRO	\N	EM FRENTE AO COLEGIO VISC. DO RIO BRANCO
16002	\N	001727	RUA	\N	F13	O-L	1671/1960	16/12/1960	\N	\N	003119	RUA RODRIGUES JUNIOR	002144	RUA DONA LEOPOLDINA	\N	\N	9587003	553049	9586965	553166	CENTRO	ALVARO DIAS MARTINS	\N
16003	\N	\N	RUA	\N	D17	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	LIMITE DA QUADRA C e D do loteamento castelo enc
16004	RUA ALMIRANTE MAXIMIANO DA FONSECA	024678	RUA	ALMIRANTE	I-16	O-L	8174/1998	15/07/1998	10420/1998	10/11/1998	004205	RUA REVERENDO BOLIVAR PINTO BANDEIRA	003690	AV. WASHINGTON SOARES	\N	\N	9583319	556444	9583155	557552	ENG. LUCIANO CAVALCANTE	THOMPSON BULCÃO	CONTINUAÇÃO DA THOMPSON BULCÃO
16005	\N	024679	RUA	\N	M08	L-O	DL 318/2008	07/05/2008	\N	\N	\N	GODOFREDO MACIEL	\N	VIA FERREA (ANTES  ANGELZINDA SÁTIRO)	\N	\N	547560	9579645	547227	9579752	MARAPONGA	ARISTÓTELES  QUEVEDO (lei 4684 / 1976)	LEI  4684/1976 de 05/05/1976 ESPECIFICA  O LOCAL. O dec legislativo corrigeo nome do homenageado.
16006	CAMINHO DOS JAMBEIROS	024680	CAMINHO	\N	G18-G17	N-S	7412/1993	13/09/1993	9507/1994	14/10/1994	002678	ALAMEDA DAS  ORQUÍDEAS	002330	ALAMEDA DAS  MARGARIDAS	\N	\N	9585210	558810	9585136	558787	CIDADE 2000	\N	\N
16007	CAMINHO DAS ROMANZEIRAS	024681	CAMINHO	\N	G-18	N-S	741219/93	13/09/1993	9507/1994	14/10/1994	003208	ALAMEDA SANDRA MARA	003555	ALAMEDA DAS VERBENAS	\N	\N	9585404	558874	9585330	558852	CIDADE 2000	\N	\N
16051	\N	024710	RUA	\N	P-18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
16008	CAMINHO DAS CAJARANAS	024682	CAMINHO	\N	G-17	N-S	7412/1993	13/09/1993	9507/1994	14/10/1994	000651	ALAMEDA DAS CARMÉLIAS	000953	ALAMEDA  DAS CRAVINAS	\N	\N	9585520	558514	9585447	558492	CIDADE 2000	\N	\N
16009	CAMINHO DAS CARAMBOLEIRAS	024683	CAMINHO	\N	G-17	N-S	7412/1993	13/09/1993	9507/1994	14/10/1994	000954	ALAMEDA DOS CRAVOS	001003	ALAMEDA DAS DÁLIAS	\N	\N	9585443	558421	9585369	558399	CIDADE 2000	\N	\N
16010	CAMINHO DOS SAPOTIZEIROS	024684	CAMINHO	\N	G-18	N-S	7412/1993	13/09/1993	9507/1994	14/10/1994	002337	ALAMEDA MARIA DA GLÓRIA	003143	ALAMEDA ROSA MARIA	\N	\N	9585484	558956	9585411	558934	CIDADE 2000	\N	\N
16011	CAMINHO DOS LIMOEIROS	024685	CAMINHO	\N	G-18	N-S	7412/1993	13/09/1993	9507/1994	14/10/1994	003485	ALAMEDA DAS TULIPAS	002716	ALAMEDA DAS PACAVINAS	\N	\N	9585290	558895	9585217	558872	CIDADE 2000	\N	\N
16012	CAMINHO DOS ABACATEIROS	024686	CAMINHO	\N	G-17	N-S	7412/1993	13/09/1993	9507/1994	14/10/1994	000254	ALAMEDA DAS ANGÉLICAS	000514	ALAMEDA DAS  BENEDITAS	\N	\N	9585714	558579	9585640	558558	CIDADE 2000	\N	\N
16013	CAMINHO DAS TANGERINAS	024687	CAMINHO	\N	G-18	N-S	7412/1993	13/09/1993	9507/1994	14/10/1994	000196	ALAMEDA AMÁLIA MARIA	002341	ALAMEDA DORALICE	\N	\N	9585599	558934	9585526	558912	CIDADE 2000	\N	\N
16015	PASSEIO DAS GOIABEIRAS	024688	PASSEIO	\N	G-17	N-S	7412/1993	13/09/1993	9507/1994	14/10/1994	\N	 AV. DOS FLAMBOYANTS / ALAMEDA  DAS BENEDITAS	\N	AV DOS FLAMBOYANTS / ALAMEDA DOS CRAVOS	\N	\N	9585709	558344	9585492	558274	CIDADE 2000	\N	\N
16016	AV. DOS  FLAMBOYANTS	001295	AVENIDA	\N	G-17	N-S	7412/1993	13/09/1993	9507/1994	14/10/1994	002570	AV. CEL. NOGUEIRA PAES	000156	AV. DAS ACÁCIAS	\N	\N	9585813	558378	9585243	558194	COCÓ/CIDADE 2000	ALAMEDA DAS ADENANTERAS	\N
16018	CAMINHO DAS CAJAZEIRAS	024689	CAMINHO	\N	G-17	N-S	7412/1993	13/09/1993	9507/1994	14/10/1994	000567	ALAMEDA DAS BOAS NOITES	000584	ALAMEDA  DAS BORBOLETAS	\N	\N	9585635	558488	9585564	558466	CIDADE 2000	\N	\N
16019	\N	024690	RUA	\N	G-18, H-18-19	O-L	7982/1996	17/12/1996	10403/1998	21/10/1998	\N	PARTE DA VIA LOCAL 15	020984	RUA TAMARAS	\N	\N	9585000	559696	9584703	560081	MANUEL DIAS BRANCO	VIA LOCAL 04 DO LOTEAMENTO ALTO DA ALDEOTA I	\N
16020	\N	009190	RUA	JORNALISTA	H18 - H19	N-S	7895/1996	17/12/1996	10006/1996	19/12/1996	020991	AV. SALVADOR DE FRANCESCO	020984	RUA TÂMARAS	\N	\N	9584763	559665	9584492	560014	MANUEL DIAS BRANCO	VIA LOCAL 05	\N
16023	\N	024692	RUA	\N	\N	\N	7977/1996	17/12/1996	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16024	\N	024693	RUA	PROFESSOR	\N	\N	7979/1996	17/12/1996	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16025	\N	024694	RUA	\N	\N	\N	7983/1996	17/12/1996	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16026	\N	\N	RUA	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO	\N	\N
16027	\N	004841	RUA	\N	H-19-20	O-L	7938/1996	02/08/1996	10029/1997	17/01/1997	\N	LIMITE NORTE - QUADRAS 207,153,97-A E 43	\N	LIMITE SUL -  QUADRAS 208,154,98-A,98 E 44	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO II	DOZE	\N
16028	\N	\N	BAIRRO	\N	\N	\N	8945/2005	05/07/2005	11857/2005	11/07/2005	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARTE DO BAIRRO PAPICU
16029	\N	024695	RUA	\N	J19	O-L	8715/2003	05/06/2003	11859/2005	11/07/2005	\N	ÁREA INSTITUCIONAL	\N	TRECHO NORTE SUL DA RUA 23	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	23 - TRECHO OESTE LESTE	\N
16030	\N	024697	PRAÇA	ENGENHEIRO	J16	\N	8917/2004	29/12/2004	11858/2005	11/07/2005	\N	RICARDO CASTRO MACEDO	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	ÁREA VERDE 1 LOT ALPHA VILLAGE	\N
16031	\N	024696	RUA	VEREADOR	G-H- 18/19	O-L	7698/1995	08/05/1995	9953/1996	08/09/1996	009185	RUA PROFESSOR OSMIRIO BARRETO	020984	RUA TAMARAS	\N	\N	9585150	559854	9584859	560131	MANUEL DIAS BRANCO	VIA LOCAL 02 DO LOTEAMENTO ALTO DA ALDEOTA I	\N
16034	\N	007512	RUA	\N	H-19	O-L	8268/1999	16/06/1999	10795/2000	19/06/2000	\N	LOTES 32 DA QD.B E LOTE 01 DA QD.C	024700	RUA PROF. ADROALDO TEIXEIRA CASTELO	\N	\N	9584917	560311	9584854	560515	MANUEL DIAS BRANCO	F DO LOTEAMENTO  PQ. ATLÂNTICO.	\N
16036	\N	024700	RUA	PROFESSOR	G19-H 19	N-S	7070/1992	02/04/1992	10655/1999	10/12/1999	000328	 AV. PE. ANTÔNIO TOMÁS	023374	RUA J DO CITADO LOTEAMENTO	\N	\N	9584435	560378	9585015	560568	MANUEL DIAS BRANCO	VIA LOCAL A LOT. PQ ATLÂNTICO	\N
16037	RUA JORNALISTA ODALVES LIMA	024701	RUA	JORNALISTA	H18- I 18	N-S	7976/1996	17/12/1996	10008/1996	19/12/1996	020990	VIA LOCAL 21	021014	RUA NENZINHA GALENO	\N	\N	9584237	559403	9584018	559753	MANUEL DIAS BRANCO	VIA LOCAL 07 DO LOTEAMENTO  ALTO DA ALDEOTA I	\N
16038	\N	009191	RUA	\N	H-18	N-S	6970/1991	13/09/1991	9993/1996	02/12/1996	020990	VIA LOCAL 21	020984	RUA TAMARAS	\N	\N	958444	559472	9584273	559944	MANUEL DIAS BRANCO	LOCAL  06  DO LOT. ALTO DA ALDEOTA I	\N
16039	RUA	024704	RUA	\N	P17	N-S	\N	\N	\N	\N	\N	RUA E (CONJUNTO GUAJERU)	\N	\N	\N	\N	\N	\N	\N	\N	GUAJERU	\N	\N
16040	\N	009617	RUA	\N	I115J15	N-S	7429/93	28/10/1993	11798/2005	\N	\N	RUA DORALICE COSTA	\N	RUA H DO LOTEAMENTO	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	E - LOT PLANALTO GALILEIA II	CONTIN.  DA R  JAIME LEONEL NO CJ. STA LUZIA DO CO
16041	\N	003898	AVENIDA	\N	H-16	O-L	5648/1982	25/11/1982	\N	\N	002443	AV. CEL. MIGUEL DIAS	003690	AV. WASHINGTON SOARES	\N	\N	9584033	556922	9584088	557474	GUARARAPES	D, Av, ( lot gde aldeota) e 3 do lot  Dias Branco  - Maria  Florentina	 LEI ESPECÍFICA
16042	\N	003890	RUA	DOUTOR	I-18	O-L	4809/1976	07/12/1976	5886/81	\N	002443	AV. CEL. MIGUEL DIAS	001158	RUA ELISEU UCHÔA BECCO	\N	\N	9584274	556896	9584290	557079	GUARARAPES	XX DO LOT. GRANDE ALDEOTA	\N
16043	\N	003891	RUA	DOUTOR	I-18	O-L	5434/81	\N	\N	\N	\N	AV. CEL. MIGUEL DIAS (002443)	\N	RUA ELISEU UCHÔA BECCO (001158)	\N	\N	\N	\N	\N	\N	GUARARAPES	XIX DO LOT GRANDE ALDEOTA	\N
16044	\N	024705	RUA	\N	N-07	L-O	\N	\N	\N	\N	\N	FIM DO TERRENO	\N	R. 1 DE DEZEMBRO	\N	\N	\N	\N	\N	\N	MO DUBIM	\N	\N
16045	\N	\N	RUA	\N	N-07	N-S	\N	\N	\N	\N	\N	CRZAR LEITE	\N	RUA 8 PQ SANTANA 1	\N	\N	\N	\N	\N	\N	MODUBIM	\N	\N
16046	\N	\N	RUA	INDUSTRIAL	M16	N-S	6742/90	\N	8811/92	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAMBEBA	\N	LIMITE LESTE DA Q 86 LOT  SITIO CARRAPICHO
16047	\N	024706	RUA	\N	P-18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	G	\N
16048	\N	024707	RUA	\N	P-18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
16049	\N	024708	RUA	DOUTOR	P-18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	I	\N
16052	\N	024711	RUA	\N	P-18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
16053	\N	024712	RUA	\N	P-18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
16054	\N	024713	RUA	\N	P-18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
16055	\N	024714	RUA	\N	P-18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
16056	\N	024715	RUA	\N	P-18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
16057	\N	024716	RUA	\N	P-18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
16058	\N	024717	RUA	\N	P-18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	\N	\N
16059	\N	024718	RUA	\N	P-18	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	D , RUA	\N
16060	\N	024721	BOSQUE	DOM	D-13	\N	9051/2005	30/11/2005	\N	\N	\N	RUA SÃO JOSÉ/RUA COSTA BARROS	\N	\N	\N	\N	9588139	552931	\N	\N	CENTRO	DELGADO, DOM	ESPECIFICA  TROCANDO O NOME  DO  BOSQUE (GABINETE
16061	\N	024719	RUA	\N	B-7	N-S	8761/2003	01/09/2003	11951/2005	30/12/2005	\N	20  DE JANEIRO, AV.	\N	 FRANCISCO SÁ, AV.	\N	\N	\N	\N	\N	\N	BARRA DO CEARÁ	JACAÚNA    -   NOME POPULAR	\N
16062	\N	024720	\N	PASTOR	I-07	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	HENRIQUE JORGE	\N	\N
16063	\N	\N	AVENIDA	JORNALISTA	P13-P-15	O-L	7126/92	25/05/92	8829/92	30/06/1992	\N	JURANDIR ALENCAR (TENENTE)	\N	FRANCISCO ALVES RIBEIRO	\N	\N	555797	9576420	554538	9576695	MESSEJANA	\N	NO DECRETO O FIM DA RUA É DOMINGOS ALVES RIBEIRO .
16064	\N	024722	VILA	SANTO	M-08	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM	\N	ENTRE  A RUA CREUZA ROQUE E  A RUA SÃO LÁZARO
16065	\N	024723	VILA	\N	E-8	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ACESSO PELA RUA ANTONIO LAFAYETE  239
16066	\N	024724	RUA	\N	K-16	N-S	7692/95	\N	9747/95	\N	002208	RUA VEREADOR PEDRO PAULO	006407	RUA DR. JOSÉ PLUTARCO	\N	\N	9581468	556567	\N	\N	PARQUE MANIBURA/CIDADE DOS FUNCIONARIOS	A -  LOTEAMENTO KAMILLA -  GEN.  CASTELO BRANCO	\N
16067	\N	024725	VILA	\N	I-10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONTESE	\N	ACESSO PELO  NÚMERO 702  A RUA ALAN KARDEC
16069	AV. PRESIDENTE CASTELO BRANCO	000761	AVENIDA	PRESIDENTE	D13/A07	L-O	4347/1974	14/05/1974	\N	\N	000102	AV. ALBERTO NEPOMUCENO	001987	AV. RADIALISTA JOSÉ LIMA VERDE/BARRA DO RIO CEARÁ	\N	\N	9588455	553401	9591082	545774	CENTRO/JACAR/PIRAM/C.PAMPLO/ALV. WEYNE/C. REDENT/B. DO CEARÁ	AURELIO DE LAVOR - (ENTRE R. Tomás Gonzaga e Cesar Correia)-LESTE-OESTE	\N
16071	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16072	\N	024726	VILA	\N	D13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	ACESSO PELO  NÚMERO 63 DA RUA  25 DE MARÇO
16073	RUA SENADOR POMPEU	002911	RUA	SENADOR	D12/F12	N-S	1671/1960	16/12/1960	\N	\N	\N	ORLA OCEÂNICA	003449	AV. 13 DE MAIO	AV PRES. CASTELO BRANCO	\N	9588730	552459	9586139	551675	MOURA BRASIL/CENTRO/J. BONIFÁCIO/FÁTIMA/BENFICA	AMÉLIA, DO SENADOR POMPEU, Nº 2.	\N
16076	\N	001366	RUA	\N	D-13	O-L	1671/1960	16/12/1960	\N	\N	000488	RUA BATURITÉ	002278	AV. DOM MANUEL	\N	\N	9588535	553015	9588457	553385	CENTRO	SEMINARIO, DO	como fica o trecho do viaduto albertonepomuceno/baturité???
16194	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16077	\N	024727	RUA	DOUTOR	G18-19	O-L	8925/2004	29/12/2004	11796/2005	03/03/2005	\N	VIA LOCAL 15 (LOT. ALTO DA ALDEOTA I)	\N	TRAJANO DE MEDEIROS, AV.	\N	\N	\N	\N	\N	\N	MANUEL DIAS BRANCO	\N	DIVIDE AS GLEB. 6S A 8S DAS GLEB. 6P A 10P, XP E P
16078	\N	003452	TRAV.	\N	D12	L-O	\N	\N	\N	\N	000761	AV. PRESIDENTE CASTELO BRANCO	002502	RUA PADRE MORORÓ	\N	\N	9588767	552333	9588924	551609	MOURA BRASIL	\N	\N
16079	\N	\N	TRAV.	\N	D12	N-S	\N	\N	\N	\N	003453	RUA DO TRILHO	003227	RUA DA SAUDADE	\N	\N	9588929	551790	9588891	551790	MOURA BRASIL	\N	\N
16080	\N	\N	PRAÇA	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16081	\N	\N	PRAÇA	\N	\N	\N	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16084	\N	\N	PRAÇA	\N	\N	\N	1671/60	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16085	\N	\N	PRAÇA	\N	\N	\N	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CENTRO	\N	\N
16086	\N	\N	PRAÇA	\N	M-11	\N	DL238/2007	15/03/2007	\N	\N	\N	\N	\N	\N	\N	\N	551196	9579414	\N	\N	PASSARÉ	\N	ENTRE RUAS DOS SABIÁS E DOS JATOBÁSE PALESTINA
16087	\N	002111	RUA	\N	E11	N-S	6807/91	\N	\N	\N	000789	AV. DUQUE DE CAXIAS	000019	RUA BOA VIAGEM	\N	\N	9588041	550711	9587674	550721	FARIAS BRITO	LARGA,  RUA	\N
16088	RUA H	004022	RUA	\N	F18-19	N-S	9051/2005	30/11/2005	12050/2006	20/06/2006	\N	ÁREA VERDE	\N	OSVALDO ARAÚJO	\N	\N	\N	\N	\N	\N	PAPICU	H (LOTEAMENTO COLINA)	\N
16089	\N	002874	RUA	ENFERMEIRO	M14	L-O	\N	\N	\N	\N	\N	BR 116	\N	PAULINO ROCHA, AV.	\N	\N	\N	\N	\N	\N	CAJAZEIRAS	ENFERMEIRO  JOAQUIM  PINTO , CONHECIDA	\N
16090	\N	009208	RUA	JORNALISTA	H-18	N-S	7980/1996	17/12/1996	10007/1996	19/12/1996	009191	RUA NEIDE MAIA	021011	VIA LOCAL 09	\N	\N	9584395	559704	9584032	559570	MANUEL DIAS BRANCO	VIA LOCAL 22 - LOTEAMENTO ALTO DA ALDEOTA I	\N
16091	\N	009209	RUA	\N	H - I 18	N-S	8180/1998	15/07/1998	10914/2001	12/01/2001	\N	BALÃO DE RESERVÃO - LOTES 16 e 19 - QD 18	021011	VIA LOCAL 09	\N	\N	9584145	559792	9583789	559675	MANUEL DIAS BRANCO	23 DO LOT. ALTO DA ALDEOTA I	\N
16092	\N	024728	RUA	\N	K-17	N-S	7756/1995	24/07/1995	9893/1996	24/06/1996	\N	PROLOG. DA RUA LUCIANO PEREIRA	\N	EDILSON BRASIL SOARES, AV.	\N	\N	558267	9581494	558288	9581217	EDSON QUEIROZ	B DO LOTEAMENTO VILLAGE DEL REY	NA CARTOGRAF.  CONSTA  - R SALVADOR CORREIA  DE SÁ
16093	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16094	\N	009128	RUA	ARQUITETO	G16	N-S	5530/1981	17/12/1981	10641/1999	22/11/1999	\N	AV.PADRE ÂNTÔNIO TOMÁS	\N	ENCONTRO COM O PROLONG. DA R. VICENTE LINHARES	\N	\N	\N	\N	\N	\N	PAPICU	N LOT. JARDIM FORTALEZA)	\N
16095	\N	000316	RUA	\N	H 16	N-S	5263/1980	12/05/1980	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES	\N	 A LEI 5263/80 MOD DE ANTO. MACEDO P/ FCO FARIA F.
16096	\N	024729	RUA	\N	J-16	N-S	8443/2000	02/10/2000	11027/2001	29/08/2001	001393	LUIZA MIRANDA COELHO	000742	AV MONS. CARNEIRO DA CUNHA ( AV. NORTE)	\N	\N	9582643	557421	9582398	557430	ENG. LUCIANO CAVALCANTE	LIMITE LESTE A DO LOT.ALPHA VILLAGE	\N
16097	\N	024730	BAIRRO	\N	\N	\N	2593/1964	19/05/1964	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE JOÃO XXIII	PARQUE  SANTA FÉ	MUDA O NOME DO BAIRRO
16098	\N	\N	PRAÇA	\N	\N	\N	2592/1964	14/05/1964	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FÁTIMA	DENOMINA  PRAÇA	CONS.TRISTÃO/SALDANHA MARINHO/MONS OTAVIO DE CAST
16099	\N	\N	VILA	\N	D-07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALDEOTA	\N	ENTRE  OS NOS 1501 E 1511 DA RUA JOÃO CORDEIRO
16101	TRAVESSA SANTA INÊS	001657	TRAVESSA	SANTA	C11	L-O	\N	\N	\N	\N	000051	RUA ADRIANO MARTINS	001655	RUA SANTA INÊS	PRAIA DO PIRAMBU	\N	9589614	550523	9589675	550388	JACARECANGA	\N	CONTINUAÇÃO DA RUA SANTA INÊS (001655)
16103	\N	024730	VILA	\N	H-10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOM FUTURO	\N	Acesso no  número 215 da Rua Pedro Machado
16104	\N	024731	TRAVESSA	SANTA	H-14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SÃO JOÃO DO TAUAPE	\N	Acesso no número 674 da Rua Carvalho Junior
16105	RUA ANTÔNIO BANDEIRA	000285	RUA	\N	D11	N-S	\N	\N	\N	\N	001360	AV. FRANCISCO SÁ	000742	RUA CARNEIRO DA CUNHA	\N	\N	9588647	550689	9588361	550650	JACARECANGA	\N	\N
16107	TRAVESSA PROF. JUREMA	020649	TRAVESSA	PROF.	C-10	N-S	\N	\N	\N	\N	\N	MURO	002078	RUA PROF. JUREMA	\N	\N	9589205	550346	9589155	550342	JACARECANGA	\N	\N
16108	RUA J. MATOS	024733	RUA	\N	C-11	N-S	\N	\N	\N	\N	002978	RUA DOM QUINTINO	\N	EDIFICAÇÕES	\N	\N	9589539	550427	9589495	550419	JACARECANGA	\N	\N
16109	RUA DO CATAVENTO	000087	RUA	\N	D-16	O-L	\N	\N	\N	\N	\N	MURO	002285	RUA MANUEL JACARÉ	\N	\N	9588257	556809	9588232	556945	MUCURIPE	\N	\N
16110	\N	024731	RUA	\N	\N	N-S	DL229/2006	27/09/2006	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CRISTO REDENTOR	DR. THEBERGE ENTRE RUA STA ELISA E AV. LESTE/OESTE  TRECHO DA	\N
16111	\N	002432	RUA	\N	E-16	N-S	\N	\N	\N	\N	000176	RUA ÁLVARO CORREIA	000312	AV. ANTÔNIO JUSTA	\N	AV. ENG. ALBERTO SÁ	9587810	557449	9587478	557456	MUCURIPE/VARJOTA	\N	\N
16112	\N	024732	PRAÇA	\N	J-09	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	\N
16113	\N	024733	VILA	\N	E-11	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	FARIAS BRITO	ACESSO  PELO NÚMERO 1461 DA Av. JOSE BASTOS	\N
16114	\N	024733	RUA	\N	H-14	N-S	8958/2005	14/09/2005	\N	\N	\N	MONSENHOR SALAZAR	\N	FUNDOS DA CASA	\N	\N	\N	\N	\N	\N	\N	\N	\N
16115	\N	006498	RUA	\N	\N	O-L	8467/2000	16/05/2000	10871/2000	18/09/2000	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AFONSO JUNIOR E RUA 5 LOTEAMENTOVILA SÃO GERARDO	O DECRETO ESTÁ ERRADO E TRUNCADO
16116	\N	024734	AVENIDA	ALMIRANTE	D17/G14	N-S	DL231/2006	05/10/2006	\N	\N	000021	AV. DA ABOLIÇÃO	008921	AV. RAUL BARBOSA	\N	\N	9588575	557826	\N	\N	VÁRIOS	EXPRESSA,  JANGADEIROS,  COLOMBO DE SOUSA, VICENTE LINHARES	 DECRETO LEGISLATIVO  ESPECIFICA.
16117	RUA VIRGILIO VASCONCELOS	003663	RUA	\N	D-14	N-S	\N	\N	\N	\N	000337	AV. HISTORIADOR RAIMUNDO GIRÃO	002497	RUA DEP. MOREIRA DA ROCHA	\N	\N	9588589	554674	9588121	554534	MEIRELES	\N	\N
16118	RUA ITAIÇABA	001697	RUA	\N	E-14	N-S	\N	\N	\N	\N	000518	RUA TENENTE BENÉVOLO	002844	RUA PEREIRA FILGUEIRAS	\N	\N	9587830	554951	9587672	554900	MEIRELES	\N	\N
16119	\N	023478	RUA	DOUTORA	M14-N14	N-S	7424/93	28/10/1993	12135/2006	19/12/2006	\N	ZACARIAS DE FRANÇA, CEL	\N	ANTONIO PONTES TAVARES, JORNALISTA	\N	\N	\N	\N	554668	9578538	CAJAZEIRAS	JOAQUIM PINTO II,  PROLOG. ENF. JOAQUIM PINTO,	\N
16120	VILA SANTO ANTÔNIO	000275	VILA	SANTO	D-13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALDEOTA	PROC3304/2007 -USUCAPIÃO INFORMA QUE O NOME É  VILA GODOFREDO MACIEL 1511	ACESSO P/JOÃO CORDEIRO ENTRE  1501 E 1511
16121	VILA VENTURA	003551	VILA	\N	E14	N-S	\N	\N	\N	\N	001141	RUA EDUARDO SALGADO	001795	RUA JOÃO CARVALHO	\N	\N	9586918	554656	9587242	554762	ALDEOTA	\N	\N
16122	TRAVESSA IRACEMA	009133	TRAVESSA	\N	E14	O-L	\N	\N	\N	\N	000348	RUA BARÃO DE ARACATI	000732	RUA CARLOS VASCONCELOS	\N	\N	9587743	554338	9587706	554456	ALDEOTA	\N	\N
16123	\N	001227	RUA	\N	F12	N-S	\N	\N	\N	\N	001081	AV. DOMINGOS OLÍMPIO	003137	RUA MESTRE ROSA	\N	\N	9586814	552741	9586444	552580	JOSÉ BONIFÁCIO	\N	\N
16124	\N	004428	TR	\N	F-07	N/S	\N	\N	\N	\N	\N	\N	\N	MISTER HULL	\N	\N	\N	\N	\N	\N	PADRE ANDRADE	\N	\N
16125	RUA OLÍVIO CÂMARA	002656	RUA	\N	F12	L-O	1671/60	16/12/1960	\N	\N	003078	RUA BARÃO DO RIO BRANCO	001030	RUA MARECHAL DEODORO	\N	\N	9586850	552011	9586933	551781	JOSÉ BONIFÁCIO/BENFICA	\N	\N
16126	TRAVESSA GUANABARA	001507	TRAVESSA	\N	F13	O-L	\N	\N	\N	\N	000283	RUA ANTÔNIO AUGUSTO	001628	RUA IDELFONSO ALBANO	\N	\N	9586775	553744	9586736	553861	ALDEOTA	\N	\N
16128	VILA JULIETA 2	024735	VILA	\N	F13	O-L	\N	\N	\N	\N	024529	VILA VENEZA	\N	MURO	\N	\N	9586842	553975	9586823	554000	ALDEOTA	\N	\N
16129	\N	010177	RUA	\N	I-12	N-S	\N	\N	\N	\N	\N	AVIÃO, DO	\N	CERCA DO LOTEAMENTO	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	LOT. RESIDENCIAL LAGOA DO OPAIA
16130	\N	010176	RUA	\N	I-12	N-S	\N	\N	\N	\N	\N	AVIÃO, DO	\N	CERCA DO LOTEAMENTO	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	LOT. RESIDENCIAL LAGOA DO OPAIA
16131	\N	010178	RUA	\N	I-12	N-S	\N	\N	\N	\N	\N	HELICOPTERO,DO	\N	CERCA DO LOTEAMENTO	\N	\N	\N	\N	\N	\N	VILA UNIÃO	\N	LOT. RESIDENCIAL LAGOA DO OPAIA
16132	\N	024735	RUA	\N	H-12	L-O	9139/2007	12/02/2007	\N	\N	\N	SOL	\N	VIA LÁCTEA	\N	\N	\N	\N	\N	\N	AEROPORTO	I (UM) - CONJ. PLANALTO UNIVERSO	\N
16195	\N	\N	BAIRRO	\N	\N	\N	DL284/2007	04/10/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DUNAS	\N
16134	\N	024737	RUA	\N	H-12	L-O	9139/2007	12/02/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	III - CONJ. PLANALTO UNIVERSO	\N
16135	\N	024738	RUA	\N	H-12	L-O	9139/2007	12/02/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	IV - CONJ. PLANALTO UNIVERSO	\N
16136	\N	024738	RUA	\N	H-12	L-O	9139/2007	12/02/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	V  5- CONJ. PLANALTO UNIVERSO	\N
16137	\N	024739	RUA	\N	H-12	L-O	9139/2007	12/02/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	VI - 6 CONJ. PLANALTO UNIVERSO	\N
16138	\N	024740	RUA	\N	H-12	L-O	9139/2007	12/02/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	VII - 7 CONJ. PLANALTO UNIVERSO	\N
16139	\N	024741	RUA	\N	I-12	L-O	9139/2007	12/02/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	VIII - 8 CONJ. PLANALTO UNIVERSO	\N
16140	\N	024742	RUA	\N	I-12	N-S	9139/2007	12/02/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	X - 10 CONJ. PLANALTO UNIVERSO	\N
16141	\N	024743	RUA	\N	H-12	N-S	9139/2007	12/02/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	IX - CONJ. PLANALTO UNIVERSO	\N
16142	\N	024744	RUA	\N	H-12 I-12	N-S	9139/2007	12/02/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	A - CONJ. PLANALTO UNIVERSO	\N
16143	\N	024745	RUA	\N	H-12 I-12	N-S	9139/2007	12/02/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	AEROPORTO	\N	\N
16144	VILA ROSINHA 2	024746	VILA	\N	F-2	N-S	\N	\N	\N	\N	024311	VILA ROSINHA 1	\N	MURO	\N	\N	9586773	551812	9586703	551775	BENFICA	\N	\N
16145	TRAV. JOSÉ BASTOS	008258	TRAVESSA	\N	F11	N-S	\N	\N	\N	\N	001356	RUA PADRE FRANCISCO PINTO	\N	VIA FÉRREA PARANGABA MUCURIPE	\N	\N	9586494	550847	9586427	550778	BENFICA	\N	\N
16146	RUA INÁCIO BARROSO	001639	RUA	\N	F11	N-S	1671/60	16/12/1960	\N	\N	\N	MURO	007708	RUA EDSON ALVES DE OLIVEIRA	\N	\N	9586827	551395	9586716	551293	BENFICA	\N	Na Lei : início rua Instituto do Ceará e fim Rua Juvenal Galeno
16147	RUA PEQUENA	002837	RUA	\N	F11	L-O	1671/60	16/12/1960	\N	\N	001639	RUA INÁCIO BARROSO	000700	RUA CARAPINIMA	\N	\N	9586760	551334	9586810	551285	BENFICA	\N	\N
16148	\N	024746	PRAÇA	\N	F-11	\N	\N	\N	\N	\N	\N	RUA MARECHAL DEODORO/RUA PAULINO NOGUEIRA	\N	\N	\N	\N	9586218	551425	\N	\N	BENFICA	\N	\N
16151	RUA NOGUEIRA ACIÓLI	002569	TRAV.	\N	F13	N-S	\N	\N	\N	\N	002567	RUA NOGUEIRA ACIÓLI	000272	RUA PADRE ANTONINO	\N	\N	9586409	553239	9586303	553312	JOAQUIM TÁVORA	\N	\N
16152	RUA ADARIAS DE LIMA	008184	RUA	\N	D12	L-O	5367/1980	\N	\N	\N	001811	TRAV. JOÃO FELIPE	002502	RUA PADRE MORORÓ	\N	\N	9588794	552048	9588890	551599	MOURA BRASIL	\N	\N
16153	\N	024747	RUA	\N	N-10	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16154	\N	024748	RUA	\N	N-10	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16155	\N	024749	RUA	SANTA	N-10	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16156	\N	024750	RUA	\N	N-10	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16157	\N	024751	RUA	\N	N-10	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16158	\N	024752	PRAÇA	\N	K-15ou16	\N	DL240/2007	12/04/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	entre a AV. Ver. Pedro Paulo e dr. José Perdigão  limitando com a Rua das Mangueiras
16159	\N	024753	PRAÇA	\N	\N	\N	DL241/2007	12/04/2007	\N	\N	\N	\N	\N	\N	\N	\N	552820	9586638	\N	\N	JOSÉ BONIFÁCIO	\N	EM FRENTE AO Jornal O POVO- Aguanamb i/ Lauro Maia / Abaiara
16160	RUA JOÃO EMÍDIO DA SILVEIRA	001810	RUA	\N	G15	N-S	\N	\N	\N	\N	001695	RUA ISRAEL BEZERRA	000353	RUA ARAKEN SILVA	\N	\N	9585703	555610	9585456	555534	DIONÍSIO TORRES	\N	\N
16161	\N	024754	RUA	MAESTRO	H-12	N-S	DL426/2010	07/04/2010	\N	\N	\N	PRAÇA DE REVERSÃO	\N	AV BORGES DE MELO	\N	\N	\N	\N	\N	\N	FÁTIMA	MARTINHO RDRIGUES  (DEN. POPULAR)	Acesso pelo número 1287 da Av. Borges de Melo.
16162	\N	008304	RUA	\N	K15	N-S	8205/1998	15/07/1999	10566/1999	\N	\N	RUA  VER. PEDRO PAULO	\N	LIMITE DO LOTEAMENTO	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	\N	\N
16163	\N	006941	RUA	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16164	RUA SÃO GABRIEL	001385	RUA	SÃO	G15	N-S	\N	\N	\N	\N	000325	AV. ANTÔNIO SALES	000034	RUA OLAVO DE OLIVEIRA ALBUQUERQUE	\N	\N	9585701	556384	9585394	556281	SÃO JOÃO DO TAUAPE/COCÓ	\N	\N
16165	\N	007915	RUA	DOUTOR	K19	O-L	7891/1996	02/05/1996	10022/1997	09/01/1997	\N	LOTE 1 DA QD. 1, E DO LOTE 28,  DA QD. 2	\N	AREA LIVRE E O LOTE 7, DA QD. 5 DO LOTEAMENTO CITA	\N	\N	9580556	559759	9580589	560199	SAPIRANGA-COITÉ	\N	\N
16166	\N	007918	RUA	\N	K19	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16167	\N	007919	RUA	\N	K-19	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16169	\N	007770	RUA	\N	H-16	O-L	4655/1976	18/03/1976	5631/1980	05/08/1980	\N	1ª RUA AO SUL DA Av. WASHINGTON SOARES	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES	\N	\N
16170	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16171	TRAVESSA VICENTE LEITE	003584	TRAVESSA	\N	G-15	O-L	\N	\N	\N	\N	003583	RUA VICENTE LEITE	\N	EDIFICAÇÃO (FECHADA)	\N	\N	9585259	555597	9585296	555771	SÃO JOÃO DO TAUAPE	\N	\N
16172	TAVESSA PESSOA	004090	TRAVESSA	\N	G-15	O-L	\N	\N	\N	\N	005333	RUA PLÍNIO CAMÂRA	005338	RUA JUCÁ	\N	\N	9585308	555955	9585328	556051	SÃO JOÃO DO TAUAPE	\N	\N
16173	\N	024755	RUA	\N	K10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ITAPERI	COLORADO,  (mat. 49878 2 zona)	\N
16174	RUA MANOEL PADILHA	002295	RUA	\N	G13	L-O	2134/63	\N	\N	\N	003079	AV. VISCONDE DO RIO BRANCO	000078	AV. AGUANAMBI	\N	\N	9585058	553299	9585018	552946	FÁTIMA	\N	\N
16175	\N	\N	LARGO	\N	\N	\N	7217/1992	29/09/1992	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16176	\N	024756	VILA	\N	E-10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SEFIN  -  Q 169  D-08	\N
16177	\N	008103	RUA	\N	M-5	L-O	DL255/2007	30/05/2007	\N	\N	\N	03 - CONECIDA COMO RAIMUNDO MARQUES	\N	01- CONHECIDA COM SANTO AGOSTINHO	\N	\N	\N	\N	\N	\N	CANINDEZINHO	4 - LOTEAMENTO PLANALTO DO CANINDÉZINHO	\N
16178	\N	008104	RUA	\N	M-5/M-6	L-O	DL242/2007	17/04/07	\N	\N	\N	03 - CONECIDA COMO RAIMUNDO MARQUES05-	\N	01- CONHECIDA COM SANTO AGOSTINHO	\N	\N	\N	\N	\N	\N	CANINDEZINHO	5 - LOTEAMENTO PLANALTO DO CANINDÉZINHO	\N
16179	\N	005590	RUA	\N	M-16	O-L	DL259/2007	14/06/2007	\N	\N	\N	CRISANTO MOREIRA DA ROCHA	\N	WASHINGTON SOARES	\N	\N	\N	\N	\N	\N	CAMBEBA	\N	DECRETO LIMITA COM AS QUADRAS DO LOTEAMENTO
16180	\N	007883	RUA	PROFESSOR	K-18	O-L	DL260/2007	18/06/2007	\N	\N	005080	RUA DR. ERNESTO MONTEIRO	007868	AV. MÁRIO CÂMARA VIEIRA	12 DO LOTEAMENTO VILLAGE COLOSSO	 CERCA LIMITE DO LOTEAMENTO	9581767	558721	9581587	559098	EDSON QUEIROZ	11- LOT VILLAGE COLOSSO	DECRETO LEGISLATIVO COM LIMITES ERRADOS
16182	RUA DR. ALBERTO ELOY COSTA	000096	RUA	DR.	D10	N-S	\N	\N	\N	\N	024146	RUA PEDRO RUBI	001584	AV. SARG. HERMÍNIO SAMPAIO	\N	\N	9588404	549227	9588225	549273	MONTE CASTELO	\N	\N
16183	RUA SÃO RAIMUNDO	003004	RUA	SÃO	B09/B10	L-O	\N	\N	\N	\N	022425	TRAV. SANTO ANDRÉ	003385	AV. DR. THEBERGE	\N	\N	9589946	549926	9590391.0	548662	PIRAMBÚ/CRISTO REDENTOR	\N	\N
16184	\N	009475	RUA	\N	N04-N05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDÉZINHO	16  DO LOT. RESIDENCIAL SUMARÉ I	\N
16185	\N	009520	RUA	\N	N04-N05	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	\N	\N
16186	\N	009473	RUA	\N	N04-N05	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CANINDEZINHO	9  DO LOT. RESIDENCIAL SUMARÉ I	\N
16187	\N	008302	AVENIDA	DOM	C06	N-S	DL369/2009	07/05/2009	\N	\N	\N	AV C   CONJ. NOVA ASSUNÇÃO	\N	AV  D -  CONJ NOVA ASSUNÇÃO	\N	\N	\N	\N	\N	\N	VILA VELHA	I  - CONJ. NOVA ASSUNÇÃO	\N
16188	\N	004841	AVENIDA	\N	G-19G20	O-L	7938/1996	02/08/1996	10029/1997	17/01/1997	003433	TRAJANO DE MEDEIROS	003709	ZEZÉ DIOGO	\N	\N	9584894	560824	9584923	561677	PRAIA DO FUTURO II	\N	ENTRE AS Q 207, 153,97A,97,43 - 208,154,98A,98,44
16189	\N	000429	RUA	\N	L-17/L19	O-L	7551/1994	\N	9910/1996	\N	003690	AV. WASHINGTON SOARES	006393	AV. DR. CORREIA LIMA	RUA ENG. LEAL LIMAVERDE	\N	9580657	558235	9580801	560126	SAPIRANGA/COITÉ	PIXINGUINHA, AUGUSTO JAIME BENEVIDES, ENOC NOGUEIRA ARRAIS	ENTRE AS QUADRAS 96 E 119, 97 E 120, 98 E 121, 99 E 122, 100 E 123,  101 E 124 DO PQ AGUA FRIA
16190	\N	\N	LARGO	\N	\N	\N	4614/1975	05/12/1975	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LEI ESPECIFICA O LOCAL
16191	\N	\N	LARGO	\N	\N	\N	4614/1975	05/12/1975	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LEI ESPECIFICA O LOCAL
16192	\N	\N	TRAVESSA	\N	\N	\N	4614/1975	05/12/1975	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LEI ESPECIFICA O LOCAL
16193	\N	\N	RUA	PROFESSORA	G19	O-L	4957/1977	\N	5556/80	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO I	\N	ENTRE AS QUADRAS 253,205,151, 95A,95,41 E 42, 96, 96A 152 206254
16196	RUA DR. LUIZ TEIXEIRA DE ALCÂNTARA	005011	RUA	DOUTOR	F18	O-L	5845/1984	\N	\N	\N	001072	AV. DOLOR BARREIRA (PARQUE PAPICU)	003433	AV. TRAJANO DE MEDEIROS	\N	\N	9586519	559334	9586799	559907	DE LOURDES	LOT OUTEIRO	\N
16197	\N	\N	RUA	\N	\N	\N	DL278/2007	18/09/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	RUA CONJ. TROPICAL
16198	\N	\N	BAIRRO	\N	\N	\N	DL290/2007	13/11/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16199	\N	\N	RUA	\N	N-09	N-S	8363/1999	28/10/1999	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM	\N	SITUADA NO LOT ASSOC. ARTESANAL  PE. CÍCERO  SQ-A  LIMITE DOS LOTES  5 A11  E   12 A 19
16200	\N	\N	RUA	\N	L-18/L-18	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPIRANGA/COITÉ	\N	\N
16202	\N	\N	PONTE	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PONTE SOBREO RIO CEARÁ CITADA NO DEC 11853 DE 06 / 07/2005
16205	RUA ERNESTO IGEL	008169	RUA	\N	C17	O-L	\N	\N	\N	\N	003593	RUA VICENTE DE CASTRO	\N	\N	\N	\N	\N	\N	\N	\N	CAIS DO PORTO	\N	\N
16206	\N	003881	RUA	DONA	I-16	N-S	5444/1981	\N	5991/1981	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES	XIV , RUA   - LOT GRANDE ALDEOTA	\N
16207	\N	008122	RUA	\N	K-17	O-L	\N	\N	\N	\N	005568	RUA MIN. ABNER DE VASCONCELOS	001157	RUA ELISEU ORIÁ	\N	\N	9581104	557823	9581120	558009	SAPIRANGA/COITÉ	\N	DIVIDE  AS QUADRAS   2 E 3  DO LOT. PARQUE AGUA FRIA EM  4 PARTES
16208	RUA ZUCA ACCIOLY	004868	RUA	\N	G18	N-S	5968/85	\N	\N	\N	003221	AV. SANTOS DUMONT	000328	AV.  PE. ANTÔNIO TOMÁS	\N	\N	9585883	559375	9585448	559236	MANUEL DIAS BRANCO	\N	\N
16209	\N	\N	PRAÇA	FREI	G-11	\N	DL 292/2007	20/11/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DAMAS	FRANKLIN ROOSEVELT, PRES.   PRAÇA	limite ( r. Ana Neri, Carlos Camara, Delmiro de Farias e Walderi Uchoa)
16210	\N	040935	RUA	\N	G18/H18	O-L	\N	\N	9931/96	\N	000328	AV. PE. ANTÔNIO TOMÁS	020984	RUA TAMARAS	\N	\N	9585269	559779	9584749	560096	MANUEL DIAS BRANCO	VIA LOCAL 03 E 15 DO LOTEAMENTO ALTO DA ALDEOTA I	\N
16211	\N	040936	RUA	RADIALISTA	H18	O-L	7888/1996	\N	9992/96	\N	020990	VIA LOCAL 21	020984	RUA TAMARAS	\N	\N	9584337	559437	9584178	559914	MANUEL DIAS BRANCO	COLETORA DO LOTEAMENTO ALTO DA ALDEOTA I	\N
16212	VIA 20	021006	VIA	\N	H18	N-S	\N	\N	\N	\N	\N	TERRENO	009191	RUA NEIDE MAIA	\N	\N	9584442	559904	9584303	559854	MANUEL DIAS BRANCO	\N	\N
16213	VIA 26	040937	VIA	\N	H18	N-S	\N	\N	\N	\N	024701	RUA JORNALISTA ODALVES LIMA	021011	RUA LOCAL 09	\N	\N	9584245	559474	9584051	559407	MANUEL DIAS BRANCO	\N	\N
16214	RUA ALDENOR NUNES FREIRE	040938	RUA	\N	H18	O-L	7724/95   7904/96	\N	9994/96	\N	040937	VIA LOCAL 26	009209	RUA NENZINHA GALENO	\N	\N	9584148	559441	9583879	559709	MANUEL DIAS BRANCO	VIA LOCAL 08  DO LOTEAMENTO ALTO DA ALDEOTA I	\N
16215	VIA 11	040939	VIA	\N	G18	N-S	\N	\N	\N	\N	000328	AV. PE. ANTÔNIO TOMÁS	009185	RUA PROFESSOR OSMIRIO BARRETO	\N	\N	9585211	559967	9585123	559939	MANUEL DIAS BRANCO	\N	\N
16217	\N	003875	RUA	RABBI	H15	N-S	4597/75	\N	\N	\N	000423	RUA ATILANO DE MOURA	001492	RUA GONTRAN GIFFONI	\N	\N	9584343	556542	9583695	556149	GUARARAPES	 II - LOTEAMENTO GRANDE ALDEOTA	\N
16218	RUA MINISTRO EDUARDO ELLERY BARREIRA	007526	RUA	MINISTRO	H16	N-S	5608/82	\N	\N	\N	005291	RUA MANUEL FIRMINO SAMPAIO	003684	RUA DES. MANOEL DE SALES ANDRADE	\N	\N	9584351	557346	9583664	557376	GUARARAPES	\N	Na Lei esta Rua se inicia na Av. Perimetral e termina na Rua Francsico Xerez.
16219	RUA ALBERT SABIN	005288	RUA	\N	H16	N-S	\N	\N	\N	\N	003690	AV. WASHINGTON SOARES	005303	RUA JUSTINO CAFÉ NETO	\N	\N	9584722	556660	9584545	556649	GUARARAPES	\N	\N
16220	\N	\N	PRAÇA	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	PRAÇA DA IGREJA DE PARANGABA
16221	\N	000714	RUA	\N	\N	L-O	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARANGABA	\N	LADO SUL DA PRAÇA DA IGREJA DE PARANGABA
16222	\N	\N	VILA	\N	B-08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CRISTO REDENTOR	\N	CONJUNTO POPULAR DO ESTADO
16223	\N	\N	VILA	\N	B-08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CRISTO REDENTOR	\N	CONJUNTO POPULAR DO ESTADO
16224	\N	\N	VILA	\N	B-08	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CRISTO REDENTOR	\N	CONJUNTO POPULAR DO ESTADO
16225	\N	007532	RUA	\N	K-17	N-S	DL304/2008	24/03/2008	\N	\N	\N	RUA 03 LOTEAMENTO SANTA SOFIA	\N	AV DOS FRANCESES	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	2  LOTEAMENTO  SANTA SOFIA	\N
16226	RUA GALÁXIA	000646	RUA	\N	J16	O-L	\N	\N	\N	\N	004205	RUA REV. BOLIVAR PINTO BANDEIRA	\N	EDIFICAÇÃO (CONJUNTO WASHINGTON SOARES)	\N	\N	9583067	556353	9582799	557281	ENG. LUCIANO CAVALCANTE	\N	\N
16227	\N	009077	AVENIDA	\N	I16	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ENG. LUCIANO CAVALCANTE	\N	\N
16228	\N	008354	TRAV	\N	L-12	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16229	\N	009901	RUA	\N	H-12	N-S	7416/94	\N	9529/1994	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ABEL  GARCIA , (CONHECIDA  COMO)	\N
16230	\N	\N	RUA	\N	F-16	O-L	DL 314/2008	16/04/2008	\N	\N	\N	CATÃO, MONS	\N	MEIO DA QUADRA	\N	\N	556411	9586172	556457	9586157	ALDEOTA	\N	\N
16231	\N	\N	AVENIDA	\N	R-16	N-S	\N	\N	\N	\N	\N	RUA  AQUIRAZ, BARÃO	\N	\N	\N	\N	\N	\N	\N	\N	PAUPINA	\N	AV. LIMITE DO CONJUNTO
16232	\N	040940	RUA	\N	J15	N-S	\N	\N	\N	\N	009061	RUA RICARDO CASTRO MACEDO	040942	RUA CÉLIO BRASIL GIRÃO	\N	\N	9582599	556418	9582544	556383	ENG. LUCIANO CAVALCANTE	\N	\N
16233	\N	040941	RUA	\N	J15	N-S	\N	\N	\N	\N	040942	RUA CÉLIO BRASIL GIRÃO	009063	RUA CEL ALUÍSIO BORBA	\N	\N	9582544	556383	9582481	556330	ENG. LUCIANO CAVALCANTE	\N	\N
16234	\N	040942	RUA	\N	J16	O-L	8285/99	07/07/1999	11517/2003	\N	040940	RUA NS 12-A	009082	RUA JAYME GAMA	\N	\N	9582544	556383	9581977	556746	ENG. LUCIANO CAVALCANTE	L 02	\N
16235	\N	006942	RUA	MAESTRO	M-13	N-S	7867/1995	\N	9917/1996	31/07/1996	\N	ADEMAR DE PAULA, RUA	\N	MURO DO CASTELÃO	\N	\N	\N	\N	\N	\N	MATA GALINHA	B,  RUA (LOT. ESPLANADA DO CASTELÃO)	\N
16236	RUA ANASTÁCIO MENDES BRAGA	024758	RUA	\N	K16	O-L	9003/2005	14/09/2005	12392/2008	\N	020772	AV. CEL. JOSÉ PHILOMENO GOMES	009031	RUA HÉLIO DA SILVEIRA REIS	\N	\N	9581949	556835	9581911	557071	ENG. LUCIANO CAVALCANTE	SL 02 DO LOT. Alpha village	\N
16237	\N	040943	VILA	\N	H13-I13	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16238	\N	040944	RUA	\N	K-17	O-L	8984/2005	14/09/2005	12391/2008	29/05/2008	\N	WASHINGTON SOARES, AV	\N	RUA PROJETADA 03 (LOT NOVO HORIZONTE)	\N	\N	557684	9581534	\N	\N	EDSON QUEIROZ	PROJETADA 02 DO LOT NOVO HORIZONTE	\N
16239	\N	\N	RUA	\N	J-16	N-S	8922/2004	29/12/2004	12393A/08	29/05/2008	\N	LUIZA MIRANDA, RUA	\N	RUA  SDO (CONHECIDA COMO TRANSVERSAL	\N	\N	557504	9582616	557532	9582271	LUCIANO CAVALCANTE	\N	\N
16240	AV. GAL CAIADO DE CASTRO	000637	AVENIDA	GAL.	k16	N-S	\N	\N	\N	\N	020772	AV. CEL. JOSÉ PHILOMENO GOMES	001862	AV. JOSÉ LÉON	\N	\N	9581949	556835	9581019	556725	ENG. LUCIANO CAVALCANTE / PARQUE MANIBURA	\N	Na Lei, esta Rua situa-se entre a Av. Oliveira Paiva e A José Léon.
16241	\N	006621	RUA	DESEMBARGADOR	G-17	O-L	DL -331/2008	03/07/2008	\N	\N	\N	RUA  "U"	\N	Rua  "v"	\N	\N	\N	\N	\N	\N	COCÓ	G, RUA  LOT.  WALDIR DE DIOGO	decreto especifica
16242	\N	\N	RUA	DESEMBARGADOR	G-17	N-S	DL 332/2008	03/07/2008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	COCO	Z, RUA  LOT  WALDIR DIOGO (CONTINUAÇÃO DA RUA "S"	DECRETO ESPECIFICA
16243	\N	005597	RUA	\N	K-16/L-16	N-S	DL 319/2008	27/05/2008	\N	\N	\N	AV. VER. PEDRO PAULO	\N	\N	\N	\N	\N	\N	\N	\N	PARQUE MANIBURA	EUDÓXIO PINTO, TIPÓGRAFO	LIMITADA PELAS QUADRAS 05,06,07, 08 DO LOT. PARQUE OURO BRANCO E SEGUINDO PELA RUA 'E' DO LOT. PARQUE IEDA
16244	\N	005589	RUA	\N	M-16	O-L	DL320/2008	29/05/2008	\N	\N	\N	AV. CRISANTO MOREIRA DA ROCHA	\N	AV. WASHINGTON SOARES	\N	\N	\N	\N	\N	\N	CAMBEBA	ENTRE AS QUADRAS 52 E 54 DO SÍTIO CARRAPICHO	DECRETO ESPECIFICA.
16246	\N	006344	RUA	\N	K-18	O-L	DL 321/2008	05/06/2008	\N	\N	\N	MANUEL ALBUQUERQUE C. LEIT	\N	CORREIA LIMA, DR	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	CASTELO BRANCO, GENERAL	\N
16247	\N	\N	RUA	\N	G-17	N-S	DL 324/2008	26/06/2008	\N	\N	\N	PADRE  ANTONIO TOMAS, AV	\N	ANTONIO SALES	\N	\N	\N	\N	\N	\N	COCÓ	" V "  RUA LOTEAMENTO  WALDIR DIOGO	DECRETO ESPECIFICA
16248	\N	\N	RUA	\N	G-17	N-S	7205/1992	21/09/1992	8950/1992	21/10/92	\N	ANDRADE FURTADO,  PROLONGAMENTO	\N	ANTÔNIO CARLOS COSTA E SILVA, DESEMBARGADOR	\N	\N	\N	\N	\N	\N	COCÓ	" T"  RUA LOTEAMENTO WALDIR DIOGO	\N
16249	\N	\N	ESTÁDIO	DEPUTADO	\N	\N	5070/2008	27/09/2008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PRAÇA DE ESPORTES DO DISTRITO DE Antonio bezerra
16250	\N	010055	AVENIDA	\N	J-19	N-S	DL359/2008	18/12/2008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
16251	\N	010060	RUA	\N	J-19	S-N-S	DL359/2008	18/12/2008	\N	\N	\N	CIDADE ECOLOGICA	\N	CIDADE ECOLOGICA	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	DAS  TANGERINAS ( PARTE)	\N
16252	\N	010045	RUA	\N	J-19	O-L	DL359/2008	18/12/2008	\N	\N	\N	AV PAISAGISTICA	\N	AREA VERDE	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
16253	\N	010051	RUA	\N	J-19	O-L	DL359/2008	18/12/2008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
16254	\N	010043	RUA	\N	J-19	O-L	DL359/2008	18/12/2008	\N	\N	\N	CIDADE ECOLOGICA	\N	CERCA DO LOTEAMENTO	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	MANGUEIRAS, DAS   (PARTE)	\N
16255	\N	010049	RUA	\N	J-19	N-S	DL359/2008	18/12/2008	\N	\N	\N	CERCA DO LOTEAMENTO	\N	MURICIS, DOS	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
16256	\N	010054	RUA	\N	J-19	N-S	DL359/2008	18/12/2008	\N	\N	\N	CERCA DO LOTEAMENTO	\N	MURICIS , DOS	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	GOIABEIRAS,DAS	\N
16264	\N	\N	BAIRRO	\N	\N	\N	4500/1975	24/04/1975	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	TIROL	LESTE - R.ALVARO ALENCAR; SUL - R. GOMES PASSOS, DO ORIENTE, IRINEU DE SOUZA; A OESTE- RUA GRAÇA ARANHA; AO NORTE - OCEANO
16265	\N	\N	BAIRRO	\N	\N	\N	3874/ 1971	27/04/1971	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALTO DE SÃO VICENTE	NO DISTRITO DE ANTONIO BEZERRA
16266	\N	\N	BAIRRO	\N	\N	\N	3772/1970	09/10/1970	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	NORTE-AV. WASHINGTON LUIS; SUL-RUA MARIA CLARA;LESTE-AV. CEL CARVALHO; OESTE-AV. DA ABOLIÇÃO
16269	\N	001128	RUA	\N	K11	L-O	6321/1988	01/07/1988	\N	\N	\N	BRUNO VALENTE	\N	DUARTE PIMENTEL	\N	\N	\N	\N	\N	\N	SERRINHA	\N	LEI ESPECIFICA -  COMEÇO DA RUA MADRE ELISA BALDO
16271	\N	024757	RUA	\N	G-18	O-L	7959/1996	\N	10169/1997	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MURICI    E CONHECIDA COMO  PAULO MENDES NO LOT. CRAVEIRO	\N
16272	\N	006987	RUA	\N	H-17	N-S	6329/1988	\N	8630/1891	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	RUA DO LOT   CAIMA - AO SUL DO CENTRO ADM DO ESTADO
16274	\N	\N	RUA	\N	K-09/L-09	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16275	\N	\N	BAIRRO	\N	\N	\N	948/1955	13/04/1955	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SITIO JOSÉ DE ALENCAR -  ONDE FICA A CASA DO ESCRITOR	LEI   ESPECIFICA
16276	\N	\N	BAIRRO	\N	\N	\N	DL300/2007	26/12/2007	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALAGADIÇO NOVO	\N
16278	\N	003571	\N	SÃO	E-16	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	VARJOTA	\N	CITADA NA TRANS. 70.154 DO CRI 1ª ZONA.(ao norteda Ana Bilhar)
16279	\N	024759	RUA	\N	H-12	N-S	DL364/2008	23/12/2008	\N	\N	\N	PARQUE PARREÃO	\N	AV. BORGES DE MELO	\N	\N	552258	9584626	552151	9584492	FATIMA	MARTINHO RODRIGUES RUA  CONTINUAÇÃO	\N
16280	\N	\N	BAIRRO	SÃO	\N	\N	DL382/2008	18/12/2008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SÃO BENTO	PARTE DO BAIRRO  PAUPINA	\N
16281	\N	010059	RUA	\N	J-19	O-L	DL369/2008	18/12/2008	\N	\N	\N	AV. PAISAGISTICA	\N	CERCA DO LOTEAMENTO	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	\N	\N
16282	\N	010048	RUA	\N	J-19	O-L	DL369/2008	18/12/2008	\N	\N	\N	MURICIS, DOS	\N	MURICIS, DOS	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	DOS LIMOEIROS	\N
16283	\N	010053	RUA	\N	J-19	S-N-S	DL359/2008	18/12/2008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	AZEITONAS, DAS	\N
16284	\N	010056	RUA	\N	J-19	L-O-L	DL359/2008	18/12/2008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16285	\N	010050	RUA	\N	J-19	O-L-O	DL359/2008	18/12/2008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SAPOTIS, DOS  PARTE	\N
16286	\N	010044	RUA	\N	J-19	N-S-N	DL359/2008	18/12/2008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CAJUEIROS, DOS  (PARTE)	\N
16287	\N	010047	RUA	\N	J-19	O-L-O	DL359/2008	18/12/2008	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SIRIGUELAS, DAS (PARTE)	\N
16288	\N	010064	RUA	\N	J-19	O-L	DL359/2008	18/12/2008	\N	\N	\N	RUA HIL MORAES	\N	AV. PAISAGISTICA DA CIDADE ECOLOGICA	\N	\N	\N	\N	\N	\N	\N	RUA DO COMERCIO  CIDADE ECOLOGICA	\N
16289	\N	024760	RUA	\N	K-18	N-S	6049/1985	16/12/1995	10642/1999	22/11/1999	\N	\N	\N	CONS.GOMES DE FREITAS	\N	\N	\N	\N	\N	\N	EDSON QUEIROZ	FRANCISCO CORDEIRO	LOTEAMENTO PQ AGUA FRIA
16290	\N	\N	\N	\N	 19	O-L	7764/1995	\N	10278/1998	\N	\N	RUA  TAMARAS	\N	RUA LOCAL  15	\N	\N	\N	\N	\N	\N	\N	VIA LOCAL 4  DO LOTEAMENTO ALTO DA ALDEOTA 1	\N
16291	\N	\N	BAIRRO	SÃO	\N	\N	5470/1981	29/10/1981	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	SÃO GERARDO	ANTIGO BAIRRO  ALAGADIÇO	\N
16292	\N	005117	RUA	\N	l17	L-O	\N	\N	\N	\N	006302	RUA PROFESSOR SOLON FARIAS	005112	RUA BILL CARTAXO	\N	\N	9580889	558129	9580913	558406	SAPIRANGA-COITÉ	\N	\N
16293	\N	000585	RUA	DR.	K18	O-L	5538/81	\N	\N	\N	003690	AV. WASHINGTON SOARES	006393	AV. DR. CORREIA LIMA	\N	\N	9581027	557734	9581239	560090	SAPIRANGA-COITÉ	\N	Na Lei, esta rua termina em uma Rua Sem Denominacão Oficial, entre as Quadras 27 e 52 do Loteamento Parque Água Fria a qual coincide com a Av. Dr. Correia Lima
16294	\N	\N	RUA	DOUTOR	G-19	O-L	5269/1980	16/05/1980	\N	\N	\N	TRAJANO DE MEDEIROS	\N	ZEZE DIOGO	\N	\N	\N	\N	\N	\N	PRAIA DO FUTURO	\N	LEI ESPECIFICA - LIMITE DAS QUADRAS 251/252, 202/203, 148/149/150, 93A/94/A 93/94, 39/40 DO LOT PRAIA ANTONIO DIOGO
16295	\N	\N	BAIRRO	\N	\N	\N	4696/1976	19/05/1976	10783/2000	09/06/2000	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	NORTE - R Manuel Rodrigues / SUL - VIA Paranjana e Dep. Paulino Rocha  - LESTE - Rio Cocó / OESTE - Açude Uirapurú
16296	\N	\N	VILA	SANTO	I10	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ACESSO PELO NÚMERO 534 DA RUA ELCIAS LOPES ENTRE Eusebio de Queiroz e trav São Lucas
16297	\N	\N	BAIRRO	\N	\N	\N	8480/2000	28/07/2000	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	LEI GENERICA NÃO  INFORMA OS LIMITES.
16298	\N	\N	BAIRRO	\N	\N	\N	DL373/2009	13/05/2009	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16299	\N	024761	RUA	\N	P-14	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	RUA  DO CONJUNTO PARALELA A Rua Florencio Fontenele-
16300	\N	024762	RUA	\N	P-14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	RUA  DO CONJUNTO, PERPENDICULAR A Rua Florencio Fontenele-
16303	\N	007068	RUA	\N	N19	N-S	5495/81	\N	\N	\N	005775	RUA LUÍS ANDRÉ	\N	LAGOA REDONDA	\N	\N	9578936	560159	9578648	560709	LAGOA REDONDA	\N	\N
16304	RUA GERALDO MARINHO	005757	RUA	\N	N20	O-L	\N	\N	\N	\N	003049	AV. RECREIO	\N	LAGOA DA PRECABURA	\N	\N	9578488	561139	9578461	561574	LAGOA REDONDA	\N	\N
16301	\N	\N	RUA	\N	P14	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JANGURUSSU	\N	RUA  DO CONJUNTO, PERPENDICULAR A Rua Florencio Fontenele-
16302	\N	005903	TRAVESSA	DOUTOR	P-7	L-O	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	MONDUBIM	\N	\N
16305	\N	001237	RUA	DOM	F-14	O-L	1671/60	16/12/1960	\N	\N	\N	AV BR DE STUDART	\N	AV  DES. MOREIRA	\N	\N	\N	\N	\N	\N	DIONISIO TORRES	\N	CONTINUAÇÃO DA JOÃO BRIGIDO
16306	\N	\N	BAIRRO	\N	\N	\N	DL382/2009	01/07/2009	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CIDADE  2000	\N	\N
16307	\N	\N	VIADUTO	DEPUTADO EST	F-07	N-S	DL383/2009	01/07/2009	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16308	\N	007061	RUA	\N	K20-L20	N-S	\N	\N	\N	\N	\N	AREA VERDE	\N	RUA NS-0	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16309	\N	007062	RUA	\N	L20	O-L	\N	\N	\N	\N	\N	RUA L-01	\N	RUA  L03	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16310	\N	007063	RUA	\N	L-20	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16311	\N	007064	RUA	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16313	\N	007066	RUA	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16314	\N	007067	RUA	\N	K20-L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16315	\N	007126	RUA	\N	L19 - L20	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16335	\N	\N	BAIRRO	\N	E-6 E-7	\N	3579/1968	22/07/1968	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PARTE  DA  UI    QUINTINO CUNHA	\N
16336	\N	008087	RUA	MAJOR	\N	\N	\N	\N	9932/1996	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JARDIM DAS OLIVEIRAS	XI, RUA  LOT JARDIM DAS OLIVEIRAS	\N
16316	\N	007127	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16317	\N	007128	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16318	\N	007129	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16319	\N	007130	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16320	\N	007131	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16321	\N	007132	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16322	\N	007133	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16323	\N	007134	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16324	\N	007135	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16325	\N	007136	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16326	\N	007137	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16327	\N	007163	\N	\N	L19 - L20	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	EDSON  QUEIROZ	\N	\N
16328	\N	008209	RUA	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16329	\N	\N	PRAÇA	\N	F-12	\N	DL 395/2009	22/09/2009	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOSÉ BONIFÁCIO	\N	LIMITE NORTE - RUA JOAQUIM MAGALHÃES - LIMITE LESTE - AV. AGUANAMBI
16330	\N	024762	RUA	\N	F16/G16	N-S	DL400/2009	24/09/2009	\N	\N	\N	AV ENGO SANTANA JUNIOR	\N	AV ENGO SANTANA JUNIOR	\N	\N	\N	\N	\N	\N	COCÓ	\N	RUA G LOT. JARDIM  FORTALEZA
16331	\N	009102	RUA	\N	R-17	O-L	DL390/2009	15/09/2009	\N	\N	\N	RUA  03 RESIDENCIAL PARAISO DE MESSEJANA	\N	ESTRADA   BARÃO DE AQUIRAZ	\N	\N	\N	\N	\N	\N	SÃO BENTO	RUA  01  - RESIDENCIAL  PARAISO DE MESSEJANA	\N
16332	\N	\N	BAIRRO	\N	\N	\N	DL 391/2009	15/09/2009	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	BOA VISTA	\N	NORTE - Rua que seria a continuação da Rua Bandeira de Melo / SUL - VIA Paranjana e Dep. Paulino Rocha  - LESTE - Rio Cocó / OESTE - Açude Uirapurú
16333	\N	\N	PRAÇA	\N	H-9	\N	DL 399/2009	15/09/2009	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PANAMERICANO	PRAÇA PRESIDENTE LINHARES  - LEI 1671/60	\N
16334	\N	\N	BAIRRO	\N	\N	\N	DL 401/2009	24/09/2009	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	PASSARÉ	\N	\N
16445	TRAV	022222	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16446	RUA PERNAMBUCO	008841	RUA	\N	G07/I09	L-O	1671/60	16/12/1960	\N	\N	001792	RUA JOÃO CAPOTE	\N	\N	\N	\N	\N	\N	\N	\N	PICI/DEMOCRITO ROCHA	\N	\N
16447	\N	\N	BAIRRO	DOM	G-07	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	Lei 9611/2010 de 26/01/2010 oficializa a data de aniversário-27/02 e o marco central - Igreja de Santa Luzia - DOM 04/02/2010
16448	\N	\N	BAIRRO	\N	H-05	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	Lei 9672/2010 de 26/01/2010 oficializa a data de aniversário -28/02 e marco central - Posto de Saude Dr. Galba Araújo - DOM 04/02/2010
16450	\N	\N	\N	\N	\N	O-L	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16451	\N	\N	RUA	\N	P11	L-O	DL412/2009	28/12/2009	\N	\N	\N	AVENIDA VALPARAISO - CONJ PALMEIRAS	\N	AV  N  - CONJ JOSÉ WALTER	\N	\N	\N	\N	\N	\N	PREF. ZÉ WALTER	\N	\N
16452	\N	\N	PRAÇA	\N	C10	\N	DL411/2009	15/12/2009	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	CARLITO PAMPLONA	\N	PRAÇA DO CONJUNTO CONST. PELO ESTADO NA CONFLUENCIA DA FCO SÁ COM A ESTRADA DE FERRO
16453	\N	005112	RUA	\N	M-16 M-18	N-S	8033/1997	\N	11206/2002	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	JOSE DE ALENCAR	JOSÉ SEVERIANO	ENTRE AS QUADRAS  18 E 96 DO LOT Parque jose de alencar e q 9 e 8 do lot sitio gravito
16454	\N	008420	RUA	\N	C-8	N-S	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	ALVARO WEYNE	TRAV. COELHO NETO ( MAT58908 3 ZONA)	\N
16455	\N	\N	PRAÇA	\N	H16	\N	DL421/2010	31/03/2010	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	GUARARAPES	LIMITADA  AO NORTE E SUL PELA AV. WASHINGTON SOARES - Lot. Ivens Dias Branco	\N
16456	\N	\N	AV	\N	\N	O-L	1671/1960	16/12/1960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16457	\N	\N	AVENIDA	\N	\N	O-L	1671/1960	16/121960	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16458	\N	\N	PRAÇA	DOUTOR	G-14	\N	DL425/2010	07/04/2010	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	DIONISIO TORRES	PRAÇA OS ELETRICITÁRIOS (CONHECIDA)	limite Leste - Rua Adolfo Pinheiro, Oeste-Av. Br. de Studart, Sul - R Marcondes Pereira
16459	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16460	\N	024763	RUA	\N	O-4	L-O	\N	\N	\N	\N	\N	OSORIO DE PAIVA	\N	\N	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	\N
16461	\N	\N	TRAVESSA	\N	O-4	N-S	\N	\N	\N	\N	\N	MURO	\N	RUA  TAPYNARÉ	\N	\N	\N	\N	\N	\N	SIQUEIRA	\N	Limite com Maracanau
16462	\N	040945	RUA	\N	D-08	L-O	\N	\N	\N	\N	\N	AREA DE PRESERV. DA LAGOA	\N	RUA DE PEDESTRE 03 CONJ STO ANT. DA FLORESTA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16463	\N	040946	RUA	\N	D-08	N-S	\N	\N	\N	\N	\N	RUA DE PEDESTRE 2 CONJ STO ANT. DA FLORESTA	\N	RUA LOCAL 01CONJ STO ANT. DA FLORESTA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16464	\N	040947	RUA	\N	D-08	L-O	\N	\N	\N	\N	\N	RUA LOCAL 02 CONJ STO ANT. DA FLORESTA	\N	TRAV.  ANTENOR  ALMEIDA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16465	\N	040948	RUA	\N	D-08	N-S	\N	\N	\N	\N	\N	AREA DE PRESERV. DA LAGOA	\N	RUA LOCAL 03 CONJ STO ANT. DA FLORESTA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16466	\N	040949	RUA	\N	D-08	L-O	\N	\N	\N	\N	\N	AREA DE PRESERV. DA LAGOA	\N	RUA LOCAL 02 CONJ STO ANT. DA FLORESTA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16467	\N	040950	RUA	\N	D-08	L-O	\N	\N	\N	\N	\N	AREA DE PRESERV. DA LAGOA	\N	RUA LOCAL 02 CONJ STO ANT. DA FLORESTA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16468	\N	040951	RUA	\N	D-08	L-O	\N	\N	\N	\N	\N	AREA DE PRESERV. DA LAGOA	\N	RUA LOCAL 02 CONJ STO ANT. DA FLORESTA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16469	\N	040952	RUA	\N	D-08	L-O	\N	\N	\N	\N	\N	AREA DE PRESERV. DA LAGOA	\N	RUA LOCAL 02 CONJ STO ANT. DA FLORESTA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16470	\N	040953	RUA	\N	D-08	L-O	\N	\N	\N	\N	\N	AREA DE PRESERV. DA LAGOA	\N	RUA LOCAL 02 CONJ STO ANT. DA FLORESTA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16471	\N	40954	RUA	\N	D-08	L-O	\N	\N	\N	\N	\N	RUA LOCAL 05 CONJ STO ANT. DA FLORESTA	\N	RUA LOCAL 02 CONJ STO ANT. DA FLORESTA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16472	\N	40955	RUA	\N	D-08	N-S	\N	\N	\N	\N	\N	AREA DE PRESERV. DA LAGOA	\N	AV. TENENTE  LISBOA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16473	\N	40956	RUA	\N	D-08	N-S	\N	\N	\N	\N	\N	PEDESTRE 07     -CONJ STO ANT. DA FLORESTA	\N	RUA LOCAL 03 CONJ STO ANT. DA FLORESTA	\N	\N	\N	\N	\N	\N	FLORESTA	\N	\N
16474	\N	40957	RUA	\N	P-18	O-L	DL435/2010	21/05/2010	\N	\N	\N	RUA N DO CONJ SITIO CURIÓ	\N	RUA ISABEL FERREIRA - RUA C LOT SITIO CURIO	\N	\N	\N	\N	\N	\N	LAGOA REDONDA	RUA M DO LOT  SITIO CURIÓ	\N
16475	\N	40958	RUA	\N	E-9	L-O	DL440/2010	09/06/2010	\N	\N	\N	PROXIMO A PONTE SOBRE O RIACHO	\N	O QUE SERIA O PROLONGAMENTO DA RUA MARGARIDA MARIA	\N	\N	\N	\N	\N	\N	PRESIDENTE KENNEDY	CONHECIDA COMO 10 DE AGOSTO	\N
\.


--
-- Data for Name: municipios; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY municipios (codmunic, nome) FROM stdin;
5566	Caucaia
5567	Lagoa do Banana
5568	Taí­ba
5569	SÃ­o Gonçalo do Amarante
5570	Prainha
5571	Adolfo/SP
5572	Aracaju/SE
5573	Belém/PA
5574	Belo Horizonte/MG
5575	Boa Vista/RR
5576	Brasí­lia/DF
5577	Campo Grande/MS
5578	Cuiabá/MT
5579	Curitiba/PR
5580	Florianópolis/SC
5581	Goiânia/GO
5582	JoÃ­o Pessoa/PB
5583	Macapá/AP
5584	Maceió/AL
5585	Manaus/AM
5586	Natal/RN
5587	Palmas/TO
5588	Porto Alegre/RS
5589	Porto Velho/RO
5590	Recife/PE
5591	Rio Branco/AC
5592	Rio de Janeiro/RJ
5593	Salvador/BA
5594	SÃ­o Luí­s/MA
5595	SÃ­o Paulo/SP
5596	Teresina/PI
5597	Vitória/ES
5598	Abadia de Goiás/GO
5599	Abadia dos Dourados/MG
5600	Abadiânia/GO
5601	Abaeté/MG
5602	Abaetetuba/PA
5603	Abaiara/CE
5604	Abaí­ra/BA
5605	Abaré/BA
5606	Abatiá/PR
5607	Abdon Batista/SC
5608	Abel Figueiredo/PA
5609	Abelardo Luz/SC
5610	Abre Campo/MG
5611	Abreu e Lima/PE
5612	Abreulândia/TO
5613	Acaiaca/MG
5614	Açailândia/MA
5615	Acajutiba/BA
5616	Acará/PA
5617	Acarapé/CE
5618	Acaraú/CE
5619	Acari/RN
5620	AcauÃ­/PI
5621	AceguáV
5622	Acopiara/CE
5623	Acorizal/MT
5624	Acrelândia/AC
5625	Acreúna/GO
5626	Açu/RN
5627	Açucena/MG
5628	Adamantina/SP
5629	AdelÃ¢ndia/GO
5630	Adrianópolis/PR
5631	Adustina/BA
5632	Afogados da Ingazeira/PE
5633	Afonso Bezerra/RN
5634	Afonso Cláudio/ES
5635	Afonso Cunha/MA
5636	AfrÃ¢nio/PE
5637	Afuá/PA
5638	Agrestina/PE
5639	AgricolÃ¢ndia/PI
5640	AgrolÃ¢ndia/SC
5641	AgronÃŽmica/SC
5642	Água Azul do Norte/PA
5643	Água Boa/MG
5644	Água Boa/MT
5645	Água Branca/PB
5646	Água Branca/AL
5647	Água Branca/PI
5648	Água Clara/MS
5649	Água Comprida/MG
5650	Água Doce/SC
5651	Água Doce do MaranhÃ­o/MA
5652	Água Doce do Norte/ES
5653	Água Fria/BA
5654	Água Fria de Goiás/GO
5655	Água Limpa/GO
5656	Água Nova/RN
5657	Água Preta/PE
5658	Água Santa/RS
5659	Aguaí­/SP
5660	Aguanil/MG
5661	Águas Belas/PE
5662	Águas da Prata/SP
5663	Águas de Chapecó/SC
5664	Águas de Lindóia/SP
5665	Águas de Santa Bárbara/SP
5666	Águas de SÃ­o Pedro/SP
5667	Águas Formosas/MG
5668	Águas Frias/SC
5669	Águas Lindas de Goiás/GO
5670	Águas Mornas/SC
5671	Águas Vermelhas/MG
5672	Agudo/RS
5673	Agudos/SP
5674	Agudos do Sul/PR
5675	Águia Branca/ES
5676	Aguiar/PB
5677	Aguiarnópolis/TO
5678	Aimorés/MG
5679	Aiquara/BA
5680	Aiuaba/CE
5681	Aiuruoca/MG
5682	Ajuricaba/RS
5683	Alagoa/MG
5684	Alagoa Grande/PB
5685	Alagoa Nova/PB
5686	Alagoinha/PB
5687	Alagoinha/PE
5688	Alagoinha do Piauí­/PI
5689	Alagoinhas/BA
5690	Alambari/SP
5691	Albertina/MG
5692	Alcântara/MA
5693	Alcântaras/CE
5694	Alcantil/PB
5695	Alcinópolis/MS
5696	Alcobaça/BA
5697	Aldeias Altas/MA
5698	Alecrim/RS
5699	Alegre/ES
5700	Alegrete/RS
5701	Alegrete do Piauí­/PI
5702	Alegria/RS
5703	Além Paraí­ba/MG
5704	Alenquer/PA
5705	Alexandria/RN
5706	Alexânia/GO
5707	Alfenas/MG
5708	Alfredo Chaves/ES
5709	Alfredo Marcondes/SP
5710	Alfredo Vasconcelos/MG
5711	Alfredo Wagner/SC
5712	AlgodÃ­o de Jandaí­ra/PB
5713	Alhandra/PB
5714	Aliança/PE
5715	Aliança do Tocantins/TO
5716	Almadina/BA
5717	Almas/TO
5718	Almeirim/PA
5719	Almenara/MG
5720	Almino Afonso/RN
5721	Almirante Tamandaré/PR
5722	Almirante Tamandaré do Sul/RS
5723	Aloândia/GO
5724	Alpercata/MG
5725	Alpestre/RS
5726	Alpinópolis/MG
5727	Alta Floresta/MT
5728	Alta Floresta d&apos;Oeste/RO
5729	Altair/SP
5730	Altamira/PA
5731	Altamira do MaranhÃ­o/MA
5732	Altamira do Paraná/PR
5733	Altaneira/CE
5734	Alterosa/MG
5735	Altinho/PE
5736	Altinópolis/SP
5737	Alto Alegre/RR
5738	Alto Alegre/SP
5739	Alto Alegre/RS
5740	Alto Alegre do MaranhÃ­o/MA
5741	Alto Alegre do Pindaré/MA
5742	Alto Alegre dos Parecis/RO
5743	Alto Araguaia/MT
5744	Alto Bela Vista/SC
5745	Alto Boa Vista/MT
5746	Alto Caparaó/MG
5747	Alto do Rodrigues/RN
5748	Alto Feliz/RS
5749	Alto Garças/MT
5750	Alto Horizonte/GO
5751	Alto Jequitibá/MG
5752	Alto Longá/PI
5753	Alto Paraguai/MT
5754	Alto Paraí­so/RO
5755	Alto Paraí­so de Goiás/GO
5756	Alto Paraná/PR
5757	Alto Parnaí­ba/MA
5758	Alto Piquiri/PR
5759	Alto Rio Doce/MG
5760	Alto Rio Novo/ES
5761	Alto Santo/CE
5762	Alto Taquari/MT
5763	AltÃŽnia/PR
5764	Altos/PI
5765	Alumí­nio/SP
5766	AlvarÃ­es/AM
5767	Alvarenga/MG
5768	Álvares Florence/SP
5769	Álvares Machado/SP
5770	Álvaro de Carvalho/SP
5771	Alvinlândia/SP
5772	Alvinópolis/MG
5773	Alvorada/TO
5774	Alvorada/RS
5775	Alvorada de Minas/MG
5776	Alvorada do Gurguéia/PI
5777	Alvorada do Norte/GO
5778	Alvorada do Sul/PR
5779	Alvorada d&apos;Oeste/RO
5780	Amajari/RR
5781	Amambaí­/MS
5782	Amapá/AP
5783	Amapá do MaranhÃ­o/MA
5784	AmaporÃ­/PR
5785	Amaraji/PE
5786	Amaral Ferrador/RS
5787	Amaralina/GO
5788	Amarante/PI
5789	Amarante do MaranhÃ­o/MA
5790	Amargosa/BA
5791	Amaturá/AM
5792	Amélia Rodrigues/BA
5793	América Dourada/BA
5794	Americana/SP
5795	Americano do Brasil/GO
5796	Américo Brasiliense/SP
5797	Américo de Campos/SP
5798	Ametista do Sul/RS
5799	Amontada/CE
5800	Amorinópolis/GO
5801	Amparo/PB
5802	Amparo/SP
5803	Amparo de SÃ­o Francisco/SE
5804	Amparo do Serra/MG
5805	Ampére/PR
5806	Anadia/AL
5807	Anagé/BA
5808	Anahy/PR
5809	Anajás/PA
5810	Anajatuba/MA
5811	Analândia/SP
5812	AnamÃ­/AM
5813	Ananás/TO
5814	Ananindeua/PA
5815	Anápolis/GO
5816	Anapu/PA
5817	Anapurus/MA
5818	Anastácio/MS
5819	Anaurilândia/MS
5820	Anchieta/ES
5821	Anchieta/SC
5822	Andaraí­/BA
5823	Andirá/PR
5824	Andorinha/BA
5825	Andradas/MG
5826	Andradina/SP
5827	André da Rocha/RS
5828	Andrelândia/MG
5829	Angatuba/SP
5830	Angelândia/MG
5831	Angélica/MS
5832	Angelim/PE
5833	Angelina/SC
5834	Angical/BA
5835	Angical do Piauí­/PI
5836	Angico/TO
5837	Angicos/RN
5838	Angra dos Reis/RJ
5839	Anguera/BA
5840	Ã­?ngulo/PR
5841	Anhanguera/GO
5842	Anhembi/SP
5843	Anhumas/SP
5844	Anicuns/GO
5845	Aní­sio de Abreu/PI
5846	Anita Garibaldi/SC
5847	Anitápolis/SC
5848	Anori/AM
5849	Anta Gorda/RS
5850	Antas/BA
5851	Antonina/PR
5852	Antonina do Norte/CE
5853	Antônio Almeida/PI
5854	Antônio Cardoso/BA
5855	Antônio Carlos/MG
5856	Antônio Carlos/SC
5857	Antônio Dias/MG
5858	Antônio Gonçalves/BA
5859	Antônio JoÃ­o/MS
5860	Antônio Martins/RN
5861	Antônio Olinto/PR
5862	Antônio Prado/RS
5863	Antônio Prado de Minas
5864	Aparecida/PB
5865	Aparecida/SP
5866	Aparecida de Goiânia/GO
5867	Aparecida do Rio Doce/GO
5868	Aparecida do Rio Negro/TO
5869	Aparecida do Taboado/MS
5870	Aparecida d&apos;Oeste/SP
5871	Aperibé/RJ
5872	Apiacá/ES
5873	Apiacás/MT
5874	Apiaí­/SP
5875	Apicum-Açu/MA
5876	Apiúna/SC
5877	Apodi/RN
5878	Aporá/BA
5879	Aporé/GO
5880	Apuarema/BA
5881	Apucarana/PR
5882	Apuí­/AM
5883	Apuiarés/CE
5884	AquidabÃ­/SE
5885	Aquidauana/MS
5886	Aquiraz/CE
5887	ArabutÃ­/SC
5888	Araçagi/PB
5889	Araçaí­/MG
5890	Araçariguama/SP
5891	Araças/BA
5892	Aracati/CE
5893	Aracatu/BA
5894	Araçatuba/SP
5895	Araci/BA
5896	Aracitaba/MG
5897	Aracoiaba/CE
5898	Araçoiaba/PE
5899	Araçoiaba da Serra/SP
5900	Aracruz/ES
5901	Araçu/GO
5902	Araçuaí­/MG
5903	Aragarças/GO
5904	Aragoiânia/GO
5905	Aragominas/TO
5906	Araguacema/TO
5907	Araguaçu/TO
5908	Araguaiana/MT
5909	Araguaí­na/TO
5910	Araguainha/MT
5911	AraguanÃ­/TO
5912	AraguanÃ­/MA
5913	Araguapaz/GO
5914	Araguari/MG
5915	Araguatins/TO
5916	Araioses/MA
5917	Aral Moreira/MS
5918	Aramari/BA
5919	Arambaré/RS
5920	Arame/MA
5921	Aramina/SP
5922	Arandu/SP
5923	Arantina/MG
5924	Arapeí­/SP
5925	Arapiraca/AL
5926	Arapoema/TO
5927	Araponga/MG
5928	Arapongas/PR
5929	AraporÃ­/MG
5930	Arapoti/PR
5931	Arapuá/MG
5932	ArapuÃ­/PR
5933	Araputanga/MT
5934	Araquari/SC
5935	Arara/PB
5936	Araranguá/SC
5937	Araraquara/SP
5938	Araras/SP
5939	Ararendá/CE
5940	Arari/MA
5941	Araricá/RS
5942	Araripe/CE
5943	Araripina/PE
5944	Araruama/RJ
5945	Araruna/PR
5946	Araruna/PB
5947	Arataca/BA
5948	Aratiba/RS
5949	Aratuba/CE
5950	Aratuí­pe/BA
5951	Arauá/SE
5952	Araucária/PR
5953	Araújos/MG
5954	Araxá/MG
5955	Arceburgo/MG
5956	Arco-Ã­?ris/SP
5957	Arcos/MG
5958	Arcoverde/PE
5959	Areado/MG
5960	Areal/RJ
5961	Arealva/SP
5962	Areia/PB
5963	Areia Branca/RN
5964	Areia Branca/SE
5965	Areia de Baraúnas/PB
5966	Areial/PB
5967	Areias/SP
5968	Areiópolis/SP
5969	Arenápolis/MT
5970	Arenópolis/GO
5971	Aríªs/RN
5972	Argirita/MG
5973	Aricanduva/MG
5974	Arinos/MG
5975	AripuanÃ­/MT
5976	Ariquemes/RO
5977	Ariranha/SP
5978	Ariranha do Ivaí­/PR
5979	ArmaçÃ­o dos Búzios/RJ
5980	Armazém/SC
5981	Arneiroz/CE
5982	Aroazes/PI
5983	Aroeiras/PB
5984	Arraial/PI
5985	Arraial do Cabo/RJ
5986	Arraias/TO
5987	Arroio do Meio/RS
5988	Arroio do Padre/RS
5989	Arroio do Sal/RS
5990	Arroio do Tigre/RS
5991	Arroio dos Ratos/RS
5992	Arroio Grande/RS
5993	Arroio Trinta/SC
5994	Artur Nogueira/SP
5995	AruanÃ­/GO
5996	Arujá/SP
5997	Arvoredo/SC
5998	Arvorezinha/RS
5999	Ascurra/SC
6000	Aspásia/SP
6001	Assaí­/PR
6002	Assaré/CE
6003	Assis/SP
6004	Assis Brasil/AC
6005	Assis Chateaubriand/PR
6006	AssunçÃ­o/PB
6007	AssunçÃ­o do Piauí­/PI
6008	Astolfo Dutra/MG
6009	Astorga/PR
6010	Atalaia/PR
6011	Atalaia/AL
6012	Atalaia do Norte/AM
6013	Atalanta/SC
6014	Ataléia/MG
6015	Atibaia/SP
6016	Atilio Vivacqua/ES
6017	Augustinópolis/TO
6018	Augusto Corríªa/PA
6019	Augusto de Lima/MG
6020	Augusto Pestana/RS
6021	Augusto Severo/RN
6022	Áurea/RS
6023	Aurelino Leal/BA
6024	Auriflama/SP
6025	Aurilândia/GO
6026	Aurora/SC
6027	Aurora/CE
6028	Aurora do Pará/PA
6029	Aurora do Tocantins/TO
6030	Autazes/AM
6031	Avaí­/SP
6032	Avanhandava/SP
6033	Avaré/SP
6034	Aveiro/PA
6035	Avelino Lopes/PI
6036	Avelinópolis/GO
6037	Axixá/MA
6038	Axixá do Tocantins/TO
6039	Babaçulândia/TO
6040	Bacabal/MA
6041	Bacabeira/MA
6042	Bacuri/MA
6043	Bacurituba/MA
6044	Bady Bassitt/SP
6045	Baependi/MG
6046	Bagé/RS
6047	Bagre/PA
6048	Baí­a da TraiçÃ­o/PB
6049	Baí­a Formosa/RN
6050	Baianópolis/BA
6051	BaiÃ­o/PA
6052	Baixa Grande/BA
6053	Baixa Grande do Ribeiro/PI
6054	Baixio/CE
6055	Baixo Guandu/ES
6056	Balbinos/SP
6057	Baldim/MG
6058	Baliza/GO
6059	Balneário Arroio do Silva/SC
6060	Balneário Barra do Sul/SC
6061	Balneário Camboriú/SC
6062	Balneário Gaivota/SC
6063	Balneário Pinhal/RS
6064	Balsa Nova/PR
6065	Bálsamo/SP
6066	Balsas/MA
6067	Bambuí­/MG
6068	Banabuiú/CE
6069	Bananal/SP
6070	Bananeiras/PB
6071	Bandeira/MG
6072	Bandeira do Sul/MG
6073	Bandeirante/SC
6074	Bandeirantes/PR
6075	Bandeirantes/MS
6076	Bandeirantes do Tocantins/TO
6077	Bannach/PA
6078	Banzaíª/BA
6079	BarÃ­o/RS
6080	BarÃ­o de Antonina/SP
6081	BarÃ­o de Cocais/MG
6082	BarÃ­o de Cotegipe/RS
6083	BarÃ­o de Grajaú/MA
6084	BarÃ­o de Melgaço/MT
6085	BarÃ­o de Monte Alto/MG
6086	BarÃ­o do Triunfo/RS
6087	Baraúna/RN
6088	Baraúna/PB
6089	Barbacena/MG
6090	Barbalha/CE
6091	Barbosa/SP
6092	Barbosa Ferraz/PR
6093	Barcarena/PA
6094	Barcelona/RN
6095	Barcelos/AM
6096	Bariri/SP
6097	Barra/BA
6098	Barra Bonita/SP
6099	Barra Bonita/SC
6100	Barra da Estiva/BA
6101	Barra d&apos;Alcântara/PI
6102	Barra de Guabiraba/PE
6103	Barra de Santa Rosa/PB
6104	Barra de Santana/PB
6105	Barra de Santo Antônio/AL
6106	Barra de SÃ­o Francisco/ES
6107	Barra de SÃ­o Miguel/PB
6108	Barra de SÃ­o Miguel/AL
6109	Barra do Bugres/MT
6110	Barra do Chapéu/SP
6111	Barra do Choça/BA
6112	Barra do Corda/MA
6113	Barra do Garças/MT
6114	Barra do Guarita/RS
6115	Barra do Jacaré/PR
6116	Barra do Mendes/BA
6117	Barra do Ouro/TO
6118	Barra do Piraí­/RJ
6119	Barra do Quaraí­/RS
6120	Barra do Ribeiro/RS
6121	Barra do Rio Azul/RS
6122	Barra do Rocha/BA
6123	Barra do Turvo/SP
6124	Barra dos Coqueiros/SE
6125	Barra Funda/RS
6126	Barra Longa/MG
6127	Barra Mansa/RJ
6128	Barra Velha/SC
6129	BarracÃ­o/PR
6130	BarracÃ­o/RS
6131	Barras/PI
6132	Barreira/CE
6133	Barreiras/BA
6134	Barreiras do Piauí­/PI
6135	Barreirinha/AM
6136	Barreirinhas/MA
6137	Barreiros/PE
6138	Barretos/SP
6139	Barrinha/SP
6140	Barro/CE
6141	Barro Alto/GO
6142	Barro Alto/BA
6143	Barro Duro/PI
6144	Barrocas/BA
6145	Barrolândia/TO
6146	Barroquinha/CE
6147	Barros Cassal/RS
6148	Barroso/MG
6149	Barueri/SP
6150	Bastos/SP
6151	Bataguassu/MS
6152	Batalha/AL
6153	Batalha/PI
6154	Batatais/SP
6155	BatayporÃ­/MS
6156	Baturité/CE
6157	Bauru/SP
6158	Bayeux/PB
6159	Bebedouro/SP
6160	Beberibe/CE
6161	Bela Cruz/CE
6162	Bela Vista/MS
6163	Bela Vista da Caroba/PR
6164	Bela Vista de Goiás/GO
6165	Bela Vista de Minas/MG
6166	Bela Vista do MaranhÃ­o/MA
6167	Bela Vista do Paraí­so/PR
6168	Bela Vista do Piauí­/PI
6169	Bela Vista do Toldo/SC
6170	Belágua/MA
6171	Belém/PB
6172	Belém/AL
6173	Belém de Maria/PE
6174	Belém de SÃ­o Francisco/PE
6175	Belém do Brejo do Cruz/PB
6176	Belém do Piauí­/PI
6177	Belford Roxo/RJ
6178	Belmiro Braga/MG
6179	Belmonte/SC
6180	Belmonte/BA
6181	Belo Campo/BA
6182	Belo Jardim/PE
6183	Belo Monte/AL
6184	Belo Oriente/MG
6185	Belo Vale/MG
6186	Belterra/PA
6187	Beneditinos/PI
6188	Benedito Leite/MA
6189	Benedito Novo/SC
6190	Benevides/PA
6191	Benjamin Constant/AM
6192	Benjamin Constant do Sul/RS
6193	Bento de Abreu/SP
6194	Bento Fernandes/RN
6195	Bento Gonçalves/RS
6196	BequimÃ­o/MA
6197	Berilo/MG
6198	Berizal/MG
6199	Bernardino Batista/PB
6200	Bernardino de Campos/SP
6201	Bernardo do Mearim/MA
6202	Bernardo SayÃ­o/TO
6203	Bertioga/SP
6204	Bertolí­nia/PI
6205	Bertópolis/MG
6206	Beruri/AM
6207	Betânia/PE
6208	Betânia do Piauí­/PI
6209	Betim/MG
6210	Bezerros/PE
6211	Bias Fortes/MG
6212	Bicas/MG
6213	Biguaçu/SC
6214	Bilac/SP
6215	Biquinhas/MG
6216	Birigui/SP
6217	Biritiba-Mirim/SP
6218	Biritinga/BA
6219	Bituruna/PR
6220	Blumenau/SC
6221	Boa Esperança/PR
6222	Boa Esperança/ES
6223	Boa Esperança/MG
6224	Boa Esperança do Iguaçu/PR
6225	Boa Esperança do Sul/SP
6226	Boa Hora/PI
6227	Boa Nova/BA
6228	Boa Ventura/PB
6229	Boa Ventura de SÃ­o Roque/PR
6230	Boa Viagem/CE
6231	Boa Vista/PB
6232	Boa Vista da Aparecida/PR
6233	Boa Vista das Missíµes/RS
6234	Boa Vista do Buricá/RS
6235	Boa Vista do Cadeado/RS
6236	Boa Vista do Gurupi/MA
6237	Boa Vista do Incra/RS
6238	Boa Vista do Ramos/AM
6239	Boa Vista do Sul/RS
6240	Boa Vista do Tupim/BA
6241	Boca da Mata/AL
6242	Boca do Acre/AM
6243	Bocaina/SP
6244	Bocaina/PI
6245	Bocaina de Minas/MG
6246	Bocaina do Sul/SC
6247	Bocaiúva/MG
6248	Bocaiúva do Sul/PR
6249	Bodó/RN
6250	Bodocó/PE
6251	Bodoquena/MS
6252	Bofete/SP
6253	Boituva/SP
6254	Bom Conselho/PE
6255	Bom Despacho/MG
6256	Bom Jardim/RJ
6257	Bom Jardim/MA
6258	Bom Jardim/PE
6259	Bom Jardim da Serra/SC
6260	Bom Jardim de Goiás/GO
6261	Bom Jardim de Minas/MG
6262	Bom Jesus/RN
6263	Bom Jesus/PB
6264	Bom Jesus/SC
6265	Bom Jesus/PI
6266	Bom Jesus/RS
6267	Bom Jesus da Lapa/BA
6268	Bom Jesus da Penha/MG
6269	Bom Jesus da Serra/BA
6270	Bom Jesus das Selvas/MA
6271	Bom Jesus de Goiás/GO
6272	Bom Jesus do Amparo/MG
6273	Bom Jesus do Araguaia/MT
6274	Bom Jesus do Galho/MG
6275	Bom Jesus do Itabapoana/RJ
6276	Bom Jesus do Norte/ES
6277	Bom Jesus do Oeste/SC
6278	Bom Jesus do Sul/PR
6279	Bom Jesus do Tocantins/PA
6280	Bom Jesus do Tocantins/TO
6281	Bom Jesus dos Perdíµes/SP
6282	Bom Lugar/MA
6283	Bom Princí­pio/RS
6284	Bom Princí­pio do Piauí­/PI
6285	Bom Progresso/RS
6286	Bom Repouso/MG
6287	Bom Retiro/SC
6288	Bom Retiro do Sul/RS
6289	Bom Sucesso/PR
6290	Bom Sucesso/PB
6291	Bom Sucesso/MG
6292	Bom Sucesso de Itararé/SP
6293	Bom Sucesso do Sul/PR
6294	Bombinhas/SC
6295	Bonfim/RR
6296	Bonfim/MG
6297	Bonfim do Piauí­/PI
6298	Bonfinópolis/GO
6299	Bonfinópolis de Minas/MG
6300	Boninal/BA
6301	Bonito/PA
6302	Bonito/MS
6303	Bonito/PE
6304	Bonito/BA
6305	Bonito de Minas/MG
6306	Bonito de Santa Fé/PB
6307	Bonópolis/GO
6308	BoqueirÃ­o/PB
6309	BoqueirÃ­o do LeÃ­o/RS
6310	BoqueirÃ­o do Piauí­/PI
6311	Boquim/SE
6312	Boquira/BA
6313	Borá/SP
6314	Boracéia/SP
6315	Borba/AM
6316	Borborema/PB
6317	Borborema/SP
6318	Borda da Mata/MG
6319	Borebi/SP
6320	Borrazópolis/PR
6321	Bossoroca/RS
6322	Botelhos/MG
6323	Botucatu/SP
6324	Botumirim/MG
6325	BotuporÃ­/BA
6326	Botuverá/SC
6327	Bozano/RS
6328	Braço do Norte/SC
6329	Braço do Trombudo/SC
6330	Braga/RS
6331	Bragança/PA
6332	Bragança Paulista/SP
6333	Braganey/PR
6334	Branquinha/AL
6335	Brás Pires/MG
6336	Brasil Novo/PA
6337	Brasilândia/MS
6338	Brasilândia de Minas/MG
6339	Brasilândia do Sul/PR
6340	Brasilândia do Tocantins/TO
6341	Brasiléia/AC
6342	Brasileira/PI
6343	Brasí­lia de Minas/MG
6344	Brasnorte/MT
6345	Brasópolis/MG
6346	Braúna/SP
6347	Braúnas/MG
6348	Brazabrantes/GO
6349	BrejÃ­o/PE
6350	Brejetuba/ES
6351	Brejinho/RN
6352	Brejinho/PE
6353	Brejinho de Nazaré/TO
6354	Brejo/MA
6355	Brejo Alegre/SP
6356	Brejo da Madre de Deus/PE
6357	Brejo de Areia/MA
6358	Brejo do Cruz/PB
6359	Brejo do Piauí­/PI
6360	Brejo dos Santos/PB
6361	Brejo Grande/SE
6362	Brejo Grande do Araguaia/PA
6363	Brejo Santo/CE
6364	Brejíµes/BA
6365	Brejolândia/BA
6366	Breu Branco/PA
6367	Breves/PA
6368	Britânia/GO
6369	Brochier/RS
6370	Brodowski/SP
6371	Brotas/SP
6372	Brotas de Macaúbas/BA
6373	Brumadinho/MG
6374	Brumado/BA
6375	Brunópolis/SC
6376	Brusque/SC
6377	Bueno BrandÃ­o/MG
6378	Buenópolis/MG
6379	Buenos Aires/PE
6380	Buerarema/BA
6381	Bugre/MG
6382	Buí­que/PE
6383	Bujari/AC
6384	Bujaru/PA
6385	Buri/SP
6386	Buritama/SP
6387	Buriti/MA
6388	Buriti Alegre/GO
6389	Buriti Bravo/MA
6390	Buriti de Goiás/GO
6391	Buriti do Tocantins/TO
6392	Buriti dos Lopes/PI
6393	Buriti dos Montes/PI
6394	Buriticupu/MA
6395	Buritinópolis/GO
6396	Buritirama/BA
6397	Buritirana/MA
6398	Buritis/RO
6399	Buritis/MG
6400	Buritizal/SP
6401	Buritizeiro/MG
6402	Butiá/RS
6403	Caapiranga/AM
6404	CaaporÃ­/PB
6405	Caarapó/MS
6406	Caatiba/BA
6407	Cabaceiras/PB
6408	Cabaceiras do Paraguaçu/BA
6409	Cabeceira Grande/MG
6410	Cabeceiras/GO
6411	Cabeceiras do Piauí­/PI
6412	Cabedelo/PB
6413	Cabixi/RO
6414	Cabo de Santo Agostinho/PE
6415	Cabo Frio/RJ
6416	Cabo Verde/MG
6417	Cabrália Paulista/SP
6418	Cabreúva/SP
6419	Cabrobó/PE
6420	Caçador/SC
6421	Caçapava/SP
6422	Caçapava do Sul/RS
6423	Cacaulândia/RO
6424	Cacequi/RS
6425	Cáceres/MT
6426	Cachoeira/BA
6427	Cachoeira Alta/GO
6428	Cachoeira da Prata/MG
6429	Cachoeira de Goiás/GO
6430	Cachoeira de Minas/MG
6431	Cachoeira de Pajeú/MG
6432	Cachoeira do Arari/PA
6433	Cachoeira do Piriá/PA
6434	Cachoeira do Sul/RS
6435	Cachoeira dos Ã­?ndios/PB
6436	Cachoeira Dourada/MG
6437	Cachoeira Dourada/GO
6438	Cachoeira Grande/MA
6439	Cachoeira Paulista/SP
6440	Cachoeiras de Macacu/RJ
6441	Cachoeirinha/TO
6442	Cachoeirinha/PE
6443	Cachoeirinha/RS
6444	Cachoeiro de Itapemirim/ES
6445	Cacimba de Areia/PB
6446	Cacimba de Dentro/PB
6447	Cacimbas/PB
6448	Cacimbinhas/AL
6449	Cacique Doble/RS
6450	Cacoal/RO
6451	Caconde/SP
6452	Caçu/GO
6453	Caculé/BA
6454	Caém/BA
6455	Caetanópolis/MG
6456	Caetanos/BA
6457	Caeté/MG
6458	Caetés/PE
6459	Caetité/BA
6460	Cafarnaum/BA
6461	Cafeara/PR
6462	Cafelândia/PR
6463	Cafelândia/SP
6464	Cafezal do Sul/PR
6465	Caiabu/SP
6466	Caiana/MG
6467	Caiapônia/GO
6468	Caibaté/RS
6469	Caibi/SC
6470	Caiçara/PB
6471	Caiçara/RS
6472	Caiçara do Norte/RN
6473	Caiçara do Rio do Vento/RN
6474	Caicó/RN
6475	Caieiras/SP
6476	Cairu/BA
6477	Caiuá/SP
6478	Cajamar/SP
6479	Cajapió/MA
6480	Cajari/MA
6481	Cajati/SP
6482	Cajazeiras/PB
6483	Cajazeiras do Piauí­/PI
6484	Cajazeirinhas/PB
6485	Cajobi/SP
6486	Cajueiro/AL
6487	Cajueiro da Praia/PI
6488	Cajuri/MG
6489	Cajuru/SP
6490	Calçado/PE
6491	Calçoene/AP
6492	Caldas/MG
6493	Caldas BrandÃ­o/PB
6494	Caldas Novas/GO
6495	Caldazinha/GO
6496	CaldeirÃ­o Grande/BA
6497	CaldeirÃ­o Grande do Piauí­/PI
6498	Califórnia/PR
6499	Calmon/SC
6500	Calumbi/PE
6501	Camacan/BA
6502	Camaçari/BA
6503	Camacho/MG
6504	Camalaú/PB
6505	Camamu/BA
6506	Camanducaia/MG
6507	CamapuÃ­/MS
6508	CamaquÃ­/RS
6509	Camaragibe/PE
6510	Camargo/RS
6511	Cambará/PR
6512	Cambará do Sul/RS
6513	Cambé/PR
6514	Cambira/PR
6515	Camboriú/SC
6516	Cambuci/RJ
6517	Cambuí­/MG
6518	Cambuquira/MG
6519	Cametá/PA
6520	Camocim/CE
6521	Camocim de SÃ­o Félix/PE
6522	Campanário/MG
6523	Campanha/MG
6524	Campestre/MG
6525	Campestre/AL
6526	Campestre da Serra/RS
6527	Campestre de Goiás/GO
6528	Campestre do MaranhÃ­o/MA
6529	Campina da Lagoa/PR
6530	Campina das Missíµes/RS
6531	Campina do Monte Alegre/SP
6532	Campina do SimÃ­o/PR
6533	Campina Grande/PB
6534	Campina Grande do Sul/PR
6535	Campina Verde/MG
6536	Campinaçu/GO
6537	Campinápolis/MT
6538	Campinas/SP
6539	Campinas do Piauí­/PI
6540	Campinas do Sul/RS
6541	Campinorte/GO
6542	Campo Alegre/SC
6543	Campo Alegre/AL
6544	Campo Alegre de Goiás/GO
6545	Campo Alegre de Lourdes/BA
6546	Campo Alegre do Fidalgo/PI
6547	Campo Azul/MG
6548	Campo Belo/MG
6549	Campo Belo do Sul/SC
6550	Campo Bom/RS
6551	Campo Bonito/PR
6552	Campo de Santana/PB
6553	Campo do Brito/SE
6554	Campo do Meio/MG
6555	Campo do Tenente/PR
6556	Campo Eríª/SC
6557	Campo Florido/MG
6558	Campo Formoso/BA
6559	Campo Grande/AL
6560	Campo Grande do Piauí­/PI
6561	Campo Largo/PR
6562	Campo Largo do Piauí­/PI
6563	Campo Limpo de Goiás/GO
6564	Campo Limpo Paulista/SP
6565	Campo Magro/PR
6566	Campo MaiorV
6567	Campo MourÃ­o/PR
6568	Campo Novo/RS
6569	Campo Novo de Rondônia/RO
6570	Campo Novo do Parecis/MT
6571	Campo Redondo/RN
6572	Campo Verde/MT
6573	Campos Altos/MG
6574	Campos Belos/GO
6575	Campos Borges/RS
6576	Campos de Júlio/MT
6577	Campos do JordÃ­o/SP
6578	Campos dos Goytacazes/RJ
6579	Campos Gerais/MG
6580	Campos Lindos/TO
6581	Campos Novos/SC
6582	Campos Novos Paulista/SP
6583	Campos Sales/CE
6584	Campos Verdes/GO
6585	Camutanga/PE
6586	Cana Verde/MG
6587	CanaÃ­/MG
6588	CanaÃ­ dos Carajás/PA
6589	CanaBrava do Norte/MT
6590	Cananéia/SP
6591	Canapi/AL
6592	Canápolis/MG
6593	Canápolis/BA
6594	Canarana/MT
6595	Canarana/BA
6596	Canas/SP
6597	CanavieiraV
6598	Canavieiras/BA
6599	Candeal/BA
6600	Candeias/MG
6601	Candeias/BA
6602	Candeias do Jamari/RO
6603	Candelária/RS
6604	Candiba/BA
6605	Cândido de Abreu/PR
6606	Cândido Godói/RS
6607	Cândido Mendes/MA
6608	Cândido Mota/SP
6609	Cândido Rodrigues/SP
6610	Cândido Sales/BA
6611	Candiota/RS
6612	Candói/PR
6613	Canela/RS
6614	Canelinha/SC
6615	Canguaretama/RN
6616	Canguçu/RS
6617	Canhoba/SE
6618	Canhotinho/PE
6619	Canindé/CE
6620	Canindé de SÃ­o Francisco/SE
6621	Canitar/SP
6622	Canoas/RS
6623	Canoinhas/SC
6624	CansançÃ­o/BA
6625	Cantá/RR
6626	Cantagalo/PR
6627	Cantagalo/RJ
6628	Cantagalo/MG
6629	Cantanhede/MA
6630	Canto do Buriti/PI
6631	Canudos/BA
6632	Canudos do Vale/RS
6633	Canutama/AM
6634	Capanema/PA
6635	Capanema/PR
6636	CapÃ­o Alto/SC
6637	CapÃ­o Bonito/SP
6638	CapÃ­o Bonito do Sul/RS
6639	CapÃ­o da Canoa/RS
6640	CapÃ­o do Cipó/RS
6641	CapÃ­o do LeÃ­o/RS
6642	Caparaó/MG
6643	Capela/AL
6644	Capela/SE
6645	Capela de Santana/RS
6646	Capela do Alto/SP
6647	Capela do Alto Alegre/BA
6648	Capela Nova/MG
6649	Capelinha/MG
6650	Capetinga/MG
6651	Capim/PB
6652	Capim Branco/MG
6653	Capim Grosso/BA
6654	Capinópolis/MG
6655	Capinzal/SC
6656	Capinzal do Norte/MA
6657	Capistrano/CE
6658	CapitÃ­o/RS
6659	CapitÃ­o Andrade/MG
6660	CapitÃ­o de Campos/PI
6661	CapitÃ­o Enéas/MG
6662	CapitÃ­o Gervásio Oliveira/PI
6663	CapitÃ­o Leônidas Marques/PR
6664	CapitÃ­o Poço/PA
6665	Capitólio/MG
6666	Capivari/SP
6667	Capivari de Baixo/SC
6668	Capivari do Sul/RS
6669	Capixaba/AC
6670	Capoeiras/PE
6671	Caputira/MG
6672	Caraá/RS
6673	Caracaraí­/RR
6674	Caracol/MS
6675	Caracol/PI
6676	Caraguatatuba/SP
6677	Caraí­/MG
6678	Caraí­bas/BA
6679	Carambeí­/PR
6680	Caranaí­ba/MG
6681	Carandaí­/MG
6682	Carangola/MG
6683	Carapebus/RJ
6684	Carapicuí­ba/SP
6685	Caratinga/MG
6686	Carauari/AM
6687	Caraúbas/RN
6688	Caraúbas/PB
6689	Caraúbas do Piauí­/PI
6690	Caravelas/BA
6691	Carazinho/RS
6692	Carbonita/MG
6693	Cardeal da Silva/BA
6694	Cardoso/SP
6695	Cardoso Moreira/RJ
6696	Careaçu/MG
6697	Careiro/AM
6698	Careiro da Várzea/AM
6699	Cariacica/ES
6700	Caridade/CE
6701	Caridade do Piauí­/PI
6702	Carinhanha/BA
6703	Carira/SE
6704	Cariré/CE
6705	Cariri do Tocantins/TO
6706	Caririaçu/CE
6707	Cariús/CE
6708	Carlinda/MT
6709	Carlópolis/PR
6710	Carlos Barbosa/RS
6711	Carlos Chagas/MG
6712	Carlos Gomes/RS
6713	Carmésia/MG
6714	Carmo/RJ
6715	Carmo da Cachoeira/MG
6716	Carmo da Mata/MG
6717	Carmo de Minas/MG
6718	Carmo do Cajuru/MG
6719	Carmo do Paranaí­ba/MG
6720	Carmo do Rio Claro/MG
6721	Carmo do Rio Verde/GO
6722	Carmolândia/TO
6723	Carmópolis/SE
6724	Carmópolis de Minas/MG
6725	Carnaí­ba/PE
6726	Carnaúba dos Dantas/RN
6727	Carnaubais/RN
6728	Carnaubal/CE
6729	Carnaubeira da Penha/PE
6730	Carneirinho/MG
6731	Carneiros/AL
6732	Caroebe/RR
6733	Carolina/MA
6734	Carpina/PE
6735	Carrancas/MG
6736	Carrapateira/PB
6737	Carrasco Bonito/TO
6738	Caruaru/PE
6739	Carutapera/MA
6740	Carvalhópolis/MG
6741	Carvalhos/MG
6742	Casa Branca/SP
6743	Casa Grande/MG
6744	Casa Nova/BA
6745	Casca/RS
6746	Cascalho Rico/MG
6747	Cascavel/CE
6748	Cascavel/PR
6749	Caseara/TO
6750	Caseiros/RS
6751	Casimiro de Abreu/RJ
6752	Casinhas/PE
6753	Casserengue/PB
6754	Cássia/MG
6755	Cássia dos Coqueiros/SP
6756	Cassilândia/MS
6757	Castanhal/PA
6758	Castanheira/MT
6759	Castanheiras/RO
6760	Castelândia/GO
6761	Castelo/ES
6762	Castelo do Piauí­/PI
6763	Castilho/SP
6764	Castro/PR
6765	Castro Alves/BA
6766	Cataguases/MG
6767	CatalÃ­o/GO
6768	Catanduva/SP
6769	Catanduvas/PR
6770	Catanduvas/SC
6771	Catarina/CE
6772	Catas Altas/MG
6773	Catas Altas da Noruega/MG
6774	Catende/PE
6775	Catiguá/SP
6776	Catingueira/PB
6777	Catolândia/BA
6778	Catolé do Rocha/PB
6779	Catu/BA
6780	Catuí­pe/RS
6781	Catuji/MG
6782	Catunda/CE
6783	Caturaí­/GO
6784	Caturama/BA
6785	Caturité/PB
6786	Catuti/MG
6787	Caucaia/CE
6788	Cavalcante/GO
6789	Caxambu/MG
6790	Caxambu do Sul/SC
6791	Caxias/MA
6792	Caxias do Sul/RS
6793	Caxingó/PI
6794	Ceará-Mirim/RN
6795	Cedral/SP
6796	Cedral/MA
6797	Cedro/CE
6798	Cedro/PE
6799	Cedro de SÃ­o JoÃ­o/SE
6800	Cedro do Abaeté/MG
6801	Celso Ramos/SC
6802	Centenário/TO
6803	Centenário/RS
6804	Centenário do Sul/PR
6805	Central/BA
6806	Central de Minas/MG
6807	Central do MaranhÃ­o/MA
6808	Centralina/MG
6809	Centro do Guilherme/MA
6810	Centro Novo do MaranhÃ­o/MA
6811	Cerejeiras/RO
6812	Ceres/GO
6813	Cerqueira César/SP
6814	Cerquilho/SP
6815	Cerrito/RS
6816	Cerro Azul/PR
6817	Cerro Branco/RS
6818	Cerro Corá/RN
6819	Cerro Grande/RS
6820	Cerro Grande do Sul/RS
6821	Cerro Largo/RS
6822	Cerro Negro/SC
6823	Cesário Lange/SP
6824	Céu Azul/PR
6825	Cezarina/GO
6826	ChÃ­ de Alegria/PE
6827	ChÃ­ Grande/PE
6828	ChÃ­ Preta/AL
6829	Chácara/MG
6830	Chalé/MG
6831	Chapada/RS
6832	Chapada da Natividade/TO
6833	Chapada de Areia/TO
6834	Chapada do Norte/MG
6835	Chapada dos GuimarÃ­es/MT
6836	Chapada Gaúcha/MG
6837	ChapadÃ­o do Céu/GO
6838	ChapadÃ­o do Lageado/SC
6839	ChapadÃ­o do Sul/MS
6840	Chapadinha/MA
6841	Chapecó/SC
6842	Charqueada/SP
6843	Charqueadas/RS
6844	Charrua/RS
6845	Chaval/CE
6846	Chavantes/SP
6847	Chaves/PA
6848	Chiador/MG
6849	Chiapetta/RS
6850	Chopinzinho/PR
6851	Choró/CE
6852	Chorozinho/CE
6853	Chorrochó/BA
6854	Chuí­/RS
6855	Chupinguaia/RO
6856	Chuvisca/RS
6857	Cianorte/PR
6858	Cí­cero Dantas/BA
6859	Cidade Gaúcha/PR
6860	Cidade Ocidental/GO
6861	Cidelândia/MA
6862	Cidreira/RS
6863	Cipó/BA
6864	Cipotânea/MG
6865	Cirí­aco/RS
6866	Claraval/MG
6867	Claro dos Poçíµes/MG
6868	Cláudia/MT
6869	Cláudio/MG
6870	Clementina/SP
6871	Clevelândia/PR
6872	Coaraci/BA
6873	Coari/AM
6874	Cocal/PI
6875	Cocal de Telha/PI
6876	Cocal do Sul/SC
6877	Cocal dos Alves/PI
6878	Cocalinho/MT
6879	Cocalzinho de Goiás/GO
6880	Cocos/BA
6881	Codajás/AM
6882	Codó/MA
6883	Coelho Neto/MA
6884	Coimbra/MG
6885	Coité do Nóia/AL
6886	Coivaras/PI
6887	Colares/PA
6888	Colatina/ES
6889	Colí­der/MT
6890	Colina/SP
6891	Colinas/MA
6892	Colinas/RS
6893	Colinas do Sul/GO
6894	Colinas do Tocantins/TO
6895	Colméia/TO
6896	Colniza/MT
6897	Colômbia/SP
6898	Colombo/PR
6899	Colônia do Gurguéia/PI
6900	Colônia do Piauí­/PI
6901	Colônia Leopoldina/AL
6902	Colorado/PR
6903	Colorado/RS
6904	Colorado do Oeste/RO
6905	Coluna/MG
6906	Combinado/TO
6907	Comendador Gomes/MG
6908	Comendador Levy Gasparian/RJ
6909	Comercinho/MG
6910	Comodoro/MT
6911	ConceiçÃ­o/PB
6912	ConceiçÃ­o da Aparecida/MG
6913	ConceiçÃ­o da Barra/ES
6914	ConceiçÃ­o da Barra de Minas/MG
6915	ConceiçÃ­o da Feira/BA
6916	ConceiçÃ­o das Alagoas/MG
6917	ConceiçÃ­o das Pedras/MG
6918	ConceiçÃ­o de Ipanema/MG
6919	ConceiçÃ­o de Macabu/RJ
6920	ConceiçÃ­o do Almeida/BA
6921	ConceiçÃ­o do Araguaia/PA
6922	ConceiçÃ­o do Canindé/PI
6923	ConceiçÃ­o do Castelo/ES
6924	ConceiçÃ­o do Coité/BA
6925	ConceiçÃ­o do Jacuí­pe/BA
6926	ConceiçÃ­o do Lago-Açu/MA
6927	ConceiçÃ­o do Mato Dentro/MG
6928	ConceiçÃ­o do Pará/MG
6929	ConceiçÃ­o do Rio Verde/MG
6930	ConceiçÃ­o do Tocantins/TO
6931	ConceiçÃ­o dos Ouros/MG
6932	Conchal/SP
6933	Conchas/SP
6934	Concórdia/SC
6935	Concórdia do Pará/PA
6936	Condado/PB
6937	Condado/PE
6938	Conde/BA
6939	Conde/PB
6940	Condeúba/BA
6941	Condor/RS
6942	Cônego Marinho/MG
6943	Confins/MG
6944	Confresa/MT
6945	Congo/PB
6946	Congonhal/MG
6947	Congonhas/MG
6948	Congonhas do Norte/MG
6949	Congonhinhas/PR
6950	Conquista/MG
6951	Conquista D&apos;oeste/MT
6952	Conselheiro Lafaiete/MG
6953	Conselheiro Mairinck/PR
6954	Conselheiro Pena/MG
6955	ConsolaçÃ­o/MG
6956	Constantina/RS
6957	Contagem/MG
6958	Contenda/PR
6959	Contendas do Sincorá/BA
6960	Coqueiral/MG
6961	Coqueiro Baixo/RS
6962	Coqueiro Seco/AL
6963	Coqueiros do Sul/RS
6964	CoraçÃ­o de Jesus/MG
6965	CoraçÃ­o de Maria/BA
6966	Corbélia/PR
6967	Cordeiro/RJ
6968	Cordeirópolis/SP
6969	Cordeiros/BA
6970	Cordilheira Alta/SC
6971	Cordisburgo/MG
6972	Cordislândia/MG
6973	Coreaú/CE
6974	Coremas/PB
6975	Corguinho/MS
6976	Coribe/BA
6977	Corinto/MG
6978	Cornélio Procópio/PR
6979	Coroaci/MG
6980	Coroados/SP
6981	Coroatá/MA
6982	Coromandel/MG
6983	Coronel Barros/RS
6984	Coronel Bicaco/RS
6985	Coronel Domingos Soares/PR
6986	Coronel Ezequiel/RN
6987	Coronel Fabriciano/MG
6988	Coronel Freitas/SC
6989	Coronel JoÃ­o Pessoa/RN
6990	Coronel JoÃ­o Sá/BA
6991	Coronel José Dias/PI
6992	Coronel Macedo/SP
6993	Coronel Martins/SC
6994	Coronel Murta/MG
6995	Coronel Pacheco/MG
6996	Coronel Pilar/RS
6997	Coronel Sapucaia/MS
6998	Coronel Vivida/PR
6999	Coronel Xavier Chaves/MG
7000	Córrego Danta/MG
7001	Córrego do Bom Jesus/MG
7002	Córrego do Ouro/GO
7003	Córrego Fundo/MG
7004	Córrego Novo/MG
7005	Correia Pinto/SC
7006	Corrente/PI
7007	Correntes/PE
7008	Correntina/BA
7009	Cortíªs/PE
7010	Corumbá/MS
7011	Corumbá de Goiás/GO
7012	Corumbaí­ba/GO
7013	Corumbataí­/SP
7014	Corumbataí­ do Sul/PR
7015	Corumbiara/RO
7016	Corupá/SC
7017	Coruripe/AL
7018	Cosmópolis/SP
7019	Cosmorama/SP
7020	Costa Marques/RO
7021	Costa Rica/MS
7022	Cotegipe/BA
7023	Cotia/SP
7024	CotiporÃ­/RS
7025	Cotriguaçu/MT
7026	Couto de MagalhÃ­es/TO
7027	Couto de MagalhÃ­es de Minas/MG
7028	Coxilha/RS
7029	Coxim/MS
7030	Coxixola/PB
7031	Craí­bas/AL
7032	Crateús/CE
7033	Crato/CE
7034	Cravinhos/SP
7035	Cravolândia/BA
7036	Criciúma/SC
7037	Crisólita/MG
7038	Crisópolis/BA
7039	Crissiumal/RS
7040	Cristais/MG
7041	Cristais Paulista/SP
7042	Cristal/RS
7043	Cristal do Sul/RS
7044	Cristalândia/TO
7045	Cristalândia do Piauí­/PI
7046	Cristália/MG
7047	Cristalina/GO
7048	Cristiano Otoni/MG
7049	Cristianópolis/GO
7050	Cristina/MG
7051	Cristinápolis/SE
7052	Cristino Castro/PI
7053	Cristópolis/BA
7054	Crixás/GO
7055	Crixás do Tocantins/TO
7056	Croatá/CE
7057	Cromí­nia/GO
7058	Crucilândia/MG
7059	Cruz/CE
7060	Cruz Alta/RS
7061	Cruz das Almas/BA
7062	Cruz do Espí­rito Santo/PB
7063	Cruz Machado/PR
7064	Cruzália/SP
7065	Cruzaltense/RS
7066	Cruzeiro/SP
7067	Cruzeiro da Fortaleza/MG
7068	Cruzeiro do Iguaçu/PR
7069	Cruzeiro do Oeste/PR
7070	Cruzeiro do Sul/AC
7071	Cruzeiro do Sul/PR
7072	Cruzeiro do Sul/RS
7073	Cruzeta/RN
7074	Cruzí­lia/MG
7075	Cruzmaltina/PR
7076	CubatÃ­o/SP
7077	Cubati/PB
7078	Cuité/PB
7079	Cuité de Mamanguape/PB
7080	Cuitegi/PB
7081	Cujubim/RO
7082	Cumari/GO
7083	Cumaru/PE
7084	Cumaru do Norte/PA
7085	Cumbe/SE
7086	Cunha/SP
7087	Cunha PorÃ­/SC
7088	Cunhataí­/SC
7089	Cuparaque/MG
7090	Cupira/PE
7091	Curaçá/BA
7092	Curimatá/PI
7093	Curionópolis/PA
7094	Curitibanos/SC
7095	Curiúva/PR
7096	Currais/PI
7097	Currais Novos/RN
7098	Curral de Cima/PB
7099	Curral de Dentro/MG
7100	Curral Novo do Piauí­/PI
7101	Curral Velho/PB
7102	Curralinho/PA
7103	Curralinhos/PI
7104	Curuá/PA
7105	Curuçá/PA
7106	Cururupu/MA
7107	Curvelândia/MT
7108	Curvelo/MG
7109	Custódia/PE
7110	Cutias/AP
7111	Damianópolis/GO
7112	DamiÃ­o/PB
7113	Damolândia/GO
7114	Darcinópolis/TO
7115	Dário Meira/BA
7116	Datas/MG
7117	David Canabarro/RS
7118	Davinópolis/MA
7119	Davinópolis/GO
7120	Delfim Moreira/MG
7121	Delfinópolis/MG
7122	Delmiro Gouveia/AL
7123	Delta/MG
7124	Demerval LobÃ­o/PI
7125	Denise/MT
7126	Deodápolis/MS
7127	Deputado Irapuan Pinheiro/CE
7128	Derrubadas/RS
7129	Descalvado/SP
7130	Descanso/SC
7131	Descoberto/MG
7132	Desterro/PB
7133	Desterro de Entre Rios/MG
7134	Desterro do Melo/MG
7135	Dezesseis de Novembro/RS
7136	Diadema/SP
7137	Diamante/PB
7138	Diamante do Norte/PR
7139	Diamante do Sul/PR
7140	Diamante d&apos;Oeste/PR
7141	Diamantina/MG
7142	Diamantino/MT
7143	Dianópolis/TO
7144	Dias d&apos;Ávila/BA
7145	Dilermando de Aguiar/RS
7146	Diogo de Vasconcelos/MG
7147	Dioní­sio/MG
7148	Dioní­sio Cerqueira/SC
7149	Diorama/GO
7150	Dirce Reis/SP
7151	Dirceu Arcoverde/PI
7152	Divina Pastora/SE
7153	Divinésia/MG
7154	Divino/MG
7155	Divino das Laranjeiras/MG
7156	Divino de SÃ­o Lourenço/ES
7157	Divinolândia/SP
7158	Divinolândia de Minas/MG
7159	Divinópolis/MG
7160	Divinópolis de Goiás/GO
7161	Divinópolis do Tocantins/TO
7162	Divisa Alegre/MG
7163	Divisa Nova/MG
7164	Divisópolis/MG
7165	Dobrada/SP
7166	Dois Córregos/SP
7167	Dois IrmÃ­os/RS
7168	Dois IrmÃ­os das Missíµes/RS
7169	Dois IrmÃ­os do Buriti/MS
7170	Dois IrmÃ­os do Tocantins/TO
7171	Dois Lajeados/RS
7172	Dois Riachos/AL
7173	Dois Vizinhos/PR
7174	Dolcinópolis/SP
7175	Dom Aquino/MT
7176	Dom Basí­lio/BA
7177	Dom Bosco/MG
7178	Dom Cavati/MG
7179	Dom Eliseu/PA
7180	Dom Expedito Lopes/PI
7181	Dom Feliciano/RS
7182	Dom Inocíªncio/PI
7183	Dom Joaquim/MG
7184	Dom Macedo Costa/BA
7185	Dom Pedrito/RS
7186	Dom Pedro/MA
7187	Dom Pedro de Alcântara/RS
7188	Dom Silvério/MG
7189	Dom Viçoso/MG
7190	Domingos Martins/ES
7191	Domingos MourÃ­o/PI
7192	Dona Emma/SC
7193	Dona Eusébia/MG
7194	Dona Francisca/RS
7195	Dona Iníªs/PB
7196	Dores de Campos/MG
7197	Dores de GuanhÃ­es/MG
7198	Dores do Indaiá/MG
7199	Dores do Rio Preto/ES
7200	Dores do Turvo/MG
7201	Doresópolis/MG
7202	Dormentes/PE
7203	Douradina/PR
7204	Douradina/MS
7205	Dourado/SP
7206	Douradoquara/MG
7207	Dourados/MS
7208	Doutor Camargo/PR
7209	Doutor Maurí­cio Cardoso/RS
7210	Doutor Pedrinho/SC
7211	Doutor Ricardo/RS
7212	Doutor Severiano/RN
7213	Doutor Ulysses/PR
7214	Doverlândia/GO
7215	Dracena/SP
7216	Duartina/SP
7217	Duas Barras/RJ
7218	Duas Estradas/PB
7219	Dueré/TO
7220	Dumont/SP
7221	Duque Bacelar/MA
7222	Duque de Caxias/RJ
7223	Durandé/MG
7224	EchaporÃ­/SP
7225	Ecoporanga/ES
7226	Edealina/GO
7227	Edéia/GO
7228	Eirunepé/AM
7229	Eldorado/MS
7230	Eldorado/SP
7231	Eldorado do Sul/RS
7232	Eldorado dos Carajás/PA
7233	ElesbÃ­o Veloso/PI
7234	Elias Fausto/SP
7235	Eliseu Martins/PI
7236	Elisiário/SP
7237	Elí­sio Medrado/BA
7238	Elói Mendes/MG
7239	Emas/PB
7240	Embaúba/SP
7241	Embu/SP
7242	Embu-Guaçu/SP
7243	Emilianópolis/SP
7244	Encantado/RS
7245	Encanto/RN
7246	Encruzilhada/BA
7247	Encruzilhada do Sul/RS
7248	Enéas Marques/PR
7249	Engenheiro BeltrÃ­o/PR
7250	Engenheiro Caldas/MG
7251	Engenheiro Coelho/SP
7252	Engenheiro Navarro/MG
7253	Engenheiro Paulo de Frontin/RJ
7254	Engenho Velho/RS
7255	Entre Folhas/MG
7256	Entre Rios/BA
7257	Entre Rios/SC
7258	Entre Rios de Minas/MG
7259	Entre Rios do Oeste/PR
7260	Entre Rios do Sul/RS
7261	Entre-Ijuí­s/RS
7262	Envira/AM
7263	Epitaciolândia/AC
7264	Equador/RN
7265	Erebango/RS
7266	Erechim/RS
7267	Ereríª/CE
7268	Ã­?rico Cardoso/BA
7269	Ermo/SC
7270	Ernestina/RS
7271	Erval Grande/RS
7272	Erval Seco/RS
7273	Erval Velho/SC
7274	Ervália/MG
7275	Escada/PE
7276	Esmeralda/RS
7277	Esmeraldas/MG
7278	Espera Feliz/MG
7279	Esperança/PB
7280	Esperança do Sul/RS
7281	Esperança Nova/PR
7282	Esperantina/TO
7283	Esperantina/PI
7284	Esperantinópolis/MA
7285	EspigÃ­o Alto do Iguaçu/PR
7286	EspigÃ­o d&apos;Oeste/RO
7287	Espinosa/MG
7288	Espí­rito Santo/RN
7289	Espí­rito Santo do Dourado/MG
7290	Espí­rito Santo do Pinhal/SP
7291	Espí­rito Santo do Turvo/SP
7292	Esplanada/BA
7293	Espumoso/RS
7294	EstaçÃ­o/RS
7295	Estância/SE
7296	Estância Velha/RS
7297	Esteio/RS
7298	Estiva/MG
7299	Estiva Gerbi/SP
7300	Estreito/MA
7301	Estrela/RS
7302	Estrela Dalva/MG
7303	Estrela de Alagoas/AL
7304	Estrela do Indaiá/MG
7305	Estrela do Norte/GO
7306	Estrela do Norte/SP
7307	Estrela do Sul/MG
7308	Estrela d&apos;Oeste/SP
7309	Estrela Velha/RS
7310	Euclides da Cunha/BA
7311	Euclides da Cunha Paulista/SP
7312	Eugíªnio de Castro/RS
7313	Eugenópolis/MG
7314	Eunápolis/BA
7315	Eusébio/CE
7316	Ewbank da Câmara/MG
7317	Extrema/MG
7318	Extremoz/RN
7319	Exu/PE
7320	Fagundes/PB
7321	Fagundes Varela/RS
7322	Faina/GO
7323	Fama/MG
7324	Faria Lemos/MG
7325	Farias Brito/CE
7326	Faro/PA
7327	Farol/PR
7328	Farroupilha/RS
7329	Fartura/SP
7330	Fartura do Piauí­/PI
7331	Fátima/BA
7332	Fátima/TO
7333	Fátima do Sul/MS
7334	Faxinal/PR
7335	Faxinal do Soturno/RS
7336	Faxinal dos Guedes/SC
7337	Faxinalzinho/RS
7338	Fazenda Nova/GO
7339	Fazenda Rio Grande/PR
7340	Fazenda Vilanova/RS
7341	Feijó/AC
7342	Feira da Mata/BA
7343	Feira de Santana/BA
7344	Feira Grande/AL
7345	Feira Nova/PE
7346	Feira Nova/SE
7347	Feira Nova do MaranhÃ­o/MA
7348	Felí­cio dos Santos/MG
7349	Felipe Guerra/RN
7350	Felisburgo/MG
7351	Felixlândia/MG
7352	Feliz/RS
7353	Feliz Deserto/AL
7354	Feliz Natal/MT
7355	Fíªnix/PR
7356	Fernandes Pinheiro/PR
7357	Fernandes Tourinho/MG
7358	Fernando de Noronha/PE
7359	Fernando FalcÃ­o/MA
7360	Fernando Pedroza/RN
7361	Fernando Prestes/SP
7362	Fernandópolis/SP
7363	FernÃ­o/SP
7364	Ferraz de Vasconcelos/SP
7365	Ferreira Gomes/AP
7366	Ferreiros/PE
7367	Ferros/MG
7368	Fervedouro/MG
7369	Figueira/PR
7370	Figueirópolis/TO
7371	Figueirópolis d&apos;Oeste/MT
7372	Filadélfia/BA
7373	Filadélfia/TO
7374	Firmino Alves/BA
7375	Firminópolis/GO
7376	Flexeiras/AL
7377	Flor da Serra do Sul/PR
7378	Flor do SertÃ­o/SC
7379	Flora Rica/SP
7380	Floraí­/PR
7381	Florânia/RN
7382	Floreal/SP
7383	Flores/PE
7384	Flores da Cunha/RS
7385	Flores de Goiás/GO
7386	Flores do Piauí­/PI
7387	Floresta/PR
7388	Floresta/PE
7389	Floresta Azul/BA
7390	Floresta do Araguaia/PA
7391	Floresta do Piauí­/PI
7392	Florestal/MG
7393	Florestópolis/PR
7394	Floriano/PI
7395	Floriano Peixoto/RS
7396	Flórida/PR
7397	Flórida Paulista/SP
7398	Florí­nia/SP
7399	Fonte Boa/AM
7400	Fontoura Xavier/RS
7401	Formiga/MG
7402	Formigueiro/RS
7403	Formosa/GO
7404	Formosa da Serra Negra/MA
7405	Formosa do Oeste/PR
7406	Formosa do Rio Preto/BA
7407	Formosa do Sul/SC
7408	Formoso/GO
7409	Formoso/MG
7410	Formoso do Araguaia/TO
7411	Forquetinha/RS
7412	Forquilha/CE
7413	Forquilhinha/SC
7414	Fortaleza de Minas/MG
7415	Fortaleza do TabocÃ­o/TO
7416	Fortaleza dos Nogueiras/MA
7417	Fortaleza dos Valos/RS
7418	Fortim/CE
7419	Fortuna/MA
7420	Fortuna de Minas/MG
7421	Foz do Iguaçu/PR
7422	Foz do JordÃ­o/PR
7423	Fraiburgo/SC
7424	Franca/SP
7425	Francinópolis/PI
7426	Francisco Alves/PR
7427	Francisco Ayres/PI
7428	Francisco Badaró/MG
7429	Francisco BeltrÃ­o/PR
7430	Francisco Dantas/RN
7431	Francisco Dumont/MG
7432	Francisco Macedo/PI
7433	Francisco Morato/SP
7434	Francisco Sá/MG
7435	Francisco Santos/PI
7436	Franciscópolis/MG
7437	Franco da Rocha/SP
7438	Frecheirinha/CE
7439	Frederico Westphalen/RS
7440	Frei Gaspar/MG
7441	Frei Inocíªncio/MG
7442	Frei Lagonegro/MG
7443	Frei Martinho/PB
7444	Frei Miguelinho/PE
7445	Frei Paulo/SE
7446	Frei Rogério/SC
7447	Fronteira/MG
7448	Fronteira dos Vales/MG
7449	Fronteiras/PI
7450	Fruta de Leite/MG
7451	Frutal/MG
7452	Frutuoso Gomes/RN
7453	FundÃ­o/ES
7454	Funilândia/MG
7455	Gabriel Monteiro/SP
7456	Gado Bravo/PB
7457	Gália/SP
7458	Galiléia/MG
7459	Galinhos/RN
7460	GalvÃ­o/SC
7461	Gameleira/PE
7462	Gameleira de Goiás/GO
7463	Gameleiras/MG
7464	Gandu/BA
7465	Garanhuns/PE
7466	Gararu/SE
7467	Garça/SP
7468	Garibaldi/RS
7469	Garopaba/SC
7470	GarrafÃ­o do Norte/PA
7471	Garruchos/RS
7472	Garuva/SC
7473	Gaspar/SC
7474	GastÃ­o Vidigal/SP
7475	Gaúcha do Norte/MT
7476	Gaurama/RS
7477	GaviÃ­o/BA
7478	GaviÃ­o Peixoto/SP
7479	Geminiano/PI
7480	General Câmara/RS
7481	General Carneiro/PR
7482	General Carneiro/MT
7483	General Maynard/SE
7484	General Salgado/SP
7485	General Sampaio/CE
7486	Gentil/RS
7487	Gentio do Ouro/BA
7488	Getulina/SP
7489	Getúlio Vargas/RS
7490	Gilbués/PI
7491	Girau do Ponciano/AL
7492	Giruá/RS
7493	Glaucilândia/MG
7494	Glicério/SP
7495	Glória/BA
7496	Glória de Dourados/MS
7497	Glória do Goitá/PE
7498	Glória d&apos;Oeste/MT
7499	Glorinha/RS
7500	Godofredo Viana/MA
7501	Godoy Moreira/PR
7502	Goiabeira/MG
7503	Goiana/PE
7504	Goianá/MG
7505	Goianápolis/GO
7506	Goiandira/GO
7507	Goianésia/GO
7508	Goianésia do Pará/PA
7509	Goianinha/RN
7510	Goianira/GO
7511	Goianorte/TO
7512	Goiás/GO
7513	Goiatins/TO
7514	Goiatuba/GO
7515	Goioeríª/PR
7516	Goioxim/PR
7517	Gonçalves/MG
7518	Gonçalves Dias/MA
7519	Gongogi/BA
7520	Gonzaga/MG
7521	Gouveia/MG
7522	Gouvelândia/GO
7523	Governador Archer/MA
7524	Governador Celso Ramos/SC
7525	Governador Dix-Sept Rosado/RN
7526	Governador Edison LobÃ­o/MA
7527	Governador Eugíªnio Barros/MA
7528	Governador Jorge Teixeira/RO
7529	Governador Lindenberg/ES
7530	Governador Lomanto Júnior/BA
7531	Governador Luiz Rocha/MA
7532	Governador Mangabeira/BA
7533	Governador Newton Bello/MA
7534	Governador Nunes Freire/MA
7535	Governador Valadares/MG
7536	Graça/CE
7537	Graça Aranha/MA
7538	Gracho Cardoso/SE
7539	Grajaú/MA
7540	Gramado/RS
7541	Gramado dos Loureiros/RS
7542	Gramado Xavier/RS
7543	Grandes Rios/PR
7544	Granito/PE
7545	Granja/CE
7546	Granjeiro/CE
7547	GrÃ­o Mogol/MG
7548	GrÃ­o Pará/SC
7549	Gravatá/PE
7550	Gravataí­/RS
7551	Gravatal/SC
7552	Groaí­ras/CE
7553	Grossos/RN
7554	Grupiara/MG
7555	Guabiju/RS
7556	Guabiruba/SC
7557	Guaçuí­/ES
7558	Guadalupe/PI
7559	Guaí­ba/RS
7560	Guaiçara/SP
7561	Guaimbíª/SP
7562	Guaí­ra/PR
7563	Guaí­ra/SP
7564	Guairaçá/PR
7565	Guaiúba/CE
7566	Guajará/AM
7567	Guajará-Mirim/RO
7568	Guajeru/BA
7569	Guamaré/RN
7570	Guamiranga/PR
7571	Guanambi/BA
7572	GuanhÃ­es/MG
7573	Guapé/MG
7574	Guapiaçu/SP
7575	Guapiara/SP
7576	Guapimirim/RJ
7577	Guapirama/PR
7578	Guapó/GO
7579	Guaporé/RS
7580	Guaporema/PR
7581	Guará/SP
7582	Guarabira/PB
7583	Guaraçaí­/SP
7584	Guaraci/PR
7585	Guaraci/SP
7586	Guaraciaba/SC
7587	Guaraciaba/MG
7588	Guaraciaba do Norte/CE
7589	Guaraciama/MG
7590	Guaraí­/TO
7591	Guaraí­ta/GO
7592	Guaramiranga/CE
7593	Guaramirim/SC
7594	Guaranésia/MG
7595	Guarani/MG
7596	Guarani das Missíµes/RS
7597	Guarani de Goiás/GO
7598	Guarani d&apos;Oeste/SP
7599	Guaraniaçu/PR
7600	GuarantÃ­/SP
7601	GuarantÃ­ do Norte/MT
7602	Guarapari/ES
7603	Guarapuava/PR
7604	Guaraqueçaba/PR
7605	Guarará/MG
7606	Guararapes/SP
7607	Guararema/SP
7608	Guaratinga/BA
7609	Guaratinguetá/SP
7610	Guaratuba/PR
7611	Guarda-Mor/MG
7612	Guareí­/SP
7613	Guariba/SP
7614	Guaribas/PI
7615	Guarinos/GO
7616	Guarujá/SP
7617	Guarujá do Sul/SC
7618	Guarulhos/SP
7619	Guatambú/SC
7620	Guatapará/SP
7621	Guaxupé/MG
7622	Guia Lopes da Laguna/MS
7623	Guidoval/MG
7624	GuimarÃ­es/MA
7625	Guimarânia/MG
7626	Guiratinga/MT
7627	Guiricema/MG
7628	GurinhatÃ­/MG
7629	Gurinhém/PB
7630	GurjÃ­o/PB
7631	Gurupá/PA
7632	Gurupi/TO
7633	Guzolândia/SP
7634	Harmonia/RS
7635	Heitoraí­/GO
7636	Heliodora/MG
7637	Heliópolis/BA
7638	Herculândia/SP
7639	Herval/RS
7640	Herval d&apos;Oeste/SC
7641	Herveiras/RS
7642	Hidrolândia/CE
7643	Hidrolândia/GO
7644	Hidrolina/GO
7645	Holambra/SP
7646	Honório Serpa/PR
7647	Horizonte/CE
7648	Horizontina/RS
7649	Hortolândia/SP
7650	Hugo NapoleÃ­o/PI
7651	Hulha Negra/RS
7652	Humaitá/RS
7653	Humaitá/AM
7654	Humberto de Campos/MA
7655	Iacanga/SP
7656	Iaciara/GO
7657	Iacri/SP
7658	Iaçu/BA
7659	Iapu/MG
7660	Iaras/SP
7661	Iati/PE
7662	Ibaiti/PR
7663	Ibarama/RS
7664	Ibaretama/CE
7665	Ibaté/SP
7666	Ibateguara/AL
7667	Ibatiba/ES
7668	Ibema/PR
7669	Ibertioga/MG
7670	Ibiá/MG
7671	Ibiaçá/RS
7672	Ibiaí­/MG
7673	Ibiam/SC
7674	Ibiapina/CE
7675	Ibiara/PB
7676	Ibiassucíª/BA
7677	Ibicaraí­/BA
7678	Ibicaré/SC
7679	Ibicoara/BA
7680	Ibicuí­/BA
7681	Ibicuitinga/CE
7682	Ibimirim/PE
7683	Ibipeba/BA
7684	Ibipitanga/BA
7685	IbiporÃ­/PR
7686	Ibiquera/BA
7687	Ibirá/SP
7688	Ibiracatu/MG
7689	Ibiraci/MG
7690	Ibiraçu/ES
7691	Ibiraiaras/RS
7692	Ibirajuba/PE
7693	Ibirama/SC
7694	Ibirapitanga/BA
7695	IbirapuÃ­/BA
7696	IbirapuitÃ­/RS
7697	Ibirarema/SP
7698	Ibirataia/BA
7699	Ibirité/MG
7700	Ibirubá/RS
7701	Ibitiara/BA
7702	Ibitinga/SP
7703	Ibitirama/ES
7704	Ibititá/BA
7705	Ibitiúra de Minas/MG
7706	Ibituruna/MG
7707	Ibiúna/SP
7708	Ibotirama/BA
7709	Icapuí­/CE
7710	Içara/SC
7711	Icaraí­ de Minas/MG
7712	Icaraí­ma/PR
7713	Icatu/MA
7714	Icém/SP
7715	Ichu/BA
7716	Icó/CE
7717	Iconha/ES
7718	Ielmo Marinho/RN
7719	Iepíª/SP
7720	Igaci/AL
7721	IgaporÃ­/BA
7722	Igaraçu do Tietíª/SP
7723	Igaracy/PB
7724	Igarapava/SP
7725	Igarapé/MG
7726	Igarapé do Meio/MA
7727	Igarapé Grande/MA
7728	Igarapé-Açu/PA
7729	Igarapé-Miri/PA
7730	Igarassu/PE
7731	Igaratá/SP
7732	Igaratinga/MG
7733	Igrapiúna/BA
7734	Igreja Nova/AL
7735	Igrejinha/RS
7736	Iguaba Grande/RJ
7737	Iguaí­/BA
7738	Iguape/SP
7739	Iguaraci/PE
7740	Iguaraçu/PR
7741	Iguatama/MG
7742	Iguatemi/MS
7743	Iguatu/CE
7744	Iguatu/PR
7745	Ijaci/MG
7746	Ijuí­/RS
7747	Ilha Comprida/SP
7748	Ilha das Flores/SE
7749	Ilha de Itamaracá/PE
7750	Ilha Grande/PI
7751	Ilha Solteira/SP
7752	Ilhabela/SP
7753	Ilhéus/BA
7754	Ilhota/SC
7755	Ilicí­nea/MG
7756	Ilópolis/RS
7757	Imaculada/PB
7758	Imaruí­/SC
7759	Imbaú/PR
7760	Imbé/RS
7761	Imbé de Minas/MG
7762	Imbituba/SC
7763	Imbituva/PR
7764	Imbuia/SC
7765	Imigrante/RS
7766	Imperatriz/MA
7767	Inácio Martins/PR
7768	Inaciolândia/GO
7769	Inajá/PR
7770	Inajá/PE
7771	Inconfidentes/MG
7772	Indaiabira/MG
7773	Indaial/SC
7774	Indaiatuba/SP
7775	Independíªncia/RS
7776	Independíªncia/CE
7777	Indiana/SP
7778	Indianópolis/PR
7779	Indianópolis/MG
7780	IndiaporÃ­/SP
7781	Indiara/GO
7782	Indiaroba/SE
7783	Indiavaí­/MT
7784	Ingá/PB
7785	Ingaí­/MG
7786	Ingazeira/PE
7787	Inhacorá/RS
7788	Inhambupe/BA
7789	Inhangapi/PA
7790	Inhapi/AL
7791	Inhapim/MG
7792	Inhaúma/MG
7793	Inhuma/PI
7794	Inhumas/GO
7795	Inimutaba/MG
7796	Inocíªncia/MS
7797	Inúbia Paulista/SP
7798	Iomeríª/SC
7799	Ipaba/MG
7800	Ipameri/GO
7801	Ipanema/MG
7802	Ipanguaçu/RN
7803	Ipaporanga/CE
7804	Ipatinga/MG
7805	Ipaumirim/CE
7806	Ipaussu/SP
7807	Ipíª/RS
7808	Ipecaetá/BA
7809	Iperó/SP
7810	Ipeúna/SP
7811	Ipiaçu/MG
7812	Ipiaú/BA
7813	Ipiguá/SP
7814	Ipira/SC
7815	Ipirá/BA
7816	Ipiranga/PR
7817	Ipiranga de Goiás/GO
7818	Ipiranga do Piauí­/PI
7819	Ipiranga do Sul/RS
7820	Ipixuna/AM
7821	Ipixuna do Pará/PA
7822	Ipojuca/PE
7823	Iporá/GO
7824	IporÃ­/PR
7825	IporÃ­ do Oeste/SC
7826	Iporanga/SP
7827	Ipu/CE
7828	IpuÃ­/SP
7829	Ipuaçu/SC
7830	Ipubi/PE
7831	Ipueira/RN
7832	Ipueiras/CE
7833	Ipueiras/TO
7834	Ipuiúna/MG
7835	Ipumirim/SC
7836	Ipupiara/BA
7837	Iracema/CE
7838	Iracema/RR
7839	Iracema do Oeste/PR
7840	Iracemápolis/SP
7841	Iraceminha/SC
7842	Iraí­/RS
7843	Iraí­ de Minas/MG
7844	Irajuba/BA
7845	Iramaia/BA
7846	Iranduba/AM
7847	Irani/SC
7848	IrapuÃ­/SP
7849	Irapuru/SP
7850	Iraquara/BA
7851	Irará/BA
7852	Irati/PR
7853	Irati/SC
7854	Irauçuba/CE
7855	Irecíª/BA
7856	Iretama/PR
7857	Irineópolis/SC
7858	Irituia/PA
7859	Irupi/ES
7860	Isaí­as Coelho/PI
7861	Israelândia/GO
7862	Itá/SC
7863	Itaara/RS
7864	Itabaiana/PB
7865	Itabaiana/SE
7866	Itabaianinha/SE
7867	Itabela/BA
7868	Itaberá/SP
7869	Itaberaba/BA
7870	Itaberaí­/GO
7871	Itabi/SE
7872	Itabira/MG
7873	Itabirinha de Mantena/MG
7874	Itabirito/MG
7875	Itaboraí­/RJ
7876	Itabuna/BA
7877	Itacajá/TO
7878	Itacambira/MG
7879	Itacarambi/MG
7880	Itacaré/BA
7881	Itacoatiara/AM
7882	Itacuruba/PE
7883	Itacurubi/RS
7884	Itaeté/BA
7885	Itagi/BA
7886	Itagibá/BA
7887	Itagimirim/BA
7888	Itaguaçu/ES
7889	Itaguaçu da Bahia/BA
7890	Itaguaí­
7891	Itaguajé/PR
7892	Itaguara/MG
7893	Itaguari/GO
7894	Itaguaru/GO
7895	Itaguatins/TO
7896	Itaí­/SP
7897	Itaí­ba/PE
7898	Itaiçaba/CE
7899	Itainópolis/PI
7900	Itaiópolis/SC
7901	Itaipava do Grajaú/MA
7902	Itaipé/MG
7903	Itaipulândia/PR
7904	Itaitinga/CE
7905	Itaituba/PA
7906	Itajá/RN
7907	Itajá/GO
7908	Itajaí­/SC
7909	Itajobi/SP
7910	Itaju/SP
7911	Itaju do Colônia/BA
7912	Itajubá/MG
7913	Itajuí­pe/BA
7914	Italva/RJ
7915	Itamaraju/BA
7916	Itamarandiba/MG
7917	Itamarati/AM
7918	Itamarati de Minas/MG
7919	Itamari/BA
7920	Itambacuri/MG
7921	Itambaracá/PR
7922	Itambé/BA
7923	Itambé/PR
7924	Itambé/PE
7925	Itambé do Mato Dentro/MG
7926	Itamogi/MG
7927	Itamonte/MG
7928	Itanagra/BA
7929	Itanhaém/SP
7930	Itanhandu/MG
7931	Itanhém/BA
7932	Itanhomi/MG
7933	Itaobim/MG
7934	Itaóca/SP
7935	Itaocara/RJ
7936	Itapaci/GO
7937	Itapagé/CE
7938	Itapagipe/MG
7939	Itaparica/BA
7940	Itapé/BA
7941	Itapebi/BA
7942	Itapecerica/MG
7943	Itapecerica da Serra/SP
7944	Itapecuru Mirim/MA
7945	Itapejara d&apos;Oeste/PR
7946	Itapema/SC
7947	Itapemirim/ES
7948	Itaperuçu/PR
7949	Itaperuna/RJ
7950	Itapetim/PE
7951	Itapetinga/BA
7952	Itapetininga/SP
7953	Itapeva/SP
7954	Itapeva/MG
7955	Itapevi/SP
7956	Itapicuru/BA
7957	Itapipoca/CE
7958	Itapira/SP
7959	Itapiranga/AM
7960	Itapiranga/SC
7961	ItapirapuÃ­/GO
7962	ItapirapuÃ­ Paulista/SP
7963	Itapiratins/TO
7964	Itapissuma/PE
7965	Itapitanga/BA
7966	Itapiúna/CE
7967	Itapoá/SC
7968	Itápolis/SP
7969	ItaporÃ­/MS
7970	ItaporÃ­ do Tocantins/TO
7971	Itaporanga/PB
7972	Itaporanga/SP
7973	Itaporanga d&apos;Ajuda/SE
7974	Itapororoca/PB
7975	ItapuÃ­ do Oeste/RO
7976	Itapuca/RS
7977	Itapuí­/SP
7978	Itapura/SP
7979	Itapuranga/GO
7980	Itaquaquecetuba/SP
7981	Itaquara/BA
7982	Itaqui/RS
7983	Itaquiraí­/MS
7984	Itaquitinga/PE
7985	Itarana/ES
7986	Itarantim/BA
7987	Itararé/SP
7988	Itarema/CE
7989	Itariri/SP
7990	ItarumÃ­/GO
7991	Itati/RS
7992	Itatiaia/RJ
7993	Itatiaiuçu/MG
7994	Itatiba/SP
7995	Itatiba do Sul/RS
7996	Itatim/BA
7997	Itatinga/SP
7998	Itatira/CE
7999	Itatuba/PB
8000	Itaú/RN
8001	Itaú de Minas/MG
8002	Itaúba/MT
8003	Itaubal/AP
8004	Itauçu/GO
8005	Itaueira/PI
8006	Itaúna/MG
8007	Itaúna do Sul/PR
8008	Itaverava/MG
8009	Itinga/MG
8010	Itinga do MaranhÃ­o/MA
8011	Itiquira/MT
8012	Itirapina/SP
8013	ItirapuÃ­/SP
8014	Itiruçu/BA
8015	Itiúba/BA
8016	Itobi/SP
8017	Itororó/BA
8018	Itu/SP
8019	Ituaçu/BA
8020	Ituberá/BA
8021	Itueta/MG
8022	Ituiutaba/MG
8023	Itumbiara/GO
8024	Itumirim/MG
8025	Itupeva/SP
8026	Itupiranga/PA
8027	Ituporanga/SC
8028	Iturama/MG
8029	Itutinga/MG
8030	Ituverava/SP
8031	Iuiú/BA
8032	Iúna/ES
8033	Ivaí­/PR
8034	IvaiporÃ­/PR
8035	Ivaté/PR
8036	Ivatuba/PR
8037	Ivinhema/MS
8038	Ivolândia/GO
8039	Ivorá/RS
8040	Ivoti/RS
8041	JaboatÃ­o dos Guararapes/PE
8042	Jaborá/SC
8043	Jaborandi/BA
8044	Jaborandi/SP
8045	Jaboti/PR
8046	Jaboticaba/RS
8047	Jaboticabal/SP
8048	Jaboticatubas/MG
8049	JaçanÃ­/RN
8050	Jacaraci/BA
8051	Jacaraú/PB
8052	Jacaré dos Homens/AL
8053	Jacareacanga/PA
8054	Jacareí­/SP
8055	Jacarezinho/PR
8056	Jaci/SP
8057	Jaciara/MT
8058	Jacinto/MG
8059	Jacinto Machado/SC
8060	Jacobina/BA
8061	Jacobina do Piauí­/PI
8062	Jacuí­/MG
8063	Jacuí­pe/AL
8064	Jacuizinho/RS
8065	Jacundá/PA
8066	Jacupiranga/SP
8067	Jacutinga/RS
8068	Jacutinga/MG
8069	JaguapitÃ­/PR
8070	Jaguaquara/BA
8071	Jaguaraçu/MG
8072	JaguarÃ­o/RS
8073	Jaguarari/BA
8074	Jaguaré/ES
8075	Jaguaretama/CE
8076	Jaguari/RS
8077	Jaguariaí­va/PR
8078	Jaguaribara/CE
8079	Jaguaribe/CE
8080	Jaguaripe/BA
8081	Jaguariúna/SP
8082	Jaguaruana/CE
8083	Jaguaruna/SC
8084	Jaí­ba/MG
8085	Jaicós/PI
8086	Jales/SP
8087	Jambeiro/SP
8088	Jampruca/MG
8089	Janaúba/MG
8090	Jandaia/GO
8091	Jandaia do Sul/PR
8092	Jandaí­ra/BA
8093	Jandaí­ra/RN
8094	Jandira/SP
8095	Janduí­s/RN
8096	Jangada/MT
8097	Janiópolis/PR
8098	Januária/MG
8099	Januário Cicco/RN
8100	Japaraí­ba/MG
8101	Japaratinga/AL
8102	Japaratuba/SE
8103	Japeri/RJ
8104	Japi/RN
8105	Japira/PR
8106	JapoatÃ­/SE
8107	Japonvar/MG
8108	JaporÃ­/MS
8109	Japurá/AM
8110	Japurá/PR
8111	Jaqueira/PE
8112	Jaquirana/RS
8113	Jaraguá/GO
8114	Jaraguá do Sul/SC
8115	Jaraguari/MS
8116	Jaramataia/AL
8117	Jardim/CE
8118	Jardim/MS
8119	Jardim Alegre/PR
8120	Jardim de Angicos/RN
8121	Jardim de Piranhas/RN
8122	Jardim do Mulato/PI
8123	Jardim do Seridó/RN
8124	Jardim Olinda/PR
8125	Jardinópolis/SC
8126	Jardinópolis/SP
8127	Jari/RS
8128	Jarinu/SP
8129	Jaru/RO
8130	Jataí­/GO
8131	Jataizinho/PR
8132	Jataúba/PE
8133	Jateí­/MS
8134	Jati/CE
8135	Jatobá/MA
8136	Jatobá/PE
8137	Jatobá do Piauí­/PI
8138	Jaú/SP
8139	Jaú do Tocantins/TO
8140	Jaupaci/GO
8141	Jauru/MT
8142	Jeceaba/MG
8143	Jenipapo de Minas/MG
8144	Jenipapo dos Vieiras/MA
8145	Jequeri/MG
8146	Jequiá da Praia/AL
8147	Jequié/BA
8148	Jequitaí­/MG
8149	Jequitibá/MG
8150	Jequitinhonha/MG
8151	Jeremoabo/BA
8152	Jericó/PB
8153	Jeriquara/SP
8154	Jerônimo Monteiro/ES
8155	Jerumenha/PI
8156	Jesuânia/MG
8157	Jesuí­tas/PR
8158	Jesúpolis/GO
8159	Jijoca de Jericoacoara/CE
8160	Ji-Paraná/RO
8161	Jiquiriçá/BA
8162	Jitaúna/BA
8163	Joaçaba/SC
8164	Joaí­ma/MG
8165	Joanésia/MG
8166	Joanópolis/SP
8167	JoÃ­o Alfredo/PE
8168	JoÃ­o Câmara/RN
8169	JoÃ­o Costa/PI
8170	JoÃ­o Dias/RN
8171	JoÃ­o Dourado/BA
8172	JoÃ­o Lisboa/MA
8173	JoÃ­o Monlevade/MG
8174	JoÃ­o Neiva/ES
8175	JoÃ­o Pinheiro/MG
8176	JoÃ­o Ramalho/SP
8177	Joaquim Felí­cio/MG
8178	Joaquim Gomes/AL
8179	Joaquim Nabuco/PE
8180	Joaquim Pires/PI
8181	Joaquim Távora/PR
8182	Joca Marques/PI
8183	Jóia/RS
8184	Joinville/SC
8185	Jordânia/MG
8186	JordÃ­o/AC
8187	José Boiteux/SC
8188	José Bonifácio/SP
8189	José da Penha/RN
8190	José de Freitas/PI
8191	José Gonçalves de Minas/MG
8192	José Raydan/MG
8193	Joselândia/MA
8194	Josenópolis/MG
8195	Joviânia/GO
8196	Juara/MT
8197	Juarez Távora/PB
8198	Juarina/TO
8199	Juatuba/MG
8200	Juazeirinho/PB
8201	Juazeiro/BA
8202	Juazeiro do Norte/CE
8203	Juazeiro do Piauí­/PI
8204	Jucás/CE
8205	Jucati/PE
8206	Jucuruçu/BA
8207	Jucurutu/RN
8208	Juí­na/MT
8209	Juiz de Fora/MG
8210	Júlio Borges/PI
8211	Júlio de Castilhos/RS
8212	Júlio Mesquita/SP
8213	Jumirim/SP
8214	Junco do MaranhÃ­o/MA
8215	Junco do Seridó/PB
8216	Jundiá/RN
8217	Jundiá/AL
8218	Jundiaí­/SP
8219	Jundiaí­ do Sul/PR
8220	Junqueiro/AL
8221	Junqueirópolis/SP
8222	Jupi/PE
8223	Jupiá/SC
8224	Juquiá/SP
8225	Juquitiba/SP
8226	Juramento/MG
8227	Juranda/PR
8228	Jurema/PE
8229	Jurema/PI
8230	Juripiranga/PB
8231	Juru/PB
8232	Juruá/AM
8233	Juruaia/MG
8234	Juruena/MT
8235	Juruti/PA
8236	Juscimeira/MT
8237	Jussara/BA
8238	Jussara/PR
8239	Jussara/GO
8240	Jussari/BA
8241	Jussiape/BA
8242	Jutaí­/AM
8243	Juti/MS
8244	Juvení­lia/MG
8245	Kaloré/PR
8246	Lábrea/AM
8247	Lacerdópolis/SC
8248	Ladainha/MG
8249	Ladário/MS
8250	Lafaiete Coutinho/BA
8251	Lagamar/MG
8252	Lagarto/SE
8253	Lages/SC
8254	Lago da Pedra/MA
8255	Lago do Junco/MA
8256	Lago dos Rodrigues/MA
8257	Lago Verde/MA
8258	Lagoa/PB
8259	Lagoa Alegre/PI
8260	Lagoa Bonita do Sul/RS
8261	Lagoa da Canoa/AL
8262	Lagoa da ConfusÃ­o/TO
8263	Lagoa da Prata/MG
8264	Lagoa d&apos;Anta/RN
8265	Lagoa de Dentro/PB
8266	Lagoa de Pedras/RN
8267	Lagoa de SÃ­o Francisco/PI
8268	Lagoa de Velhos/RN
8269	Lagoa do Barro do Piauí­/PI
8270	Lagoa do Carro/PE
8271	Lagoa do Itaenga/PE
8272	Lagoa do Mato/MA
8273	Lagoa do Ouro/PE
8274	Lagoa do Piauí­/PI
8275	Lagoa do Sí­tio/PI
8276	Lagoa do Tocantins/TO
8277	Lagoa dos Gatos/PE
8278	Lagoa dos Patos/MG
8279	Lagoa dos Tríªs Cantos/RS
8280	Lagoa Dourada/MG
8281	Lagoa Formosa/MG
8282	Lagoa Grande/PE
8283	Lagoa Grande/MG
8284	Lagoa Grande do MaranhÃ­o/MA
8285	Lagoa Nova/RN
8286	Lagoa Real/BA
8287	Lagoa Salgada/RN
8288	Lagoa Santa/MG
8289	Lagoa Santa/GO
8290	Lagoa Seca/PB
8291	Lagoa Vermelha/RS
8292	LagoÃ­o/RS
8293	Lagoinha/SP
8294	Lagoinha do Piauí­/PI
8295	Laguna/SC
8296	Laguna CarapÃ­/MS
8297	Laje/BA
8298	Laje do Muriaé/RJ
8299	Lajeado/RS
8300	Lajeado/TO
8301	Lajeado do Bugre/RS
8302	Lajeado Grande/SC
8303	Lajeado Novo/MA
8304	LajedÃ­o/BA
8305	Lajedinho/BA
8306	Lajedo/PE
8307	Lajedo do Tabocal/BA
8308	Lajes/RN
8309	Lajes Pintadas/RN
8310	Lajinha/MG
8311	LamarÃ­o/BA
8312	Lambari/MG
8313	Lambari d&apos;Oeste/MT
8314	Lamim/MG
8315	Landri Sales/PI
8316	Lapa/PR
8317	LapÃ­o/BA
8318	Laranja da Terra/ES
8319	Laranjal/PR
8320	Laranjal/MG
8321	Laranjal do Jari/AP
8322	Laranjal Paulista/SP
8323	Laranjeiras/SE
8324	Laranjeiras do Sul/PR
8325	Lassance/MG
8326	Lastro/PB
8327	Laurentino/SC
8328	Lauro de Freitas/BA
8329	Lauro Muller/SC
8330	Lavandeira/TO
8331	Laví­nia/SP
8332	Lavras/MG
8333	Lavras da Mangabeira/CE
8334	Lavras do Sul/RS
8335	Lavrinhas/SP
8336	Leandro Ferreira/MG
8337	Lebon Régis/SC
8338	Leme/SP
8339	Leme do Prado/MG
8340	Lençóis/BA
8341	Lençóis Paulista/SP
8342	Leoberto Leal/SC
8343	Leopoldina/MG
8344	Leopoldo de Bulhíµes/GO
8345	Leópolis/PR
8346	Liberato Salzano/RS
8347	Liberdade/MG
8348	Licí­nio de Almeida/BA
8349	Lidianópolis/PR
8350	Lima Campos/MA
8351	Lima Duarte/MG
8352	Limeira/SP
8353	Limeira do Oeste/MG
8354	Limoeiro/PE
8355	Limoeiro de Anadia/AL
8356	Limoeiro do Ajuru/PA
8357	Limoeiro do Norte/CE
8358	Lindoeste/PR
8359	Lindóia/SP
8360	Lindóia do Sul/SC
8361	Lindolfo Collor/RS
8362	Linha Nova/RS
8363	Linhares/ES
8364	Lins/SP
8365	Livramento/PB
8366	Livramento de Nossa Senhora/BA
8367	Lizarda/TO
8368	Loanda/PR
8369	Lobato/PR
8370	Logradouro/PB
8371	Londrina/PR
8372	Lontra/MG
8373	Lontras/SC
8374	Lorena/SP
8375	Loreto/MA
8376	Lourdes/SP
8377	Louveira/SP
8378	Lucas do Rio Verde/MT
8379	Lucélia/SP
8380	Lucena/PB
8381	Lucianópolis/SP
8382	Luciára/MT
8383	Lucrécia/RN
8384	Luí­s Antônio/SP
8385	Luí­s Correia/PI
8386	Luí­s Domingues/MA
8387	Luí­s Eduardo MagalhÃ­es/BA
8388	Luí­s Gomes/RN
8389	Luisburgo/MG
8390	Luislândia/MG
8391	Luiz Alves/SC
8392	Luiziana/PR
8393	Luiziânia/SP
8394	Luminárias/MG
8395	Lunardelli/PR
8396	Lupércio/SP
8397	Lupionópolis/PR
8398	Lutécia/SP
8399	Luz/MG
8400	Luzerna/SC
8401	Luziânia/GO
8402	Luzilândia/PI
8403	Luzinópolis/TO
8404	Macaé/RJ
8405	Macaí­ba/RN
8406	Macajuba/BA
8407	Maçambara/RS
8408	Macambira/SE
8409	Macaparana/PE
8410	Macarani/BA
8411	Macatuba/SP
8412	Macau/RN
8413	Macaubal/SP
8414	Macaúbas/BA
8415	Macedônia/SP
8416	Machacalis/MG
8417	Machadinho/RS
8418	Machadinho d&apos;Oeste/RO
8419	Machado/MG
8420	Machados/PE
8421	Macieira/SC
8422	Macuco/RJ
8423	Macururé/BA
8424	Madalena/CE
8425	Madeiro/PI
8426	Madre de Deus/BA
8427	Madre de Deus de Minas/MG
8428	MÃ­e d&apos;Água/PB
8429	MÃ­e do Rio/PA
8430	Maetinga/BA
8431	Mafra/SC
8432	MagalhÃ­es Barata/PA
8433	MagalhÃ­es de Almeida/MA
8434	Magda/SP
8435	Magé/RJ
8436	Maiquinique/BA
8437	Mairi/BA
8438	Mairinque/SP
8439	MairiporÃ­/SP
8440	Mairipotaba/GO
8441	Major Gercino/SC
8442	Major Isidoro/AL
8443	Major Sales/RN
8444	Major Vieira/SC
8445	Malacacheta/MG
8446	Malhada/BA
8447	Malhada de Pedras/BA
8448	Malhada dos Bois/SE
8449	Malhador/SE
8450	Mallet/PR
8451	Malta/PB
8452	Mamanguape/PB
8453	Mambaí­/GO
8454	Mamboríª/PR
8455	Mamonas/MG
8456	Mampituba/RS
8457	Manacapuru/AM
8458	Manaí­ra/PB
8459	Manaquiri/AM
8460	Manari/PE
8461	Mâncio Lima/AC
8462	Mandaguaçu/PR
8463	Mandaguari/PR
8464	Mandirituba/PR
8465	Manduri/SP
8466	Manfrinópolis/PR
8467	Manga/MG
8468	Mangaratiba/RJ
8469	Mangueirinha/PR
8470	Manhuaçu/MG
8471	Manhumirim/MG
8472	Manicoré/AM
8473	Manoel Emí­dio/PI
8474	Manoel Ribas/PR
8475	Manoel Urbano/AC
8476	Manoel Viana/RS
8477	Manoel Vitorino/BA
8478	MansidÃ­o/BA
8479	Mantena/MG
8480	Mantenópolis/ES
8481	Maquiné/RS
8482	Mar de Espanha/MG
8483	Mar Vermelho/AL
8484	Mara Rosa/GO
8485	MaraÃ­/AM
8486	Marabá/PA
8487	Marabá Paulista/SP
8488	Maracaçumé/MA
8489	Maracaí­/SP
8490	Maracajá/SC
8491	Maracaju/MS
8492	MaracanÃ­/PA
8493	Maracanaú/CE
8494	Maracás/BA
8495	Maragogi/AL
8496	Maragogipe/BA
8497	Maraial/PE
8498	Marajá do Sena/MA
8499	Maranguape/CE
8500	MaranhÃ­ozinho/MA
8501	Marapanim/PA
8502	Marapoama/SP
8503	Maratá/RS
8504	Marataí­zes/ES
8505	Marau/RS
8506	Maraú/BA
8507	Maravilha/SC
8508	Maravilha/AL
8509	Maravilhas/MG
8510	MarcaçÃ­o/PB
8511	Marcelândia/MT
8512	Marcelino Ramos/RS
8513	Marcelino Vieira/RN
8514	Marcioní­lio Souza/BA
8515	Marco/CE
8516	Marcolândia/PI
8517	Marcos Parente/PI
8518	Marechal Cândido Rondon/PR
8519	Marechal Deodoro/AL
8520	Marechal Floriano/ES
8521	Marechal Thaumaturgo/AC
8522	Marema/SC
8523	Mari/PB
8524	Maria da Fé/MG
8525	Maria Helena/PR
8526	Marialva/PR
8527	Mariana/MG
8528	Mariana Pimentel/RS
8529	Mariano Moro/RS
8530	Marianópolis do Tocantins/TO
8531	Mariápolis/SP
8532	Maribondo/AL
8533	Maricá/RJ
8534	Marilac/MG
8535	Marilândia/ES
8536	Marilândia do Sul/PR
8537	Marilena/PR
8538	Marí­lia/SP
8539	Mariluz/PR
8540	Maringá/PR
8541	Marinópolis/SP
8542	Mário Campos/MG
8543	Mariópolis/PR
8544	Maripá/PR
8545	Maripá de Minas/MG
8546	Marituba/PA
8547	Marizópolis/PB
8548	Marliéria/MG
8549	Marmeleiro/PR
8550	Marmelópolis/MG
8551	Marques de Souza/RS
8552	Marquinho/PR
8553	Martinho Campos/MG
8554	Martinópole/CE
8555	Martinópolis/SP
8556	Martins/RN
8557	Martins Soares/MG
8558	Maruim/SE
8559	Marumbi/PR
8560	MarzagÃ­o/GO
8561	Mascote/BA
8562	Massapíª/CE
8563	Massapíª do Piauí­/PI
8564	Massaranduba/PB
8565	Massaranduba/SC
8566	Mata/RS
8567	Mata de SÃ­o JoÃ­o/BA
8568	Mata Grande/AL
8569	Mata Roma/MA
8570	Mata Verde/MG
8571	MatÃ­o/SP
8572	Mataraca/PB
8573	Mateiros/TO
8574	Matelândia/PR
8575	Materlândia/MG
8576	Mateus Leme/MG
8577	Mathias Lobato/MG
8578	Matias Barbosa/MG
8579	Matias Cardoso/MG
8580	Matias Olí­mpio/PI
8581	Matina/BA
8582	Matinha/MA
8583	Matinhas/PB
8584	Matinhos/PR
8585	Matipó/MG
8586	Mato Castelhano/RS
8587	Mato Grosso/PB
8588	Mato LeitÃ­o/RS
8589	Mato Queimado/RS
8590	Mato Rico/PR
8591	Mato Verde/MG
8592	Matíµes/MA
8593	Matíµes do Norte/MA
8594	Matos Costa/SC
8595	Matozinhos/MG
8596	MatrinchÃ­/GO
8597	Matriz de Camaragibe/AL
8598	Matupá/MT
8599	Maturéia/PB
8600	Matutina/MG
8601	Mauá/SP
8602	Mauá da Serra/PR
8603	Maués/AM
8604	Maurilândia/GO
8605	Maurilândia do Tocantins/TO
8606	Mauriti/CE
8607	Maxaranguape/RN
8608	Maximiliano de Almeida/RS
8609	MazagÃ­o/AP
8610	Medeiros/MG
8611	Medeiros Neto/BA
8612	Medianeira/PR
8613	Medicilândia/PA
8614	Medina/MG
8615	Meleiro/SC
8616	Melgaço/PA
8617	Mendes/RJ
8618	Mendes Pimentel/MG
8619	Mendonça/SP
8620	Mercedes/PR
8621	Mercíªs/MG
8622	Meridiano/SP
8623	Meruoca/CE
8624	Mesópolis/SP
8625	Mesquita/RJ
8626	Mesquita/MG
8627	Messias/AL
8628	Messias Targino/RN
8629	Miguel Alves/PI
8630	Miguel Calmon/BA
8631	Miguel LeÃ­o/PI
8632	Miguel Pereira/RJ
8633	Miguelópolis/SP
8634	Milagres/CE
8635	Milagres/BA
8636	Milagres do MaranhÃ­o/MA
8637	MilhÃ­/CE
8638	Milton BrandÃ­o/PI
8639	Mimoso de Goiás/GO
8640	Mimoso do Sul/ES
8641	Minaçu/GO
8642	Minador do NegrÃ­o/AL
8643	Minas do LeÃ­o/RS
8644	Minas Novas/MG
8645	Minduri/MG
8646	Mineiros/GO
8647	Mineiros do Tietíª/SP
8648	Ministro Andreazza/RO
8649	Mira Estrela/SP
8650	Mirabela/MG
8651	Miracatu/SP
8652	Miracema/RJ
8653	Miracema do Tocantins/TO
8654	Mirador/PR
8655	Mirador/MA
8656	Miradouro/MG
8657	Miraguaí­/RS
8658	Miraí­/MG
8659	Miraí­ma/CE
8660	Miranda/MS
8661	Miranda do Norte/MA
8662	Mirandiba/PE
8663	Mirandópolis/SP
8664	Mirangaba/BA
8665	Miranorte/TO
8666	Mirante/BA
8667	Mirante da Serra/RO
8668	Mirante do Paranapanema/SP
8669	Miraselva/PR
8670	Mirassol/SP
8671	Mirassol d&apos;Oeste/MT
8672	Mirassolândia/SP
8673	Miravânia/MG
8674	Mirim Doce/SC
8675	Mirinzal/MA
8676	Missal/PR
8677	MissÃ­o Velha/CE
8678	Mocajuba/PA
8679	Mococa/SP
8680	Modelo/SC
8681	Moeda/MG
8682	Moema/MG
8683	Mogeiro/PB
8684	Mogi Guaçu/SP
8685	Moiporá/GO
8686	Moita Bonita/SE
8687	Moji das Cruzes/SP
8688	Moji-Mirim/SP
8689	Moju/PA
8690	Mombaça/CE
8691	Mombuca/SP
8692	MonçÃ­o/MA
8693	Monçíµes/SP
8694	Mondaí­/SC
8695	Mongaguá/SP
8696	Monjolos/MG
8697	Monsenhor Gil/PI
8698	Monsenhor Hipólito/PI
8699	Monsenhor Paulo/MG
8700	Monsenhor Tabosa/CE
8701	Montadas/PB
8702	Montalvânia/MG
8703	Montanha/ES
8704	Montanhas/RN
8705	Montauri/RS
8706	Monte Alegre/PA
8707	Monte Alegre/RN
8708	Monte Alegre de Goiás/GO
8709	Monte Alegre de Minas/MG
8710	Monte Alegre de Sergipe/SE
8711	Monte Alegre do Piauí­/PI
8712	Monte Alegre do Sul/SP
8713	Monte Alegre dos Campos/RS
8714	Monte Alto/SP
8715	Monte Aprazí­vel/SP
8716	Monte Azul/MG
8717	Monte Azul Paulista/SP
8718	Monte Belo/MG
8719	Monte Belo do Sul/RS
8720	Monte Carlo/SC
8721	Monte Carmelo/MG
8722	Monte Castelo/SC
8723	Monte Castelo/SP
8724	Monte das Gameleiras/RN
8725	Monte do Carmo/TO
8726	Monte Formoso/MG
8727	Monte Horebe/PB
8728	Monte Mor/SP
8729	Monte Negro/RO
8730	Monte Santo/BA
8731	Monte Santo de Minas/MG
8732	Monte Santo do Tocantins/TO
8733	Monte SiÃ­o/MG
8734	Monteiro/PB
8735	Monteiro Lobato/SP
8736	Monteirópolis/AL
8737	Montenegro/RS
8738	Montes Altos/MA
8739	Montes Claros/MG
8740	Montes Claros de Goiás/GO
8741	Montezuma/MG
8742	Montividiu/GO
8743	Montividiu do Norte/GO
8744	Morada Nova/CE
8745	Morada Nova de Minas/MG
8746	Moraújo/CE
8747	Moreilândia/PE
8748	Moreira Sales/PR
8749	Moreno/PE
8750	Mormaço/RS
8751	Morpará/BA
8752	Morretes/PR
8753	Morrinhos/CE
8754	Morrinhos/GO
8755	Morrinhos do Sul/RS
8756	Morro Agudo/SP
8757	Morro Agudo de Goiás/GO
8758	Morro Cabeça no Tempo/PI
8759	Morro da Fumaça/SC
8760	Morro da Garça/MG
8761	Morro do Chapéu/BA
8762	Morro do Chapéu do Piauí­/PI
8763	Morro do Pilar/MG
8764	Morro Grande/SC
8765	Morro Redondo/RS
8766	Morro Reuter/RS
8767	Morros/MA
8768	Mortugaba/BA
8769	Morungaba/SP
8770	Mossâmedes/GO
8771	Mossoró/RN
8772	Mostardas/RS
8773	Motuca/SP
8774	Mozarlândia/GO
8775	Muaná/PA
8776	Mucajaí­/RR
8777	Mucambo/CE
8778	Mucugíª/BA
8779	Muçum/RS
8780	Mucuri/BA
8781	Mucurici/ES
8782	Muitos Capíµes/RS
8783	Muliterno/RS
8784	Mulungu/CE
8785	Mulungu/PB
8786	Mulungu do Morro/BA
8787	Mundo Novo/BA
8788	Mundo Novo/MS
8789	Mundo Novo/GO
8790	Munhoz/MG
8791	Munhoz de Melo/PR
8792	Muniz Ferreira/BA
8793	Muniz Freire/ES
8794	Muquém de SÃ­o Francisco/BA
8795	Muqui/ES
8796	Muriaé/MG
8797	Muribeca/SE
8798	Murici/AL
8799	Murici dos Portelas/PI
8800	Muricilândia/TO
8801	Muritiba/BA
8802	Murutinga do Sul/SP
8803	Mutuí­pe/BA
8804	Mutum/MG
8805	Mutunópolis/GO
8806	Muzambinho/MG
8807	Nacip Raydan/MG
8808	Nantes/SP
8809	Nanuque/MG
8810	NÃ­o-Me-Toque/RS
8811	Naque/MG
8812	Narandiba/SP
8813	Natalândia/MG
8814	Natércia/MG
8815	Natividade/RJ
8816	Natividade/TO
8817	Natividade da Serra/SP
8818	Natuba/PB
8819	Navegantes/SC
8820	Naviraí­/MS
8821	Nazaré/BA
8822	Nazaré/TO
8823	Nazaré da Mata/PE
8824	Nazaré do Piauí­/PI
8825	Nazaré Paulista/SP
8826	Nazareno/MG
8827	Nazarezinho/PB
8828	Nazário/GO
8829	Neópolis/SE
8830	Nepomuceno/MG
8831	Nerópolis/GO
8832	Neves Paulista/SP
8833	Nhamundá/AM
8834	Nhandeara/SP
8835	Nicolau Vergueiro/RS
8836	Nilo Peçanha/BA
8837	Nilópolis/RJ
8838	Nina Rodrigues/MA
8839	Ninheira/MG
8840	Nioaque/MS
8841	NipoÃ­/SP
8842	Niquelândia/GO
8843	Ní­sia Floresta/RN
8844	Niterói/RJ
8845	Nobres/MT
8846	Nonoai/RS
8847	Nordestina/BA
8848	Normandia/RR
8849	Nortelândia/MT
8850	Nossa Senhora Aparecida/SE
8851	Nossa Senhora da Glória/SE
8852	Nossa Senhora das Dores/SE
8853	Nossa Senhora das Graças/PR
8854	Nossa Senhora de Lourdes/SE
8855	Nossa Senhora de Nazaré/PI
8856	Nossa Senhora do Livramento/MT
8857	Nossa Senhora do Socorro/SE
8858	Nossa Senhora dos Remédios/PI
8859	Nova Aliança/SP
8860	Nova Aliança do Ivaí­/PR
8861	Nova Alvorada/RS
8862	Nova Alvorada do Sul/MS
8863	Nova América/GO
8864	Nova América da Colina/PR
8865	Nova Andradina/MS
8866	Nova Araçá/RS
8867	Nova Aurora/PR
8868	Nova Aurora/GO
8869	Nova Bandeirantes/MT
8870	Nova Bassano/RS
8871	Nova Belém/MG
8872	Nova Boa Vista/RS
8873	Nova Brasilândia/MT
8874	Nova Brasilândia d&apos;Oeste/RO
8875	Nova Bréscia/RS
8876	Nova Campina/SP
8877	Nova CanaÃ­/BA
8878	Nova CanaÃ­ do Norte/MT
8879	Nova CanaÃ­ Paulista/SP
8880	Nova Candelária/RS
8881	Nova Cantu/PR
8882	Nova Castilho/SP
8883	Nova Colinas/MA
8884	Nova Crixás/GO
8885	Nova Cruz/RN
8886	Nova Era/MG
8887	Nova Erechim/SC
8888	Nova Esperança/PR
8889	Nova Esperança do Piriá/PA
8890	Nova Esperança do Sudoeste/PR
8891	Nova Esperança do Sul/RS
8892	Nova Europa/SP
8893	Nova Fátima/BA
8894	Nova Fátima/PR
8895	Nova Floresta/PB
8896	Nova Friburgo/RJ
8897	Nova Glória/GO
8898	Nova Granada/SP
8899	Nova Guarita/MT
8900	Nova Guataporanga/SP
8901	Nova Hartz/RS
8902	Nova Ibiá/BA
8903	Nova Iguaçu/RJ
8904	Nova Iguaçu de Goiás/GO
8905	Nova Independíªncia/SP
8906	Nova Iorque/MA
8907	Nova Ipixuna/PA
8908	Nova Itaberaba/SC
8909	Nova Itarana/BA
8910	Nova Lacerda/MT
8911	Nova Laranjeiras/PR
8912	Nova Lima/MG
8913	Nova Londrina/PR
8914	Nova Luzitânia/SP
8915	Nova Mamoré/RO
8916	Nova Marilândia/MT
8917	Nova Maringá/MT
8918	Nova Módica/MG
8919	Nova Monte Verde/MT
8920	Nova Mutum/MT
8921	Nova Nazaré/MT
8922	Nova Odessa/SP
8923	Nova Olí­mpia/PR
8924	Nova Olí­mpia/MT
8925	Nova Olinda/CE
8926	Nova Olinda/TO
8927	Nova Olinda/PB
8928	Nova Olinda do MaranhÃ­o/MA
8929	Nova Olinda do Norte/AM
8930	Nova Pádua/RS
8931	Nova Palma/RS
8932	Nova Palmeira/PB
8933	Nova Petrópolis/RS
8934	Nova Ponte/MG
8935	Nova Porteirinha/MG
8936	Nova Prata/RS
8937	Nova Prata do Iguaçu/PR
8938	Nova Ramada/RS
8939	Nova RedençÃ­o/BA
8940	Nova Resende/MG
8941	Nova Roma/GO
8942	Nova Roma do Sul/RS
8943	Nova Rosalândia/TO
8944	Nova Russas/CE
8945	Nova Santa Bárbara/PR
8946	Nova Santa Helena/MT
8947	Nova Santa Rita/RS
8948	Nova Santa Rita/PI
8949	Nova Santa Rosa/PR
8950	Nova Serrana/MG
8951	Nova Soure/BA
8952	Nova Tebas/PR
8953	Nova Timboteua/PA
8954	Nova Trento/SC
8955	Nova UbiratÃ­/MT
8956	Nova UniÃ­o/RO
8957	Nova UniÃ­o/MG
8958	Nova Venécia/ES
8959	Nova Veneza/GO
8960	Nova Veneza/SC
8961	Nova Viçosa/BA
8962	Nova Xavantina/MT
8963	Novais/SP
8964	Novo Acordo/TO
8965	Novo AirÃ­o/AM
8966	Novo Alegre/TO
8967	Novo AripuanÃ­/AM
8968	Novo Barreiro/RS
8969	Novo Brasil/GO
8970	Novo Cabrais/RS
8971	Novo Cruzeiro/MG
8972	Novo Gama/GO
8973	Novo Hamburgo/RS
8974	Novo Horizonte/BA
8975	Novo Horizonte/SC
8976	Novo Horizonte/SP
8977	Novo Horizonte do Norte/MT
8978	Novo Horizonte do Oeste/RO
8979	Novo Horizonte do Sul/MS
8980	Novo Itacolomi/PR
8981	Novo Jardim/TO
8982	Novo Lino/AL
8983	Novo Machado/RS
8984	Novo Mundo/MT
8985	Novo Oriente/CE
8986	Novo Oriente de Minas/MG
8987	Novo Oriente do Piauí­/PI
8988	Novo Planalto/GO
8989	Novo Progresso/PA
8990	Novo Repartimento/PA
8991	Novo Santo Antônio/MT
8992	Novo Santo Antônio/PI
8993	Novo SÃ­o Joaquim/MT
8994	Novo Tiradentes/RS
8995	Novo Triunfo/BA
8996	Novo Xingu/RS
8997	Novorizonte/MG
8998	Nuporanga/SP
8999	Ã­?bidos/PA
9000	Ocara/CE
9001	Ocauçu/SP
9002	Oeiras/PI
9003	Oeiras do Pará/PA
9004	Oiapoque/AP
9005	Olaria/MG
9006	Ã­?leo/SP
9007	Olho d&apos;Água/PB
9008	Olho d&apos;Água das CunhÃ­s/MA
9009	Olho d&apos;Água das Flores/AL
9010	Olho d&apos;Água do Casado/AL
9011	Olho d&apos;Água do Piauí­/PI
9012	Olho d&apos;Água Grande/AL
9013	Olho-d&apos;Água do Borges/RN
9014	Olhos-d&apos;Água/MG
9015	Olí­mpia/SP
9016	Olí­mpio Noronha/MG
9017	Olinda/PE
9018	Olinda Nova do MaranhÃ­o/MA
9019	Olindina/BA
9020	Olivedos/PB
9021	Oliveira/MG
9022	Oliveira de Fátima/TO
9023	Oliveira dos Brejinhos/BA
9024	Oliveira Fortes/MG
9025	Olivença/AL
9026	Onça de Pitangui/MG
9027	Onda Verde/SP
9028	Oratórios/MG
9029	Oriente/SP
9030	Orindiúva/SP
9031	Oriximiná/PA
9032	Orizânia/MG
9033	Orizona/GO
9034	Orlândia/SP
9035	Orleans/SC
9036	Orobó/PE
9037	Orocó/PE
9038	Orós/CE
9039	Ortigueira/PR
9040	Osasco/SP
9041	Oscar Bressane/SP
9042	Osório/RS
9043	Osvaldo Cruz/SP
9044	Otací­lio Costa/SC
9045	Ourém/PA
9046	Ouriçangas/BA
9047	Ouricuri/PE
9048	Ourilândia do Norte/PA
9049	Ourinhos/SP
9050	Ourizona/PR
9051	Ouro/SC
9052	Ouro Branco/RN
9053	Ouro Branco/AL
9054	Ouro Branco/MG
9055	Ouro Fino/MG
9056	Ouro Preto/MG
9057	Ouro Preto do Oeste/RO
9058	Ouro Velho/PB
9059	Ouro Verde/SC
9060	Ouro Verde/SP
9061	Ouro Verde de Goiás/GO
9062	Ouro Verde de Minas/MG
9063	Ouro Verde do Oeste/PR
9064	Ouroeste/SP
9065	Ourolândia/BA
9066	Ouvidor/GO
9067	Pacaembu/SP
9068	Pacajá/PA
9069	Pacajus/CE
9070	Pacaraima/RR
9071	Pacatuba/CE
9072	Pacatuba/SE
9073	Paço do Lumiar/MA
9074	Pacoti/CE
9075	Pacujá/CE
9076	Padre Bernardo/GO
9077	Padre Carvalho/MG
9078	Padre Marcos/PI
9079	Padre Paraí­so/MG
9080	Paes Landim/PI
9081	Pai Pedro/MG
9082	Paial/SC
9083	Paiçandu/PR
9084	Paim Filho/RS
9085	Paineiras/MG
9086	Painel/SC
9087	Pains/MG
9088	Paiva/MG
9089	Pajeú do Piauí­/PI
9090	Palestina/AL
9091	Palestina/SP
9092	Palestina de Goiás/GO
9093	Palestina do Pará/PA
9094	Palhano/CE
9095	Palhoça/SC
9096	Palma/MG
9097	Palma Sola/SC
9098	Palmácia/CE
9099	Palmares/PE
9100	Palmares do Sul/RS
9101	Palmares Paulista/SP
9102	Palmas/PR
9103	Palmas de Monte Alto/BA
9104	Palmeira/PR
9105	Palmeira/SC
9106	Palmeira das Missíµes/RS
9107	Palmeira do Piauí­/PI
9108	Palmeira d&apos;Oeste/SP
9109	Palmeira dos Ã­?ndios/AL
9110	Palmeirais/PI
9111	Palmeirândia/MA
9112	Palmeirante/TO
9113	Palmeiras/BA
9114	Palmeiras de Goiás/GO
9115	Palmeiras do Tocantins/TO
9116	Palmeirina/PE
9117	Palmeirópolis/TO
9118	Palmelo/GO
9119	Palminópolis/GO
9120	Palmital/PR
9121	Palmital/SP
9122	Palmitinho/RS
9123	Palmitos/SC
9124	Palmópolis/MG
9125	Palotina/PR
9126	Panamá/GO
9127	Panambi/RS
9128	Pancas/ES
9129	Panelas/PE
9130	Panorama/SP
9131	Pântano Grande/RS
9132	PÃ­o de Açúcar/AL
9133	Papagaios/MG
9134	Papanduva/SC
9135	Paquetá/PI
9136	Pará de Minas/MG
9137	Paracambi/RJ
9138	Paracatu/MG
9139	Paracuru/CE
9140	Paragominas/PA
9141	Paraguaçu/MG
9142	Paraguaçu Paulista/SP
9143	Paraí­/RS
9144	Paraí­ba do Sul/RJ
9145	Paraibano/MA
9146	Paraibuna/SP
9147	Paraipaba/CE
9148	Paraí­so/SC
9149	Paraí­so/SP
9150	Paraí­so do Norte/PR
9151	Paraí­so do Sul/RS
9152	Paraí­so do Tocantins/TO
9153	Paraisópolis/MG
9154	Parambu/CE
9155	Paramirim/BA
9156	Paramoti/CE
9157	Paraná/RN
9158	ParanÃ­/TO
9159	Paranacity/PR
9160	Paranaguá/PR
9161	Paranaí­ba/MS
9162	Paranaiguara/GO
9163	Paranaí­ta/MT
9164	Paranapanema/SP
9165	Paranapoema/PR
9166	ParanapuÃ­/SP
9167	Paranatama/PE
9168	Paranatinga/MT
9169	Paranavaí­/PR
9170	Paranhos/MS
9171	Paraopeba/MG
9172	ParapuÃ­/SP
9173	Parari/PB
9174	Parati/RJ
9175	Paratinga/BA
9176	Paraú/RN
9177	Parauapebas/PA
9178	Paraúna/GO
9179	Parazinho/RN
9180	Pardinho/SP
9181	Pareci Novo/RS
9182	Parecis/RO
9183	Parelhas/RN
9184	Pariconha/AL
9185	Parintins/AM
9186	Paripiranga/BA
9187	Paripueira/AL
9188	Pariquera-Açu/SP
9189	Parisi/SP
9190	Parnaguá/PI
9191	Parnaí­ba/PI
9192	Parnamirim/RN
9193	Parnamirim/PE
9194	Parnarama/MA
9195	Parobé/RS
9196	Passa e Fica/RN
9197	Passa Quatro/MG
9198	Passa Sete/RS
9199	Passa Tempo/MG
9200	Passabém/MG
9201	Passagem/RN
9202	Passagem/PB
9203	Passagem Franca/MA
9204	Passagem Franca do Piauí­/PI
9205	Passa-Vinte/MG
9206	Passira/PE
9207	Passo de Camaragibe/AL
9208	Passo de Torres/SC
9209	Passo do Sobrado/RS
9210	Passo Fundo/RS
9211	Passos/MG
9212	Passos Maia/SC
9213	Pastos Bons/MA
9214	Patis/MG
9215	Pato Bragado/PR
9216	Pato Branco/PR
9217	Patos/PB
9218	Patos de Minas/MG
9219	Patos do Piauí­/PI
9220	Patrocí­nio/MG
9221	Patrocí­nio do Muriaé/MG
9222	Patrocí­nio Paulista/SP
9223	Patu/RN
9224	Paty do Alferes/RJ
9225	Pau Brasil/BA
9226	Pau d&apos;Arco/PA
9227	Pau d&apos;Arco
9228	Pau D&apos;arco do Piauí­/PI
9229	Pau dos Ferros/RN
9230	Paudalho/PE
9231	Pauini/AM
9232	Paula Cândido/MG
9233	Paula Freitas/PR
9234	Paulicéia/SP
9235	Paulí­nia/SP
9236	Paulino Neves/MA
9237	Paulista/PB
9238	Paulista/PE
9239	Paulistana/PI
9240	Paulistânia/SP
9241	Paulistas/MG
9242	Paulo Afonso/BA
9243	Paulo Bento/RS
9244	Paulo de Faria/SP
9245	Paulo Frontin/PR
9246	Paulo Jacinto/AL
9247	Paulo Lopes/SC
9248	Paulo Ramos/MA
9249	PavÃ­o/MG
9250	Paverama/RS
9251	Pavussu/PI
9252	Pé de Serra/BA
9253	Peabiru/PR
9254	Peçanha/MG
9255	Pederneiras/SP
9256	Pedra/PE
9257	Pedra Azul/MG
9258	Pedra Bela/SP
9259	Pedra Bonita/MG
9260	Pedra Branca/CE
9261	Pedra Branca/PB
9262	Pedra Branca do Amaparí­/AP
9263	Pedra do Anta/MG
9264	Pedra do Indaiá/MG
9265	Pedra Dourada/MG
9266	Pedra Grande/RN
9267	Pedra Lavrada/PB
9268	Pedra Mole/SE
9269	Pedra Preta/RN
9270	Pedra Preta/MT
9271	Pedralva/MG
9272	Pedranópolis/SP
9273	PedrÃ­o/BA
9274	Pedras Altas/RS
9275	Pedras de Fogo/PB
9276	Pedras de Maria da Cruz/MG
9277	Pedras Grandes/SC
9278	Pedregulho/SP
9279	Pedreira/SP
9280	Pedreiras/MA
9281	Pedrinhas/SE
9282	Pedrinhas Paulista/SP
9283	Pedrinópolis/MG
9284	Pedro Afonso/TO
9285	Pedro Alexandre/BA
9286	Pedro Avelino/RN
9287	Pedro Canário/ES
9288	Pedro de Toledo/SP
9289	Pedro do Rosário/MA
9290	Pedro Gomes/MS
9291	Pedro II/PI
9292	Pedro Laurentino/PI
9293	Pedro Leopoldo/MG
9294	Pedro Osório/RS
9295	Pedro Régis/PB
9296	Pedro Teixeira/MG
9297	Pedro Velho/RN
9298	Peixe/TO
9299	Peixe-Boi/PA
9300	Peixoto de Azevedo/MT
9301	Pejuçara/RS
9302	Pelotas/RS
9303	Penaforte/CE
9304	Penalva/MA
9305	Penápolis/SP
9306	Pendíªncias/RN
9307	Penedo/AL
9308	Penha/SC
9309	Pentecoste/CE
9310	Pequeri/MG
9311	Pequi/MG
9312	Pequizeiro/TO
9313	PerdigÃ­o/MG
9314	Perdizes/MG
9315	Perdíµes/MG
9316	Pereira Barreto/SP
9317	Pereiras/SP
9318	Pereiro/CE
9319	Peri Mirim/MA
9320	Periquito/MG
9321	Peritiba/SC
9322	Peritoró/MA
9323	Perobal/PR
9324	Pérola/PR
9325	Pérola d&apos;Oeste/PR
9326	Perolândia/GO
9327	Peruí­be/SP
9328	Pescador/MG
9329	Pesqueira/PE
9330	Petrolândia/PE
9331	Petrolândia/SC
9332	Petrolina/PE
9333	Petrolina de Goiás/GO
9334	Petrópolis/RJ
9335	Piaçabuçu/AL
9336	Piacatu/SP
9337	Piancó/PB
9338	PiatÃ­/BA
9339	Piau/MG
9340	Picada Café/RS
9341	Piçarra/PA
9342	Piçarras/SC
9343	Picos/PI
9344	Picuí­/PB
9345	Piedade/SP
9346	Piedade de Caratinga/MG
9347	Piedade de Ponte Nova/MG
9348	Piedade do Rio Grande/MG
9349	Piedade dos Gerais/MG
9350	Piíªn/PR
9351	PilÃ­o Arcado/BA
9352	Pilar/PB
9353	Pilar/AL
9354	Pilar de Goiás/GO
9355	Pilar do Sul/SP
9356	Pilíµes/RN
9357	Pilíµes/PB
9358	Pilíµezinhos/PB
9359	Pimenta/MG
9360	Pimenta Bueno/RO
9361	Pimenteiras/PI
9362	Pimenteiras do Oeste/RO
9363	Pindaí­/BA
9364	Pindamonhangaba/SP
9365	Pindaré-Mirim/MA
9366	Pindoba/AL
9367	Pindobaçu/BA
9368	Pindorama/SP
9369	Pindorama do Tocantins/TO
9370	Pindoretama/CE
9371	Pingo-d&apos;Água/MG
9372	Pinhais/PR
9373	Pinhal/RS
9374	Pinhal da Serra/RS
9375	Pinhal de SÃ­o Bento/PR
9376	Pinhal Grande/RS
9377	PinhalÃ­o/PR
9378	Pinhalzinho/SC
9379	Pinhalzinho/SP
9380	PinhÃ­o/PR
9381	PinhÃ­o/SE
9382	Pinheiral/RJ
9383	Pinheirinho do Vale/RS
9384	Pinheiro/MA
9385	Pinheiro Machado/RS
9386	Pinheiro Preto/SC
9387	Pinheiros/ES
9388	Pintadas/BA
9389	Pinto Bandeira/RS
9390	Pintópolis/MG
9391	Pio IX/PI
9392	Pio XII/MA
9393	Piquerobi/SP
9394	Piquet Carneiro/CE
9395	Piquete/SP
9396	Piracaia/SP
9397	Piracanjuba/GO
9398	Piracema/MG
9399	Piracicaba/SP
9400	Piracuruca/PI
9401	Piraí­/RJ
9402	Piraí­ do Norte/BA
9403	Piraí­ do Sul/PR
9404	Piraju/SP
9405	Pirajuba/MG
9406	Pirajuí­/SP
9407	Pirambu/SE
9408	Piranga/MG
9409	Pirangi/SP
9410	Piranguçu/MG
9411	Piranguinho/MG
9412	Piranhas/GO
9413	Piranhas/AL
9414	Pirapemas/MA
9415	Pirapetinga/MG
9416	Pirapó/RS
9417	Pirapora/MG
9418	Pirapora do Bom Jesus/SP
9419	Pirapozinho/SP
9420	Piraquara/PR
9421	Piraquíª/TO
9422	Pirassununga/SP
9423	Piratini/RS
9424	Piratininga/SP
9425	Piratuba/SC
9426	Piraúba/MG
9427	Pirenópolis/GO
9428	Pires do Rio/GO
9429	Pires Ferreira/CE
9430	Piripá/BA
9431	Piripiri/PI
9432	Piritiba/BA
9433	Pirpirituba/PB
9434	Pitanga/PR
9435	Pitangueiras/PR
9436	Pitangueiras/SP
9437	Pitangui/MG
9438	Pitimbu/PB
9439	Pium/TO
9440	Piúma/ES
9441	Piumhi/MG
9442	Placas/PA
9443	Plácido de Castro/AC
9444	Planaltina/GO
9445	Planaltina do Paraná/PR
9446	Planaltino/BA
9447	Planalto/RS
9448	Planalto/BA
9449	Planalto/PR
9450	Planalto/SP
9451	Planalto Alegre/SC
9452	Planalto da Serra/MT
9453	Planura/MG
9454	Platina/SP
9455	Poá/SP
9456	PoçÃ­o/PE
9457	PoçÃ­o de Pedras/MA
9458	Pocinhos/PB
9459	Poço Branco/RN
9460	Poço Dantas/PB
9461	Poço das Antas/RS
9462	Poço das Trincheiras/AL
9463	Poço de José de Moura/PB
9464	Poço Fundo/MG
9465	Poço Redondo/SE
9466	Poço Verde/SE
9467	Poçíµes/BA
9468	Poconé/MT
9469	Poços de Caldas/MG
9470	Pocrane/MG
9471	Pojuca/BA
9472	Poloni/SP
9473	Pombal/PB
9474	Pombos/PE
9475	Pomerode/SC
9476	Pompéia/SP
9477	Pompéu/MG
9478	Pongaí­/SP
9479	Ponta de Pedras/PA
9480	Ponta Grossa/PR
9481	Ponta PorÃ­/MS
9482	Pontal/SP
9483	Pontal do Araguaia/MT
9484	Pontal do Paraná/PR
9485	Pontalina/GO
9486	Pontalinda/SP
9487	PontÃ­o/RS
9488	Ponte Alta/SC
9489	Ponte Alta do Bom Jesus/TO
9490	Ponte Alta do Norte/SC
9491	Ponte Alta do Tocantins/TO
9492	Ponte Branca/MT
9493	Ponte Nova/MG
9494	Ponte Preta/RS
9495	Ponte Serrada/SC
9496	Pontes e Lacerda/MT
9497	Pontes Gestal/SP
9498	Ponto Belo/ES
9499	Ponto Chique/MG
9500	Ponto dos Volantes/MG
9501	Ponto Novo/BA
9502	Populina/SP
9503	Poranga/CE
9504	Porangaba/SP
9505	Porangatu/GO
9506	Porciúncula/RJ
9507	Porecatu/PR
9508	Portalegre/RN
9509	PortÃ­o/RS
9510	PorteirÃ­o/GO
9511	Porteiras/CE
9512	Porteirinha/MG
9513	Portel/PA
9514	Portelândia/GO
9515	Porto/PI
9516	Porto Acre/AC
9517	Porto Alegre do Norte/MT
9518	Porto Alegre do Piauí­/PI
9519	Porto Alegre do Tocantins/TO
9520	Porto Amazonas/PR
9521	Porto Barreiro/PR
9522	Porto Belo/SC
9523	Porto Calvo/AL
9524	Porto da Folha/SE
9525	Porto de Moz/PA
9526	Porto de Pedras/AL
9527	Porto do Mangue/RN
9528	Porto dos Gaúchos/MT
9529	Porto EsperidiÃ­o/MT
9530	Porto Estrela/MT
9531	Porto Feliz/SP
9532	Porto Ferreira/SP
9533	Porto Firme/MG
9534	Porto Franco/MA
9535	Porto Grande/AP
9536	Porto Lucena/RS
9537	Porto Mauá/RS
9538	Porto Murtinho/MS
9539	Porto Nacional/TO
9540	Porto Real/RJ
9541	Porto Real do Colégio/AL
9542	Porto Rico/PR
9543	Porto Rico do MaranhÃ­o/MA
9544	Porto Seguro/BA
9545	Porto UniÃ­o/SC
9546	Porto Vera Cruz/RS
9547	Porto Vitória/PR
9548	Porto Walter/AC
9549	Porto Xavier/RS
9550	Posse/GO
9551	Poté/MG
9552	Potengi/CE
9553	Potim/SP
9554	Potiraguá/BA
9555	Potirendaba/SP
9556	Potiretama/CE
9557	Pouso Alegre/MG
9558	Pouso Alto/MG
9559	Pouso Novo/RS
9560	Pouso Redondo/SC
9561	Poxoréo/MT
9562	Pracinha/SP
9563	Pracuúba/AP
9564	Prado/BA
9565	Prado Ferreira/PR
9566	Pradópolis/SP
9567	Prados/MG
9568	Praia Grande/SC
9569	Praia Grande/SP
9570	Praia Norte/TO
9571	Prainha/PA
9572	Pranchita/PR
9573	Prata/PB
9574	Prata/MG
9575	Prata do Piauí­/PI
9576	Pratânia/SP
9577	Pratápolis/MG
9578	Pratinha/MG
9579	Presidente Alves/SP
9580	Presidente Bernardes/SP
9581	Presidente Bernardes/MG
9582	Presidente Castelo Branco/PR
9583	Presidente Castelo Branco/SC
9584	Presidente Dutra/BA
9585	Presidente Dutra/MA
9586	Presidente Epitácio/SP
9587	Presidente Figueiredo/AM
9588	Presidente Getúlio/SC
9589	Presidente Jânio Quadros/BA
9590	Presidente Juscelino/RN
9591	Presidente Juscelino/MA
9592	Presidente Juscelino/MG
9593	Presidente Kennedy/ES
9594	Presidente Kennedy/TO
9595	Presidente Kubitschek/MG
9596	Presidente Lucena/RS
9597	Presidente Médici/RO
9598	Presidente Médici/MA
9599	Presidente Nereu/SC
9600	Presidente Olegário/MG
9601	Presidente Prudente/SP
9602	Presidente Sarney/MA
9603	Presidente Tancredo Neves/BA
9604	Presidente Vargas/MA
9605	Presidente Venceslau/SP
9606	Primavera/PA
9607	Primavera/PE
9608	Primavera de Rondônia/RO
9609	Primavera do Leste/MT
9610	Primeira Cruz/MA
9611	Primeiro de Maio/PR
9612	Princesa/SC
9613	Princesa Isabel/PB
9614	Professor Jamil/GO
9615	Progresso/RS
9616	PromissÃ­o/SP
9617	Propriá/SE
9618	Protásio Alves/RS
9619	Prudente de Morais/MG
9620	Prudentópolis/PR
9621	Pugmil/TO
9622	Pureza/RN
9623	Putinga/RS
9624	PuxinanÃ­/PB
9625	Quadra/SP
9626	Quaraí­/RS
9627	Quartel Geral/MG
9628	Quarto Centenário/PR
9629	Quatá/SP
9630	Quatiguá/PR
9631	Quatipuru/PA
9632	Quatis/RJ
9633	Quatro Barras/PR
9634	Quatro IrmÃ­os/RS
9635	Quatro Pontes/PR
9636	Quebrangulo/AL
9637	Quedas do Iguaçu/PR
9638	Queimada Nova/PI
9639	Queimadas/BA
9640	Queimadas/PB
9641	Queimados/RJ
9642	Queiroz/SP
9643	Queluz/SP
9644	Queluzito/MG
9645	Queríªncia/MT
9646	Queríªncia do Norte/PR
9647	Quevedos/RS
9648	Quijingue/BA
9649	Quilombo/SC
9650	Quinta do Sol/PR
9651	Quintana/SP
9652	Quinze de Novembro/RS
9653	Quipapá/PE
9654	Quirinópolis/GO
9655	QuissamÃ­/RJ
9656	Quitandinha/PR
9657	Quiterianópolis/CE
9658	Quixaba/PE
9659	Quixabá/PB
9660	Quixabeira/BA
9661	Quixadá/CE
9662	Quixelô/CE
9663	Quixeramobim/CE
9664	Quixeré/CE
9665	Rafael Fernandes/RN
9666	Rafael Godeiro/RN
9667	Rafael Jambeiro/BA
9668	Rafard/SP
9669	Ramilândia/PR
9670	Rancharia/SP
9671	Rancho Alegre/PR
9672	Rancho Alegre d&apos;Oeste/PR
9673	Rancho Queimado/SC
9674	Raposa/MA
9675	Raposos/MG
9676	Raul Soares/MG
9677	Realeza/PR
9678	Rebouças/PR
9679	Recreio/MG
9680	Recursolândia/TO
9681	RedençÃ­o/CE
9682	RedençÃ­o/PA
9683	RedençÃ­o da Serra/SP
9684	RedençÃ­o do Gurguéia/PI
9685	Redentora/RS
9686	Reduto/MG
9687	RegeneraçÃ­o/PI
9688	Regente Feijó/SP
9689	Reginópolis/SP
9690	Registro/SP
9691	Relvado/RS
9692	Remanso/BA
9693	Remí­gio/PB
9694	Renascença/PR
9695	Reriutaba/CE
9696	Resende/RJ
9697	Resende Costa/MG
9698	Reserva/PR
9699	Reserva do Cabaçal/MT
9700	Reserva do Iguaçu/PR
9701	Resplendor/MG
9702	Ressaquinha/MG
9703	Restinga/SP
9704	Restinga Seca/RS
9705	Retirolândia/BA
9706	RiachÃ­o/PB
9707	RiachÃ­o/MA
9708	RiachÃ­o das Neves/BA
9709	RiachÃ­o do Bacamarte/PB
9710	RiachÃ­o do Dantas/SE
9711	RiachÃ­o do Jacuí­pe/BA
9712	RiachÃ­o do Poço/PB
9713	Riachinho/TO
9714	Riachinho/MG
9715	Riacho da Cruz/RN
9716	Riacho das Almas/PE
9717	Riacho de Santana/BA
9718	Riacho de Santana/RN
9719	Riacho de Santo Antônio/PB
9720	Riacho dos Cavalos/PB
9721	Riacho dos Machados/MG
9722	Riacho Frio/PI
9723	Riachuelo/RN
9724	Riachuelo/SE
9725	Rialma/GO
9726	Rianápolis/GO
9727	Ribamar Fiquene/MA
9728	Ribas do Rio Pardo/MS
9729	Ribeira/SP
9730	Ribeira do Amparo/BA
9731	Ribeira do Piauí­/PI
9732	Ribeira do Pombal/BA
9733	RibeirÃ­o/PE
9734	RibeirÃ­o Bonito/SP
9735	RibeirÃ­o Branco/SP
9736	RibeirÃ­o Cascalheira/MT
9737	RibeirÃ­o Claro/PR
9738	RibeirÃ­o Corrente/SP
9739	RibeirÃ­o das Neves/MG
9740	RibeirÃ­o do Largo/BA
9741	RibeirÃ­o do Pinhal/PR
9742	RibeirÃ­o do Sul/SP
9743	RibeirÃ­o dos Ã­?ndios/SP
9744	RibeirÃ­o Grande/SP
9745	RibeirÃ­o Pires/SP
9746	RibeirÃ­o Preto/SP
9747	RibeirÃ­o Vermelho/MG
9748	RibeirÃ­ozinho/MT
9749	Ribeiro Gonçalves/PI
9750	Ribeirópolis/SE
9751	Rifaina/SP
9752	RincÃ­o/SP
9753	Rinópolis/SP
9754	Rio Acima/MG
9755	Rio Azul/PR
9756	Rio Bananal/ES
9757	Rio Bom/PR
9758	Rio Bonito/RJ
9759	Rio Bonito do Iguaçu/PR
9760	Rio Branco/MT
9761	Rio Branco do Ivaí­/PR
9762	Rio Branco do Sul/PR
9763	Rio Brilhante/MS
9764	Rio Casca/MG
9765	Rio Claro/RJ
9766	Rio Claro/SP
9767	Rio Crespo/RO
9768	Rio da ConceiçÃ­o/TO
9769	Rio das Antas/SC
9770	Rio das Flores/RJ
9771	Rio das Ostras/RJ
9772	Rio das Pedras/SP
9773	Rio de Contas/BA
9774	Rio do Antônio/BA
9775	Rio do Campo/SC
9776	Rio do Fogo/RN
9777	Rio do Oeste/SC
9778	Rio do Pires/BA
9779	Rio do Prado/MG
9780	Rio do Sul/SC
9781	Rio Doce/MG
9782	Rio dos Bois/TO
9783	Rio dos Cedros/SC
9784	Rio dos Ã­?ndios/RS
9785	Rio Espera/MG
9786	Rio Formoso/PE
9787	Rio Fortuna/SC
9788	Rio Grande/RS
9789	Rio Grande da Serra/SP
9790	Rio Grande do Piauí­/PI
9791	Rio Largo/AL
9792	Rio Manso/MG
9793	Rio Maria/PA
9794	Rio Negrinho/SC
9795	Rio Negro/MS
9796	Rio Negro/PR
9797	Rio Novo/MG
9798	Rio Novo do Sul/ES
9799	Rio Paranaí­ba/MG
9800	Rio Pardo/RS
9801	Rio Pardo de Minas/MG
9802	Rio Piracicaba/MG
9803	Rio Pomba/MG
9804	Rio Preto/MG
9805	Rio Preto da Eva/AM
9806	Rio Quente/GO
9807	Rio Real/BA
9808	Rio Rufino/SC
9809	Rio Sono/TO
9810	Rio Tinto/PB
9811	Rio Verde/GO
9812	Rio Verde de Mato Grosso/MS
9813	Rio Vermelho/MG
9814	Riolândia/SP
9815	Riozinho/RS
9816	Riqueza/SC
9817	Ritápolis/MG
9818	Riversul/SP
9819	Roca Sales/RS
9820	Rochedo/MS
9821	Rochedo de Minas/MG
9822	Rodeio/SC
9823	Rodeio Bonito/RS
9824	Rodeiro/MG
9825	Rodelas/BA
9826	Rodolfo Fernandes/RN
9827	Rodrigues Alves/AC
9828	Rolador/RS
9829	Rolândia/PR
9830	Rolante/RS
9831	Rolim de Moura/RO
9832	Romaria/MG
9833	Romelândia/SC
9834	Roncador/PR
9835	Ronda Alta/RS
9836	Rondinha/RS
9837	Rondolândia/MT
9838	Rondon/PR
9839	Rondon do Pará/PA
9840	Rondonópolis/MT
9841	Roque Gonzales/RS
9842	Rorainópolis/RR
9843	Rosana/SP
9844	Rosário/MA
9845	Rosário da Limeira/MG
9846	Rosário do Catete/SE
9847	Rosário do Ivaí­/PR
9848	Rosário do Sul/RS
9849	Rosário Oeste/MT
9850	Roseira/SP
9851	Roteiro/AL
9852	Rubelita/MG
9853	Rubiácea/SP
9854	Rubiataba/GO
9855	Rubim/MG
9856	Rubinéia/SP
9857	Rurópolis/PA
9858	Russas/CE
9859	Ruy Barbosa/BA
9860	Ruy Barbosa/RN
9861	Sabará/MG
9862	Sabáudia/PR
9863	Sabino/SP
9864	Sabinópolis/MG
9865	Saboeiro/CE
9866	Sacramento/MG
9867	Sagrada Famí­lia/RS
9868	Sagres/SP
9869	Sairé/PE
9870	Saldanha Marinho/RS
9871	Sales/SP
9872	Sales Oliveira/SP
9873	Salesópolis/SP
9874	Salete/SC
9875	Salgadinho/PB
9876	Salgadinho/PE
9877	Salgado/SE
9878	Salgado de SÃ­o Félix/PB
9879	Salgado Filho/PR
9880	Salgueiro/PE
9881	Salinas/MG
9882	Salinas da Margarida/BA
9883	Salinópolis/PA
9884	Salitre/CE
9885	SalmourÃ­o/SP
9886	Saloá/PE
9887	Saltinho/SC
9888	Saltinho/SP
9889	Salto/SP
9890	Salto da Divisa/MG
9891	Salto de Pirapora/SP
9892	Salto do Céu/MT
9893	Salto do Itararé/PR
9894	Salto do Jacuí­/RS
9895	Salto do Lontra/PR
9896	Salto Grande/SP
9897	Salto Veloso/SC
9898	Salvador das Missíµes/RS
9899	Salvador do Sul/RS
9900	Salvaterra/PA
9901	Sambaí­ba/MA
9902	Sampaio/TO
9903	Sananduva/RS
9904	Sanclerlândia/GO
9905	Sandolândia/TO
9906	Sandovalina/SP
9907	SangÃ­o/SC
9908	Sanharó/PE
9909	Santa Adélia/SP
9910	Santa Albertina/SP
9911	Santa Amélia/PR
9912	Santa Bárbara/BA
9913	Santa Bárbara/MG
9914	Santa Bárbara de Goiás/GO
9915	Santa Bárbara do Leste/MG
9916	Santa Bárbara do Monte Verde/MG
9917	Santa Bárbara do Pará/PA
9918	Santa Bárbara do Sul/RS
9919	Santa Bárbara do Tugúrio/MG
9920	Santa Bárbara d&apos;Oeste/SP
9921	Santa Branca/SP
9922	Santa Brí­gida/BA
9923	Santa Carmem/MT
9924	Santa Cecí­lia/PB
9925	Santa Cecí­lia/SC
9926	Santa Cecí­lia do PavÃ­o/PR
9927	Santa Cecí­lia do Sul/RS
9928	Santa Clara do Sul/RS
9929	Santa Clara d&apos;Oeste/SP
9930	Santa Cruz/RN
9931	Santa Cruz/PB
9932	Santa Cruz/PE
9933	Santa Cruz Cabrália/BA
9934	Santa Cruz da Baixa Verde/PE
9935	Santa Cruz da ConceiçÃ­o/SP
9936	Santa Cruz da Esperança/SP
9937	Santa Cruz da Vitória/BA
9938	Santa Cruz das Palmeiras/SP
9939	Santa Cruz de Goiás/GO
9940	Santa Cruz de Minas/MG
9941	Santa Cruz de Monte Castelo/PR
9942	Santa Cruz de Salinas/MG
9943	Santa Cruz do Arari/PA
9944	Santa Cruz do Capibaribe/PE
9945	Santa Cruz do Escalvado/MG
9946	Santa Cruz do Piauí­/PI
9947	Santa Cruz do Rio Pardo/SP
9948	Santa Cruz do Sul/RS
9949	Santa Cruz do Xingu/MT
9950	Santa Cruz dos Milagres/PI
9951	Santa Efigíªnia de Minas/MG
9952	Santa Ernestina/SP
9953	Santa Fé/PR
9954	Santa Fé de Goiás/GO
9955	Santa Fé de Minas/MG
9956	Santa Fé do Araguaia/TO
9957	Santa Fé do Sul/SP
9958	Santa Filomena/PE
9959	Santa Filomena/PI
9960	Santa Filomena do MaranhÃ­o/MA
9961	Santa Gertrudes/SP
9962	Santa Helena/PR
9963	Santa Helena/PB
9964	Santa Helena/MA
9965	Santa Helena/SC
9966	Santa Helena de Goiás/GO
9967	Santa Helena de Minas/MG
9968	Santa Iníªs/BA
9969	Santa Iníªs/PR
9970	Santa Iníªs/PB
9971	Santa Iníªs/MA
9972	Santa Isabel/GO
9973	Santa Isabel/SP
9974	Santa Isabel do Ivaí­/PR
9975	Santa Isabel do Pará/PA
9976	Santa Isabel do Rio Negro/AM
9977	Santa Izabel do Oeste/PR
9978	Santa Juliana/MG
9979	Santa Leopoldina/ES
9980	Santa Lúcia/PR
9981	Santa Lúcia/SP
9982	Santa Luz/PI
9983	Santa Luzia/MG
9984	Santa Luzia/BA
9985	Santa Luzia/PB
9986	Santa Luzia/MA
9987	Santa Luzia do Itanhy/SE
9988	Santa Luzia do Norte/AL
9989	Santa Luzia do Pará/PA
9990	Santa Luzia do Paruá/MA
9991	Santa Luzia d&apos;Oeste/RO
9992	Santa Margarida/MG
9993	Santa Margarida do Sul/RS
9994	Santa Maria/RS
9995	Santa Maria/RN
9996	Santa Maria da Boa Vista/PE
9997	Santa Maria da Serra/SP
9998	Santa Maria da Vitória/BA
9999	Santa Maria das Barreiras/PA
10000	Santa Maria de Itabira/MG
10001	Santa Maria de Jetibá/ES
10002	Santa Maria do Cambucá/PE
10003	Santa Maria do Herval/RS
10004	Santa Maria do Oeste/PR
10005	Santa Maria do Pará/PA
10006	Santa Maria do Salto/MG
10007	Santa Maria do Suaçuí­/MG
10008	Santa Maria do Tocantins/TO
10009	Santa Maria Madalena/RJ
10010	Santa Mariana/PR
10011	Santa Mercedes/SP
10012	Santa Mônica/PR
10013	Santa Quitéria/CE
10014	Santa Quitéria do MaranhÃ­o/MA
10015	Santa Rita/PB
10016	Santa Rita/MA
10017	Santa Rita de Caldas/MG
10018	Santa Rita de Cássia/BA
10019	Santa Rita de Ibitipoca/MG
10020	Santa Rita de Jacutinga/MG
10021	Santa Rita de Minas/MG
10022	Santa Rita do Araguaia/GO
10023	Santa Rita do Itueto/MG
10024	Santa Rita do Novo Destino/GO
10025	Santa Rita do Pardo/MS
10026	Santa Rita do Passa Quatro/SP
10027	Santa Rita do Sapucaí­/MG
10028	Santa Rita do Tocantins/TO
10029	Santa Rita do Trivelato/MT
10030	Santa Rita d&apos;Oeste/SP
10031	Santa Rosa/RS
10032	Santa Rosa da Serra/MG
10033	Santa Rosa de Goiás/GO
10034	Santa Rosa de Lima/SC
10035	Santa Rosa de Lima/SE
10036	Santa Rosa de Viterbo/SP
10037	Santa Rosa do Piauí­/PI
10038	Santa Rosa do Purus/AC
10039	Santa Rosa do Sul/SC
10040	Santa Rosa do Tocantins/TO
10041	Santa Salete/SP
10042	Santa Teresa/ES
10043	Santa Teresinha/BA
10044	Santa Teresinha/PB
10045	Santa Tereza/RS
10046	Santa Tereza de Goiás/GO
10047	Santa Tereza do Oeste/PR
10048	Santa Tereza do Tocantins/TO
10049	Santa Terezinha/MT
10050	Santa Terezinha/PE
10051	Santa Terezinha/SC
10052	Santa Terezinha de Goiás/GO
10053	Santa Terezinha de Itaipu/PR
10054	Santa Terezinha do Progresso/SC
10055	Santa Terezinha do Tocantins/TO
10056	Santa Vitória/MG
10057	Santa Vitória do Palmar/RS
10058	Santaluz/BA
10059	Santana/BA
10060	Santana/AP
10061	Santana da Boa Vista/RS
10062	Santana da Ponte Pensa/SP
10063	Santana da Vargem/MG
10064	Santana de Cataguases/MG
10065	Santana de Mangueira/PB
10066	Santana de Parnaí­ba/SP
10067	Santana de Pirapama/MG
10068	Santana do Acaraú/CE
10069	Santana do Araguaia/PA
10070	Santana do Cariri/CE
10071	Santana do Deserto/MG
10072	Santana do Garambéu/MG
10073	Santana do Ipanema/AL
10074	Santana do Itararé/PR
10075	Santana do Jacaré/MG
10076	Santana do Livramento/RS
10077	Santana do Manhuaçu/MG
10078	Santana do MaranhÃ­o/MA
10079	Santana do Matos/RN
10080	Santana do Mundaú/AL
10081	Santana do Paraí­so/MG
10082	Santana do Piauí­/PI
10083	Santana do Riacho/MG
10084	Santana do SÃ­o Francisco/SE
10085	Santana do Seridó/RN
10086	Santana dos Garrotes/PB
10087	Santana dos Montes/MG
10088	Santanópolis/BA
10089	Santarém/PA
10090	Santarém/PB
10091	Santarém Novo/PA
10092	Santiago/RS
10093	Santiago do Sul/SC
10094	Santo Afonso/MT
10095	Santo Amaro/BA
10096	Santo Amaro da Imperatriz/SC
10097	Santo Amaro das Brotas/SE
10098	Santo Amaro do MaranhÃ­o/MA
10099	Santo Anastácio/SP
10100	Santo André/PB
10101	Santo André/SP
10102	Santo Ã­?ngelo/RS
10103	Santo Antônio/RN
10104	Santo Antônio da Alegria/SP
10105	Santo Antônio da Barra/GO
10106	Santo Antônio da Patrulha/RS
10107	Santo Antônio da Platina/PR
10108	Santo Antônio das Missíµes/RS
10109	Santo Antônio de Goiás/GO
10110	Santo Antônio de Jesus/BA
10111	Santo Antônio de Lisboa/PI
10112	Santo Antônio de Pádua/RJ
10113	Santo Antônio de Posse/SP
10114	Santo Antônio do Amparo/MG
10115	Santo Antônio do Aracanguá/SP
10116	Santo Antônio do Aventureiro/MG
10117	Santo Antônio do Caiuá/PR
10118	Santo Antônio do Descoberto/GO
10119	Santo Antônio do Grama/MG
10120	Santo Antônio do Içá/AM
10121	Santo Antônio do Itambé/MG
10122	Santo Antônio do Jacinto/MG
10123	Santo Antônio do Jardim/SP
10124	Santo Antônio do Leste/MT
10125	Santo Antônio do Leverger/MT
10126	Santo Antônio do Monte/MG
10127	Santo Antônio do Palma/RS
10128	Santo Antônio do Paraí­so/PR
10129	Santo Antônio do Pinhal/SP
10130	Santo Antônio do Planalto/RS
10131	Santo Antônio do Retiro/MG
10132	Santo Antônio do Rio Abaixo/MG
10133	Santo Antônio do Sudoeste/PR
10134	Santo Antônio do Tauá/PA
10135	Santo Antônio dos Lopes/MA
10136	Santo Antônio dos Milagres/PI
10137	Santo Augusto/RS
10138	Santo Cristo/RS
10139	Santo EstíªvÃ­o/BA
10140	Santo Expedito/SP
10141	Santo Expedito do Sul/RS
10142	Santo Hipólito/MG
10143	Santo Inácio/PR
10144	Santo Inácio do Piauí­/PI
10145	Santópolis do Aguapí­/SP
10146	Santos/SP
10147	Santos Dumont/MG
10148	SÃ­o Benedito/CE
10149	SÃ­o Benedito do Rio Preto/MA
10150	SÃ­o Benedito do Sul/PE
10151	SÃ­o Bentinho/PB
10152	SÃ­o Bento/PB
10153	SÃ­o Bento/MA
10154	SÃ­o Bento Abade/MG
10155	SÃ­o Bento do Norte/RN
10156	SÃ­o Bento do Sapucaí­/SP
10157	SÃ­o Bento do Sul/SC
10158	SÃ­o Bento do Tocantins/TO
10159	SÃ­o Bento do Trairí­/RN
10160	SÃ­o Bento do Una/PE
10161	SÃ­o Bernardino/SC
10162	SÃ­o Bernardo/MA
10163	SÃ­o Bernardo do Campo/SP
10164	SÃ­o Bonifácio/SC
10165	SÃ­o Borja/RS
10166	SÃ­o Brás/AL
10167	SÃ­o Brás do Suaçuí­/MG
10168	SÃ­o Braz do Piauí­/PI
10169	SÃ­o Caetano de Odivelas/PA
10170	SÃ­o Caetano do Sul/SP
10171	SÃ­o Caitano/PE
10172	SÃ­o Carlos/SC
10173	SÃ­o Carlos/SP
10174	SÃ­o Carlos do Ivaí­/PR
10175	SÃ­o CristóvÃ­o/SE
10176	SÃ­o CristovÃ­o do Sul/SC
10177	SÃ­o Desidério/BA
10178	SÃ­o Domingos/BA
10179	SÃ­o Domingos/GO
10180	SÃ­o Domingos/SC
10181	SÃ­o Domingos/SE
10182	SÃ­o Domingos das Dores/MG
10183	SÃ­o Domingos de Pombal
10184	SÃ­o Domingos do Araguaia/PA
10185	SÃ­o Domingos do AzeitÃ­o/MA
10186	SÃ­o Domingos do Capim/PA
10187	SÃ­o Domingos do Cariri/PB
10188	SÃ­o Domingos do MaranhÃ­o/MA
10189	SÃ­o Domingos do Norte/ES
10190	SÃ­o Domingos do Prata/MG
10191	SÃ­o Domingos do Sul/RS
10192	SÃ­o Felipe/BA
10193	SÃ­o Felipe d&apos;Oeste/RO
10194	SÃ­o Félix/BA
10195	SÃ­o Félix de Balsas/MA
10196	SÃ­o Félix de Minas/MG
10197	SÃ­o Félix do Araguaia/MT
10198	SÃ­o Félix do Coribe/BA
10199	SÃ­o Félix do Piauí­/PI
10200	SÃ­o Félix do Tocantins/TO
10201	SÃ­o Félix do Xingu/PA
10202	SÃ­o Fernando/RN
10203	SÃ­o Fidélis/RJ
10204	SÃ­o Francisco/MG
10205	SÃ­o Francisco/PB
10206	SÃ­o Francisco/SE
10207	SÃ­o Francisco/SP
10208	SÃ­o Francisco de Assis/RS
10209	SÃ­o Francisco de Assis do Piauí­/PI
10210	SÃ­o Francisco de Goiás/GO
10211	SÃ­o Francisco de Itabapoana/RJ
10212	SÃ­o Francisco de Paula/MG
10213	SÃ­o Francisco de Paula/RS
10214	SÃ­o Francisco de Sales/MG
10215	SÃ­o Francisco do BrejÃ­o/MA
10216	SÃ­o Francisco do Conde/BA
10217	SÃ­o Francisco do Glória/MG
10218	SÃ­o Francisco do Guaporé/RO
10219	SÃ­o Francisco do MaranhÃ­o/MA
10220	SÃ­o Francisco do Oeste/RN
10221	SÃ­o Francisco do Pará/PA
10222	SÃ­o Francisco do Piauí­/PI
10223	SÃ­o Francisco do Sul/SC
10224	SÃ­o Gabriel/RS
10225	SÃ­o Gabriel/BA
10226	SÃ­o Gabriel da Cachoeira/AM
10227	SÃ­o Gabriel da Palha/ES
10228	SÃ­o Gabriel do Oeste/MS
10229	SÃ­o Geraldo/MG
10230	SÃ­o Geraldo da Piedade/MG
10231	SÃ­o Geraldo do Araguaia/PA
10232	SÃ­o Geraldo do Baixio/MG
10233	SÃ­o Gonçalo/RJ
10234	SÃ­o Gonçalo do Abaeté/MG
10235	SÃ­o Gonçalo do Amarante/CE
10236	SÃ­o Gonçalo do Amarante/RN
10237	SÃ­o Gonçalo do Gurguéia/PI
10238	SÃ­o Gonçalo do Pará/MG
10239	SÃ­o Gonçalo do Piauí­/PI
10240	SÃ­o Gonçalo do Rio Abaixo/MG
10241	Serra Dourada/BA
10242	SÃ­o Gonçalo do Rio Preto/MG
10243	SÃ­o Gonçalo do Sapucaí­/MG
10244	SÃ­o Gonçalo dos Campos/BA
10245	SÃ­o Gotardo/MG
10246	SÃ­o Jerônimo/RS
10247	SÃ­o Jerônimo da Serra/PR
10248	SÃ­o JoÃ­o/PR
10249	SÃ­o JoÃ­o/PE
10250	SÃ­o JoÃ­o Batista/MA
10251	SÃ­o JoÃ­o Batista/SC
10252	SÃ­o JoÃ­o Batista do Glória/MG
10253	SÃ­o JoÃ­o da Baliza/RR
10254	SÃ­o JoÃ­o da Barra/RJ
10255	SÃ­o JoÃ­o da Boa Vista/SP
10256	SÃ­o JoÃ­o da Canabrava/PI
10257	SÃ­o JoÃ­o da Fronteira/PI
10258	SÃ­o JoÃ­o da Lagoa/MG
10259	SÃ­o JoÃ­o da Mata/MG
10260	SÃ­o JoÃ­o da Paraúna/GO
10261	SÃ­o JoÃ­o da Ponta/PA
10262	SÃ­o JoÃ­o da Ponte/MG
10263	SÃ­o JoÃ­o da Serra/PI
10264	SÃ­o JoÃ­o da Urtiga/RS
10265	SÃ­o JoÃ­o da Varjota/PI
10266	SÃ­o JoÃ­o d&apos;Aliança/GO
10267	SÃ­o JoÃ­o das Duas Pontes/SP
10268	SÃ­o JoÃ­o das Missíµes/MG
10269	SÃ­o JoÃ­o de Iracema/SP
10270	SÃ­o JoÃ­o de Meriti/RJ
10271	SÃ­o JoÃ­o de Pirabas/PA
10272	SÃ­o JoÃ­o del Rei/MG
10273	SÃ­o JoÃ­o do Araguaia/PA
10274	SÃ­o JoÃ­o do Arraial/PI
10275	SÃ­o JoÃ­o do Caiuá/PR
10276	SÃ­o JoÃ­o do Cariri/PB
10277	SÃ­o JoÃ­o do Carú/MA
10278	SÃ­o JoÃ­o do Itaperiú/SC
10279	SÃ­o JoÃ­o do Ivaí­/PR
10280	SÃ­o JoÃ­o do Jaguaribe/CE
10281	SÃ­o JoÃ­o do Manhuaçu/MG
10282	SÃ­o JoÃ­o do Manteninha/MG
10283	SÃ­o JoÃ­o do Oeste/SC
10284	SÃ­o JoÃ­o do Oriente/MG
10285	SÃ­o JoÃ­o do Pacuí­/MG
10286	SÃ­o JoÃ­o do Paraí­so/MG
10287	SÃ­o JoÃ­o do Paraí­so/MA
10288	SÃ­o JoÃ­o do Pau d&apos;Alho/SP
10289	SÃ­o JoÃ­o do Piauí­/PI
10290	SÃ­o JoÃ­o do Políªsine/RS
10291	SÃ­o JoÃ­o do Rio do Peixe/PB
10292	SÃ­o JoÃ­o do Sabugi/RN
10293	SÃ­o JoÃ­o do Soter/MA
10294	SÃ­o JoÃ­o do Sul/SC
10295	SÃ­o JoÃ­o do Tigre/PB
10296	SÃ­o JoÃ­o do Triunfo/PR
10297	SÃ­o JoÃ­o dos Patos/MA
10298	SÃ­o JoÃ­o Evangelista/MG
10299	SÃ­o JoÃ­o Nepomuceno/MG
10300	SÃ­o Joaquim/SC
10301	SÃ­o Joaquim da Barra/SP
10302	SÃ­o Joaquim de Bicas/MG
10303	SÃ­o Joaquim do Monte/PE
10304	SÃ­o Jorge/RS
10305	SÃ­o Jorge do Ivaí­/PR
10306	SÃ­o Jorge do Patrocí­nio/PR
10307	SÃ­o Jorge d&apos;Oeste/PR
10308	SÃ­o José/SC
10309	SÃ­o José da Barra/MG
10310	SÃ­o José da Bela Vista/SP
10311	SÃ­o José da Boa Vista/PR
10312	SÃ­o José da Coroa Grande/PE
10313	SÃ­o José da Lagoa Tapada/PB
10314	SÃ­o José da Laje/AL
10315	SÃ­o José da Lapa/MG
10316	SÃ­o José da Safira/MG
10317	SÃ­o José da Tapera/AL
10318	SÃ­o José da Varginha/MG
10319	SÃ­o José da Vitória/BA
10320	SÃ­o José das Missíµes/RS
10321	SÃ­o José das Palmeiras/PR
10322	SÃ­o José de Caiana/PB
10323	SÃ­o José de Espinharas/PB
10324	SÃ­o José de Mipibu/RN
10325	SÃ­o José de Piranhas/PB
10326	SÃ­o José de Princesa/PB
10327	SÃ­o José de Ribamar/MA
10328	SÃ­o José de Ubá/RJ
10329	SÃ­o José do Alegre/MG
10330	SÃ­o José do Barreiro/SP
10331	SÃ­o José do Belmonte/PE
10332	SÃ­o José do Bonfim/PB
10333	SÃ­o José do Brejo do Cruz/PB
10334	SÃ­o José do Calçado/ES
10335	SÃ­o José do Campestre/RN
10336	SÃ­o José do Cedro/SC
10337	SÃ­o José do Cerrito/SC
10338	SÃ­o José do Divino/MG
10339	SÃ­o José do Divino/PI
10340	SÃ­o José do Egito/PE
10341	SÃ­o José do Goiabal/MG
10342	SÃ­o José do Herval/RS
10343	SÃ­o José do Hortíªncio/RS
10344	SÃ­o José do Inhacorá/RS
10345	SÃ­o José do Jacuí­pe/BA
10346	SÃ­o José do Jacuri/MG
10347	SÃ­o José do Mantimento/MG
10348	SÃ­o José do Norte/RS
10349	SÃ­o José do Ouro/RS
10350	SÃ­o José do Peixe/PI
10351	SÃ­o José do Piauí­/PI
10352	SÃ­o José do Povo/MT
10353	SÃ­o José do Rio Claro/MT
10354	SÃ­o José do Rio Pardo/SP
10355	SÃ­o José do Rio Preto/SP
10356	SÃ­o José do Sabugi/PB
10357	SÃ­o José do Seridó/RN
10358	SÃ­o José do Sul/RS
10359	SÃ­o José do Vale do Rio Preto/RJ
10360	SÃ­o José do Xingu/MT
10361	SÃ­o José dos Ausentes/RS
10362	SÃ­o José dos Basí­lios/MA
10363	SÃ­o José dos Campos/SP
10364	SÃ­o José dos Cordeiros/PB
10365	SÃ­o José dos Pinhais/PR
10366	SÃ­o José dos Quatro Marcos/MT
10367	SÃ­o José dos Ramos/PB
10368	SÃ­o JuliÃ­o/PI
10369	SÃ­o Leopoldo/RS
10370	SÃ­o Lourenço/MG
10371	SÃ­o Lourenço da Mata/PE
10372	SÃ­o Lourenço da Serra/SP
10373	SÃ­o Lourenço do Oeste/SC
10374	SÃ­o Lourenço do Piauí­/PI
10375	SÃ­o Lourenço do Sul/RS
10376	SÃ­o Ludgero/SC
10377	SÃ­o Luí­s de Montes Belos/GO
10378	SÃ­o Luí­s do Curu/CE
10379	SÃ­o Luí­s do Paraitinga/SP
10380	SÃ­o Luis do Piauí­/PI
10381	SÃ­o Luí­s do Quitunde/AL
10382	SÃ­o Luí­s Gonzaga do MaranhÃ­o/MA
10383	SÃ­o Luiz/RR
10384	SÃ­o Luí­z do Norte/GO
10385	SÃ­o Luiz Gonzaga/RS
10386	SÃ­o Mamede/PB
10387	SÃ­o Manoel do Paraná/PR
10388	SÃ­o Manuel/SP
10389	SÃ­o Marcos/RS
10390	SÃ­o Martinho/RS
10391	SÃ­o Martinho/SC
10392	SÃ­o Martinho da Serra/RS
10393	SÃ­o Mateus/ES
10394	SÃ­o Mateus do MaranhÃ­o/MA
10395	SÃ­o Mateus do Sul/PR
10396	SÃ­o Miguel/RN
10397	SÃ­o Miguel Arcanjo/SP
10398	SÃ­o Miguel da Baixa Grande/PI
10399	SÃ­o Miguel da Boa Vista/SC
10400	SÃ­o Miguel das Matas/BA
10401	SÃ­o Miguel das Missíµes/RS
10402	SÃ­o Miguel de Taipu/PB
10403	SÃ­o Miguel de Touros/RN
10404	SÃ­o Miguel do Aleixo/SE
10405	SÃ­o Miguel do Anta/MG
10406	SÃ­o Miguel do Araguaia/GO
10407	SÃ­o Miguel do Fidalgo/PI
10408	SÃ­o Miguel do Guamá/PA
10409	SÃ­o Miguel do Guaporé/RO
10410	SÃ­o Miguel do Iguaçu/PR
10411	SÃ­o Miguel do Oeste/SC
10412	SÃ­o Miguel do Passa Quatro/GO
10413	SÃ­o Miguel do Tapuio/PI
10414	SÃ­o Miguel do Tocantins/TO
10415	SÃ­o Miguel dos Campos/AL
10416	SÃ­o Miguel dos Milagres/AL
10417	SÃ­o Nicolau/RS
10418	SÃ­o Patrí­cio/GO
10419	SÃ­o Paulo das Missíµes/RS
10420	SÃ­o Paulo de Olivença/AM
10421	SÃ­o Paulo do Potengi/RN
10422	SÃ­o Pedro/RN
10423	SÃ­o Pedro/SP
10424	SÃ­o Pedro da Água Branca/MA
10425	SÃ­o Pedro da Aldeia/RJ
10426	SÃ­o Pedro da Cipa/MT
10427	SÃ­o Pedro da Serra/RS
10428	SÃ­o Pedro da UniÃ­o/MG
10429	SÃ­o Pedro das Missíµes/RS
10430	SÃ­o Pedro de Alcântara/SC
10431	SÃ­o Pedro do Butiá/RS
10432	SÃ­o Pedro do Iguaçu/PR
10433	SÃ­o Pedro do Ivaí­/PR
10434	SÃ­o Pedro do Paraná/PR
10435	SÃ­o Pedro do Piauí­/PI
10436	SÃ­o Pedro do Suaçuí­/MG
10437	SÃ­o Pedro do Sul/RS
10438	SÃ­o Pedro do Turvo/SP
10439	SÃ­o Pedro dos Crentes/MA
10440	SÃ­o Pedro dos Ferros/MG
10441	SÃ­o Rafael/RN
10442	SÃ­o Raimundo das Mangabeiras/MA
10443	SÃ­o Raimundo do Doca Bezerra/MA
10444	SÃ­o Raimundo Nonato/PI
10445	SÃ­o Roberto/MA
10446	SÃ­o RomÃ­o/MG
10447	SÃ­o Roque/SP
10448	SÃ­o Roque de Minas/MG
10449	SÃ­o Roque do CanaÃ­/ES
10450	SÃ­o Salvador do Tocantins/TO
10451	SÃ­o SebastiÃ­o/AL
10452	SÃ­o SebastiÃ­o/SP
10453	SÃ­o SebastiÃ­o da Amoreira/PR
10454	SÃ­o SebastiÃ­o da Bela Vista/MG
10455	SÃ­o SebastiÃ­o da Boa Vista/PA
10456	SÃ­o SebastiÃ­o da Grama/SP
10457	SÃ­o SebastiÃ­o da Vargem Alegre/MG
10458	SÃ­o SebastiÃ­o de Lagoa de Roça/PB
10459	SÃ­o SebastiÃ­o do Alto/RJ
10460	SÃ­o SebastiÃ­o do Anta/MG
10461	SÃ­o SebastiÃ­o do Caí­/RS
10462	SÃ­o SebastiÃ­o do MaranhÃ­o/MG
10463	SÃ­o SebastiÃ­o do Oeste/MG
10464	SÃ­o SebastiÃ­o do Paraí­so/MG
10465	SÃ­o SebastiÃ­o do Passé/BA
10466	SÃ­o SebastiÃ­o do Rio Preto/MG
10467	SÃ­o SebastiÃ­o do Rio Verde/MG
10468	SÃ­o SebastiÃ­o do Tocantins/TO
10469	SÃ­o SebastiÃ­o do UatumÃ­/AM
10470	SÃ­o SebastiÃ­o do Umbuzeiro/PB
10471	SÃ­o Sepé/RS
10472	SÃ­o SimÃ­o/SP
10473	SÃ­o SimÃ­o/GO
10474	SÃ­o Thomé das Letras/MG
10475	SÃ­o Tiago/MG
10476	SÃ­o Tomás de Aquino/MG
10477	SÃ­o Tomé/RN
10478	SÃ­o Tomé/PR
10479	SÃ­o Valentim/RS
10480	SÃ­o Valentim do Sul/RS
10481	SÃ­o Valério da Natividade/TO
10482	SÃ­o Valério do Sul/RS
10483	SÃ­o Vendelino/RS
10484	SÃ­o Vicente/SP
10485	SÃ­o Vicente/RN
10486	SÃ­o Vicente de Minas/MG
10487	SÃ­o Vicente do Sul/RS
10488	SÃ­o Vicente Ferrer/MA
10489	SÃ­o Vicente Ferrer/PE
10490	Sapé/PB
10491	Sapeaçu/BA
10492	Sapezal/MT
10493	Sapiranga/RS
10494	Sapopema/PR
10495	Sapucaia/PA
10496	Sapucaia/RJ
10497	Sapucaia do Sul/RS
10498	Sapucaí­-Mirim/MG
10499	Saquarema/RJ
10500	Sarandi/RS
10501	Sarandi/PR
10502	Sarapuí­/SP
10503	Sardoá/MG
10504	Sarutaiá/SP
10505	Sarzedo/MG
10506	Sátiro Dias/BA
10507	Satuba/AL
10508	Satubinha/MA
10509	Saubara/BA
10510	Saudade do Iguaçu/PR
10511	Saudades/SC
10512	Saúde/BA
10513	Schroeder/SC
10514	Seabra/BA
10515	Seara/SC
10516	Sebastianópolis do Sul/SP
10517	SebastiÃ­o Barros/PI
10518	SebastiÃ­o Laranjeiras/BA
10519	SebastiÃ­o Leal/PI
10520	Seberi/RS
10521	Sede Nova/RS
10522	Segredo/RS
10523	Selbach/RS
10524	Selví­ria/MS
10525	Sem-Peixe/MG
10526	Sena Madureira/AC
10527	Senador Alexandre Costa/MA
10528	Senador Amaral/MG
10529	Senador Canedo/GO
10530	Senador Cortes/MG
10531	Senador Elói de Souza/RN
10532	Senador Firmino/MG
10533	Senador Georgino Avelino/RN
10534	Senador Guiomard/AC
10535	Senador José Bento/MG
10536	Senador José Porfí­rio/PA
10537	Senador La Rocque/MA
10538	Senador Modestino Gonçalves/MG
10539	Senador Pompeu/CE
10540	Senador Rui Palmeira/AL
10541	Senador Sá/CE
10542	Senador Salgado Filho/RS
10543	Sengés/PR
10544	Senhor do Bonfim/BA
10545	Senhora de Oliveira/MG
10546	Senhora do Porto/MG
10547	Senhora dos Remédios/MG
10548	Sentinela do Sul/RS
10549	Sento Sé/BA
10550	Serafina Corríªa/RS
10551	Sericita/MG
10552	Seridó/PB
10553	Seringueiras/RO
10554	Sério/RS
10555	Seritinga/MG
10556	Seropédica/RJ
10557	Serra/ES
10558	Serra Alta/SC
10559	Serra Azul/SP
10560	Serra Azul de Minas/MG
10561	Serra Branca/PB
10562	Serra da Raiz/PB
10563	Serra da Saudade/MG
10564	Serra de SÃ­o Bento/RN
10565	Serra do Mel/RN
10566	Serra do Navio/AP
10567	Serra do Ramalho/BA
10568	Serra do Salitre/MG
10569	Serra dos Aimorés/MG
10570	Serra Grande/PB
10571	Serra Negra/SP
10572	Serra Negra do Norte/RN
10573	Serra Nova Dourada/MT
10574	Serra Preta/BA
10575	Serra Redonda/PB
10576	Serra Talhada/PE
10577	Serrana/SP
10578	Serrania/MG
10579	Serrano do MaranhÃ­o/MA
10580	Serranópolis/GO
10581	Serranópolis de Minas/MG
10582	Serranópolis do Iguaçu/PR
10583	Serranos/MG
10584	Serraria/PB
10585	Serrinha/BA
10586	Serrinha/RN
10587	Serrinha dos Pintos/RN
10588	Serrita/PE
10589	Serro/MG
10590	Serrolândia/BA
10591	Sertaneja/PR
10592	Sertânia/PE
10593	Sertanópolis/PR
10594	SertÃ­o/RS
10595	SertÃ­o Santana/RS
10596	SertÃ­ozinho/SP
10597	SertÃ­ozinho/PB
10598	Sete Barras/SP
10599	Sete de Setembro/RS
10600	Sete Lagoas/MG
10601	Sete Quedas/MS
10602	Setubinha/MG
10603	Severiano de Almeida/RS
10604	Severiano Melo/RN
10605	Severí­nia/SP
10606	Siderópolis/SC
10607	Sidrolândia/MS
10608	Sigefredo Pacheco/PI
10609	Silva Jardim/RJ
10610	Silvânia/GO
10611	Silvanópolis/TO
10612	Silveira Martins/RS
10613	Silveirânia/MG
10614	Silveiras/SP
10615	Silves/AM
10616	Silvianópolis/MG
10617	SimÃ­o Dias/SE
10618	SimÃ­o Pereira/MG
10619	Simíµes/PI
10620	Simíµes Filho/BA
10621	Simolândia/GO
10622	Simonésia/MG
10623	Simplí­cio Mendes/PI
10624	Sinimbu/RS
10625	Sinop/MT
10626	Siqueira Campos/PR
10627	Sirinhaém/PE
10628	Siriri/SE
10629	Sí­tio d&apos;Abadia/GO
10630	Sí­tio do Mato/BA
10631	Sí­tio do Quinto/BA
10632	Sí­tio Novo/RN
10633	Sí­tio Novo/MA
10634	Sí­tio Novo do Tocantins/TO
10635	Sobradinho/RS
10636	Sobradinho/BA
10637	Sobrado/PB
10638	Sobral/CE
10639	Sobrália/MG
10640	Socorro/SP
10641	Socorro do Piauí­/PI
10642	Solânea/PB
10643	Soledade/RS
10644	Soledade/PB
10645	Soledade de Minas/MG
10646	SolidÃ­o/PE
10647	Solonópole/CE
10648	Sombrio/SC
10649	Sonora/MS
10650	Sooretama/ES
10651	Sorocaba/SP
10652	Sorriso/MT
10653	Sossíªgo/PB
10654	Soure/PA
10655	Sousa/PB
10656	Souto Soares/BA
10657	Sucupira/TO
10658	Sucupira do Norte/MA
10659	Sucupira do RiachÃ­o/MA
10660	Sud Mennucci/SP
10661	Sul Brasil/SC
10662	Sulina/PR
10663	Sumaré/SP
10664	Sumé/PB
10665	Sumidouro/RJ
10666	Surubim/PE
10667	Sussuapara/PI
10668	Suzanápolis/SP
10669	Suzano/SP
10670	Tabaí­/RS
10671	TabaporÃ­/MT
10672	TabapuÃ­/SP
10673	Tabatinga/SP
10674	Tabatinga/AM
10675	Tabira/PE
10676	TaboÃ­o da Serra/SP
10677	Tabocas do Brejo Velho/BA
10678	Taboleiro Grande/RN
10679	Tabuleiro/MG
10680	Tabuleiro do Norte/CE
10681	Tacaimbó/PE
10682	Tacaratu/PE
10683	Taciba/SP
10684	Tacuru/MS
10685	Taguaí­/SP
10686	Taguatinga/TO
10687	Taiaçu/SP
10688	Tailândia/PA
10689	Taió/SC
10690	Taiobeiras/MG
10691	Taipas do Tocantins/TO
10692	Taipu/RN
10693	Taiúva/SP
10694	TalismÃ­/TO
10695	Tamandaré/PE
10696	Tamarana/PR
10697	Tambaú/SP
10698	Tamboara/PR
10699	Tamboril/CE
10700	Tamboril do Piauí­/PI
10701	Tanabi/SP
10702	Tangará/RN
10703	Tangará/SC
10704	Tangará da Serra/MT
10705	Tanguá/RJ
10706	Tanhaçu/BA
10707	Tanque d&apos;Arca/AL
10708	Tanque do Piauí­/PI
10709	Tanque Novo/BA
10710	Tanquinho/BA
10711	Taparuba/MG
10712	Tapauá/AM
10713	Tapejara/RS
10714	Tapejara/PR
10715	Tapera/RS
10716	Taperoá/BA
10717	Taperoá/PB
10718	Tapes/RS
10719	Tapira/MG
10720	Tapira/PR
10721	Tapiraí­/SP
10722	Tapiraí­/MG
10723	Tapiramutá/BA
10724	Tapiratiba/SP
10725	Tapurah/MT
10726	Taquara/RS
10727	Taquaraçu de Minas/MG
10728	Taquaral/SP
10729	Taquaral de Goiás/GO
10730	Taquarana/AL
10731	Taquari/RS
10732	Taquaritinga/SP
10733	Taquaritinga do Norte/PE
10734	Taquarituba/SP
10735	Taquarivaí­/SP
10736	Taquaruçu do Sul/RS
10737	Taquarussu/MS
10738	Tarabai/SP
10739	Tarauacá/AC
10740	Tarrafas/CE
10741	Tartarugalzinho/AP
10742	TarumÃ­/SP
10743	Tarumirim/MG
10744	Tasso Fragoso/MA
10745	Tatuí­/SP
10746	Tauá/CE
10747	Taubaté/SP
10748	Tavares/RS
10749	Tavares/PB
10750	Tefé/AM
10751	Teixeira/PB
10752	Teixeira de Freitas/BA
10753	Teixeira Soares/PR
10754	Teixeiras/MG
10755	Teixeirópolis/RO
10756	Tejuçuoca/CE
10757	Tejupá/SP
10758	Telíªmaco Borba/PR
10759	Telha/SE
10760	Tenente Ananias/RN
10761	Tenente Laurentino Cruz/RN
10762	Tenente Portela/RS
10763	Tenório/PB
10764	Teodoro Sampaio/BA
10765	Teodoro Sampaio/SP
10766	Teofilândia/BA
10767	Teófilo Otoni/MG
10768	Teolândia/BA
10769	Teotônio Vilela/AL
10770	Terenos/MS
10771	Teresina de Goiás/GO
10772	Teresópolis/RJ
10773	Terezinha/PE
10774	Terezópolis de Goiás/GO
10775	Terra Alta/PA
10776	Terra Boa/PR
10777	Terra de Areia/RS
10778	Terra Nova/BA
10779	Terra Nova/PE
10780	Terra Nova do Norte/MT
10781	Terra Rica/PR
10782	Terra Roxa/SP
10783	Terra Roxa/PR
10784	Terra Santa/PA
10785	Tesouro/MT
10786	Teutônia/RS
10787	Theobroma/RO
10788	Tianguá/CE
10789	Tibagi/PR
10790	Tibau/RN
10791	Tibau do Sul/RN
10792	Tietíª/SP
10793	Tigrinhos/SC
10794	Tijucas/SC
10795	Tijucas do Sul/PR
10796	Timbaúba/PE
10797	Timbaúba dos Batistas/RN
10798	Timbé do Sul/SC
10799	Timbiras/MA
10800	Timbó/SC
10801	Timbó Grande/SC
10802	Timburi/SP
10803	Timon/MA
10804	Timóteo/MG
10805	Tio Hugo/RS
10806	Tiradentes/MG
10807	Tiradentes do Sul/RS
10808	Tiros/MG
10809	Tobias Barreto/SE
10810	Tocantí­nia/TO
10811	Tocantinópolis/TO
10812	Tocantins/MG
10813	Tocos do Moji/MG
10814	Toledo/MG
10815	Toledo/PR
10816	Tomar do Geru/SE
10817	Tomazina/PR
10818	Tombos/MG
10819	Tomé-Açu/PA
10820	Tonantins/AM
10821	Toritama/PE
10822	Torixoréu/MT
10823	Toropi/RS
10824	Torre de Pedra/SP
10825	Torres/RS
10826	Torrinha/SP
10827	Touros/RN
10828	Trabiju/SP
10829	Tracuateua/PA
10830	Tracunhaém/PE
10831	Traipu/AL
10832	TrairÃ­o/PA
10833	Trairi/CE
10834	Trajano de Morais/RJ
10835	Tramandaí­/RS
10836	Travesseiro/RS
10837	Tremedal/BA
10838	Tremembé/SP
10839	Tríªs Arroios/RS
10840	Tríªs Barras/SC
10841	Tríªs Barras do Paraná/PR
10842	Tríªs Cachoeiras/RS
10843	Tríªs Coraçíµes/MG
10844	Tríªs Coroas/RS
10845	Tríªs de Maio/RS
10846	Tríªs Forquilhas/RS
10847	Tríªs Fronteiras/SP
10848	Tríªs Lagoas/MS
10849	Tríªs Marias/MG
10850	Tríªs Palmeiras/RS
10851	Tríªs Passos/RS
10852	Tríªs Pontas/MG
10853	Tríªs Ranchos/GO
10854	Tríªs Rios/RJ
10855	Treviso/SC
10856	Treze de Maio/SC
10857	Treze Tí­lias/SC
10858	Trindade/GO
10859	Trindade/PE
10860	Trindade do Sul/RS
10861	Triunfo/RS
10862	Triunfo/PB
10863	Triunfo/PE
10864	Triunfo Potiguar/RN
10865	Trizidela do Vale/MA
10866	Trombas/GO
10867	Trombudo Central/SC
10868	TubarÃ­o/SC
10869	Tucano/BA
10870	TucumÃ­/PA
10871	Tucunduva/RS
10872	Tucuruí­/PA
10873	Tufilândia/MA
10874	Tuiuti/SP
10875	Tumiritinga/MG
10876	Tunápolis/SC
10877	Tunas/RS
10878	Tunas do Paraná/PR
10879	Tuneiras do Oeste/PR
10880	Tuntum/MA
10881	TupÃ­/SP
10882	Tupaciguara/MG
10883	Tupanatinga/PE
10884	Tupanci do Sul/RS
10885	TupanciretÃ­/RS
10886	Tupandi/RS
10887	Tuparendi/RS
10888	Tuparetama/PE
10889	TupÃ­ssi/PR
10890	Tupi Paulista/SP
10891	Tupirama/TO
10892	Tupiratins/TO
10893	Turiaçu/MA
10894	Turilândia/MA
10895	Turiúba/SP
10896	Turmalina/SP
10897	Turmalina/MG
10898	Turuçu/RS
10899	Tururu/CE
10900	Turvânia/GO
10901	Turvelândia/GO
10902	Turvo/PR
10903	Turvo/SC
10904	Turvolândia/MG
10905	Tutóia/MA
10906	Uarini/AM
10907	Uauá/BA
10908	Ubá/MG
10909	Ubaí­/MG
10910	Ubaí­ra/BA
10911	Ubaitaba/BA
10912	Ubajara/CE
10913	Ubaporanga/MG
10914	Ubarana/SP
10915	UbatÃ­/BA
10916	Ubatuba/SP
10917	Uberaba/MG
10918	Uberlândia/MG
10919	Ubirajara/SP
10920	UbiratÃ­/PR
10921	Ubiretama/RS
10922	Uchoa/SP
10923	Uibaí­/BA
10924	UiramutÃ­/RR
10925	Uirapuru/GO
10926	Uiraúna/PB
10927	Ulianópolis/PA
10928	Umari/CE
10929	Umarizal/RN
10930	Umbaúba/SE
10931	Umburanas/BA
10932	Umburatiba/MG
10933	Umbuzeiro/PB
10934	Umirim/CE
10935	Umuarama/PR
10936	Una/BA
10937	Unaí­/MG
10938	UniÃ­o/PI
10939	UniÃ­o da Serra/RS
10940	UniÃ­o da Vitória/PR
10941	UniÃ­o de Minas/MG
10942	UniÃ­o do Oeste/SC
10943	UniÃ­o do Sul/MT
10944	UniÃ­o dos Palmares/AL
10945	UniÃ­o Paulista/SP
10946	Uniflor/PR
10947	Unistalda/RS
10948	Upanema/RN
10949	Uraí­/PR
10950	Urandi/BA
10951	Urânia/SP
10952	Urbano Santos/MA
10953	Uru/SP
10954	Uruaçu/GO
10955	Uruana/GO
10956	Uruana de Minas/MG
10957	Uruará/PA
10958	Urubici/SC
10959	Uruburetama/CE
10960	Urucânia/MG
10961	Urucará/AM
10962	Uruçuca/BA
10963	Uruçuí­/PI
10964	Urucuia/MG
10965	Urucurituba/AM
10966	Uruguaiana/RS
10967	Uruoca/CE
10968	Urupá/RO
10969	Urupema/SC
10970	Urupíªs/SP
10971	Urussanga/SC
10972	Urutaí­/GO
10973	Utinga/BA
10974	Vacaria/RS
10975	Vale de SÃ­o Domingos/MT
10976	Vale do Anari/RO
10977	Vale do Paraí­so/RO
10978	Vale do Sol/RS
10979	Vale Real/RS
10980	Vale Verde/RS
10981	Valença/BA
10982	Valença/RJ
10983	Valença do Piauí­/PI
10984	Valente/BA
10985	Valentim Gentil/SP
10986	Valinhos/SP
10987	Valparaí­so/SP
10988	Valparaí­so de Goiás/GO
10989	Vanini/RS
10990	Vargeão/SC
10991	Vargem/SP
10992	Vargem/SC
10993	Vargem Alegre/MG
10994	Vargem Alta/ES
10995	Vargem Bonita/MG
10996	Vargem Bonita/SC
10997	Vargem Grande/MA
10998	Vargem Grande do Rio Pardo/MG
10999	Vargem Grande do Sul/SP
11000	Vargem Grande Paulista/SP
11001	Varginha/MG
11002	Varjão/GO
11003	Varjão de MInas/MG
11004	Varjota/CE
11005	Varre-Sai/RJ
11006	Várzea/RN
11007	Várzea/PB
11008	Várzea Alegre/CE
11009	Várzea Branca/PI
11010	Várzea da Palma/MG
11011	Várzea da Roça/BA
11012	Várzea do Poço/BA
11013	Várzea Grande/MT
11014	Várzea Grande/PI
11015	Várzea Nova/BA
11016	Várzea Paulista/SP
11017	Varzedo/BA
11018	Varzelândia/MG
11019	Vassouras/RJ
11020	Vazante/MG
11021	Venâncio Aires/RS
11022	Venda Nova do Imigrante/ES
11023	Venha-Ver/RN
11024	Ventania/PR
11025	Venturosa/PE
11026	Vera/MT
11027	Vera Cruz/SP
11028	Vera Cruz/RS
11029	Vera Cruz/BA
11030	Vera Cruz/RN
11031	Vera Cruz do Oeste/PR
11032	Vera Mendes/PI
11033	Veranópolis/RS
11034	Verdejante/PE
11035	Verdelândia/MG
11036	Veríª/PR
11037	Vereda/BA
11038	Veredinha/MG
11039	Verí­ssimo/MG
11040	Vermelho Novo/MG
11041	Vertente do Lério/PE
11042	Vertentes/PE
11043	Vespasiano/MG
11044	Vespasiano Correa/RS
11045	Viadutos/RS
11046	Viamão/RS
11047	Viana/ES
11048	Viana/MA
11049	Vianópolis/GO
11050	Vicíªncia/PE
11051	Vicente Dutra/RS
11052	Vicentina/MS
11053	Vicentinópolis/GO
11054	Viçosa/MG
11055	Viçosa/RN
11056	Viçosa/AL
11057	Viçosa do Ceará/CE
11058	Victor Graeff/RS
11059	Vidal Ramos/SC
11060	Videira/SC
11061	Vieiras/MG
11062	Vieirópolis/PB
11063	Vigia/PA
11064	Vila Alta/PR
11065	Vila Bela da Santí­ssima Trindade/MT
11066	Vila Boa/GO
11067	Vila Flor/RN
11068	Vila Flores/RS
11069	Vila Lângaro/RS
11070	Vila Maria/RS
11071	Vila Nova do Piauí­/PI
11072	Vila Nova do Sul/RS
11073	Vila Nova dos Martí­rios/MA
11074	Vila Pavão/ES
11075	Vila Propí­cio/GO
11076	Vila Rica/MT
11077	Vila Valério/ES
11078	Vila Velha/ES
11079	Vilhena/RO
11080	Vinhedo/SP
11081	Viradouro/SP
11082	Virgem da Lapa/MG
11083	Virgí­nia/MG
11084	Virginópolis/MG
11085	Virgolândia/MG
11086	Virmond/PR
11087	Visconde do Rio Branco/MG
11088	Viseu/PA
11089	Vista Alegre/RS
11090	Vista Alegre do Alto/SP
11091	Vista Alegre do Prata/RS
11092	Vista Gaúcha/RS
11093	Vista Serrana/PB
11094	Vitor Meireles/SC
11095	Vitória Brasil/SP
11096	Vitória da Conquista/BA
11097	Vitória das Missíµes/RS
11098	Vitória de Santo Antão/PE
11099	Vitória do Jari/AP
11100	Vitória do Mearim/MA
11101	Vitória do Xingu/PA
11102	Vitorino/PR
11103	Vitorino Freire/MA
11104	Volta Grande/MG
11105	Volta Redonda/RJ
11106	Votorantim/SP
11107	Votuporanga/SP
11108	Wagner/BA
11109	Wall Ferraz/PI
11110	Wanderlândia/TO
11111	Wanderley/BA
11112	Wenceslau Braz/MG
11113	Wenceslau Braz/PR
11114	Wenceslau Guimarães/BA
11115	Westfalia/RS
11116	Witmarsum/SC
11117	Xambioá/TO
11118	Xambríª/PR
11119	Xangri-lá/RS
11120	Xanxeríª/SC
11121	Xapuri/AC
11122	Xavantina/SC
11123	Xaxim/SC
11124	Xexéu/PE
11125	Xinguara/PA
11126	Xique-Xique/BA
11127	Zabelíª/PB
11128	Zacarias/SP
11129	Zé Doca/MA
11130	Zortéa/SC
\.


--
-- Data for Name: permissao; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY permissao (entry_id, dn) FROM stdin;
\.


--
-- Data for Name: permissao_dossie; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY permissao_dossie (id_volume, id_dossie, dn) FROM stdin;
\.


--
-- Data for Name: permissao_volume; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY permissao_volume (id_volume, dn) FROM stdin;
volume-CF36F500-FE73-11E0-BCC7-E69700A37246	o=GMF,o=PMF,dc=adm,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
volume-CF36F500-FE73-11E0-BCC7-E69700A37246	o=CTI,o=GP,o=PMF,dc=adm,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
\.


--
-- Data for Name: projeto; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY projeto (id_projeto, nome) FROM stdin;
1	Vila do Mar
\.


--
-- Data for Name: regionais; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY regionais (id, nome) FROM stdin;
\.


--
-- Data for Name: revisor; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY revisor (id_leitura, dn) FROM stdin;
1	uid=niobe.raposo,dc=GP,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
2	uid=niobe.raposo,dc=GP,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
1	uid=isabel.sinena,dc=GP,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
2	uid=isabel.sinena,dc=GP,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
1	uid=paulo.neto,dc=CTI,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
2	uid=paulo.neto,dc=CTI,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
1	uid=mock.user,dc=GP,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
2	uid=mock.user,dc=GP,dc=rh,dc=diretorio,dc=fortaleza,dc=ce,dc=gov,dc=br
\.


--
-- Data for Name: sessions; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY sessions (id, session_data, expires) FROM stdin;
session:f5c247803c9f6b539160a94ae0c9f694778a2154                        	BQcDAAAAAQoKMTMwNTYyODY3NgAAAAlfX3VwZGF0ZWQ=\n	1305635876
session:4ece02f7f591955947b4053f89b9d7ffedd0d404                        	BQcDAAAAAgoKMTMwMTQ5Mzc5OAAAAAlfX2NyZWF0ZWQKCjEzMDE0OTQ2OTYAAAAJX191cGRhdGVk\n	1301501896
session:58dbf246459a13cff9352534cc412f84f4c65b19                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCnBhdWxvLm5ldG8AAAAGX191c2VyCU2TgwMA\nAAAJX191cGRhdGVk\n	1301520163
session:a8a58c9466cb06ecd53c38c3a93fffa4d176e756                        	BQcDAAAAAglNk4ZCAAAACV9fdXBkYXRlZAQDAAAAAQEAAAF8Q2F1Z2h0IGV4Y2VwdGlvbiBpbiBB\nY2FvOjpDb250cm9sbGVyOjpQdWJsaWM6OlJlaW5kZXhhY2FvLT5yZWluZGV4YSAiZXJyb3IgYXQg\nU0VleGVjdXRlOiBTRUROQSBNZXNzYWdlOiBFUlJPUiBYUFNUMDAwOApJdCBpcyBhIHN0YXRpYyBl\ncnJvciBpZiBhbiBleHByZXNzaW9uIHJlZmVycyB0byBhbiBlbGVtZW50IG5hbWUsIGF0dHJpYnV0\nZSBuYW1lLCBzY2hlbWEgdHlwZSBuYW1lLCBuYW1lc3BhY2UgcHJlZml4LCBvciB2YXJpYWJsZSBu\nYW1lIHRoYXQgaXMgbm90IGRlZmluZWQgaW4gdGhlIHN0YXRpYyBjb250ZXh0LCBleGNlcHQgd2l0\naGluIGFuIEVsZW1lbnRUZXN0IG9yIGFuIEF0dHJpYnV0ZVRlc3QuCkRldGFpbHM6IGF0ICg5OjI1\nKSwgeC4uCiAgICAgICAgICIAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301520994
session:39aa0885407c9191f28e2e09b83f8bb840676cc0                        	BQcDAAAAAglNk4xBAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301522529
session:9b8bf9e8fc6e77b2c93f1d56651234c74947f0de                        	BQcDAAAAAQoKMTMwMTUwMDA0NwAAAAlfX3VwZGF0ZWQ=\n	1301507247
session:7e0b7ab19e800090c5db847c20ff3d103fd1f81b                        	BQcDAAAAAQlNk2VjAAAACV9fdXBkYXRlZA==\n	1301512579
session:0d7ded4cebbce9079bf6607fd6145780a414e4cf                        	BQcDAAAAAQlNk2V1AAAACV9fdXBkYXRlZA==\n	1301512601
session:7e01223f7d91a1a1c68c9fdc59a32a1aad6357ca                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAxNDk0Mzc4AAAACV9fdXBkYXRlZA==\n	1301501578
session:9b1d4870f00cb54cea5f0a742b3a3017c18b384b                        	BQcDAAAAAglNk4b6AAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301521178
session:aff624e36758b810749fbc40f865ba6f8e14d1fe                        	BQcDAAAAAglNk4ZiAAAACV9fdXBkYXRlZAQDAAAAAQEAAAF8Q2F1Z2h0IGV4Y2VwdGlvbiBpbiBB\nY2FvOjpDb250cm9sbGVyOjpQdWJsaWM6OlJlaW5kZXhhY2FvLT5yZWluZGV4YSAiZXJyb3IgYXQg\nU0VleGVjdXRlOiBTRUROQSBNZXNzYWdlOiBFUlJPUiBYUFNUMDAwOApJdCBpcyBhIHN0YXRpYyBl\ncnJvciBpZiBhbiBleHByZXNzaW9uIHJlZmVycyB0byBhbiBlbGVtZW50IG5hbWUsIGF0dHJpYnV0\nZSBuYW1lLCBzY2hlbWEgdHlwZSBuYW1lLCBuYW1lc3BhY2UgcHJlZml4LCBvciB2YXJpYWJsZSBu\nYW1lIHRoYXQgaXMgbm90IGRlZmluZWQgaW4gdGhlIHN0YXRpYyBjb250ZXh0LCBleGNlcHQgd2l0\naGluIGFuIEVsZW1lbnRUZXN0IG9yIGFuIEF0dHJpYnV0ZVRlc3QuCkRldGFpbHM6IGF0ICg5OjI1\nKSwgeC4uCiAgICAgICAgICIAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301521026
session:497975a175ddea7a34b58d3a23ebdd43d56f135b                        	BQcDAAAAAglNk4dVAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301521269
session:563605075c8772e6ff8f0e2d214802da6461c06c                        	BQcDAAAABAoEbGRhcAAAAAxfX3VzZXJfcmVhbG0JTZN6PgAAAAlfX2NyZWF0ZWQKDnJvZG9sZm8u\nc2lrb3JhAAAABl9fdXNlcglNk3o/AAAACV9fdXBkYXRlZA==\n	1301523624
session:92e2cfdeb856ac11f08ddf5547530fa7f8fd445a                        	BQcDAAAAAQlNk4sOAAAACV9fdXBkYXRlZA==\n	1301522222
session:9e53fb4aa7978279a584e237d045c470980e8da9                        	BQcDAAAAAQoKMTMwMTUwMDA5OQAAAAlfX3VwZGF0ZWQ=\n	1301507299
session:1c7dd845ac63dcee9712586e5112e7699e3e6bbf                        	BQcDAAAAAglNk4RLAAAACV9fdXBkYXRlZAQDAAAAAQrLQ2F1Z2h0IGV4Y2VwdGlvbiBpbiBBY2Fv\nOjpDb250cm9sbGVyOjpQdWJsaWM6OlJlaW5kZXhhY2FvLT5yZWluZGV4YSAiU0VETkFfUVVFUllf\nRkFJTEVEOiBTRUROQSBNZXNzYWdlOiBFUlJPUiBGT0RDMDAwNApJbnZhbGlkIGFyZ3VtZW50IHRv\nIGZuOmNvbGxlY3Rpb24uIApEZXRhaWxzOiBDb2xsZWN0aW9uICcnClF1ZXJ5IGxpbmU6IDcsIGNv\nbHVtbjoyMyIAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301520491
session:e54303c6b8d8fc129c0d8409d9156263a06cc30e                        	BQcDAAAAAglNk4RpAAAACV9fdXBkYXRlZAQDAAAAAQrLQ2F1Z2h0IGV4Y2VwdGlvbiBpbiBBY2Fv\nOjpDb250cm9sbGVyOjpQdWJsaWM6OlJlaW5kZXhhY2FvLT5yZWluZGV4YSAiU0VETkFfUVVFUllf\nRkFJTEVEOiBTRUROQSBNZXNzYWdlOiBFUlJPUiBGT0RDMDAwNApJbnZhbGlkIGFyZ3VtZW50IHRv\nIGZuOmNvbGxlY3Rpb24uIApEZXRhaWxzOiBDb2xsZWN0aW9uICcnClF1ZXJ5IGxpbmU6IDcsIGNv\nbHVtbjoyMyIAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301520521
session:364f0cedc38e6aa17c5eaf5d73e623455426a003                        	BQcDAAAAAglNk4SpAAAACV9fdXBkYXRlZAQDAAAAAQrLQ2F1Z2h0IGV4Y2VwdGlvbiBpbiBBY2Fv\nOjpDb250cm9sbGVyOjpQdWJsaWM6OlJlaW5kZXhhY2FvLT5yZWluZGV4YSAiU0VETkFfUVVFUllf\nRkFJTEVEOiBTRUROQSBNZXNzYWdlOiBFUlJPUiBGT0RDMDAwNApJbnZhbGlkIGFyZ3VtZW50IHRv\nIGZuOmNvbGxlY3Rpb24uIApEZXRhaWxzOiBDb2xsZWN0aW9uICcnClF1ZXJ5IGxpbmU6IDcsIGNv\nbHVtbjoyMyIAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301520585
session:1f9b39a3ad6b0babff4b0017b3f6d03a163ac177                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nk3ZfAAAACV9fdXBkYXRlZA==\n	1301517891
session:89bc09f11193d277e33011745920d94ec83c183a                        	BQcDAAAAAQlNk3opAAAACV9fdXBkYXRlZA==\n	1301517897
session:385600f105b28da57285301d7dfe3a2357d01789                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2T\neToAAAAJX191cGRhdGVk\n	1301517757
session:2f10ad580c79cae50e9cd58c76c229d3dd7293fd                        	BQcDAAAAAglNk4WNAAAACV9fdXBkYXRlZAQDAAAAAQrLQ2F1Z2h0IGV4Y2VwdGlvbiBpbiBBY2Fv\nOjpDb250cm9sbGVyOjpQdWJsaWM6OlJlaW5kZXhhY2FvLT5yZWluZGV4YSAiU0VETkFfUVVFUllf\nRkFJTEVEOiBTRUROQSBNZXNzYWdlOiBFUlJPUiBGT0RDMDAwNApJbnZhbGlkIGFyZ3VtZW50IHRv\nIGZuOmNvbGxlY3Rpb24uIApEZXRhaWxzOiBDb2xsZWN0aW9uICcnClF1ZXJ5IGxpbmU6IDcsIGNv\nbHVtbjoyMyIAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301520813
session:fe5f32972de3e5fbbce6cfaec2a7db38cbcf802d                        	BQcDAAAAAQoKMTMwMTQ5OTYwOQAAAAlfX3VwZGF0ZWQ=\n	1301506809
session:88696da452d0a8a45ed4f2fe584c272e43f693e7                        	BQcDAAAAAglNk4XQAAAACV9fdXBkYXRlZAQDAAAAAQEAAAF8Q2F1Z2h0IGV4Y2VwdGlvbiBpbiBB\nY2FvOjpDb250cm9sbGVyOjpQdWJsaWM6OlJlaW5kZXhhY2FvLT5yZWluZGV4YSAiZXJyb3IgYXQg\nU0VleGVjdXRlOiBTRUROQSBNZXNzYWdlOiBFUlJPUiBYUFNUMDAwOApJdCBpcyBhIHN0YXRpYyBl\ncnJvciBpZiBhbiBleHByZXNzaW9uIHJlZmVycyB0byBhbiBlbGVtZW50IG5hbWUsIGF0dHJpYnV0\nZSBuYW1lLCBzY2hlbWEgdHlwZSBuYW1lLCBuYW1lc3BhY2UgcHJlZml4LCBvciB2YXJpYWJsZSBu\nYW1lIHRoYXQgaXMgbm90IGRlZmluZWQgaW4gdGhlIHN0YXRpYyBjb250ZXh0LCBleGNlcHQgd2l0\naGluIGFuIEVsZW1lbnRUZXN0IG9yIGFuIEF0dHJpYnV0ZVRlc3QuCkRldGFpbHM6IGF0ICg5OjI1\nKSwgeC4uCiAgICAgICAgICIAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301520880
session:6f9f0e540cf10989e2d4e8b5090b5604baaffb13                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMTUwMzYxMgAAAAlfX3VwZGF0ZWQ=\n	1301510812
session:63a8b27bd41fa2a249e64196bcb9a49c753476a2                        	BQcDAAAAAQoKMTMwMjA3MzY1NAAAAAlfX3VwZGF0ZWQ=\n	1302080854
session:a0d0c9c51c81809c9d42290c9fc04daa726b9ade                        	BQcDAAAAAglNk4x+AAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301522590
session:3e91da7f8cc3064a5dae961e6c47a55f22860835                        	BQcDAAAAAQoKMTMwMTU3MDc0NwAAAAlfX3VwZGF0ZWQ=\n	1301577947
session:314b969168db2cfc467efeed74a492bd6ecfc4db                        	BQcDAAAABAoEbGRhcAAAAAxfX3VzZXJfcmVhbG0JTZODJwAAAAlfX2NyZWF0ZWQKDWxhZml0dGUu\nbGVtb3MAAAAGX191c2VyCU2TjNEAAAAJX191cGRhdGVk\n	1301522673
session:a0d710d54873f83c9e45583ffa3fe80ceddde107                        	BQcDAAAAAglNlHGIAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301581224
session:7cd92c1842196a5a6ebf6ecc3cbf1b23f1dc1221                        	BQcDAAAAAglNlHGjAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301581251
session:8006ca47b587f03ae5fc7bd41f6cf387315839ab                        	BQcDAAAAAglNlHG3AAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301581271
session:ba1222d4eb3beca465d80d9789488a7ddf41c28a                        	BQcDAAAAAglNlHNtAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301581709
session:2a8530e2d9733f9c014da5098d5e43b2f653d53b                        	BQcDAAAAAQoKMTMwMTUwNjM0MwAAAAlfX3VwZGF0ZWQ=\n	1301513543
session:4eaf8297e01cdfdc043090f20a9d0310b0911997                        	BQcDAAAAAgoKMTMwMTUwNjM5NwAAAAlfX3VwZGF0ZWQEAwAAAAEKElVzdcOhcmlvIEludsOhbGlk\nbwAAAARlcnJvAAAAB19fZmxhc2g=\n	1301513597
session:a030fa7bd78ca86a9efa41ce265a61f9bb30f9ec                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMTUwNjQyMgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDE1MDY0MjIAAAAJX191cGRhdGVk\n	1301513622
session:6dd8b81c382c51380efde8f32e4e93cffa717817                        	BQcDAAAAAQoKMTMwMTUwNjQyMgAAAAlfX3VwZGF0ZWQ=\n	1301513622
session:df471b25860a5dd3ea4575f06dad051cdd9a5a19                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMTUwNjQ1MAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDE1MDY0NTEAAAAJX191cGRhdGVk\n	1301513650
session:9a0f2804c76d90d9fdb06e94e70745efc6ab147c                        	BQcDAAAAAQoKMTMwMTUwNjQ1MQAAAAlfX3VwZGF0ZWQ=\n	1301513651
session:c3d7ff1712741eddd462f6d2f70ba265e27423b3                        	BQcDAAAAAglNlHOQAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301581744
session:0b0e1c0572155763802e4c565b8fe354d9791001                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMTUwNjQ2NgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDE1MDY0NjYAAAAJX191cGRhdGVk\n	1301513666
session:6c9761734f1af1b579713cdebd2faa71acbaeac9                        	BQcDAAAAAQoKMTMwMTUwNjQ2NwAAAAlfX3VwZGF0ZWQ=\n	1301513667
session:ae8ec8c3da14fa7a0037a30db737553fa053fad2                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KFXZhbGNhcnBvQHlhaG9vLmNvbS5icgAAAAZf\nX3VzZXIKCjEzMDE1MDY0OTMAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNo\nCgoxMzAxNTA2NDkzAAAACV9fdXBkYXRlZA==\n	1301513693
session:bb454dcb2fa02d9a36eac668581dcbb1b2bdeb94                        	BQcDAAAAAQoKMTMwMTUwNjQ5MwAAAAlfX3VwZGF0ZWQ=\n	1301513693
session:2ef1cad1c8f0cd42ffdc645c24f98217fbd2202e                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KFXZhbGNhcnBvQHlhaG9vLmNvbS5icgAAAAZf\nX3VzZXIKCjEzMDE1MDY1MTYAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNo\nCgoxMzAxNTA2NTE2AAAACV9fdXBkYXRlZA==\n	1301513716
session:5c5f0379afb0815d4cf93d4fa7e55a0c87d3269d                        	BQcDAAAAAQoKMTMwMTUwNjUxNgAAAAlfX3VwZGF0ZWQ=\n	1301513716
session:39a8d7df060ac17923bbdfab5f005da13edb1a34                        	BQcDAAAAAglNlHO1AAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301581781
session:79dc17ad9574d79d9f03ca78f3aaaa12bcce3450                        	BQcDAAAAAglNlHS6AAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301582042
session:a7f7579b8f29c1df93ef56720402944e65e47ac1                        	BQcDAAAAAglNlHbwAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301582608
session:e7d217fd30a2ffb2ac902bdd612d6324c97a81bf                        	BQcDAAAAAQoKMTMwMTUwNjY2NAAAAAlfX3VwZGF0ZWQ=\n	1301513864
session:31737859ca020fd82fa419d8254f614173e18b31                        	BQcDAAAAAQoKMTMwMTUxNzkwMgAAAAlfX3VwZGF0ZWQ=\n	1301525102
session:9fa7fb0ae99813eb0267e4a32aee0b10c86e2fce                        	BQcDAAAAAglNlHEMAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301581100
session:9f570cabaacb968fecdd36e177243f15e4696684                        	BQcDAAAAAQoKMTMwMTU2NzI0MgAAAAlfX3VwZGF0ZWQ=\n	1301574442
session:1b2e63b5e0bc3e2dd13c8b5054e386b8551a41b1                        	BQcDAAAAAglNlHc9AAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301582685
session:8d3bbdae4600ab40672e3c7c9b988514ef00eadc                        	BQcDAAAAAglNlHbYAAAACV9fdXBkYXRlZAQDAAAAARf6Q2F1Z2h0IGV4Y2VwdGlvbiBpbiBBY2Fv\nOjpDb250cm9sbGVyOjpQdWJsaWM6OlJlaW5kZXhhY2FvLT5yZWluZGV4YSAiQ2FuJ3QgdXNlIHN0\ncmluZyAoIkZCRjhEOTk2LTQ0RkItMTFFMC05QTU2LTI1OENCMzk3IikgYXMgYSBTQ0FMQVIgcmVm\nIHdoaWxlICJzdHJpY3QgcmVmcyIgaW4gdXNlIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA1MzAuIgAA\nAARlcnJvAAAAB19fZmxhc2g=\n	1301582583
session:5efe01d9287f24683a2455d7223972035822bdde                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMTU4MTQ5MQAAAAlfX3VwZGF0ZWQ=\n	1301588834
session:869dac31eaf962a8d490d2ac47fdc3de18d3b631                        	BQcDAAAAAQlNlJLSAAAACV9fdXBkYXRlZA==\n	1301589746
session:46bd4e4114b72e506be409103fe56cfbaee199e2                        	BQcDAAAAAQoKMTMwMjA4NjYyMwAAAAlfX3VwZGF0ZWQ=\n	1302093823
session:bc2c1b39b789e213b2ffc77fce3420334d60fd01                        	BQcDAAAAAQoKMTMwMjUxNzkzMwAAAAlfX3VwZGF0ZWQ=\n	1302525133
session:73a37a4c8b817cd5258e67ffbed017b3e2d13a68                        	BQcDAAAAAQoKMTMwMTY2NzQ2NgAAAAlfX3VwZGF0ZWQ=\n	1301674666
session:87b646e79d2b3d2f652498e54f9a89e64eec2e7f                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KFXZhbGNhcnBvQHlhaG9vLmNvbS5icgAAAAZf\nX3VzZXIKCjEzMDE2Njc0NzUAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNo\nCgoxMzAxNjY3NDc1AAAACV9fdXBkYXRlZA==\n	1301674675
session:5b6333d41addf92891d7fb85304f2aab46650dea                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nmhsBAAAACV9fdXBkYXRlZA==\n	1301954516
session:738517443cb3e2460cd8cfeada372cc15201ebc1                        	BQcDAAAAAglNlHgwAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9JwoyNUEyN0MzRS01NTVGLTExRTAtODZGQy02RjA5RDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NAoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301582928
session:e2c7f36e5d2f56871486b9a48365316837c4eb27                        	BQcDAAAAAglNlHrWAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9JwoyNUEyN0MzRS01NTVGLTExRTAtODZGQy02RjA5RDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NAoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301583606
session:b15d28022723efdb9e2855173c8b94ee5927aa0b                        	BQcDAAAAAglNlIDCAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9Jwo0QzlBMDgzRS01NTczLTExRTAtOEFFMS1GOTBERDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NAoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301585122
session:4af5a0aacd2b782a1652d94430caffcb563cd252                        	BQcDAAAAAQoKMTMwMTU4MTg0NgAAAAlfX3VwZGF0ZWQ=\n	1301589046
session:d1daa38ccf49428bffaa55af02707c8d13f6ac3a                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU2U\neJ4AAAAJX191cGRhdGVk\n	1301590136
session:4a9a7881ac96417319f5695d54db710185efe1b1                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nlJw3AAAACV9fdXBkYXRlZA==\n	1301592155
session:de77b898e1727aba7f50b53afbd0df3ec34a8fa2                        	BQcDAAAAAglNlIAYAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9Jwo0QzlBMDgzRS01NTczLTExRTAtOEFFMS1GOTBERDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NAoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301584952
session:173dfd54c338e185be57ae86e08612d7e9c24f43                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmNhcmxvcy53aGVyYmV0AAAABl9fdXNlcgoK\nMTMwNTYyODY4MQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDU2\nMjg2ODEAAAAJX191cGRhdGVk\n	1305635881
session:7c1e9aeaeadda9a2b4f6d10a54ac5a5663153b05                        	BQcDAAAAAglNlHlRAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9JwoyNUEyN0MzRS01NTVGLTExRTAtODZGQy02RjA5RDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NAoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301583217
session:3d7a7f17258ee763a64ffb4fac06a83a2002e1c6                        	BQcDAAAAAglNlHnQAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9JwoyNUEyN0MzRS01NTVGLTExRTAtODZGQy02RjA5RDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NAoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301583344
session:3a873e6d7906e9db598162e35ac85acc62a16b31                        	BQcDAAAAAglNlHpyAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9JwoyNUEyN0MzRS01NTVGLTExRTAtODZGQy02RjA5RDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NAoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301583506
session:761e1e2274ffe4838fd90287ecd5e08936576544                        	BQcDAAAAAQoKMTMwNTYyODY4MQAAAAlfX3VwZGF0ZWQ=\n	1305635881
session:8ca6c7de30d7b1498431178c97079252b1f0ece4                        	BQcDAAAAAQoKMTMxODM0MDk3OQAAAAlfX3VwZGF0ZWQ=\n	1318348179
session:3acb1cdabc41274aa04d89ff0dbcc8f0d1856368                        	BQcDAAAAAglNlIMLAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9Jwo0QzlBMDgzRS01NTczLTExRTAtOEFFMS1GOTBERDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301585707
session:58132723963e9d1d0eb43b8778143804a2a081a7                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAxNTczOTQyAAAACV9fdXBkYXRlZA==\n	1301581142
session:f0cdfa8fdeb93c080211a3a05ebba5f6845d791e                        	BQcDAAAAAglNlJPBAAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301589985
session:7ec4cbbd9e96228fb31d0e083a7463500925d80c                        	BQcDAAAAAQoKMTMwMTU3Mjg3NAAAAAlfX3VwZGF0ZWQ=\n	1301580074
session:652a225152eafd0d8c076f284b267856b29ab33b                        	BQcDAAAAAQoKMTMwMTg5OTIwOQAAAAlfX3VwZGF0ZWQ=\n	1301906409
session:b76263ffa1b236fa5f84f6807fccf7f66647a6b7                        	BQcDAAAAAQoKMTMxMTE4OTQ0MwAAAAlfX3VwZGF0ZWQ=\n	1311196643
session:2e58169833ca00444b688b4ed7c347fa212d0a99                        	BQcDAAAAAQoKMTMwMTkwMzU2MQAAAAlfX3VwZGF0ZWQ=\n	1301910761
session:63b2af19dad40a15574b4abdeb28afcc72352e58                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTU3MTAzOAAAAAlfX3VwZGF0ZWQ=\n	1301578838
session:9bb73f1df0f24b64f533b77576984d7bdf9cc304                        	BQcDAAAAAglNlJWwAAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301590480
session:bb0198d4736b271e4c01829d1fe13ac04308a82d                        	BQcDAAAAAQoKMTMwMTU2ODIxMwAAAAlfX3VwZGF0ZWQ=\n	1301575413
session:b6ee6e80f896b26303294884ff76d3a0b2de26a6                        	BQcDAAAAAglNlISrAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9Jwo0QzlBMDgzRS01NTczLTExRTAtOEFFMS1GOTBERDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301586123
session:2d3c6b02fa8f134964948b70295444ff8260e062                        	BQcDAAAAAglNlITgAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9Jwo0QzlBMDgzRS01NTczLTExRTAtOEFFMS1GOTBERDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301586176
session:853959c8ec7183a4cf7cad3a4e218df7924fbebd                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWxhZml0dGUubGVtb3MAAAAGX191c2VyCgox\nMzAxOTAzNTY5AAAACV9fY3JlYXRlZAQDAAAAAQoQdXN1YXJpby1uYW8tYWNhbwAAAARlcnJvAAAA\nB19fZmxhc2gKCjEzMDE5MDM1NjkAAAAJX191cGRhdGVk\n	1301910769
session:6730e2e6177a096af0008821e880d644a2647802                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTU3MDc0NwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDE1\nNzA3NDcAAAAJX191cGRhdGVk\n	1301577947
session:2c6331937c2269e4474ca40e94cfe244c5b7fe9b                        	BQcDAAAAAQoKMTMwMTkwMzU2OQAAAAlfX3VwZGF0ZWQ=\n	1301910769
session:200752939ca2d0f90115731502a7e6b2858b2b55                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTkwMzU3OAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDE5\nMDM1NzkAAAAJX191cGRhdGVk\n	1301910778
session:058086edebd12e0af95de91c86ba91336e083ee0                        	BQcDAAAAAQoKMTMwMTkwMzU3OQAAAAlfX3VwZGF0ZWQ=\n	1301910779
session:4e846b5ca4f7be16b9d776b7315b4c44d47b4e52                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTkwMzU5OAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDE5\nMDM1OTgAAAAJX191cGRhdGVk\n	1301910798
session:6a7181e78d7a9f660cf8ea12757f17e4ab8d2ad9                        	BQcDAAAAAQoKMTMwMTkwMzU5OQAAAAlfX3VwZGF0ZWQ=\n	1301910799
session:252f220f0e2fea5e113f65b498a97ad6beab1201                        	BQcDAAAAAgoKMTMwMTkwMzYwNgAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1301910806
session:8179f230a33d82d15256cc59d356ab1e133008a1                        	BQcDAAAAAQoKMTMwMTY2NzQ3NgAAAAlfX3VwZGF0ZWQ=\n	1301674676
session:dd693c30ab0aca21a9c5d00d307ccb5c29f16b26                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KFXZhbGNhcnBvQHlhaG9vLmNvbS5icgAAAAZf\nX3VzZXIKCjEzMDE2Njc0ODYAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNo\nCgoxMzAxNjY3NDg2AAAACV9fdXBkYXRlZA==\n	1301674686
session:bd28c416665895d9872adb9383935da1f433a2ae                        	BQcDAAAAAglNlIUzAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9Jwo0QzlBMDgzRS01NTczLTExRTAtOEFFMS1GOTBERDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301586259
session:9b97bd70e638b8a66f86de5bb19392de9793f5b5                        	BQcDAAAAAglNlIdaAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9Jwo0QzlBMDgzRS01NTczLTExRTAtOEFFMS1GOTBERDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301586810
session:b9f196520f0d6544150ac0e277fab20ca5c984a8                        	BQcDAAAAAglNlIeEAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9Jwo0QzlBMDgzRS01NTczLTExRTAtOEFFMS1GOTBERDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301586852
session:137429374755e917fe4ceab5d9ad16a40c06ce50                        	BQcDAAAAAglNlItuAAAACV9fdXBkYXRlZAQDAAAAAQEAAAEcQ2F1Z2h0IGV4Y2VwdGlvbiBpbiBB\nY2FvOjpDb250cm9sbGVyOjpQdWJsaWM6OlJlaW5kZXhhY2FvLT5yZWluZGV4YSAiZXJyb3IgYXQg\nU0VleGVjdXRlOiBTRUROQSBNZXNzYWdlOiBFUlJPUiBYUFNUMDAwMwpJdCBpcyBhIHN0YXRpYyBl\ncnJvciBpZiBhbiBleHByZXNzaW9uIGlzIG5vdCBhIHZhbGlkIGluc3RhbmNlIG9mIHRoZSBncmFt\nbWFyIGRlZmluZWQgaW4gQS4xIEVCTkYuCkRldGFpbHM6IGF0ICgxOjc2KSwgc3ludGF4IGVycm9y\nLCB1bmV4cGVjdGVkIGVuZCBvZiBmaWxlCiAgICAgICAgICIAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301587854
session:ce56bdc4e3f6feb8696e582075989400af4cdbdb                        	BQcDAAAAAglNlIuJAAAACV9fdXBkYXRlZAQDAAAAAQEAAAEcQ2F1Z2h0IGV4Y2VwdGlvbiBpbiBB\nY2FvOjpDb250cm9sbGVyOjpQdWJsaWM6OlJlaW5kZXhhY2FvLT5yZWluZGV4YSAiZXJyb3IgYXQg\nU0VleGVjdXRlOiBTRUROQSBNZXNzYWdlOiBFUlJPUiBYUFNUMDAwMwpJdCBpcyBhIHN0YXRpYyBl\ncnJvciBpZiBhbiBleHByZXNzaW9uIGlzIG5vdCBhIHZhbGlkIGluc3RhbmNlIG9mIHRoZSBncmFt\nbWFyIGRlZmluZWQgaW4gQS4xIEVCTkYuCkRldGFpbHM6IGF0ICgxOjc2KSwgc3ludGF4IGVycm9y\nLCB1bmV4cGVjdGVkIGVuZCBvZiBmaWxlCiAgICAgICAgICIAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301587881
session:f4ae4001559df59d99afd18921e1fdb6742685df                        	BQcDAAAAAglNlIuaAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9Jwo0QzlBMDgzRS01NTczLTExRTAtOEFFMS1GOTBERDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301587898
session:d3fa19998ede60d637d0a57eb087f8262316bf49                        	BQcDAAAAAglNlIu2AAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9Jwo0QzlBMDgzRS01NTczLTExRTAtOEFFMS1GOTBERDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301587926
session:91999e3141964f6ae4a18508d6b138c87baf8a4b                        	BQcDAAAAAglNlIvdAAAACV9fdXBkYXRlZAQDAAAAAQEAAAEYQ2F1Z2h0IGV4Y2VwdGlvbiBpbiBB\nY2FvOjpDb250cm9sbGVyOjpQdWJsaWM6OlJlaW5kZXhhY2FvLT5yZWluZGV4YSAiZXJyb3IgYXQg\nU0VleGVjdXRlOiBTRUROQSBNZXNzYWdlOiBFUlJPUiBYUERZMDAwMgpJdCBpcyBhIGR5bmFtaWMg\nZXJyb3IgaWYgZXZhbHVhdGlvbiBvZiBhbiBleHByZXNzaW9uIHJlbGllcyBvbiBzb21lIHBhcnQg\nb2YgdGhlIGR5bmFtaWMgY29udGV4dCB0aGF0IGhhcyBub3QgYmVlbiBhc3NpZ25lZCBhIHZhbHVl\nLgpEZXRhaWxzOiBhdCAoMTo3NykKICAgICAgICAgIgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301587965
session:acb83ca474e835f73e33274d1c713f787b947e21                        	BQcDAAAAAQoKMTMwMTU3MDY5OQAAAAlfX3VwZGF0ZWQ=\n	1301577899
session:8910fdba8382fdb1c3f0ef53738232bc2d20c0e2                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTU3MDcxMQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDE1\nNzA3MTEAAAAJX191cGRhdGVk\n	1301577911
session:b09cdb60f13ae89169540576435bcae087fa713d                        	BQcDAAAAAQoKMTMwMTU3MDcxMQAAAAlfX3VwZGF0ZWQ=\n	1301577911
session:c881a02f8551a7181d2923cbae3897a9905b10b4                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTU3MDcyNgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDE1\nNzA3MjYAAAAJX191cGRhdGVk\n	1301577926
session:f50135ccdc8b5eca378270e249eaf55ac7d5f632                        	BQcDAAAAAQoKMTMwMTU3MDcyNgAAAAlfX3VwZGF0ZWQ=\n	1301577926
session:4904c3099f172473f13d79ca6f5b4df4c93220d5                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTU3MDQ4OAAAAAlfX3VwZGF0ZWQ=\n	1301578076
session:182bad2ec6f6922bd0a438e46f07442f28a36a22                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KGWl0YWx1c2Jvcmdlc0B5YWhvby5jb20uYnIA\nAAAGX191c2VyCgoxMzAxNjUxNjE4AAAACV9fdXBkYXRlZA==\n	1301658838
session:f79b065261891663338dae9e72ef852cf5eeff87                        	BQcDAAAAAglNlI6mAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJLREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9Jwo0QzlBMDgzRS01NTczLTExRTAtOEFFMS1GOTBERDM1MEJDQkYnLCAyPSdG\nQkY4RDk5Ni00NEZCLTExRTAtOUE1Ni0yNThDQjM5NzgxREInLCAzPXVuZGVmLCA0PSdWb2x1bWUg\nY3ctMjAxMSAgICAgIC0gZ2F0aW5oYSBmb3Jtb3NhIC0gJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0\nRkItMTFFMC05QTU2LTI1OENCMzk3ODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9B\nY2FvL3NjcmlwdC8uLi9saWIvQWNhby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAE\nZXJybwAAAAdfX2ZsYXNo\n	1301588678
session:131a5ab74ea5538213e22947989f60b7eb2b8a5b                        	BQcDAAAAAglNlI6/AAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301588703
session:613cf0c06b0542906d01d07b912c1be42aeb4fe8                        	BQcDAAAAAglNlI8BAAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301588769
session:0bc3dc1d01be98b47232818e55eece8c3ea26ab8                        	BQcDAAAAAglNlJBRAAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301589105
session:013e29014c17d9e432e069e743727f6c8a6f0a0d                        	BQcDAAAAAglNlJCrAAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301589195
session:baf566403c43e0d1a68e5044916f4ab756f02d71                        	BQcDAAAAAglNlJE2AAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301589334
session:fd59df096477d219cfee4a666f7e421e5fb44786                        	BQcDAAAAAglNlJFCAAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301589346
session:afd429219df7524e7b6a9894ff3a61fdea056251                        	BQcDAAAAAglNlJHGAAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301589478
session:058abbca7f104fb2134639aa56e08c60e20953fb                        	BQcDAAAAAglNlJLBAAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301589729
session:73d92a26d6cdffcbe98a0863bb8cd88a25790e79                        	BQcDAAAAAQoKMTMxMTI0ODYzNwAAAAlfX3VwZGF0ZWQ=\n	1311255837
session:709c272875b4561a3a8cda721a56cdc392fdc580                        	BQcDAAAAAQoKMTMwMTkwMzYwNgAAAAlfX3VwZGF0ZWQ=\n	1301910806
session:16a1cec452ac2cc81e396191ac3f88e9652812c7                        	BQcDAAAAAQoKMTMwMTY2NzQ4NgAAAAlfX3VwZGF0ZWQ=\n	1301674686
session:1682e27e2e0378e4f921aad1bd999781e5d49476                        	BQcDAAAAAglNlJYiAAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301590594
session:73def62ff1d98cab126d2007f0f810b8beefa0d1                        	BQcDAAAAAglNlJZtAAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301590669
session:0ae4738630bafcc173cf9790bf43b40092ac7c28                        	BQcDAAAAAQoKMTMwMTU3MzE2MgAAAAlfX3VwZGF0ZWQ=\n	1301580362
session:5ec336db344555b05ec430b1ce755907522982ae                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzAxNTczMTM0AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMTU3\nMzEzNAAAAAlfX3VwZGF0ZWQ=\n	1301580334
session:53d2fae98fb49cd3d0ec270e58dba4b379a54dc4                        	BQcDAAAAAglNlJasAAAACV9fdXBkYXRlZAQDAAAAAQEAAAHeREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGRv\nc3NpZSAoIGhlcmRhX3Blcm1pc3NvZXMsIGlkX2Rvc3NpZSwgaWRfdm9sdW1lLCBub21lKSBWQUxV\nRVMgKCA/LCA/LCA/LCA/ICkiIHdpdGggUGFyYW1WYWx1ZXM6IDE9dW5kZWYsIDI9JwpCQjE0Q0FC\nOC01QTBDLTExRTAtQUMwQS1DQkUxRUVDMDRGNjcnLCAzPSd2b2x1bWUtQUUxQTBDRjQtNDRGQi0x\nMUUwLTlBNTYtMjU4Q0IzOTc4MURCJywgND11bmRlZl0gYXQgL2hvbWUvbGFmaXR0ZS9kZXZlbC9h\nY2FvL0FjYW8vc2NyaXB0Ly4uL2xpYi9BY2FvL1JvbGUvTW9kZWwvSW5kaWNlcy5wbSBsaW5lIDg2\nCgAAAARlcnJvAAAAB19fZmxhc2g=\n	1301590732
session:dbb66582dd30f8c9a26eda70428817eb1b1ca2c2                        	BQcDAAAAAglNlJbcAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJvREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9J0NBMkQ2RkYwLTVCOTctMTFFMC1CRkIyLTIxOTVDMDk0QjZERCcsIDI9J0ZC\nRjhEOTk2LTQ0RkItMTFFMC05QTU2LTI1OENCMzk3ODFEQicsIDM9dW5kZWYsIDQ9J1ZvbHVtZSBj\ndy0yMDExICAgICAgLSBnYXRpbmhhIGZvcm1vc2EgLSAwOC5QUk9GSVNTSU9OQUxJWkHDLsMuTyAv\nIEhBQklMSURBREVTJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0RkItMTFFMC05QTU2LTI1OENCMzk3\nODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9BY2FvL3NjcmlwdC8uLi9saWIvQWNh\nby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301590780
session:7f619d606975a0b45f3acc1ffdd54c8484ee027b                        	BQcDAAAAAQoKMTMwMTU3MzEzNwAAAAlfX3VwZGF0ZWQ=\n	1301580337
session:aca26e48586e4573c83dd4cb8e8d610f5dcb7461                        	BQcDAAAAAglNlJcTAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJvREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9J0NBMkQ2RkYwLTVCOTctMTFFMC1CRkIyLTIxOTVDMDk0QjZERCcsIDI9J0ZC\nRjhEOTk2LTQ0RkItMTFFMC05QTU2LTI1OENCMzk3ODFEQicsIDM9dW5kZWYsIDQ9J1ZvbHVtZSBj\ndy0yMDExICAgICAgLSBnYXRpbmhhIGZvcm1vc2EgLSAwOC5QUk9GSVNTSU9OQUxJWkHDLsMuTyAv\nIEhBQklMSURBREVTJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0RkItMTFFMC05QTU2LTI1OENCMzk3\nODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9BY2FvL3NjcmlwdC8uLi9saWIvQWNh\nby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301590835
session:e30ca2fdd19d9a6a3920a83fd8726c35fbe5feca                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzAxNTczMTQ2AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMTU3\nMzE0NgAAAAlfX3VwZGF0ZWQ=\n	1301580346
session:62def4996c3aae07b6a719e8470d8524ba9ed98c                        	BQcDAAAAAQoKMTMwMTU3MzEyMwAAAAlfX3VwZGF0ZWQ=\n	1301580323
session:09c6ba6f79071b9aace79b6aaec7019e7085456f                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzAxNTczMTc2AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMTU3\nMzE3NgAAAAlfX3VwZGF0ZWQ=\n	1301580376
session:8a8893f01d6c74972a03ec39ee1b373aa287847b                        	BQcDAAAAAQoKMTMwMTU3MzE0OAAAAAlfX3VwZGF0ZWQ=\n	1301580348
session:3e5477a941216e68530faefc8aba2a7aaeb00382                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzAxNTczMTYwAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMTU3\nMzE2MAAAAAlfX3VwZGF0ZWQ=\n	1301580360
session:dc2e7994b6e6daec3e8d1bdaaf772d1c17b6113d                        	BQcDAAAAAQoKMTMwMTU3MzE3NwAAAAlfX3VwZGF0ZWQ=\n	1301580377
session:4b8f06ae656e7244dc0f00409929dde647eeb89d                        	BQcDAAAAAgoKMTMwMTU3MzE4NwAAAAlfX3VwZGF0ZWQEAwAAAAEKElVzdcOhcmlvIEludsOhbGlk\nbwAAAARlcnJvAAAAB19fZmxhc2g=\n	1301580387
session:4b7741d42e2817e9ec976e6c335786ef906a462a                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzAxNTczMTk5AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMTU3\nMzE5OQAAAAlfX3VwZGF0ZWQ=\n	1301580399
session:961cabdb3aea44449a386417dd0d7db79bbf194b                        	BQcDAAAAAQoKMTMwMTU3MzIwMQAAAAlfX3VwZGF0ZWQ=\n	1301580401
session:e48cd7db269637bb0fa61cf8d048ea3ac457761e                        	BQcDAAAAAQoKMTMwMTU3MzIxMgAAAAlfX3VwZGF0ZWQ=\n	1301580412
session:8b7b2b4511827fff0bbcd0e4373dd0f19c7dd1aa                        	BQcDAAAABAoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyBAMA\nAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgoxMzAxNTczNTA0AAAACV9fdXBkYXRlZA==\n	1301580704
session:c23470c6a14e89ed31694a628d9f04b6066d03b1                        	BQcDAAAAAQoKMTMwMTU3MzUwNwAAAAlfX3VwZGF0ZWQ=\n	1301580707
session:e0165f522effc4db05e55d96db7280a5d1bcb5f1                        	BQcDAAAAAQoKMTMwMTY3NzY1MQAAAAlfX3VwZGF0ZWQ=\n	1301684851
session:5edcdda26f37d458f9eb4128e2a4c44ce4e40cfe                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMTk0NzAxNwAAAAlfX3VwZGF0ZWQ=\n	1301954226
session:f3776e0644398ae1221bc68617bd5f22ded0bd54                        	BQcDAAAAAglNlJf3AAAACV9fdXBkYXRlZAQDAAAAAQEAAAJvREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9J0NBMkQ2RkYwLTVCOTctMTFFMC1CRkIyLTIxOTVDMDk0QjZERCcsIDI9J0ZC\nRjhEOTk2LTQ0RkItMTFFMC05QTU2LTI1OENCMzk3ODFEQicsIDM9dW5kZWYsIDQ9J1ZvbHVtZSBj\ndy0yMDExICAgICAgLSBnYXRpbmhhIGZvcm1vc2EgLSAwOC5QUk9GSVNTSU9OQUxJWkHDLsMuTyAv\nIEhBQklMSURBREVTJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0RkItMTFFMC05QTU2LTI1OENCMzk3\nODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9BY2FvL3NjcmlwdC8uLi9saWIvQWNh\nby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301591063
session:d662e4223eff365c6c171197ae041da7c97d3054                        	BQcDAAAAAglNlJhFAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301591141
session:7fdb1e1f00b1e9917bd6e6311ba5e05e274df5e2                        	BQcDAAAAAglNlJpJAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301591657
session:7aa1b96628cb3b9e31d7167177569288a8f0ab9d                        	BQcDAAAAAglNlJq7AAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301591771
session:6c04592bbd2d3635ae2c4a6d87b0006b8bad09e3                        	BQcDAAAAAglNlJwlAAAACV9fdXBkYXRlZAQDAAAAAQEAAAJvREJJeDo6Q2xhc3M6OlJlc3VsdFNl\ndDo6ZmluZF9vcl9jcmVhdGUoKTogREJJIEV4Y2VwdGlvbjogREJEOjpQZzo6c3QgZXhlY3V0ZSBm\nYWlsZWQ6IEVSUk9SOiAgbnVsbCB2YWx1ZSBpbiBjb2x1bW4gImhlcmRhX3Blcm1pc3NvZXMiIHZp\nb2xhdGVzIG5vdC1udWxsIGNvbnN0cmFpbnQgW2ZvciBTdGF0ZW1lbnQgIklOU0VSVCBJTlRPIGVu\ndHJpZXMgKCBkb2N1bWVudG8sIGRvc3NpZSwgaGVyZGFfcGVybWlzc29lcywgcmVzdW1vLCB2b2x1\nbWUpIFZBTFVFUyAoID8sID8sID8sID8sID8gKSBSRVRVUk5JTkcgZW50cnlfaWQiIHdpdGggUGFy\nYW1WYWx1ZXM6IDE9J0NBMkQ2RkYwLTVCOTctMTFFMC1CRkIyLTIxOTVDMDk0QjZERCcsIDI9J0ZC\nRjhEOTk2LTQ0RkItMTFFMC05QTU2LTI1OENCMzk3ODFEQicsIDM9dW5kZWYsIDQ9J1ZvbHVtZSBj\ndy0yMDExICAgICAgLSBnYXRpbmhhIGZvcm1vc2EgLSAwOC5QUk9GSVNTSU9OQUxJWkHDLsMuTyAv\nIEhBQklMSURBREVTJywgNT0ndm9sdW1lLUFFMUEwQ0Y0LTQ0RkItMTFFMC05QTU2LTI1OENCMzk3\nODFEQiddIGF0IC9ob21lL2xhZml0dGUvZGV2ZWwvYWNhby9BY2FvL3NjcmlwdC8uLi9saWIvQWNh\nby9Sb2xlL01vZGVsL0luZGljZXMucG0gbGluZSA5NQoAAAAEZXJybwAAAAdfX2ZsYXNo\n	1301592133
session:04b8842dea5ee4c676ea013877a92aa99bde0344                        	BQcDAAAAAglNlLmxAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301599697
session:9997c0e9e729914ba0a260371dfd007fd247607c                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU2U\nt5YAAAAJX191cGRhdGVk\n	1301599158
session:03598cef77430bd960bcdce1b5bde9b9b26e380d                        	BQcDAAAAAglNlLhJAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301599337
session:653a0f814d1c40fb1d7acf8ca7c131c96233cc6c                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2U\ntKkAAAAJX191cGRhdGVk\n	1301598589
session:3a7dd29480dff2591c78997a1166514d11804f7c                        	BQcDAAAAAglNlLnxAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301599761
session:8d5c58d43258e9ae72301f4b0ae54db1213a553c                        	BQcDAAAAAglNlLjYAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301599480
session:1ab3f94c52e74c36c7a2d680ad1c4adf14d3afb8                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nCU2UxmQAAAAJX191cGRhdGVk\n	1301603051
session:bff31ebf3702510f60349797a4570c7ac5181cf5                        	BQcDAAAAAglNlLNpAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301598088
session:f69934a4f3592b281d2f3ef6ec8437aae387d415                        	BQcDAAAAAglNlLO3AAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301598167
session:3c64d6f8819ccf52ef5dc43e71040bc586330066                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTU3Mjk1NwAAAAlfX3VwZGF0ZWQ=\n	1301596539
session:b043567c269e8596298b64cb78d00fcdfe25249e                        	BQcDAAAAAglNlLSLAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301598379
session:44a35889adf68944e190071b64dc6a4421283a7f                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCnBhdWxvLm5ldG8AAAAGX191c2VyCU2UxPcA\nAAAJX191cGRhdGVk\n	1301605018
session:0ab8bb6da78545cb2ad512c9d8c5680b289793ee                        	BQcDAAAAAglNlLsAAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301600032
session:8b818c784796541aaf957760742510612f2203bc                        	BQcDAAAAAglNlLsVAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301600053
session:cf6e507344fc921b2b030898ee9b040a997a3272                        	BQcDAAAAAglNlLtuAAAACV9fdXBkYXRlZAQDAAAAAQpRQ291bGRuJ3QgcmVuZGVyIHRlbXBsYXRl\nICJmaWxlIGVycm9yIC0gcHVibGljL3JlaW5kZXhhY2FvL3JlaW5kZXhhLnR0OiBub3QgZm91bmQi\nAAAABGVycm8AAAAHX19mbGFzaA==\n	1301600142
session:efa2e355104f97402d39d27ceb3b71ade3f84d92                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMTU5MDU0NwAAAAlfX3VwZGF0ZWQ=\n	1301605599
session:9ec5d280984e4c2917fa6e84353b01f409d10dbe                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTU4ODM0MQAAAAlfX3VwZGF0ZWQ=\n	1301597826
session:751e8f5ffbd817b30995d6976123b0118c2f3d99                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2U\n0rQAAAAJX191cGRhdGVk\n	1301607440
session:52a7c5a0c6b19064305e6f1fef4c7d9a34b14dd6                        	BQcDAAAAAQoKMTMwMTY2NzQ1MQAAAAlfX3VwZGF0ZWQ=\n	1301674651
session:16319c4c3ebcf4e5735930a3f183afc8c5cd216d                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KFXZhbGNhcnBvQHlhaG9vLmNvbS5icgAAAAZf\nX3VzZXIKCjEzMDE2Njc0NjUAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNo\nCgoxMzAxNjY3NDY1AAAACV9fdXBkYXRlZA==\n	1301674665
session:c5fd3340072045c686c9c86a487f397873890917                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAxNjc3Njc5AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMw\nMTY3NzY3OQAAAAlfX3VwZGF0ZWQ=\n	1301684879
session:b556c9ad7d10a41f80d8222ed9fcde22876f44b6                        	BQcDAAAAAQoKMTMwMTY1NDg2MQAAAAlfX3VwZGF0ZWQ=\n	1301662061
session:dc6c7a7debdc06d3e3c9c7d314bdf9781b00631f                        	BQcDAAAAAQoKMTMwMTY3NzY4MAAAAAlfX3VwZGF0ZWQ=\n	1301684880
session:7345518c89d29956423cb7662d9feb2581cac385                        	BQcDAAAAAgoKMTMwMTY3NzY4OAAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1301684888
session:be2c9697d66aef9605fa64f45482a1c99f2a9ea2                        	BQcDAAAAAQoKMTMwMTY3NzY4OQAAAAlfX3VwZGF0ZWQ=\n	1301684889
session:5622ad6319faf9609b2820e428a99b179c48f7e0                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAxNjc3NzAxAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMw\nMTY3NzcwMQAAAAlfX3VwZGF0ZWQ=\n	1301684901
session:58d1ce313702d9469004dd57c334d85a9f59855b                        	BQcDAAAAAQoKMTMwMTY3NzcwMQAAAAlfX3VwZGF0ZWQ=\n	1301684901
session:3c3526a82da6c6382f1be7dc12771229c9f87bf5                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTY2MTk0MgAAAAlfX3VwZGF0ZWQ=\n	1301669300
session:4a17aa305f3b439a9cd876d81c5de10fbd93d6a7                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAxNjc3NzIxAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMw\nMTY3NzcyMQAAAAlfX3VwZGF0ZWQ=\n	1301684921
session:26a0fa66b375e1e9b14fde90aa47583a5986f03f                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAxNjU5MDI1AAAACV9fdXBkYXRlZA==\n	1301669303
session:594da2c39ca4538b40e7571df37a7a43f0cb86aa                        	BQcDAAAAAQoKMTMwMTY3NzcyMQAAAAlfX3VwZGF0ZWQ=\n	1301684921
session:f877c0341098bcb6b77963e3d017e12a6358a0f7                        	BQcDAAAAAgoKMTMwMTY3Nzc0NgAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1301684946
session:b44ceb713b7251acca991528d3e4e808025b7cf5                        	BQcDAAAAAQoKMTMwMTY3Nzc0NgAAAAlfX3VwZGF0ZWQ=\n	1301684946
session:feb10353751ae28680e31481707d14c0519d01c4                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAxNjc3Nzc4AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMw\nMTY3Nzc3OAAAAAlfX3VwZGF0ZWQ=\n	1301684978
session:5708cbeb3c487ee9a1e2a5cae9b88a086411c92a                        	BQcDAAAAAQoKMTMwMTY3Nzc4MgAAAAlfX3VwZGF0ZWQ=\n	1301684981
session:479da003ebc6343b1fbf37d1da0494c26c79eb4c                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAxNjc3ODA4AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMw\nMTY3NzgwOQAAAAlfX3VwZGF0ZWQ=\n	1301685008
session:d34b39662d02c9a381fe20d4478ae32f5600d556                        	BQcDAAAAAQoKMTMwMTY3NzgwOQAAAAlfX3VwZGF0ZWQ=\n	1301685009
session:a4be29f347ed0ba2eec9dce7ac32d9f4b4702b49                        	BQcDAAAAAQoKMTMwMTY3ODAyMAAAAAlfX3VwZGF0ZWQ=\n	1301685220
session:cfaf01d80d569a1d007e97ecc72e576330f41e97                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAxNjc3OTQ0AAAACV9fdXBkYXRlZA==\n	1301685465
session:00f8c5e720a0000f7196b11e2d5f3565863b0968                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTY3ODAzMAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDE2\nNzgwMzAAAAAJX191cGRhdGVk\n	1301685230
session:5ded1895aa43ea72291a9d9e50c62cfd79dfc9a5                        	BQcDAAAAAQoKMTMwMTY3Nzg1MQAAAAlfX3VwZGF0ZWQ=\n	1301685300
session:a5517ec3e387a3c399208333d2f1ed9ff3072c06                        	BQcDAAAAAQoKMTMwMTY3ODAzMAAAAAlfX3VwZGF0ZWQ=\n	1301685230
session:93f22ed6181f8e8871f400804b396f0ff71b4d16                        	BQcDAAAAAQoKMTMwMTY3ODAzOAAAAAlfX3VwZGF0ZWQ=\n	1301685238
session:db496ea93ddbfa5804c71bb5ca6102d7da81c01d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGVsdG9uLnNhbnRvc0Bob3RtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMTg5Mzc1NDcAAAAJX191cGRhdGVk\n	1318944747
session:a067d3ffa3580f7bb09de72a06a2eaed3cadb2cc                        	BQcDAAAAAQoKMTMwMTg5ODYzNQAAAAlfX3VwZGF0ZWQ=\n	1301905835
session:21b59bde674f8918cf0781df073042d3bc1c6399                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMTg5ODc4MwAAAAlfX3VwZGF0ZWQ=\n	1301910772
session:4a0d93ccde251465d9c24dcc617ba7516eea8804                        	BQcDAAAAAQoKMTMwMTg5ODQwNwAAAAlfX3VwZGF0ZWQ=\n	1301905838
session:5c6bd849d9ef3741a2322e605f857a36e62d8f51                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU2Z\nxFoAAAAJX191cGRhdGVk\n	1301935881
session:3828e8390534790a91255854fbfdff357e409140                        	BQcDAAAAAQoKMTMxODkzNjc4OQAAAAlfX3VwZGF0ZWQ=\n	1318954901
session:1e36e7b0ddba15e2156db44c58e0c1406e9492b2                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nMjQ5NzUzAAAACV9fdXBkYXRlZA==\n	1311256953
session:5b30a01283470cb2ba0bffb666785f6e9e41ab72                        	BQcDAAAABAoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAlNmgpBAAAACV9fdXBkYXRlZA==\n	1301952424
session:c28b4ff3e53ea0c389a3a65f1fba77f4ff7e624b                        	BQcDAAAAAQlNmcT9AAAACV9fdXBkYXRlZA==\n	1301930269
session:70e53db4ac4fd022f5f9a80eb11862003440e4f6                        	BQcDAAAABAoEbGRhcAAAAAxfX3VzZXJfcmVhbG0JTZnIfwAAAAlfX2NyZWF0ZWQKDWNhcmxvcy5z\nYWJpbm8AAAAGX191c2VyCU2ZzokAAAAJX191cGRhdGVk\n	1301932748
session:bdf22d4d6219f9c52646fd6624fb3b50ef9fdf66                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2Z\nxR0AAAAJX191cGRhdGVk\n	1301930301
session:70b6190de8a03727b815dfd3204ca392ad36df81                        	BQcDAAAAAQoKMTMwNTAyNzUzOAAAAAlfX3VwZGF0ZWQ=\n	1305034738
session:b2a4c29e2057837bc104faf47b69232347ffbfcc                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCnBhdWxvLm5ldG8AAAAGX191c2VyCU2Z/ggA\nAAAJX191cGRhdGVk\n	1301946866
session:c8cbe4dcfe35c336c352e052648961e587c64e4b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwODA3NzQwOAAAAAlfX3VwZGF0ZWQ=\n	1308084958
session:d60233393e2feba937133a11afe153cba04b2ab1                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCnBhdWxvLm5ldG8AAAAGX191c2VyCU2Z2qwA\nAAAJX191cGRhdGVk\n	1301936033
session:1d1c09d95ccedb886880098f7ab4c158286925d3                        	BQcDAAAAAQoKMTMxODk2MDczMQAAAAlfX3VwZGF0ZWQ=\n	1318967939
session:778885289db0e11c82a12d6d63c2292ae98e05b6                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMTkyMzg4NwAAAAlfX3VwZGF0ZWQ=\n	1301942702
session:0b83c0ae40890cedda76b38286ea760c6930bca6                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU43BwMA\nAAAJX191cGRhdGVk\n	1312236323
session:7541531557cf89b38e6b7977426c7cdba6e131cc                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNTAyNzYyMAAAAAlfX3VwZGF0ZWQ=\n	1305034915
session:c959dda22b6021509d87c11efa2460190f7505eb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3U\nEowAAAAJX191cGRhdGVk\n	1305751528
session:9b10647aafd2f2cade3174accfa1762dbbad1203                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTEyNTAxOTcAAAAJX191cGRhdGVk\n	1311260247
session:3111f7aebcdc723f250a1bb0c2bf1ed75b0ee543                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTkwMzcyNwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDE5\nMDM3MjcAAAAJX191cGRhdGVk\n	1301910927
session:d2ecf200fb3fa57167cc4117a8afd2e6b7cbcbf0                        	BQcDAAAAAQoKMTMwMTkwMzcyOAAAAAlfX3VwZGF0ZWQ=\n	1301910928
session:22db3faea53bfbbe40f7ba42b34c803bfe19509b                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEmxlZGguc2RoQGdtYWlsLmNvbQAAAAZfX3Vz\nZXIKCjEzMDE5MDMyNjEAAAAJX191cGRhdGVk\n	1301915033
session:62fec71d5acc2a0cf8175526b8337a241212ac0d                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCnBhdWxvLm5ldG8AAAAGX191c2VyCU2bGR0A\nAAAJX191cGRhdGVk\n	1302020345
session:8c1b7dfa6d73693253f5bf956c532bff33aab2d5                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nmiDGAAAACV9fdXBkYXRlZA==\n	1301953766
session:20e9bb6c1ff40f260a7cfb88ca341789b88f037e                        	BQcDAAAABAoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMTkxOTY4OQAAAAlfX3VwZGF0ZWQ=\n	1301926890
session:9c089bbbc9fd2662413abbe5060074f68db9f83e                        	BQcDAAAAAQlNmxZCAAAACV9fdXBkYXRlZA==\n	1302017623
session:8b411f5c277d98507275e82cd35e8684a357907f                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2b\ncl8AAAAJX191cGRhdGVk\n	1302040191
session:a49897f9adc131dcb84a08a9a9c22fdff82f94a7                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nmxWtAAAACV9fdXBkYXRlZA==\n	1302016534
session:3380bcf4fc93fa930021b1887e9ef69adf66b97b                        	BQcDAAAAAQoKMTMwMjAxMjY4NwAAAAlfX3VwZGF0ZWQ=\n	1302019887
session:cfa7050e0c6b2047f7f3c4d78856eba3d5a0fca7                        	BQcDAAAAAQlNmwrvAAAACV9fdXBkYXRlZA==\n	1302013711
session:4f058d407ecdb2f7acedb270ac0e1e2bd4749c86                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTkwMzc3NwAAAAlfX3VwZGF0ZWQ=\n	1301911174
session:e2dad7979a4a103454c31ff119f80a7b07e7f532                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU2Z\n+LwAAAAJX191cGRhdGVk\n	1301943987
session:aa0902fc3a20a1cddacf558f048c06a2b7245eef                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMTk4ODUwNwAAAAlfX3VwZGF0ZWQ=\n	1301997790
session:791ea7b0034f96a509d60258c91bef3bc0a144a7                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2a\nJgcAAAAJX191cGRhdGVk\n	1301955111
session:a644a8fd16cedc7d932f5cacf5218b11bb01d1e6                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KGWl0YWx1c2Jvcmdlc0B5YWhvby5jb20uYnIA\nAAAGX191c2VyCgoxMzAyMDAxMTMzAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19m\nbGFzaAoKMTMwMjAwMTEzMwAAAAlfX3VwZGF0ZWQ=\n	1302008333
session:6815d4dcd5d6d80ef12704d9689d1168f826ae43                        	BQcDAAAABAoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCjEzMDIwMTM0NDkAAAAJX19jcmVhdGVkChFm\ncmFuY2lzY28uZWRpbHNvbgAAAAZfX3VzZXIKCjEzMDIwMTQzNzQAAAAJX191cGRhdGVk\n	1302021574
session:5921f7491786c5a1ed1c80a725c3d0086a840432                        	BQcDAAAABAoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMTkwNDI2NwAAAAlfX3VwZGF0ZWQ=\n	1301911468
session:c4fbb30672b08b6cae765a1643c7e020424f7667                        	BQcDAAAABAoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAlNm1CqAAAACV9fdXBkYXRlZA==\n	1302031621
session:bd07ef732031e66bc37c88659e142d99a49817d7                        	BQcDAAAAAQoKMTMwMjAwMTUzOQAAAAlfX3VwZGF0ZWQ=\n	1302008739
session:e83e6afc5ab9a22c45445f2444b852b967d66eb3                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2b\nU1oAAAAJX191cGRhdGVk\n	1302037575
session:a50aff8a16dd84af08b74bca746c8c4ad4c31151                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzAx\nOTkxNDM0AAAACV9fdXBkYXRlZA==\n	1301998634
session:5ff5024bd7807437210b72bc89a4bfda5c8ce7f2                        	BQcDAAAAAQoKMTMwMTk5ODkxMQAAAAlfX3VwZGF0ZWQ=\n	1302006118
session:644f3c8a9c9448aacb6ae04c4b4930dfd97366ac                        	BQcDAAAAAQoKMTMwMTk4MjY2MQAAAAlfX3VwZGF0ZWQ=\n	1301989862
session:92ec2d20d6f02eb502f053db8c1c2bd0b428ab6f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDGNsYXVkaW8ubWFpYQAAAAZfX3VzZXIKCjEz\nMDIwMzI0OTkAAAAJX191cGRhdGVk\n	1302039883
session:2e18e77485ddf83a59cfafd7058b36224721616f                        	BQcDAAAAAQlNyYMUAAAACV9fdXBkYXRlZA==\n	1305059125
session:4fbda44bf75be94a023d9455a5c81d1f794d752c                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzAy\nMDAxNTc1AAAACV9fdXBkYXRlZA==\n	1302010930
session:0d577f84ef2647cb4812f513edd7c9b1e0c4a24a                        	BQcDAAAAAQoKMTMwMjAwMTA4MwAAAAlfX3VwZGF0ZWQ=\n	1302008283
session:9c080ff47ac6d5e704849da31384d81037513c0b                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KGWl0YWx1c2Jvcmdlc0B5YWhvby5jb20uYnIA\nAAAGX191c2VyCgoxMzAyMDAxMTExAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19m\nbGFzaAoKMTMwMjAwMTExMQAAAAlfX3VwZGF0ZWQ=\n	1302008311
session:371037c892185488490d177f0a674a5f95b46d51                        	BQcDAAAAAQoKMTMwMjAwMTExMgAAAAlfX3VwZGF0ZWQ=\n	1302008312
session:acb14d079d655ca362940402a860cf01fb41380b                        	BQcDAAAAAQoKMTMwMjAwMTEzNAAAAAlfX3VwZGF0ZWQ=\n	1302008334
session:7f0c5c27c9e4f2d32a8ded76f7114a116a3dff3c                        	BQcDAAAAAQoKMTMxMTI1MTgyOQAAAAlfX3VwZGF0ZWQ=\n	1311259029
session:520d3f451e18fc93dcd48546b89f40a2622318c6                        	BQcDAAAAAQoKMTMwMjAwMTIxOAAAAAlfX3VwZGF0ZWQ=\n	1302008419
session:eca1f6473237544f835d62f18d7ea65f6bb55ba3                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KGWl0YWx1c2Jvcmdlc0B5YWhvby5jb20uYnIA\nAAAGX191c2VyCgoxMzAyMDAxNTM4AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19m\nbGFzaAoKMTMwMjAwMTUzOAAAAAlfX3VwZGF0ZWQ=\n	1302008738
session:5fc74befaa4bdb40d2c0a8481affa299e562de5a                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAyMDAyOTM0AAAACV9fdXBkYXRlZA==\n	1302010186
session:2864f876ce50c9fd58a2691fec5ffb6dafb6244a                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjAwODE3MQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDIw\nMDgxNzEAAAAJX191cGRhdGVk\n	1302015372
session:713c7a2cd4beacd9bab5abe203896a293c6eb1f3                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAyMDY4MDc2AAAACV9fdXBkYXRlZA==\n	1302075564
session:f6115cd34dcf9a91987d0c2aa53be652b42d63ff                        	BQcDAAAAAQoKMTMxMjI4Mjc3MgAAAAlfX3VwZGF0ZWQ=\n	1312289972
session:962c780bd9941450d47f0fabcf8f36043062ae29                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU33\nskoAAAAJX191cGRhdGVk\n	1308085866
session:17d1df08a924c098b64a5eb4cfd40ed3374048e5                        	BQcDAAAAAQoKMTMxODk0MTY5NAAAAAlfX3VwZGF0ZWQ=\n	1318948894
session:c9320e2737632e054ebd48ed26ea191425a2c462                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQZ\nAAAAAAEKDXhzZF9kdXBsaWNhZG8CAAAABGVycm8AAAAHX19mbGFzaAoKMTMxMTI1Mzk1OAAAAAlf\nX3VwZGF0ZWQ=\n	1311261158
session:c2c8016d1d45d884221f59d340859eb64c6845a9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3b\n9P4AAAAJX191cGRhdGVk\n	1306273469
session:46db4f5f8b4d0f5dc1ac5130fca620dc20044caf                        	BQcDAAAAAQoKMTMxODM1MTU4MwAAAAlfX3VwZGF0ZWQ=\n	1318363248
session:59160b332a3dde4221cffe9d340b8903b7a8faba                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjAwNDcwMgAAAAlfX3VwZGF0ZWQ=\n	1302011902
session:cea540bc5d0eeac69a0d6d9e0f897e4490c33cd6                        	BQcDAAAAAQoKMTMxMTcwODA0OQAAAAlfX3VwZGF0ZWQ=\n	1311715249
session:daa3d6bb0021d2fccbb29d24ac2c0df108a23236                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA1MDI3NTU0AAAACV9fdXBkYXRlZA==\n	1305035390
session:b20f4ef21566c65dc98bd860dcbd7a2e78d6cf49                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMxODM1Mjk0MAAAAAlfX3VwZGF0ZWQ=\n	1318364570
session:eff93c4cbf99ca79c0699e2f2ad6abb1028d511e                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAwODc2MQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMDg3NjEAAAAJX191cGRhdGVk\n	1302015961
session:cf94e2df644ce9d76b5b1d237fdd3973068628f0                        	BQcDAAAAAQoKMTMwMjAwODc2MgAAAAlfX3VwZGF0ZWQ=\n	1302015962
session:79e50e6b1b0f3282eff4dd74bd25fb320737473c                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAwODc4MAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMDg3ODAAAAAJX191cGRhdGVk\n	1302015980
session:85518193e1b3fa2552f9762736efa3f5639b2fa9                        	BQcDAAAAAQoKMTMwMjAwODc4MQAAAAlfX3VwZGF0ZWQ=\n	1302015981
session:1a2c7f1d24cb67f351420043b419151deca45576                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAwODgwNQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMDg4MDUAAAAJX191cGRhdGVk\n	1302016005
session:3e5b982d06983a02248107c194d810261643e190                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2b\ncfUAAAAJX191cGRhdGVk\n	1302040097
session:62df08ee7bc35f0c74935f9a7e5d54c5abe7e65b                        	BQcDAAAAAQoKMTMwMjAwODgwNQAAAAlfX3VwZGF0ZWQ=\n	1302016005
session:d39abb9a15a453b8b48f92bdd891787de52cf054                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAwODgzNgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMDg4MzYAAAAJX191cGRhdGVk\n	1302016036
session:f5aa039248cba00a563d6020de84ae61c10e90d5                        	BQcDAAAAAQoKMTMwMjAwODgzNgAAAAlfX3VwZGF0ZWQ=\n	1302016036
session:f478101149a328bd9f31616b06c2c1edcc56f945                        	BQcDAAAAAQoKMTMwMjAwOTI0OAAAAAlfX3VwZGF0ZWQ=\n	1302016448
session:11b29858919c9c3c6c619e54be94cb756c0b9e0b                        	BQcDAAAAAQoKMTMwMjAwOTM4NAAAAAlfX3VwZGF0ZWQ=\n	1302016584
session:d2918f0476b8706d95bb9c2695925a38817a51f3                        	BQcDAAAAAgoKMTMwMjAwOTM1NwAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1302016557
session:136ddd0bae08fec2d117026ac76b181d3e94bbc5                        	BQcDAAAAAQoKMTMwMjAwOTM1NwAAAAlfX3VwZGF0ZWQ=\n	1302016557
session:10949b7f29c9a28442bcfb3e00aa390d78fc0307                        	BQcDAAAAAQoKMTMwMjAwODY3MwAAAAlfX3VwZGF0ZWQ=\n	1302015874
session:9e6e0f4167af2094f38550b76ebd1e540ee174cf                        	BQcDAAAAAQoKMTMwMjAwODcwNwAAAAlfX3VwZGF0ZWQ=\n	1302015907
session:12a326bafd7a0948a108d77ee1433bd20bcd3d5d                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAwOTExNQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMDkxMTUAAAAJX191cGRhdGVk\n	1302016315
session:e7ac569b1cb2881cd56557887940f2ab3825eec6                        	BQcDAAAAAQoKMTMwMjAwOTExNgAAAAlfX3VwZGF0ZWQ=\n	1302016316
session:9a7e9ffa5853cd477e92768c4eb580e9c6ef7243                        	BQcDAAAAAgoKMTMwMjAwOTEyNwAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1302016327
session:6523504f064a22ea4e29083574d5d55edeb91560                        	BQcDAAAAAQoKMTMwMjAwOTEyNwAAAAlfX3VwZGF0ZWQ=\n	1302016327
session:6d33513b1223c6336c645c8c2ce849401f63d9e6                        	BQcDAAAAAgoKMTMwMjAwOTM2OQAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1302016569
session:91be63813a8b62b4b929b9675342d5e0b200080b                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAwOTEzOQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMDkxMzkAAAAJX191cGRhdGVk\n	1302016339
session:6a1f49210522f2499948e786183214f82280f81b                        	BQcDAAAAAQoKMTMwMjAwOTEzOQAAAAlfX3VwZGF0ZWQ=\n	1302016339
session:d54fa2b372452426a7fbfeee6deecdfb838aa634                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAwOTE5NgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMDkxOTYAAAAJX191cGRhdGVk\n	1302016396
session:8e59b3fbd7862350a264986af9c140bf7d124a32                        	BQcDAAAAAQoKMTMwMjAwOTE5NgAAAAlfX3VwZGF0ZWQ=\n	1302016396
session:10d512d0b303799653107a710fc3e4cb9cfe2349                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAwOTI0OAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMDkyNDgAAAAJX191cGRhdGVk\n	1302016448
session:3fa53351aefb9d2e974940fa5a01830c82c77ed3                        	BQcDAAAAAQoKMTMwMjAwOTM3MAAAAAlfX3VwZGF0ZWQ=\n	1302016569
session:f6fdee3ce852fda6320e42a0789af2cc45b4c3a6                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAwOTM5NQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMDkzOTUAAAAJX191cGRhdGVk\n	1302016595
session:948a13c807b0d6edb1934ede8519ce8045fe2914                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAxMTQxMAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMTE0MTAAAAAJX191cGRhdGVk\n	1302018610
session:c5efe4f51c384b960f1ff7b7a10cd93f53cacc8c                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAwOTM4MwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMDkzODMAAAAJX191cGRhdGVk\n	1302016583
session:a2b56647f608679119a08198f54b2c43e0140bca                        	BQcDAAAAAQoKMTMwMjAwOTM5NQAAAAlfX3VwZGF0ZWQ=\n	1302016595
session:e7ea616b94e2ab046e3505112975d6daa9847cc1                        	BQcDAAAAAQoKMTMwMjAxMTQxMQAAAAlfX3VwZGF0ZWQ=\n	1302018611
session:3eca0ff08ce1e1f47f63f5ad703c20592be44ae2                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCnBhdWxvLm5ldG8AAAAGX191c2VyCU2bdwQA\nAAAJX191cGRhdGVk\n	1302041627
session:9d67c6cacfcbbecad941ff96f675ec6b99f369aa                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAxMTQzMgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMTE0MzIAAAAJX191cGRhdGVk\n	1302018632
session:fb926d0ebdffb00866ef963e0bdbec6e5873cff3                        	BQcDAAAAAQoKMTMwMjAxMTQzMgAAAAlfX3VwZGF0ZWQ=\n	1302018632
session:1292535e509a7080fe268a0c5d767ab5efd04a60                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjAxMTUxNAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwMTE1MTQAAAAJX191cGRhdGVk\n	1302018714
session:42da32977a84e3f6a863cfd1c6e0867520a8c675                        	BQcDAAAAAQoKMTMwMjAxMTUxNAAAAAlfX3VwZGF0ZWQ=\n	1302018714
session:9508a747e5801d15e3a6c93f58d0da5818bf0ace                        	BQcDAAAAAQoKMTMxNjUyMzc3MwAAAAlfX3VwZGF0ZWQ=\n	1316530974
session:70513248506193d149f0cfe49cfbf5ae0ccc1b94                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzA2MjQwODA4AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFz\naAoKMTMwNjI0MDgwOAAAAAlfX3VwZGF0ZWQ=\n	1306248008
session:01f7789afe6df25b9fdd53cc06027a1e9cf7825d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEmxlZGguc2RoQGdtYWlsLmNvbQAAAAZfX3Vz\nZXIKCjEzMDU4OTE5NzUAAAAJX191cGRhdGVk\n	1305899283
session:465e2cbb1e5fc6ad4b1f36374fd20f153f8dad8c                        	BQcDAAAAAQoKMTMwNjI0MDgwOAAAAAlfX3VwZGF0ZWQ=\n	1306248008
session:f27d470cd03e21bff7a5d436b25b8d7e654e89fa                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU3U\nGHYAAAAJX191cGRhdGVk\n	1305752726
session:900e0289e61a0b4a481d48ebabee12762dfc73a3                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjQwODYwAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI0MDg2\nMAAAAAlfX3VwZGF0ZWQ=\n	1306248060
session:b51169621a4d4ab2f9aba6dc9ea52978c624b98c                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjQwODczAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI0MDg3\nMwAAAAlfX3VwZGF0ZWQ=\n	1306248073
session:c9fd9932ef5786a9cf4ef8d58d4faea775606124                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFG5yaXBhcmRvQGhvdG1haWwuY29tAAAABl9f\ndXNlcgoKMTMwNjIzNzEzNAAAAAlfX3VwZGF0ZWQ=\n	1306244454
session:0efda631353e898e2fa0c4cc031459dfec8f3c00                        	BQcDAAAAAQoKMTMwNjI0MDg3NAAAAAlfX3VwZGF0ZWQ=\n	1306248074
session:711de0f2f05754c11304abc8610386a1cbdf7cd3                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjQxMzE5AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI0MTMx\nOQAAAAlfX3VwZGF0ZWQ=\n	1306248519
session:40487a6cf6af0793631a32916915be69c8713695                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2cpx0A\nAAAJX191cGRhdGVk\n	1302119264
session:b33deb74a6d42f2e44c5f4f91a7df712c4cf311a                        	BQcDAAAAAQoKMTMwNjI0MTMxOQAAAAlfX3VwZGF0ZWQ=\n	1306248519
session:99c9db5b2a219cc75cf5225fe1a99175a71fd617                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2c\nwd8AAAAJX191cGRhdGVk\n	1302126079
session:e727904f3165559e5c873c0049db7eebac9ad86d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMxODk0NDY2MwAAAAlfX3VwZGF0ZWQ=\n	1318953427
session:1a81a442794d1264a25622a68d20c57442e1ad54                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nyZF5AAAACV9fdXBkYXRlZA==\n	1305062986
session:c55af7fffed78ba2da0671a297737c7504ea0b10                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjQxOTExAAAACV9fdXBkYXRlZA==\n	1306249459
session:08999be2608ecd91303375cba158b69228936703                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA2MjQyMDMyAAAACV9fdXBkYXRlZA==\n	1306249995
session:6a8a320e09bab90605241b18b24c40ab0e1d9d6e                        	BQcDAAAAAQoKMTMxMjU3MzU3MgAAAAlfX3VwZGF0ZWQ=\n	1312580773
session:ce3b20c4ca41fca6877ea151040dfc7bf40e6645                        	BQcDAAAAAQoKMTMwMjA4NTMxOAAAAAlfX3VwZGF0ZWQ=\n	1302092518
session:b15c6a340b328bb179ecceefaddf572a97f03e62                        	BQcDAAAAAQoKMTMwMjA4NTA3NwAAAAlfX3VwZGF0ZWQ=\n	1302092277
session:bc90bc73ee56faae607b7d00bf7201dbf345c747                        	BQcDAAAAAQoKMTMwMjA4NTcwNQAAAAlfX3VwZGF0ZWQ=\n	1302092905
session:d7fddc3f2783a2028afeebdb64c3dc7a37ce710f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2c\nk6cAAAAJX191cGRhdGVk\n	1302114257
session:af494e77e1e2bb499e18995a289ced10de611379                        	BQcDAAAAAQoKMTMwMjA4MjYzNQAAAAlfX3VwZGF0ZWQ=\n	1302089835
session:a8eea93318229c58e163d22c8fab7520928cf7c9                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4NTA5MgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODUwOTIAAAAJX191cGRhdGVk\n	1302092292
session:07cdb17bf3472df793045915acf84ac2fd2cd47c                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4MjY2MQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODI2NjEAAAAJX191cGRhdGVk\n	1302089861
session:5f730561073d81d78820937655d7ed5c0995440f                        	BQcDAAAAAQoKMTMwMjA3NDIzNQAAAAlfX3VwZGF0ZWQ=\n	1302081438
session:7ab37307f7d804860bf6ee29744fc9df76b1a01d                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzAy\nMDc0MTU3AAAACV9fdXBkYXRlZA==\n	1302081511
session:a46fbf6de6a2e5777893b91f373739f66d6d59c0                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjA3NTMxNQAAAAlfX3VwZGF0ZWQ=\n	1302082515
session:7aa05b8ee7a422496ee759a187cfca929dec5276                        	BQcDAAAAAQoKMTMwMjA4MjMyNwAAAAlfX3VwZGF0ZWQ=\n	1302089527
session:4d2433bb2a3044d0c37a0bc7cf68884399e481fc                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4MjM0OQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODIzNDkAAAAJX191cGRhdGVk\n	1302089549
session:80e09ffe19e5c1267bd8bbdd0aa11acf40f7a4c4                        	BQcDAAAAAQoKMTMwMjA3NDA5MQAAAAlfX3VwZGF0ZWQ=\n	1302081291
session:a66bd11fa9c2282678f8c57a6b5aab25b9d358ba                        	BQcDAAAABAoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAlNnH/RAAAACV9fdXBkYXRlZA==\n	1302109318
session:92f8b5dc436425a2294681509dc5a2bd4c24106e                        	BQcDAAAAAQoKMTMwMjA4MjM1MAAAAAlfX3VwZGF0ZWQ=\n	1302089550
session:aaf0527c5ab67f2373887a9563650e7bbe9f0ef0                        	BQcDAAAAAQoKMTMwMjA4MjY2MQAAAAlfX3VwZGF0ZWQ=\n	1302089861
session:6718e080f8d60355fb9f3e0dab8aa8f90a8a5183                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAyMDc3MzUyAAAACV9fdXBkYXRlZA==\n	1302084552
session:9923fbaa082fed7c3bc2f72fc055abfad9ca16e1                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4MjY3NAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODI2NzQAAAAJX191cGRhdGVk\n	1302089874
session:cbeaa6fa0afcf8dd368a0b21ed5f9e777d3240ca                        	BQcDAAAAAQoKMTMwMjA4MjY3NQAAAAlfX3VwZGF0ZWQ=\n	1302089875
session:b7e5b24a489a1bb095fba21ccebb9304545d96be                        	BQcDAAAAAQoKMTMwMjA4NTA5MwAAAAlfX3VwZGF0ZWQ=\n	1302092293
session:32034b9b6ecaced0536b93523289a72892318033                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4MjY4NwAAAAlfX3VwZGF0ZWQ=\n	1302089887
session:bfc3f59e14c96391d0a16c67eac92bc93c06f080                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4Mjc0NwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODI3NDcAAAAJX191cGRhdGVk\n	1302089947
session:2e815d9f99b4964a95772c5f3fa7c734d6f30e5b                        	BQcDAAAAAQoKMTMwMjA4Mjc0NwAAAAlfX3VwZGF0ZWQ=\n	1302089947
session:baee7098efd8fe8d66b977f45cadd9f6983a8d62                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjA5MDMzOQAAAAlfX3VwZGF0ZWQ=\n	1302098360
session:fdadd54989abceb1d761fef830628693ec256aff                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjEwMjEzNAAAAAlfX3VwZGF0ZWQ=\n	1302114960
session:8019878a6ad4c4c8e0b9ff91bc252d889df67f78                        	BQcDAAAAAQoKMTMwNTAzMDMxNAAAAAlfX3VwZGF0ZWQ=\n	1305037511
session:a9af84c7a199c29fcf7d3c8a9f578ce59c285ea7                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4NTQzMAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODU0MzAAAAAJX191cGRhdGVk\n	1302092630
session:241b307f5ae10453b11413f87484a4d0f66fcd35                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjA4NTE2NgAAAAlfX3VwZGF0ZWQ=\n	1302092366
session:85dd39b852627ae70cf9f9cfa6e2d52edd2a9111                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4NTMxOAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODUzMTgAAAAJX191cGRhdGVk\n	1302092518
session:c94c1ced7c3b45864280d4e7f0e9d3e54fc0b5bc                        	BQcDAAAAAQoKMTMwMjA4NTQzMAAAAAlfX3VwZGF0ZWQ=\n	1302092630
session:e830f501f1db4b60a0606a61e8c7109833be1a8c                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4NTcwNAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODU3MDQAAAAJX191cGRhdGVk\n	1302092904
session:d205e7dcba2df638e3e3aca6a3029052dbbfb6f1                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4NTczNwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODU3MzcAAAAJX191cGRhdGVk\n	1302092937
session:e1ecfef725e43515c1ade7d14443b893191d6a19                        	BQcDAAAAAQoKMTMwMjA4NTczOAAAAAlfX3VwZGF0ZWQ=\n	1302092938
session:3207d05600e9f53335e1283b3770fde17cff2cbd                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4NTc2OAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODU3NjgAAAAJX191cGRhdGVk\n	1302092968
session:2146c797c77f98148e59ea0aa48fce55f75309c1                        	BQcDAAAAAQoKMTMwMjA4NTc2OAAAAAlfX3VwZGF0ZWQ=\n	1302092968
session:d083e226162ae52bf7e2ddf545a6cbdf9b7a6ddb                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4NjYyMwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODY2MjMAAAAJX191cGRhdGVk\n	1302093823
session:0eb97fe28ac6877fc518d668a08394fc436c1f7f                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4NTgwOQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODU4MDkAAAAJX191cGRhdGVk\n	1302093009
session:3a86f7ce8308461ac2dbc9bb0336c81a29e27de8                        	BQcDAAAAAQoKMTMwMjA4NTgwOQAAAAlfX3VwZGF0ZWQ=\n	1302093009
session:1fd3e1a11435b7a2d514c0eceb07ccb6f3c54e85                        	BQcDAAAAAgoKMTMwMjA4NjgxMgAAAAlfX2NyZWF0ZWQKCjEzMDIwOTM5NTYAAAAJX191cGRhdGVk\n	1302101156
session:c17b82fb71eee4ebaf5586253d20172b6d4a1baa                        	BQcDAAAAAQoKMTMwMjA5MTk4MwAAAAlfX3VwZGF0ZWQ=\n	1302102504
session:c50c441657fa6a8fee95df370f0dd293d13033f2                        	BQcDAAAAAQoKMTMwNjIyMzg4OQAAAAlfX3VwZGF0ZWQ=\n	1306231089
session:d4c1701d537c41675a96b986b15d73b7d2b5bd40                        	BQcDAAAAAgoKMTMwNjIyMzg5MgAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1306231092
session:6a05cded60cc539093e73fe827f6d811f2dc5aff                        	BQcDAAAAAQoKMTMwNjIyMzg5MwAAAAlfX3VwZGF0ZWQ=\n	1306231093
session:507ce4aa3469718d4c3d3119cdc17d021ee13d41                        	BQcDAAAAAQoKMTMxMjgwMzk1OAAAAAlfX3VwZGF0ZWQ=\n	1312811157
session:036ebae5271c54965d00036eb6f9cee5b9f0e56e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGVsdG9uLnNhbnRvc0Bob3RtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMTg5NDUyOTIAAAAJX191cGRhdGVk\n	1318952492
session:8c2e4f6d14f5614acc6e786408613d7f3a7b975d                        	BQcDAAAAAQoKMTMwODA3OTAyMwAAAAlfX3VwZGF0ZWQ=\n	1308086223
session:c4df42a336ddb16e2556f4482aebc41ad63debfa                        	BQcDAAAAAQoKMTMxMTc3NjM2NgAAAAlfX3VwZGF0ZWQ=\n	1311783567
session:fb274a9918b02df00d6e20b14bf0fd10e875e0c8                        	BQcDAAAAAQoKMTMxMTc3Njg0NgAAAAlfX3VwZGF0ZWQ=\n	1311784046
session:5db447500fd791fb4a07317a0608ab50f17f905b                        	BQcDAAAAAQoKMTMxMDU4MjQ4OQAAAAlfX3VwZGF0ZWQ=\n	1310589690
session:2390aec01952b02869c941b76987a6920fa4caf6                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3KmhYA\nAAAJX191cGRhdGVk\n	1305131279
session:f20f6c4b6d232cd5060f03b7e3b4c87750161ebf                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nMjU4NDc3AAAACV9fdXBkYXRlZA==\n	1311265677
session:f7ac638c0bb2238e20890759a301aa13e6d046eb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNpbnRpYXZlbmRhc0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE4MzU1ODIzAAAACV9fdXBkYXRlZA==\n	1318363212
session:5fdfc36e75535a215ee1d42039a6f4d9e115036f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDGNsYXVkaW8ubWFpYQAAAAZfX3VzZXIKCjEz\nMTg5NDYzOTEAAAAJX191cGRhdGVk\n	1318953883
session:0f2be768587ed025de3cea3f898c841fec16f345                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU2c\noMwAAAAJX191cGRhdGVk\n	1302117612
session:ff27299aba878258b995d552b9bad3121d8cf9ed                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMjExODg5MgAAAAlfX3VwZGF0ZWQ=\n	1302126330
session:c2626b7279a0730292158c8d5de7a34df615d826                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMTc3Njk0NgAAAAlfX3VwZGF0ZWQ=\n	1311784165
session:7f8708b26fd8275929b57607cebe64bcb0ecc3ed                        	BQcDAAAAAQlN072tAAAACV9fdXBkYXRlZA==\n	1305729486
session:eea17e301f0287652261613ddd85392a712df59d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTA1ODM0NDMAAAAJX191cGRhdGVk\n	1310590791
session:30c2d6f4fa5ed370c8a1c7323a3e5db625aa5df1                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU3U\nGQ8AAAAJX191cGRhdGVk\n	1305754384
session:af566e042e5c7ebedf9c81b2796284c8fadc2875                        	BQcDAAAAAQoKMTMxODk2NzYyMwAAAAlfX3VwZGF0ZWQ=\n	1318974824
session:499ac0c93f1bcbf3ffe18f7ac57dec9c4044f974                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF2FkcmlhbmFnb2VzMDFAZ21haWwuY29tAAAA\nBl9fdXNlcgoKMTMxMDU4NTIwNwAAAAlfX3VwZGF0ZWQ=\n	1310592407
session:773deae47be1df597e1c6c307e656f2f7a672938                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA1\nMDk5MzQyAAAACV9fdXBkYXRlZA==\n	1305106617
session:9236853718333ec0d44706f0fcd9624f992033db                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFG1lbGluYWJyaXRAZ21haWwuY29tAAAABl9f\ndXNlcgoKMTMxMTI2NzY1MgAAAAlfX3VwZGF0ZWQEGQAAAAABCu1Db3VsZG4ndCByZW5kZXIgdGVt\ncGxhdGUgInVuZGVmIGVycm9yIC0gZXJyb3IgYXQgU0ViZWdpbjogU0VETkEgTWVzc2FnZTogRVJS\nT1IgU0UzMDI5ClRoaXMgZnVuY3Rpb24gY2FsbCBpcyBwcm9oaWJpdGVkIGFzIHRoZSBjb25uZWN0\naW9uIGlzIGluIHRoZSBhdXRvY29tbWl0IG1vZGUuIGF0IC91c3IvbG9jYWwvbGliL3BlcmwvNS4x\nMC4xL01vb3NlL01ldGEvTWV0aG9kL0RlbGVnYXRpb24ucG0gbGluZSAxMDguCiIAAAAABGVycm8A\nAAAHX19mbGFzaA==\n	1311274852
session:f653d3f6d1f1bfa2f38930f1327216b5d4ae1122                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyBAMA\nAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCU3Wu/EAAAAJX191cGRhdGVk\n	1305925668
session:38118ffaf922b1e8ac786f069ff052304ae8b334                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3U\nGTsAAAAJX191cGRhdGVk\n	1305760660
session:ed65b90512afaa2b06cd23bd4e60d4da2b6793c0                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU33um8A\nAAAJX191cGRhdGVk\n	1308087966
session:023e3231879bd8376abb83a3591daf44d2708435                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4NjkwMgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODY5MDIAAAAJX191cGRhdGVk\n	1302094102
session:2407ce3b50c0a99d1a49120df7e04db5c72573da                        	BQcDAAAAAQoKMTMwMjA4NjkwMgAAAAlfX3VwZGF0ZWQ=\n	1302094102
session:d945157eeecc962e5b1ab916ead115bf29edb6c4                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4NzAwMwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODcwMDMAAAAJX191cGRhdGVk\n	1302094203
session:a3ea613ead9054ff2e21db1a5a37fdac19308a4b                        	BQcDAAAAAQoKMTMwMjA4NzAwNAAAAAlfX3VwZGF0ZWQ=\n	1302094203
session:24026eae18bddfcc8823de8280d4c9c271d0b4f1                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4NzA5NQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODcwOTUAAAAJX191cGRhdGVk\n	1302094295
session:c227ad0eaf0b1ed649cc6386e6220a9cea729efc                        	BQcDAAAAAQoKMTMwMjA4NzA5NgAAAAlfX3VwZGF0ZWQ=\n	1302094295
session:619a3679886e394eec86bd9ba32b29e1d5722e9f                        	BQcDAAAAAQlNnKp7AAAACV9fdXBkYXRlZA==\n	1302120091
session:dc0422e9d3d47972cfd45c63759eef58a62ff13a                        	BQcDAAAAAgoKMTMwMjA4ODQ3NwAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1302095677
session:763b8148f7f96714bb204f90a9b9e7c3b9df6fa8                        	BQcDAAAAAQoKMTMwMjA4ODQ3NwAAAAlfX3VwZGF0ZWQ=\n	1302095677
session:fbe2ad223e8c23d87644d61ec8f7769dff3ecd6e                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4ODcyOAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODg3MjgAAAAJX191cGRhdGVk\n	1302095928
session:222fb7f0c18ef4315d2a09c1ddee33768e6dc31c                        	BQcDAAAAAQoKMTMwMjA4ODcyOAAAAAlfX3VwZGF0ZWQ=\n	1302095928
session:f9ec95ac7f029ebfc8b987795111162247f81c2b                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA5MDM5NgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwOTAzOTYAAAAJX191cGRhdGVk\n	1302097596
session:c645af4df658df5b3b6db6464bb1de7e01a4a350                        	BQcDAAAAAQoKMTMwMjA5MDM5NwAAAAlfX3VwZGF0ZWQ=\n	1302097597
session:b25b37f34e6c12c218716a3dcf3f5fa3952cd5fa                        	BQcDAAAAAQoKMTMwMjA5MTUxNwAAAAlfX3VwZGF0ZWQ=\n	1302098717
session:5f9d563af8cc4eb4be97c9a81ff071ff33968dbf                        	BQcDAAAAAQoKMTMwMjA5MjAxNgAAAAlfX3VwZGF0ZWQ=\n	1302099216
session:ab869179715fadf313ff679b04cfd593bc1463df                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nnLb8AAAACV9fdXBkYXRlZA==\n	1302123356
session:27138a18089d90906b06ca4cdd92c6b6149b152d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nnLZdAAAACV9fdXBkYXRlZA==\n	1302123217
session:6db82d454583afe25542882637a82f191f3d2fab                        	BQcDAAAAAQoKMTMwNjI0MDkzMgAAAAlfX3VwZGF0ZWQ=\n	1306248132
session:609c43de2c7dee70909f2d8751d53698549ca17d                        	BQcDAAAAAwoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzAyMDg5MDYxAAAACV9fdXBkYXRlZA==\n	1302096462
session:6fce9b3336a94595312b6062ab99c5c6dc334b16                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA4OTkyNgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwODk5MjYAAAAJX191cGRhdGVk\n	1302097126
session:33c5abad6c8f7ee615ade2e65b86a18a4ad1525c                        	BQcDAAAAAQoKMTMwMjA4OTkyNgAAAAlfX3VwZGF0ZWQ=\n	1302097126
session:f88ecbaf68d2bba84b2995e1d1a47d6ba2cc7008                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA5MDI4OAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwOTAyODgAAAAJX191cGRhdGVk\n	1302097488
session:ce1a17dafbab9fb4d4249d47f1abf187f6c56daf                        	BQcDAAAAAQoKMTMwMjA5MDI4OAAAAAlfX3VwZGF0ZWQ=\n	1302097488
session:9fb90907f502b71bb35f6b04094018851198648f                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA5MDM3OQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwOTAzNzkAAAAJX191cGRhdGVk\n	1302097579
session:9c19c4545cc54771548858c1ccb0476cb76e2901                        	BQcDAAAAAQoKMTMwMjA5MDM3OQAAAAlfX3VwZGF0ZWQ=\n	1302097579
session:557e1ca1eca1c596358d4f6ea27aea5dbd1265e6                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA5MTcwOQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwOTE3MDkAAAAJX191cGRhdGVk\n	1302098909
session:eca087e48e680c6add723a4924eac0fc6e361a3b                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAlNnLZQAAAACV9fdXBkYXRlZA==\n	1302123121
session:5c5a09480abc9e0afb9d8f9385028ab117046f5f                        	BQcDAAAAAQoKMTMwMjA5MTcxMAAAAAlfX3VwZGF0ZWQ=\n	1302098910
session:b6c8da159961c324b6c0bb0b3c2292cbb2bf4fe7                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA5MjYwMAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwOTI2MDAAAAAJX191cGRhdGVk\n	1302099800
session:da67031791ce0c682e352e7daabe6928538cda76                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA5MTUxNgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwOTE1MTYAAAAJX191cGRhdGVk\n	1302098716
session:b8c17ae40b6289a65ae31da2b857fe02e3279709                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA5MjAxNgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwOTIwMTYAAAAJX191cGRhdGVk\n	1302099216
session:cf2c655099dd51ca1b091ee3fea77cdea42d69d4                        	BQcDAAAAAQoKMTMwMjA5MjYwMAAAAAlfX3VwZGF0ZWQ=\n	1302099800
session:a8b5779c6f5ecc1656d6c33cda111414e8a1f694                        	BQcDAAAABQoEbGRhcAAAAAxfX3VzZXJfcmVhbG0KF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjA5MjcwMQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIwOTI3MDEAAAAJX191cGRhdGVk\n	1302099901
session:cc6157a45d56c373848d75838d8e0cc131933ff3                        	BQcDAAAAAQoKMTMwMjA5MjcwMgAAAAlfX3VwZGF0ZWQ=\n	1302099902
session:915907d618baef15aa834d4b353ca8d8675aa2ab                        	BQcDAAAAAQoKMTMwMjEwMTA2MQAAAAlfX3VwZGF0ZWQ=\n	1302108261
session:9cf2b704641ee251e16af0735f8d0d40acf11555                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjA5NDQ0MgAAAAlfX3VwZGF0ZWQ=\n	1302101721
session:19dcf3bb515b89f402fd538ca8c101db2a2e7df0                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nnfxhAAAACV9fdXBkYXRlZA==\n	1302206749
session:8a148eb644333c98177d48d932c3468d6b32c07a                        	BQcDAAAAAQoKMTMwODA4MjQzMAAAAAlfX3VwZGF0ZWQ=\n	1308089627
session:28d4a09cec2e13bc42f45a541a52d0e9fa2e7d40                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjEyMzAyNwAAAAlfX3VwZGF0ZWQ=\n	1302130227
session:26b25060dc895d21781b6ac536308bc3a572f1ca                        	BQcDAAAAAQoKMTMwMjE1Mjk0NAAAAAlfX3VwZGF0ZWQ=\n	1302160144
session:f7a60845ecd4845b44b72cd2f0998395aa2151b1                        	BQcDAAAAAQlNnakZAAAACV9fdXBkYXRlZA==\n	1302185272
session:c1a6906f92f929f0f6297ebdaa724d8d8025e948                        	BQcDAAAAAQoKMTMwNjI0MDc5MQAAAAlfX3VwZGF0ZWQ=\n	1306247991
session:2906b45a5738ff8bc45eac70d7634fad17f40b00                        	BQcDAAAAAQoKMTMxODk1NTIxOQAAAAlfX3VwZGF0ZWQ=\n	1318962419
session:c2574c9b7b3e46cabe1c75681239a6931d193e2c                        	BQcDAAAAAQoKMTMwNTczMzI3NAAAAAlfX3VwZGF0ZWQ=\n	1305740474
session:d8b48bbcea58dfdca0a2448abd61e1ad3183e941                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjQxMjY2AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI0MTI2\nNgAAAAlfX3VwZGF0ZWQ=\n	1306248466
session:0e932436aa7bd0388162d6f3c5454fcbb14ac90b                        	BQcDAAAAAQoKMTMwMjE1NDkwNwAAAAlfX3VwZGF0ZWQ=\n	1302162108
session:84fb7791256e80152eb4fd5d88319c1f13259b16                        	BQcDAAAAAQoKMTMwNjI0MTI2NwAAAAlfX3VwZGF0ZWQ=\n	1306248467
session:2e5e7c52e7c1ea35e9db3712d3fde6efd6c866d0                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEGVtYW51ZWxsZS52aWVpcmEAAAAGX191c2Vy\nCgoxMzAyMTU0Mzc3AAAACV9fdXBkYXRlZA==\n	1302167927
session:23bdb02b030c8a6ec26a858ef0d4d4bb64c608e3                        	BQcDAAAAAQoKMTMwNjI0MDg2NQAAAAlfX3VwZGF0ZWQ=\n	1306248065
session:783b7eb4a1e34eb85088292586dbd0f35ff496a7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU3S\ntUAAAAAJX191cGRhdGVk\n	1305661813
session:1c79712bfc3f730d44526e06a5c87577cdb3bd3e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmNhcmxvcy53aGVyYmV0AAAABl9fdXNlcgoK\nMTMwNTYxMzQ1NgAAAAlfX3VwZGF0ZWQ=\n	1305620656
session:fd0835d39f40b5e2dfdaca54e7e4f1a39a4047ae                        	BQcDAAAAAQoKMTMwNjI0MDkwMAAAAAlfX3VwZGF0ZWQ=\n	1306248100
session:8cd000bba68f38a056cf14abcb64edc33c268544                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjQwOTE2AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI0MDkx\nNgAAAAlfX3VwZGF0ZWQ=\n	1306248116
session:86784b9ac5d4f38e85a5912efc036b70d320065e                        	BQcDAAAAAQoKMTMwNjI0MDkxNgAAAAlfX3VwZGF0ZWQ=\n	1306248116
session:694ca78bb4b873d983c8b2e9dfa50bf0a998ad37                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjQwOTMyAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI0MDkz\nMgAAAAlfX3VwZGF0ZWQ=\n	1306248132
session:29aedd34338a8d0370586e7062cd87f16eae6277                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAlNncihAAAACV9fdXBkYXRlZA==\n	1302193345
session:8278b5cab3dd0890cd95e5182c88e2690d0b870b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMDY0NjQ2MAAAAAlfX3VwZGF0ZWQ=\n	1310653660
session:52a3ca484ccfb38d3558d5c6e32ab2be884f56e7                        	BQcDAAAAAQoKMTMwNTczMzMwMAAAAAlfX3VwZGF0ZWQ=\n	1305740500
session:33181ef2926a0b839996d785b5cd516977b70516                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFXZhbGNhcnBvQHlhaG9vLmNvbS5icgAAAAZf\nX3VzZXIKCjEzMDIxNjI5NDgAAAAJX191cGRhdGVk\n	1302170148
session:f6cb7d18dafe745c50c5eece53558def6250e883                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFG1lbGluYWJyaXRAZ21haWwuY29tAAAABl9f\ndXNlcgoKMTMxMTI2Nzc4OAAAAAlfX3VwZGF0ZWQ=\n	1311274988
session:c65c0d1e76cfb58d3acd11c6b1bc313ab63c4156                        	BQcDAAAAAQoKMTMxMTc4NDcwNwAAAAlfX3VwZGF0ZWQ=\n	1311791907
session:777db1bb436e3a426d876c590cc25cdeaa3ef5b2                        	BQcDAAAAAQoKMTMxMDY1MTAzOQAAAAlfX3VwZGF0ZWQ=\n	1310658239
session:af89dafd9cd4d144f02ca04f78e7173de7c7e4b5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmNhcmxvcy53aGVyYmV0AAAABl9fdXNlcgoK\nMTMwNTYyOTg0MQAAAAlfX3VwZGF0ZWQ=\n	1305639399
session:638c490325724851b32fdca33bf177caeb7be4c2                        	BQcDAAAAAQoKMTMxMDY1MTcxNQAAAAlfX3VwZGF0ZWQ=\n	1310658915
session:66474787c42c2ec36fcca26ad9d51d6747dca7fe                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTA2NTQ2MzIAAAAJX191cGRhdGVk\n	1310661858
session:dcad5ca0228827e8125256dfd5b43f5c236e983f                        	BQcDAAAAAQoKMTMxODk1OTkyOAAAAAlfX3VwZGF0ZWQ=\n	1318967128
session:aaa23f2e2ec92eeee717176613d51db74ab5f70f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTEwMTQyMjgAAAAJX191cGRhdGVk\n	1311021644
session:37abf66e08dc040793cab891b634d080720ab95c                        	BQcDAAAAAQoKMTMxMTcwOTA3NAAAAAlfX3VwZGF0ZWQ=\n	1311716275
session:9f7987824491d075175eac98083a30f3525202a2                        	BQcDAAAAAQoKMTMwNjI0MDU4NwAAAAlfX3VwZGF0ZWQ=\n	1306247787
session:eeed036f4ed30b829b502bc6477d56bb19eff0f5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMTE3MTAwMQAAAAlfX3VwZGF0ZWQ=\n	1311178392
session:3fa38e5fbf80232b67b9bc4929b1252a123338ef                        	BQcDAAAAAQoKMTMxMTc4NzMyMQAAAAlfX3VwZGF0ZWQ=\n	1311794522
session:de543eaf3400261d0629bebad4bc400da3942a9c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF2FkcmlhbmFnb2VzMDFAZ21haWwuY29tAAAA\nBl9fdXNlcgoKMTMxMDY2MTM0MgAAAAlfX3VwZGF0ZWQ=\n	1310668560
session:e27ed4efadd0786918d95276d375ed4f7a61883d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwNTEwNTUyMgAAAAlfX3VwZGF0ZWQ=\n	1305116139
session:e3df6af809e89b4ba1bb0ee2888869f0460154d2                        	BQcDAAAAAQoKMTMxNjEyNTk4OQAAAAlfX3VwZGF0ZWQ=\n	1316133189
session:7b0586e3e8da704f3cfb0ef21c736861b04c0eb4                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGZkc2p1bmlvcjE4QHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTYxMjU5ODkAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzE2MTI1OTg5AAAACV9fdXBkYXRlZA==\n	1316133189
session:93b1e41d33bd27de9f01a8834aebf3e9b69dac55                        	BQcDAAAAAQoKMTMxNjEyNTk4OQAAAAlfX3VwZGF0ZWQ=\n	1316133189
session:4090450d9c98f7a9c27e4beed0f7eb6ce911af5a                        	BQcDAAAAAQoKMTMxMjIyMTI4NwAAAAlfX3VwZGF0ZWQ=\n	1312228487
session:6a1497d4e6e5db97386cd33e51f00dc2812955ca                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGVsdG9uLnNhbnRvc0Bob3RtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMTg5NjE2NTcAAAAJX191cGRhdGVk\n	1318971800
session:5ac4654f43e3207d8372301e21461f5b1c6a6506                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3K\nm/oAAAAJX191cGRhdGVk\n	1305137337
session:9714d02b98e732f1ed999d2764e0a59785e2750a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMjE4OTAwNAAAAAlfX3VwZGF0ZWQ=\n	1302196208
session:08f3c8354367fee4ac7260f19155fdb935ae7a98                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzA2MjQwODE5AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFz\naAoKMTMwNjI0MDgxOQAAAAlfX3VwZGF0ZWQ=\n	1306248019
session:ba307b7ee3f296c5dd58fe4070633094b0556525                        	BQcDAAAAAQoKMTMwNjI0MDgxOQAAAAlfX3VwZGF0ZWQ=\n	1306248019
session:325bb9976c600f48a303bf010fe4b52336e39ec9                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzA2MjQwODMzAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFz\naAoKMTMwNjI0MDgzMwAAAAlfX3VwZGF0ZWQ=\n	1306248033
session:fdde534bf2601cf0a6c4a2a53f44cc43b9494001                        	BQcDAAAAAQoKMTMwNjI0MDgzMwAAAAlfX3VwZGF0ZWQ=\n	1306248033
session:dde6a25fea1614ece3d7539a129dff7290adcc5f                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjQwOTQ0AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI0MDk0\nNAAAAAlfX3VwZGF0ZWQ=\n	1306248144
session:f8dea4e2830eba1d6c5246bd5a9b3b22e9898d65                        	BQcDAAAAAQoKMTMwNjI0MDk0NQAAAAlfX3VwZGF0ZWQ=\n	1306248144
session:16ae2a21bb5140914ca07df13bd845968b23cead                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjQwOTYyAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI0MDk2\nMgAAAAlfX3VwZGF0ZWQ=\n	1306248162
session:d0f3f53a6d21eaffecddaff0b978045f34c10afc                        	BQcDAAAAAQoKMTMwNjI0MDk2MwAAAAlfX3VwZGF0ZWQ=\n	1306248163
session:c264d97cd262ca2c64af6c5b0eb3420ff200c254                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nMjY3Njg2AAAACV9fdXBkYXRlZA==\n	1311276406
session:aff01fe263ac76f31d3393372c72b6a138ed07ad                        	BQcDAAAAAQoKMTMwNjI0MTI1NQAAAAlfX3VwZGF0ZWQ=\n	1306248455
session:387df5e8dea9b46851139646ed1db31fc11ccb61                        	BQcDAAAAAQoKMTMxMTc4ODk4NgAAAAlfX3VwZGF0ZWQ=\n	1311796186
session:db02c43fe4120561513428b162c7e603485487d8                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjQwODUwAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI0MDg1\nMAAAAAlfX3VwZGF0ZWQ=\n	1306248050
session:37e85b382b5a6bb563ab9dd84119c626a9dcaaac                        	BQcDAAAAAQoKMTMwNjI0MDg1MAAAAAlfX3VwZGF0ZWQ=\n	1306248050
session:0597dd51c169156b90c9f67768b695f29b7bffc7                        	BQcDAAAAAQoKMTMwNjI0MDg2MQAAAAlfX3VwZGF0ZWQ=\n	1306248061
session:ddbc00dba2a09df52d7eb4f74ea80519a90db452                        	BQcDAAAAAQoKMTMxOTAyMzg0MwAAAAlfX3VwZGF0ZWQ=\n	1319033651
session:6d196ae2b8c3400164aa4c1be050fa053cf68923                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjQxMjc0AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI0MTI3\nNAAAAAlfX3VwZGF0ZWQ=\n	1306248474
session:b87d3f5ed24f4a873dc4532f4c4359ccde810c1c                        	BQcDAAAAAQoKMTMwNjI0MTI3NAAAAAlfX3VwZGF0ZWQ=\n	1306248474
session:c1f1b4d95d34f627bbfd5db951a5de4191a79953                        	BQcDAAAAAQoKMTMwNjI0MTMxMwAAAAlfX3VwZGF0ZWQ=\n	1306248513
session:2c27d61792101185664ba37f2622ed823869b118                        	BQcDAAAAAQoKMTMxMTc4OTc2MQAAAAlfX3VwZGF0ZWQ=\n	1311796961
session:0e8b756682eda0270a53250e34f794fc7b496c38                        	BQcDAAAAAQoKMTMxMjgwOTcxNgAAAAlfX3VwZGF0ZWQ=\n	1312816917
session:c22ccc8842d732c713a3a7b400d16a9dc3d91adf                        	BQcDAAAAAQoKMTMxMTc4ODc2MQAAAAlfX3VwZGF0ZWQ=\n	1311795961
session:ca34b25df7769a852b6781b6ccf61fd7b7bdcf3e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3c\nBqQAAAAJX191cGRhdGVk\n	1306272452
session:5939bb19d0eff23d7eb86fcc73092458e5ea4663                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nNzEwMTA0AAAACV9fdXBkYXRlZA==\n	1311717304
session:4ff18e3e7ce54b70b414f8a64116bd2d847abcfd                        	BQcDAAAAAQoKMTMxMTc4OTYzMQAAAAlfX3VwZGF0ZWQ=\n	1311797589
session:a8f734c14dcea06632aa71eb06f1bec712a675e8                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmNhcmxvcy53aGVyYmV0AAAABl9fdXNlcgoK\nMTMwNTU0ODg4NwAAAAlfX3VwZGF0ZWQ=\n	1305556098
session:d61b304c33830afcef50f944bc08b7fe68bebdbb                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XHmxpZGlhbmVyb2RyaWd1ZXM5QHlhaG9vLmNv\nbS5icgAAAAZfX3VzZXIEGQAAAAABChxEb2N1bWVudG8gY3JpYWRvIGNvbSBzdWNlc3NvAgAAAAdz\ndWNlc3NvAAAAB19fZmxhc2gKCjEzMTkwNTE4MzAAAAAJX191cGRhdGVk\n	1319059030
session:85e4232ff1d180490e3cc24a40136aa08897876e                        	BQcDAAAAAQoKMTMxMjgxMDEwNAAAAAlfX3VwZGF0ZWQ=\n	1312817304
session:aad1849bb2afb6105fe8539e3285509c8f353010                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nNzkyNjY2AAAACV9fdXBkYXRlZA==\n	1311799892
session:dbbb198d6fa9e44c5bdefd1dbd7582772d9f847a                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2NzU0NAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjc1NDQAAAAJX191cGRhdGVk\n	1302174744
session:57c70f9946b1d31f95b2d44a664bdeaab746199b                        	BQcDAAAAAQoKMTMwMjE2NzU0NAAAAAlfX3VwZGF0ZWQ=\n	1302174744
session:f671b1a6c6000130730a9c90f046fb824780e736                        	BQcDAAAAAQoKMTMwMjE2NTAwNgAAAAlfX3VwZGF0ZWQ=\n	1302172206
session:ac20f5eafdcdd1aadd5699ae0c515f5af3ba1de9                        	BQcDAAAAAQoKMTMwMjE2NzEwOAAAAAlfX3VwZGF0ZWQ=\n	1302174308
session:e0e1c2784398530a6c5fa9946316e349066a0de1                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2NzExOAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjcxMTgAAAAJX191cGRhdGVk\n	1302174318
session:0ae85271c38c382bf4df4af747a04eb3d22db4e6                        	BQcDAAAAAQoKMTMwMjE2NzExOQAAAAlfX3VwZGF0ZWQ=\n	1302174319
session:18e1e8784c1b68e675a1102dd65a50efde20488e                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2NzEyOAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjcxMjgAAAAJX191cGRhdGVk\n	1302174328
session:9b7383f59b9dacd5e453dabbf0026148fa1c48df                        	BQcDAAAAAQoKMTMwMjE2NzEyOAAAAAlfX3VwZGF0ZWQ=\n	1302174328
session:8bd56f0c069d49e51e94d59a9b3a41484ae1bf6f                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2NzE0MAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjcxNDAAAAAJX191cGRhdGVk\n	1302174340
session:f240af2f4a4e9060a219745fae6e07833e054cbf                        	BQcDAAAAAQoKMTMwMjE2NzE0MAAAAAlfX3VwZGF0ZWQ=\n	1302174340
session:c743d431160e2843ccf23c655d5331cd09e049f5                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2NzE2MwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjcxNjMAAAAJX191cGRhdGVk\n	1302174363
session:9fcb0f7efa07bf7e894a9db825a34af15d358b46                        	BQcDAAAAAQoKMTMwMjE2NzE2MwAAAAlfX3VwZGF0ZWQ=\n	1302174363
session:6b60ea91d31c6677572597009f3b8922c4dd12ab                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2NzIyOQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjcyMjkAAAAJX191cGRhdGVk\n	1302174429
session:91cdec52c60e7432c27b64d0010dbde7f932dd60                        	BQcDAAAAAQoKMTMwMjE2NzIzMAAAAAlfX3VwZGF0ZWQ=\n	1302174430
session:4358c62e3c3c2205afe23cd620d36b3e594aa33f                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2NzMxNQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjczMTUAAAAJX191cGRhdGVk\n	1302174515
session:da5e0575ccb51350cd3551ece50a01428e8d7df5                        	BQcDAAAAAQoKMTMwMjE2NzMxNQAAAAlfX3VwZGF0ZWQ=\n	1302174515
session:89d699b727783b36bb0a555d5474031839c6e4c5                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2NzMyOQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjczMjkAAAAJX191cGRhdGVk\n	1302174529
session:cd55f712163efb7a9f0e1d51079fc178c1ad6536                        	BQcDAAAAAQoKMTMwMjE2NzMzMAAAAAlfX3VwZGF0ZWQ=\n	1302174530
session:b0ea806e6b527359c2e8f4e3a72dc511cef0f218                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2NzQyMQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjc0MjEAAAAJX191cGRhdGVk\n	1302174621
session:28e2b2ca682eabe7962a9917e0cc15b472a6d2f8                        	BQcDAAAAAQoKMTMwMjE2NzQyMQAAAAlfX3VwZGF0ZWQ=\n	1302174621
session:b16f00f852c66c6edd416cedfc39bc2cb4f6d787                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2NzQ4MgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjc0ODIAAAAJX191cGRhdGVk\n	1302174682
session:ac866a2f60afbcdd1d3469388fccf524f20656de                        	BQcDAAAAAQoKMTMwMjE2NzQ4MgAAAAlfX3VwZGF0ZWQ=\n	1302174682
session:aad5c71c8aabe5113fedeafdca60d251f8f63408                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2NzgxOQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjc4MTkAAAAJX191cGRhdGVk\n	1302175019
session:b85b51ef3a84257f9e8e26777e521fb7625796e2                        	BQcDAAAAAQoKMTMwMjE2NzgxOQAAAAlfX3VwZGF0ZWQ=\n	1302175019
session:21b11164e2c1c441249d899ffb40878a1de5f24f                        	BQcDAAAAAgoKMTMwMjE2ODE5MwAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1302175393
session:6707ce2f29ffcdfd680b3ad4c941d42ebc4d18aa                        	BQcDAAAAAQoKMTMwMjE2ODE5MwAAAAlfX3VwZGF0ZWQ=\n	1302175393
session:057100c459e5fd6d58fa0342a28b6d1e91a13a8b                        	BQcDAAAAAQoKMTMwMjE2ODI4OAAAAAlfX3VwZGF0ZWQ=\n	1302175488
session:f06699b985848138d6ab7f330a64dfdfbf9052a4                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2ODU2NwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjg1NjcAAAAJX191cGRhdGVk\n	1302175767
session:9c2a9f38e60018a0d4124778c8a5cef24c62178c                        	BQcDAAAAAQoKMTMwMjE2ODU2NwAAAAlfX3VwZGF0ZWQ=\n	1302175767
session:22c36e8578d63dc06fa82687e47992dee4048f01                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2ODk1OAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjg5NTgAAAAJX191cGRhdGVk\n	1302176158
session:55eae525f522ff63f7271070b38841f73f62c0fc                        	BQcDAAAAAQoKMTMwMjE2ODk1OQAAAAlfX3VwZGF0ZWQ=\n	1302176159
session:e3ba964b575c998764669fe0a3842b126c5f5310                        	BQcDAAAAAgoKMTMwMjE2OTAwOQAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1302176209
session:ff9bc3bc4a663a0cbe2b2496fd76f88a301eb780                        	BQcDAAAAAQoKMTMwMjE2OTAxMAAAAAlfX3VwZGF0ZWQ=\n	1302176210
session:fde656cecc80a0bd5ab7f37f0f2612c7955d4bcb                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE2OTE5MQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNjkxOTEAAAAJX191cGRhdGVk\n	1302176391
session:4e79c7cf59857020428d941f192046651efc0658                        	BQcDAAAAAQoKMTMwMjE2OTE5MgAAAAlfX3VwZGF0ZWQ=\n	1302176392
session:387a075786745fd677a3aaa19245cae6f794f0ca                        	BQcDAAAAAQlNrJYFAAAACV9fdXBkYXRlZA==\n	1303163429
session:2658caec09b78fe11ac653c3a1367fb0bd87497f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTE3NjY5OTYAAAAJX191cGRhdGVk\n	1311774393
session:039ad4c9c1c53f2fc7d615d77d25ce66b062c38b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTEwMTg0MTcAAAAJX191cGRhdGVk\n	1311025640
session:847e6451af51a909712a2e2f722fa01d71272c31                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2eGMsA\nAAAJX191cGRhdGVk\n	1302213870
session:e9cd80e275bd68d56579e072b14fd2ed5bde1562                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTEwMTg0ODcAAAAJX191cGRhdGVk\n	1311025762
session:92d15d83aec3952cd4c7ad5f1c392419ff50f521                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3S\ndKcAAAAJX191cGRhdGVk\n	1305645524
session:2653f5e216a84f09820c43cf8ad2a5462bb0e196                        	BQcDAAAAAQoKMTMxMTE3MzUxMgAAAAlfX3VwZGF0ZWQ=\n	1311180712
session:0dd8c80acb2dba904021b77417fbd58d276b5830                        	BQcDAAAAAQoKMTMxMTc2NzIxNQAAAAlfX3VwZGF0ZWQ=\n	1311774415
session:ef3c552e72ff40323f19a2c5b8af014a17b71b96                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nnhNQAAAACV9fdXBkYXRlZA==\n	1302212495
session:3f7dd556953c303fd8336f907065d103cd04eb0f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nnfKsAAAACV9fdXBkYXRlZA==\n	1302204172
session:5670e4f93e94d8c9fb6beae61c32d60debb64363                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nysOvAAAACV9fdXBkYXRlZA==\n	1305143167
session:ce85ddd9437ad5a534acb0a1ba73c5a618f5d20a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2d8X4A\nAAAJX191cGRhdGVk\n	1302204385
session:7d1adc2c9a831b285f7a66a8fc611bf70f76f9cd                        	BQcDAAAAAQoKMTMxODM1Nzk5NQAAAAlfX3VwZGF0ZWQ=\n	1318365195
session:123868fb153963e413cec40ff7d5e5400a391ec1                        	BQcDAAAAAQoKMTMxMTAxODIwNQAAAAlfX3VwZGF0ZWQ=\n	1311025413
session:fa0f3ce2f56bc168e0e02868792ee3593f3dbd03                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGWNybGdidGZvcnRhbGV6YUBnbWFpbC5jb20A\nAAAGX191c2VyCgoxMzExMTczODE0AAAACV9fdXBkYXRlZA==\n	1311181150
session:0163bc252e7672fe9cd8f58b988c43ade36d0360                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nNzkxMjQ3AAAACV9fdXBkYXRlZA==\n	1311799306
session:94078f09f629df01c67e7d4eed27fe132074527a                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjE3MDA4NQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIxNzAwODUAAAAJX191cGRhdGVk\n	1302177284
session:aad0d42ba23284701c607d638f109ca89cdd446e                        	BQcDAAAAAQoKMTMwMjE3MDA4NQAAAAlfX3VwZGF0ZWQ=\n	1302177285
session:dafab9b6275060157320203068f9582521c27900                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMjE3NTUwNQAAAAlfX3VwZGF0ZWQ=\n	1302187200
session:b0bdcbac0a09d94de1a27f9680ff2d0f63500f72                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XIGxlb25hcmRvbGltYUBmb3J0YWxlemEuY2Uu\nZ292LmJyAAAABl9fdXNlcgoKMTMwMjE3MTkyMwAAAAlfX3VwZGF0ZWQ=\n	1302179123
session:2d16c814f79e3fe83c3066bd54254d390ac0ddff                        	BQcDAAAAAQoKMTMwMjE3MjUxOAAAAAlfX3VwZGF0ZWQ=\n	1302179718
session:a890d83c472626cb006968a524d2daacb46ae71b                        	BQcDAAAAAgoKMTMwMjE3MjUyOQAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1302179729
session:7d0f96c06416f86ae55c4a5ad705603a320cee1f                        	BQcDAAAAAQoKMTMwMjE3MjUyOQAAAAlfX3VwZGF0ZWQ=\n	1302179729
session:a1d4cb15cf1407af758092fa65a935d9cdc633c8                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMjE5OTk5MgAAAAlfX3VwZGF0ZWQ=\n	1302212412
session:0574d5dbf108a36ff55ff2ffeac2e16db6175d65                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzAyMTcyNTQxAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMjE3\nMjU0MgAAAAlfX3VwZGF0ZWQ=\n	1302179741
session:723ff53310c8f45d46d096bcd94531375709496d                        	BQcDAAAAAQoKMTMwMjE3MjU0MgAAAAlfX3VwZGF0ZWQ=\n	1302179742
session:cc17db698cb5bbc04db72f1d36c9b084b01027e0                        	BQcDAAAAAgoKMTMwMjE3MjU1MQAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1302179751
session:e11ca17e83dd571dde85f45c69d832e357a04600                        	BQcDAAAAAQoKMTMwMjE3MjU1MQAAAAlfX3VwZGF0ZWQ=\n	1302179751
session:bcaf7c54c429573bbceba35fcacdf6bdb406eafb                        	BQcDAAAAAgoKMTMwMjE3MjU3MAAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1302179770
session:808be5e449b2f7f2320638a8e028dbd9c7191346                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XJ3NhbWFudGhhLm1vdXJhb0BjdGkuZm9ydGFs\nZXphLmNlLmdvdi5icgAAAAZfX3VzZXIKCjEzMDIxNzE2NzkAAAAJX191cGRhdGVk\n	1302178887
session:fcb0e15e3f641b0a823551f1d249fc3d5ff3123f                        	BQcDAAAAAQoKMTMwMjE3MjU3MAAAAAlfX3VwZGF0ZWQ=\n	1302179770
session:ec823ae2047ffefd526a7bff9660e02d3a12b1d6                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2e\nFF8AAAAJX191cGRhdGVk\n	1302212735
session:d8dd292a0b267c7725c29e72621ca448b8d03566                        	BQcDAAAAAQoKMTMwMjE3Mzg4NwAAAAlfX3VwZGF0ZWQ=\n	1302181088
session:7ee9099c309b47e909913be5aa5064dd1b4ca8a4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2d\n9qIAAAAJX191cGRhdGVk\n	1302205122
session:39fd636b6e136ece7f8ba07b5d6c79d3af3d280a                        	BQcDAAAAAQoKMTMwMjU5MTg5MAAAAAlfX3VwZGF0ZWQ=\n	1302599090
session:3670767d4143788273bdaa992ed92aab60424964                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjUwOTI4MAAAAAlfX3VwZGF0ZWQ=\n	1302516495
session:954e20b1e113a8fdc919b8c13b12a6691d5d896e                        	BQcDAAAAAQoKMTMwMjE3Mjg0NgAAAAlfX3VwZGF0ZWQ=\n	1302180046
session:929b8665303bd47e5a70b389bec46d7840a6bb2a                        	BQcDAAAAAgoKMTMwMjE3Mjg1MwAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1302180053
session:160c7808f5ed6ded1dde8f12472a870da2198005                        	BQcDAAAAAQoKMTMwMjE3Mjg1MwAAAAlfX3VwZGF0ZWQ=\n	1302180053
session:202043ef012ca40d192d7968c74c7fc78f0b71bf                        	BQcDAAAAAQoKMTMwMjE3NTY4MQAAAAlfX3VwZGF0ZWQ=\n	1302182881
session:35591b7a4b00ddad0b8e0d4a06e6e4fab16721b1                        	BQcDAAAAAQoKMTMwMjUyNzUwMQAAAAlfX3VwZGF0ZWQ=\n	1302534701
session:3acc005a253508fa89bd8ae8cbe85e6991f7b935                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzAyMTc1NjkxAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMjE3\nNTY5MQAAAAlfX3VwZGF0ZWQ=\n	1302182891
session:fbdafc939ab9371d26319596f372ac4b2345f430                        	BQcDAAAAAQoKMTMwMjE3NTY5MQAAAAlfX3VwZGF0ZWQ=\n	1302182891
session:6fa361cede38761543b73edf7ad71667ca477170                        	BQcDAAAAAQoKMTMwMjE3Mjc5NwAAAAlfX3VwZGF0ZWQ=\n	1302182908
session:628f3a64bfcbd02f89028ec177f34fa544d821c5                        	BQcDAAAAAQoKMTMwMjE3NTcxNQAAAAlfX3VwZGF0ZWQ=\n	1302182915
session:17832a2c5afaf1b9aff65c371ad65eb25d1256c7                        	BQcDAAAAAQoKMTMwNjI1MjU3NAAAAAlfX3VwZGF0ZWQ=\n	1306259773
session:c1ae69d366496d99ff370470b2008b4609580f51                        	BQcDAAAAAQoKMTMwMjUyNTY0OQAAAAlfX3VwZGF0ZWQ=\n	1302532854
session:607aa63a93a542b1487ddcff1fd46ccd8a093b43                        	BQcDAAAAAQoKMTMwMjUyMDg0NwAAAAlfX3VwZGF0ZWQ=\n	1302528047
session:71ae7578e2ebb6b5700fa5b897b1c5e9f95404a8                        	BQcDAAAAAQoKMTMwMjUyMDg3MgAAAAlfX3VwZGF0ZWQ=\n	1302528072
session:be1c9b4e22ea85ad911af6ba6c1e49244b306a1e                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XIG1pY2hlbGxlZm9ydGFsZXphZGVwYXpAZ21h\naWwuY29tAAAABl9fdXNlcgoKMTMwMjUyMDg5MAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJv\nAAAAB19fZmxhc2gKCjEzMDI1MjA4OTAAAAAJX191cGRhdGVk\n	1302528090
session:01cff134ac52d77ca7d96f5e40589858932d068b                        	BQcDAAAAAQoKMTMwMjUyMDg5MgAAAAlfX3VwZGF0ZWQ=\n	1302528092
session:15ee9d99b5a735467377aa6bbffd8f64f9f6dd3b                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjUyMDkzMAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDI1\nMjA5MzAAAAAJX191cGRhdGVk\n	1302528130
session:1bfb715f90196be64fb251f15fde3d80cff4a245                        	BQcDAAAAAQoKMTMwMjUyMDkzMQAAAAlfX3VwZGF0ZWQ=\n	1302528131
session:beaa1e59cf2b5a78a067b303ff658ba24ffbf381                        	BQcDAAAAAQoKMTMxMTc5Mzg3MwAAAAlfX3VwZGF0ZWQ=\n	1311801073
session:741fd3fe2bae54cd27310b8a6ce0b7aca1b90493                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjYwMzIxMwAAAAlfX3VwZGF0ZWQ=\n	1302610880
session:f2808a1f50aebe99b7a143da93488ed1ab719107                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2m\n9EkAAAAJX191cGRhdGVk\n	1302794345
session:cef2b46547a38bd9dad8df63c56688654341b3aa                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjUxNzkxNwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDI1MTc5MTcAAAAJX191cGRhdGVk\n	1302525117
session:82e67089663f27841b5f9e8c45a90243b198afa7                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyBAMA\nAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCU2jBN4AAAAJX191cGRhdGVk\n	1302536446
session:3ab88004a3b07277173c392ffa417e9e0f2a1d5b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMjI3MjkyMgAAAAlfX3VwZGF0ZWQ=\n	1302280574
session:aff0b2625f251f459e46610a49a7ee520aef20c8                        	BQcDAAAAAQoKMTMwMjUxNjMwOQAAAAlfX3VwZGF0ZWQ=\n	1302523509
session:dce1aa31bbee25b2e9161832072746d3e1b4e9c8                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGmFybWFuZG92aWRhbDI2QGhvdG1haWwuY29t\nAAAABl9fdXNlcgoKMTMwMjUxNjM4OQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19f\nZmxhc2gKCjEzMDI1MTYzODkAAAAJX191cGRhdGVk\n	1302523589
session:4944dbc279d6a958bceba3adb25ec9c528089da4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XIGVzcGFjb2FxdWFyZWxhZnVuY2lAeWFob28u\nY29tLmJyAAAABl9fdXNlcgoKMTMwMjI0NjgwMAAAAAlfX3VwZGF0ZWQ=\n	1302254025
session:dccab32a720f5bce54ef357ba3ab376643e50583                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzAyMTc4NTY3AAAACV9fdXBkYXRlZA==\n	1302186498
session:20e3c15c6c1d563ffcd7e66ea7b42a7d1e2622f9                        	BQcDAAAAAQoKMTMwMjI1OTQ3NAAAAAlfX3VwZGF0ZWQ=\n	1302266674
session:d976d137a6261f27f7001867d72368927da51bf7                        	BQcDAAAAAQoKMTMwMjI1OTc0MAAAAAlfX3VwZGF0ZWQ=\n	1302266940
session:bdce1a1ecddd19e8627b54bd21d3dc9a1941b6d9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2f\nUtwAAAAJX191cGRhdGVk\n	1302296352
session:863259ec95db6b999c6e024397261cb26a0361a1                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMjI4MjQ0MgAAAAlfX3VwZGF0ZWQ=\n	1302290086
session:553cd983e86e254230f19d8de0a0158d8dae57a8                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjI1OTU0NgAAAAlfX3VwZGF0ZWQ=\n	1302268907
session:03fa16d35078792633f276179d174cd351c6a22e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjM0NzM3OAAAAAlfX3VwZGF0ZWQ=\n	1302354699
session:6ae97e383bc1736324cd85ace07fb8de52a3374b                        	BQcDAAAAAQoKMTMwMjQ2MTMzOAAAAAlfX3VwZGF0ZWQ=\n	1302468538
session:63a49abe0bb5cf1025698dc5b8f64cf038ce18a1                        	BQcDAAAAAQoKMTMwMjI1OTY0MgAAAAlfX3VwZGF0ZWQ=\n	1302266842
session:10880a031411127adec30beb6288707b0903cf6d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2f\nR/gAAAAJX191cGRhdGVk\n	1302296737
session:c1b4051506f9dda7c06dc767cffd14eb60b1c329                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjI1OTY1OQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDIyNTk2NTkAAAAJX191cGRhdGVk\n	1302266859
session:f00d5332b583e2f02d7d7010d92f5fbd0dde9912                        	BQcDAAAAAQoKMTMwMjI1OTY1OQAAAAlfX3VwZGF0ZWQ=\n	1302266859
session:8093d7d05f1defc67c5463fdd81755bd633a4e53                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3W\nuAsAAAAJX191cGRhdGVk\n	1305937397
session:0d49386a92a972dc593d9824befbceed36702fcc                        	BQcDAAAAAQoKMTMwMjUwNzk0NAAAAAlfX3VwZGF0ZWQ=\n	1302515149
session:6262e808bd026a29acb344527ae5c2fec2a33db4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2fbM4A\nAAAJX191cGRhdGVk\n	1302300910
session:755111c9e64d16481e1569cb6e637f862e8607f3                        	BQcDAAAAAQlNn36QAAAACV9fdXBkYXRlZA==\n	1302305456
session:6a70ea4fc7767e33210b4b7c6b60282bdfbbd6e2                        	BQcDAAAAAQlNovIXAAAACV9fdXBkYXRlZA==\n	1302534256
session:24de3ee19e5c89d839f5073d5239e29aaf8df0ec                        	BQcDAAAAAQoKMTMwMjMzOTk5NQAAAAlfX3VwZGF0ZWQ=\n	1302347195
session:655cf07b01942cc0d2fedc129eb9956b7ae29d34                        	BQcDAAAAAQoKMTMwMjYwMDUyMgAAAAlfX3VwZGF0ZWQ=\n	1302607722
session:6d434f371621f6a5fd19c6b5e80ddcf8687256b7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjI2MDkyMQAAAAlfX3VwZGF0ZWQ=\n	1302269610
session:15afe27414708786730034bd0ce15882fb294325                        	BQcDAAAAAQoKMTMwMjUxNjUyOQAAAAlfX3VwZGF0ZWQ=\n	1302523729
session:c4c98ed4fb6e3b14950c41a6974c8992156b56be                        	BQcDAAAAAQoKMTMwNjI1NjczOAAAAAlfX3VwZGF0ZWQ=\n	1306263938
session:98973ee8992d07210121424fbb9090a10509c121                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMjUwOTg5MQAAAAlfX3VwZGF0ZWQ=\n	1302518121
session:a0a3c56a0aa4927bf0fcf081da1bc24a460a49d2                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGmFybWFuZG92aWRhbDI2QGhvdG1haWwuY29t\nAAAABl9fdXNlcgoKMTMwMjUxNjY0NwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19f\nZmxhc2gKCjEzMDI1MTY2NDcAAAAJX191cGRhdGVk\n	1302523847
session:02e6a4435df58323572e5846d2861f5e7eb64406                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyBAMA\nAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCU2jKPUAAAAJX191cGRhdGVk\n	1302545685
session:71963f5874179612fa9a108982b23f88a3600acc                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMjUxNjYyNwAAAAlfX3VwZGF0ZWQ=\n	1302523849
session:046cc72c87da98f8db97894ab02449b79a5bd3df                        	BQcDAAAAAQoKMTMwMjUxNjc0MQAAAAlfX3VwZGF0ZWQ=\n	1302523941
session:23ff2843cb00da1c2e8f3725af4aedf18760762e                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGmFybWFuZG92aWRhbDI2QGhvdG1haWwuY29t\nAAAABl9fdXNlcgoKMTMwMjUxNzg5MQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19f\nZmxhc2gKCjEzMDI1MTc4OTEAAAAJX191cGRhdGVk\n	1302525091
session:791314f52c4c4986d6079de987a66aab809a32fc                        	BQcDAAAAAQoKMTMwMjUxNzg5MQAAAAlfX3VwZGF0ZWQ=\n	1302525091
session:c35ffc386156e31c2a09bf312f7936c5219b2583                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMjUxNzQyNgAAAAlfX3VwZGF0ZWQ=\n	1302525103
session:dc78ebf7f604f7301fb3c35f1a4294d76e462b26                        	BQcDAAAAAQoKMTMwMjUxNzkxNwAAAAlfX3VwZGF0ZWQ=\n	1302525117
session:d1b28539c211a470757c6d3a2cab0b2c81ca65aa                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjUxNzkzMwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDI1MTc5MzMAAAAJX191cGRhdGVk\n	1302525133
session:2bba704743d57d8d7a31d3710420ac0d1a3f4317                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA2MjU2NzQzAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI1\nNjc0MwAAAAlfX3VwZGF0ZWQ=\n	1306263943
session:fa10eaa93243d18d8bc80c82eab3b7b08eaa2d8b                        	BQcDAAAAAQoKMTMwNjI1Njc0NAAAAAlfX3VwZGF0ZWQ=\n	1306263944
session:044727a85dc9e735fe4649b769947f755f6cb39b                        	BQcDAAAAAQoKMTMwNjI1NjgxMQAAAAlfX3VwZGF0ZWQ=\n	1306264011
session:35c0b0f629fd2e786428049d8b2bf8eae0bd45b3                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNTc5MjA1NQAAAAlfX3VwZGF0ZWQ=\n	1305799264
session:f9ef5ac3c664720e41045ba046b2324d6855ce43                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA2MjU2ODEzAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI1\nNjgxMwAAAAlfX3VwZGF0ZWQ=\n	1306264013
session:e617b2866d67ab832fbceee967f2160e1dc57400                        	BQcDAAAAAQoKMTMwNjI1NjgxNAAAAAlfX3VwZGF0ZWQ=\n	1306264014
session:6c4c95aef40a6502d89faf22e22be411f9557698                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMTI3MTA4OQAAAAlfX3VwZGF0ZWQ=\n	1311278289
session:56c1a042f01f497e6d89b1c78678c597730df739                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU4/5NMA\nAAAJX191cGRhdGVk\n	1312817395
session:1eb0b8d4ea5f65ab3ffbd6ee33d3731195320fde                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2j\nQG8AAAAJX191cGRhdGVk\n	1302554847
session:b88ec177fc7fd455692d89687098ddf87dea9bf7                        	BQcDAAAAAQoKMTMxODUwNzU4MQAAAAlfX3VwZGF0ZWQ=\n	1318514780
session:16acbed58bc30f1642f4735f7378803421df1320                        	BQcDAAAAAQoKMTMxMTg1NTAwOAAAAAlfX3VwZGF0ZWQ=\n	1311862209
session:03bbe27c615fb7fdd72a1bfb7857909785af2d62                        	BQcDAAAAAQoKMTMxMTg1NTYwMgAAAAlfX3VwZGF0ZWQ=\n	1311862802
session:1e37fd214ea68dd238277221fdf26a0ae56f3c88                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTE4NTM1NjgAAAAJX191cGRhdGVk\n	1311863493
session:ecf1c12ff056ac389fb32ec04a05142d61a83484                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGZkc2p1bmlvcjE4QHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTYxMjU5ODkAAAAJX191cGRhdGVk\n	1316133189
session:5911f567c9999d582b93e36bd144be714bd04ee5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE2\nMTI1OTkxAAAACV9fdXBkYXRlZA==\n	1316133191
session:9ed015e46a67205b61d6829f2b369759449b6b9e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2jMSYA\nAAAJX191cGRhdGVk\n	1302547782
session:73d132296eaa2100dee85166dbc101a005452197                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU5K1sAA\nAAAJX191cGRhdGVk\n	1313534692
session:c02b45e88dbec675147f61385499aad0d70e665e                        	BQcDAAAAAQoKMTMwODIzNTUzNwAAAAlfX3VwZGF0ZWQ=\n	1308242737
session:aea071de4fc60dc460a9c08b04f266825cbdbe60                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU2k\nqNUAAAAJX191cGRhdGVk\n	1302643957
session:35ff3733d05e8d6bdfe0ea960ae79170c55324f7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2k\nmE4AAAAJX191cGRhdGVk\n	1302640381
session:6538030cd7356e63b55409953a8d9a5ae65b2f97                        	BQcDAAAAAQoKMTMwMjUyMTcwMgAAAAlfX3VwZGF0ZWQ=\n	1302528902
session:8b4eb9fe2d8fb8a52042edd17e9e8e54fd6384e0                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF2FuZHJlc291emFnbWZAZ21haWwuY29tAAAA\nBl9fdXNlcgoKMTMwMjUyMTcxOQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDI1MjE3MTkAAAAJX191cGRhdGVk\n	1302528919
session:468b99d925fd2b427138374cb9d771a317378637                        	BQcDAAAAAQoKMTMwMjUyMTcyMAAAAAlfX3VwZGF0ZWQ=\n	1302528920
session:7fef415a84b969173277572c54cdea69404aead0                        	BQcDAAAAAQoKMTMwMjUyNzc5NwAAAAlfX3VwZGF0ZWQ=\n	1302534997
session:a75d0128e62995ad286734f121bc219211abe5ab                        	BQcDAAAAAQoKMTMwMjUzMTI2MAAAAAlfX3VwZGF0ZWQ=\n	1302538460
session:2f2b52e20a70acdc803b5066629983c386da87cc                        	BQcDAAAAAQoKMTMwMjUzNzc4OQAAAAlfX3VwZGF0ZWQ=\n	1302544989
session:18b18304e44e75151e48c62e31810a16809d18e7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMjYzMjU1MgAAAAlfX3VwZGF0ZWQ=\n	1302639793
session:feea7c11d15d93756d641ddf17913bad64ccd7cd                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2k\nqHYAAAAJX191cGRhdGVk\n	1302643862
session:4797f2d774bd935bfb28842ceacc710e222d1144                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XIG1pY2hlbGxlZm9ydGFsZXphZGVwYXpAZ21h\naWwuY29tAAAABl9fdXNlcgoKMTMwMjUyNjAyMAAAAAlfX3VwZGF0ZWQ=\n	1302533242
session:b98efacd95ca3063aafb787c5675bbd095e59ac8                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMjYwODMwMwAAAAlfX3VwZGF0ZWQ=\n	1302615503
session:1b3a2dae700e879e53be0f3f20169eaa0f37f53c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGm1vcmVpcmFtYXVyaWNpb2FAZ21haWwuY29t\nAAAABl9fdXNlcgoKMTMwMjUyNTg1NQAAAAlfX3VwZGF0ZWQ=\n	1302533120
session:d49e1c2f8922b35dee36cadb33c331fd7c127d70                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGmFybWFuZG92aWRhbDI2QGhvdG1haWwuY29t\nAAAABl9fdXNlcgoKMTMwMjUyNTg1OAAAAAlfX3VwZGF0ZWQ=\n	1302533089
session:6799ebf896bfbb2e1e228e220584ba4a71882ae9                        	BQcDAAAAAQoKMTMwMjYwMTE5MQAAAAlfX3VwZGF0ZWQ=\n	1302608391
session:cf875823f733ba66e41f7f780436387dd386eff7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDGNsYXVkaW8ubWFpYQAAAAZfX3VzZXIKCjEz\nMDI2MzcwMzIAAAAJX191cGRhdGVk\n	1302644232
session:ed04e8f821282b20a4baeca285506139b06082f1                        	BQcDAAAAAQoKMTMwMjYwNDIwNwAAAAlfX3VwZGF0ZWQ=\n	1302611407
session:b61bee770c4a3524d49d89c13f15136ed9fc8e7a                        	BQcDAAAAAQoKMTMwMjUyNjUyMAAAAAlfX3VwZGF0ZWQ=\n	1302533721
session:f3696ad24cc514b223b818c78dfb584e7c8b35d8                        	BQcDAAAAAQlNpF3gAAAACV9fdXBkYXRlZA==\n	1302624768
session:cbd8057961bbe1e1860cf977f56864936b2fc8a1                        	BQcDAAAAAQlNo1IwAAAACV9fdXBkYXRlZA==\n	1302556240
session:cfbeed21286a5e7c9796cad005014432e6455cbd                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMjU5NDcyNgAAAAlfX3VwZGF0ZWQ=\n	1302601927
session:28ab4b364e6ebc4aa4fd5b4a5ee27ab8848be660                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzAy\nNjAxMzA2AAAACV9fdXBkYXRlZA==\n	1302608506
session:eb7ba7f0962f9261ce44308dcca9677b4ded6655                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2kqL8A\nAAAJX191cGRhdGVk\n	1302643935
session:360878dd5537bcd84a0993381e287ea93bfe53bb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDGRlaXZpZC5zaWx2YQAAAAZfX3VzZXIJTaSN\nMwAAAAlfX3VwZGF0ZWQ=\n	1302637156
session:aedca3f64983461d8e8cfbcb576148c9128a8fe4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\npKcFAAAACV9fdXBkYXRlZA==\n	1302643516
session:8ce91d7370170e0929964091cfa9592c707080ba                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMjYzNTk4MgAAAAlfX3VwZGF0ZWQ=\n	1302643182
session:6c3384f54dc7e04e564d5096248301bac85d5c2c                        	BQcDAAAAAQlNpKtDAAAACV9fdXBkYXRlZA==\n	1302644579
session:19c8aaaa6ff9fdbe914822abafe45bd6d75661e3                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA2MjU2ODg5AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI1\nNjg4OQAAAAlfX3VwZGF0ZWQ=\n	1306264089
session:7b0b3d32e3eff80f8b98d823810eb7aa6b411fb1                        	BQcDAAAAAQoKMTMwNjI1Njg5MAAAAAlfX3VwZGF0ZWQ=\n	1306264090
session:3b5301ee32f2b126d27c3f2c1f4fa2df4cecaedf                        	BQcDAAAAAQoKMTMwNjI1NzA5NgAAAAlfX3VwZGF0ZWQ=\n	1306264296
session:76bf9463916b7752719e0cc6a5ec638e23ff1fca                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA1\nMTEzMzIwAAAACV9fdXBkYXRlZA==\n	1305120533
session:1206170dfb0c7b97faae7da0d192c8912e24dcee                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA2MjU3MTAxAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjI1\nNzEwMQAAAAlfX3VwZGF0ZWQ=\n	1306264301
session:5929e18b1b1024a2844a81a2110308671902befb                        	BQcDAAAAAQoKMTMwNjI1NzEwMgAAAAlfX3VwZGF0ZWQ=\n	1306264302
session:d26b2c17e66568e827d9efec6d4d98864208a97b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTEyNzM2NjIAAAAJX191cGRhdGVk\n	1311280933
session:4839f5e1dc3a65be44761aacb805fa3349914ce6                        	BQcDAAAAAQoKMTMwNjMwMDk1NAAAAAlfX3VwZGF0ZWQ=\n	1306308154
session:1c0b1049b8e3cda126cc91b599cb2773810e7b1c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU3K\n02IAAAAJX191cGRhdGVk\n	1305145279
session:43d5577a64085f56daeaa682ccd0e5d35bddc584                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMzAwOTYxAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjMwMDk2\nMQAAAAlfX3VwZGF0ZWQ=\n	1306308161
session:d98318f15c5b525556e674e8e6b2b599db073e24                        	BQcDAAAAAQoKMTMwNjMwMDk2MQAAAAlfX3VwZGF0ZWQ=\n	1306308161
session:3e3daf9f5a49ee2ccfbd29e629c5855690af6acb                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMzAwOTY2AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjMwMDk2\nNgAAAAlfX3VwZGF0ZWQ=\n	1306308166
session:0e1f0961fd6a6aefc2e4e87378f1bd8d31af5dc8                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNjI2MDE3NQAAAAlfX3VwZGF0ZWQ=\n	1306267393
session:d59ea3cb89c7f859103677b6549672a35abde790                        	BQcDAAAAAQoKMTMwNjMwMDgwMwAAAAlfX3VwZGF0ZWQ=\n	1306308003
session:77f50fc2123a379b936c26430766947465ef2d61                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA2MzAwODA5AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjMw\nMDgwOQAAAAlfX3VwZGF0ZWQ=\n	1306308009
session:a0f099190525319e95e504819f2abb9d0a55f0b9                        	BQcDAAAAAQoKMTMwNjMwMDgxMAAAAAlfX3VwZGF0ZWQ=\n	1306308010
session:2a7253862f51e2725c46dfd5d5caa08811802916                        	BQcDAAAAAQoKMTMxMTMzMzY2NwAAAAlfX3VwZGF0ZWQ=\n	1311340867
session:f442238a67721c3b623a7ca0f20515743c1bae70                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNTc5MzA1OAAAAAlfX3VwZGF0ZWQ=\n	1305800297
session:433a33dfcc05922d6271f7c7430172a35cef3051                        	BQcDAAAAAQoKMTMwMjc2NTAzOQAAAAlfX3VwZGF0ZWQ=\n	1302772242
session:bae3228e946c83899f8eeff14d2abb63823a6419                        	BQcDAAAAAQoKMTMwNjMwMDg4NQAAAAlfX3VwZGF0ZWQ=\n	1306308085
session:4cfd4af694aeee01e0c4858984ba15b2e6b2dde8                        	BQcDAAAAAQoKMTMxMzY5NjMxNwAAAAlfX3VwZGF0ZWQ=\n	1313703517
session:4942dc536b0a4def021a2c607da8e980a7fbe964                        	BQcDAAAAAQoKMTMxMzY5NjQzNgAAAAlfX3VwZGF0ZWQ=\n	1313703636
session:45d4b978f4061a3ac8a60e6c4bcff1396902987d                        	BQcDAAAAAQoKMTMwNjMwMDk0OAAAAAlfX3VwZGF0ZWQ=\n	1306308148
session:86e761c5ce43937fb7c45764772b1abe476c3a6a                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMzAwOTU0AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjMwMDk1\nNAAAAAlfX3VwZGF0ZWQ=\n	1306308154
session:71a49988cd68a03cdd8b57c4257ac30e6f0c7c1a                        	BQcDAAAAAQoKMTMwNjMwMDk2NgAAAAlfX3VwZGF0ZWQ=\n	1306308166
session:6816d0150f7c9e16341d535b3c66a8ed6a5b4f1d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEy\nODEwNjE3AAAACV9fdXBkYXRlZA==\n	1312817817
session:1ba68ca58bbec913386692cf5bfe5896a3fcb150                        	BQcDAAAAAQoKMTMxNjEyNTk4OAAAAAlfX3VwZGF0ZWQ=\n	1316133188
session:f4706365a3cacac62e3a94bd6584498e5a0836e4                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmphaW1lZm1maWxob0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE2MTI1OTkwAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFz\naAoKMTMxNjEyNTk5MAAAAAlfX3VwZGF0ZWQ=\n	1316133190
session:163013273854cb0d2d41efa13a2d693b09ad6abb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2o\nUbcAAAAJX191cGRhdGVk\n	1302883802
session:52abb1e9cd245201e70f3200ad640abfc1d0353d                        	BQcDAAAAAQoKMTMxMjI5ODAwOAAAAAlfX3VwZGF0ZWQ=\n	1312305208
session:5b3918647962c55393dc22f4918de97e5884e522                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nythoAAAACV9fdXBkYXRlZA==\n	1305150107
session:e9c0f2d2acd0fba6cc78911fe5d03d593d6fe25b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XG2dlbmlsc29uX2x1aXpfMkBob3RtYWlsLmNv\nbQAAAAZfX3VzZXIKCjEzMTYxMjU5OTAAAAAJX191cGRhdGVk\n	1316133190
session:8526446d44581fd2da4dab0073f3a3009f43c97e                        	BQcDAAAAAQoKMTMxNzMwOTU5MQAAAAlfX3VwZGF0ZWQ=\n	1317316791
session:cdb4f52e64c8681386a5ffa22aadb10a504451f8                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMzAxMDE4AAAACV9fdXBkYXRlZA==\n	1306308900
session:912cb251183147f57e39d91bbed4a7d93fdb7dc4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGNpbnRpYV9rYXJlbkBob3RtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMTYxMjU5OTIAAAAJX191cGRhdGVk\n	1316133192
session:8624bc563e805f0d6e8b69ba4825a9f0cda8f390                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCW1vY2sudXNlcgAAAAZfX3VzZXIKCjEzMDYy\nMjQzMzYAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgoxMzA2MjI0MzM3\nAAAACV9fdXBkYXRlZA==\n	1306231536
session:c413c8788adf29de92e725c1761e45839e822df5                        	BQcDAAAAAQoKMTMwNjIyNDMzNwAAAAlfX3VwZGF0ZWQ=\n	1306231537
session:a1da354ce8799a86be0cb2a4b8985f4a45e5b2e6                        	BQcDAAAAAQoKMTMwNjMwMTE4NAAAAAlfX3VwZGF0ZWQ=\n	1306308384
session:3a6696cb39a22bbae38db9af7d932332a3afe36a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA2MzAxNDI5AAAACV9fdXBkYXRlZA==\n	1306316735
session:2131d39d523901a17ad03ef38f27cdfca999b20b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nMjI1NDI2AAAACV9fdXBkYXRlZA==\n	1306232647
session:00639681c98a39d730a2bccded51e4da8bb26bc8                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTI4MTQ4MzIAAAAJX191cGRhdGVk\n	1312822032
session:d079bde5a153bf8128380c2a1e4664a8a0744dc2                        	BQcDAAAAAQoKMTMxMjgyMjA0MwAAAAlfX3VwZGF0ZWQ=\n	1312829243
session:e10f5bb23472f86575d85bc23ee84ae6d238e6c7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzE2MTI1OTg4AAAACV9fdXBkYXRlZA==\n	1316133188
session:f75988b8c0b9318a67138b113ee9c5f9365aa331                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU5N\nXUUAAAAJX191cGRhdGVk\n	1313700696
session:836fed7b6cdeb07ac8b941088cf43fc713f1fd9b                        	BQcDAAAAAQlNyt+oAAAACV9fdXBkYXRlZA==\n	1305148360
session:e81dce9be6d7199394781e63d06fc1b779d4156f                        	BQcDAAAAAQlNyuMtAAAACV9fdXBkYXRlZA==\n	1305149261
session:913d28fb4d53a90c49012285cac36e7be56fed21                        	BQcDAAAAAQoKMTMwNTYzMTQyNQAAAAlfX3VwZGF0ZWQ=\n	1305638622
session:cd87bb7b9bbfc0dba67e99b7111a5e937ad79900                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3c\n8u0AAAAJX191cGRhdGVk\n	1306335555
session:6e5a6e1e8734915f1bf730a559cb265108f54f6f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNTU1MTgyMAAAAAlfX3VwZGF0ZWQ=\n	1305559020
session:6ed6f96ad4e1a77ee71eeca84bcc3c19f257aeec                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEXNhbXVlbC5jYXZhbGNhbnRlAAAABl9fdXNl\ncgoKMTMwNzM4NTYxMQAAAAlfX3VwZGF0ZWQ=\n	1307392811
session:e2f93475f047374a57c5a3861f4d1d543ac15511                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2nAEQA\nAAAJX191cGRhdGVk\n	1302815932
session:6c705eaf14a55bdaa13c5a240ca5a8ecf76c801d                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMxMDczODk0NgAAAAlfX3VwZGF0ZWQ=\n	1310746146
session:9709df20e9856833af278522907d3d19ad72d2aa                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxNjEyNTk4OQAAAAlfX3VwZGF0ZWQ=\n	1316133189
session:4704a75adae8d2f672e8bdf0a08f97363465f852                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU5Na2AA\nAAAJX191cGRhdGVk\n	1313703970
session:b78b0c98ab18ffabe63f3a45e8bfeaca87d29851                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEw\nNzM5NDYyAAAACV9fdXBkYXRlZA==\n	1310746726
session:801804738ab658d881ea519b6c94077f7208e630                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTM3NTMwMzgAAAAJX191cGRhdGVk\n	1313760243
session:4b3bb61aaa5e274af504c988abc94c2567e96c73                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyBAMAAAAB\nCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgoxMzExODU5NzkxAAAACV9fdXBkYXRlZA==\n	1311866992
session:3d3f3e8576b09d00ce07e6680e5e72fa0b002db7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2n\nRlgAAAAJX191cGRhdGVk\n	1302815967
session:5e40e664b4052182681d8b31101200a9358a6267                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMjc3NDYxOQAAAAlfX3VwZGF0ZWQ=\n	1302781819
session:42413af9a546ead693e323ba7f421d5a101bd739                        	BQcDAAAAAQoKMTMwNDA3MTQzMgAAAAlfX3VwZGF0ZWQ=\n	1304078632
session:9de5d4de197702725470289c8b9c1b47f52e16f3                        	BQcDAAAAAQoKMTMwMjc4NDEwMAAAAAlfX3VwZGF0ZWQ=\n	1302791300
session:ef286f0e9eb1c47690dc87f3f7de5d259fbbaa68                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDGNsYXVkaW8ubWFpYQAAAAZfX3VzZXIKCjEz\nMDI3ODk4OTcAAAAJX191cGRhdGVk\n	1302797633
session:a60afd87907fe7c947a2522db924490c6f8335ea                        	BQcDAAAAAQoKMTMwMjg2MjkyNQAAAAlfX3VwZGF0ZWQ=\n	1302870125
session:c5b45dd047b1e2beb71b491e5bfd0cc8c5027960                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\np0IzAAAACV9fdXBkYXRlZA==\n	1302817336
session:5bc0767ccbc616e46ca8efd2f61f852b340d1183                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2n\nRhUAAAAJX191cGRhdGVk\n	1302815285
session:a6924897d614188994800b2a26ce7db324811666                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\npwIEAAAACV9fdXBkYXRlZA==\n	1302797860
session:ca78663a5833d1d5cd2edb414790bc39c7fcd1a4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDGNsYXVkaW8ubWFpYQAAAAZfX3VzZXIKCjEz\nMDI4MDgxNjEAAAAJX191cGRhdGVk\n	1302815361
session:4e570c4353224d27c7434309344e07b1eb690c33                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU2n\nRh4AAAAJX191cGRhdGVk\n	1302815301
session:90b28232dd39c36c445cb931f8f63607c6d64a01                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2m\n+nYAAAAJX191cGRhdGVk\n	1302795931
session:04b9fa51a7ef2157aca803803e499e1cca719f1e                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwNDA3MTQ0MwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDQwNzE0NDMAAAAJX191cGRhdGVk\n	1304078643
session:28d150e397dff21600f425d7c3f37b3688a3efde                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU2n\nB2kAAAAJX191cGRhdGVk\n	1302799241
session:db284f4646202682a9aa6cf87731047045cdb06a                        	BQcDAAAAAQoKMTMxMTg2MDM1NAAAAAlfX3VwZGF0ZWQ=\n	1311867554
session:02304337633b834d1f1c904db9659bf03cb745b6                        	BQcDAAAAAQoKMTMwNDA3MTQ0MwAAAAlfX3VwZGF0ZWQ=\n	1304078643
session:efd40ec25aec5a869ed00273406f8afcc0ceb57d                        	BQcDAAAAAQoKMTMxMTg2MDcxNwAAAAlfX3VwZGF0ZWQ=\n	1311867917
session:f794c281ac44656b6ce51b5bc0decc88cca10d07                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2s\nmSAAAAAJX191cGRhdGVk\n	1303164252
session:38102da45bf4caab35f68d6e2888f22685133407                        	BQcDAAAAAQoKMTMwMzk4NjM4NwAAAAlfX3VwZGF0ZWQ=\n	1303993587
session:7ebb121028f6f560751cc229bb3494a9f1268d90                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMjgwODI4MgAAAAlfX3VwZGF0ZWQ=\n	1302815858
session:dc5fa1a8997215b980f93be5d10b21e16b24b111                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XHHBlc3BlY2lhbF9mdW5jaUB5YWhvby5jb20u\nYnIAAAAGX191c2VyCgoxMzAyODQ1NDM5AAAACV9fdXBkYXRlZA==\n	1302852747
session:69384bf847ad757eadc2ee3f7abcf63055188c35                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2oT7IA\nAAAJX191cGRhdGVk\n	1302883984
session:508e39f2d0312dbb231925d08f164d7c664dbdea                        	BQcDAAAAAQoKMTMwMjg4NzE3MAAAAAlfX3VwZGF0ZWQ=\n	1302894366
session:c3a2801ed8108074ff485dc3587b360d345dcb5a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMzk4NjQyMAAAAAlfX3VwZGF0ZWQ=\n	1303995665
session:f703e74ab3b3a6925e78e118576c67cf1ce2dccb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\n0rudAAAACV9fdXBkYXRlZA==\n	1305663520
session:f58c2bcd43401191f36e960d779c6c8101609b12                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3K4PcA\nAAAJX191cGRhdGVk\n	1305148721
session:b7a612fdd1be567f3db828608300401979fde929                        	BQcDAAAAAQoKMTMwNDA4MjI4OQAAAAlfX3VwZGF0ZWQ=\n	1304089490
session:ff33dc5d8e4bcf5c00ba993859f97e4d91710eb7                        	BQcDAAAAAQoKMTMxNjQzNTc4NAAAAAlfX3VwZGF0ZWQ=\n	1316442984
session:db73701448bd5738f7b40c736d0360059aec2eac                        	BQcDAAAAAQoKMTMwMzk5ODkxNgAAAAlfX3VwZGF0ZWQ=\n	1304006116
session:195caeb12f3d518195c054e10c2ba8e9499fae1b                        	BQcDAAAAAQoKMTMwNDA3ODU5OQAAAAlfX3VwZGF0ZWQ=\n	1304085799
session:31daaff9d9746b6bccc7c611d59b3b713127497d                        	BQcDAAAAAQoKMTMxNjQzNTgyMwAAAAlfX3VwZGF0ZWQ=\n	1316443023
session:7e14ce49a67770ced056216f2ed516ca8585b25f                        	BQcDAAAAAQoKMTMxNjEyNTk5MQAAAAlfX3VwZGF0ZWQ=\n	1316133191
session:529a4622e35f9698ae1ec9d5023b474339f247a6                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2o\nUWkAAAAJX191cGRhdGVk\n	1302890080
session:361c850e419bfa4fb6e459e013188b0816495939                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmFjb2xoZXJmdW5jaUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzAyNzg1MDgzAAAACV9fdXBkYXRlZA==\n	1302792283
session:ecaa6365d093add5a9c688b9b7b696c2d7a0a7f7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2oPEEA\nAAAJX191cGRhdGVk\n	1302878305
session:0fdef25f93b20d747dea8a13d6633c503a3c640e                        	BQcDAAAAAQoKMTMwNTEyMDkzNQAAAAlfX3VwZGF0ZWQ=\n	1305128132
session:3d3049f2d4f89138a2aa4888ede75147b95e95c1                        	BQcDAAAAAQoKMTMxNjQzMjk1OAAAAAlfX3VwZGF0ZWQ=\n	1316440158
session:9d9936ffcfbbe9be153c84f869ed58906f7d5f0f                        	BQcDAAAAAQoKMTMwNzQ1MTAzNwAAAAlfX3VwZGF0ZWQ=\n	1307458237
session:97e3d864f862b9f101f227234c419d55893e3f4d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMjg0ODI2MgAAAAlfX3VwZGF0ZWQ=\n	1302855493
session:e2b3c8309885c236ea9213f7fe416fd033ffe603                        	BQcDAAAAAQoKMTMxNjQzMzIwMQAAAAlfX3VwZGF0ZWQ=\n	1316440401
session:b5cb3ccd22eb310b629191901752a91ec18f97b8                        	BQcDAAAAAQoKMTMxNjQzMzUwNQAAAAlfX3VwZGF0ZWQ=\n	1316440705
session:f688ebe7615b2b2607c3f3c35daf68dc8cbf896b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2n\nWcsAAAAJX191cGRhdGVk\n	1302820331
session:c200e254b59cb63c80567f1f9cb987362077a607                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nqDqeAAAACV9fdXBkYXRlZA==\n	1302877931
session:172c98598a7e2d82ac9e0c60b707b1b2baded9cc                        	BQcDAAAAAQoKMTMwMjg2MTc2OAAAAAlfX3VwZGF0ZWQ=\n	1302868968
session:bffba1b28e2fdbf58fe071a99ea074ab8afb0c0f                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjg2MTc4NgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDI4NjE3ODYAAAAJX191cGRhdGVk\n	1302868986
session:45993a7f49101e5903514f0064b085f5e60e28ff                        	BQcDAAAAAQoKMTMwMjg2MTc4NgAAAAlfX3VwZGF0ZWQ=\n	1302868986
session:0fd187c9b500e7c7a1e8b77c1711dcb467ddcf1c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxNjUyNzE1OQAAAAlfX3VwZGF0ZWQ=\n	1316534395
session:be0315cf94da9370021ee8392b3177b1886e7dad                        	BQcDAAAAAgQZAAAAAAEKHEVzdGFkbyBhbHRlcmFkbyBjb20gc3VjZXNzbyECAAAAB3N1Y2Vzc28A\nAAAHX19mbGFzaAoKMTMxOTEyNTE2MQAAAAlfX3VwZGF0ZWQ=\n	1319132361
session:582f83da4775e87e599d72dfd205d1c5639c34a5                        	BQcDAAAAAQoKMTMwNjMxMTA1NAAAAAlfX3VwZGF0ZWQ=\n	1306318255
session:011cecd1ed890539b3efebee556bd6dff16b4183                        	BQcDAAAAAQoKMTMxOTEyNTIzOQAAAAlfX3VwZGF0ZWQ=\n	1319132439
session:e4e27992e2d9f22e1ad1bb379002fa7f294d1255                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCjEzMTg1MTQzMTEAAAAJX19jcmVhdGVkFxJo\namZpZWdlQHVvbC5jb20uYnIAAAAGX191c2VyCgoxMzE4NTE0MzEyAAAACV9fdXBkYXRlZA==\n	1318521524
session:be62f16ada637e9a9c298948a252a7e1a4fc849b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA1\nNzkzNTkyAAAACV9fdXBkYXRlZA==\n	1305800848
session:0674dd365e1b252eb6654d226175fd5c66174cdf                        	BQcDAAAAAQoKMTMxMzc1Nzg0MgAAAAlfX3VwZGF0ZWQ=\n	1313765042
session:b9d79777c6db0fefe65b656447445b5ffc02b6f7                        	BQcDAAAAAQoKMTMwNjMxNDU3NgAAAAlfX3VwZGF0ZWQ=\n	1306321776
session:6e1e245548929fa44986ed2dc88feb8130cbb71e                        	BQcDAAAAAQoKMTMxODUzNDUwMgAAAAlfX3VwZGF0ZWQ=\n	1318541702
session:09e7c94f404d02065211b99f7fce903df9026af2                        	BQcDAAAAAQoKMTMxODg2ODc0NwAAAAlfX3VwZGF0ZWQ=\n	1318875947
session:b30e59c6190c685ad71e213685429d18e9b0ce04                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCGplYW4ubWF4AAAABl9fdXNlcgoKMTMwNzM4\nNjI1NgAAAAlfX3VwZGF0ZWQ=\n	1307393758
session:8fb87d97de29d64a28ab4a15d5f65ab0d099d1d2                        	BQcDAAAAAQoKMTMwNzM4NzkzNgAAAAlfX3VwZGF0ZWQ=\n	1307395136
session:f60e23dba7f7b6426769fb34194c046808cc75c5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMzc2NTQyNAAAAAlfX3VwZGF0ZWQ=\n	1313772658
session:3e15874edbca66063e05ec3a5bc946d0c4f97ae0                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCjEzMDYzMTgzODgAAAAJX19jcmVhdGVkFw5y\nb2RvbGZvLnNpa29yYQAAAAZfX3VzZXIKCjEzMDYzMTg5NDMAAAAJX191cGRhdGVk\n	1306326143
session:cfb15531fd37806500217ffefa5993ea9953ba8e                        	BQcDAAAAAQoKMTMxMDczODY4NQAAAAlfX3VwZGF0ZWQ=\n	1310745885
session:d7cb1fd7bb0c613d798dea79231676690f51eb90                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNTIxMDAwNgAAAAlfX3VwZGF0ZWQ=\n	1305218507
session:baf182f3686a27bfb349ff7ec895bd373ad95dfb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEz\nNzc0ODA3AAAACV9fdXBkYXRlZA==\n	1313782012
session:2d1007fb3e34f6b95b08d24464a55fa3efb16f10                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU3R\nfy4AAAAJX191cGRhdGVk\n	1305582414
session:3ff12ac6d5e9770d439d84567995f5192513ef3b                        	BQcDAAAAAQoKMTMwNzM5MDA4MwAAAAlfX3VwZGF0ZWQ=\n	1307397284
session:f594bee37b1a274d249f5b19b8ceaa24606f9774                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMDc0MTA5NwAAAAlfX3VwZGF0ZWQ=\n	1310748297
session:2fae833371d8347213fc08688c90502b98ef8a99                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTA3Mzk0MDYAAAAJX191cGRhdGVk\n	1310747403
session:c6749c5a54dbdb2d81a55b7f02620cf878319425                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCjEzMTA3Mzg5MjcAAAAJX19jcmVhdGVkFxlj\ncmxnYnRmb3J0YWxlemFAZ21haWwuY29tAAAABl9fdXNlcgoKMTMxMDczOTE5MQAAAAlfX3VwZGF0\nZWQ=\n	1310748637
session:17d0517cc93a5d27579611d320a9c3b3d371346d                        	BQcDAAAAAQoKMTMxODU5NTAxMAAAAAlfX3VwZGF0ZWQ=\n	1318602209
session:ac3547e73f69e1e493d7a426bc57420ee32c8d1a                        	BQcDAAAAAQoKMTMxODU5NTEwNAAAAAlfX3VwZGF0ZWQ=\n	1318602304
session:99e4993afab947aa59d44818a87057461ca4f6a8                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEw\nNzQ4OTQxAAAACV9fdXBkYXRlZA==\n	1310756196
session:5824de74f5c984506fcb1603b31d2f9a685833d0                        	BQcDAAAAAQoKMTMxMTE3ODQxOAAAAAlfX3VwZGF0ZWQ=\n	1311185618
session:a9a9ed556ef5d14cd47728321ed21913c5e6e50b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU34\nzUQAAAAJX191cGRhdGVk\n	1308165044
session:1e71eade073e01964cc321a14eea7ca26638749d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2ofYAA\nAAAJX191cGRhdGVk\n	1302907307
session:b22a5d50cafff1952b9f749de40305e8dce09035                        	BQcDAAAAAQoKMTMwNzM4ODk5MAAAAAlfX3VwZGF0ZWQ=\n	1307396190
session:4a6b47d5f7db00ff73b602a40dd27b6377891a39                        	BQcDAAAAAQoKMTMxMTg2MzYwMgAAAAlfX3VwZGF0ZWQ=\n	1311870802
session:23683e4d7876adddc9dca63b1535814fc193a7dc                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmZsYXZpYS5mZWl0b3NhAAAABl9fdXNlcgoK\nMTMxMzY3NTIyMwAAAAlfX3VwZGF0ZWQ=\n	1313682564
session:568e5fa7a610c8b175f1433289b98a7bae8278bd                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU3u\nNrUAAAAJX191cGRhdGVk\n	1307464423
session:2e929409a8f92b2edc884499fcdd06c096b67ec7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\ny+fEAAAACV9fdXBkYXRlZA==\n	1305226551
session:e91efd4eb83d333934de0ed9a54bc5e78de53319                        	BQcDAAAAAQoKMTMxNDAxODEwMAAAAAlfX3VwZGF0ZWQ=\n	1314025300
session:69e772c7443f40ec10021fd9f00d9aa1b133db52                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTEzMzg1MzIAAAAJX191cGRhdGVk\n	1311352679
session:fd8ff4660cb8c7464f53960f8f7d31f960515d88                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTE3NzY3MTYAAAAJX191cGRhdGVk\n	1311784320
session:880714d42a3fd8ebb4444ac075225092bf6d0cb7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMzc3NjM0MAAAAAlfX3VwZGF0ZWQ=\n	1313783546
session:20c1c57cae371c817c2756c11f921cc93a6f8af6                        	BQcDAAAAAQoKMTMxMzc3OTY2NQAAAAlfX3VwZGF0ZWQ=\n	1313786865
session:643f434366c12b2d87f7906f1eef3b949947a64f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNzQ1NzUyNAAAAAlfX3VwZGF0ZWQ=\n	1307464750
session:563b462e17ab1018c24a3647743b7e98c7b01c56                        	BQcDAAAAAQoKMTMxMzc4MjE4MAAAAAlfX3VwZGF0ZWQ=\n	1313789380
session:151d0607f8c4b56b5c30642ff1d8cea5ec952146                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTI4MzI1MzEAAAAJX191cGRhdGVk\n	1312839792
session:e5f0ab75f0859c3f9e8bd4f74bbc47e2861ec469                        	BQcDAAAAAQoKMTMxNDAxMjUxMAAAAAlfX3VwZGF0ZWQ=\n	1314019710
session:856d673803097ecbeec7a47bafead87a1677afba                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNzQ2NjM3NgAAAAlfX3VwZGF0ZWQ=\n	1307473614
session:e965f926dd1d6d0d5de158bf688742ad46b45de2                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA3\nNDQ5Mjk4AAAACV9fdXBkYXRlZA==\n	1307456770
session:2ed729c7ec94b1b4508715ef099054badfc62747                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTM1ODM0OTgAAAAJX191cGRhdGVk\n	1313590834
session:494bed52701a795bf5353d72a27d4a7da74ea23a                        	BQcDAAAAAQoKMTMxNjEyNTk5MgAAAAlfX3VwZGF0ZWQ=\n	1316133192
session:5aabf14411f96885eaf8ce666361ed55fd78400a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nMzM5ODQ5AAAACV9fdXBkYXRlZA==\n	1311349668
session:37d4bedbd86dab42de439103af6142e739c05778                        	BQcDAAAAAQoKMTMxMTM0MjU5MQAAAAlfX3VwZGF0ZWQ=\n	1311349791
session:8e2c909c1b629613bff64b29bd8df5295491315e                        	BQcDAAAAAQoKMTMxMjg5MDA2MAAAAAlfX3VwZGF0ZWQ=\n	1312897260
session:8d1fdac66bb8aa8eccf814b2b544ee240c94a16f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmZsYXZpYS5mZWl0b3NhAAAABl9fdXNlcgoK\nMTMxNjQzMTg4MwAAAAlfX3VwZGF0ZWQ=\n	1316451811
session:7169204ff6b104f963e54d2fc03776d1c4d338bf                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFGFsbGFudGluZm9AZ21haWwuY29tAAAABl9f\ndXNlcgoKMTMwNTc5OTY0OAAAAAlfX3VwZGF0ZWQ=\n	1305806957
session:9ba3d93cff93521278872bbe3d6bba09fcfa8e30                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE2\nNDQ5MzE4AAAACV9fdXBkYXRlZA==\n	1316457244
session:800781b0388bafcd9acda2cf7fd061cbfdb63803                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNzQ1NTI1MQAAAAlfX3VwZGF0ZWQ=\n	1307462476
session:187241f933411ff2c35f4c8d2be6188efc25b303                        	BQcDAAAAAQoKMTMwNzQ2NjcwOAAAAAlfX3VwZGF0ZWQ=\n	1307473908
session:1c8ea4d09811aa2875b2cf19ee56fa0e5c210c36                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU5OtBUA\nAAAJX191cGRhdGVk\n	1313788018
session:2f95cd563ab6088ad3ee5e6a2b87d73bea60e217                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\n+OGeAAAACV9fdXBkYXRlZA==\n	1308164267
session:1a6351509e364ce82900538bd8597e018da8b44f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmFjb2xoZXJmdW5jaUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzA2MzUxOTAzAAAACV9fdXBkYXRlZA==\n	1306359103
session:222373dbcbe12fb8191849b54965b3a41ff4cacb                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEmxlZGguc2RoQGdtYWlsLmNvbQAAAAZfX3Vz\nZXIKCjEzMDU3MDU3NDQAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgox\nMzA1NzA1NzQ0AAAACV9fdXBkYXRlZA==\n	1305712944
session:eb8547fa360d4ed73f7be82cb52e785caccb8251                        	BQcDAAAAAQoKMTMwNTcwNTc0OAAAAAlfX3VwZGF0ZWQ=\n	1305712948
session:24c086fa75b433a3b455b6a1c834cca2a305a64e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEXNhbXVlbC5jYXZhbGNhbnRlAAAABl9fdXNl\ncgoKMTMwNzQ2OTU3NwAAAAlfX3VwZGF0ZWQ=\n	1307481567
session:00ab7e991232c30253450ca89b0b22449f480af3                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyBAMA\nAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCU3VUFkAAAAJX191cGRhdGVk\n	1305832569
session:96c642cfdcb9053025947edbe2073bbb395050dd                        	BQcDAAAAAQoKMTMxMTc3Njk5MwAAAAlfX3VwZGF0ZWQ=\n	1311784195
session:bbe8857cd4980fbde3f451984ff6381b9722bc0f                        	BQcDAAAAAQoKMTMxNjQ0NjEwMgAAAAlfX3VwZGF0ZWQ=\n	1316457336
session:dd4e7ae003a3546d0841a7fb11352ba268b201eb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzEwNjYyNjkzAAAACV9fdXBkYXRlZA==\n	1310669899
session:5cc6b0bed256976758ff2aa7298552ac2d67e343                        	BQcDAAAAAQoKMTMwNzQ0ODk2NQAAAAlfX3VwZGF0ZWQ=\n	1307456165
session:be8109b6f331fcb6211617202097a1ed6ca5e8d8                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglO\nIGuWAAAACV9fdXBkYXRlZA==\n	1310754742
session:8ce5d4827c746fe9f4745b28878a8a33665604f7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA3NDU0NDY5AAAACV9fdXBkYXRlZA==\n	1307462595
session:db6db6fcbd74161e84523b4767738b5f04d179b8                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU3R\ngtIAAAAJX191cGRhdGVk\n	1305583350
session:e6baec0b3c70e6800f76649a0253d398b98a7b03                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGWNybGdidGZvcnRhbGV6YUBnbWFpbC5jb20A\nAAAGX191c2VyCgoxMzExMzU0MjMwAAAACV9fdXBkYXRlZA==\n	1311362155
session:c7f317f893f7d6cdbd2160e78c5319e621bb5e22                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU3T\n2/YAAAAJX191cGRhdGVk\n	1305737238
session:e5179a066a6f32b34a1e1c99f3f7692fe9aed68b                        	BQcDAAAAAQoKMTMxNDAxNTY2NgAAAAlfX3VwZGF0ZWQ=\n	1314022866
session:04b1d84a5a62b851ad8ee6d5134a0606d75d222b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU3S\nxsYAAAAJX191cGRhdGVk\n	1305670349
session:910b261cbefd006eae21bc83d79070f893ae80a0                        	BQcDAAAAAgoKMTMwNjM0NzU0NwAAAAlfX2NyZWF0ZWQKCjEzMDYzNTMwMTYAAAAJX191cGRhdGVk\n	1306360218
session:b8d09fde17f78674fe86cac2169fd959109c1841                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU35\nDcYAAAAJX191cGRhdGVk\n	1308178277
session:94105ab49b5accc6a5238c2653711e7256e59f84                        	BQcDAAAAAQoKMTMxMTg2NTQ0OAAAAAlfX3VwZGF0ZWQ=\n	1311872649
session:9be0371dd361640ba345466669a363331d5f343c                        	BQcDAAAAAQoKMTMxOTEyOTg3NgAAAAlfX3VwZGF0ZWQ=\n	1319137076
session:ebd417b098510a099fa89d58e39697f01f6e0117                        	BQcDAAAAAQoKMTMwNTcwNTY5NwAAAAlfX3VwZGF0ZWQ=\n	1305712897
session:9ce19d7bc8359b15297c6d5ee252c5da07387f7b                        	BQcDAAAAAQoKMTMxMTg2OTIzMgAAAAlfX3VwZGF0ZWQ=\n	1311876432
session:0cc0a5e76dce690d5a81ae502fcfda86911a4bfe                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nMzU3ODI4AAAACV9fdXBkYXRlZA==\n	1311365028
session:9a9a9615c53b6ec579e107ef32d95a691fbac020                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA4\nMTY4NTE4AAAACV9fdXBkYXRlZA==\n	1308175727
session:828f9e48ae6506ba601260eca7a71f29a7db00f7                        	BQcDAAAAAQoKMTMxNjUzOTYxNwAAAAlfX3VwZGF0ZWQ=\n	1316546817
session:86fc58ebf42755d74926224001a2919a870e58f0                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwODE2ODcyMwAAAAlfX3VwZGF0ZWQ=\n	1308175930
session:dd0437abb0e1378f47997a30f199b2105c588492                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU5S\nPLAAAAAJX191cGRhdGVk\n	1314019930
session:3b286c93f0e61443b8c6a20a08a1d570fdd5e408                        	BQcDAAAAAQoKMTMxMTc3MjQzMgAAAAlfX3VwZGF0ZWQ=\n	1311779632
session:7debf27f79d89f12e8927ce709e7ea49e3f82ffb                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU44OmMA\nAAAJX191cGRhdGVk\n	1312315044
session:ede884c812fecf396a335a740c6237c2047a5ec7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3S\njeoAAAAJX191cGRhdGVk\n	1305665159
session:9bdb18ff800c5f04dd912c0d025527a7c1c3564f                        	BQcDAAAAAQoKMTMwNDQyMTQ4MAAAAAlfX3VwZGF0ZWQ=\n	1304428680
session:fa91390020c16bb2be61a30e06c2b1227037b5c1                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGd1aWxoZXJtZXNlaW5mQGdtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMDMxOTYwODIAAAAJX191cGRhdGVk\n	1303203429
session:6956b71e4165e28a826e8230dafe0ee42c0d307a                        	BQcDAAAAAQoKMTMwNDQyMTQ4NgAAAAlfX3VwZGF0ZWQ=\n	1304428686
session:064d486ee3d5e9fc8d7094f90ff204f056a54221                        	BQcDAAAAAQoKMTMwNDQyMTU4NwAAAAlfX3VwZGF0ZWQ=\n	1304428787
session:2b2322e10b1dd493c498ed78d5d6ca3b8cd2eee3                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMzc1MTk1OAAAAAlfX3VwZGF0ZWQ=\n	1303759165
session:8faebc8011b10ba82fd4f4e89d837bb977612e57                        	BQcDAAAAAQoKMTMwNDQxOTM5MQAAAAlfX3VwZGF0ZWQ=\n	1304426591
session:9bccd1a655984357817ac193aef91780c7836e20                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU2o\nmvIAAAAJX191cGRhdGVk\n	1302902787
session:44cc84c36b0802ce6dc0cdc8f3affce75ed1c5ee                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA0NDE5NDA2AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNDQx\nOTQwNgAAAAlfX3VwZGF0ZWQ=\n	1304426606
session:8325c37639f1b1334975d5c05d510cbb5682c8df                        	BQcDAAAAAQoKMTMwNDQxOTQwNwAAAAlfX3VwZGF0ZWQ=\n	1304426607
session:ee6bf76cdd3f1277b2180647e63b99119f006b49                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCjEzMDMyMTUwMDEAAAAJX19jcmVhdGVkFwpw\nYXVsby5uZXRvAAAABl9fdXNlcgoKMTMwMzIxNTMyMwAAAAlfX3VwZGF0ZWQ=\n	1303222573
session:2129668ddf56360b0a65637ea64ba0117ef5e4f6                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2o\ni/0AAAAJX191cGRhdGVk\n	1302900813
session:586eb595045424a4f70ed380f3a08b8afea55f02                        	BQcDAAAAAgoKMTMwNDQxOTg4MgAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1304427082
session:a63105a32ca80d047e0bb7d2c89a769246d6fd4b                        	BQcDAAAAAQoKMTMwNDQxOTg4MwAAAAlfX3VwZGF0ZWQ=\n	1304427083
session:2ef91a9343f874b7ab11633b40c2a235c9b6f2c8                        	BQcDAAAAAQoKMTMwNDQyMDEzMQAAAAlfX3VwZGF0ZWQ=\n	1304427331
session:1a2b086e11273d0667d134135235f11e44ec1579                        	BQcDAAAAAQoKMTMwNDQyMDYxMAAAAAlfX3VwZGF0ZWQ=\n	1304427810
session:2bdc8fa19a56881a90d6fd591948fca903f17d3c                        	BQcDAAAAAQlNrJW6AAAACV9fdXBkYXRlZA==\n	1303163354
session:2aa041c33cc7a547dde22ea7beeff5fa20644396                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMzIwMDMwNAAAAAlfX3VwZGF0ZWQ=\n	1303207516
session:10af1e19d0d070033ce57791570d5113ff3997d8                        	BQcDAAAAAQoKMTMwNDQyMTI4OAAAAAlfX3VwZGF0ZWQ=\n	1304428487
session:92fde9a75ae83b1d4d7632a52d4e0493c2e19336                        	BQcDAAAAAQoKMTMwNDQyMTQ2OAAAAAlfX3VwZGF0ZWQ=\n	1304428668
session:f93b38af871327d762456879a8cc059c3fe0fdde                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA0NDIxNDcyAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNDQy\nMTQ3MgAAAAlfX3VwZGF0ZWQ=\n	1304428672
session:1d51bad0bd6600a26101b2851c1b0494309fd537                        	BQcDAAAAAQoKMTMwNDQyMTQ3MgAAAAlfX3VwZGF0ZWQ=\n	1304428672
session:07863da2ebc49e8137172705acfb99e89e1b6fa0                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA0NDIxNDgwAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNDQy\nMTQ4MAAAAAlfX3VwZGF0ZWQ=\n	1304428680
session:ae300d20791b1005dee47841dceb493c1a36dd03                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNTIyNzE0MAAAAAlfX3VwZGF0ZWQ=\n	1305234343
session:ba052e5b42292cdfc00957ed6518e6946707ea49                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNzQ3Njg1OQAAAAlfX3VwZGF0ZWQ=\n	1307484303
session:b741f75e40952cf438211d2d2335fc6e858be0a5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNjEzNDk4NwAAAAlfX3VwZGF0ZWQ=\n	1306142187
session:8df5c5f466b72102368e0e567ccd1c0e595020f5                        	BQcDAAAAAQoKMTMwNDQzMDkyNQAAAAlfX3VwZGF0ZWQ=\n	1304438126
session:d7758d0f160bc34b5f61732cfced38e6b5ede096                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU35CjYA\nAAAJX191cGRhdGVk\n	1308174612
session:e3afbc2090b700cdf4466b94595364d80dd9c1bd                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU44\nOscAAAAJX191cGRhdGVk\n	1312315122
session:04529e4420a6034fb0c7a2cd463f41544c7d3d6b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEmxlZGguc2RoQGdtYWlsLmNvbQAAAAZfX3Vz\nZXIKCjEzMDYxMzQwMjcAAAAJX191cGRhdGVk\n	1306142654
session:c7c04ad7c8c5765742d7f4206233385053e2685d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGd1aWxoZXJtZXNlaW5mQGdtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMDc2MjM3NjIAAAAJX191cGRhdGVk\n	1307632008
session:08cf5a09ed3aa2288a691d4ed24f815cc381f662                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2o\nfLsAAAAJX191cGRhdGVk\n	1302904021
session:96ea8dd5c8be457f08debc78f16a523937a7122c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3R\nlkwAAAAJX191cGRhdGVk\n	1305588411
session:8ea6bf39d1fc68c956864691d1ae98b277777594                        	BQcDAAAAAQoKMTMwNzcyMzcxMQAAAAlfX3VwZGF0ZWQ=\n	1307730912
session:cffc42ea5a9c0c752267f9f8f58397c70674de0b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGWNybGdidGZvcnRhbGV6YUBnbWFpbC5jb20A\nAAAGX191c2VyCgoxMzExMzYxODU0AAAACV9fdXBkYXRlZA==\n	1311369221
session:8f103058c0a7e143745a9dfb3667c45a8d02d959                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNzUzNjAyOAAAAAlfX3VwZGF0ZWQ=\n	1307547777
session:4b910d3ba4961156b3b7a321e4c3e094b5cadf3e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3L\n3hQAAAAJX191cGRhdGVk\n	1305228153
session:4fcfd8bd5a3d0005af05e68deac0c1d962e2373d                        	BQcDAAAAAQoKMTMxMjg5ODczOAAAAAlfX3VwZGF0ZWQ=\n	1312905938
session:5428b073acb3af001e5ee6f78f9e206ad8810024                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMDc0ODk5MQAAAAlfX3VwZGF0ZWQ=\n	1310756319
session:f11b82f55eabdb6ac2735fe3181707bbb554c00f                        	BQcDAAAAAQoKMTMxMTg3MTAzOAAAAAlfX3VwZGF0ZWQ=\n	1311878239
session:8748deb0a7d8d5d962420625a7c7ffa423791695                        	BQcDAAAAAQoKMTMwNzYyNTA5OAAAAAlfX3VwZGF0ZWQ=\n	1307632298
session:0002391b6acff08f254d2df21b4853f2d0f0babb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNzcxODgwMAAAAAlfX3VwZGF0ZWQ=\n	1307726000
session:4d5ebe6c5fefde6719a43dc3c3bf694a4fc59b7a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA3NzIyOTIzAAAACV9fdXBkYXRlZA==\n	1307730123
session:1a169bf5656f3e7f3d20d2311c242a5085b144a4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCgox\nMzA3NzM2Njg2AAAACV9fdXBkYXRlZA==\n	1307743903
session:8d63ddf76dde3b1773f718e48d5d43afe3972f81                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3x\nJ2kAAAAJX191cGRhdGVk\n	1307657102
session:f2fd90a7bcbce2e1f612835bf6b8dc7e608c564a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTEzNjI2MjAAAAAJX191cGRhdGVk\n	1311369938
session:393ca0d047bf43296d0c599ea2f98e7bb97178e3                        	BQcDAAAAAQoKMTMxMTM2MjkxNwAAAAlfX3VwZGF0ZWQ=\n	1311370120
session:0bb484c6b638beb2ee1e8bbb6579643459b0071e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTIzMTI5MTEAAAAJX191cGRhdGVk\n	1312320283
session:6c7fd23ea2779089047edebd3df7b778e79258d4                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMzExODY5MgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDMxMTg2OTIAAAAJX191cGRhdGVk\n	1303125892
session:1ec76d4ed1d31097b19cbbdbde76b1ab7f0ef88e                        	BQcDAAAAAQoKMTMwMzExODY5MgAAAAlfX3VwZGF0ZWQ=\n	1303125892
session:b8e238374a1c2f5d5c6b9588e1bf31028c7573a5                        	BQcDAAAAAQoKMTMwMzEyNDI0MwAAAAlfX3VwZGF0ZWQ=\n	1303131443
session:85f52aaae1695e33713b6f59e1aa58564d181f61                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3abBYA\nAAAJX191cGRhdGVk\n	1306167353
session:1e8a8e7a2b49daad1aeccffbf5a77e9ae8bd66b4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMjg2NDY3NwAAAAlfX3VwZGF0ZWQ=\n	1302871882
session:7a9b07f601301fef7c178e19ae7804064593975f                        	BQcDAAAAAQoKMTMwNzcwNzczMQAAAAlfX3VwZGF0ZWQ=\n	1307714931
session:18e8e85ba78e391ffe0582a272b66cb28f5c6853                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nqJu3AAAACV9fdXBkYXRlZA==\n	1302903604
session:8f9f4080a072e7d2ea766da5fd3a032ad169d8b0                        	BQcDAAAAAQoKMTMwMjg3MjAzNQAAAAlfX3VwZGF0ZWQ=\n	1302879235
session:7e658476f47ad4d6a45bf818a1b27759884fdcf9                        	BQcDAAAAAQlNrCeeAAAACV9fdXBkYXRlZA==\n	1303135166
session:27ee8166367aa6769300113776163e010d9f38fd                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU2s\naSAAAAAJX191cGRhdGVk\n	1303152201
session:d0d07ef14f3af40213e96bbf0429abd83e1e73d0                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA3\nNTM3MjQ3AAAACV9fdXBkYXRlZA==\n	1307544614
session:4538a3ef68c3c9b0a681d62130bc1e5d805fe801                        	BQcDAAAAAQoKMTMwNzYyNDIxOAAAAAlfX3VwZGF0ZWQ=\n	1307631418
session:a82094354f12b440540f09f737b1af551dd15fbd                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0JTduqwwAAAAlfX2NyZWF0ZWQXCW1vY2sudXNl\ncgAAAAZfX3VzZXIJTdvHVgAAAAlfX3VwZGF0ZWQ=\n	1306256247
session:2641be21fd76dc70b325aacb7bdbed5555061722                        	BQcDAAAAAQoKMTMwMzEyMzc3OAAAAAlfX3VwZGF0ZWQ=\n	1303130978
session:e4f4dc06b98e1afc5e83e0e05c7e347b565126d3                        	BQcDAAAAAQoKMTMwNzYyNDgzMQAAAAlfX3VwZGF0ZWQ=\n	1307632032
session:ad35ddf7ea6b310fbe307917efdaa6afe634c0d1                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2s\nP7YAAAAJX191cGRhdGVk\n	1303152881
session:00851f736bc7d47c7b661f75a77ac0af31086894                        	BQcDAAAAAQoKMTMwMzEyNDE4NwAAAAlfX3VwZGF0ZWQ=\n	1303131387
session:e46691350f4ebbf6a781bd1fc41625706f73b2cd                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2sUe0A\nAAAJX191cGRhdGVk\n	1303153071
session:ba56bd5701b5e2575b5e8f0270e3e96de2148f51                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGWl0YWx1c2Jvcmdlc0B5YWhvby5jb20uYnIA\nAAAGX191c2VyCgoxMzAzMTI0MjA4AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19m\nbGFzaAoKMTMwMzEyNDIwOAAAAAlfX3VwZGF0ZWQ=\n	1303131408
session:04008665096b9594be0680735010aece52b96bd5                        	BQcDAAAAAQoKMTMwMzExODY2MQAAAAlfX3VwZGF0ZWQ=\n	1303125861
session:7c7fdb90eb6d7f5c47bc898476f04648d7bbbb59                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMzExODY3OAAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDMxMTg2NzgAAAAJX191cGRhdGVk\n	1303125878
session:e8fdbaf8c82f5ffc6246bc4db3f0df2bceaf0c83                        	BQcDAAAAAQoKMTMwMzExODY3OQAAAAlfX3VwZGF0ZWQ=\n	1303125879
session:795ff3647e16e004124211297a8cf70690b998dc                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2s\nRQcAAAAJX191cGRhdGVk\n	1303151273
session:dcc5ef49bbcd648a69ed6b1daa39cdc11c2eb972                        	BQcDAAAAAQoKMTMwMzEyNDIwOAAAAAlfX3VwZGF0ZWQ=\n	1303131408
session:46d90dace71507b0bde0edd671c0af91d7fdb1ac                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGWl0YWx1c2Jvcmdlc0B5YWhvby5jb20uYnIA\nAAAGX191c2VyCgoxMzAzMTI0NzcxAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19m\nbGFzaAoKMTMwMzEyNDc3MQAAAAlfX3VwZGF0ZWQ=\n	1303131971
session:6c2c1e316f351c1294f5e10afc014c40ede109f3                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGWl0YWx1c2Jvcmdlc0B5YWhvby5jb20uYnIA\nAAAGX191c2VyCgoxMzAzMTI0MjQzAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19m\nbGFzaAoKMTMwMzEyNDI0MwAAAAlfX3VwZGF0ZWQ=\n	1303131443
session:9fb8e664a0ae5b36e536cae0b269bbd9fc5b5ebb                        	BQcDAAAAAQoKMTMwMzEyNDc3MQAAAAlfX3VwZGF0ZWQ=\n	1303131971
session:c6605b10c9fe4f7b0c503ea100d801c4c128a54d                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyBAMAAAAB\nCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgoxMzA3NzIyMTkxAAAACV9fdXBkYXRlZA==\n	1307729392
session:7731c6cec5a1e4c9e2ebaf2aebf4740fac8ca4a5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEw\nNzQ5NDgyAAAACV9fdXBkYXRlZA==\n	1310762406
session:2690648d8dc619da676d0ff23c84cbda50f8d1e0                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNzcwNzM2NAAAAAlfX3VwZGF0ZWQ=\n	1307715642
session:aa0deb6a9166147f12f7ad73999a52842f46fdbe                        	BQcDAAAAAQoKMTMwNzcwOTA0OAAAAAlfX3VwZGF0ZWQ=\n	1307716250
session:7e6759863604d24c300b7d20eee26020dcca4afb                        	BQcDAAAAAQoKMTMwNzcyMjE0OAAAAAlfX3VwZGF0ZWQ=\n	1307729345
session:1f3d4b29cd426933b3af768c5ba7407722818b86                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzExODcwOTcxAAAACV9fdXBkYXRlZA==\n	1311878372
session:6ceeca3e76b71e6fcaaa8a57a1271caf34b24571                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNTU3MjAwMAAAAAlfX3VwZGF0ZWQ=\n	1305580009
session:0d1f5f19fc2d1ca5518c6f697e53241522f9557a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3y\nWhYAAAAJX191cGRhdGVk\n	1307735958
session:a1f6dae6a93a32e33384b7b41f59e766c268e489                        	BQcDAAAAAQoKMTMwNTYzMzQyNAAAAAlfX3VwZGF0ZWQ=\n	1305640624
session:98a185dfc1c7fbe4e70efcd8a700d3c2bd0e4067                        	BQcDAAAAAQoKMTMwNzk2OTM1MwAAAAlfX3VwZGF0ZWQ=\n	1307976549
session:2673fe9258a00740046a44e9a803c77fb1e45742                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA3NzI1MTYzAAAACV9fdXBkYXRlZA==\n	1307732363
session:dc9acc2975aebc295034c6ca86e749c0131aa1ce                        	BQcDAAAAAQoKMTMxMTg3NTQzNwAAAAlfX3VwZGF0ZWQ=\n	1311882637
session:107f968f3a31db28c74bb2af1f14288aed02d487                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNzcyNTc5NQAAAAlfX3VwZGF0ZWQ=\n	1307732995
session:d3646538e319c0b7ddcd445f5c279825c50488a0                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTA3NTU3MDAAAAAJX191cGRhdGVk\n	1310762916
session:057c96bb3a83f105440e97cdfc179a9bd4573f12                        	BQcDAAAAAQoKMTMxMTU0OTc3NAAAAAlfX3VwZGF0ZWQ=\n	1311556975
session:750d78fba4f4fd50e994b644112180f7f80f7514                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTA3NTEzMjgAAAAJX191cGRhdGVk\n	1310758528
session:22db687063ddf39db4de4f740088884c8f5d5a52                        	BQcDAAAAAQoKMTMxMjM3MTg5MgAAAAlfX3VwZGF0ZWQ=\n	1312379092
session:af7f7939010a14183a7a48dda56d0fd4715e7c08                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMDc1NzAxNQAAAAlfX3VwZGF0ZWQ=\n	1310764259
session:bfc66cd1e4d2deb1613ea8c2f8eb182c3282b28a                        	BQcDAAAAAgoKMTMxOTEyNTMxMwAAAAlfX2NyZWF0ZWQKCjEzMTkxMzMzNzMAAAAJX191cGRhdGVk\n	1319140582
session:83304952ac5a64ee7744608b96c04b830e760a8d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA3NjI3NjQ0AAAACV9fdXBkYXRlZA==\n	1307642308
session:8a9fd7458272897dd9bbb60fd5edb7eb6d82e000                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTA3NTQzNzcAAAAJX191cGRhdGVk\n	1310761838
session:040d2de02d103fb8e84b705dd1a154bd6ab051a7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nMDgzMjU5AAAACV9fdXBkYXRlZA==\n	1311090459
session:db8fdfc95d6e81199ac8fce4f72437826ae66d21                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNjUyNTQ4OQAAAAlfX3VwZGF0ZWQ=\n	1306532689
session:d1e5651ea2c802acc8bed15f576fa6ebaf60f880                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGd1aWxoZXJtZXNlaW5mQGdtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMDU3MDUzOTAAAAAJX191cGRhdGVk\n	1305713852
session:2c58be881b1b5f84b65b9a36282951f77bd83f91                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNTIyOTk0MQAAAAlfX3VwZGF0ZWQ=\n	1305237141
session:7b4316efee1418f3c3d916f0c69b66f292b54a16                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNjUzNTMyMwAAAAlfX3VwZGF0ZWQ=\n	1306543023
session:ad229426f72fde5f5f365edd62bc9a5b38c88950                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XE2Z1bmNpLnNkaEBnbWFpbC5jb20AAAAGX191\nc2VyCgoxMzA3NzI3MTE0AAAACV9fdXBkYXRlZA==\n	1307734314
session:086d073ba5925fcde1e7b982efd2f20d3672b8dd                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTEwODI2ODIAAAAJX191cGRhdGVk\n	1311092647
session:dfbd4fb0da21483865342f5770fc6c1d681956a2                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XIGxlb25hcmRvbGltYUBmb3J0YWxlemEuY2Uu\nZ292LmJyAAAABl9fdXNlcgoKMTMwNzY0Mjc4MwAAAAlfX3VwZGF0ZWQ=\n	1307649983
session:b489b8473e52ef7df704ab23664b38a80b759781                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNjUxNDQ0NAAAAAlfX3VwZGF0ZWQ=\n	1306521661
session:246e78d8a414f6175e45b09725910a5f8789cf5e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU3a\ncDQAAAAJX191cGRhdGVk\n	1306168407
session:fead5d22890d3dd496c375bb086cb92f56b6e813                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQZ\nAAAAAAEKCkFkaWNpb25hZG8CAAAAB3N1Y2Vzc28AAAAHX19mbGFzaAoKMTMwNzU1MTk1NgAAAAlf\nX3VwZGF0ZWQ=\n	1307559156
session:c5f90359640fbf5a6a0803ca9dd683085182ea31                        	BQcDAAAAAQoKMTMwNjQ0MTQxNQAAAAlfX3VwZGF0ZWQ=\n	1306448621
session:aa9809b2df86b8da997ddb0d4c265a07ffb8f199                        	BQcDAAAAAQoKMTMwNjUwNTMwNwAAAAlfX3VwZGF0ZWQ=\n	1306512504
session:d6bd2470180fc63feac9afb21fcfd26a5b9b28d7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFG1lbGluYWJyaXRAZ21haWwuY29tAAAABl9f\ndXNlcgoKMTMxMTU5MDA0NwAAAAlfX3VwZGF0ZWQ=\n	1311597276
session:c4d1765e918f8901e20bfb8b0c5ae0e4374ab504                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgoxMzA2NTEyNTY5AAAACV9fdXBkYXRl\nZA==\n	1306519772
session:32194d5f4eb3a8cfcc6f6a0ad0cbad301655facb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA2MjI1NzU0AAAACV9fdXBkYXRlZA==\n	1306232965
session:94d17766a386c723ce161b9d24bbf9e86c628fce                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3/\nVA8AAAAJX191cGRhdGVk\n	1308586056
session:ded29c334ef51309962f480c6e12ba6787520052                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEmxlZGguc2RoQGdtYWlsLmNvbQAAAAZfX3Vz\nZXIKCjEzMDY1MTg4MzIAAAAJX191cGRhdGVk\n	1306530329
session:6d877101200f8cc5da8c07095634d9a064f83c83                        	BQcDAAAAAQlN/3bbAAAACV9fdXBkYXRlZA==\n	1308594939
session:49073ce02d5973e2a6312e7d9adf814384142b87                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTIzNzQ5NjcAAAAJX191cGRhdGVk\n	1312382199
session:618592ed5bdd19c115dd66241844288ffa4f614d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nCU6ga1IAAAAJX191cGRhdGVk\n	1319143282
session:a1e09730da76d4ce219ef57365212fe1649b960d                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyBAMA\nAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCU3MPIgAAAAJX191cGRhdGVk\n	1305237672
session:b8716aab562763f5c2edb0fc6b851b331eab27ae                        	BQcDAAAAAQoKMTMwNjc2MDkzOQAAAAlfX3VwZGF0ZWQ=\n	1306768077
session:99086937c14d52e90b67b0d2143dfb83189132a5                        	BQcDAAAAAQoKMTMwNjc2MDkzOQAAAAlfX3VwZGF0ZWQ=\n	1306768139
session:35811a701014352371477f953c79d25033580fd9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA1\nODA0NTQ1AAAACV9fdXBkYXRlZA==\n	1305811865
session:63dcfbdf9efc5cb5e1a6f2edac0c4a9ddf3e613d                        	BQcDAAAAAQoKMTMxMTA5MDQ4NQAAAAlfX3VwZGF0ZWQ=\n	1311097685
session:3b8eb11662d3c481c4f66ef0d7aa514ce14772a7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2sjfAA\nAAAJX191cGRhdGVk\n	1303163916
session:1dc7c93e27c033efdd602176673b3a806f18b703                        	BQcDAAAAAQoKMTMxMTA5MDYxMgAAAAlfX3VwZGF0ZWQ=\n	1311097812
session:a8fa2d6dcf6b967bd5575b66354b21376bfaeeda                        	BQcDAAAAAQoKMTMxNDAyMzE2NwAAAAlfX3VwZGF0ZWQ=\n	1314030367
session:477c1e23767ea24e587e0e070aca6b5752c50729                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyBAMA\nAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCU45QR0AAAAJX191cGRhdGVk\n	1312382269
session:4c2b24d5ab0528fe0eefd1af782093b278c12201                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNzU1MTk1OQAAAAlfX3VwZGF0ZWQ=\n	1307560164
session:ab7fac6cf82b707d522a163d85ad712c08c5450a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA4\nMzE4ODgwAAAACV9fdXBkYXRlZA==\n	1308326080
session:4322dc7a048ce8d23da41837e6d54a09baef4013                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTE1OTYzMDUAAAAJX191cGRhdGVk\n	1311603505
session:6611d7fcf4255d0ab9f05b476d4cda2bf2af9d56                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU3b\nziMAAAAJX191cGRhdGVk\n	1306258908
session:a5f3af40add6e3775a2985d1c9c5f92e0f935b8d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMzgwMzM3NAAAAAlfX3VwZGF0ZWQ=\n	1303810987
session:2b8d374836671b944efa8ddcc3db466c333bd1f6                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU2t\ngdsAAAAJX191cGRhdGVk\n	1303228784
session:9a327b63ff923c648ee80c58235f399d0343c12c                        	BQcDAAAAAQoKMTMwMzEzMzkxOQAAAAlfX3VwZGF0ZWQ=\n	1303141121
session:a54e21e65059ca6053a40d73c2abec0f2205817d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nrYi/AAAACV9fdXBkYXRlZA==\n	1303225569
session:5e8ca4f05328e3e61c3c470e8800af5b2f2635f7                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEmxlZGguc2RoQGdtYWlsLmNvbQAAAAZfX3Vz\nZXIKCjEzMDM4MTY2OTMAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgox\nMzAzODE2NjkzAAAACV9fdXBkYXRlZA==\n	1303823893
session:f37c983f0c157238f972d70e4d51c568f2b774d8                        	BQcDAAAAAQoKMTMwMzI4MTkwOAAAAAlfX3VwZGF0ZWQ=\n	1303289108
session:5552281edea7cea9f48c30838d4e498fc6bb4e6e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2t\nj/UAAAAJX191cGRhdGVk\n	1303234522
session:19238071d2f377ad915f9305fc811767faa5a4e9                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMzc5ODY0OQAAAAlfX3VwZGF0ZWQ=\n	1303805849
session:6074919e34fdaf3944b7bc352f3ba6d4ce19ee04                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2t\nk7oAAAAJX191cGRhdGVk\n	1303231548
session:f74123159b1969a40b3c42959a093dbfccfa8c43                        	BQcDAAAAAQoKMTMwMzgwMzg4OAAAAAlfX3VwZGF0ZWQ=\n	1303811088
session:05e228759c5d6ce6a1212e93f4e6e4d4b0f66581                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2ttkwA\nAAAJX191cGRhdGVk\n	1303237264
session:660500f49eeb18c45b540c37a43092e88e160447                        	BQcDAAAAAQoKMTMwMzIwNTc3OAAAAAlfX3VwZGF0ZWQ=\n	1303212978
session:f6c96910fd8851cc2018767f5f6486e19c872449                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMzczOTkzMQAAAAlfX3VwZGF0ZWQ=\n	1303747582
session:3f3283fa08117e303fe05f00d0fc1e1d4016e488                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU2u\n5/UAAAAJX191cGRhdGVk\n	1303315489
session:7d5c870e0d82f552ff736bfcca93f95c4fe828c9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzAz\nMjgxMTMyAAAACV9fdXBkYXRlZA==\n	1303288553
session:f201aecb7bbc981b4e82cce65b644115017d244d                        	BQcDAAAAAQoKMTMwMzczMzI2NgAAAAlfX3VwZGF0ZWQ=\n	1303740466
session:43929e92731be3305c3bdc2acaa2aace44173d6f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2v\nEgMAAAAJX191cGRhdGVk\n	1303329885
session:fbaed8567a86f6f7a278328301dcf7bed74a1f1f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzAz\nMjgyNzY5AAAACV9fdXBkYXRlZA==\n	1303290110
session:cde330277e2c2a4143432e8900f39f5041d32694                        	BQcDAAAAAQoKMTMwMzI4MDgyNwAAAAlfX3VwZGF0ZWQ=\n	1303288026
session:41edb7059d6c3d77fdc0fc518278a2b0a46d1cc9                        	BQcDAAAAAQoKMTMwMzgxNjY5MwAAAAlfX3VwZGF0ZWQ=\n	1303823893
session:32d377c9d3a1d6ab0844dc758646de26e732e414                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU21rj4A\nAAAJX191cGRhdGVk\n	1303767791
session:2b3874f988285f669604f2e9190a720902ee9111                        	BQcDAAAAAQoKMTMwMzczODAwMQAAAAlfX3VwZGF0ZWQ=\n	1303745201
session:983e7b860ec64984c27053bc0a54d901f13eece7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU21\nvS0AAAAJX191cGRhdGVk\n	1303766065
session:23affce262d6be948bdfb4c428fa161dac7d6901                        	BQcDAAAAAQoKMTMwMzgxNjExMQAAAAlfX3VwZGF0ZWQ=\n	1303823311
session:eb828aa393586f38cb9148998ae42f45319eb767                        	BQcDAAAAAQoKMTMwNTcwNjMyMQAAAAlfX3VwZGF0ZWQ=\n	1305713522
session:965109b38178f6e4cd06435a4a563f40e0337f57                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMzgwMTAwMwAAAAlfX3VwZGF0ZWQ=\n	1303808794
session:8a89f006366cdab9b6f9368c43e6f4d9d234a71e                        	BQcDAAAAAQoKMTMwMzczNTQ3OQAAAAlfX3VwZGF0ZWQ=\n	1303742680
session:70e4bed182e9c3587a1334b2d30880277f58e80a                        	BQcDAAAAAQoKMTMwMzc5ODkyNAAAAAlfX3VwZGF0ZWQ=\n	1303806125
session:afdc0f427f1861ea3278380d4fb0ce3f820cd943                        	BQcDAAAAAQoKMTMwMzgwMTc4MgAAAAlfX3VwZGF0ZWQ=\n	1303808982
session:ac56d28a66cf94e17aa72406dd6392e0b765a8b0                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEmxlZGguc2RoQGdtYWlsLmNvbQAAAAZfX3Vz\nZXIKCjEzMDM4MTY3MTkAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgox\nMzAzODE2NzE5AAAACV9fdXBkYXRlZA==\n	1303823919
session:919d002c0cc47bf62bdfe23c9f9e612e1e985c9f                        	BQcDAAAAAQoKMTMwMzgxNjcxOQAAAAlfX3VwZGF0ZWQ=\n	1303823919
session:13f86209a963f6c721dce980d02d223f1732398e                        	BQcDAAAAAQoKMTMwMzgxNjQ4NwAAAAlfX3VwZGF0ZWQ=\n	1303823687
session:959d8bffdac2554b4ce76e7f3e75887f1b7f7c30                        	BQcDAAAAAgoKMTMwMzgxNjcyNwAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1303823927
session:211efb830a362964fd0a4e7759d173275da22cb7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzAzODE5MzIwAAAACV9fdXBkYXRlZA==\n	1303826988
session:9eeedde25af24d2e7887f8ec0f36ec3fb2b6e936                        	BQcDAAAAAQoKMTMwMzgxNjcyNwAAAAlfX3VwZGF0ZWQ=\n	1303823927
session:8b6c250f39fa7bb179c31ea3d05ff8821697840b                        	BQcDAAAAAQoKMTMwMzgyNTg0MQAAAAlfX3VwZGF0ZWQ=\n	1303833041
session:f982681af319235c35708a992f216e17be85893c                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwMzkwNjIwMAAAAAlfX3VwZGF0ZWQ=\n	1303913400
session:431029df6df3d6e29218516e0383eef858fe74c2                        	BQcDAAAAAQoKMTMwMzk3NDU1NAAAAAlfX3VwZGF0ZWQ=\n	1303981754
session:8aa31f29a6fff6013ef5844d99d4e0663c7e73d0                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwMzkxMDYwNwAAAAlfX3VwZGF0ZWQ=\n	1303917807
session:d28b0d9e751f8798e8152c72b9441bb2e5bc82d1                        	BQcDAAAAAQoKMTMwMzk4NjM2NwAAAAlfX3VwZGF0ZWQ=\n	1303993567
session:4f59ec339e200556bd2d24eee4464517a7808079                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwMzk4NjM4NgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDM5ODYzODcAAAAJX191cGRhdGVk\n	1303993586
session:d05cf2e548bb5154bfd28bb7d481e5dbd603a2e6                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU21\n4M4AAAAJX191cGRhdGVk\n	1303772398
session:1f93a3bf3602c4410fbc10f2461c5077c352917d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU23ByYA\nAAAJX191cGRhdGVk\n	1303847761
session:080bc04a601ec0555a2531e69b4baada6ef59c15                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwMzkxNzAxMgAAAAlfX3VwZGF0ZWQ=\n	1303924266
session:c177690990b5c49dbdf5b8c0b25799743600a2a0                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjc2MTYwMgAAAAlfX3VwZGF0ZWQ=\n	1306768802
session:611121d26b8def2932c98924d95eccc1935347a5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU21\nsFoAAAAJX191cGRhdGVk\n	1303759994
session:15e60467887ff24b912fb8449dbbef71e0d81d3e                        	BQcDAAAAAQoKMTMwNzU1NTYxNwAAAAlfX3VwZGF0ZWQ=\n	1307562817
session:2a0fd422f822ec1286c71154aa413205f128c750                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU24FAQA\nAAAJX191cGRhdGVk\n	1303916580
session:3743e264432ed6ef05f04ec45594ee01f69759fc                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU21u0QA\nAAAJX191cGRhdGVk\n	1303765369
session:2970561cc677bcc910995a21f7d784e4cbfe6a21                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU23C6IA\nAAAJX191cGRhdGVk\n	1303848989
session:2f5e3be4785ee4b7f146a05bde63376fc8d5d372                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncglNuHMVAAAACV9fdXBkYXRlZA==\n	1303940934
session:007459f3a9540aa743c2a74dabeb5f21bd1c6f30                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU23\nF08AAAAJX191cGRhdGVk\n	1303853275
session:73c321bf4454f2bbc2434783992ed1a3eaee3626                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3S\nvrwAAAAJX191cGRhdGVk\n	1305672367
session:f958217596d93bd768db02791b799ec9297efa2b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDGNsYXVkaW8ubWFpYQAAAAZfX3VzZXIKCjEz\nMDM5MzA4NDkAAAAJX191cGRhdGVk\n	1303938105
session:28e271f65fa2e479ef674ed5da1d20bd5c5bb1e7                        	BQcDAAAAAQlNtteWAAAACV9fdXBkYXRlZA==\n	1303835574
session:6d27b5ac230ad4ef23ac303c4d25f85e9e899d1c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEmxlZGguc2RoQGdtYWlsLmNvbQAAAAZfX3Vz\nZXIKCjEzMDY3NjIyODEAAAAJX191cGRhdGVk\n	1306779590
session:28022f842a185d2fea0b2c5cdf39c378540e35d7                        	BQcDAAAAAQlNttfPAAAACV9fdXBkYXRlZA==\n	1303835631
session:5dd84f0900eb4e18f5acf8b993d8f33d8ec1f6e2                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU24drgA\nAAAJX191cGRhdGVk\n	1303942426
session:16be88e64348a9cd81ffb57e3f5096cbffae825d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU37\nkIEAAAAJX191cGRhdGVk\n	1308340264
session:1a483a89ca34f570ccfe9c21496b5001d937822f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU24\nYQYAAAAJX191cGRhdGVk\n	1303947519
session:c840609279e96eaef5c86c7838f0adb8e9b59c35                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU3R\nV8AAAAAJX191cGRhdGVk\n	1305572320
session:029295251b09eddcf6708f23f205e11697f4d03c                        	BQcDAAAAAQoKMTMwODU5NTg2MwAAAAlfX3VwZGF0ZWQ=\n	1308603063
session:5408d128d8d6e06dd4cd274fe5531e349bd4eb50                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNjc2MTY4OAAAAAlfX3VwZGF0ZWQ=\n	1306768888
session:027a98a4aef6a2287917060a535597102809de13                        	BQcDAAAAAQoKMTMwOTEzNDI2NwAAAAlfX3VwZGF0ZWQ=\n	1309141467
session:b2d4bf3174a50dfbdd166d0f17d726dd8d84f777                        	BQcDAAAAAQoKMTMxNjU0MDI3MQAAAAlfX3VwZGF0ZWQ=\n	1316547472
session:1229b75267e220c8983d696522d17ed9d5d347ad                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA3\nOTg4ODY0AAAACV9fdXBkYXRlZA==\n	1307996077
session:6cb9013f5243b867deb3fb72673508a847c7b93f                        	BQcDAAAAAQoKMTMwNTYwOTQ4OAAAAAlfX3VwZGF0ZWQ=\n	1305616688
session:f71ea6677de80fbde572b9d7a304140e7fce6b7f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE0\nMDMxODgyAAAACV9fdXBkYXRlZA==\n	1314039082
session:f2f3bc6395e1f4cb15d9069cf59ef4359f3281ba                        	BQcDAAAAAQoKMTMxNjQ1NjY4OQAAAAlfX3VwZGF0ZWQ=\n	1316463889
session:35d46c0c1bd94e9a22b2b50f129b16013284ce6c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nMzIxMTM5AAAACV9fdXBkYXRlZA==\n	1317329741
session:cced85d9a9bb5ec6556fb0b8a6a5ca4aafd57b4f                        	BQcDAAAAAQoKMTMxMjM4MDUyOAAAAAlfX3VwZGF0ZWQ=\n	1312387728
session:5a55d348054c40f23524125e28a6ca7d429d30b7                        	BQcDAAAAAQoKMTMxMTg3ODQyMgAAAAlfX3VwZGF0ZWQ=\n	1311885622
session:dbf06bd5de68ab3adff6ccc75784803c08a7e8f7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\n2+lHAAAACV9fdXBkYXRlZA==\n	1306268395
session:0cf8e05d3baeaec706f7dcdad8bd47703ffeb28d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nODc4NDkyAAAACV9fdXBkYXRlZA==\n	1311885704
session:3a232bed28ac143d908dc41dad46b15387af60c3                        	BQcDAAAAAQoKMTMwNTYzOTQyMAAAAAlfX3VwZGF0ZWQ=\n	1305646621
session:43e33ed30425333fc16c306509b7aeb2f89a253d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTI5MTgwMzEAAAAJX191cGRhdGVk\n	1312926465
session:6b34b8774661595c903b55cccbb646b44457097d                        	BQcDAAAAAQoKMTMwNDMzNjMxNwAAAAlfX3VwZGF0ZWQ=\n	1304343517
session:a66733e3c1637d6a9768d2f6a2b9b98e848475fc                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTQwMzE0NzIAAAAJX191cGRhdGVk\n	1314042823
session:a095a536defd75a89fd50250d96fc7edace7b51e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNTYyNzc3OQAAAAlfX3VwZGF0ZWQ=\n	1305635181
session:a2badd76dd55fca68d3b429474f7bc9761e5b33e                        	BQcDAAAAAQoKMTMxMTU5ODQyNAAAAAlfX3VwZGF0ZWQ=\n	1311605624
session:dc8c8eb8bdd59657bae22eb613e66b4d7174e505                        	BQcDAAAAAgoKMTMxOTE0MDQ5NQAAAAlfX3VwZGF0ZWQEGQAAAAABChxEb2N1bWVudG8gY3JpYWRv\nIGNvbSBzdWNlc3NvAgAAAAdzdWNlc3NvAAAAB19fZmxhc2g=\n	1319147697
session:97168702305405b7d54b032b99239fbaa479c518                        	BQcDAAAAAQoKMTMxMTYwODE3MQAAAAlfX3VwZGF0ZWQ=\n	1311615371
session:448b4181fa4426db7c25433541536dc78260abda                        	BQcDAAAAAQoKMTMxMTg3ODY2OQAAAAlfX3VwZGF0ZWQ=\n	1311885870
session:14520f255528232ef52177ecf4554342dcef896c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTEwOTQ3NTcAAAAJX191cGRhdGVk\n	1311101957
session:5a5f6b0d812662f68091690dc026bfff38bc92df                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA5\nMTk1MzA4AAAACV9fdXBkYXRlZA==\n	1309202513
session:3b4152cd2a635665167b19585e9f9951f5cdc6fb                        	BQcDAAAAAQoKMTMxMjM4NjQ3NgAAAAlfX3VwZGF0ZWQ=\n	1312396886
session:ae0c51bef07658ef9c007d0edb85eba3d92327e4                        	BQcDAAAAAQoKMTMxNDAzNjk0MwAAAAlfX3VwZGF0ZWQ=\n	1314044143
session:1b690383d6f7321bdc1f3b837a02decec80a8f46                        	BQcDAAAAAQoKMTMwNTYwOTc5MgAAAAlfX3VwZGF0ZWQ=\n	1305616993
session:ed7fae59f7ca7fa864799f1064ba9750462fd96c                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMTIzOTEyMjYAAAAJX191cGRh\ndGVk\n	1312398428
session:68db15230e694a14899b9f7b1640f109712574b5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU32\nP8sAAAAJX191cGRhdGVk\n	1308003015
session:38dbece0a37106bbd81d86d6f13e800d9868f5a9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMjQ4NTUwMwAAAAlfX3VwZGF0ZWQ=\n	1312492703
session:dbe303649826e8f592f362eb36851edf97f883b6                        	BQcDAAAAAQoKMTMwNTU0MTMyNAAAAAlfX3VwZGF0ZWQ=\n	1305548524
session:e0f58e8f627ef4041327116948c4bde7e14c161e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3S02QA\nAAAJX191cGRhdGVk\n	1305669707
session:f1333207b1fd8e9cd3a28e14d73879a73261f457                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGd1aWxoZXJtZXNlaW5mQGdtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMDU2MDk5NDAAAAAJX191cGRhdGVk\n	1305617539
session:f13e65ddd4c8693997efd68aa13716f67323ce83                        	BQcDAAAAAQoKMTMxNDA0MjY0MQAAAAlfX3VwZGF0ZWQ=\n	1314049841
session:d47b5656183f0b770afe7c9fbabcf75c12305321                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmZsYXZpYS5mZWl0b3NhAAAABl9fdXNlcgoK\nMTMxNDA5ODI4NAAAAAlfX3VwZGF0ZWQ=\n	1314105484
session:27c7032458e918ad895c5dc91136b92bb5ebfe0c                        	BQcDAAAAAQoKMTMxNDEwMDYxNQAAAAlfX3VwZGF0ZWQ=\n	1314107815
session:676b0a9de1c9e3264d8995b1019e0bfaab40b774                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE0\nMTA2NjUzAAAACV9fdXBkYXRlZA==\n	1314113858
session:0c724be57e30da67faf22e2c6b5e7ddf7ecf0fb5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGVyaWNhY2VhbGVuY2FyQGdtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMTkxNDA0NTgAAAAJX191cGRhdGVk\n	1319148193
session:45e001d7378a5da8c5ed51ae9f0a619149032ec8                        	BQcDAAAAAQoKMTMxNDEwNzIwNwAAAAlfX3VwZGF0ZWQ=\n	1314114419
session:a7803666a944939fbdd79274618c6f54a0dd4c0d                        	BQcDAAAAAQoKMTMxMTYxMDgwOAAAAAlfX3VwZGF0ZWQ=\n	1311618008
session:ef6cf2b6e98a399f3ccbefe564558e38e72b40ce                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU5N\nA9gAAAAJX191cGRhdGVk\n	1313680588
session:4488191dcb3f4037b9fcd9dca9eae9c10239dac8                        	BQcDAAAAAQoKMTMxOTE5OTQwNgAAAAlfX3VwZGF0ZWQ=\n	1319206606
session:2fd3ecf94c472185fb1db12978b9585d9078f3f9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU3S\nrE8AAAAJX191cGRhdGVk\n	1305664153
session:6144749bc7861c93d208764d2c468c98441267dd                        	BQcDAAAAAQoKMTMwNDQxOTE2MAAAAAlfX3VwZGF0ZWQ=\n	1304426360
session:66b0734453fd277a0e0229b5c0df979fbf2533d6                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxNjUyOTY2NAAAAAlfX3VwZGF0ZWQ=\n	1316537135
session:3be494b920325742b7a66ca147192489c0d3d8f8                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE2\nNTI5NjU2AAAACV9fdXBkYXRlZA==\n	1316537139
session:d17eb34121332191b83910d9452b1429ad4abd0f                        	BQcDAAAAAQoKMTMxMjk5MjY2OQAAAAlfX3VwZGF0ZWQ=\n	1312999876
session:b31297dc97ec7baee20a88b2ee0d0737e08e28af                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNDQyNzI5MwAAAAlfX3VwZGF0ZWQ=\n	1304434619
session:4869b2386e0deb4a1a63952027a88f4a481e788b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA0\nMzQxNzMwAAAACV9fdXBkYXRlZA==\n	1304348932
session:8153fc40cc4aa156d3414fe5fb5616cf7568d438                        	BQcDAAAAAQoKMTMwNDQwOTY5NQAAAAlfX3VwZGF0ZWQ=\n	1304416896
session:c786a7e18027ea14f4cbdc74d67857a96afa6bdc                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU26\n9mYAAAAJX191cGRhdGVk\n	1304119204
session:8d2ede7f02f3914e2f52b23fb75da6b35946b871                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNDQwMjEwMAAAAAlfX3VwZGF0ZWQ=\n	1304410216
session:5ee99a5cd5bbd2db752df4f7c7f239fdce1565c4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA0\nNDAwMDI1AAAACV9fdXBkYXRlZA==\n	1304407233
session:8d28cd1f9dca0adf42d1d9f032024a5414d7f751                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU25\nsrIAAAAJX191cGRhdGVk\n	1304027184
session:fc3d41458b9a117ac6e9839782d5b810a3e2cfbc                        	BQcDAAAAAQoKMTMwNDQxOTA4NgAAAAlfX3VwZGF0ZWQ=\n	1304426286
session:8712e0c10830cf3a3b1056d9ae9939b717fa67fb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNDM0NTA1MgAAAAlfX3VwZGF0ZWQ=\n	1304354840
session:ef5c36070958d2e403007095e59c9dd4aa010bff                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2+ufYA\nAAAJX191cGRhdGVk\n	1304353713
session:49da76f738b6350f4fed65d6affb3ade429d74f6                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU26924A\nAAAJX191cGRhdGVk\n	1304113749
session:9507196e31a5157ab04b6cecf79ce75316c9d52b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3AErUA\nAAAJX191cGRhdGVk\n	1304440598
session:7ff2b3e8f36d84cdf585e4866e93247d5a75b12b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzA0MzM4MzIyAAAACV9fdXBkYXRlZA==\n	1304347360
session:0708397c19b15bcb70aa7da6338ac8c2ee33d300                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU25sQYA\nAAAJX191cGRhdGVk\n	1304026940
session:32a70218fedd3936e6572093525dffff585ed06a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU2+9bgA\nAAAJX191cGRhdGVk\n	1304367658
session:241c369ea7dbf7d936772f8866b00ceaf61f4eb9                        	BQcDAAAAAQoKMTMwNDMyODc5OAAAAAlfX3VwZGF0ZWQ=\n	1304335998
session:6be0e7f87c49fc853ac8d4b1a3cf9db6fc5e061d                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwNDMyODg0OQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDQzMjg4NDkAAAAJX191cGRhdGVk\n	1304336049
session:1d58b5417875a98a78f803bcddb48ca080836c8c                        	BQcDAAAAAQoKMTMwNDMyODg0OQAAAAlfX3VwZGF0ZWQ=\n	1304336049
session:21a2ab0f1458b6e927c87b83fe9902db45e88617                        	BQcDAAAAAQoKMTMwNDM0MzU5MgAAAAlfX3VwZGF0ZWQ=\n	1304350792
session:c8365e7412072030f52eb7c6fd4039c0687448c7                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEmxlZGguc2RoQGdtYWlsLmNvbQAAAAZfX3Vz\nZXIKCjEzMDQzMzYzNDIAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgox\nMzA0MzM2MzQyAAAACV9fdXBkYXRlZA==\n	1304343542
session:c7388b49fd5e83b46dbe7b4d6875e49e7261ab29                        	BQcDAAAAAQoKMTMwNDMzNjM0MwAAAAlfX3VwZGF0ZWQ=\n	1304343543
session:4415a98b937273fbb031a8758d257f06ba518782                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU2/\nAYAAAAAJX191cGRhdGVk\n	1304373107
session:d995fab113cac715dd5ecaf4c2e68d7064a8ee17                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA0NDE5MTAwAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNDQx\nOTEwMAAAAAlfX3VwZGF0ZWQ=\n	1304426300
session:3bc115e1f02f1ba694f0eb94602b6bc2a6b7ea8e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNDQwMTU4NgAAAAlfX3VwZGF0ZWQ=\n	1304409172
session:093305e52ca30b9bace6c3c75334853da845cff4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3A\nNeUAAAAJX191cGRhdGVk\n	1304459449
session:57509d47de9fc9be5d8365ac8280206dbc92d907                        	BQcDAAAAAQoKMTMwNDQxOTEwMAAAAAlfX3VwZGF0ZWQ=\n	1304426300
session:a8db1a36ef93eeb5fb977011b419194aa2fccbbf                        	BQcDAAAAAQoKMTMwNDQxOTEwNgAAAAlfX3VwZGF0ZWQ=\n	1304426306
session:6954a7c055750711123952afabcb1feaa8c637f1                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNDQxODA0MAAAAAlfX3VwZGF0ZWQ=\n	1304425245
session:285701819b72a67edd536b1ef30a80b5d1abee66                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3A\nEKcAAAAJX191cGRhdGVk\n	1304453140
session:a764bb0934d05c83dd48282a7593ab865cc1c8f3                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGd1aWxoZXJtZXNlaW5mQGdtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMDU2MDk4MzYAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzA1NjA5ODM2AAAACV9fdXBkYXRlZA==\n	1305617036
session:6a76fae8e75ad2c420af75d984a6345de7de7980                        	BQcDAAAAAQoKMTMwNDQxOTE0NgAAAAlfX3VwZGF0ZWQ=\n	1304426346
session:a2de3c7d154655b927eb918c8f958a81362cd5d2                        	BQcDAAAAAQoKMTMwNDQxOTEwNgAAAAlfX3VwZGF0ZWQ=\n	1304426306
session:e696cd7c3c90d2371e7c7da4251d3b0d4d6efa18                        	BQcDAAAAAQoKMTMwNDQxOTExNgAAAAlfX3VwZGF0ZWQ=\n	1304426316
session:4f23b5d2ff5f7f9064dac7e0516e3eecd3a44c4e                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA0NDE5MTU4AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNDQx\nOTE1OAAAAAlfX3VwZGF0ZWQ=\n	1304426358
session:d83bfc7d35338344a06e085b0c01057b449cd3dd                        	BQcDAAAAAQoKMTMwNDQxOTE1MgAAAAlfX3VwZGF0ZWQ=\n	1304426352
session:2d89ad27edcf651b12232a59aa33b70cd5e95949                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA0NDIzMjQ0AAAACV9fdXBkYXRlZA==\n	1304434368
session:8f8ea3ae26f793a05931cd43c2b32f9e8e016df2                        	BQcDAAAAAQoKMTMwNDQxOTE3NwAAAAlfX3VwZGF0ZWQ=\n	1304426377
session:3586daa7e7fd54a1145bad21fd4e075b8901d909                        	BQcDAAAAAgoKMTMwNDQxOTI2NgAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1304426466
session:3cda6c3f5963feebbaf9fe17772bb9dd3f643136                        	BQcDAAAAAQoKMTMwNDQxOTI2NwAAAAlfX3VwZGF0ZWQ=\n	1304426467
session:15e27b3e797124aab4b084391b6d82ded2dbd884                        	BQcDAAAAAQoKMTMwNDQxOTY0MAAAAAlfX3VwZGF0ZWQ=\n	1304426840
session:a5efde7775ce77d8b6696e294f046784a170e8c9                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNDQxOTY1NgAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDQ0\nMTk2NTYAAAAJX191cGRhdGVk\n	1304426856
session:bd1f945df2b4829ee3140b3777438b688a892eb7                        	BQcDAAAAAQoKMTMwNDQxOTY1NgAAAAlfX3VwZGF0ZWQ=\n	1304426856
session:9574efe5b6e94e2573d7e763e01a4eea012e859e                        	BQcDAAAAAQoKMTMwNDQxOTg2MwAAAAlfX3VwZGF0ZWQ=\n	1304427063
session:74e15d6bc89baed7dfb0e9aa856195d3c45cdfad                        	BQcDAAAAAQoKMTMwNDQxOTg2NwAAAAlfX3VwZGF0ZWQ=\n	1304427067
session:50257953a6d3d6310c015071cd1959311803dabb                        	BQcDAAAAAQoKMTMwNDQxOTg2OQAAAAlfX3VwZGF0ZWQ=\n	1304427069
session:eb469c564fb25aacc42367657e2e91e6eb452167                        	BQcDAAAAAgoKMTMwNDQxOTk3NAAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1304427174
session:676d0f8b487a144fb46279b203b03d7d36c265e3                        	BQcDAAAAAQoKMTMwNDQxOTk3NQAAAAlfX3VwZGF0ZWQ=\n	1304427175
session:9d43901dba1243511a929907759380484c273d3f                        	BQcDAAAAAgoKMTMwNDQxOTk3OAAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1304427178
session:5595a4780d4a481b4a08133295dfd584a13facb7                        	BQcDAAAAAQoKMTMwNDQxOTk3OQAAAAlfX3VwZGF0ZWQ=\n	1304427179
session:d2a36e345ff770ea809b3b89e2d667d1e00aa240                        	BQcDAAAAAgoKMTMwNDQyMDEzNgAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1304427336
session:fede13cc7483da94b81f77d0445b2884b80455ab                        	BQcDAAAAAQoKMTMwNDQyMDEzNgAAAAlfX3VwZGF0ZWQ=\n	1304427336
session:921e8938fb942c26e4078149d6167464cd803037                        	BQcDAAAAAgoKMTMwNDQyMDM4MAAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1304427580
session:e776890aa66499bf3680215af59a5294cb8ba0e4                        	BQcDAAAAAQoKMTMwNDQyMDM4MAAAAAlfX3VwZGF0ZWQ=\n	1304427580
session:fdc7960e3965e4ec855517613e4a925622d82052                        	BQcDAAAAAQoKMTMwNDQyMDQ1NgAAAAlfX3VwZGF0ZWQ=\n	1304427656
session:b6c909b4bc99b6cfcbcc28eb908d49ec1a6b05ea                        	BQcDAAAAAQoKMTMwNDQyMTUxMwAAAAlfX3VwZGF0ZWQ=\n	1304428713
session:f487264b46425d2b140c564577ed76477f5dc6da                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAlNwD/2AAAACV9fdXBkYXRlZA==\n	1304452119
session:42dc1593251c6432ca61907a359322a5b72879b4                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNDQyMDYyOQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxhc2gKCjEzMDQ0\nMjA2MjkAAAAJX191cGRhdGVk\n	1304427829
session:d22432f7463d6860e5cdaea45401ce2ebb3c6a33                        	BQcDAAAAAQoKMTMwNDQyMDYyOQAAAAlfX3VwZGF0ZWQ=\n	1304427829
session:886f90cdc2fb6ccc7493951a8daf0f3601b57ea9                        	BQcDAAAAAQoKMTMwNDQyMTI5OQAAAAlfX3VwZGF0ZWQ=\n	1304428499
session:f5d5fdb2f7808a705072c15f54108f3c46ad7133                        	BQcDAAAAAQoKMTMwNDQyMTMwMwAAAAlfX3VwZGF0ZWQ=\n	1304428503
session:6989e9e66dbc7653b60898ff156854fcc80a1ef6                        	BQcDAAAAAQoKMTMwNDQyMTUwOQAAAAlfX3VwZGF0ZWQ=\n	1304428709
session:d8986ab58292d4b59e1f5a39e34d517dc917dca1                        	BQcDAAAAAgoKMTMwNDQyMTUxMwAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1304428713
session:4e5853ded559fce5d05527d44a47125837e26ddb                        	BQcDAAAAAQoKMTMwNDQyMTU3NAAAAAlfX3VwZGF0ZWQ=\n	1304428774
session:faa089e6ee73c6f33a2a3f93925815e30f751f8f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3B\nNw8AAAAJX191cGRhdGVk\n	1304515540
session:36dd44fe30f99ef59f7a3a4cd1aa505fcc59ce22                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNDQyMzU5NAAAAAlfX3VwZGF0ZWQ=\n	1304430794
session:fb443ec3bc433e481e2497ed757c4dcca90d1446                        	BQcDAAAAAQoKMTMwNDUwMTMwOQAAAAlfX3VwZGF0ZWQ=\n	1304508506
session:446372c1d5bf08ebd59eb31499ecc564593151b4                        	BQcDAAAAAgoKMTMwNDQ4MzczMgAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1304490932
session:912c4ced57fc3fe23a405ac9e870fe25beb37a81                        	BQcDAAAAAQoKMTMwNDQ4MzczMgAAAAlfX3VwZGF0ZWQ=\n	1304490932
session:6dd7ad26a764c8f98685f745565f54e01b719325                        	BQcDAAAAAQoKMTMwNDQ4MzcxNAAAAAlfX3VwZGF0ZWQ=\n	1304492815
session:3a78c2379d387a4f766e53bba99c62f247f581e7                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwNDUwMTMzMQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDQ1MDEzMzEAAAAJX191cGRhdGVk\n	1304508531
session:b90fe33c8c0dce15c7b82d210161bf791ab69c13                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3B\nO3sAAAAJX191cGRhdGVk\n	1304521079
session:2a2cb4686fc44b0a5aa6b38be8817453886f1ff0                        	BQcDAAAAAQoKMTMwNDUwMTMzMgAAAAlfX3VwZGF0ZWQ=\n	1304508532
session:78a7c66ca6823cb7e233111f629e2c182f4b41e5                        	BQcDAAAAAQoKMTMwNDQ5MzczMAAAAAlfX3VwZGF0ZWQ=\n	1304505346
session:2a6bce821629b91c7d8456cbc4eb92953f64903d                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwNDUwMjA0NwAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDQ1MDIwNDcAAAAJX191cGRhdGVk\n	1304509247
session:000a86d9b2ada9f09c54f6de3d7172adc348910a                        	BQcDAAAAAQoKMTMwNDUwMjA0OAAAAAlfX3VwZGF0ZWQ=\n	1304509248
session:7fb17677425b8f7000e1c2107555c1c78071070d                        	BQcDAAAAAQoKMTMwNTYwOTgzNgAAAAlfX3VwZGF0ZWQ=\n	1305617036
session:3999549100004e6bc46eb0b32010e8937f280601                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGd1aWxoZXJtZXNlaW5mQGdtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMDU2MDk4NTMAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzA1NjA5ODUzAAAACV9fdXBkYXRlZA==\n	1305617053
session:271c19d641da56e2c260ea6bd2baaac9626ae637                        	BQcDAAAAAQoKMTMwNTYwOTg2MgAAAAlfX3VwZGF0ZWQ=\n	1305617062
session:8ba6d1d536e77e68eae50e6d678df5f3684ab454                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3C\nnJYAAAAJX191cGRhdGVk\n	1304607482
session:dc622d21829670103b00d09d5f9bdb0e51cb530a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3V\nZPgAAAAJX191cGRhdGVk\n	1305839150
session:ee0d6f35519a03dae4093cf51af3fe20800d2d42                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNDUwMzc2MwAAAAlfX3VwZGF0ZWQ=\n	1304511565
session:08c7074ab4f48183ae2737bfead880d83f71fc6a                        	BQcDAAAAAQlN1YZaAAAACV9fdXBkYXRlZA==\n	1305846394
session:7dcde5f813ddee3f39cdd2bfed39db8e8cbdef22                        	BQcDAAAAAQoKMTMxOTIwMjgzMAAAAAlfX3VwZGF0ZWQ=\n	1319210534
session:ef9cc95250c5fe3bafcb966c974fd771bd8c42c5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwNDUwMzM1NgAAAAlfX3VwZGF0ZWQ=\n	1304514383
session:dd7c6495aecb8e343fc4a2459fcf499735fefd63                        	BQcDAAAAAQoKMTMwNDUxNTYzMwAAAAlfX3VwZGF0ZWQ=\n	1304522830
session:82399e6a4acd825bce4423d7bba0ce7a17c8e31c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA5\nMjcwOTU0AAAACV9fdXBkYXRlZA==\n	1309278191
session:85006323a9d806eef58e037e152d9f5d6f90c889                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTI5Nzg4NjYAAAAJX191cGRhdGVk\n	1312990054
session:809ecc8a002864ba65f522fa03b50b250ee4d5fe                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTA3NTQxNDYAAAAJX191cGRhdGVk\n	1310762593
session:24188b6011b52428aa021f533e3f7abc02014456                        	BQcDAAAAAQoKMTMxMTg4MDA4OQAAAAlfX3VwZGF0ZWQ=\n	1311887290
session:af3a6c8b39aa1c1949a1d32aceaf49312c24ea97                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE0MTA4MzIwAAAACV9fdXBkYXRlZA==\n	1314115560
session:228e6e770d77e20628be57afaa10f7f5e01ac46e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3D7WwA\nAAAJX191cGRhdGVk\n	1304693302
session:73b494d22b9f8059edc36b786d2955a9a0ad69e2                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNDU5MTcxNgAAAAlfX3VwZGF0ZWQ=\n	1304598916
session:d83c5e64f29bdae3109e86195c76ab91a44938b2                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA5\nODA5NTA2AAAACV9fdXBkYXRlZA==\n	1309816706
session:826e519b01633dac50d58c28d619eaa320d78bfd                        	BQcDAAAAAQoKMTMwNDYwMzYzMAAAAAlfX3VwZGF0ZWQ=\n	1304610830
session:3697a12a2038589dff17dbd45e097ec829af9959                        	BQcDAAAAAQoKMTMwOTQ1OTczMQAAAAlfX3VwZGF0ZWQ=\n	1309466932
session:1fd9d0acdaa8b5c3d706d2ce022295be4206e911                        	BQcDAAAAAQoKMTMxMTk2MjYwOAAAAAlfX3VwZGF0ZWQ=\n	1311969808
session:e0e9f507cfd5ceba6f596045b7ccb90ea8aba402                        	BQcDAAAAAQoKMTMwNDU5MTQwNQAAAAlfX3VwZGF0ZWQ=\n	1304598605
session:a672df1ac9a3fdc5ac06f4e47f6e45d95fb1b4d3                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF3NhbWFyYV9wc2lAeWFob28uY29tLmJyAAAA\nBl9fdXNlcgoKMTMwNDU5MTQxOQAAAAlfX2NyZWF0ZWQEAwAAAAEKAAAAAARlcnJvAAAAB19fZmxh\nc2gKCjEzMDQ1OTE0MTkAAAAJX191cGRhdGVk\n	1304598619
session:710041f2e24608756efcb97335b8bd123783a2e2                        	BQcDAAAAAQoKMTMwNDU5MTQyMAAAAAlfX3VwZGF0ZWQ=\n	1304598619
session:f06a27bee32517a9b0ba311c09d5e206bb9f05af                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzA5ODg3NjMxAAAACV9fdXBkYXRlZA==\n	1309894831
session:cebf53825179afb1dbbdb2f6a40db0333ae530d2                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3TsqAA\nAAAJX191cGRhdGVk\n	1305726704
session:0f75d2ea9e45f51c67154f5cdca292dbca90377d                        	BQcDAAAAAQoKMTMwNjc4MTQ2MwAAAAlfX3VwZGF0ZWQ=\n	1306788663
session:d1f84e31dbb19eb2a92aa52c6427803dfc724e75                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3CzpwA\nAAAJX191cGRhdGVk\n	1304619719
session:48378ddd56b5bb5c4992dec37d1c60125d2ce005                        	BQcDAAAAAQoKMTMwOTg5NDUzMAAAAAlfX3VwZGF0ZWQ=\n	1309901730
session:037d0bb2632268e0da344a5583a2745ae05ba7fb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTI1NTIxMTMAAAAJX191cGRhdGVk\n	1312560815
session:0ff7a592937d5dfe11376461d85024c46d90f086                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF2FkcmlhbmFnb2VzMDFAZ21haWwuY29tAAAA\nBl9fdXNlcgoKMTMwOTQ2MjAxMwAAAAlfX3VwZGF0ZWQ=\n	1309469645
session:2d6733bceff6f3da9fa9668aad8305705e3bab26                        	BQcDAAAAAQoKMTMwOTgwNTQwMgAAAAlfX3VwZGF0ZWQ=\n	1309812603
session:3537dfa91556939f78eb64a3be558748fa8921df                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA5\nMjkyNzA0AAAACV9fdXBkYXRlZA==\n	1309299910
session:c5d9d305b19da0e52da048802f478740ad7635c3                        	BQcDAAAAAQoKMTMxMjk5MDU5MAAAAAlfX3VwZGF0ZWQ=\n	1312997790
session:5fbd49357b227a388e9311fd63f6543eed22b20d                        	BQcDAAAAAQoKMTMwOTQ2Mzg3NQAAAAlfX3VwZGF0ZWQ=\n	1309471075
session:b207f909a39fe235adc7c4618ed216d79e9c4675                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3C3qQA\nAAAJX191cGRhdGVk\n	1304626429
session:70ad16ffcb0129e9a661cb9a89c79290316bacae                        	BQcDAAAAAQoKMTMwOTQ2Mzk4NQAAAAlfX3VwZGF0ZWQ=\n	1309471185
session:0cb6de78371149298f42119cb95c4a4a87d1a7ca                        	BQcDAAAAAQoKMTMwOTQ2NDAwNAAAAAlfX3VwZGF0ZWQ=\n	1309471205
session:7d3d02f0cf78f2052da29a4f67c71ae3cdc6b057                        	BQcDAAAAAQoKMTMwOTM1NTQ1MAAAAAlfX3VwZGF0ZWQ=\n	1309362650
session:8d63f0921221cf50040993acb1614c43674b8c8b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nOTY5MDEzAAAACV9fdXBkYXRlZA==\n	1311976437
session:e2cfa36c27e57bef2f349e4f6cebc2678848decc                        	BQcDAAAAAQoKMTMxMTg4NDcxMQAAAAlfX3VwZGF0ZWQ=\n	1311891911
session:c02076945ddbf5b7cb8a1c99b5dc9dd150c9c083                        	BQcDAAAAAQoKMTMxMjA3MzgwNgAAAAlfX3VwZGF0ZWQ=\n	1312081005
session:5471218019122d56de21cf0fa06e1f1f28370884                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nOTQ0NjUyAAAACV9fdXBkYXRlZA==\n	1311953167
session:17dc7dbcd70bcfe94eb92c2c0416f25958f8f722                        	BQcDAAAAAQoKMTMxMTk1NTY0OQAAAAlfX3VwZGF0ZWQ=\n	1311962849
session:6047bd795d2e7572da29174ecf70574f3134d2db                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEy\nNTU0MjkzAAAACV9fdXBkYXRlZA==\n	1312561493
session:97fcc27ff74831a8634cc5439c97f7c3ecf8159e                        	BQcDAAAAAQoKMTMxOTIwMjkzOAAAAAlfX3VwZGF0ZWQ=\n	1319211973
session:a26753a79d1f27ea80cb7b4978e17f016a45ffdf                        	BQcDAAAAAQoKMTMxOTIwODYwMgAAAAlfX3VwZGF0ZWQ=\n	1319215802
session:1735a0d22c99705708f316faa30b8d750eb2304c                        	BQcDAAAAAQoKMTMxMjE5Nzk5NAAAAAlfX3VwZGF0ZWQ=\n	1312205194
session:558d9c79b58aed025788f4949b337f7230bcd380                        	BQcDAAAAAQoKMTMxMTk0OTAwNwAAAAlfX3VwZGF0ZWQ=\n	1311956207
session:75b9a6a9afd77fd60dd06bd8b0d8ad60858bffc7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFGFsbGFudGluZm9AZ21haWwuY29tAAAABl9f\ndXNlcgoKMTMwNTcxOTQyMwAAAAlfX3VwZGF0ZWQ=\n	1305726795
session:9fd45bff8deae671f0cff5586185f93872003a96                        	BQcDAAAAAQlNwvs9AAAACV9fdXBkYXRlZA==\n	1304631133
session:9f3bd63a519eace3825ab057eb43f8de5bb29031                        	BQcDAAAAAQoKMTMwOTUxODA4NgAAAAlfX3VwZGF0ZWQ=\n	1309525286
session:fcfebdc72a657e2631aa95e6149c54f17a314da2                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3D\nBFEAAAAJX191cGRhdGVk\n	1304633459
session:25732fec77d726c5518b32e864216c7df478df15                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU33\nftQAAAAJX191cGRhdGVk\n	1308079682
session:34e6c7eff017bef67dbbf25ce6be583ce3134d27                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgQZAAAAAAEKDXhzZF9kdXBsaWNhZG8CAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjc4NTY3MwAA\nAAlfX3VwZGF0ZWQ=\n	1306792873
session:d026febb8d345e906cfaa1d1f2e6df17897e6c4f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTM2ODc5MTkAAAAJX191cGRhdGVk\n	1313695119
session:081d108a88af3b4442a99bdec0e1c792acad5b21                        	BQcDAAAAAQlNwvW0AAAACV9fdXBkYXRlZA==\n	1304629716
session:4baea75011654e39044888fd2b5c81b1027d725a                        	BQcDAAAAAQlNwvYOAAAACV9fdXBkYXRlZA==\n	1304629806
session:9619a8fe9bb5fc47587b6f4f199121cf630c391f                        	BQcDAAAAAgQDAAAAAQoLdXNlcl9mYWlsZWQAAAAEZXJybwAAAAdfX2ZsYXNoCgoxMzE5MjA5NDk5\nAAAACV9fdXBkYXRlZA==\n	1319216699
session:590aa6e57feef418040091fa78dfe9c7f80c1c51                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA1ODc0MDkxAAAACV9fdXBkYXRlZA==\n	1305882556
session:8b32b6af6db5b15363ff92ebf6a43e7a989044db                        	BQcDAAAAAQoKMTMxMTk0NTY2MQAAAAlfX3VwZGF0ZWQ=\n	1311952862
session:d8b00ad4f83be5a388eee6030100610bf307e2d1                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTMwMDEwMzQAAAAJX191cGRhdGVk\n	1313008730
session:0896bfd5a6737101cd7d458e59cf4ad8f3e03f0f                        	BQcDAAAAAQoKMTMxOTIxMDAyOAAAAAlfX3VwZGF0ZWQ=\n	1319217228
session:931b6143f54dda6b87f451428d0e23e1509e6e9f                        	BQcDAAAAAQoKMTMxMzAxMTI5OQAAAAlfX3VwZGF0ZWQ=\n	1313018512
session:7ad9d58cc9ddf91427c76f0e03507ee236235df5                        	BQcDAAAAAQoKMTMxMTk2NTQwMQAAAAlfX3VwZGF0ZWQ=\n	1311972602
session:24612c8c0b5493cdb0ded73c7021c63db0ab1200                        	BQcDAAAAAQoKMTMxMTk2NDE2MwAAAAlfX3VwZGF0ZWQ=\n	1311971364
session:08ab34fff6510057d56f267c74d7685c11635482                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTE5NjY3ODQAAAAJX191cGRhdGVk\n	1311973984
session:06e8a36b6ed0a0d5e2ed4e8899f992d2c76545b9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA0\nNjYxMjc5AAAACV9fdXBkYXRlZA==\n	1304668493
session:efef3d8bf1f7ea11fcb16103a55313b6ff7435d0                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNjg3NTM0MAAAAAlfX3VwZGF0ZWQ=\n	1306882670
session:53fc32199d75ca4138a4c2fbfe88d1523d1ba6e1                        	BQcDAAAAAQoKMTMxMzA2MzA5NgAAAAlfX3VwZGF0ZWQ=\n	1313071983
session:647f7a74e90b68d5de42976eac4047774cd2ef84                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA4\nMDcwMDg2AAAACV9fdXBkYXRlZA==\n	1308077306
session:7b2a074235f0cd50eeed49d9e5ce1f5956482665                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA5\nMzU4MjQ0AAAACV9fdXBkYXRlZA==\n	1309365573
session:7f81e66613e954c0d7e3d5397f7077da7e97e6da                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQZ\nAAAAAAEKDXhzZF9kdXBsaWNhZG8CAAAABGVycm8AAAAHX19mbGFzaAoKMTMwNjc4NTQ0MgAAAAlf\nX3VwZGF0ZWQ=\n	1306792642
session:5cbe947d980e2edddd5d6efde834ab4a002682fc                        	BQcDAAAAAQoKMTMxMTk0Nzg2OAAAAAlfX3VwZGF0ZWQ=\n	1311955068
session:c9d36b4c548f92a1b4330bb86e9927d68e13fbd1                        	BQcDAAAAAQoKMTMwOTUyMjY4MQAAAAlfX3VwZGF0ZWQ=\n	1309529881
session:7070521a5cd251515f3ea677c713243a74606814                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFG1lbGluYWJyaXRAZ21haWwuY29tAAAABl9f\ndXNlcgoKMTMxMTk1ODg5OAAAAAlfX3VwZGF0ZWQ=\n	1311966110
session:f1b7b00e07deb2e50e91c269b66d04c5a4004f4f                        	BQcDAAAAAQoKMTMxMTA5ODI2NwAAAAlfX3VwZGF0ZWQ=\n	1311105467
session:42bc2d5c8c8ee35e1b60e30e4fe274b02930eb0e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTIyMDAzNTcAAAAJX191cGRhdGVk\n	1312207580
session:4c1c14e247e2164ecc9d8fffb9c1b51cf4eaa4e5                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyBAMAAAAB\nCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgoxMzEyMjA5Mzc3AAAACV9fdXBkYXRlZA==\n	1312216578
session:26182ec5990ccb9b3945f8254114b12cbbe1605a                        	BQcDAAAAAQoKMTMxMTk2NzI4MgAAAAlfX3VwZGF0ZWQ=\n	1311974488
session:4227cfd7f165070398ad4d8f9f405fbcea37bfc8                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nNzg1Nzc1AAAACV9fdXBkYXRlZA==\n	1306792975
session:553d226bbd8ec8a7dea4c16b05bd694d03cc1cfd                        	BQcDAAAAAQoKMTMwNzAzNzM4NQAAAAlfX3VwZGF0ZWQ=\n	1307044586
session:47259a00101003fa767087de6b450d5b812885c4                        	BQcDAAAAAQoKMTMxMDA2MTE2MAAAAAlfX3VwZGF0ZWQ=\n	1310068365
session:31ad407d36ba6ba7cdfe8def9e8feec2d76912de                        	BQcDAAAAAQoKMTMxMjIyNzQxMgAAAAlfX3VwZGF0ZWQ=\n	1312234612
session:aab92ac88e5bcdd253b4f2b6c97934e097f5a471                        	BQcDAAAAAQoKMTMxMDA2MjIwNgAAAAlfX3VwZGF0ZWQ=\n	1310069412
session:4b2a93d426c9688c2cecd44737a2547c640cb015                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNjk1Nzc3MwAAAAlfX3VwZGF0ZWQ=\n	1306965067
session:fe0c4099db3cf5a2b2cea78b775262ec9f3a40a9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNjg4ODgyOAAAAAlfX3VwZGF0ZWQ=\n	1306900071
session:33c858d19e8b35055dc4c30b03edf42b75ffe5ca                        	BQcDAAAAAQoKMTMxNjUzMDg5OAAAAAlfX3VwZGF0ZWQ=\n	1316540658
session:535e49c340763cac98900b7ce97a33cb1f68f858                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNpbnRpYXZlbmRhc0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE3MzE1OTAyAAAACV9fdXBkYXRlZA==\n	1317323474
session:394e435997b046525e0d65293c5ec44bb991fe5a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU3a\nqNgAAAAJX191cGRhdGVk\n	1306185924
session:ef2c23d7264f6afd3df3d7505cd669f5cfe44800                        	BQcDAAAAAQoKMTMxNzMxNjc2OQAAAAlfX3VwZGF0ZWQ=\n	1317323970
session:97b6d36bde6a2ce9e997f3d64231a39c6d130468                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEmxlZGguc2RoQGdtYWlsLmNvbQAAAAZfX3Vz\nZXIKCjEzMDgwNzMwNDcAAAAJX191cGRhdGVk\n	1308080593
session:afbcb4624b59fc4eedce0bfd0b262b27b42a99fd                        	BQcDAAAAAQoKMTMxMjU1NDgxNgAAAAlfX3VwZGF0ZWQ=\n	1312568593
session:23155f0e15868699b5170bc1c77f06d5f979932a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3D7dAA\nAAAJX191cGRhdGVk\n	1304695979
session:8752121d5ad0b80a6da2063791b203946734d6c0                        	BQcDAAAAAQoKMTMwNjg0NDA0MwAAAAlfX3VwZGF0ZWQ=\n	1306851244
session:7561d1bc2ac588c1de2541e4f3a71c69426de0d0                        	BQcDAAAAAQoKMTMxMDA2MTA1NAAAAAlfX3VwZGF0ZWQ=\n	1310068260
session:a6c50274debf3d23dbbe6fd3ed4d582a45fa63c4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTMwNzI2NTIAAAAJX191cGRhdGVk\n	1313079852
session:338f86738d756a95a706b82aeb370650077a7475                        	BQcDAAAAAQoKMTMxMTE4MTk3NwAAAAlfX3VwZGF0ZWQ=\n	1311189177
session:b1fbb1e1f40d03b5e4d507df530644a95b092fac                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNjg1MDc2NQAAAAlfX3VwZGF0ZWQ=\n	1306858045
session:13eb44a742a5cfa0d8e16e8aa28d951e95a0ba22                        	BQcDAAAAAQoKMTMwNzAzNDE2OQAAAAlfX3VwZGF0ZWQ=\n	1307041370
session:89ab4bf2b38b01834d1150e5ae6a6de69e28113d                        	BQcDAAAAAQoKMTMwNjg5NDQzOQAAAAlfX3VwZGF0ZWQ=\n	1306901640
session:ac12586ada9a6a2d033fbdb7bb99e283741bf9cb                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU4l1OMA\nAAAJX191cGRhdGVk\n	1311109379
session:3379015434feaed08d68527ad1d90b6459b3bfc4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEmxlZGguc2RoQGdtYWlsLmNvbQAAAAZfX3Vz\nZXIKCjEzMDcwNTIzMjcAAAAJX191cGRhdGVk\n	1307059789
session:e60e534b89ca854e58a415576158e2e338b9c50b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE2\nNTQyMDY2AAAACV9fdXBkYXRlZA==\n	1316549278
session:24a40b8317f07a6623a6fa3eaf83006f1942a366                        	BQcDAAAAAQoKMTMxNzMyMTg1MQAAAAlfX3VwZGF0ZWQ=\n	1317329052
session:d3c082040f49eb661b7d2120d6fb5ba68a203bff                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nxCkpAAAACV9fdXBkYXRlZA==\n	1304709281
session:b44a2c983fecd3ec93b0c65bd30eb211709d69cd                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3D\n6BwAAAAJX191cGRhdGVk\n	1304696048
session:fe92b1d7dd59ae56e23aaa9158bf9e19a40e84e1                        	BQcDAAAAAQoKMTMxMDEzMDk4NQAAAAlfX3VwZGF0ZWQ=\n	1310138185
session:ec2c6659e1906ae3f47fa4eb6f8fda332f16464d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNzAzNTU5NwAAAAlfX3VwZGF0ZWQ=\n	1307042797
session:51d2d2b41839ae418a28d600d7688c79c62df022                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncglNxADQAAAACV9fdXBkYXRlZA==\n	1304699342
session:ec8621079a940e1b963836464373bcfac5b4f3b9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA2\nOTMyMDgzAAAACV9fdXBkYXRlZA==\n	1306939290
session:0b3db9a638122bf6d33104a3495cf28fb7509848                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nxAwuAAAACV9fdXBkYXRlZA==\n	1304701018
session:34fa2520c1354c1a491899637a1b15f7e4ebb084                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA1ODg0NDE1AAAACV9fdXBkYXRlZA==\n	1305892266
session:8b24755ca7b2672ac8d9c44eb294d94b3510a862                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nw/1XAAAACV9fdXBkYXRlZA==\n	1304697207
session:5400b739aceaea8094d223d532941febda88b63e                        	BQcDAAAAAQoKMTMxNzM4Mjk3NgAAAAlfX3VwZGF0ZWQ=\n	1317390175
session:b69e5f4024d4f8341b9b391841352975c78b7d57                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNDcxMDU1NgAAAAlfX3VwZGF0ZWQ=\n	1304717825
session:dabf72e031f233314a1c5b413a6087966033475e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNDY5ODU1OQAAAAlfX3VwZGF0ZWQ=\n	1304705760
session:472039cbe1229b53975f5faf3507e94709c73d95                        	BQcDAAAAAQlNxFHsAAAACV9fdXBkYXRlZA==\n	1304718860
session:3c53a56d675e79fe9511e6fa20a249272091574b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTMwODg4NDkAAAAJX191cGRhdGVk\n	1313096049
session:f47fef83ed5df28de50b1affb10824ea6e061c17                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMjIwMzI2NQAAAAlfX3VwZGF0ZWQ=\n	1312212930
session:ca15f9d180e5f2247e43e21e75f69223a88f261e                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU5TveUA\nAAAJX191cGRhdGVk\n	1314118149
session:8ff1990f84a337e58e08d2a8bc223736e11279f9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNzEwNzQxMwAAAAlfX3VwZGF0ZWQ=\n	1307114613
session:5f1acc5ea8a5289b00955e685d42517f3be7f259                        	BQcDAAAAAQoKMTMxNjU0MjE3MwAAAAlfX3VwZGF0ZWQ=\n	1316551287
session:cc843daab39ea874910fbb4e2e12089c0a607063                        	BQcDAAAAAQoKMTMwNjg0OTkzNwAAAAlfX3VwZGF0ZWQ=\n	1306857137
session:8e34f8d8b7d68c84312123e1c409e3883bc88eab                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGd1aWxoZXJtZXNlaW5mQGdtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMDY4NDk5NzkAAAAJX191cGRhdGVk\n	1306857179
session:bdf7268152a8effcadc41f0de9e86ef15537d5bb                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyBAMA\nAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgoxMzA3MDIyNzcxAAAACV9fdXBkYXRlZA==\n	1307029971
session:030996358179b97a8b2f9fd12a1a83b464bf43bc                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGd1aWxoZXJtZXNlaW5mQGdtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMDU2OTYzMTIAAAAJX191cGRhdGVk\n	1305703545
session:42dd04ae45184a65d1a64ac9eb1bda7aec1d5659                        	BQcDAAAAAQoKMTMxNDI5Nzk1NAAAAAlfX3VwZGF0ZWQ=\n	1314305154
session:4a16fd199269c4dcd3c300926ffbe79453adcbb7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmNhcmxvcy53aGVyYmV0AAAABl9fdXNlcgoK\nMTMxNDIwODgwMAAAAAlfX3VwZGF0ZWQ=\n	1314216092
session:349ae8cc742ca4304310a0eadfade794653c2b06                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU5V\nKO4AAAAJX191cGRhdGVk\n	1314211148
session:46e1ffc100debe8832ebf13a53c9453912cce5ef                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxNDIwNTYxNQAAAAlfX3VwZGF0ZWQ=\n	1314215555
session:6730e09c324fcf434072528c88a43b063ae1da76                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nx+vsAAAACV9fdXBkYXRlZA==\n	1304954893
session:888ca9b6147447c42ae3431106c3f088d342c063                        	BQcDAAAAAQoKMTMxNDM1NzA5OAAAAAlfX3VwZGF0ZWQ=\n	1314364298
session:49e312d901c7ad65a5873b1638bc4d19210ebd17                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGWNybGdidGZvcnRhbGV6YUBnbWFpbC5jb20A\nAAAGX191c2VyCgoxMzEzMTUwNDg4AAAACV9fdXBkYXRlZA==\n	1313157688
session:6de17d283a83aec3c665623a435e3271e6b724dc                        	BQcDAAAAAQoKMTMwNzExMTk4NAAAAAlfX3VwZGF0ZWQ=\n	1307119185
session:bdc02934cc637499d1061207d2b49d91adac72b1                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTM2MDA5OTUAAAAJX191cGRhdGVk\n	1313609101
session:42182d5084800a5d61c7fce8e0f872b9d27d71f8                        	BQcDAAAAAQoKMTMxMzYwNDE2NQAAAAlfX3VwZGF0ZWQ=\n	1313611365
session:32502c88b9cbcf86dd500971aac6cb23f640e88c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTMxNTM5ODIAAAAJX191cGRhdGVk\n	1313161182
session:443c498c01a7984197cb4b3f7e4e1717894e6da1                        	BQcDAAAAAQoKMTMxMzE2NDQ5OAAAAAlfX3VwZGF0ZWQ=\n	1313171698
session:56058ffb50ef08b1fe88f05113382c3a5c6f21e2                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE0\nMTE3Njk3AAAACV9fdXBkYXRlZA==\n	1314124908
session:9444f5f90372e3836e0c4c2bec79e9345e161eae                        	BQcDAAAAAQoKMTMxNDM3MDYyOAAAAAlfX3VwZGF0ZWQ=\n	1314377827
session:cdf5effd4e471e588a908c4a9f89f7ba9126daac                        	BQcDAAAAAQoKMTMxMzQ4OTY0MgAAAAlfX3VwZGF0ZWQ=\n	1313496842
session:16dc69d223b322029f6a2bb6d72b1efdb38b9231                        	BQcDAAAAAQoKMTMxNDE5OTYxMgAAAAlfX3VwZGF0ZWQ=\n	1314218067
session:67c3668de4de31a588ab85b4017862fa71ec0f7c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzE0MTIxNDM2AAAACV9fdXBkYXRlZA==\n	1314134279
session:9c197f89d92564abed5ba7fcfb471e0e8605e3fe                        	BQcDAAAAAQoKMTMxNDE4NDQyMAAAAAlfX3VwZGF0ZWQ=\n	1314191619
session:5987abf651cceba312d2fc5a0f3f5824ad4fee8a                        	BQcDAAAAAQoKMTMxNzM5NDgzMgAAAAlfX3VwZGF0ZWQ=\n	1317402032
session:e1e59e4705110d7d10c3b17e608324bd12211b32                        	BQcDAAAAAQoKMTMxNDYyOTg4OQAAAAlfX3VwZGF0ZWQ=\n	1314640224
session:aadc091fb7db27e380ed3c0e4996f93601a74031                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTQyMTAzODUAAAAJX191cGRhdGVk\n	1314221959
session:33580255d770d1b858f6048d94b8884ce54dedee                        	BQcDAAAAAQoKMTMxNDcwMjUxOQAAAAlfX3VwZGF0ZWQ=\n	1314709719
session:55fef27101e0a3f0a1fe3066f7a5752948a9d315                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE0\nMjE2MzQ0AAAACV9fdXBkYXRlZA==\n	1314223728
session:82f669ee61136a08ed8e0d03355ace9576d69f29                        	BQcDAAAAAQoKMTMxNDIzNDEwMgAAAAlfX3VwZGF0ZWQ=\n	1314241305
session:dacb20d50b4521b10ffc97af210ceafe0d35eb47                        	BQcDAAAAAQoKMTMxNDYxMzY0MgAAAAlfX3VwZGF0ZWQ=\n	1314620842
session:736a52998c300fd0657ddaa1cfd939b4c7fc836d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nNDAyMDM1AAAACV9fdXBkYXRlZA==\n	1317409247
session:b42397d089b8e0cc2bf19e0f4709fa831c4481d2                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nNDAzNDg3AAAACV9fdXBkYXRlZA==\n	1317410756
session:e1baa9720044c05e3e43507e569241d086e2c6d0                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XIGxlb25hcmRvbGltYUBmb3J0YWxlemEuY2Uu\nZ292LmJyAAAABl9fdXNlcgoKMTMwNTU0NDAwMwAAAAlfX3VwZGF0ZWQ=\n	1305551212
session:1b474ed3d3d89f2a1cfe091cf6b24747ebfe9b0d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNzEwODM1NwAAAAlfX3VwZGF0ZWQ=\n	1307119426
session:b23eab221155fe09ef4362cf47c91f11fcda9366                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNTU0NDE3OQAAAAlfX3VwZGF0ZWQ=\n	1305555150
session:ad35e2a2d4822a8cc0958620517ca5c85ffe931f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEy\nNTYxNzI3AAAACV9fdXBkYXRlZA==\n	1312568927
session:e05dfbc74bb52b8a8cf2339628bb39d72a3d25b5                        	BQcDAAAAAQoKMTMxNDE4NTUwMQAAAAlfX3VwZGF0ZWQ=\n	1314192701
session:da4f2ca84e73eef994e40d7366540cce7f7d8149                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTQyMDQ4MzcAAAAJX191cGRhdGVk\n	1314212077
session:eb280970be7340aab0844a448975aa5ee16efbf5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE0\nMTg4OTkzAAAACV9fdXBkYXRlZA==\n	1314196205
session:fece31229a4b29c73cdb99452d2b7b5db741ee87                        	BQcDAAAAAQoKMTMxMTYxNjc0OQAAAAlfX3VwZGF0ZWQ=\n	1311623959
session:d841a1ebedeacc5016f232ea1abbc48159147404                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNjg1MzkwMwAAAAlfX3VwZGF0ZWQ=\n	1306861103
session:0ad0a2f09c99252d197b549ed51bd61979510156                        	BQcDAAAAAgoKMTMxNDYxNzUxOQAAAAlfX2NyZWF0ZWQKCjEzMTQ2MTc5OTkAAAAJX191cGRhdGVk\n	1314625199
session:6dc46d8d4e51d88569391f2218cc0329dbca0c8d                        	BQcDAAAAAgoKMTMxMzQ5NTEyNgAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1313502326
session:f272c161c909034ae48d7c32cdba91178c4a7611                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTQzNjI1MDcAAAAJX191cGRhdGVk\n	1314373825
session:efeb7c1125a118380b124f50a73ab9fb0da9a742                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxNDIwNDAzMAAAAAlfX3VwZGF0ZWQ=\n	1314216647
session:7dbb905596caec5d24639a3db8e96b60de9e914c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmNhcmxvcy53aGVyYmV0AAAABl9fdXNlcgoK\nMTMxNDIwODY0MAAAAAlfX3VwZGF0ZWQ=\n	1314215950
session:c838ea4aeb817b598f970cd7acd71abdcc4fafba                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XG2phbWlsbGFjYXJvbGluZUBob3RtYWlsLmNv\nbQAAAAZfX3VzZXIKCjEzMTQyNzE0MTUAAAAJX191cGRhdGVk\n	1314278615
session:f1d4cd8c58b10f8ecb63772b50d080007758a59a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU3m\nPjsAAAAJX191cGRhdGVk\n	1306943946
session:2d78a29f3a02f608c0fce68733f1cbd80b8790cd                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XE2Z1bmNpLnNkaEBnbWFpbC5jb20AAAAGX191\nc2VyCgoxMzA3MzY4MTc4AAAACV9fdXBkYXRlZA==\n	1307375596
session:0304bcc9b84805eddfcd9ae68fafeda49e787eba                        	BQcDAAAAAQoKMTMxNDI3MTc2MQAAAAlfX3VwZGF0ZWQ=\n	1314278961
session:52d18520cd86633c7289950224e5d78773f89cf6                        	BQcDAAAAAQoKMTMxNDM3NTY3NwAAAAlfX3VwZGF0ZWQ=\n	1314382877
session:3f9f2412ebe603998c5063a8e93319aad0f61a69                        	BQcDAAAAAQoKMTMxNDYxNjQyMAAAAAlfX3VwZGF0ZWQ=\n	1314623620
session:26d4a30a4bcb94479d42951334fe63d6a01d8d34                        	BQcDAAAAAQoKMTMxNDYxNjgwNwAAAAlfX3VwZGF0ZWQ=\n	1314624007
session:41325675b486929252e857bf47386846b316ac00                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTQyODMyNjUAAAAJX191cGRhdGVk\n	1314290465
session:85a1de0f2dfef3b6164b264d95fe08d3c4444b2d                        	BQcDAAAAAQoKMTMxNDcwMzUyMAAAAAlfX3VwZGF0ZWQ=\n	1314710719
session:21cc826301aba092d64dd0e5bdce1f420d274bee                        	BQcDAAAAAQoKMTMxNDcxNzc4MwAAAAlfX3VwZGF0ZWQ=\n	1314724983
session:463fdcf3cf0bd9e9a60a5eca831c8514cad17a5f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nNDA5ODA5AAAACV9fdXBkYXRlZA==\n	1317417019
session:e440311e93847e138cfb7a8b2915cf3ec3334789                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmphaW1lZm1maWxob0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE3NjA3MjQ2AAAACV9fdXBkYXRlZA==\n	1317614533
session:3391212248cc1f0c0300fdfe7fce4bd0e447a23b                        	BQcDAAAAAQoKMTMwNTg4NjcwOQAAAAlfX3VwZGF0ZWQ=\n	1305893906
session:6067ada22c26e742570bc94b7b6ac5dfc2fe7624                        	BQcDAAAAAQoKMTMxNDE4NzI3NwAAAAlfX3VwZGF0ZWQ=\n	1314194477
session:8ea69ccee027805f8470e1e1ac88a6402f546a39                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMTEwNDQ0MwAAAAlfX3VwZGF0ZWQ=\n	1311111650
session:041dabff90390c7b706c48237bce91cbd893a9bd                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNjg2MDIxNQAAAAlfX3VwZGF0ZWQ=\n	1306867985
session:616513df51db980105c7fc704c24d03b880536e5                        	BQcDAAAAAQoKMTMxNDYyMzc0MQAAAAlfX3VwZGF0ZWQ=\n	1314632194
session:8bde7466079f66803248e009c4dbcffc50c3e11c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3auMwA\nAAAJX191cGRhdGVk\n	1306187014
session:850f8200b7eac273a7e5ba03405f03b116ae4ff3                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGmtpbHZpYV90YXZhcmVzQGhvdG1haWwuY29t\nAAAABl9fdXNlcgoKMTMxNDI4MTg5OQAAAAlfX3VwZGF0ZWQ=\n	1314292064
session:1ba08e18cd23bb496418065d18cab1e3021b9e69                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF2FkcmlhbmFnb2VzMDFAZ21haWwuY29tAAAA\nBl9fdXNlcgoKMTMxMDEzMTk3OQAAAAlfX3VwZGF0ZWQ=\n	1310139258
session:2dd0e301a103ed04ee4b982ded5c77da72ff90a4                        	BQcDAAAAAgoKMTMxNzY0NTg2MAAAAAlfX2NyZWF0ZWQKCjEzMTc2NDU4NjAAAAAJX191cGRhdGVk\n	1317653060
session:293604da23f4f9bded7fb6ac6dedf9b0e9e5080b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XG2Zlcm5hbmRhay5rZWxseUBob3RtYWlsLmNv\nbQAAAAZfX3VzZXIKCjEzMTQyNzg0MjgAAAAJX191cGRhdGVk\n	1314292073
session:1c04d06f05b55c91906034f5176475521e689b47                        	BQcDAAAAAgoKMTMxNzY1NzA1MQAAAAlfX2NyZWF0ZWQKCjEzMTc2NTcwNTEAAAAJX191cGRhdGVk\n	1317664251
session:56ce11ef51a175aa013b7404bd9d49177f0949a5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEW5heWFyYWhfQGxpdmUuY29tAAAABl9fdXNl\ncgoKMTMxNDI4NDYyMQAAAAlfX3VwZGF0ZWQ=\n	1314292079
session:b901e105bc6e86cbb7b0ac6900f535600a2d43e2                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nNjIzNTM1AAAACV9fdXBkYXRlZA==\n	1311630748
session:5fdcf237ba46c7e06f63ac0283890e5e521e1bdc                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCjEzMTQzNTgwNTMAAAAJX19jcmVhdGVkFxdh\nZHJpYW5hZ29lczAxQGdtYWlsLmNvbQAAAAZfX3VzZXIKCjEzMTQzNTgwNTMAAAAJX191cGRhdGVk\n	1314365290
session:ae101532c3063fdf6c42d731daf806e60a6bcd26                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglO\nIJULAAAACV9fdXBkYXRlZA==\n	1310765368
session:2ef106f30edd54a050c5c8bcee430bdfad10604a                        	BQcDAAAAAQlOJDhfAAAACV9fdXBkYXRlZA==\n	1311003775
session:8b3ac3cef207988b606f6f341dfc44ac97c31121                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNjk1NjI2NwAAAAlfX3VwZGF0ZWQ=\n	1306965241
session:7bdd3df3fd74e8b2b75e2e76f6fdf3fbe835b28f                        	BQcDAAAAAQoKMTMxNDYyMjkyNgAAAAlfX3VwZGF0ZWQ=\n	1314630126
session:e1381a34fa3ca111e7710b0ab0fdbf6c5bfc6b3a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE0\nMjc2ODA4AAAACV9fdXBkYXRlZA==\n	1314284008
session:c9600384b55253e31b398201db1f046804e542da                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxNjU0MjYzMgAAAAlfX3VwZGF0ZWQ=\n	1316549832
session:078b71389b430d45435b247371d3ab2945bf5cf9                        	BQcDAAAAAQoKMTMxNDYyMzA1MgAAAAlfX3VwZGF0ZWQ=\n	1314630252
session:944847ea818e479ef41462328529aefe5fcb77b5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU6K\nA8QAAAAJX191cGRhdGVk\n	1317676141
session:864f3160e3b31585113288b0a5617a4c65ba6ebe                        	BQcDAAAAAQlN2s76AAAACV9fdXBkYXRlZA==\n	1306192666
session:c20060f334e88bd72b991325f3a3d9b905a31320                        	BQcDAAAAAQoKMTMxMDk4NzU1NAAAAAlfX3VwZGF0ZWQ=\n	1310995171
session:1b9ca31586b1fcf7ed55e85261ef6e4a84a86d1b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3b\n65YAAAAJX191cGRhdGVk\n	1306265556
session:9994327a99ba131756ee90a6757429d9f38b3016                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF2FkcmlhbmFnb2VzMDFAZ21haWwuY29tAAAA\nBl9fdXNlcgoKMTMxMDEzMTgxOAAAAAlfX3VwZGF0ZWQ=\n	1310139018
session:36914c33c76897d72f5e6340791514cee72e0557                        	BQcDAAAAAQoKMTMxMTYyMzc4NAAAAAlfX3VwZGF0ZWQ=\n	1311630984
session:8c1c4194326c0f2340009f6b1503c8e691cfa243                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNjg2ODA3MQAAAAlfX3VwZGF0ZWQ=\n	1306875422
session:9fa7b6700cf7680aea6fad0182760402d3a236d6                        	BQcDAAAAAQoKMTMxMDEzMjIzNwAAAAlfX3VwZGF0ZWQ=\n	1310139437
session:6bd2813ff387830d120971d6d0464a0a9be7398c                        	BQcDAAAAAQoKMTMxMDEzMjIwOAAAAAlfX3VwZGF0ZWQ=\n	1310139441
session:d99261a681d5d92f99e3472480640d79a0db7e7e                        	BQcDAAAAAQoKMTMxMDEzMjM1NAAAAAlfX3VwZGF0ZWQ=\n	1310139554
session:ffc0f2f24a777fbf4e63cdd4113c23c0b4a51fe5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU3m\nQ/sAAAAJX191cGRhdGVk\n	1306943965
session:7125d9cf0eaaa370f55dd918e0103aa4561cab32                        	BQcDAAAAAQoKMTMxNzY2OTQzNAAAAAlfX3VwZGF0ZWQ=\n	1317676634
session:126b218e74818f20706bafee684c41f883c4da4c                        	BQcDAAAAAQoKMTMxNTI0MDQ3NgAAAAlfX3VwZGF0ZWQ=\n	1315247675
session:96280277e14a95b116d68bb5a28869a150739eb3                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XHmxpZGlhbmVyb2RyaWd1ZXM5QHlhaG9vLmNv\nbS5icgAAAAZfX3VzZXIKCjEzMTY0NTkyNzMAAAAJX191cGRhdGVk\n	1316466538
session:ba239f5251cdeb459e545b5eee2f9a761cce6dae                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTI1NzA5NTcAAAAJX191cGRhdGVk\n	1312578157
session:3fc402c9eec39114b594bc77b5b60512375449e5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmxpZHl5LmFubmVAaG90bWFpbC5jb20AAAAG\nX191c2VyCgoxMzE0Mjc4MjQxAAAACV9fdXBkYXRlZA==\n	1314285821
session:05a21677cc4a123e5414b9e9f4fc50872cb837d2                        	BQcDAAAAAQoKMTMxMDk4OTg3NwAAAAlfX3VwZGF0ZWQ=\n	1310997076
session:a893be377f0b519755e866fa82befab63261f600                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3a\n0JYAAAAJX191cGRhdGVk\n	1306193129
session:9b32eb60462f0dbe608f9c9bb328a2258ddd0b7f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU3p\nFGIAAAAJX191cGRhdGVk\n	1307127971
session:abe8a8d7e556cf66b6c8efc27c0f2abf5afdf2ac                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTQyOTkwMDIAAAAJX191cGRhdGVk\n	1314306277
session:d382ea1bfe0c550bac6573ccb57e91dc24540951                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEx\nNjgyODM5AAAACV9fdXBkYXRlZA==\n	1311690314
session:73a96450fb403e511e606fd8d6c7731a77afb2ff                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzEzNDk2Nzk2AAAACV9fdXBkYXRlZA==\n	1313503996
session:fdc0c5141dcd7168825c273db0f1e7d3050103e8                        	BQcDAAAAAQoKMTMxMTEwNTUxMQAAAAlfX3VwZGF0ZWQ=\n	1311112711
session:499525053a3190172b9b37277d89e10778d5c807                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTExNjIwNDUAAAAJX191cGRhdGVk\n	1311169245
session:7429d268f36f6c64b13b3533c5992a4652ea3351                        	BQcDAAAAAQoKMTMxNDI4ODQ3OQAAAAlfX3VwZGF0ZWQ=\n	1314295680
session:bd699541c1496565d951f5fd7a48f85613fd1b82                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XD2VtYW51ZWxsZS5jb3N0YQAAAAZfX3VzZXIK\nCjEzMTA5OTUxNjUAAAAJX191cGRhdGVk\n	1311004126
session:4652ef8f5ab04ce3fc7a2b3521e725e84693e8a6                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmZsYXZpYS5mZWl0b3NhAAAABl9fdXNlcgoK\nMTMxNDcyNzUxMQAAAAlfX3VwZGF0ZWQ=\n	1314734769
session:922e9f9eaf91eb453f9c84819da215546ff76a39                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDXVzdWFyaW8udGVzdGUAAAAGX191c2VyCgox\nMzE3NjcyNjk4AAAACV9fdXBkYXRlZA==\n	1317679903
session:5ba9dadb0ef6c7206013b6a9e4d698785c8e8479                        	BQcDAAAAAQoKMTMxNzczODIwOAAAAAlfX3VwZGF0ZWQ=\n	1317745419
session:eee9ffd81a495d0e352678a56287a18127968447                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEXNhbXVlbC5jYXZhbGNhbnRlAAAABl9fdXNl\ncgoKMTMwNzM2OTk1NgAAAAlfX3VwZGF0ZWQ=\n	1307377214
session:869946fb6b131674781b17afee71e157e195b06b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF2FkcmlhbmFnb2VzMDFAZ21haWwuY29tAAAA\nBl9fdXNlcgoKMTMxMDEzNjk5MwAAAAlfX3VwZGF0ZWQ=\n	1310144568
session:d1997f99154bd960a3384b99306fdcd94a362375                        	BQcDAAAAAQoKMTMxMDQwMTczMAAAAAlfX3VwZGF0ZWQ=\n	1310412810
session:3119723d8eb9a7fa04097593d87f36d42275902b                        	BQcDAAAAAQoKMTMwNzEyMzAxMQAAAAlfX3VwZGF0ZWQ=\n	1307130212
session:97c73da758efee205d30bc539356f4595f966867                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmphaW1lZm1maWxob0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE3NzM4Mjc2AAAACV9fdXBkYXRlZA==\n	1317745514
session:572ff887652e3a1f2742132962e1a6f4c412f859                        	BQcDAAAAAQoKMTMxMTY4Mjg4NAAAAAlfX3VwZGF0ZWQ=\n	1311690084
session:0c5cfc4e319e1e5b97b96f958fe239bbc64fc679                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTE2ODI5NzIAAAAJX191cGRhdGVk\n	1311690172
session:b7be13cb85b35ef1a1b2a0b55c8e1d245132b683                        	BQcDAAAAAQoKMTMxNDg4ODIwMQAAAAlfX3VwZGF0ZWQ=\n	1314895401
session:f982c30b12f079463e83b69bd1bf4cd44bdd9137                        	BQcDAAAAAQoKMTMxNDkwMTk1OQAAAAlfX3VwZGF0ZWQ=\n	1314909159
session:6431f8a25a4ba611cd05da8beb89e2327094a0a4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzE1MzE4ODI4AAAACV9fdXBkYXRlZA==\n	1315326100
session:85d56d10ae1e65b6fd8e7915f6ec4eada6f92d64                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE0\nOTY3OTk5AAAACV9fdXBkYXRlZA==\n	1314975330
session:249a56723127e449206eeedeb486db05a6229647                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE0\nMjkwNTMzAAAACV9fdXBkYXRlZA==\n	1314297754
session:c01b991070e17bf52719c0c5131a54191da10634                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzA3\nMTI1NDU2AAAACV9fdXBkYXRlZA==\n	1307132656
session:44c766c0c8dc60a23df4d6c03b30634952f86da3                        	BQcDAAAAAQoKMTMxNTI0Njg4OQAAAAlfX3VwZGF0ZWQ=\n	1315254089
session:c90590e5e754a851879d0f210a5f9dd134c7313a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDG5heWFyYS5jb3N0YQAAAAZfX3VzZXIKCjEz\nMTQ3OTAzMzUAAAAJX191cGRhdGVk\n	1314797535
session:767d8cfd2a98a3678c26eb431fbd27a9710dba46                        	BQcDAAAAAQoKMTMxNDk3NjU1NQAAAAlfX3VwZGF0ZWQ=\n	1314986456
session:d94458ffe82a398daefea21320f44b60f078cebf                        	BQcDAAAAAQoKMTMxNTIyMzM5NgAAAAlfX3VwZGF0ZWQ=\n	1315230596
session:761a1c78444c7a7fbf1dbb31c8c97c3424d42a86                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmZsYXZpYS5mZWl0b3NhAAAABl9fdXNlcgoK\nMTMxNDk2MjkwMwAAAAlfX3VwZGF0ZWQ=\n	1314970468
session:61df63f6d390974f1e35d222f58495508d1e9ad0                        	BQcDAAAAAgoKMTMxNDc5MDY0MwAAAAlfX2NyZWF0ZWQKCjEzMTQ3OTEwMDMAAAAJX191cGRhdGVk\n	1314798532
session:34d04e5199092fbb4f82361a113c74d5749a83a6                        	BQcDAAAAAQoKMTMxNDc5MjIxMAAAAAlfX3VwZGF0ZWQ=\n	1314799410
session:51847b9f0f4e7b35ec76f6efdc5f6d18c1c84149                        	BQcDAAAAAQoKMTMxNDgxOTY3MQAAAAlfX3VwZGF0ZWQ=\n	1314826870
session:945dfc007b0f4c9115003937d6e2f1cf97293bbf                        	BQcDAAAAAQoKMTMxNDg3NjIzNgAAAAlfX3VwZGF0ZWQ=\n	1314883436
session:668c8edf5e9f20cc43a830cb4edafda3da28afcb                        	BQcDAAAAAQoKMTMxNTI0NTg0MwAAAAlfX3VwZGF0ZWQ=\n	1315253044
session:69c0b2ef6df38096cc73e831b71fa49f364781ff                        	BQcDAAAAAgoKMTMxNDg3NjMwMAAAAAlfX2NyZWF0ZWQKCjEzMTQ4NzY0NDYAAAAJX191cGRhdGVk\n	1314883646
session:846e14768f8941dbfcf6a529aef5a45f465f3cac                        	BQcDAAAAAQoKMTMxNTMwNzQ1MgAAAAlfX3VwZGF0ZWQ=\n	1315314652
session:bd8b99721aa28930de1a6a207cd78fb2a4d1612c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxNTIzMjU3NAAAAAlfX3VwZGF0ZWQ=\n	1315239803
session:961f6bc2c8a8eb50f76d1d3da58ec08d6525c11b                        	BQcDAAAAAQoKMTMxNTI0Mzg0MwAAAAlfX3VwZGF0ZWQ=\n	1315251043
session:52b540d7ebd9b06cc895c2edc7691c00aa237252                        	BQcDAAAAAQoKMTMxNTI0NDYyMwAAAAlfX3VwZGF0ZWQ=\n	1315251823
session:01704eba79df5aec1a77c52e8f91478789cac83b                        	BQcDAAAAAQoKMTMxNTMxMzAyNwAAAAlfX3VwZGF0ZWQ=\n	1315320227
session:3c2d23f3602f00674b2e5a9a71211bdaddd6fc7d                        	BQcDAAAAAQoKMTMxNTMyNTMwOQAAAAlfX3VwZGF0ZWQ=\n	1315332509
session:fe73bcfa635705a2a3f5c925f8465aa11ed06da8                        	BQcDAAAAAQoKMTMxNzcyNjI4OQAAAAlfX3VwZGF0ZWQ=\n	1317733496
session:b33b9ab12652d469ef901013efd92897f8dc1793                        	BQcDAAAAAQoKMTMxNTMzNjAwNwAAAAlfX3VwZGF0ZWQ=\n	1315343207
session:bbfe6ef7f779cd984fef1a9a2964f8417217002d                        	BQcDAAAAAQoKMTMxNTQ4MDk1NAAAAAlfX3VwZGF0ZWQ=\n	1315488154
session:64d83bf5ff3608712e41f2f2d8a33ffc16833711                        	BQcDAAAAAQoKMTMxNTQ5NDg0NwAAAAlfX3VwZGF0ZWQ=\n	1315503086
session:20db9b6c773639eaeb66db4fd3b197ca88559948                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTc3NDAyMjkAAAAJX191cGRhdGVk\n	1317747491
session:922f027d044456fc52b0820350314fc3d06504af                        	BQcDAAAAAQoKMTMxNzcyODE2MAAAAAlfX3VwZGF0ZWQ=\n	1317735360
session:126778975319df61e2b053c44059c8cff1fb91f9                        	BQcDAAAAAQoKMTMxNzc0NDk3MQAAAAlfX3VwZGF0ZWQ=\n	1317752171
session:0f269eb50184b7871af85bf47e1798b87842b00d                        	BQcDAAAAAQoKMTMxMzU5ODEzMAAAAAlfX3VwZGF0ZWQ=\n	1313605331
session:3437f7550e817d23991d25e47e3dba7a208a97ec                        	BQcDAAAAAQoKMTMxNzgxNzM4MgAAAAlfX3VwZGF0ZWQ=\n	1317824582
session:2f9ce47b0ee9678b4f444eccfaba435c39316451                        	BQcDAAAAAQoKMTMxMTY4NjQ4MwAAAAlfX3VwZGF0ZWQ=\n	1311693683
session:ef6d7bfd9f904ebcb697e0b95a0cad4eb5e9b104                        	BQcDAAAAAQoKMTMxMTY5ODIwNwAAAAlfX3VwZGF0ZWQ=\n	1311705407
session:2cc1fe8f129ed67fbf2daee8047dba6dd73bc9b9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3IBgkA\nAAAJX191cGRhdGVk\n	1304961586
session:7c016c86d1fcac962a756bc2bf15ac383bad7a7c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNzM4MDUxNAAAAAlfX3VwZGF0ZWQ=\n	1307387783
session:f652765726c26a0f04fcd895f3dad22e6d265be4                        	BQcDAAAAAQoKMTMxMTY5OTAzMQAAAAlfX3VwZGF0ZWQ=\n	1311707806
session:1dce484bbf5d3c75465abaadb152ff9963308b93                        	BQcDAAAAAQoKMTMxMTcwMDY0MAAAAAlfX3VwZGF0ZWQ=\n	1311707841
session:c5130fad33fc541bde4862d954476a2490579dac                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\nyBuWAAAACV9fdXBkYXRlZA==\n	1304967130
session:67354d0c09150f4c2846042aeabc0fc7cef9e90f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGXNhbWFudGFfbWVsbzZAaG90bWFpbC5jb20A\nAAAGX191c2VyCgoxMzE0ODkzMTk3AAAACV9fdXBkYXRlZA==\n	1314900397
session:b9b188d026eaee3b5316ccf21f12ae533b24d2c7                        	BQcDAAAAAQoKMTMwNzM3MTMyMQAAAAlfX3VwZGF0ZWQ=\n	1307378522
session:63f8992e3231ee40b99a941052c68ed0538cd962                        	BQcDAAAAAQoKMTMxNTMwOTk5NQAAAAlfX3VwZGF0ZWQ=\n	1315317195
session:c8690e9c6720c1d8e1f296753778fb2262084d89                        	BQcDAAAAAQoKMTMxMDQwMzk2NwAAAAlfX3VwZGF0ZWQ=\n	1310411169
session:e99a3b34d0b8192db39a16186e84da2dfdb37ef6                        	BQcDAAAAAQoKMTMxNTQ5NjQzNQAAAAlfX3VwZGF0ZWQ=\n	1315509018
session:149e96604f25e8fee0ff704b5786ea1765a5477f                        	BQcDAAAAAQoKMTMxMTY5MTQ2NgAAAAlfX3VwZGF0ZWQ=\n	1311698666
session:fccdb1cd2652cf719df566861a2dfe6cf68befe1                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XG2phbWlsbGFjYXJvbGluZUBob3RtYWlsLmNv\nbQAAAAZfX3VzZXIKCjEzMTQ4OTQwMzgAAAAJX191cGRhdGVk\n	1314901248
session:462dce686c14dd966ba9f5e55f7c1c9b9a1bd720                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzExNjk4NzgyAAAACV9fdXBkYXRlZA==\n	1311705982
session:a460c7360b7c76466c9a3c9fa4f5187fa4442eb9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzA0OTM2MTE1AAAACV9fdXBkYXRlZA==\n	1304943315
session:5db836846b9ec72a332066278437a709bcd2a625                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nNzQ2MDU4AAAACV9fdXBkYXRlZA==\n	1317753282
session:76f85db0c1fdd628d6dbfb0bbee474e0fddca9fb                        	BQcDAAAAAQoKMTMxNjUzNDk5MwAAAAlfX3VwZGF0ZWQ=\n	1316542193
session:6ed9b1e8acd3450adf910b0ff0347e7081a05441                        	BQcDAAAAAQoKMTMxNzc0ODA0NAAAAAlfX3VwZGF0ZWQ=\n	1317755244
session:0a75f017fd06b4e0eba162f02be1eb19bd91f329                        	BQcDAAAAAQoKMTMxNzc0ODIyNAAAAAlfX3VwZGF0ZWQ=\n	1317755424
session:6303a9cbdb7c81d7280b86e025c44b74291e4b7d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGWNhbWlsYXJhdWpvMDJAaG90bWFpbC5jb20A\nAAAGX191c2VyCgoxMzE2NTM0ODc2AAAACV9fdXBkYXRlZA==\n	1316542089
session:509813f2962b6d93e396b60d37a7df1e3aa3507e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNjIyMzkwOQAAAAlfX3VwZGF0ZWQ=\n	1306232743
session:48c01ea94e23c0f6c7fe4c1e637f0d30b92f8ccb                        	BQcDAAAAAgoKMTMxMzY3MTA3NwAAAAlfX2NyZWF0ZWQKCjEzMTM2NzE3MjYAAAAJX191cGRhdGVk\n	1313678927
session:18f7897b17703953e6f1ac9bb5f7d9f5ef58af41                        	BQcDAAAAAQoKMTMxMTAxMDYxNQAAAAlfX3VwZGF0ZWQ=\n	1311017815
session:953b7e6bd9f9abdb818df74efc58ae1407d6cff8                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF2FkcmlhbmFnb2VzMDFAZ21haWwuY29tAAAA\nBl9fdXNlcgQZAAAAAAEKHERvY3VtZW50byBjcmlhZG8gY29tIHN1Y2Vzc28CAAAAB3N1Y2Vzc28A\nAAAHX19mbGFzaAoKMTMxMDQwNDQ2MQAAAAlfX3VwZGF0ZWQ=\n	1310411661
session:5dd86feda8c02afbd2c56395614ec2f509b847c6                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyBAMAAAAB\nCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgoxMzExMTYzNTYxAAAACV9fdXBkYXRlZA==\n	1311170761
session:36478b04586ec5650b33980b255566a472e7d507                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEy\nNTcwMDExAAAACV9fdXBkYXRlZA==\n	1312577211
session:5ae4836f8505dd2e83d8eabeb3322ca62b34999e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XG2phbWlsbGFjYXJvbGluZUBob3RtYWlsLmNv\nbQAAAAZfX3VzZXIKCjEzMTA0MDQ1MzUAAAAJX191cGRhdGVk\n	1310411785
session:96c9ac193bcda749c095370041027f1a854ab3bb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzE3ODIwMzczAAAACV9fdXBkYXRlZA==\n	1317827578
session:56814a6112e196621c7058477b1aac85af358ca6                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTEwMDU0MTkAAAAJX191cGRhdGVk\n	1311012696
session:58f476ec27cc9dfbedac58ce8754f589725c17bb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMDQwNDg2MwAAAAlfX3VwZGF0ZWQ=\n	1310412689
session:1330331f94d1b6e053d609243cc351ac44dd723d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nODMzMjA1AAAACV9fdXBkYXRlZA==\n	1317841573
session:ecc78d7f2a6a385c860eac62abb4f43e9a1e24e0                        	BQcDAAAAAQoKMTMxMzUwMzMwMAAAAAlfX3VwZGF0ZWQ=\n	1313510500
session:06c3285d1549a3d2f8dcb4aad4220f041a7525f6                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0KCjEzMTg2MDExNzAAAAAJX19jcmVhdGVkFxZj\naW50aWF2ZW5kYXNAZ21haWwuY29tAAAABl9fdXNlcgoKMTMxODYwMTU4MQAAAAlfX3VwZGF0ZWQ=\n	1318608789
session:2d87b385394fa06d74b3f2468cb91b0f85a0e842                        	BQcDAAAAAQoKMTMxNjQ2MDcyMAAAAAlfX3VwZGF0ZWQ=\n	1316467920
session:aae74bd84e912d212b4387aca641621295c1465f                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU4nGIcA\nAAAJX191cGRhdGVk\n	1311192242
session:d037794dd91108d5a85ad3da00fde2a836367749                        	BQcDAAAAAQoKMTMxMDQwNjgzNAAAAAlfX3VwZGF0ZWQ=\n	1310414034
session:76bb4639ebbc6e5fe17075baec9d21d37cdd9e1c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNyZXNjZXIuYXJ0ZUBnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzEyMjExMDM5AAAACV9fdXBkYXRlZA==\n	1312218239
session:bb69c3479c0c9dca4ed144f7887fe6ac85514dd9                        	BQcDAAAAAQoKMTMxODYwMjA5NQAAAAlfX3VwZGF0ZWQ=\n	1318609295
session:da8e5aeb5a6bed94c0ca8a0c8f3d4487d454cd4d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCU43\nBscAAAAJX191cGRhdGVk\n	1312237192
session:41014d0fe02c99469c722619f8b0e036ddd90f5c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWxhZml0dGUubGVtb3MAAAAGX191c2VyCU3c\nAR8AAAAJX191cGRhdGVk\n	1306271255
session:228fbcbb072c60089b190baecf20650434c30f65                        	BQcDAAAAAgoKMTMxNTQ5OTE0NgAAAAlfX2NyZWF0ZWQKCjEzMTU1MTA4MjMAAAAJX191cGRhdGVk\n	1315518023
session:3170c65f8db60b76f4d62a4f0e27394aceefddc9                        	BQcDAAAAAQoKMTMxMDQ3NTgyOAAAAAlfX3VwZGF0ZWQ=\n	1310483027
session:0f0f44e5b4abe77ceb36fd575b5f9a2c746b86ca                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU6M\nV/4AAAAJX191cGRhdGVk\n	1317827653
session:052aac1acf2c746c234b370c42cc4cebb7b0a3db                        	BQcDAAAAAQoKMTMxNTU2NzQwNQAAAAlfX3VwZGF0ZWQ=\n	1315574605
session:bab16ab9764b5eb495eaf9dd073bf7ab4152652e                        	BQcDAAAAAQoKMTMxMzUwNTIwOAAAAAlfX3VwZGF0ZWQ=\n	1313512409
session:7104ec9f4a7e61b580184bbd708ac2137bcd0c88                        	BQcDAAAAAQoKMTMwNjI0MjI1NgAAAAlfX3VwZGF0ZWQ=\n	1306249457
session:3d9e32172a94b53ce8383536aa8d24728cd751d2                        	BQcDAAAAAQoKMTMxMDQ4MTgxMAAAAAlfX3VwZGF0ZWQ=\n	1310489010
session:2509127f2e823a253f3a6cd59a8d8652ab08270d                        	BQcDAAAAAQoKMTMxMDQ4MjU4MAAAAAlfX3VwZGF0ZWQ=\n	1310489780
session:baf2135cffe739a74a23f3083b8ad41a5aa5414d                        	BQcDAAAAAQoKMTMxNTU2OTYyMAAAAAlfX3VwZGF0ZWQ=\n	1315576820
session:ac8abf3ff4f89589b46026578089990618ad022f                        	BQcDAAAAAQoKMTMxNTU4MTY4OAAAAAlfX3VwZGF0ZWQ=\n	1315588888
session:a2aa744464e349abe28381d7ec2ad4dc575ae841                        	BQcDAAAAAQoKMTMxNjU0NDYwOAAAAAlfX3VwZGF0ZWQ=\n	1316551808
session:78f604e230003ea141fbfae7318e583b52dac8d9                        	BQcDAAAAAQoKMTMxNjQ2MTA5OAAAAAlfX3VwZGF0ZWQ=\n	1316468298
session:0788f6d98c9e37564233a684060b52fffb812c12                        	BQcDAAAAAQoKMTMxNjQ2MTI5NwAAAAlfX3VwZGF0ZWQ=\n	1316468498
session:d4409a60c0c72714509950eb81a6fb420f808179                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XG2phbWlsbGFjYXJvbGluZUBob3RtYWlsLmNv\nbQAAAAZfX3VzZXIKCjEzMTA0ODg3NTAAAAAJX191cGRhdGVk\n	1310496462
session:23e98fc2ef534c587d7bdf774b593e8c7c6e399e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XD2VtYW51ZWxsZS5jb3N0YQAAAAZfX3VzZXIK\nCjEzMTEwMDg3MjQAAAAJX191cGRhdGVk\n	1311015988
session:9477f926c44b84b0b5066f7e549e34fa50b6360a                        	BQcDAAAAAQoKMTMxMTE2Njc3OAAAAAlfX3VwZGF0ZWQ=\n	1311173978
session:3da1b21cf78f60a6d806fe03f0bc67061956fe68                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmZsYXZpYS5mZWl0b3NhAAAABl9fdXNlcgQZ\nAAAAAAEKHERvY3VtZW50byBjcmlhZG8gY29tIHN1Y2Vzc28CAAAAB3N1Y2Vzc28AAAAHX19mbGFz\naAoKMTMxNTU5MTkxNAAAAAlfX3VwZGF0ZWQ=\n	1315599114
session:9a844b5c2fe15f7c3dd10930d6e3ce17cd598822                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XHmxpZGlhbmVyb2RyaWd1ZXM5QHlhaG9vLmNv\nbS5icgAAAAZfX3VzZXIKCjEzMTY0NjA1ODcAAAAJX191cGRhdGVk\n	1316467904
session:6fa2000723fd0ab6522f7dddf8481f2569d10009                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMjIxNDc3OQAAAAlfX3VwZGF0ZWQ=\n	1312221979
session:5dae2b50d2b9e53503a91ba19e014cabf1bb0583                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglN\n27WtAAAACV9fdXBkYXRlZA==\n	1306252803
session:062433690cd5fc8748284aa199f1cd3793777009                        	BQcDAAAAAQoKMTMxNTgzMzkwMQAAAAlfX3VwZGF0ZWQ=\n	1315841100
session:e7d5c73431894ce6a3139f1a0efa88781fdc9b6f                        	BQcDAAAAAQoKMTMxNTkxMjYzNAAAAAlfX3VwZGF0ZWQ=\n	1315919834
session:d36d09942df9ea2632bb187fa34b56d1f9533483                        	BQcDAAAAAQoKMTMxNTgzNDUzOQAAAAlfX3VwZGF0ZWQ=\n	1315841741
session:9d1dd9f342010f1690d687dcf4d0a1665a2f5586                        	BQcDAAAAAQoKMTMxNTkxMjYzNwAAAAlfX3VwZGF0ZWQ=\n	1315919837
session:2bf1f9526c880b27d6cd2759b3034eb035626f62                        	BQcDAAAAAQoKMTMxMDQ5MDM0OAAAAAlfX3VwZGF0ZWQ=\n	1310497548
session:927d4201645a77fbfa5e085f73d5db110dcc3e9c                        	BQcDAAAAAQoKMTMxNTkxMjY0MAAAAAlfX3VwZGF0ZWQ=\n	1315919891
session:7afdadc1da5b86d0d02625b7fc0576456fe1dba7                        	BQcDAAAAAQoKMTMxNTkxMjE5NAAAAAlfX3VwZGF0ZWQ=\n	1315921117
session:9782835985da110a5867f76f7a655e8bd5464798                        	BQcDAAAAAQoKMTMxMDU3MDQ3MAAAAAlfX3VwZGF0ZWQ=\n	1310577670
session:7da4f67594242da417f813aa0a81333723bd623e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEw\nNDkyNTMyAAAACV9fdXBkYXRlZA==\n	1310500243
session:1b7b016519dc3ab14fbaf4ffb667bbfe9ed19824                        	BQcDAAAAAQoKMTMxMzUwNjY0NQAAAAlfX3VwZGF0ZWQ=\n	1313519484
session:8ea5c094308b90b1b2a151d9971746da75824863                        	BQcDAAAAAQoKMTMxNjUzNTc5MwAAAAlfX3VwZGF0ZWQ=\n	1316542993
session:9d4ad309b9d4f8dddb93d56fcbb30bbcfd259019                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU48QKMA\nAAAJX191cGRhdGVk\n	1312579115
session:e986f582b8d53f547354c3c2fbd1fb8210c5bae1                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmZsYXZpYS5mZWl0b3NhAAAABl9fdXNlcgoK\nMTMxNjAwMTQyNwAAAAlfX3VwZGF0ZWQ=\n	1316008642
session:be1b5be6980e1357993c6fe8cb32d45bab85cc0b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmZsYXZpYS5mZWl0b3NhAAAABl9fdXNlcgoK\nMTMxNTkzNDM1NwAAAAlfX3VwZGF0ZWQ=\n	1315941575
session:6457e880a17c7ebf0a05fd8efd654b403ec33842                        	BQcDAAAAAQoKMTMxNTkxMjQ1MAAAAAlfX3VwZGF0ZWQ=\n	1315919651
session:116937a8e6c0a6aa53031918f461123dbbf09835                        	BQcDAAAAAQoKMTMxNTkxMjYzMQAAAAlfX3VwZGF0ZWQ=\n	1315919831
session:2479d2143806ffeab42f9c66062ed6e4178388e2                        	BQcDAAAAAQoKMTMxNjAxMDQwMgAAAAlfX3VwZGF0ZWQ=\n	1316017603
session:32af21d4d98d317e7d970bf6668332c4a7b48e0f                        	BQcDAAAAAQoKMTMxNjAxNzQ1MQAAAAlfX3VwZGF0ZWQ=\n	1316024651
session:51022546aa089019cffe0dc035a5e6d569b78f99                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzE1OTM3MjE3AAAACV9fdXBkYXRlZA==\n	1315951453
session:c45369aa0b8f1838587a8efc5b1063c63c951417                        	BQcDAAAAAQoKMTMxNjQ2MTE3OAAAAAlfX3VwZGF0ZWQ=\n	1316468379
session:9c18fd02064abc0c393f040eedda28d5f95d0531                        	BQcDAAAAAQoKMTMxMDU2NzU5MwAAAAlfX3VwZGF0ZWQ=\n	1310574793
session:70d1d3d540c6d838015a8e3adb6ebba30189620c                        	BQcDAAAAAQoKMTMxMDU2NzYwMwAAAAlfX3VwZGF0ZWQ=\n	1310574803
session:002138b4e51a326e074e68539c86a5d4ccdf4809                        	BQcDAAAAAQoKMTMxODYwNTE3MAAAAAlfX3VwZGF0ZWQ=\n	1318612370
session:084e10db2878ada55c1f9731f91340bf49ebc970                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMwNDk0MTYyNgAAAAlfX3VwZGF0ZWQ=\n	1304948860
session:9a4143bb1502cf4794fc5436d805d34a93ef2243                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWphY2tzb24uZ29tZXMAAAAGX191c2VyCgox\nMzEyNTcyMTM3AAAACV9fdXBkYXRlZA==\n	1312579337
session:49b03ffda8f532cfad9352cedc76a6844e458f48                        	BQcDAAAAAQoKMTMxNjU0NDY3NAAAAAlfX3VwZGF0ZWQ=\n	1316551874
session:44753a59b9746b5a2d83f7fecdb231c5f44b9481                        	BQcDAAAAAQoKMTMxNTgzNTcxMQAAAAlfX3VwZGF0ZWQ=\n	1315842911
session:9f3225ed4f2290140ebf6dc0ec5a0653466388c6                        	BQcDAAAAAQoKMTMxNjU0NTQzNAAAAAlfX3VwZGF0ZWQ=\n	1316552634
session:7407b97eff839fb8ed7411b647d1fb4b4942a7ce                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTA1Njg4NjYAAAAJX191cGRhdGVk\n	1310576077
session:cb99f29ec9d733a54cf75d3ccdc09eb9df535bc9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XE2NsYXVkZW1pcnRvbi5tYWNlZG8AAAAGX191\nc2VyCgoxMzE1OTIxOTQ2AAAACV9fdXBkYXRlZA==\n	1315929466
session:1b59caac996cdb0b60090af7e5a7b58b3ab199d5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzE1OTIyMjM0AAAACV9fdXBkYXRlZA==\n	1315929473
session:cb1d41121cbb63521ea123dc39e7aa425f590b9f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGVsdG9uLnNhbnRvc0Bob3RtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMTg4NzMxOTEAAAAJX191cGRhdGVk\n	1318880424
session:38624557ee8b825aad7f04dc67d7f9a8c4f7ed53                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTE3MDIzNzYAAAAJX191cGRhdGVk\n	1311713671
session:80a4edf62cdc1ea15c9ca1939c00efc4fbff4303                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3J\nf+MAAAAJX191cGRhdGVk\n	1305058982
session:9b87e73e35f39c895561146ce8b3f6ee3c23b7ee                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3Jd38A\nAAAJX191cGRhdGVk\n	1305064897
session:137123166525d5ed7c044d60b225882da4b98592                        	BQcDAAAAAQoKMTMxMTAxMDUwMwAAAAlfX3VwZGF0ZWQ=\n	1311017703
session:d0323405ec2ca92d55ce4bc4510ecf0150b4827d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3I\nJz0AAAAJX191cGRhdGVk\n	1304977799
session:ef44222fdb7e5a7407cef7d9424dd6cdc8ad7f8f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFG1lbGluYWJyaXRAZ21haWwuY29tAAAABl9f\ndXNlcgoKMTMxNjAyMDc0MwAAAAlfX3VwZGF0ZWQ=\n	1316027947
session:f5494411acf3571c2f326d56ba2c7a818a96d6a9                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU3J\nKtoAAAAJX191cGRhdGVk\n	1305038047
session:d895ac6e8c30ef54cc8ffca7cfd6222ea6fdeaad                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTEwMDkxNDQAAAAJX191cGRhdGVk\n	1311018083
session:20029d7b4ba3ab8ad5dfe388a415a495d4997dcf                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE4\nNjEyNzIwAAAACV9fdXBkYXRlZA==\n	1318619935
session:8427bbf40f414fea9ca11b62b4c964c7712a57a8                        	BQcDAAAAAQoKMTMxNTgzODUwOQAAAAlfX3VwZGF0ZWQ=\n	1315845710
session:a0dee0784ea5bef176eafb910dba629c873d70fb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU3JSVAA\nAAAJX191cGRhdGVk\n	1305044357
session:21090d4f309ae1093730dbd4d270371b7d297446                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEw\nNTY5MTU5AAAACV9fdXBkYXRlZA==\n	1310576443
session:be768459b298d73b9e582202be728e248df8e7cd                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF2FkcmlhbmFnb2VzMDFAZ21haWwuY29tAAAA\nBl9fdXNlcgoKMTMxMTAwODMxNAAAAAlfX3VwZGF0ZWQ=\n	1311017058
session:0e247b1a761e21dcc4d6a2fd329e43c4fe1bd274                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEz\nNTE1MDk2AAAACV9fdXBkYXRlZA==\n	1313525260
session:526d134c3fc5d2a866fccb7ebd4785597d9016a4                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmNhcmxvcy53aGVyYmV0AAAABl9fdXNlcgoK\nMTMxMzY3MjM2NQAAAAlfX3VwZGF0ZWQ=\n	1313685800
session:62f69f06a2f1ae5ccc767c8c9d83ff15e8bcd053                        	BQcDAAAAAQoKMTMxNTg0MzYxMAAAAAlfX3VwZGF0ZWQ=\n	1315850810
session:b506dfc34bb28ca2d0c9cf42ed7c9d05497f3f9b                        	BQcDAAAAAQoKMTMxNTg0MzYxMQAAAAlfX3VwZGF0ZWQ=\n	1315850811
session:f947239ab895250371d25b5b881ce4b272d3cb0b                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMwNTA1MTQzOQAAAAlfX3VwZGF0ZWQ=\n	1305064808
session:42b398cdecf368db192c08b2138734189007f9b8                        	BQcDAAAAAQoKMTMxNjEyNTk4OAAAAAlfX3VwZGF0ZWQ=\n	1316133188
session:c7a6671e2a8e43862331f03916fc827b4c2451f9                        	BQcDAAAAAQoKMTMxNTg0MzYxMQAAAAlfX3VwZGF0ZWQ=\n	1315854665
session:bf5b5c4fccc0b4946e9242b857565be5ac650bd7                        	BQcDAAAAAQoKMTMxNTg0MzAwOAAAAAlfX3VwZGF0ZWQ=\n	1315856508
session:e144f96502b6d0fc6c504166deaf63d6780fa0b6                        	BQcDAAAAAQoKMTMxNjAyNDE4MAAAAAlfX3VwZGF0ZWQ=\n	1316031379
session:e1f98d8e3b77c2bf4154c327e66d1815dda648b7                        	BQcDAAAAAQoKMTMxNjEyNTk5MAAAAAlfX3VwZGF0ZWQ=\n	1316133190
session:c8177e4576b31b0021f42845eb3743ca3af4a2e3                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF2FkcmlhbmFnb2VzMDFAZ21haWwuY29tAAAA\nBl9fdXNlcgoKMTMxNjA4NzUxMgAAAAlfX3VwZGF0ZWQ=\n	1316094712
session:4f3673e2bd795814ea5d98b04fef9c0407e11997                        	BQcDAAAAAQoKMTMxNjEyNTk4OAAAAAlfX3VwZGF0ZWQ=\n	1316133188
session:2e27970fae212723cd396535970542f5305e2463                        	BQcDAAAAAQoKMTMxNjA5OTgwOQAAAAlfX3VwZGF0ZWQ=\n	1316110929
session:d9cf7b61ae05e855bb5ba28d6ab1780b4c0ae8c1                        	BQcDAAAAAQoKMTMxNjEwNjk4MwAAAAlfX3VwZGF0ZWQ=\n	1316114183
session:f7f6c62fe7424c4ecd9b0da045b30a35696dbc0b                        	BQcDAAAAAQoKMTMxODYxNjc4MwAAAAlfX3VwZGF0ZWQ=\n	1318624369
session:596b6e76a396b532e23ed9048fcb3ee7d0a8423b                        	BQcDAAAAAQoKMTMxNjExMTE4MgAAAAlfX3VwZGF0ZWQ=\n	1316118382
session:9cb5ffa01b3f4bfd1ad7e57e1955c29d9d3b8560                        	BQcDAAAAAQoKMTMxNjEyNTk5MQAAAAlfX3VwZGF0ZWQ=\n	1316133191
session:85ecfdb8de41980f57a2db85a9ed9cc0f9b414af                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGWp1bWVuZXplcy5zb3VzYUBnbWFpbC5jb20A\nAAAGX191c2VyBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCgoxMzE2MTI1OTkwAAAACV9fdXBk\nYXRlZA==\n	1316133190
session:0a3d9a6549b9e6d6288c3105007aa22fe72c895c                        	BQcDAAAAAQoKMTMxNjEyNTk5MAAAAAlfX3VwZGF0ZWQ=\n	1316133190
session:ebb713aa730e754a045f82593b27fd6c276f3ad6                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE2\nMTEwOTEwAAAACV9fdXBkYXRlZA==\n	1316118201
session:9b16a8b24d5c53e34ffe43874e5c582c97c35cbc                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTYxMjU5ODkAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzE2MTI1OTg5AAAACV9fdXBkYXRlZA==\n	1316133189
session:dea2f375dcaeb26e542ae2a718aa78d11786f2bb                        	BQcDAAAAAQoKMTMxNjEyNTk5MgAAAAlfX3VwZGF0ZWQ=\n	1316133192
session:10f94fb9e7b956c01e456ef3b0afcbc8cdffdcd7                        	BQcDAAAAAQoKMTMxNjEyNTk5MAAAAAlfX3VwZGF0ZWQ=\n	1316133190
session:aef21ea76e340488fb5bf336c0be1b6ce2186421                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTYxMjU5OTIAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzE2MTI1OTkyAAAACV9fdXBkYXRlZA==\n	1316133192
session:9fd1020d9ad03297cb4ff3ccf0804239febcbe99                        	BQcDAAAAAQoKMTMxNjEyNTk4OAAAAAlfX3VwZGF0ZWQ=\n	1316133188
session:e52d09c8b96344a7d02323c9b2bc27289656d920                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTExODY5OTMAAAAJX191cGRhdGVk\n	1311194193
session:b03cd94b1c1fb3d93a5240002ea49f9ff935c430                        	BQcDAAAAAQoKMTMxNjEyNTk5MAAAAAlfX3VwZGF0ZWQ=\n	1316133190
session:fe7dc412cf7cbe051e85d4345563a77a04cb4421                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTYxMjU5ODgAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzE2MTI1OTg4AAAACV9fdXBkYXRlZA==\n	1316133188
session:3a0fa9e19a1543f03fac6010ee965058a17e4fba                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTIyMTkzMDEAAAAJX191cGRhdGVk\n	1312226524
session:5f8e1274507e87f8881d4614e8555da313122c0f                        	BQcDAAAAAQoKMTMxNjEyNTk4OAAAAAlfX3VwZGF0ZWQ=\n	1316133188
session:3c3e70d68d9d8f6d7fa20dcface0e29309c2081f                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTYxMjU5ODkAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzE2MTI1OTg5AAAACV9fdXBkYXRlZA==\n	1316133189
session:1ba6504fa1bf8ef800962e41b14a9a5691481e7a                        	BQcDAAAAAQoKMTMxNjEyNTk4OQAAAAlfX3VwZGF0ZWQ=\n	1316133189
session:8b1d1988db956c3a4d71d808a67da3f7f3d4cb80                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE2\nMTI1OTkwAAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMxNjEyNTk5\nMAAAAAlfX3VwZGF0ZWQ=\n	1316133190
session:2bbaf42f96b8110d14e272101af46a0bc8a7754c                        	BQcDAAAAAQoKMTMxNjEyNTk5MAAAAAlfX3VwZGF0ZWQ=\n	1316133190
session:0b4904c9c0bd1947cf05f02b3531cc811cff5056                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU53oxgA\nAAAJX191cGRhdGVk\n	1316470652
session:74c41aee9a6e0ee468b9b57c944d570aeac5d106                        	BQcDAAAAAQoKMTMxNjU1MTkxNAAAAAlfX3VwZGF0ZWQ=\n	1316559115
session:392964ff1c9a2a10d250f70571ad216fc5ae4c4e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU6M\njskAAAAJX191cGRhdGVk\n	1317848949
session:339265b7b67bd673c812ad08cf37f98944c9f918                        	BQcDAAAAAQoKMTMxODYxODI1MgAAAAlfX3VwZGF0ZWQ=\n	1318625452
session:bc1e9a5ddf164b15a281564770636c6bb4b39f40                        	BQcDAAAAAQoKMTMxODg3NDI0MgAAAAlfX3VwZGF0ZWQ=\n	1318881442
session:49a3ba479878c43ee383677011613897f166a281                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgoK\nMTMxMTE4NzQ4MQAAAAlfX3VwZGF0ZWQ=\n	1311194771
session:fb2043d32b9cd0b20a6bc5806fb57c7f51e7f467                        	BQcDAAAAAQoKMTMxNjYwMzgxOAAAAAlfX3VwZGF0ZWQ=\n	1316611018
session:f3a3725075d2b73df0652ecbfb84afb380e8f560                        	BQcDAAAAAQoKMTMxNjYxNDY2OQAAAAlfX3VwZGF0ZWQ=\n	1316621869
session:02302c385d1b765c15148a76254c610bbffbb204                        	BQcDAAAAAQoKMTMxNzgzOTA4NwAAAAlfX3VwZGF0ZWQ=\n	1317846287
session:17e9135797f64ee5d62bac99856b72cb746bc74a                        	BQcDAAAAAQoKMTMxODg1MjY1NgAAAAlfX3VwZGF0ZWQ=\n	1318859856
session:fa69285e89d567599ca85cf922e6c16bdd152c05                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGNpbnRpYV9rYXJlbkBob3RtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMTYxMjU5OTEAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzE2MTI1OTkxAAAACV9fdXBkYXRlZA==\n	1316133191
session:2042ff642d7c3ac484d0e567a90580b9c38b2b32                        	BQcDAAAAAQoKMTMxNjEyNTk5MQAAAAlfX3VwZGF0ZWQ=\n	1316133191
session:642c031cda5b26e83d6ace5dde6a0102eafccdd8                        	BQcDAAAAAgoKMTMxNjEyNTk5MAAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1316133190
session:967fe6c286d897b8c078c6ecd90bb9a9df184f0c                        	BQcDAAAAAQoKMTMxNjEyNTk5MQAAAAlfX3VwZGF0ZWQ=\n	1316133191
session:c47f5ea9fb230ea2f3424ad1a642bfb3f5090736                        	BQcDAAAAAgoKMTMxNjEyNTk5MQAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1316133191
session:ce6a63174247cf379b707bdde47496187b28a1cc                        	BQcDAAAAAQoKMTMxNjEyNTk5MQAAAAlfX3VwZGF0ZWQ=\n	1316133191
session:9645d55c98fdb8d40c92a8288bbd0b8cb18e46e2                        	BQcDAAAAAgoKMTMxNjEyNTk5MAAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1316133190
session:707cfb8052dbbf06b9b5477cc22da4f5481255df                        	BQcDAAAAAQoKMTMxNjEyNTk5MAAAAAlfX3VwZGF0ZWQ=\n	1316133190
session:261bfe16570797a7dade6f33fc210821f13ac535                        	BQcDAAAAAgoKMTMxNjEyNTk5MQAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1316133191
session:d718be44bdd90203b7c1105cea705a3bd275ba31                        	BQcDAAAAAQoKMTMxNjEyNTk5MgAAAAlfX3VwZGF0ZWQ=\n	1316133192
session:0b35a176b87fcc326147586fa31fc38761012cf5                        	BQcDAAAAAgoKMTMxNjEyNTk4OQAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1316133189
session:7e20188bf4091a0deb1000de06aa5138d95df825                        	BQcDAAAAAQoKMTMxNjEyNTk5MAAAAAlfX3VwZGF0ZWQ=\n	1316133190
session:8b5c6c1e6294682f5790486983a79b7959bf5276                        	BQcDAAAAAgoKMTMxNjEyNTk4OAAAAAlfX3VwZGF0ZWQEAwAAAAEKC3VzZXJfZmFpbGVkAAAABGVy\ncm8AAAAHX19mbGFzaA==\n	1316133188
session:36c6dcfc0fc1eaa5973629cfc543ae69c510abeb                        	BQcDAAAAAQoKMTMxNjEyNTk4OAAAAAlfX3VwZGF0ZWQ=\n	1316133188
session:85a56c56fe36ec5efe87a024f2dc278cf4e50245                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGZkc2p1bmlvcjE4QHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTYxMjU5OTAAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzE2MTI1OTkwAAAACV9fdXBkYXRlZA==\n	1316133190
session:5f52becfe82b497f7ae4e97567ec513b308e17d4                        	BQcDAAAAAQoKMTMxNjEyNTk5MQAAAAlfX3VwZGF0ZWQ=\n	1316133191
session:3ce4ae307bbfb0b4a3b38f058e78ec6e549ff590                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGNpbnRpYV9rYXJlbkBob3RtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMTYxMjU5ODgAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzE2MTI1OTg4AAAACV9fdXBkYXRlZA==\n	1316133188
session:c1a5d38d84c2c160ab20293b14acb737183f1351                        	BQcDAAAAAQoKMTMxNjEyNTk4OAAAAAlfX3VwZGF0ZWQ=\n	1316133188
session:9a9775adb174a2501b2e54270b08c3215320c00e                        	BQcDAAAAAQoKMTMxNjYwNTA5MwAAAAlfX3VwZGF0ZWQ=\n	1316612293
session:26e6a2470b0744a581b5a0c982d84fd5679bfab5                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGZkc2p1bmlvcjE4QHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTYxMjU5ODgAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzE2MTI1OTg4AAAACV9fdXBkYXRlZA==\n	1316133188
session:3065994c9e9e983606eaf56c13fb86e0623aec5a                        	BQcDAAAAAQoKMTMxNjEyNTk4OQAAAAlfX3VwZGF0ZWQ=\n	1316133189
session:f83c64c34c1669fc6f302e91bf73537f1f1e94ba                        	BQcDAAAAAQoKMTMxNzkwMDUxMAAAAAlfX3VwZGF0ZWQ=\n	1317907710
session:3cf628fd830dfd97ed8f71bc0de2b0d657c5f438                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzEz\nNjg1ODUzAAAACV9fdXBkYXRlZA==\n	1313693077
session:5ed761ee36111531b081694763d0eb70135e03e0                        	BQcDAAAAAgoKMTMxNjYwNTU2OQAAAAlfX2NyZWF0ZWQKCjEzMTY2MDU1ODAAAAAJX191cGRhdGVk\n	1316612780
session:a6d2fb91a699e517e0e550ef7bab6999e3782c40                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGZkc2p1bmlvcjE4QHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTYxMjU5OTIAAAAJX19jcmVhdGVkBAMAAAABCgAAAAAEZXJybwAAAAdfX2Zs\nYXNoCgoxMzE2MTI1OTkyAAAACV9fdXBkYXRlZA==\n	1316133192
session:60151ae69b0325350406e72f83a7011cb0371324                        	BQcDAAAAAQoKMTMxNjEyNTk5MgAAAAlfX3VwZGF0ZWQ=\n	1316133192
session:85849da0143a863b3fc82ed66eef79e2c6809ac2                        	BQcDAAAAAQoKMTMxODg1NDA0OQAAAAlfX3VwZGF0ZWQ=\n	1318861249
session:d4ac600bdc6d685f4a253959df3e198c1d307d6c                        	BQcDAAAABRcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmphaW1lZm1maWxob0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE2MTI1OTg5AAAACV9fY3JlYXRlZAQDAAAAAQoAAAAABGVycm8AAAAHX19mbGFz\naAoKMTMxNjEyNTk4OQAAAAlfX3VwZGF0ZWQ=\n	1316133189
session:854e37af25c8ff6f24b7cd47fe9ef89df100fd4a                        	BQcDAAAAAQoKMTMxNjEyNTk5MAAAAAlfX3VwZGF0ZWQ=\n	1316133190
session:9aad5a7920d18f6f0e7b77717a39102e78339687                        	BQcDAAAAAQoKMTMxNzkwMjA5NQAAAAlfX3VwZGF0ZWQ=\n	1317909295
session:4bec51879e1095552aa8ecac14b801f52e9fe204                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE2\nNDY0NTEyAAAACV9fdXBkYXRlZA==\n	1316471735
session:c30b1725bdfeaad962e8633efc95b86f1582f51c                        	BQcDAAAAAQoKMTMxNjYwODg0OQAAAAlfX3VwZGF0ZWQ=\n	1316616049
session:65443caa566cab71fa159ba6268270dff0c7a3b1                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNpbnRpYXZlbmRhc0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE2NjA4MDYzAAAACV9fdXBkYXRlZA==\n	1316616195
session:37dafd6044eab737391d6b08d9556dbadf602d43                        	BQcDAAAAAQoKMTMxNjYxNjA4NQAAAAlfX3VwZGF0ZWQ=\n	1316623285
session:1e7701850ddf58a26bc37832d9d2dc8bf753840b                        	BQcDAAAAAQoKMTMxNjUxODQwMwAAAAlfX3VwZGF0ZWQ=\n	1316525604
session:fe396f8c2cc3b9ebff36b9dea7c8ac9bd79d923d                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE2\nNjE5NjU5AAAACV9fdXBkYXRlZA==\n	1316631251
session:c651d3701e2f638a0a48b8c6a36914a0743f5df7                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nOTAzOTg0AAAACV9fdXBkYXRlZA==\n	1317913349
session:79111c4c7472949976e357bf85cdc451490c9a6b                        	BQcDAAAAAQoKMTMxNjUyMDMwOAAAAAlfX3VwZGF0ZWQ=\n	1316527509
session:656e2f181a73bfc30e63dc34b73e45148e737611                        	BQcDAAAAAQoKMTMxNjYzODY5NAAAAAlfX3VwZGF0ZWQ=\n	1316645894
session:edab77f18c54e4238a98c48ce1cdc24de61e4ce2                        	BQcDAAAAAQoKMTMxNjgwNjk3MAAAAAlfX3VwZGF0ZWQ=\n	1316814170
session:6d85136a7318b6773e4d2c42b8ffffe35b6f1073                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGVsdG9uLnNhbnRvc0Bob3RtYWlsLmNvbQAA\nAAZfX3VzZXIKCjEzMTg4NTY3NzEAAAAJX191cGRhdGVk\n	1318863971
session:e9a17fcfbdeb0779b2a82cc414a95ce69e46ac96                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nMTMyODkyAAAACV9fdXBkYXRlZA==\n	1317141746
session:5a57a40ed0a5cfde70b9ff469149efac09ee4f8e                        	BQcDAAAAAQoKMTMxODg1NzAxMwAAAAlfX3VwZGF0ZWQ=\n	1318864213
session:a6961e187138688623d140ffbd440c71006f7c0e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglO\njaMIAAAACV9fdXBkYXRlZA==\n	1317912965
session:42640bd17811d61fe53bce669201e3cb69ba3b70                        	BQcDAAAAAQoKMTMxNjY5MDU1NwAAAAlfX3VwZGF0ZWQ=\n	1316697757
session:1ad731039dc8956587ff04e41beb015b5e4099ae                        	BQcDAAAAAQoKMTMxNzEyMzAwMQAAAAlfX3VwZGF0ZWQ=\n	1317130201
session:16521f4c6d76217008267b69f5ae0f99338e20be                        	BQcDAAAAAQoKMTMxNzkwMTU4NAAAAAlfX3VwZGF0ZWQ=\n	1317915435
session:189ada1bc717549a475eea37f9e75ad92fe28c76                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcglO\ne1FDAAAACV9fdXBkYXRlZA==\n	1316711779
session:6641a72922618ae464171a9d21b6de52b5609f69                        	BQcDAAAAAQoKMTMxNjUyMjI5NAAAAAlfX3VwZGF0ZWQ=\n	1316529494
session:2d78daa27b2d873588944b45fdde559c7491f4cd                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNpbnRpYXZlbmRhc0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE2NTIwNzAxAAAACV9fdXBkYXRlZA==\n	1316527901
session:cfe27903f1b86411f3a24b130294fc5e9efbb7b3                        	BQcDAAAAAQoKMTMxNjcwOTQyNwAAAAlfX3VwZGF0ZWQ=\n	1316716628
session:86d1880986dd75c7e9a9f0c73bcedbb31d79682a                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmZsYXZpYS5mZWl0b3NhAAAABl9fdXNlcgoK\nMTMxNjcxNjI2MQAAAAlfX3VwZGF0ZWQ=\n	1316723465
session:426f40261b77d6123cd43eaa70695d2c9e9dae1e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTcwNDY0MDcAAAAJX191cGRhdGVk\n	1317053614
session:cc69e85f6fa34bc93da07387f69b22f580624b4b                        	BQcDAAAAAQoKMTMxNjc3NTY3NQAAAAlfX3VwZGF0ZWQ=\n	1316786829
session:bf52bb5a54f6b515ab85d75b66ef29d26f2ea499                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE2\nNjk2OTgyAAAACV9fdXBkYXRlZA==\n	1316706694
session:6731eae5cc782afbe8e350b6acee2fca44d2e3ae                        	BQcDAAAAAQoKMTMxNzAzNTc4MQAAAAlfX3VwZGF0ZWQ=\n	1317044490
session:c792e3a7fe0fa9720975e5d5d835a07136040b36                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDmZsYXZpYS5mZWl0b3NhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMxNjcxMDUwMgAAAAlfX3VwZGF0ZWQ=\n	1316717703
session:11ae826fad1da2c03e4ee42606529ecefc23a46c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XF2FkcmlhbmFnb2VzMDFAZ21haWwuY29tAAAA\nBl9fdXNlcgoKMTMxNzA1NTYyMAAAAAlfX3VwZGF0ZWQ=\n	1317062820
session:f39229509ab3df1a349af5ebb00510d4728af413                        	BQcDAAAAAQoKMTMxNjY5MTA2MwAAAAlfX3VwZGF0ZWQ=\n	1316698263
session:4881b41684280354ed62b1427213c5dd9e1177eb                        	BQcDAAAAAQoKMTMxNjY5MTY4MwAAAAlfX3VwZGF0ZWQ=\n	1316698883
session:6ed72353c79d3aef433e7f05517e52a4204b78bb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGGFwcGxmcmVpdGFzQHlhaG9vLmNvbS5icgAA\nAAZfX3VzZXIKCjEzMTYxMjU5OTIAAAAJX191cGRhdGVk\n	1316133192
session:eb454eb53db3bc72372aef167751f9b1eb3c8ca5                        	BQcDAAAAAQoKMTMxNjUyMTcyNQAAAAlfX3VwZGF0ZWQ=\n	1316528925
session:437b0c18315af4d92d666b16e2a6252d1356d175                        	BQcDAAAAAQoKMTMxNjY5MjMwNAAAAAlfX3VwZGF0ZWQ=\n	1316699504
session:3b801892406f5c75408b713320bfe2652fc16661                        	BQcDAAAAAQoKMTMxODg1OTM0MAAAAAlfX3VwZGF0ZWQ=\n	1318866540
session:ec58526eb8e74fdbc194312a725d4cf647173793                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzE2NTIxNzI0AAAACV9fdXBkYXRlZA==\n	1316529466
session:b704389a1facdcfd7606d914dd26ac2caebcbb80                        	BQcDAAAAAQoKMTMxNzEyNTQ4OAAAAAlfX3VwZGF0ZWQ=\n	1317132688
session:20f70242e01efb687e9c1d087d3994d0a3f88f81                        	BQcDAAAAAQoKMTMxNzIwNzk0NAAAAAlfX3VwZGF0ZWQ=\n	1317215144
session:7e861c3b45758323fe224fb1df3edbea4d925b98                        	BQcDAAAAAQoKMTMxNzIxNjAzMgAAAAlfX3VwZGF0ZWQ=\n	1317223232
session:80b1e824c84e44976f08973b4d51362fc4a66977                        	BQcDAAAAAQoKMTMxNzIyNjQ2OAAAAAlfX3VwZGF0ZWQ=\n	1317233668
session:cd7cff6e33204e6cef4e4042a3efe5c09411138f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGXNhbWFudGFfbWVsbzZAaG90bWFpbC5jb20A\nAAAGX191c2VyCgoxMzE3MjI4NTQ4AAAACV9fdXBkYXRlZA==\n	1317238595
session:cb7bbebc14db37b40da6d40a9891ace2a3b78b81                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCgox\nMzE4MjY3NTg1AAAACV9fdXBkYXRlZA==\n	1318274785
session:b5a7b7afb30378413531eefa5e71e44d61ffc793                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNpbnRpYXZlbmRhc0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE3OTE3MDI1AAAACV9fdXBkYXRlZA==\n	1317924244
session:98bdf2014f8a611e0f3365de8e0cc099502608ca                        	BQcDAAAAAQoKMTMxNzk4ODAxMgAAAAlfX3VwZGF0ZWQ=\n	1317995212
session:d07aa5a37f2294e982c055bf0d25f159168d04fb                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNpbnRpYXZlbmRhc0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE3OTg5NTg2AAAACV9fdXBkYXRlZA==\n	1317996786
session:2eb676b694667ffe52e2e072c707e66468bcc76e                        	BQcDAAAAAQoKMTMxODI3ODM2MAAAAAlfX3VwZGF0ZWQ=\n	1318285560
session:6972382c5c09a8b824cd3c4a84f0f561934f60f1                        	BQcDAAAAAQoKMTMxODI0OTM2OQAAAAlfX3VwZGF0ZWQ=\n	1318264211
session:ef8cba02bf73a0ea75723023b9e4d0ddcaab6066                        	BQcDAAAAAQoKMTMxODI2Njg2MAAAAAlfX3VwZGF0ZWQ=\n	1318274060
session:9c1412b28d80b71a6092d8145938c79863e63442                        	BQcDAAAAAQoKMTMxODI2Njg2NAAAAAlfX3VwZGF0ZWQ=\n	1318274065
session:5185a6771c3e5ebea9884aa6709c846c395c22c6                        	BQcDAAAAAQoKMTMxODI2NzA2OAAAAAlfX3VwZGF0ZWQ=\n	1318274269
session:c72ae91995f7adb90b8e975de4a80d3873630388                        	BQcDAAAAAQoKMTMxODI1NDc3OQAAAAlfX3VwZGF0ZWQ=\n	1318261979
session:27db958945d7c023e7296182a6425544155846bc                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nMjA5ODI2AAAACV9fdXBkYXRlZA==\n	1317217048
session:c1caf994dd11fdd55a0418acb22f192248ec6218                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nMjI3NzcxAAAACV9fdXBkYXRlZA==\n	1317234988
session:3856a8f400285148db14caba606515c09614d8a2                        	BQcDAAAAAQoKMTMxNzI5NTczMAAAAAlfX3VwZGF0ZWQ=\n	1317302930
session:d8de32ae34aeb5eb9c9341b7c636ea7d9282ce7d                        	BQcDAAAAAQoKMTMxNzI5NTc1NwAAAAlfX3VwZGF0ZWQ=\n	1317306095
session:ce222c5532cac40ba07bcd8cf9112c9f48ffcdc9                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU6N1fEA\nAAAJX191cGRhdGVk\n	1317925414
session:85e6b6f33c216b2a7761a9f6f00351cd1fb3c258                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nOTk3NDYwAAAACV9fdXBkYXRlZA==\n	1318004672
session:0917fe35319f74e3a93406189e73ec399df32429                        	BQcDAAAAAQoKMTMxODI4ODI3MwAAAAlfX3VwZGF0ZWQ=\n	1318295473
session:102471c4919f4324dd88b261936562f1986672c1                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE4\nMjY4NTc5AAAACV9fdXBkYXRlZA==\n	1318282682
session:8b3a452cd8ed7b36caaffe93b16e5a2612fdb01c                        	BQcDAAAAAQoKMTMxNzkyNDM5OAAAAAlfX3VwZGF0ZWQ=\n	1317931600
session:76154b1695065563c8c476700bdce42958dd4f3f                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE3\nOTI4OTAwAAAACV9fdXBkYXRlZA==\n	1317938460
session:49d3598394040fb93fcdafe70e41b515aefd39b1                        	BQcDAAAAAQoKMTMxNzk5ODY2OQAAAAlfX3VwZGF0ZWQ=\n	1318005869
session:bb4292e5779d2dcc7c93b7da58198c6d614164b3                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNpbnRpYXZlbmRhc0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE4ODYxNzczAAAACV9fdXBkYXRlZA==\n	1318869008
session:005e1e1fcace763884acf3d8140e30e1a4f0eaef                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDnJvZG9sZm8uc2lrb3JhAAAABl9fdXNlcgQD\nAAAAAQoAAAAABGVycm8AAAAHX19mbGFzaAoKMTMxNzkyMzA0OQAAAAlfX3VwZGF0ZWQ=\n	1317930250
session:75108e5560364019520e3a19908696e7acb6a3cf                        	BQcDAAAAAQoKMTMxODAwNjE4NwAAAAlfX3VwZGF0ZWQ=\n	1318013387
session:eacf6f0889d8dcf750b693485df77f33a4ff506e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE4\nMDA2NDUyAAAACV9fdXBkYXRlZA==\n	1318014363
session:12f3321a1768221c9a83490ef2c8bbc377d5b323                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XFmNpbnRpYXZlbmRhc0BnbWFpbC5jb20AAAAG\nX191c2VyCgoxMzE4MDA3Mzk5AAAACV9fdXBkYXRlZA==\n	1318014599
session:ee233e1eaecf8325a92184b25bf0243e7e7cd239                        	BQcDAAAAAQoKMTMxNzE0ODkwMwAAAAlfX3VwZGF0ZWQ=\n	1317156103
session:862c78af2c14a2025760d0f532220676516caf25                        	BQcDAAAAAQoKMTMxODg2NDg5NQAAAAlfX3VwZGF0ZWQ=\n	1318872095
session:83b229af305a527d76ca7c80d66da64cb670fd08                        	BQgDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCU6PROQA\nAAAJX191cGRhdGVk\n	1318021742
session:82b3a87e19e5aba281cd93b34c4aa91bdbbf9ee8                        	BQcDAAAAAQoKMTMxNzIzOTE1MAAAAAlfX3VwZGF0ZWQ=\n	1317246351
session:b52ad3a555c1d61e1e1bb85074724c831413e4e2                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XCnBhdWxvLm5ldG8AAAAGX191c2VyCgoxMzE4\nMzM1OTYyAAAACV9fdXBkYXRlZA==\n	1318343324
session:8f76b55355b39b7cf4917d756b9d6d0f41fdb334                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMxODMzNDcyMwAAAAlfX3VwZGF0ZWQ=\n	1318344516
session:2066051092855b48630ed527274dffa0578e8573                        	BQcDAAAAAQoKMTMxODMzODM2NgAAAAlfX3VwZGF0ZWQ=\n	1318345566
session:29fb3a4b40113227cce1eadb8a5bac0f8525bf09                        	BQcDAAAAAQoKMTMxODg2NTU5MAAAAAlfX3VwZGF0ZWQ=\n	1318872790
session:f75b323ba5a3cced4151729f9712d1f2cf1ba783                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XGWNhbWlsYXJhdWpvMDJAaG90bWFpbC5jb20A\nAAAGX191c2VyCgoxMzE3MzAzMTIwAAAACV9fdXBkYXRlZA==\n	1317310848
session:412014065702ccb945c19c5141a2d248f96593d5                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEWZyYW5jaXNjby5lZGlsc29uAAAABl9fdXNl\ncgoKMTMxODg3MjUwOQAAAAlfX3VwZGF0ZWQ=\n	1318889396
session:846955e134f2c8d7b501b22377f661298eb45192                        	BQcDAAAAAQoKMTMxODg4MDgzOAAAAAlfX3VwZGF0ZWQ=\n	1318888038
session:184b9cd738985bc98a6526290689224e5da5356d                        	BQcDAAAAAQlOpW+kAAAACV9fdXBkYXRlZA==\n	1319472068
session:d6722734e7de20dd5c37ed958beb38a8e35cced0                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XDWNhcmxvcy5zYWJpbm8AAAAGX191c2VyCU6h\nwaMAAAAJX191cGRhdGVk\n	1319230919
session:563c95efaba8977ed7f01f857287af4259983409                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nCU6oWyUAAAAJX191cGRhdGVk\n	1319663436
session:2ff976a9349ef23f46549e8727a1fb41e55b1627                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nCU69cxsAAAAJX191cGRhdGVk\n	1321045819
session:f41e4c1d24f28fbe96f5f1e5b4a05de2c075742e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nCU6lwTUAAAAJX191cGRhdGVk\n	1319492949
session:e8a2a634632b7510721821d6698f5540985eb96e                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nCU6psIwAAAAJX191cGRhdGVk\n	1319750836
session:3fb2b1cf9eaf5c65be5a64b7a25e7157ef2bdcaa                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nCU6oP+kAAAAJX191cGRhdGVk\n	1319656601
session:81ca075ed80a867d93aa1323872dff45d5383b83                        	BQcDAAAABBcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nBAMAAAABCgAAAAAEZXJybwAAAAdfX2ZsYXNoCU7KmHEAAAAJX191cGRhdGVk\n	1321907345
session:21038be17d9c25f289c87d46eec9e786bd4c3176                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nCU7LlmUAAAAJX191cGRhdGVk\n	1321972379
session:a646806bde3094ad7088c147dd8d3ce38f59720c                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nCU7L1osAAAAJX191cGRhdGVk\n	1321988809
session:0d8e040789f299410b5e806b06a58e5c423915d8                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nCU7MA9UAAAAJX191cGRhdGVk\n	1322000386
session:55feaddcd2f70cc1825e757d4ad259a0f6abab13                        	BQcDAAAAAxcEbGRhcAAAAAxfX3VzZXJfcmVhbG0XEHNpa29yYUBnbWFpbC5jb20AAAAGX191c2Vy\nCU7NAK0AAAAJX191cGRhdGVk\n	1322071549
\.


--
-- Data for Name: unidades_saude; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY unidades_saude (id, nome) FROM stdin;
1	CSF FRANCISCO WALDO PESSOA DE ALMEIDA
2	CSF MANOEL CARLOS GOUVEIA
3	CSF PARQUE SAO JOSE
4	CSF DONA LIBANIA
5	CSF BENEDITO ARTHUR DE CARVALHO
6	CSF DR JOAO ELISIO HOLANDA
7	CSF GEORGE BENEVIDES MEDEIROS
8	CSF SANTA LIDUINA
9	CSF 4 VARAS
10	CSF ODORICO DE MORAES
11	CSF ELIEZER STUDART
12	CSF IVANA DE SOUSA PAES
13	CSF EDMAR FUJITA
14	CSF JOAO HIPOLITO DE AZEVEDO
15	CSF GRACILIANO MUNIZ
16	CSF PAULO MARCELO MARTINS RODRIGUES
17	CSF FRANCISCO DE MELO JABORANDI
18	CSF MACIEL DE BRITO
19	CSF FLAVIO MARCILIO
20	CSF JOSE PARACAMPOS
21	CSF ZELIA CORREIA
22	CSF VICENTINA CAMPOS
23	CSF CLODOALDO PINTO
24	CSF PIO XII
25	CSF LUIS ALBUQUERQUE MENDES
26	CSF PROJETO NASCENTE
27	CSF ROBERTO DA SILVA BRUNO
28	CSF CESAR CALS DE OLIVEIRA
29	CSF EVANDRO AYRES DE MOURA
30	CSF MESSEJANA
31	CSF ANTONIO DE ALMEIDA LUSTOSA
32	CSF CESAR CALS DE OLIVEIRA FILHO
33	CSF JANIVAL DE ALMEIDA VIEIRA
34	CSF JOSE REBOUCAS MACAMBIRA
35	CSF RIGOBERTO ROMERO
36	CSF JURANDIR PICANCO
37	CSF ANASTACIO MAGALHAES
38	CSF LUCIANO TORRES DE MELO
39	CSF MAURICIO MATOS DOURADO
40	CSF JOSE SOBREIRA DE AMORIM
41	CSF MIRIAM PORTO MOTA
42	CSF DO SIQUEIRA
43	CSF FILGUEIRAS LIMA
44	CSF OCELO PINHEIRO
45	CSF HELIO GOES FERREIRA
46	CSF MONTEIRO DE MORAES
47	CSF CASEMIRO JOSE DE LIMA FILHO
48	CSF IRMA HERCILIA LIMA ARAGAO
49	CSF GUIOMAR ARRUDA
50	CSF HERMINIA LEITAO LIMA
51	CSF PEDRO CELESTINO ROMERO
52	CSF ARGEU HERBET
53	CSF GUARANY MONTALVERNE
54	CSF DE PARANGABA
55	CSF ABEL PINTO
56	CSF TURBAY BARREIRA
57	CSF JOSE VALDEVINO DE CARVALHO
58	CSF ANISIO TEIXEIRA
59	CSF FRANCISCO EDMILSON PINHEIRO
60	CSF HUMBERTO BEZERRA
61	CSF JOAO MEDEIROS
62	CSF PEDRO SAMPAIO
63	CSF CARLOS RIBEIRO
64	CSF ABNER CAVALCANTE BRASIL
65	CSF VIVIANE BENEVIDES GOUVEIA
66	CSF FREI TITO DE ALENCAR
67	CSF JOSE BARROS DE ALENCAR
68	CSF JOAO XXIII
69	CSF JOAO LUIZ DE OLIVEIRA POMBO
70	CSF JOSE WALTER
71	CSF FERNANDES TAVORA
72	CSF LUIZ COSTA
73	CSF LUIZ RECAMONDE CAPELO
74	CSF GUTEMBERG BRAUN
75	CSF VIRGILIO TAVORA
76	CSF TEREZINHA PARENTE
77	CSF FRANCISCO PEREIRA DE ALMEIDA
78	CSF ALARICO LEITE
79	CSF METON DE ALENCAR
80	CSF CELIO BRASIL GIRAO
81	CSF FRANCISCO DOMINGOS DA SILVA
82	CSF GALBA ARAUJO
83	CSF MARIA DE LOURDES JERESSATI
84	CSF FERNANDO FACANHA
85	CSF PAULO MELO MACHADO
86	CSF LUIZA TAVORA
87	CSF JOSE GALBA DE ARAUJO
88	CSF WALDEMAR ALCANTARA
89	CSF FLORESTA
90	CSF FERNANDO CESAR VIEIRA DIOGENES
91	CSF AIDA SANTOS E SILVA
92	CSF LINEU JUCA
\.


--
-- Data for Name: volume; Type: TABLE DATA; Schema: acao; Owner: acao
--

COPY volume (id_volume, nome, invalidado) FROM stdin;
volume-CF36F500-FE73-11E0-BCC7-E69700A37246	VOLUME - TESTE	0
\.


--
-- Name: alertas_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY alertas
    ADD CONSTRAINT alertas_pkey PRIMARY KEY (id_alerta);


--
-- Name: consolidacao_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY consolidacao
    ADD CONSTRAINT consolidacao_pkey PRIMARY KEY (id_consolidacao);


--
-- Name: consolidador_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY consolidador
    ADD CONSTRAINT consolidador_pkey PRIMARY KEY (id_definicao_consolidacao, dn);


--
-- Name: definicao_consolidacao_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY definicao_consolidacao
    ADD CONSTRAINT definicao_consolidacao_pkey PRIMARY KEY (id_definicao_consolidacao);


--
-- Name: digitador_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY digitador
    ADD CONSTRAINT digitador_pkey PRIMARY KEY (id_leitura, dn);


--
-- Name: dossie_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY dossie
    ADD CONSTRAINT dossie_pkey PRIMARY KEY (id_volume, id_dossie);


--
-- Name: entrada_consolidacao_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY entrada_consolidacao
    ADD CONSTRAINT entrada_consolidacao_pkey PRIMARY KEY (id_definicao_consolidacao, id_leitura);


--
-- Name: entries_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY entries
    ADD CONSTRAINT entries_pkey PRIMARY KEY (entry_id);


--
-- Name: etapa_coleta_dados_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY etapa_coleta_dados
    ADD CONSTRAINT etapa_coleta_dados_pkey PRIMARY KEY (id_definicao_consolidacao, plugin_coleta_dados);


--
-- Name: etapa_transformacao_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY etapa_transformacao
    ADD CONSTRAINT etapa_transformacao_pkey PRIMARY KEY (id_definicao_consolidacao, plugin_transformacao);


--
-- Name: etapa_validacao_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY etapa_validacao
    ADD CONSTRAINT etapa_validacao_pkey PRIMARY KEY (id_definicao_consolidacao, plugin_validacao);


--
-- Name: id; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY hospitais
    ADD CONSTRAINT id PRIMARY KEY (id);


--
-- Name: instrumento_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY instrumento
    ADD CONSTRAINT instrumento_pkey PRIMARY KEY (id_projeto, nome);


--
-- Name: leitura_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY leitura
    ADD CONSTRAINT leitura_pkey PRIMARY KEY (id_leitura);


--
-- Name: municipios_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY municipios
    ADD CONSTRAINT municipios_pkey PRIMARY KEY (codmunic);


--
-- Name: permissao_dossie_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY permissao_dossie
    ADD CONSTRAINT permissao_dossie_pkey PRIMARY KEY (id_volume, id_dossie, dn);


--
-- Name: permissao_volume_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY permissao_volume
    ADD CONSTRAINT permissao_volume_pkey PRIMARY KEY (id_volume, dn);


--
-- Name: pk_logradouros; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY logradouros
    ADD CONSTRAINT pk_logradouros PRIMARY KEY (cod);


--
-- Name: projeto_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY projeto
    ADD CONSTRAINT projeto_pkey PRIMARY KEY (id_projeto);


--
-- Name: revisor_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY revisor
    ADD CONSTRAINT revisor_pkey PRIMARY KEY (id_leitura, dn);


--
-- Name: sessions_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY sessions
    ADD CONSTRAINT sessions_pkey PRIMARY KEY (id);


--
-- Name: volume_pkey; Type: CONSTRAINT; Schema: acao; Owner: acao; Tablespace: 
--

ALTER TABLE ONLY volume
    ADD CONSTRAINT volume_pkey PRIMARY KEY (id_volume);


--
-- Name: alertas_idx_id_consolidacao; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX alertas_idx_id_consolidacao ON alertas USING btree (id_consolidacao);


--
-- Name: consolidacao_idx_id_definicao_consolidacao; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX consolidacao_idx_id_definicao_consolidacao ON consolidacao USING btree (id_definicao_consolidacao);


--
-- Name: consolidador_idx_id_definicao_consolidacao; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX consolidador_idx_id_definicao_consolidacao ON consolidador USING btree (id_definicao_consolidacao);


--
-- Name: definicao_consolidacao_idx_id_projeto; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX definicao_consolidacao_idx_id_projeto ON definicao_consolidacao USING btree (id_projeto);


--
-- Name: digitador_idx_id_leitura; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX digitador_idx_id_leitura ON digitador USING btree (id_leitura);


--
-- Name: dossie_idx_id_volume; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX dossie_idx_id_volume ON dossie USING btree (id_volume);


--
-- Name: entrada_consolidacao_idx_id_definicao_consolidacao; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX entrada_consolidacao_idx_id_definicao_consolidacao ON entrada_consolidacao USING btree (id_definicao_consolidacao);


--
-- Name: entrada_consolidacao_idx_id_leitura; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX entrada_consolidacao_idx_id_leitura ON entrada_consolidacao USING btree (id_leitura);


--
-- Name: entries_idx_volume_dossie; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX entries_idx_volume_dossie ON entries USING btree (volume, dossie);


--
-- Name: etapa_coleta_dados_idx_id_definicao_consolidacao; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX etapa_coleta_dados_idx_id_definicao_consolidacao ON etapa_coleta_dados USING btree (id_definicao_consolidacao);


--
-- Name: etapa_transformacao_idx_id_definicao_consolidacao; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX etapa_transformacao_idx_id_definicao_consolidacao ON etapa_transformacao USING btree (id_definicao_consolidacao);


--
-- Name: etapa_validacao_idx_id_definicao_consolidacao; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX etapa_validacao_idx_id_definicao_consolidacao ON etapa_validacao USING btree (id_definicao_consolidacao);


--
-- Name: gin_index_idx_entry; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX gin_index_idx_entry ON gin_index USING btree (entry_id);


--
-- Name: instrumento_idx_id_projeto; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX instrumento_idx_id_projeto ON instrumento USING btree (id_projeto);


--
-- Name: ix_keyvalue; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX ix_keyvalue ON gin_index USING btree (value, key);


--
-- Name: ix_nome; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX ix_nome ON logradouros USING btree (nome);


--
-- Name: leitura_idx_id_projeto_nome; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX leitura_idx_id_projeto_nome ON leitura USING btree (id_projeto, nome);


--
-- Name: permissao_dossie_idx_id_volume_id_dossie; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX permissao_dossie_idx_id_volume_id_dossie ON permissao_dossie USING btree (id_volume, id_dossie);


--
-- Name: permissao_idx_entry_id; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX permissao_idx_entry_id ON permissao USING btree (entry_id);


--
-- Name: permissao_volume_idx_id_volume; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX permissao_volume_idx_id_volume ON permissao_volume USING btree (id_volume);


--
-- Name: revisor_idx_id_leitura; Type: INDEX; Schema: acao; Owner: acao; Tablespace: 
--

CREATE INDEX revisor_idx_id_leitura ON revisor USING btree (id_leitura);


--
-- Name: alertas_id_consolidacao_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY alertas
    ADD CONSTRAINT alertas_id_consolidacao_fkey FOREIGN KEY (id_consolidacao) REFERENCES consolidacao(id_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: alertas_id_consolidacao_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY alertas
    ADD CONSTRAINT alertas_id_consolidacao_fkey1 FOREIGN KEY (id_consolidacao) REFERENCES consolidacao(id_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: consolidacao_id_definicao_consolidacao_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY consolidacao
    ADD CONSTRAINT consolidacao_id_definicao_consolidacao_fkey FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: consolidacao_id_definicao_consolidacao_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY consolidacao
    ADD CONSTRAINT consolidacao_id_definicao_consolidacao_fkey1 FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: consolidador_id_definicao_consolidacao_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY consolidador
    ADD CONSTRAINT consolidador_id_definicao_consolidacao_fkey FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: consolidador_id_definicao_consolidacao_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY consolidador
    ADD CONSTRAINT consolidador_id_definicao_consolidacao_fkey1 FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: definicao_consolidacao_id_projeto_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY definicao_consolidacao
    ADD CONSTRAINT definicao_consolidacao_id_projeto_fkey FOREIGN KEY (id_projeto) REFERENCES projeto(id_projeto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: definicao_consolidacao_id_projeto_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY definicao_consolidacao
    ADD CONSTRAINT definicao_consolidacao_id_projeto_fkey1 FOREIGN KEY (id_projeto) REFERENCES projeto(id_projeto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: digitador_id_leitura_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY digitador
    ADD CONSTRAINT digitador_id_leitura_fkey FOREIGN KEY (id_leitura) REFERENCES leitura(id_leitura) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: digitador_id_leitura_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY digitador
    ADD CONSTRAINT digitador_id_leitura_fkey1 FOREIGN KEY (id_leitura) REFERENCES leitura(id_leitura) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: dossie_id_volume_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY dossie
    ADD CONSTRAINT dossie_id_volume_fkey FOREIGN KEY (id_volume) REFERENCES volume(id_volume) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: entrada_consolidacao_id_definicao_consolidacao_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY entrada_consolidacao
    ADD CONSTRAINT entrada_consolidacao_id_definicao_consolidacao_fkey FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: entrada_consolidacao_id_definicao_consolidacao_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY entrada_consolidacao
    ADD CONSTRAINT entrada_consolidacao_id_definicao_consolidacao_fkey1 FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: entrada_consolidacao_id_leitura_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY entrada_consolidacao
    ADD CONSTRAINT entrada_consolidacao_id_leitura_fkey FOREIGN KEY (id_leitura) REFERENCES leitura(id_leitura) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: entrada_consolidacao_id_leitura_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY entrada_consolidacao
    ADD CONSTRAINT entrada_consolidacao_id_leitura_fkey1 FOREIGN KEY (id_leitura) REFERENCES leitura(id_leitura) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: entries_volume_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY entries
    ADD CONSTRAINT entries_volume_fkey FOREIGN KEY (volume, dossie) REFERENCES dossie(id_volume, id_dossie) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: entries_volume_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY entries
    ADD CONSTRAINT entries_volume_fkey1 FOREIGN KEY (volume) REFERENCES volume(id_volume) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: etapa_coleta_dados_id_definicao_consolidacao_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY etapa_coleta_dados
    ADD CONSTRAINT etapa_coleta_dados_id_definicao_consolidacao_fkey FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: etapa_coleta_dados_id_definicao_consolidacao_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY etapa_coleta_dados
    ADD CONSTRAINT etapa_coleta_dados_id_definicao_consolidacao_fkey1 FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: etapa_transformacao_id_definicao_consolidacao_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY etapa_transformacao
    ADD CONSTRAINT etapa_transformacao_id_definicao_consolidacao_fkey FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: etapa_transformacao_id_definicao_consolidacao_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY etapa_transformacao
    ADD CONSTRAINT etapa_transformacao_id_definicao_consolidacao_fkey1 FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: etapa_validacao_id_definicao_consolidacao_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY etapa_validacao
    ADD CONSTRAINT etapa_validacao_id_definicao_consolidacao_fkey FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: etapa_validacao_id_definicao_consolidacao_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY etapa_validacao
    ADD CONSTRAINT etapa_validacao_id_definicao_consolidacao_fkey1 FOREIGN KEY (id_definicao_consolidacao) REFERENCES definicao_consolidacao(id_definicao_consolidacao) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: gin_index_entry_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY gin_index
    ADD CONSTRAINT gin_index_entry_fkey FOREIGN KEY (entry_id) REFERENCES entries(entry_id) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: instrumento_id_projeto_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY instrumento
    ADD CONSTRAINT instrumento_id_projeto_fkey FOREIGN KEY (id_projeto) REFERENCES projeto(id_projeto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: instrumento_id_projeto_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY instrumento
    ADD CONSTRAINT instrumento_id_projeto_fkey1 FOREIGN KEY (id_projeto) REFERENCES projeto(id_projeto) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: leitura_id_projeto_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY leitura
    ADD CONSTRAINT leitura_id_projeto_fkey FOREIGN KEY (id_projeto, nome) REFERENCES instrumento(id_projeto, nome) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: leitura_id_projeto_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY leitura
    ADD CONSTRAINT leitura_id_projeto_fkey1 FOREIGN KEY (id_projeto, nome) REFERENCES instrumento(id_projeto, nome) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: permissao_dossie_id_volume_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY permissao_dossie
    ADD CONSTRAINT permissao_dossie_id_volume_fkey FOREIGN KEY (id_volume, id_dossie) REFERENCES dossie(id_volume, id_dossie) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: permissao_entry_id_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY permissao
    ADD CONSTRAINT permissao_entry_id_fkey FOREIGN KEY (entry_id) REFERENCES entries(entry_id) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: permissao_volume_id_volume_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY permissao_volume
    ADD CONSTRAINT permissao_volume_id_volume_fkey FOREIGN KEY (id_volume) REFERENCES volume(id_volume) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: revisor_id_leitura_fkey; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY revisor
    ADD CONSTRAINT revisor_id_leitura_fkey FOREIGN KEY (id_leitura) REFERENCES leitura(id_leitura) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: revisor_id_leitura_fkey1; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY revisor
    ADD CONSTRAINT revisor_id_leitura_fkey1 FOREIGN KEY (id_leitura) REFERENCES leitura(id_leitura) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: revisor_id_leitura_fkey2; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY revisor
    ADD CONSTRAINT revisor_id_leitura_fkey2 FOREIGN KEY (id_leitura) REFERENCES leitura(id_leitura) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: revisor_id_leitura_fkey3; Type: FK CONSTRAINT; Schema: acao; Owner: acao
--

ALTER TABLE ONLY revisor
    ADD CONSTRAINT revisor_id_leitura_fkey3 FOREIGN KEY (id_leitura) REFERENCES leitura(id_leitura) ON UPDATE CASCADE ON DELETE CASCADE DEFERRABLE;


--
-- Name: acao; Type: ACL; Schema: -; Owner: acao
--

REVOKE ALL ON SCHEMA acao FROM PUBLIC;
REVOKE ALL ON SCHEMA acao FROM acao;
GRANT ALL ON SCHEMA acao TO acao;


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- Name: alertas; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE alertas FROM PUBLIC;
REVOKE ALL ON TABLE alertas FROM acao;
GRANT ALL ON TABLE alertas TO acao;


--
-- Name: alertas_id_alerta_seq; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON SEQUENCE alertas_id_alerta_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE alertas_id_alerta_seq FROM acao;
GRANT ALL ON SEQUENCE alertas_id_alerta_seq TO acao;


--
-- Name: consolidacao; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE consolidacao FROM PUBLIC;
REVOKE ALL ON TABLE consolidacao FROM acao;
GRANT ALL ON TABLE consolidacao TO acao;


--
-- Name: consolidacao_id_consolidacao_seq; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON SEQUENCE consolidacao_id_consolidacao_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE consolidacao_id_consolidacao_seq FROM acao;
GRANT ALL ON SEQUENCE consolidacao_id_consolidacao_seq TO acao;


--
-- Name: consolidador; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE consolidador FROM PUBLIC;
REVOKE ALL ON TABLE consolidador FROM acao;
GRANT ALL ON TABLE consolidador TO acao;


--
-- Name: definicao_consolidacao; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE definicao_consolidacao FROM PUBLIC;
REVOKE ALL ON TABLE definicao_consolidacao FROM acao;
GRANT ALL ON TABLE definicao_consolidacao TO acao;


--
-- Name: definicao_consolidacao_id_definicao_consolidacao_seq; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON SEQUENCE definicao_consolidacao_id_definicao_consolidacao_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE definicao_consolidacao_id_definicao_consolidacao_seq FROM acao;
GRANT ALL ON SEQUENCE definicao_consolidacao_id_definicao_consolidacao_seq TO acao;


--
-- Name: digitador; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE digitador FROM PUBLIC;
REVOKE ALL ON TABLE digitador FROM acao;
GRANT ALL ON TABLE digitador TO acao;


--
-- Name: entrada_consolidacao; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE entrada_consolidacao FROM PUBLIC;
REVOKE ALL ON TABLE entrada_consolidacao FROM acao;
GRANT ALL ON TABLE entrada_consolidacao TO acao;


--
-- Name: etapa_coleta_dados; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE etapa_coleta_dados FROM PUBLIC;
REVOKE ALL ON TABLE etapa_coleta_dados FROM acao;
GRANT ALL ON TABLE etapa_coleta_dados TO acao;


--
-- Name: etapa_transformacao; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE etapa_transformacao FROM PUBLIC;
REVOKE ALL ON TABLE etapa_transformacao FROM acao;
GRANT ALL ON TABLE etapa_transformacao TO acao;


--
-- Name: etapa_validacao; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE etapa_validacao FROM PUBLIC;
REVOKE ALL ON TABLE etapa_validacao FROM acao;
GRANT ALL ON TABLE etapa_validacao TO acao;


--
-- Name: instrumento; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE instrumento FROM PUBLIC;
REVOKE ALL ON TABLE instrumento FROM acao;
GRANT ALL ON TABLE instrumento TO acao;


--
-- Name: leitura; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE leitura FROM PUBLIC;
REVOKE ALL ON TABLE leitura FROM acao;
GRANT ALL ON TABLE leitura TO acao;


--
-- Name: leitura_id_leitura_seq; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON SEQUENCE leitura_id_leitura_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE leitura_id_leitura_seq FROM acao;
GRANT ALL ON SEQUENCE leitura_id_leitura_seq TO acao;


--
-- Name: projeto; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE projeto FROM PUBLIC;
REVOKE ALL ON TABLE projeto FROM acao;
GRANT ALL ON TABLE projeto TO acao;


--
-- Name: projeto_id_projeto_seq; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON SEQUENCE projeto_id_projeto_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE projeto_id_projeto_seq FROM acao;
GRANT ALL ON SEQUENCE projeto_id_projeto_seq TO acao;


--
-- Name: revisor; Type: ACL; Schema: acao; Owner: acao
--

REVOKE ALL ON TABLE revisor FROM PUBLIC;
REVOKE ALL ON TABLE revisor FROM acao;
GRANT ALL ON TABLE revisor TO acao;


--
-- PostgreSQL database dump complete
--

